/*******************************************************************************
* Copyright (C) 2013-2016, Cypress Semiconductor Corporation or a              *
* subsidiary of Cypress Semiconductor Corporation.  All rights reserved.       *
*                                                                              *
* This software, including source code, documentation and related              *
* materials ("Software"), is owned by Cypress Semiconductor Corporation or     *
* one of its subsidiaries ("Cypress") and is protected by and subject to       *
* worldwide patent protection (United States and foreign), United States       *
* copyright laws and international treaty provisions. Therefore, you may use   *
* this Software only as provided in the license agreement accompanying the     *
* software package from which you obtained this Software ("EULA").             *
*                                                                              *
* If no EULA applies, Cypress hereby grants you a personal, non-exclusive,     *
* non-transferable license to copy, modify, and compile the                    *
* Software source code solely for use in connection with Cypress's             *
* integrated circuit products.  Any reproduction, modification, translation,   *
* compilation, or representation of this Software except as specified          *
* above is prohibited without the express written permission of Cypress.       *
*                                                                              *
* Disclaimer: THIS SOFTWARE IS PROVIDED AS-IS, WITH NO                         *
* WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING,                         *
* BUT NOT LIMITED TO, NONINFRINGEMENT, IMPLIED                                 *
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A                              *
* PARTICULAR PURPOSE. Cypress reserves the right to make                       *
* changes to the Software without notice. Cypress does not assume any          *
* liability arising out of the application or use of the Software or any       *
* product or circuit described in the Software. Cypress does not               *
* authorize its products for use in any products where a malfunction or        *
* failure of the Cypress product may reasonably be expected to result in       *
* significant property damage, injury or death ("High Risk Product"). By       *
* including Cypress's product in a High Risk Product, the manufacturer         *
* of such system or application assumes all risk of such use and in doing      *
* so agrees to indemnify Cypress against all liability.                        *
*******************************************************************************/
/**
 ******************************************************************************
 ** \file   s6e1c1xc.h
 **
 ** MCU Headerfile
 **
 ** History:
 
 **
 ******************************************************************************/

#ifndef _S6E1C1XC_H_
#define _S6E1C1XC_H_
#define __S6E1C1XC_H__
#define __S6E1C1_H__

#if defined __cplusplus
extern "C" {
#endif

#define FM_GENERAL_MCUHEADER_VERSION              0201


#ifndef FM_DEVICE_PACKAGE_S6E_C
#define FM_DEVICE_PACKAGE_S6E_C
#endif 

/******************************************************************************
 ** Configuration of the Cortex-M4 Processor and Core Peripherals
 ** 
 ******************************************************************************/
#define FM0P_DEVICE_TYPE                          3
#define FM_DEVICE_TYPE                            0103u
#define FM_CORE_TYPE_FM0P                         1
#define __CM0PLUS_REV                             0x0001
#define __MPU_PRESENT                             0
#define __NVIC_PRIO_BITS                          2
#define __Vendor_SysTickConfig                    0
#define __FPU_PRESENT                             0
#define __FPU_DP                                  0
#define __ICACHE_PRESENT                          0
#define __DCACHE_PRESENT                          0
#define __DTCM_PRESENT                            0

/******************************************************************************
 ** Peripheral Types
 ** 
 ******************************************************************************/
#define FM0P_ADC_TYPE_A                           1
#define FM0P_BT_TYPE_A                            1
#define FM0P_BTIOSEL03_TYPE_A                     1
#define FM0P_BTIOSEL47_TYPE_A                     1
#define FM0P_CLK_GATING_TYPE_A                    1
#define FM0P_CRC_TYPE_A                           1
#define FM0P_CRG_TYPE_A                           1
#define FM0P_CRTRIM_TYPE_B                        1
#define FM0P_DS_TYPE_C                            1
#define FM0P_DSTC_TYPE_B                          1
#define FM0P_DT_TYPE_A                            1
#define FM0P_EXTI_TYPE_B                          1
#define FM0P_FASTIO_TYPE_A                        1
#define FM0P_FLASH_IF_TYPE_C                      1
#define FM0P_GPIO_TYPE_C                          1
#define FM0P_HDMICEC_TYPE_A                       1
#define FM0P_HWWDT_TYPE_A                         1
#define FM0P_I2CSLAVE_TYPE_A                      1
#define FM0P_INTREQ_TYPE_3                        1
#define FM0P_LSCRP_TYPE_A                         1
#define FM0P_LVD_TYPE_C                           1
#define FM0P_MFS_TYPE_A                           1
#define FM0P_MFSI2S_TYPE_A                        1
#define FM0P_MTB_DWT_TYPE_A                       1
#define FM0P_RTC_TYPE_A                           1
#define FM0P_SBSSR_TYPE_A                         1
#define FM0P_SMCIF_TYPE_A                         1
#define FM0P_SWWDT_TYPE_A                         1
#define FM0P_UNIQUE_ID_TYPE_A                     1
#define FM0P_VIR_TYPE_A                           1
#define FM0P_WC_TYPE_A                            1

/******************************************************************************
 ** Available Peripherals
 ** 
 ******************************************************************************/
#define FM0P_ADC_AVAILABLE                        1
#define FM_ADC_AVAILABLE                          1
#define FM0P_BT_AVAILABLE                         1
#define FM_BT_AVAILABLE                           1
#define FM0P_BT_PPG_AVAILABLE                     1
#define FM_BT_PPG_AVAILABLE                       1
#define FM0P_BT_PWC_AVAILABLE                     1
#define FM_BT_PWC_AVAILABLE                       1
#define FM0P_BT_PWM_AVAILABLE                     1
#define FM_BT_PWM_AVAILABLE                       1
#define FM0P_BT_RT_AVAILABLE                      1
#define FM_BT_RT_AVAILABLE                        1
#define FM0P_BTIOSEL03_AVAILABLE                  1
#define FM_BTIOSEL03_AVAILABLE                    1
#define FM0P_BTIOSEL47_AVAILABLE                  1
#define FM_BTIOSEL47_AVAILABLE                    1
#define FM0P_CLK_GATING_AVAILABLE                 1
#define FM_CLK_GATING_AVAILABLE                   1
#define FM0P_CRC_AVAILABLE                        1
#define FM_CRC_AVAILABLE                          1
#define FM0P_CRG_AVAILABLE                        1
#define FM_CRG_AVAILABLE                          1
#define FM0P_CRTRIM_AVAILABLE                     1
#define FM_CRTRIM_AVAILABLE                       1
#define FM0P_DS_AVAILABLE                         1
#define FM_DS_AVAILABLE                           1
#define FM0P_DSTC_AVAILABLE                       1
#define FM_DSTC_AVAILABLE                         1
#define FM0P_DT_AVAILABLE                         1
#define FM_DT_AVAILABLE                           1
#define FM0P_EXTI_AVAILABLE                       1
#define FM_EXTI_AVAILABLE                         1
#define FM0P_FASTIO_AVAILABLE                     1
#define FM_FASTIO_AVAILABLE                       1
#define FM0P_FLASH_IF_AVAILABLE                   1
#define FM_FLASH_IF_AVAILABLE                     1
#define FM0P_GPIO_AVAILABLE                       1
#define FM_GPIO_AVAILABLE                         1
#define FM0P_HDMICEC_AVAILABLE                    1
#define FM_HDMICEC_AVAILABLE                      1
#define FM0P_HWWDT_AVAILABLE                      1
#define FM_HWWDT_AVAILABLE                        1
#define FM0P_I2CSLAVE_AVAILABLE                   1
#define FM_I2CSLAVE_AVAILABLE                     1
#define FM0P_INTREQ_AVAILABLE                     1
#define FM_INTREQ_AVAILABLE                       1
#define FM0P_LSCRP_AVAILABLE                      1
#define FM_LSCRP_AVAILABLE                        1
#define FM0P_LVD_AVAILABLE                        1
#define FM_LVD_AVAILABLE                          1
#define FM0P_MFS_AVAILABLE                        1
#define FM_MFS_AVAILABLE                          1
#define FM0P_MFS_CSIO_AVAILABLE                   1
#define FM_MFS_CSIO_AVAILABLE                     1
#define FM0P_MFS_I2C_AVAILABLE                    1
#define FM_MFS_I2C_AVAILABLE                      1
#define FM0P_MFS_I2S_AVAILABLE                    1
#define FM_MFS_I2S_AVAILABLE                      1
#define FM0P_MFS_LIN_AVAILABLE                    1
#define FM_MFS_LIN_AVAILABLE                      1
#define FM0P_MFS_UART_AVAILABLE                   1
#define FM_MFS_UART_AVAILABLE                     1
#define FM0P_MFSI2S_AVAILABLE                     1
#define FM_MFSI2S_AVAILABLE                       1
#define FM0P_MTB_DWT_AVAILABLE                    1
#define FM_MTB_DWT_AVAILABLE                      1
#define FM0P_RTC_AVAILABLE                        1
#define FM_RTC_AVAILABLE                          1
#define FM0P_SBSSR_AVAILABLE                      1
#define FM_SBSSR_AVAILABLE                        1
#define FM0P_SMCIF_AVAILABLE                      1
#define FM_SMCIF_AVAILABLE                        1
#define FM0P_SWWDT_AVAILABLE                      1
#define FM_SWWDT_AVAILABLE                        1
#define FM0P_UNIQUE_ID_AVAILABLE                  1
#define FM_UNIQUE_ID_AVAILABLE                    1
#define FM0P_VIR_AVAILABLE                        1
#define FM_VIR_AVAILABLE                          1
#define FM0P_WC_AVAILABLE                         1
#define FM_WC_AVAILABLE                           1

/******************************************************************************
 ** \brief Interrupt number definition for all type MCUs
 ** 
 ******************************************************************************/
#define FM_INTERRUPT_TYPE                         0x0130u

#define IRQ_NMI_AVAILABLE                         1
#define IRQ_HARDFAULT_AVAILABLE                   1
#define IRQ_SVC_AVAILABLE                         1
#define IRQ_PENDSV_AVAILABLE                      1
#define IRQ_SYSTICK_AVAILABLE                     1

#define IRQ_CSV_SWDT_LVD_AVAILABLE                1
#define IRQ_MFS0_RX_TX_AVAILABLE                  1
#define IRQ_MFS1_RX_TX_AVAILABLE                  1
#define IRQ_MFS3_RX_TX_AVAILABLE                  1
#define IRQ_MFS4_RX_TX_AVAILABLE                  1
#define IRQ_MFS6_RX_TX_I2CSLAVE_AVAILABLE         1
#define IRQ_MFS7_RX_TX_AVAILABLE                  1
#define IRQ_ADC0_AVAILABLE                        1
#define IRQ_TIM_AVAILABLE                         1
#define IRQ_WC_RTC_DT_AVAILABLE                   1
#define IRQ_EXINT0_1_AVAILABLE                    1
#define IRQ_EXINT2_3_AVAILABLE                    1
#define IRQ_EXINT4_5_AVAILABLE                    1
#define IRQ_EXINT6_7_AVAILABLE                    1
#define IRQ_EXINT8_AVAILABLE                      1
#define IRQ_EXINT12_13_AVAILABLE                  1
#define IRQ_EXINT15_AVAILABLE                     1
#define IRQ_BT0_4_AVAILABLE                       1
#define IRQ_BT1_5_AVAILABLE                       1
#define IRQ_BT2_6_AVAILABLE                       1
#define IRQ_BT3_7_AVAILABLE                       1
#define IRQ_HDMICEC0_1_AVAILABLE                  1
#define IRQ_SMCIF1_FLASHIF_AVAILABLE              1
#define IRQ_DSTC_AVAILABLE                        1


typedef enum IRQn
{
    NMI_IRQn                                      =  -14, /* Non Maskable Interrupt NMI */
    HardFault_IRQn                                =  -13, /* HardFault HardFault */
    SVC_IRQn                                      =   -5, /* SV Call SVC */
    PendSV_IRQn                                   =   -2, /* Pend SV PendSV */
    SysTick_IRQn                                  =   -1, /* System Tick SysTick */

    CSV_SWDT_LVD_IRQn                             =    0, /* CSV_SWDT_LVD_IRQ */
    MFS0_RX_TX_IRQn                               =    1, /* MFS0_RX_TX_IRQ */
    MFS1_RX_TX_IRQn                               =    2, /* MFS1_RX_TX_IRQ */
    MFS3_RX_TX_IRQn                               =    4, /* MFS3_RX_TX_IRQ */
    MFS4_RX_TX_IRQn                               =    5, /* MFS4_RX_TX_IRQ */
    MFS6_RX_TX_I2CSLAVE_IRQn                      =    7, /* MFS6_RX_TX_I2CSLAVE_IRQ */
    MFS7_RX_TX_IRQn                               =    8, /* MFS7_RX_TX_IRQ */
    ADC0_IRQn                                     =    9, /* ADC0_IRQ */
    TIM_IRQn                                      =   14, /* TIM_IRQ */
    WC_RTC_DT_IRQn                                =   15, /* WC_RTC_DT_IRQ */
    EXINT0_1_IRQn                                 =   16, /* EXINT0_1_IRQ */
    EXINT2_3_IRQn                                 =   17, /* EXINT2_3_IRQ */
    EXINT4_5_IRQn                                 =   18, /* EXINT4_5_IRQ */
    EXINT6_7_IRQn                                 =   19, /* EXINT6_7_IRQ */
    EXINT8_IRQn                                   =   20, /* EXINT8_IRQ */
    EXINT12_13_IRQn                               =   22, /* EXINT12_13_IRQ */
    EXINT15_IRQn                                  =   23, /* EXINT15_IRQ */
    BT0_4_IRQn                                    =   24, /* BT0_4_IRQ */
    BT1_5_IRQn                                    =   25, /* BT1_5_IRQ */
    BT2_6_IRQn                                    =   26, /* BT2_6_IRQ */
    BT3_7_IRQn                                    =   27, /* BT3_7_IRQ */
    HDMICEC0_1_IRQn                               =   28, /* HDMICEC0_1_IRQ */
    SMCIF1_FLASHIF_IRQn                           =   29, /* SMCIF1_FLASHIF_IRQ */
    DSTC_IRQn                                     =   30, /* DSTC_IRQ */
} IRQn_Type;

#include "core_cm0plus.h"
#include "system_s6e1c1.h"
#include <stdint.h>

/******************************************************************************
 ** Device Specific Peripheral Registers structures
 ** 
 ******************************************************************************/
#if defined ( __CC_ARM   )
#pragma anon_unions
#endif

/******************************************************************************
 ** ADC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_adc_adsr_field
{
        __IO   uint8_t  SCS                      :1;
        __IO   uint8_t  PCS                      :1;
        __IO   uint8_t  PCNS                     :1;
        __IO   uint8_t  RESERVED0                :3;
        __IO   uint8_t  FDAS                     :1;
        __IO   uint8_t  ADSTP                    :1;
} stc_adc_adsr_field_t;

typedef struct stc_adc_adcr_field
{
        __IO   uint8_t  OVRIE                    :1;
        __IO   uint8_t  CMPIE                    :1;
        __IO   uint8_t  PCIE                     :1;
        __IO   uint8_t  SCIE                     :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  CMPIF                    :1;
        __IO   uint8_t  PCIF                     :1;
        __IO   uint8_t  SCIF                     :1;
} stc_adc_adcr_field_t;

typedef struct stc_adc_sfns_field
{
    union {
        struct {
            __IO   uint8_t  SFS                  :4;
            __IO   uint8_t  RESERVED0            :4;
        };
        struct {
            __IO   uint8_t  SFS0                 :1;
            __IO   uint8_t  SFS1                 :1;
            __IO   uint8_t  SFS2                 :1;
            __IO   uint8_t  SFS3                 :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_adc_sfns_field_t;

typedef struct stc_adc_sccr_field
{
        __IO   uint8_t  SSTR                     :1;
        __IO   uint8_t  SHEN                     :1;
        __IO   uint8_t  RPT                      :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  SFCLR                    :1;
        __IO   uint8_t  SOVR                     :1;
        __IO   uint8_t  SFUL                     :1;
        __IO   uint8_t  SEMP                     :1;
} stc_adc_sccr_field_t;

typedef struct stc_adc_scfd_fdas1_field
{
    union {
        struct {
            __IO  uint32_t  SC                   :5;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  RS                   :2;
            __IO  uint32_t  RESERVED2            :2;
            __IO  uint32_t  INVL                 :1;
            __IO  uint32_t  RESERVED3            :3;
            __IO  uint32_t  SD                   :12;
            __IO  uint32_t  RESERVED5            :4;
        };
        struct {
            __IO  uint32_t  SC0                  :1;
            __IO  uint32_t  SC1                  :1;
            __IO  uint32_t  SC2                  :1;
            __IO  uint32_t  SC3                  :1;
            __IO  uint32_t  SC4                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  RS0                  :1;
            __IO  uint32_t  RS1                  :1;
            __IO  uint32_t  RESERVED4            :6;
            __IO  uint32_t  SD0                  :1;
            __IO  uint32_t  SD1                  :1;
            __IO  uint32_t  SD2                  :1;
            __IO  uint32_t  SD3                  :1;
            __IO  uint32_t  SD4                  :1;
            __IO  uint32_t  SD5                  :1;
            __IO  uint32_t  SD6                  :1;
            __IO  uint32_t  SD7                  :1;
            __IO  uint32_t  SD8                  :1;
            __IO  uint32_t  SD9                  :1;
            __IO  uint32_t  SD10                 :1;
            __IO  uint32_t  SD11                 :1;
            __IO  uint32_t  RESERVED6            :4;
        };
    };
} stc_adc_scfd_fdas1_field_t;

typedef struct stc_adc_scfd_field
{
    union {
        struct {
            __IO  uint32_t  SC                   :5;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  RS                   :2;
            __IO  uint32_t  RESERVED2            :2;
            __IO  uint32_t  INVL                 :1;
            __IO  uint32_t  RESERVED3            :7;
            __IO  uint32_t  SD                   :12;
        };
        struct {
            __IO  uint32_t  SC0                  :1;
            __IO  uint32_t  SC1                  :1;
            __IO  uint32_t  SC2                  :1;
            __IO  uint32_t  SC3                  :1;
            __IO  uint32_t  SC4                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  RS0                  :1;
            __IO  uint32_t  RS1                  :1;
            __IO  uint32_t  RESERVED4            :10;
            __IO  uint32_t  SD0                  :1;
            __IO  uint32_t  SD1                  :1;
            __IO  uint32_t  SD2                  :1;
            __IO  uint32_t  SD3                  :1;
            __IO  uint32_t  SD4                  :1;
            __IO  uint32_t  SD5                  :1;
            __IO  uint32_t  SD6                  :1;
            __IO  uint32_t  SD7                  :1;
            __IO  uint32_t  SD8                  :1;
            __IO  uint32_t  SD9                  :1;
            __IO  uint32_t  SD10                 :1;
            __IO  uint32_t  SD11                 :1;
        };
    };
} stc_adc_scfd_field_t;

typedef struct stc_adc_scis23_field
{
        __IO  uint16_t  AN16                     :1;
        __IO  uint16_t  AN17                     :1;
        __IO  uint16_t  AN18                     :1;
        __IO  uint16_t  AN19                     :1;
        __IO  uint16_t  AN20                     :1;
        __IO  uint16_t  AN21                     :1;
        __IO  uint16_t  AN22                     :1;
        __IO  uint16_t  AN23                     :1;
        __IO  uint16_t  AN24                     :1;
        __IO  uint16_t  AN25                     :1;
        __IO  uint16_t  AN26                     :1;
        __IO  uint16_t  AN27                     :1;
        __IO  uint16_t  AN28                     :1;
        __IO  uint16_t  AN29                     :1;
        __IO  uint16_t  AN30                     :1;
        __IO  uint16_t  AN31                     :1;
} stc_adc_scis23_field_t;

typedef struct stc_adc_scis01_field
{
        __IO  uint16_t  AN0                      :1;
        __IO  uint16_t  AN1                      :1;
        __IO  uint16_t  AN2                      :1;
        __IO  uint16_t  AN3                      :1;
        __IO  uint16_t  AN4                      :1;
        __IO  uint16_t  AN5                      :1;
        __IO  uint16_t  AN6                      :1;
        __IO  uint16_t  AN7                      :1;
        __IO  uint16_t  AN8                      :1;
        __IO  uint16_t  AN9                      :1;
        __IO  uint16_t  AN10                     :1;
        __IO  uint16_t  AN11                     :1;
        __IO  uint16_t  AN12                     :1;
        __IO  uint16_t  AN13                     :1;
        __IO  uint16_t  AN14                     :1;
        __IO  uint16_t  AN15                     :1;
} stc_adc_scis01_field_t;

typedef struct stc_adc_pfns_field
{
    union {
        struct {
            __IO   uint8_t  PFS                  :2;
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  TEST                 :2;
            __IO   uint8_t  RESERVED2            :2;
        };
        struct {
            __IO   uint8_t  PFS0                 :1;
            __IO   uint8_t  PFS1                 :1;
            __IO   uint8_t  RESERVED1            :2;
            __IO   uint8_t  TEST0                :1;
            __IO   uint8_t  TEST1                :1;
            __IO   uint8_t  RESERVED3            :2;
        };
    };
} stc_adc_pfns_field_t;

typedef struct stc_adc_pccr_field
{
        __IO   uint8_t  PSTR                     :1;
        __IO   uint8_t  PHEN                     :1;
        __IO   uint8_t  PEEN                     :1;
        __IO   uint8_t  ESCE                     :1;
        __IO   uint8_t  PFCLR                    :1;
        __IO   uint8_t  POVR                     :1;
        __IO   uint8_t  PFUL                     :1;
        __IO   uint8_t  PEMP                     :1;
} stc_adc_pccr_field_t;

typedef struct stc_adc_pcfd_fdas1_field
{
    union {
        struct {
            __IO  uint32_t  PC                   :5;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  RS                   :3;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  INVL                 :1;
            __IO  uint32_t  RESERVED3            :3;
            __IO  uint32_t  PD                   :12;
            __IO  uint32_t  RESERVED5            :4;
        };
        struct {
            __IO  uint32_t  PC0                  :1;
            __IO  uint32_t  PC1                  :1;
            __IO  uint32_t  PC2                  :1;
            __IO  uint32_t  PC3                  :1;
            __IO  uint32_t  PC4                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  RS0                  :1;
            __IO  uint32_t  RS1                  :1;
            __IO  uint32_t  RS2                  :1;
            __IO  uint32_t  RESERVED4            :5;
            __IO  uint32_t  PD0                  :1;
            __IO  uint32_t  PD1                  :1;
            __IO  uint32_t  PD2                  :1;
            __IO  uint32_t  PD3                  :1;
            __IO  uint32_t  PD4                  :1;
            __IO  uint32_t  PD5                  :1;
            __IO  uint32_t  PD6                  :1;
            __IO  uint32_t  PD7                  :1;
            __IO  uint32_t  PD8                  :1;
            __IO  uint32_t  PD9                  :1;
            __IO  uint32_t  PD10                 :1;
            __IO  uint32_t  PD11                 :1;
            __IO  uint32_t  RESERVED6            :4;
        };
    };
} stc_adc_pcfd_fdas1_field_t;

typedef struct stc_adc_pcfd_field
{
    union {
        struct {
            __IO  uint32_t  PC                   :5;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  RS                   :3;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  INVL                 :1;
            __IO  uint32_t  RESERVED3            :7;
            __IO  uint32_t  PD                   :12;
        };
        struct {
            __IO  uint32_t  PC0                  :1;
            __IO  uint32_t  PC1                  :1;
            __IO  uint32_t  PC2                  :1;
            __IO  uint32_t  PC3                  :1;
            __IO  uint32_t  PC4                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  RS0                  :1;
            __IO  uint32_t  RS1                  :1;
            __IO  uint32_t  RS2                  :1;
            __IO  uint32_t  RESERVED4            :9;
            __IO  uint32_t  PD0                  :1;
            __IO  uint32_t  PD1                  :1;
            __IO  uint32_t  PD2                  :1;
            __IO  uint32_t  PD3                  :1;
            __IO  uint32_t  PD4                  :1;
            __IO  uint32_t  PD5                  :1;
            __IO  uint32_t  PD6                  :1;
            __IO  uint32_t  PD7                  :1;
            __IO  uint32_t  PD8                  :1;
            __IO  uint32_t  PD9                  :1;
            __IO  uint32_t  PD10                 :1;
            __IO  uint32_t  PD11                 :1;
        };
    };
} stc_adc_pcfd_field_t;

typedef struct stc_adc_pcis_field
{
    union {
        struct {
            __IO   uint8_t  P1A                  :3;
            __IO   uint8_t  P2A                  :5;
        };
        struct {
            __IO   uint8_t  P1A0                 :1;
            __IO   uint8_t  P1A1                 :1;
            __IO   uint8_t  P1A2                 :1;
            __IO   uint8_t  P2A0                 :1;
            __IO   uint8_t  P2A1                 :1;
            __IO   uint8_t  P2A2                 :1;
            __IO   uint8_t  P2A3                 :1;
            __IO   uint8_t  P2A4                 :1;
        };
    };
} stc_adc_pcis_field_t;

typedef struct stc_adc_cmpcr_field
{
    union {
        struct {
            __IO   uint8_t  CCH                  :5;
            __IO   uint8_t  CMD0                 :1;
            __IO   uint8_t  CMD1                 :1;
            __IO   uint8_t  CMPEN                :1;
        };
        struct {
            __IO   uint8_t  CCH0                 :1;
            __IO   uint8_t  CCH1                 :1;
            __IO   uint8_t  CCH2                 :1;
            __IO   uint8_t  CCH3                 :1;
            __IO   uint8_t  CCH4                 :1;
            __IO   uint8_t  RESERVED0            :3;
        };
    };
} stc_adc_cmpcr_field_t;

typedef struct stc_adc_cmpd_field
{
    union {
        struct {
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  CMAD                 :10;
        };
        struct {
            __IO  uint16_t  RESERVED1            :6;
            __IO  uint16_t  CMAD0                :1;
            __IO  uint16_t  CMAD1                :1;
            __IO  uint16_t  CMAD2                :1;
            __IO  uint16_t  CMAD3                :1;
            __IO  uint16_t  CMAD4                :1;
            __IO  uint16_t  CMAD5                :1;
            __IO  uint16_t  CMAD6                :1;
            __IO  uint16_t  CMAD7                :1;
            __IO  uint16_t  CMAD8                :1;
            __IO  uint16_t  CMAD9                :1;
        };
    };
} stc_adc_cmpd_field_t;

typedef struct stc_adc_adss23_field
{
        __IO  uint16_t  TS16                     :1;
        __IO  uint16_t  TS17                     :1;
        __IO  uint16_t  TS18                     :1;
        __IO  uint16_t  TS19                     :1;
        __IO  uint16_t  TS20                     :1;
        __IO  uint16_t  TS21                     :1;
        __IO  uint16_t  TS22                     :1;
        __IO  uint16_t  TS23                     :1;
        __IO  uint16_t  TS24                     :1;
        __IO  uint16_t  TS25                     :1;
        __IO  uint16_t  TS26                     :1;
        __IO  uint16_t  TS27                     :1;
        __IO  uint16_t  TS28                     :1;
        __IO  uint16_t  TS29                     :1;
        __IO  uint16_t  TS30                     :1;
        __IO  uint16_t  TS31                     :1;
} stc_adc_adss23_field_t;

typedef struct stc_adc_adss01_field
{
        __IO  uint16_t  TS0                      :1;
        __IO  uint16_t  TS1                      :1;
        __IO  uint16_t  TS2                      :1;
        __IO  uint16_t  TS3                      :1;
        __IO  uint16_t  TS4                      :1;
        __IO  uint16_t  TS5                      :1;
        __IO  uint16_t  TS6                      :1;
        __IO  uint16_t  TS7                      :1;
        __IO  uint16_t  TS8                      :1;
        __IO  uint16_t  TS9                      :1;
        __IO  uint16_t  TS10                     :1;
        __IO  uint16_t  TS11                     :1;
        __IO  uint16_t  TS12                     :1;
        __IO  uint16_t  TS13                     :1;
        __IO  uint16_t  TS14                     :1;
        __IO  uint16_t  TS15                     :1;
} stc_adc_adss01_field_t;

typedef struct stc_adc_adst01_field
{
    union {
        struct {
            __IO  uint16_t  ST1                  :5;
            __IO  uint16_t  STX1                 :3;
            __IO  uint16_t  ST0                  :5;
            __IO  uint16_t  STX0                 :3;
        };
        struct {
            __IO  uint16_t  ST10                 :1;
            __IO  uint16_t  ST11                 :1;
            __IO  uint16_t  ST12                 :1;
            __IO  uint16_t  ST13                 :1;
            __IO  uint16_t  ST14                 :1;
            __IO  uint16_t  STX10                :1;
            __IO  uint16_t  STX11                :1;
            __IO  uint16_t  STX12                :1;
            __IO  uint16_t  ST00                 :1;
            __IO  uint16_t  ST01                 :1;
            __IO  uint16_t  ST02                 :1;
            __IO  uint16_t  ST03                 :1;
            __IO  uint16_t  ST04                 :1;
            __IO  uint16_t  STX00                :1;
            __IO  uint16_t  STX01                :1;
            __IO  uint16_t  STX02                :1;
        };
    };
} stc_adc_adst01_field_t;

typedef struct stc_adc_adct_field
{
    union {
        struct {
            __IO   uint8_t  CT                   :8;
        };
        struct {
            __IO   uint8_t  CT0                  :1;
            __IO   uint8_t  CT1                  :1;
            __IO   uint8_t  CT2                  :1;
            __IO   uint8_t  CT3                  :1;
            __IO   uint8_t  CT4                  :1;
            __IO   uint8_t  CT5                  :1;
            __IO   uint8_t  CT6                  :1;
            __IO   uint8_t  CT7                  :1;
        };
    };
} stc_adc_adct_field_t;

typedef struct stc_adc_prtsl_field
{
    union {
        struct {
            __IO   uint8_t  PRTSL                :4;
            __IO   uint8_t  RESERVED0            :4;
        };
        struct {
            __IO   uint8_t  PRTSL0               :1;
            __IO   uint8_t  PRTSL1               :1;
            __IO   uint8_t  PRTSL2               :1;
            __IO   uint8_t  PRTSL3               :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_adc_prtsl_field_t;

typedef struct stc_adc_sctsl_field
{
    union {
        struct {
            __IO   uint8_t  SCTSL                :4;
            __IO   uint8_t  RESERVED0            :4;
        };
        struct {
            __IO   uint8_t  SCTSL0               :1;
            __IO   uint8_t  SCTSL1               :1;
            __IO   uint8_t  SCTSL2               :1;
            __IO   uint8_t  SCTSL3               :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_adc_sctsl_field_t;

typedef struct stc_adc_adcen_field
{
    union {
        struct {
            __IO  uint16_t  ENBL                 :1;
            __IO  uint16_t  READY                :1;
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  ENBLTIME             :8;
        };
        struct {
            __IO  uint16_t  RESERVED1            :8;
            __IO  uint16_t  ENBLTIME0            :1;
            __IO  uint16_t  ENBLTIME1            :1;
            __IO  uint16_t  ENBLTIME2            :1;
            __IO  uint16_t  ENBLTIME3            :1;
            __IO  uint16_t  ENBLTIME4            :1;
            __IO  uint16_t  ENBLTIME5            :1;
            __IO  uint16_t  ENBLTIME6            :1;
            __IO  uint16_t  ENBLTIME7            :1;
        };
    };
} stc_adc_adcen_field_t;

typedef struct stc_adc_wcmrcif_field
{
        __IO  uint32_t  RCINT                    :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_adc_wcmrcif_field_t;

typedef struct stc_adc_wcmrcot_field
{
        __IO  uint32_t  RCOOF                    :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_adc_wcmrcot_field_t;

typedef struct stc_adc_wcmpcr_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  RCOE                 :1;
            __IO   uint8_t  RCOIE                :1;
            __IO   uint8_t  RCOIRS               :1;
            __IO   uint8_t  RCOCD                :3;
        };
        struct {
            __IO   uint8_t  RESERVED1            :5;
            __IO   uint8_t  RCOCD0               :1;
            __IO   uint8_t  RCOCD1               :1;
            __IO   uint8_t  RCOCD2               :1;
        };
    };
} stc_adc_wcmpcr_field_t;

typedef struct stc_adc_wcmpsr_field
{
    union {
        struct {
            __IO   uint8_t  WCCH                 :5;
            __IO   uint8_t  WCMD                 :1;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  WCCH0                :1;
            __IO   uint8_t  WCCH1                :1;
            __IO   uint8_t  WCCH2                :1;
            __IO   uint8_t  WCCH3                :1;
            __IO   uint8_t  WCCH4                :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_adc_wcmpsr_field_t;

typedef struct stc_adc_wcmpdl_field
{
    union {
        struct {
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  CMLD                 :10;
        };
        struct {
            __IO  uint16_t  RESERVED1            :6;
            __IO  uint16_t  CMLD0                :1;
            __IO  uint16_t  CMLD1                :1;
            __IO  uint16_t  CMLD2                :1;
            __IO  uint16_t  CMLD3                :1;
            __IO  uint16_t  CMLD4                :1;
            __IO  uint16_t  CMLD5                :1;
            __IO  uint16_t  CMLD6                :1;
            __IO  uint16_t  CMLD7                :1;
            __IO  uint16_t  CMLD8                :1;
            __IO  uint16_t  CMLD9                :1;
        };
    };
} stc_adc_wcmpdl_field_t;

typedef struct stc_adc_wcmpdh_field
{
    union {
        struct {
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  CMHD                 :10;
        };
        struct {
            __IO  uint16_t  RESERVED1            :6;
            __IO  uint16_t  CMHD0                :1;
            __IO  uint16_t  CMHD1                :1;
            __IO  uint16_t  CMHD2                :1;
            __IO  uint16_t  CMHD3                :1;
            __IO  uint16_t  CMHD4                :1;
            __IO  uint16_t  CMHD5                :1;
            __IO  uint16_t  CMHD6                :1;
            __IO  uint16_t  CMHD7                :1;
            __IO  uint16_t  CMHD8                :1;
            __IO  uint16_t  CMHD9                :1;
        };
    };
} stc_adc_wcmpdh_field_t;

/******************************************************************************
 ** BT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_bt_tmcr_field
{
    union {
        union {
            struct {
                __IO  uint16_t  STRG             :1;
                __IO  uint16_t  CTEN             :1;
                __IO  uint16_t  MDSE             :1;
                __IO  uint16_t  OSEL             :1;
                __IO  uint16_t  FMD              :3;
                __IO  uint16_t  RESERVED1        :1;
                __IO  uint16_t  EGS              :2;
                __IO  uint16_t  PMSK             :1;
                __IO  uint16_t  RTGEN            :1;
                __IO  uint16_t  CKS              :3;
                __IO  uint16_t  RESERVED4        :1;
            };
            struct {
                __IO  uint16_t  RESERVED0        :4;
                __IO  uint16_t  FMD0             :1;
                __IO  uint16_t  FMD1             :1;
                __IO  uint16_t  FMD2             :1;
                __IO  uint16_t  RESERVED2        :1;
                __IO  uint16_t  EGS0             :1;
                __IO  uint16_t  EGS1             :1;
                __IO  uint16_t  RESERVED3        :2;
                __IO  uint16_t  CKS0             :1;
                __IO  uint16_t  CKS1             :1;
                __IO  uint16_t  CKS2             :1;
                __IO  uint16_t  RESERVED5        :1;
            };
        };
        union {
            struct {
                __IO  uint16_t  RESERVED6        :7;
                __IO  uint16_t  T32              :1;
                __IO  uint16_t  RESERVED7        :8;
            };
            struct {
                __IO  uint16_t  RESERVED8        :16;
            };
        };
    };
} stc_bt_tmcr_field_t;

typedef struct stc_bt_stc_field
{
    union {
        struct {
            __IO   uint8_t  UDIR                 :1;
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  TGIR                 :1;
            __IO   uint8_t  RESERVED1            :1;
            __IO   uint8_t  UDIE                 :1;
            __IO   uint8_t  RESERVED2            :1;
            __IO   uint8_t  TGIE                 :1;
            __IO   uint8_t  RESERVED3            :1;
        };
        struct {
            __IO   uint8_t  OVIR                 :1;
            __IO   uint8_t  RESERVED5            :1;
            __IO   uint8_t  EDIR                 :1;
            __IO   uint8_t  RESERVED6            :1;
            __IO   uint8_t  OVIE                 :1;
            __IO   uint8_t  RESERVED7            :1;
            __IO   uint8_t  EDIE                 :1;
            __IO   uint8_t  ERR                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED9            :1;
            __IO   uint8_t  DTIR                 :1;
            __IO   uint8_t  RESERVED10           :3;
            __IO   uint8_t  DTIE                 :1;
            __IO   uint8_t  RESERVED11           :2;
        };
    };
} stc_bt_stc_field_t;

typedef struct stc_bt_tmcr2_field
{
    union {
        struct {
            __IO   uint8_t  CKS3                 :1;
            __IO   uint8_t  RESERVED0            :7;
        };
        struct {
            __IO   uint8_t  RESERVED6            :7;
            __IO   uint8_t  GATE                 :1;
        };
    };
} stc_bt_tmcr2_field_t;

typedef struct stc_bt_ppg_tmcr_field
{
    union {
        struct {
            __IO  uint16_t  STRG                 :1;
            __IO  uint16_t  CTEN                 :1;
            __IO  uint16_t  MDSE                 :1;
            __IO  uint16_t  OSEL                 :1;
            __IO  uint16_t  FMD                  :3;
            __IO  uint16_t  RESERVED1            :1;
            __IO  uint16_t  EGS                  :2;
            __IO  uint16_t  PMSK                 :1;
            __IO  uint16_t  RTGEN                :1;
            __IO  uint16_t  CKS                  :3;
            __IO  uint16_t  RESERVED4            :1;
        };
        struct {
            __IO  uint16_t  RESERVED0            :4;
            __IO  uint16_t  FMD0                 :1;
            __IO  uint16_t  FMD1                 :1;
            __IO  uint16_t  FMD2                 :1;
            __IO  uint16_t  RESERVED2            :1;
            __IO  uint16_t  EGS0                 :1;
            __IO  uint16_t  EGS1                 :1;
            __IO  uint16_t  RESERVED3            :2;
            __IO  uint16_t  CKS0                 :1;
            __IO  uint16_t  CKS1                 :1;
            __IO  uint16_t  CKS2                 :1;
            __IO  uint16_t  RESERVED5            :1;
        };
    };
} stc_bt_ppg_tmcr_field_t;

typedef struct stc_bt_pwc_tmcr_field
{
    union {
        struct {
            __IO  uint16_t  RESERVED6            :1;
            __IO  uint16_t  CTEN                 :1;
            __IO  uint16_t  MDSE                 :1;
            __IO  uint16_t  RESERVED7            :1;
            __IO  uint16_t  FMD                  :3;
            __IO  uint16_t  T32                  :1;
            __IO  uint16_t  EGS                  :3;
            __IO  uint16_t  RESERVED10           :1;
            __IO  uint16_t  CKS                  :3;
            __IO  uint16_t  RESERVED12           :1;
        };
        struct {
            __IO  uint16_t  RESERVED8            :4;
            __IO  uint16_t  FMD0                 :1;
            __IO  uint16_t  FMD1                 :1;
            __IO  uint16_t  FMD2                 :1;
            __IO  uint16_t  RESERVED9            :1;
            __IO  uint16_t  EGS0                 :1;
            __IO  uint16_t  EGS1                 :1;
            __IO  uint16_t  EGS2                 :1;
            __IO  uint16_t  RESERVED11           :1;
            __IO  uint16_t  CKS0                 :1;
            __IO  uint16_t  CKS1                 :1;
            __IO  uint16_t  CKS2                 :1;
            __IO  uint16_t  RESERVED13           :1;
        };
    };
} stc_bt_pwc_tmcr_field_t;

typedef struct stc_bt_pwm_tmcr_field
{
    union {
        struct {
            __IO  uint16_t  STRG                 :1;
            __IO  uint16_t  CTEN                 :1;
            __IO  uint16_t  MDSE                 :1;
            __IO  uint16_t  OSEL                 :1;
            __IO  uint16_t  FMD                  :3;
            __IO  uint16_t  RESERVED15           :1;
            __IO  uint16_t  EGS                  :2;
            __IO  uint16_t  PMSK                 :1;
            __IO  uint16_t  RTGEN                :1;
            __IO  uint16_t  CKS                  :3;
            __IO  uint16_t  RESERVED18           :1;
        };
        struct {
            __IO  uint16_t  RESERVED14           :4;
            __IO  uint16_t  FMD0                 :1;
            __IO  uint16_t  FMD1                 :1;
            __IO  uint16_t  FMD2                 :1;
            __IO  uint16_t  RESERVED16           :1;
            __IO  uint16_t  EGS0                 :1;
            __IO  uint16_t  EGS1                 :1;
            __IO  uint16_t  RESERVED17           :2;
            __IO  uint16_t  CKS0                 :1;
            __IO  uint16_t  CKS1                 :1;
            __IO  uint16_t  CKS2                 :1;
            __IO  uint16_t  RESERVED19           :1;
        };
    };
} stc_bt_pwm_tmcr_field_t;

typedef struct stc_bt_rt_tmcr_field
{
    union {
        struct {
            __IO  uint16_t  STRG                 :1;
            __IO  uint16_t  CTEN                 :1;
            __IO  uint16_t  MDSE                 :1;
            __IO  uint16_t  OSEL                 :1;
            __IO  uint16_t  FMD                  :3;
            __IO  uint16_t  T32                  :1;
            __IO  uint16_t  EGS                  :2;
            __IO  uint16_t  RESERVED22           :2;
            __IO  uint16_t  CKS                  :3;
            __IO  uint16_t  RESERVED24           :1;
        };
        struct {
            __IO  uint16_t  RESERVED20           :4;
            __IO  uint16_t  FMD0                 :1;
            __IO  uint16_t  FMD1                 :1;
            __IO  uint16_t  FMD2                 :1;
            __IO  uint16_t  RESERVED21           :1;
            __IO  uint16_t  EGS0                 :1;
            __IO  uint16_t  EGS1                 :1;
            __IO  uint16_t  RESERVED23           :2;
            __IO  uint16_t  CKS0                 :1;
            __IO  uint16_t  CKS1                 :1;
            __IO  uint16_t  CKS2                 :1;
            __IO  uint16_t  RESERVED25           :1;
        };
    };
} stc_bt_rt_tmcr_field_t;

typedef struct stc_bt_ppg_stc_field
{
        __IO   uint8_t  UDIR                     :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  TGIR                     :1;
        __IO   uint8_t  RESERVED1                :1;
        __IO   uint8_t  UDIE                     :1;
        __IO   uint8_t  RESERVED2                :1;
        __IO   uint8_t  TGIE                     :1;
        __IO   uint8_t  RESERVED3                :1;
} stc_bt_ppg_stc_field_t;

typedef struct stc_bt_pwc_stc_field
{
        __IO   uint8_t  OVIR                     :1;
        __IO   uint8_t  RESERVED5                :1;
        __IO   uint8_t  EDIR                     :1;
        __IO   uint8_t  RESERVED6                :1;
        __IO   uint8_t  OVIE                     :1;
        __IO   uint8_t  RESERVED7                :1;
        __IO   uint8_t  EDIE                     :1;
        __IO   uint8_t  ERR                      :1;
} stc_bt_pwc_stc_field_t;

typedef struct stc_bt_pwm_stc_field
{
        __IO   uint8_t  UDIR                     :1;
        __IO   uint8_t  DTIR                     :1;
        __IO   uint8_t  TGIR                     :1;
        __IO   uint8_t  RESERVED9                :1;
        __IO   uint8_t  UDIE                     :1;
        __IO   uint8_t  DTIE                     :1;
        __IO   uint8_t  TGIE                     :1;
        __IO   uint8_t  RESERVED10               :1;
} stc_bt_pwm_stc_field_t;

typedef struct stc_bt_rt_stc_field
{
        __IO   uint8_t  UDIR                     :1;
        __IO   uint8_t  RESERVED12               :1;
        __IO   uint8_t  TGIR                     :1;
        __IO   uint8_t  RESERVED13               :1;
        __IO   uint8_t  UDIE                     :1;
        __IO   uint8_t  RESERVED14               :1;
        __IO   uint8_t  TGIE                     :1;
        __IO   uint8_t  RESERVED15               :1;
} stc_bt_rt_stc_field_t;

typedef struct stc_bt_ppg_tmcr2_field
{
        __IO   uint8_t  CKS3                     :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_bt_ppg_tmcr2_field_t;

typedef struct stc_bt_pwc_tmcr2_field
{
        __IO   uint8_t  CKS3                     :1;
        __IO   uint8_t  RESERVED2                :7;
} stc_bt_pwc_tmcr2_field_t;

typedef struct stc_bt_pwm_tmcr2_field
{
        __IO   uint8_t  CKS3                     :1;
        __IO   uint8_t  RESERVED4                :7;
} stc_bt_pwm_tmcr2_field_t;

typedef struct stc_bt_rt_tmcr2_field
{
        __IO   uint8_t  CKS3                     :1;
        __IO   uint8_t  RESERVED6                :6;
        __IO   uint8_t  GATE                     :1;
} stc_bt_rt_tmcr2_field_t;

/******************************************************************************
 ** BTIOSEL03_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_btiosel03_btsel0123_field
{
    union {
        struct {
            __IO   uint8_t  SEL01                :4;
            __IO   uint8_t  SEL23                :4;
        };
        struct {
            __IO   uint8_t  SEL010               :1;
            __IO   uint8_t  SEL011               :1;
            __IO   uint8_t  SEL012               :1;
            __IO   uint8_t  SEL013               :1;
            __IO   uint8_t  SEL230               :1;
            __IO   uint8_t  SEL231               :1;
            __IO   uint8_t  SEL232               :1;
            __IO   uint8_t  SEL233               :1;
        };
    };
} stc_btiosel03_btsel0123_field_t;

/******************************************************************************
 ** BTIOSEL47_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_btiosel47_btsel4567_field
{
    union {
        struct {
            __IO   uint8_t  SEL45                :4;
            __IO   uint8_t  SEL67                :4;
        };
        struct {
            __IO   uint8_t  SEL450               :1;
            __IO   uint8_t  SEL451               :1;
            __IO   uint8_t  SEL452               :1;
            __IO   uint8_t  SEL453               :1;
            __IO   uint8_t  SEL670               :1;
            __IO   uint8_t  SEL671               :1;
            __IO   uint8_t  SEL672               :1;
            __IO   uint8_t  SEL673               :1;
        };
    };
} stc_btiosel47_btsel4567_field_t;

/******************************************************************************
 ** CLK_GATING_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_clk_gating_cken0_field
{
        __IO  uint32_t  MFSCK0                   :1;
        __IO  uint32_t  MFSCK1                   :1;
        __IO  uint32_t  MFSCK2                   :1;
        __IO  uint32_t  MFSCK3                   :1;
        __IO  uint32_t  MFSCK4                   :1;
        __IO  uint32_t  MFSCK5                   :1;
        __IO  uint32_t  MFSCK6                   :1;
        __IO  uint32_t  MFSCK7                   :1;
        __IO  uint32_t  MFSCK8                   :1;
        __IO  uint32_t  MFSCK9                   :1;
        __IO  uint32_t  MFSCK10                  :1;
        __IO  uint32_t  MFSCK11                  :1;
        __IO  uint32_t  MFSCK12                  :1;
        __IO  uint32_t  MFSCK13                  :1;
        __IO  uint32_t  MFSCK14                  :1;
        __IO  uint32_t  MFSCK15                  :1;
        __IO  uint32_t  ADCCK0                   :1;
        __IO  uint32_t  ADCCK1                   :1;
        __IO  uint32_t  ADCCK2                   :1;
        __IO  uint32_t  ADCCK3                   :1;
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  DMACK                    :1;
        __IO  uint32_t  DSTCCK                   :1;
        __IO  uint32_t  RESERVED1                :2;
        __IO  uint32_t  GIOCK                    :1;
        __IO  uint32_t  RESERVED2                :3;
} stc_clk_gating_cken0_field_t;

typedef struct stc_clk_gating_mrst0_field
{
        __IO  uint32_t  MFSRST0                  :1;
        __IO  uint32_t  MFSRST1                  :1;
        __IO  uint32_t  MFSRST2                  :1;
        __IO  uint32_t  MFSRST3                  :1;
        __IO  uint32_t  MFSRST4                  :1;
        __IO  uint32_t  MFSRST5                  :1;
        __IO  uint32_t  MFSRST6                  :1;
        __IO  uint32_t  MFSRST7                  :1;
        __IO  uint32_t  MFSRST8                  :1;
        __IO  uint32_t  MFSRST9                  :1;
        __IO  uint32_t  MFSRST10                 :1;
        __IO  uint32_t  MFSRST11                 :1;
        __IO  uint32_t  MFSRST12                 :1;
        __IO  uint32_t  MFSRST13                 :1;
        __IO  uint32_t  MFSRST14                 :1;
        __IO  uint32_t  MFSRST15                 :1;
        __IO  uint32_t  ADCRST0                  :1;
        __IO  uint32_t  ADCRST1                  :1;
        __IO  uint32_t  ADCRST2                  :1;
        __IO  uint32_t  ADCRST3                  :1;
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  DMARST                   :1;
        __IO  uint32_t  DSTCRST                  :1;
        __IO  uint32_t  RESERVED1                :6;
} stc_clk_gating_mrst0_field_t;

typedef struct stc_clk_gating_cken1_field
{
        __IO  uint32_t  BTMCK0                   :1;
        __IO  uint32_t  BTMCK1                   :1;
        __IO  uint32_t  BTMCK2                   :1;
        __IO  uint32_t  BTMCK3                   :1;
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  MFTCK0                   :1;
        __IO  uint32_t  MFTCK1                   :1;
        __IO  uint32_t  MFTCK2                   :1;
        __IO  uint32_t  MFTCK3                   :1;
        __IO  uint32_t  RESERVED1                :4;
        __IO  uint32_t  QDUCK0                   :1;
        __IO  uint32_t  QDUCK1                   :1;
        __IO  uint32_t  QDUCK2                   :1;
        __IO  uint32_t  QDUCK3                   :1;
        __IO  uint32_t  RESERVED2                :12;
} stc_clk_gating_cken1_field_t;

typedef struct stc_clk_gating_mrst1_field
{
        __IO  uint32_t  BTMRST0                  :1;
        __IO  uint32_t  BTMRST1                  :1;
        __IO  uint32_t  BTMRST2                  :1;
        __IO  uint32_t  BTMRST3                  :1;
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  MFTRST0                  :1;
        __IO  uint32_t  MFTRST1                  :1;
        __IO  uint32_t  MFTRST2                  :1;
        __IO  uint32_t  MFTRST3                  :1;
        __IO  uint32_t  RESERVED1                :4;
        __IO  uint32_t  QDURST0                  :1;
        __IO  uint32_t  QDURST1                  :1;
        __IO  uint32_t  QDURST2                  :1;
        __IO  uint32_t  QDURST3                  :1;
        __IO  uint32_t  RESERVED2                :12;
} stc_clk_gating_mrst1_field_t;

typedef struct stc_clk_gating_cken2_field
{
        __IO  uint32_t  USBCK0                   :1;
        __IO  uint32_t  USBCK1                   :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  CANCK0                   :1;
        __IO  uint32_t  CANCK1                   :1;
        __IO  uint32_t  RESERVED1                :6;
        __IO  uint32_t  ICCCK0                   :1;
        __IO  uint32_t  ICCCK1                   :1;
        __IO  uint32_t  I2SCCK0                  :1;
        __IO  uint32_t  I2SCCK1                  :1;
        __IO  uint32_t  LCDCCK                   :1;
        __IO  uint32_t  RESERVED2                :1;
        __IO  uint32_t  CECCK                    :1;
        __IO  uint32_t  RESERVED3                :1;
        __IO  uint32_t  PCRCCK                   :1;
        __IO  uint32_t  RESERVED4                :11;
} stc_clk_gating_cken2_field_t;

typedef struct stc_clk_gating_mrst2_field
{
        __IO  uint32_t  USBRST0                  :1;
        __IO  uint32_t  USBRST1                  :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  CANRST0                  :1;
        __IO  uint32_t  CANRST1                  :1;
        __IO  uint32_t  RESERVED1                :6;
        __IO  uint32_t  ICCRST0                  :1;
        __IO  uint32_t  ICCRST1                  :1;
        __IO  uint32_t  I2SCRST0                 :1;
        __IO  uint32_t  I2SCRST1                 :1;
        __IO  uint32_t  LCDCRST                  :1;
        __IO  uint32_t  RESERVED2                :1;
        __IO  uint32_t  CECRST                   :1;
        __IO  uint32_t  RESERVED3                :1;
        __IO  uint32_t  PCRCRST                  :1;
        __IO  uint32_t  RESERVED4                :11;
} stc_clk_gating_mrst2_field_t;

/******************************************************************************
 ** CRC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_crc_crccr_field
{
        __IO   uint8_t  INIT                     :1;
        __IO   uint8_t  CRC32                    :1;
        __IO   uint8_t  LTLEND                   :1;
        __IO   uint8_t  LSBFST                   :1;
        __IO   uint8_t  CRCLTE                   :1;
        __IO   uint8_t  CRCLSF                   :1;
        __IO   uint8_t  FXOR                     :1;
        __IO   uint8_t  RESERVED0                :1;
} stc_crc_crccr_field_t;

typedef struct stc_crc_crcinit_field
{
    union {
        struct {
            __IO  uint32_t  D                    :32;
        };
        struct {
            __IO  uint32_t  D0                   :1;
            __IO  uint32_t  D1                   :1;
            __IO  uint32_t  D2                   :1;
            __IO  uint32_t  D3                   :1;
            __IO  uint32_t  D4                   :1;
            __IO  uint32_t  D5                   :1;
            __IO  uint32_t  D6                   :1;
            __IO  uint32_t  D7                   :1;
            __IO  uint32_t  D8                   :1;
            __IO  uint32_t  D9                   :1;
            __IO  uint32_t  D10                  :1;
            __IO  uint32_t  D11                  :1;
            __IO  uint32_t  D12                  :1;
            __IO  uint32_t  D13                  :1;
            __IO  uint32_t  D14                  :1;
            __IO  uint32_t  D15                  :1;
            __IO  uint32_t  D16                  :1;
            __IO  uint32_t  D17                  :1;
            __IO  uint32_t  D18                  :1;
            __IO  uint32_t  D19                  :1;
            __IO  uint32_t  D20                  :1;
            __IO  uint32_t  D21                  :1;
            __IO  uint32_t  D22                  :1;
            __IO  uint32_t  D23                  :1;
            __IO  uint32_t  D24                  :1;
            __IO  uint32_t  D25                  :1;
            __IO  uint32_t  D26                  :1;
            __IO  uint32_t  D27                  :1;
            __IO  uint32_t  D28                  :1;
            __IO  uint32_t  D29                  :1;
            __IO  uint32_t  D30                  :1;
            __IO  uint32_t  D31                  :1;
        };
    };
} stc_crc_crcinit_field_t;

typedef struct stc_crc_crcin_field
{
    union {
        struct {
            __IO  uint32_t  D                    :32;
        };
        struct {
            __IO  uint32_t  D0                   :1;
            __IO  uint32_t  D1                   :1;
            __IO  uint32_t  D2                   :1;
            __IO  uint32_t  D3                   :1;
            __IO  uint32_t  D4                   :1;
            __IO  uint32_t  D5                   :1;
            __IO  uint32_t  D6                   :1;
            __IO  uint32_t  D7                   :1;
            __IO  uint32_t  D8                   :1;
            __IO  uint32_t  D9                   :1;
            __IO  uint32_t  D10                  :1;
            __IO  uint32_t  D11                  :1;
            __IO  uint32_t  D12                  :1;
            __IO  uint32_t  D13                  :1;
            __IO  uint32_t  D14                  :1;
            __IO  uint32_t  D15                  :1;
            __IO  uint32_t  D16                  :1;
            __IO  uint32_t  D17                  :1;
            __IO  uint32_t  D18                  :1;
            __IO  uint32_t  D19                  :1;
            __IO  uint32_t  D20                  :1;
            __IO  uint32_t  D21                  :1;
            __IO  uint32_t  D22                  :1;
            __IO  uint32_t  D23                  :1;
            __IO  uint32_t  D24                  :1;
            __IO  uint32_t  D25                  :1;
            __IO  uint32_t  D26                  :1;
            __IO  uint32_t  D27                  :1;
            __IO  uint32_t  D28                  :1;
            __IO  uint32_t  D29                  :1;
            __IO  uint32_t  D30                  :1;
            __IO  uint32_t  D31                  :1;
        };
    };
} stc_crc_crcin_field_t;

typedef struct stc_crc_crcr_field
{
    union {
        struct {
            __IO  uint32_t  D                    :32;
        };
        struct {
            __IO  uint32_t  D0                   :1;
            __IO  uint32_t  D1                   :1;
            __IO  uint32_t  D2                   :1;
            __IO  uint32_t  D3                   :1;
            __IO  uint32_t  D4                   :1;
            __IO  uint32_t  D5                   :1;
            __IO  uint32_t  D6                   :1;
            __IO  uint32_t  D7                   :1;
            __IO  uint32_t  D8                   :1;
            __IO  uint32_t  D9                   :1;
            __IO  uint32_t  D10                  :1;
            __IO  uint32_t  D11                  :1;
            __IO  uint32_t  D12                  :1;
            __IO  uint32_t  D13                  :1;
            __IO  uint32_t  D14                  :1;
            __IO  uint32_t  D15                  :1;
            __IO  uint32_t  D16                  :1;
            __IO  uint32_t  D17                  :1;
            __IO  uint32_t  D18                  :1;
            __IO  uint32_t  D19                  :1;
            __IO  uint32_t  D20                  :1;
            __IO  uint32_t  D21                  :1;
            __IO  uint32_t  D22                  :1;
            __IO  uint32_t  D23                  :1;
            __IO  uint32_t  D24                  :1;
            __IO  uint32_t  D25                  :1;
            __IO  uint32_t  D26                  :1;
            __IO  uint32_t  D27                  :1;
            __IO  uint32_t  D28                  :1;
            __IO  uint32_t  D29                  :1;
            __IO  uint32_t  D30                  :1;
            __IO  uint32_t  D31                  :1;
        };
    };
} stc_crc_crcr_field_t;

/******************************************************************************
 ** CRG_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_crg_scm_ctl_field
{
    union {
        struct {
            __IO  uint32_t  HCRE                 :1;
            __IO  uint32_t  MOSCE                :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  SOSCE                :1;
            __IO  uint32_t  PLLE                 :1;
            __IO  uint32_t  RCS                  :3;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  RESERVED1            :5;
            __IO  uint32_t  RCS0                 :1;
            __IO  uint32_t  RCS1                 :1;
            __IO  uint32_t  RCS2                 :1;
            __IO  uint32_t  RESERVED3            :24;
        };
    };
} stc_crg_scm_ctl_field_t;

typedef struct stc_crg_scm_str_field
{
    union {
        struct {
            __IO  uint32_t  HCRDY                :1;
            __IO  uint32_t  MORDY                :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  SORDY                :1;
            __IO  uint32_t  PLRDY                :1;
            __IO  uint32_t  RCM                  :3;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  RESERVED1            :5;
            __IO  uint32_t  RCM0                 :1;
            __IO  uint32_t  RCM1                 :1;
            __IO  uint32_t  RCM2                 :1;
            __IO  uint32_t  RESERVED3            :24;
        };
    };
} stc_crg_scm_str_field_t;

typedef struct stc_crg_stb_ctl_field
{
    union {
        struct {
            __IO  uint32_t  STM                  :2;
            __IO  uint32_t  DSTM                 :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  SPL                  :1;
            __IO  uint32_t  RESERVED1            :11;
            __IO  uint32_t  KEY                  :16;
        };
        struct {
            __IO  uint32_t  STM0                 :1;
            __IO  uint32_t  STM1                 :1;
            __IO  uint32_t  RESERVED2            :14;
            __IO  uint32_t  KEY0                 :1;
            __IO  uint32_t  KEY1                 :1;
            __IO  uint32_t  KEY2                 :1;
            __IO  uint32_t  KEY3                 :1;
            __IO  uint32_t  KEY4                 :1;
            __IO  uint32_t  KEY5                 :1;
            __IO  uint32_t  KEY6                 :1;
            __IO  uint32_t  KEY7                 :1;
            __IO  uint32_t  KEY8                 :1;
            __IO  uint32_t  KEY9                 :1;
            __IO  uint32_t  KEY10                :1;
            __IO  uint32_t  KEY11                :1;
            __IO  uint32_t  KEY12                :1;
            __IO  uint32_t  KEY13                :1;
            __IO  uint32_t  KEY14                :1;
            __IO  uint32_t  KEY15                :1;
        };
    };
} stc_crg_stb_ctl_field_t;

typedef struct stc_crg_rst_str_field
{
        __IO  uint32_t  PONR                     :1;
        __IO  uint32_t  INITX                    :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  SWDT                     :1;
        __IO  uint32_t  HWDT                     :1;
        __IO  uint32_t  CSVR                     :1;
        __IO  uint32_t  FCSR                     :1;
        __IO  uint32_t  SRST                     :1;
        __IO  uint32_t  RESERVED1                :23;
} stc_crg_rst_str_field_t;

typedef struct stc_crg_bsc_psr_field
{
    union {
        struct {
            __IO  uint32_t  BSR                  :3;
            __IO  uint32_t  RESERVED0            :29;
        };
        struct {
            __IO  uint32_t  BSR0                 :1;
            __IO  uint32_t  BSR1                 :1;
            __IO  uint32_t  BSR2                 :1;
            __IO  uint32_t  RESERVED1            :29;
        };
    };
} stc_crg_bsc_psr_field_t;

typedef struct stc_crg_apbc0_psr_field
{
    union {
        struct {
            __IO  uint32_t  APBC0                :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  APBC00               :1;
            __IO  uint32_t  APBC01               :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_crg_apbc0_psr_field_t;

typedef struct stc_crg_apbc1_psr_field
{
    union {
        struct {
            __IO  uint32_t  APBC1                :2;
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  APBC1RST             :1;
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  APBC1EN              :1;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  APBC10               :1;
            __IO  uint32_t  APBC11               :1;
            __IO  uint32_t  RESERVED3            :30;
        };
    };
} stc_crg_apbc1_psr_field_t;

typedef struct stc_crg_swc_psr_field
{
    union {
        struct {
            __IO  uint32_t  SWDS                 :2;
            __IO  uint32_t  RESERVED0            :5;
            __IO  uint32_t  TESTB                :1;
            __IO  uint32_t  RESERVED1            :24;
        };
        struct {
            __IO  uint32_t  SWDS0                :1;
            __IO  uint32_t  SWDS1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_crg_swc_psr_field_t;

typedef struct stc_crg_csw_tmr_field
{
    union {
        struct {
            __IO  uint32_t  MOWT                 :4;
            __IO  uint32_t  SOWT                 :4;
            __IO  uint32_t  RESERVED0            :24;
        };
        struct {
            __IO  uint32_t  MOWT0                :1;
            __IO  uint32_t  MOWT1                :1;
            __IO  uint32_t  MOWT2                :1;
            __IO  uint32_t  MOWT3                :1;
            __IO  uint32_t  SOWT0                :1;
            __IO  uint32_t  SOWT1                :1;
            __IO  uint32_t  SOWT2                :1;
            __IO  uint32_t  SOWT3                :1;
            __IO  uint32_t  RESERVED1            :24;
        };
    };
} stc_crg_csw_tmr_field_t;

typedef struct stc_crg_psw_tmr_field
{
    union {
        struct {
            __IO  uint32_t  POWT                 :3;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  PINC                 :1;
            __IO  uint32_t  RESERVED1            :27;
        };
        struct {
            __IO  uint32_t  POWT0                :1;
            __IO  uint32_t  POWT1                :1;
            __IO  uint32_t  POWT2                :1;
            __IO  uint32_t  RESERVED2            :29;
        };
    };
} stc_crg_psw_tmr_field_t;

typedef struct stc_crg_pll_ctl1_field
{
    union {
        struct {
            __IO  uint32_t  PLLM                 :4;
            __IO  uint32_t  PLLK                 :4;
            __IO  uint32_t  RESERVED0            :24;
        };
        struct {
            __IO  uint32_t  PLLM0                :1;
            __IO  uint32_t  PLLM1                :1;
            __IO  uint32_t  PLLM2                :1;
            __IO  uint32_t  PLLM3                :1;
            __IO  uint32_t  PLLK0                :1;
            __IO  uint32_t  PLLK1                :1;
            __IO  uint32_t  PLLK2                :1;
            __IO  uint32_t  PLLK3                :1;
            __IO  uint32_t  RESERVED1            :24;
        };
    };
} stc_crg_pll_ctl1_field_t;

typedef struct stc_crg_pll_ctl2_field
{
    union {
        struct {
            __IO  uint32_t  PLLN                 :6;
            __IO  uint32_t  RESERVED0            :26;
        };
        struct {
            __IO  uint32_t  PLLN0                :1;
            __IO  uint32_t  PLLN1                :1;
            __IO  uint32_t  PLLN2                :1;
            __IO  uint32_t  PLLN3                :1;
            __IO  uint32_t  PLLN4                :1;
            __IO  uint32_t  PLLN5                :1;
            __IO  uint32_t  RESERVED1            :26;
        };
    };
} stc_crg_pll_ctl2_field_t;

typedef struct stc_crg_csv_ctl_field
{
    union {
        struct {
            __IO  uint32_t  MCSVE                :1;
            __IO  uint32_t  SCSVE                :1;
            __IO  uint32_t  RESERVED0            :6;
            __IO  uint32_t  FCSDE                :1;
            __IO  uint32_t  FCSRE                :1;
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  FCD                  :3;
            __IO  uint32_t  RESERVED3            :17;
        };
        struct {
            __IO  uint32_t  RESERVED2            :12;
            __IO  uint32_t  FCD0                 :1;
            __IO  uint32_t  FCD1                 :1;
            __IO  uint32_t  FCD2                 :1;
            __IO  uint32_t  RESERVED4            :17;
        };
    };
} stc_crg_csv_ctl_field_t;

typedef struct stc_crg_csv_str_field
{
        __IO  uint32_t  MCMF                     :1;
        __IO  uint32_t  SCMF                     :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_crg_csv_str_field_t;

typedef struct stc_crg_fcswh_ctl_field
{
    union {
        struct {
            __IO  uint32_t  FWH                  :16;
            __IO  uint32_t  RESERVED0            :16;
        };
        struct {
            __IO  uint32_t  FWH0                 :1;
            __IO  uint32_t  FWH1                 :1;
            __IO  uint32_t  FWH2                 :1;
            __IO  uint32_t  FWH3                 :1;
            __IO  uint32_t  FWH4                 :1;
            __IO  uint32_t  FWH5                 :1;
            __IO  uint32_t  FWH6                 :1;
            __IO  uint32_t  FWH7                 :1;
            __IO  uint32_t  FWH8                 :1;
            __IO  uint32_t  FWH9                 :1;
            __IO  uint32_t  FWH10                :1;
            __IO  uint32_t  FWH11                :1;
            __IO  uint32_t  FWH12                :1;
            __IO  uint32_t  FWH13                :1;
            __IO  uint32_t  FWH14                :1;
            __IO  uint32_t  FWH15                :1;
            __IO  uint32_t  RESERVED1            :16;
        };
    };
} stc_crg_fcswh_ctl_field_t;

typedef struct stc_crg_fcswl_ctl_field
{
    union {
        struct {
            __IO  uint32_t  FWL                  :16;
            __IO  uint32_t  RESERVED0            :16;
        };
        struct {
            __IO  uint32_t  FWL0                 :1;
            __IO  uint32_t  FWL1                 :1;
            __IO  uint32_t  FWL2                 :1;
            __IO  uint32_t  FWL3                 :1;
            __IO  uint32_t  FWL4                 :1;
            __IO  uint32_t  FWL5                 :1;
            __IO  uint32_t  FWL6                 :1;
            __IO  uint32_t  FWL7                 :1;
            __IO  uint32_t  FWL8                 :1;
            __IO  uint32_t  FWL9                 :1;
            __IO  uint32_t  FWL10                :1;
            __IO  uint32_t  FWL11                :1;
            __IO  uint32_t  FWL12                :1;
            __IO  uint32_t  FWL13                :1;
            __IO  uint32_t  FWL14                :1;
            __IO  uint32_t  FWL15                :1;
            __IO  uint32_t  RESERVED1            :16;
        };
    };
} stc_crg_fcswl_ctl_field_t;

typedef struct stc_crg_fcswd_ctl_field
{
    union {
        struct {
            __IO  uint32_t  FWD                  :16;
            __IO  uint32_t  RESERVED0            :16;
        };
        struct {
            __IO  uint32_t  FWD0                 :1;
            __IO  uint32_t  FWD1                 :1;
            __IO  uint32_t  FWD2                 :1;
            __IO  uint32_t  FWD3                 :1;
            __IO  uint32_t  FWD4                 :1;
            __IO  uint32_t  FWD5                 :1;
            __IO  uint32_t  FWD6                 :1;
            __IO  uint32_t  FWD7                 :1;
            __IO  uint32_t  FWD8                 :1;
            __IO  uint32_t  FWD9                 :1;
            __IO  uint32_t  FWD10                :1;
            __IO  uint32_t  FWD11                :1;
            __IO  uint32_t  FWD12                :1;
            __IO  uint32_t  FWD13                :1;
            __IO  uint32_t  FWD14                :1;
            __IO  uint32_t  FWD15                :1;
            __IO  uint32_t  RESERVED1            :16;
        };
    };
} stc_crg_fcswd_ctl_field_t;

typedef struct stc_crg_dbwdt_ctl_field
{
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  DPSWBE                   :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  DPHWBE                   :1;
        __IO  uint32_t  RESERVED2                :24;
} stc_crg_dbwdt_ctl_field_t;

typedef struct stc_crg_int_enr_field
{
        __IO  uint32_t  MCSE                     :1;
        __IO  uint32_t  SCSE                     :1;
        __IO  uint32_t  PCSE                     :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  FCSE                     :1;
        __IO  uint32_t  RESERVED1                :26;
} stc_crg_int_enr_field_t;

typedef struct stc_crg_int_str_field
{
        __IO  uint32_t  MCSI                     :1;
        __IO  uint32_t  SCSI                     :1;
        __IO  uint32_t  PCSI                     :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  FCSI                     :1;
        __IO  uint32_t  RESERVED1                :26;
} stc_crg_int_str_field_t;

typedef struct stc_crg_int_clr_field
{
        __IO  uint32_t  MCSC                     :1;
        __IO  uint32_t  SCSC                     :1;
        __IO  uint32_t  PCSC                     :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  FCSC                     :1;
        __IO  uint32_t  RESERVED1                :26;
} stc_crg_int_clr_field_t;

/******************************************************************************
 ** CRTRIM_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_crtrim_mcr_psr_field
{
    union {
        struct {
            __IO   uint8_t  CSR                  :3;
            __IO   uint8_t  RESERVED0            :5;
        };
        struct {
            __IO   uint8_t  CSR0                 :1;
            __IO   uint8_t  CSR1                 :1;
            __IO   uint8_t  CSR2                 :1;
            __IO   uint8_t  RESERVED1            :5;
        };
    };
} stc_crtrim_mcr_psr_field_t;

typedef struct stc_crtrim_mcr_ftrm_field
{
    union {
        struct {
            __IO  uint16_t  TRD                  :10;
            __IO  uint16_t  RESERVED0            :6;
        };
        struct {
            __IO  uint16_t  TRD0                 :1;
            __IO  uint16_t  TRD1                 :1;
            __IO  uint16_t  TRD2                 :1;
            __IO  uint16_t  TRD3                 :1;
            __IO  uint16_t  TRD4                 :1;
            __IO  uint16_t  TRD5                 :1;
            __IO  uint16_t  TRD6                 :1;
            __IO  uint16_t  TRD7                 :1;
            __IO  uint16_t  TRD8                 :1;
            __IO  uint16_t  TRD9                 :1;
            __IO  uint16_t  RESERVED1            :6;
        };
    };
} stc_crtrim_mcr_ftrm_field_t;

typedef struct stc_crtrim_mcr_ttrm_field
{
    union {
        struct {
            __IO   uint8_t  TRT                  :7;
            __IO   uint8_t  RESERVED0            :1;
        };
        struct {
            __IO   uint8_t  TRT0                 :1;
            __IO   uint8_t  TRT1                 :1;
            __IO   uint8_t  TRT2                 :1;
            __IO   uint8_t  TRT3                 :1;
            __IO   uint8_t  TRT4                 :1;
            __IO   uint8_t  TRT5                 :1;
            __IO   uint8_t  TRT6                 :1;
            __IO   uint8_t  RESERVED1            :1;
        };
    };
} stc_crtrim_mcr_ttrm_field_t;

typedef struct stc_crtrim_mcr_rlr_field
{
    union {
        struct {
            __IO  uint32_t  TRMLCK               :32;
        };
        struct {
            __IO  uint32_t  TRMLCK0              :1;
            __IO  uint32_t  TRMLCK1              :1;
            __IO  uint32_t  TRMLCK2              :1;
            __IO  uint32_t  TRMLCK3              :1;
            __IO  uint32_t  TRMLCK4              :1;
            __IO  uint32_t  TRMLCK5              :1;
            __IO  uint32_t  TRMLCK6              :1;
            __IO  uint32_t  TRMLCK7              :1;
            __IO  uint32_t  TRMLCK8              :1;
            __IO  uint32_t  TRMLCK9              :1;
            __IO  uint32_t  TRMLCK10             :1;
            __IO  uint32_t  TRMLCK11             :1;
            __IO  uint32_t  TRMLCK12             :1;
            __IO  uint32_t  TRMLCK13             :1;
            __IO  uint32_t  TRMLCK14             :1;
            __IO  uint32_t  TRMLCK15             :1;
            __IO  uint32_t  TRMLCK16             :1;
            __IO  uint32_t  TRMLCK17             :1;
            __IO  uint32_t  TRMLCK18             :1;
            __IO  uint32_t  TRMLCK19             :1;
            __IO  uint32_t  TRMLCK20             :1;
            __IO  uint32_t  TRMLCK21             :1;
            __IO  uint32_t  TRMLCK22             :1;
            __IO  uint32_t  TRMLCK23             :1;
            __IO  uint32_t  TRMLCK24             :1;
            __IO  uint32_t  TRMLCK25             :1;
            __IO  uint32_t  TRMLCK26             :1;
            __IO  uint32_t  TRMLCK27             :1;
            __IO  uint32_t  TRMLCK28             :1;
            __IO  uint32_t  TRMLCK29             :1;
            __IO  uint32_t  TRMLCK30             :1;
            __IO  uint32_t  TRMLCK31             :1;
        };
    };
} stc_crtrim_mcr_rlr_field_t;

/******************************************************************************
 ** DS_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_ds_reg_ctl_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  ISUBSEL              :2;
            __IO   uint8_t  RESERVED2            :5;
        };
        struct {
            __IO   uint8_t  RESERVED1            :1;
            __IO   uint8_t  ISUBSEL0             :1;
            __IO   uint8_t  ISUBSEL1             :1;
            __IO   uint8_t  RESERVED3            :5;
        };
    };
} stc_ds_reg_ctl_field_t;

typedef struct stc_ds_rck_ctl_field
{
        __IO   uint8_t  RTCCKE                   :1;
        __IO   uint8_t  CECCKE                   :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_ds_rck_ctl_field_t;

typedef struct stc_ds_mosc_ctl_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  IMAINSEL             :2;
            __IO   uint8_t  RESERVED2            :5;
        };
        struct {
            __IO   uint8_t  RESERVED1            :1;
            __IO   uint8_t  IMAINSEL0            :1;
            __IO   uint8_t  IMAINSEL1            :1;
            __IO   uint8_t  RESERVED3            :5;
        };
    };
} stc_ds_mosc_ctl_field_t;

typedef struct stc_ds_cal_ctl_field
{
        __IO   uint8_t  CALSTART                 :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  BGRSEL                   :1;
        __IO   uint8_t  CALDONE                  :1;
        __IO   uint8_t  RESERVED1                :4;
} stc_ds_cal_ctl_field_t;

typedef struct stc_ds_pmd_ctl_field
{
        __IO   uint8_t  RTCE                     :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_ds_pmd_ctl_field_t;

typedef struct stc_ds_wrfsr_field
{
        __IO   uint8_t  WINITX                   :1;
        __IO   uint8_t  WLVDH                    :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_ds_wrfsr_field_t;

typedef struct stc_ds_wifsr_field
{
        __IO  uint16_t  WRTCI                    :1;
        __IO  uint16_t  WLVDI                    :1;
        __IO  uint16_t  WUI0                     :1;
        __IO  uint16_t  WUI1                     :1;
        __IO  uint16_t  WUI2                     :1;
        __IO  uint16_t  WUI3                     :1;
        __IO  uint16_t  WUI4                     :1;
        __IO  uint16_t  WUI5                     :1;
        __IO  uint16_t  WCEC0I                   :1;
        __IO  uint16_t  WCEC1I                   :1;
        __IO  uint16_t  WUI6                     :1;
        __IO  uint16_t  WUI7                     :1;
        __IO  uint16_t  WUI8                     :1;
        __IO  uint16_t  WUI9                     :1;
        __IO  uint16_t  WUI10                    :1;
        __IO  uint16_t  WUI11                    :1;
} stc_ds_wifsr_field_t;

typedef struct stc_ds_wier_field
{
        __IO  uint16_t  WRTCE                    :1;
        __IO  uint16_t  WLVDE                    :1;
        __IO  uint16_t  RESERVED0                :1;
        __IO  uint16_t  WUI1E                    :1;
        __IO  uint16_t  WUI2E                    :1;
        __IO  uint16_t  WUI3E                    :1;
        __IO  uint16_t  WUI4E                    :1;
        __IO  uint16_t  WUI5E                    :1;
        __IO  uint16_t  WCEC0E                   :1;
        __IO  uint16_t  WCEC1E                   :1;
        __IO  uint16_t  WUI6E                    :1;
        __IO  uint16_t  WUI7E                    :1;
        __IO  uint16_t  WUI8E                    :1;
        __IO  uint16_t  WUI9E                    :1;
        __IO  uint16_t  WUI10E                   :1;
        __IO  uint16_t  WUI11E                   :1;
} stc_ds_wier_field_t;

typedef struct stc_ds_wilvr_field
{
        __IO  uint16_t  WUI1LV                   :1;
        __IO  uint16_t  WUI2LV                   :1;
        __IO  uint16_t  WUI3LV                   :1;
        __IO  uint16_t  WUI4LV                   :1;
        __IO  uint16_t  WUI5LV                   :1;
        __IO  uint16_t  WUI6LV                   :1;
        __IO  uint16_t  WUI7LV                   :1;
        __IO  uint16_t  WUI8LV                   :1;
        __IO  uint16_t  WUI9LV                   :1;
        __IO  uint16_t  WUI10LV                  :1;
        __IO  uint16_t  WUI11LV                  :1;
        __IO  uint16_t  RESERVED0                :5;
} stc_ds_wilvr_field_t;

typedef struct stc_ds_dsramr_field
{
    union {
        struct {
            __IO   uint8_t  SRAMR                :2;
            __IO   uint8_t  RESERVED0            :6;
        };
        struct {
            __IO   uint8_t  SRAMR0               :1;
            __IO   uint8_t  SRAMR1               :1;
            __IO   uint8_t  RESERVED1            :6;
        };
    };
} stc_ds_dsramr_field_t;

typedef struct stc_ds_wiolc_ctl_field
{
        __IO  uint32_t  LH_CL                    :1;
        __IO  uint32_t  RESERVED0                :7;
        __IO  uint32_t  CONTX                    :1;
        __IO  uint32_t  RESERVED1                :7;
        __IO  uint32_t  LHX_ST                   :1;
        __IO  uint32_t  RESERVED2                :15;
} stc_ds_wiolc_ctl_field_t;

typedef struct stc_ds_subosc_ctl_field
{
    union {
        struct {
            __IO   uint8_t  SUBXC                :2;
            __IO   uint8_t  RESERVED0            :6;
        };
        struct {
            __IO   uint8_t  SUBXC0               :1;
            __IO   uint8_t  SUBXC1               :1;
            __IO   uint8_t  RESERVED1            :6;
        };
    };
} stc_ds_subosc_ctl_field_t;

typedef struct stc_ds_cec_ctl_field
{
    union {
        struct {
            __IO   uint8_t  WS_CECR0B            :2;
            __IO   uint8_t  WS_CECR1B            :2;
            __IO   uint8_t  RESERVED0            :4;
        };
        struct {
            __IO   uint8_t  WS_CECR0B0           :1;
            __IO   uint8_t  WS_CECR0B1           :1;
            __IO   uint8_t  WS_CECR1B0           :1;
            __IO   uint8_t  WS_CECR1B1           :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_ds_cec_ctl_field_t;

typedef struct stc_ds_debug_sw_ctl_field
{
        __IO   uint8_t  DBG_EN                   :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_ds_debug_sw_ctl_field_t;

/******************************************************************************
 ** DSTC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_dstc_hwdesp_field
{
    union {
        struct {
            __IO  uint32_t  CHANNEL              :8;
            __IO  uint32_t  RESERVED0            :8;
            __IO  uint32_t  HWDESP               :14;
            __IO  uint32_t  RESERVED2            :2;
        };
        struct {
            __IO  uint32_t  CHANNEL0             :1;
            __IO  uint32_t  CHANNEL1             :1;
            __IO  uint32_t  CHANNEL2             :1;
            __IO  uint32_t  CHANNEL3             :1;
            __IO  uint32_t  CHANNEL4             :1;
            __IO  uint32_t  CHANNEL5             :1;
            __IO  uint32_t  CHANNEL6             :1;
            __IO  uint32_t  CHANNEL7             :1;
            __IO  uint32_t  RESERVED1            :8;
            __IO  uint32_t  HWDESP0              :1;
            __IO  uint32_t  HWDESP1              :1;
            __IO  uint32_t  HWDESP2              :1;
            __IO  uint32_t  HWDESP3              :1;
            __IO  uint32_t  HWDESP4              :1;
            __IO  uint32_t  HWDESP5              :1;
            __IO  uint32_t  HWDESP6              :1;
            __IO  uint32_t  HWDESP7              :1;
            __IO  uint32_t  HWDESP8              :1;
            __IO  uint32_t  HWDESP9              :1;
            __IO  uint32_t  HWDESP10             :1;
            __IO  uint32_t  HWDESP11             :1;
            __IO  uint32_t  HWDESP12             :1;
            __IO  uint32_t  HWDESP13             :1;
            __IO  uint32_t  RESERVED3            :2;
        };
    };
} stc_dstc_hwdesp_field_t;

typedef struct stc_dstc_cfg_field
{
    union {
        struct {
            __IO   uint8_t  SWINTE               :1;
            __IO   uint8_t  ERINTE               :1;
            __IO   uint8_t  RBDIS                :1;
            __IO   uint8_t  ESTE                 :1;
            __IO   uint8_t  SWPR                 :3;
            __IO   uint8_t  RESERVED1            :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :4;
            __IO   uint8_t  SWPR0                :1;
            __IO   uint8_t  SWPR1                :1;
            __IO   uint8_t  SWPR2                :1;
            __IO   uint8_t  RESERVED2            :1;
        };
    };
} stc_dstc_cfg_field_t;

typedef struct stc_dstc_swtr_field
{
    union {
        struct {
            __IO  uint16_t  SWDESP               :14;
            __IO  uint16_t  SWREQ                :1;
            __IO  uint16_t  SWST                 :1;
        };
        struct {
            __IO  uint16_t  SWDESP0              :1;
            __IO  uint16_t  SWDESP1              :1;
            __IO  uint16_t  SWDESP2              :1;
            __IO  uint16_t  SWDESP3              :1;
            __IO  uint16_t  SWDESP4              :1;
            __IO  uint16_t  SWDESP5              :1;
            __IO  uint16_t  SWDESP6              :1;
            __IO  uint16_t  SWDESP7              :1;
            __IO  uint16_t  SWDESP8              :1;
            __IO  uint16_t  SWDESP9              :1;
            __IO  uint16_t  SWDESP10             :1;
            __IO  uint16_t  SWDESP11             :1;
            __IO  uint16_t  SWDESP12             :1;
            __IO  uint16_t  SWDESP13             :1;
            __IO  uint16_t  RESERVED0            :2;
        };
    };
} stc_dstc_swtr_field_t;

typedef struct stc_dstc_moners_field
{
    union {
        struct {
            __IO  uint32_t  EST                  :3;
            __IO  uint32_t  DER                  :1;
            __IO  uint32_t  ESTOP                :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  EHS                  :1;
            __IO  uint32_t  RESERVED1            :1;
            __IO  uint32_t  ECH                  :8;
            __IO  uint32_t  EDESP                :14;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  EST0                 :1;
            __IO  uint32_t  EST1                 :1;
            __IO  uint32_t  EST2                 :1;
            __IO  uint32_t  RESERVED2            :5;
            __IO  uint32_t  ECH0                 :1;
            __IO  uint32_t  ECH1                 :1;
            __IO  uint32_t  ECH2                 :1;
            __IO  uint32_t  ECH3                 :1;
            __IO  uint32_t  ECH4                 :1;
            __IO  uint32_t  ECH5                 :1;
            __IO  uint32_t  ECH6                 :1;
            __IO  uint32_t  ECH7                 :1;
            __IO  uint32_t  EDESP0               :1;
            __IO  uint32_t  EDESP1               :1;
            __IO  uint32_t  EDESP2               :1;
            __IO  uint32_t  EDESP3               :1;
            __IO  uint32_t  EDESP4               :1;
            __IO  uint32_t  EDESP5               :1;
            __IO  uint32_t  EDESP6               :1;
            __IO  uint32_t  EDESP7               :1;
            __IO  uint32_t  EDESP8               :1;
            __IO  uint32_t  EDESP9               :1;
            __IO  uint32_t  EDESP10              :1;
            __IO  uint32_t  EDESP11              :1;
            __IO  uint32_t  EDESP12              :1;
            __IO  uint32_t  EDESP13              :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dstc_moners_field_t;

/******************************************************************************
 ** DT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_dt_timer1control_field
{
    union {
        struct {
            __IO  uint32_t  ONESHOT              :1;
            __IO  uint32_t  TIMERSIZE            :1;
            __IO  uint32_t  TIMERPRE             :2;
            __IO  uint32_t  RESERVED1            :1;
            __IO  uint32_t  INTENABLE            :1;
            __IO  uint32_t  TIMERMODE            :1;
            __IO  uint32_t  TIMEREN              :1;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TIMERPRE0            :1;
            __IO  uint32_t  TIMERPRE1            :1;
            __IO  uint32_t  RESERVED3            :28;
        };
    };
} stc_dt_timer1control_field_t;

typedef struct stc_dt_timer1ris_field
{
        __IO  uint32_t  TIMER1RIS                :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_dt_timer1ris_field_t;

typedef struct stc_dt_timer1mis_field
{
        __IO  uint32_t  TIMER1MIS                :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_dt_timer1mis_field_t;

typedef struct stc_dt_timer2control_field
{
    union {
        struct {
            __IO  uint32_t  ONESHOT              :1;
            __IO  uint32_t  TIMERSIZE            :1;
            __IO  uint32_t  TIMERPRE             :2;
            __IO  uint32_t  RESERVED1            :1;
            __IO  uint32_t  INTENABLE            :1;
            __IO  uint32_t  TIMERMODE            :1;
            __IO  uint32_t  TIMEREN              :1;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TIMERPRE0            :1;
            __IO  uint32_t  TIMERPRE1            :1;
            __IO  uint32_t  RESERVED3            :28;
        };
    };
} stc_dt_timer2control_field_t;

typedef struct stc_dt_timer2ris_field
{
        __IO  uint32_t  TIMER2RIS                :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_dt_timer2ris_field_t;

typedef struct stc_dt_timer2mis_field
{
        __IO  uint32_t  TIMER2MIS                :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_dt_timer2mis_field_t;

/******************************************************************************
 ** EXTI_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_exti_enir_field
{
        __IO  uint32_t  EN0                      :1;
        __IO  uint32_t  EN1                      :1;
        __IO  uint32_t  EN2                      :1;
        __IO  uint32_t  EN3                      :1;
        __IO  uint32_t  EN4                      :1;
        __IO  uint32_t  EN5                      :1;
        __IO  uint32_t  EN6                      :1;
        __IO  uint32_t  EN7                      :1;
        __IO  uint32_t  EN8                      :1;
        __IO  uint32_t  EN9                      :1;
        __IO  uint32_t  EN10                     :1;
        __IO  uint32_t  EN11                     :1;
        __IO  uint32_t  EN12                     :1;
        __IO  uint32_t  EN13                     :1;
        __IO  uint32_t  EN14                     :1;
        __IO  uint32_t  EN15                     :1;
        __IO  uint32_t  EN16                     :1;
        __IO  uint32_t  EN17                     :1;
        __IO  uint32_t  EN18                     :1;
        __IO  uint32_t  EN19                     :1;
        __IO  uint32_t  EN20                     :1;
        __IO  uint32_t  EN21                     :1;
        __IO  uint32_t  EN22                     :1;
        __IO  uint32_t  EN23                     :1;
        __IO  uint32_t  EN24                     :1;
        __IO  uint32_t  EN25                     :1;
        __IO  uint32_t  EN26                     :1;
        __IO  uint32_t  EN27                     :1;
        __IO  uint32_t  EN28                     :1;
        __IO  uint32_t  EN29                     :1;
        __IO  uint32_t  EN30                     :1;
        __IO  uint32_t  EN31                     :1;
} stc_exti_enir_field_t;

typedef struct stc_exti_eirr_field
{
        __IO  uint32_t  ER0                      :1;
        __IO  uint32_t  ER1                      :1;
        __IO  uint32_t  ER2                      :1;
        __IO  uint32_t  ER3                      :1;
        __IO  uint32_t  ER4                      :1;
        __IO  uint32_t  ER5                      :1;
        __IO  uint32_t  ER6                      :1;
        __IO  uint32_t  ER7                      :1;
        __IO  uint32_t  ER8                      :1;
        __IO  uint32_t  ER9                      :1;
        __IO  uint32_t  ER10                     :1;
        __IO  uint32_t  ER11                     :1;
        __IO  uint32_t  ER12                     :1;
        __IO  uint32_t  ER13                     :1;
        __IO  uint32_t  ER14                     :1;
        __IO  uint32_t  ER15                     :1;
        __IO  uint32_t  ER16                     :1;
        __IO  uint32_t  ER17                     :1;
        __IO  uint32_t  ER18                     :1;
        __IO  uint32_t  ER19                     :1;
        __IO  uint32_t  ER20                     :1;
        __IO  uint32_t  ER21                     :1;
        __IO  uint32_t  ER22                     :1;
        __IO  uint32_t  ER23                     :1;
        __IO  uint32_t  ER24                     :1;
        __IO  uint32_t  ER25                     :1;
        __IO  uint32_t  ER26                     :1;
        __IO  uint32_t  ER27                     :1;
        __IO  uint32_t  ER28                     :1;
        __IO  uint32_t  ER29                     :1;
        __IO  uint32_t  ER30                     :1;
        __IO  uint32_t  ER31                     :1;
} stc_exti_eirr_field_t;

typedef struct stc_exti_eicl_field
{
        __IO  uint32_t  ECL0                     :1;
        __IO  uint32_t  ECL1                     :1;
        __IO  uint32_t  ECL2                     :1;
        __IO  uint32_t  ECL3                     :1;
        __IO  uint32_t  ECL4                     :1;
        __IO  uint32_t  ECL5                     :1;
        __IO  uint32_t  ECL6                     :1;
        __IO  uint32_t  ECL7                     :1;
        __IO  uint32_t  ECL8                     :1;
        __IO  uint32_t  ECL9                     :1;
        __IO  uint32_t  ECL10                    :1;
        __IO  uint32_t  ECL11                    :1;
        __IO  uint32_t  ECL12                    :1;
        __IO  uint32_t  ECL13                    :1;
        __IO  uint32_t  ECL14                    :1;
        __IO  uint32_t  ECL15                    :1;
        __IO  uint32_t  ECL16                    :1;
        __IO  uint32_t  ECL17                    :1;
        __IO  uint32_t  ECL18                    :1;
        __IO  uint32_t  ECL19                    :1;
        __IO  uint32_t  ECL20                    :1;
        __IO  uint32_t  ECL21                    :1;
        __IO  uint32_t  ECL22                    :1;
        __IO  uint32_t  ECL23                    :1;
        __IO  uint32_t  ECL24                    :1;
        __IO  uint32_t  ECL25                    :1;
        __IO  uint32_t  ECL26                    :1;
        __IO  uint32_t  ECL27                    :1;
        __IO  uint32_t  ECL28                    :1;
        __IO  uint32_t  ECL29                    :1;
        __IO  uint32_t  ECL30                    :1;
        __IO  uint32_t  ECL31                    :1;
} stc_exti_eicl_field_t;

typedef struct stc_exti_elvr_field
{
        __IO  uint32_t  LA0                      :1;
        __IO  uint32_t  LB0                      :1;
        __IO  uint32_t  LA1                      :1;
        __IO  uint32_t  LB1                      :1;
        __IO  uint32_t  LA2                      :1;
        __IO  uint32_t  LB2                      :1;
        __IO  uint32_t  LA3                      :1;
        __IO  uint32_t  LB3                      :1;
        __IO  uint32_t  LA4                      :1;
        __IO  uint32_t  LB4                      :1;
        __IO  uint32_t  LA5                      :1;
        __IO  uint32_t  LB5                      :1;
        __IO  uint32_t  LA6                      :1;
        __IO  uint32_t  LB6                      :1;
        __IO  uint32_t  LA7                      :1;
        __IO  uint32_t  LB7                      :1;
        __IO  uint32_t  LA8                      :1;
        __IO  uint32_t  LB8                      :1;
        __IO  uint32_t  LA9                      :1;
        __IO  uint32_t  LB9                      :1;
        __IO  uint32_t  LA10                     :1;
        __IO  uint32_t  LB10                     :1;
        __IO  uint32_t  LA11                     :1;
        __IO  uint32_t  LB11                     :1;
        __IO  uint32_t  LA12                     :1;
        __IO  uint32_t  LB12                     :1;
        __IO  uint32_t  LA13                     :1;
        __IO  uint32_t  LB13                     :1;
        __IO  uint32_t  LA14                     :1;
        __IO  uint32_t  LB14                     :1;
        __IO  uint32_t  LA15                     :1;
        __IO  uint32_t  LB15                     :1;
} stc_exti_elvr_field_t;

typedef struct stc_exti_elvr1_field
{
        __IO  uint32_t  LA16                     :1;
        __IO  uint32_t  LB16                     :1;
        __IO  uint32_t  LA17                     :1;
        __IO  uint32_t  LB17                     :1;
        __IO  uint32_t  LA18                     :1;
        __IO  uint32_t  LB18                     :1;
        __IO  uint32_t  LA19                     :1;
        __IO  uint32_t  LB19                     :1;
        __IO  uint32_t  LA20                     :1;
        __IO  uint32_t  LB20                     :1;
        __IO  uint32_t  LA21                     :1;
        __IO  uint32_t  LB21                     :1;
        __IO  uint32_t  LA22                     :1;
        __IO  uint32_t  LB22                     :1;
        __IO  uint32_t  LA23                     :1;
        __IO  uint32_t  LB23                     :1;
        __IO  uint32_t  LA24                     :1;
        __IO  uint32_t  LB24                     :1;
        __IO  uint32_t  LA25                     :1;
        __IO  uint32_t  LB25                     :1;
        __IO  uint32_t  LA26                     :1;
        __IO  uint32_t  LB26                     :1;
        __IO  uint32_t  LA27                     :1;
        __IO  uint32_t  LB27                     :1;
        __IO  uint32_t  LA28                     :1;
        __IO  uint32_t  LB28                     :1;
        __IO  uint32_t  LA29                     :1;
        __IO  uint32_t  LB29                     :1;
        __IO  uint32_t  LA30                     :1;
        __IO  uint32_t  LB30                     :1;
        __IO  uint32_t  LA31                     :1;
        __IO  uint32_t  LB31                     :1;
} stc_exti_elvr1_field_t;

typedef struct stc_exti_nmirr_field
{
        __IO  uint16_t  NR                       :1;
        __IO  uint16_t  RESERVED0                :15;
} stc_exti_nmirr_field_t;

typedef struct stc_exti_nmicl_field
{
        __IO  uint16_t  NCL                      :1;
        __IO  uint16_t  RESERVED0                :15;
} stc_exti_nmicl_field_t;

typedef struct stc_exti_elvr2_field
{
        __IO  uint32_t  LC0                      :1;
        __IO  uint32_t  LC1                      :1;
        __IO  uint32_t  LC2                      :1;
        __IO  uint32_t  LC3                      :1;
        __IO  uint32_t  LC4                      :1;
        __IO  uint32_t  LC5                      :1;
        __IO  uint32_t  LC6                      :1;
        __IO  uint32_t  LC7                      :1;
        __IO  uint32_t  LC8                      :1;
        __IO  uint32_t  LC9                      :1;
        __IO  uint32_t  LC10                     :1;
        __IO  uint32_t  LC11                     :1;
        __IO  uint32_t  LC12                     :1;
        __IO  uint32_t  LC13                     :1;
        __IO  uint32_t  LC14                     :1;
        __IO  uint32_t  LC15                     :1;
        __IO  uint32_t  LC16                     :1;
        __IO  uint32_t  LC17                     :1;
        __IO  uint32_t  LC18                     :1;
        __IO  uint32_t  LC19                     :1;
        __IO  uint32_t  LC20                     :1;
        __IO  uint32_t  LC21                     :1;
        __IO  uint32_t  LC22                     :1;
        __IO  uint32_t  LC23                     :1;
        __IO  uint32_t  LC24                     :1;
        __IO  uint32_t  LC25                     :1;
        __IO  uint32_t  LC26                     :1;
        __IO  uint32_t  LC27                     :1;
        __IO  uint32_t  LC28                     :1;
        __IO  uint32_t  LC29                     :1;
        __IO  uint32_t  LC30                     :1;
        __IO  uint32_t  LC31                     :1;
} stc_exti_elvr2_field_t;

typedef struct stc_exti_nmienr_field
{
        __IO   uint8_t  NE0                      :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_exti_nmienr_field_t;

/******************************************************************************
 ** FASTIO_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_fastio_fpdir0_field
{
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED1                :9;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED2                :16;
} stc_fastio_fpdir0_field_t;

typedef struct stc_fastio_fpdir1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED0                :26;
} stc_fastio_fpdir1_field_t;

typedef struct stc_fastio_fpdir2_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_fastio_fpdir2_field_t;

typedef struct stc_fastio_fpdir4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :24;
} stc_fastio_fpdir4_field_t;

typedef struct stc_fastio_fpdir5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_fastio_fpdir5_field_t;

typedef struct stc_fastio_fpdor0_field
{
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED1                :9;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED2                :16;
} stc_fastio_fpdor0_field_t;

typedef struct stc_fastio_fpdor1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED0                :26;
} stc_fastio_fpdor1_field_t;

typedef struct stc_fastio_fpdor2_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_fastio_fpdor2_field_t;

typedef struct stc_fastio_fpdor4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :24;
} stc_fastio_fpdor4_field_t;

typedef struct stc_fastio_fpdor5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_fastio_fpdor5_field_t;

typedef struct stc_fastio_m_fpdir0_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED0                :24;
} stc_fastio_m_fpdir0_field_t;

typedef struct stc_fastio_m_fpdir1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED0                :24;
} stc_fastio_m_fpdir1_field_t;

typedef struct stc_fastio_m_fpdor0_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED0                :24;
} stc_fastio_m_fpdor0_field_t;

typedef struct stc_fastio_m_fpdor1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED0                :24;
} stc_fastio_m_fpdor1_field_t;

/******************************************************************************
 ** FLASH_IF_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_flash_if_frwtr_field
{
    union {
        struct {
            __IO  uint32_t  RWT                  :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  RWT0                 :1;
            __IO  uint32_t  RWT1                 :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_flash_if_frwtr_field_t;

typedef struct stc_flash_if_fstr_field
{
        __IO  uint32_t  RDY                      :1;
        __IO  uint32_t  HNG                      :1;
        __IO  uint32_t  CERS                     :1;
        __IO  uint32_t  ESPS                     :1;
        __IO  uint32_t  SERS                     :1;
        __IO  uint32_t  PGMS                     :1;
        __IO  uint32_t  RESERVED0                :26;
} stc_flash_if_fstr_field_t;

typedef struct stc_flash_if_fsyndn_field
{
    union {
        struct {
            __IO  uint32_t  SD                   :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  SD0                  :1;
            __IO  uint32_t  SD1                  :1;
            __IO  uint32_t  SD2                  :1;
            __IO  uint32_t  SD3                  :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_flash_if_fsyndn_field_t;

typedef struct stc_flash_if_ficr_field
{
        __IO  uint32_t  RDYIE                    :1;
        __IO  uint32_t  HANGIE                   :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_flash_if_ficr_field_t;

typedef struct stc_flash_if_fisr_field
{
        __IO  uint32_t  RDYIF                    :1;
        __IO  uint32_t  HANGIF                   :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_flash_if_fisr_field_t;

typedef struct stc_flash_if_ficlr_field
{
        __IO  uint32_t  RDYC                     :1;
        __IO  uint32_t  HANGC                    :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_flash_if_ficlr_field_t;

typedef struct stc_flash_if_crtrmm_field
{
    union {
        struct {
            __IO  uint32_t  TRMM                 :10;
            __IO  uint32_t  RESERVED0            :6;
            __IO  uint32_t  TTRMM                :7;
            __IO  uint32_t  RESERVED2            :9;
        };
        struct {
            __IO  uint32_t  TRMM0                :1;
            __IO  uint32_t  TRMM1                :1;
            __IO  uint32_t  TRMM2                :1;
            __IO  uint32_t  TRMM3                :1;
            __IO  uint32_t  TRMM4                :1;
            __IO  uint32_t  TRMM5                :1;
            __IO  uint32_t  TRMM6                :1;
            __IO  uint32_t  TRMM7                :1;
            __IO  uint32_t  TRMM8                :1;
            __IO  uint32_t  TRMM9                :1;
            __IO  uint32_t  RESERVED1            :6;
            __IO  uint32_t  TTRMM0               :1;
            __IO  uint32_t  TTRMM1               :1;
            __IO  uint32_t  TTRMM2               :1;
            __IO  uint32_t  TTRMM3               :1;
            __IO  uint32_t  TTRMM4               :1;
            __IO  uint32_t  TTRMM5               :1;
            __IO  uint32_t  TTRMM6               :1;
            __IO  uint32_t  RESERVED3            :9;
        };
    };
} stc_flash_if_crtrmm_field_t;

/******************************************************************************
 ** GPIO_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_gpio_pfr0_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED2                :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED3                :9;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED4                :16;
} stc_gpio_pfr0_field_t;

typedef struct stc_gpio_pfr1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  RESERVED1                :20;
} stc_gpio_pfr1_field_t;

typedef struct stc_gpio_pfr2_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pfr2_field_t;

typedef struct stc_gpio_pfr3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  RESERVED1                :19;
} stc_gpio_pfr3_field_t;

typedef struct stc_gpio_pfr4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :4;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  RESERVED2                :17;
} stc_gpio_pfr4_field_t;

typedef struct stc_gpio_pfr5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_pfr5_field_t;

typedef struct stc_gpio_pfr6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pfr6_field_t;

typedef struct stc_gpio_pfr8_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pfr8_field_t;

typedef struct stc_gpio_pfre_field
{
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pfre_field_t;

typedef struct stc_gpio_pcr0_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED2                :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED3                :9;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED4                :16;
} stc_gpio_pcr0_field_t;

typedef struct stc_gpio_pcr1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  RESERVED1                :20;
} stc_gpio_pcr1_field_t;

typedef struct stc_gpio_pcr2_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pcr2_field_t;

typedef struct stc_gpio_pcr3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  RESERVED1                :19;
} stc_gpio_pcr3_field_t;

typedef struct stc_gpio_pcr4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :4;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  RESERVED2                :17;
} stc_gpio_pcr4_field_t;

typedef struct stc_gpio_pcr5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_pcr5_field_t;

typedef struct stc_gpio_pcr6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pcr6_field_t;

typedef struct stc_gpio_pcre_field
{
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pcre_field_t;

typedef struct stc_gpio_ddr0_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED2                :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED3                :9;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED4                :16;
} stc_gpio_ddr0_field_t;

typedef struct stc_gpio_ddr1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  RESERVED1                :20;
} stc_gpio_ddr1_field_t;

typedef struct stc_gpio_ddr2_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_ddr2_field_t;

typedef struct stc_gpio_ddr3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  RESERVED1                :19;
} stc_gpio_ddr3_field_t;

typedef struct stc_gpio_ddr4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :4;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  RESERVED2                :17;
} stc_gpio_ddr4_field_t;

typedef struct stc_gpio_ddr5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_ddr5_field_t;

typedef struct stc_gpio_ddr6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_ddr6_field_t;

typedef struct stc_gpio_ddr8_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_ddr8_field_t;

typedef struct stc_gpio_ddre_field
{
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_ddre_field_t;

typedef struct stc_gpio_pdir0_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED2                :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED3                :9;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED4                :16;
} stc_gpio_pdir0_field_t;

typedef struct stc_gpio_pdir1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  RESERVED1                :20;
} stc_gpio_pdir1_field_t;

typedef struct stc_gpio_pdir2_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pdir2_field_t;

typedef struct stc_gpio_pdir3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  RESERVED1                :19;
} stc_gpio_pdir3_field_t;

typedef struct stc_gpio_pdir4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :4;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  RESERVED2                :17;
} stc_gpio_pdir4_field_t;

typedef struct stc_gpio_pdir5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_pdir5_field_t;

typedef struct stc_gpio_pdir6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pdir6_field_t;

typedef struct stc_gpio_pdir8_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pdir8_field_t;

typedef struct stc_gpio_pdire_field
{
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pdire_field_t;

typedef struct stc_gpio_pdor0_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED2                :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED3                :9;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED4                :16;
} stc_gpio_pdor0_field_t;

typedef struct stc_gpio_pdor1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  RESERVED1                :20;
} stc_gpio_pdor1_field_t;

typedef struct stc_gpio_pdor2_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pdor2_field_t;

typedef struct stc_gpio_pdor3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  RESERVED1                :19;
} stc_gpio_pdor3_field_t;

typedef struct stc_gpio_pdor4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :4;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  RESERVED2                :17;
} stc_gpio_pdor4_field_t;

typedef struct stc_gpio_pdor5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_pdor5_field_t;

typedef struct stc_gpio_pdor6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pdor6_field_t;

typedef struct stc_gpio_pdor8_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pdor8_field_t;

typedef struct stc_gpio_pdore_field
{
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pdore_field_t;

typedef struct stc_gpio_ade_field
{
        __IO  uint32_t  AN00                     :1;
        __IO  uint32_t  AN01                     :1;
        __IO  uint32_t  AN02                     :1;
        __IO  uint32_t  AN03                     :1;
        __IO  uint32_t  AN04                     :1;
        __IO  uint32_t  AN05                     :1;
        __IO  uint32_t  AN06                     :1;
        __IO  uint32_t  AN07                     :1;
        __IO  uint32_t  RESERVED0                :24;
} stc_gpio_ade_field_t;

typedef struct stc_gpio_spsr_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  MAINXC               :2;
            __IO  uint32_t  USB0C                :1;
            __IO  uint32_t  RESERVED2            :27;
        };
        struct {
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  MAINXC0              :1;
            __IO  uint32_t  MAINXC1              :1;
            __IO  uint32_t  RESERVED3            :28;
        };
    };
} stc_gpio_spsr_field_t;

typedef struct stc_gpio_epfr00_field
{
    union {
        struct {
            __IO  uint32_t  NMIS                 :1;
            __IO  uint32_t  CROUTE               :2;
            __IO  uint32_t  RESERVED1            :1;
            __IO  uint32_t  RTCCOE               :2;
            __IO  uint32_t  SUBOUTE              :2;
            __IO  uint32_t  RESERVED3            :1;
            __IO  uint32_t  USBP0E               :1;
            __IO  uint32_t  RESERVED4            :6;
            __IO  uint32_t  SWDEN                :1;
            __IO  uint32_t  RESERVED5            :15;
        };
        struct {
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  CROUTE0              :1;
            __IO  uint32_t  CROUTE1              :1;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  RTCCOE0              :1;
            __IO  uint32_t  RTCCOE1              :1;
            __IO  uint32_t  SUBOUTE0             :1;
            __IO  uint32_t  SUBOUTE1             :1;
            __IO  uint32_t  RESERVED6            :24;
        };
    };
} stc_gpio_epfr00_field_t;

typedef struct stc_gpio_epfr01_field
{
    union {
        struct {
            __IO  uint32_t  RTO00E               :2;
            __IO  uint32_t  RTO01E               :2;
            __IO  uint32_t  RTO02E               :2;
            __IO  uint32_t  RTO03E               :2;
            __IO  uint32_t  RTO04E               :2;
            __IO  uint32_t  RTO05E               :2;
            __IO  uint32_t  DTTI0C               :1;
            __IO  uint32_t  IGTRG0               :1;
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  DTTI0S               :2;
            __IO  uint32_t  FRCK0S               :2;
            __IO  uint32_t  IC00S                :3;
            __IO  uint32_t  IC01S                :3;
            __IO  uint32_t  IC02S                :3;
            __IO  uint32_t  IC03S                :3;
        };
        struct {
            __IO  uint32_t  RTO00E0              :1;
            __IO  uint32_t  RTO00E1              :1;
            __IO  uint32_t  RTO01E0              :1;
            __IO  uint32_t  RTO01E1              :1;
            __IO  uint32_t  RTO02E0              :1;
            __IO  uint32_t  RTO02E1              :1;
            __IO  uint32_t  RTO03E0              :1;
            __IO  uint32_t  RTO03E1              :1;
            __IO  uint32_t  RTO04E0              :1;
            __IO  uint32_t  RTO04E1              :1;
            __IO  uint32_t  RTO05E0              :1;
            __IO  uint32_t  RTO05E1              :1;
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  DTTI0S0              :1;
            __IO  uint32_t  DTTI0S1              :1;
            __IO  uint32_t  FRCK0S0              :1;
            __IO  uint32_t  FRCK0S1              :1;
            __IO  uint32_t  IC00S0               :1;
            __IO  uint32_t  IC00S1               :1;
            __IO  uint32_t  IC00S2               :1;
            __IO  uint32_t  IC01S0               :1;
            __IO  uint32_t  IC01S1               :1;
            __IO  uint32_t  IC01S2               :1;
            __IO  uint32_t  IC02S0               :1;
            __IO  uint32_t  IC02S1               :1;
            __IO  uint32_t  IC02S2               :1;
            __IO  uint32_t  IC03S0               :1;
            __IO  uint32_t  IC03S1               :1;
            __IO  uint32_t  IC03S2               :1;
        };
    };
} stc_gpio_epfr01_field_t;

typedef struct stc_gpio_epfr04_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TIOA0E               :2;
            __IO  uint32_t  TIOB0S               :3;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  TIOA1S               :2;
            __IO  uint32_t  TIOA1E               :2;
            __IO  uint32_t  TIOB1S               :2;
            __IO  uint32_t  RESERVED4            :4;
            __IO  uint32_t  TIOA2E               :2;
            __IO  uint32_t  TIOB2S               :2;
            __IO  uint32_t  RESERVED6            :2;
            __IO  uint32_t  TIOA3S               :2;
            __IO  uint32_t  TIOA3E               :2;
            __IO  uint32_t  TIOB3S               :2;
            __IO  uint32_t  RESERVED8            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  TIOA0E0              :1;
            __IO  uint32_t  TIOA0E1              :1;
            __IO  uint32_t  TIOB0S0              :1;
            __IO  uint32_t  TIOB0S1              :1;
            __IO  uint32_t  TIOB0S2              :1;
            __IO  uint32_t  RESERVED3            :1;
            __IO  uint32_t  TIOA1S0              :1;
            __IO  uint32_t  TIOA1S1              :1;
            __IO  uint32_t  TIOA1E0              :1;
            __IO  uint32_t  TIOA1E1              :1;
            __IO  uint32_t  TIOB1S0              :1;
            __IO  uint32_t  TIOB1S1              :1;
            __IO  uint32_t  RESERVED5            :4;
            __IO  uint32_t  TIOA2E0              :1;
            __IO  uint32_t  TIOA2E1              :1;
            __IO  uint32_t  TIOB2S0              :1;
            __IO  uint32_t  TIOB2S1              :1;
            __IO  uint32_t  RESERVED7            :2;
            __IO  uint32_t  TIOA3S0              :1;
            __IO  uint32_t  TIOA3S1              :1;
            __IO  uint32_t  TIOA3E0              :1;
            __IO  uint32_t  TIOA3E1              :1;
            __IO  uint32_t  TIOB3S0              :1;
            __IO  uint32_t  TIOB3S1              :1;
            __IO  uint32_t  RESERVED9            :2;
        };
    };
} stc_gpio_epfr04_field_t;

typedef struct stc_gpio_epfr05_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TIOA4E               :2;
            __IO  uint32_t  TIOB4S               :2;
            __IO  uint32_t  RESERVED2            :2;
            __IO  uint32_t  TIOA5S               :2;
            __IO  uint32_t  TIOA5E               :2;
            __IO  uint32_t  TIOB5S               :2;
            __IO  uint32_t  RESERVED4            :4;
            __IO  uint32_t  TIOA6E               :2;
            __IO  uint32_t  TIOB6S               :2;
            __IO  uint32_t  RESERVED6            :2;
            __IO  uint32_t  TIOA7S               :2;
            __IO  uint32_t  TIOA7E               :2;
            __IO  uint32_t  TIOB7S               :2;
            __IO  uint32_t  RESERVED8            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  TIOA4E0              :1;
            __IO  uint32_t  TIOA4E1              :1;
            __IO  uint32_t  TIOB4S0              :1;
            __IO  uint32_t  TIOB4S1              :1;
            __IO  uint32_t  RESERVED3            :2;
            __IO  uint32_t  TIOA5S0              :1;
            __IO  uint32_t  TIOA5S1              :1;
            __IO  uint32_t  TIOA5E0              :1;
            __IO  uint32_t  TIOA5E1              :1;
            __IO  uint32_t  TIOB5S0              :1;
            __IO  uint32_t  TIOB5S1              :1;
            __IO  uint32_t  RESERVED5            :4;
            __IO  uint32_t  TIOA6E0              :1;
            __IO  uint32_t  TIOA6E1              :1;
            __IO  uint32_t  TIOB6S0              :1;
            __IO  uint32_t  TIOB6S1              :1;
            __IO  uint32_t  RESERVED7            :2;
            __IO  uint32_t  TIOA7S0              :1;
            __IO  uint32_t  TIOA7S1              :1;
            __IO  uint32_t  TIOA7E0              :1;
            __IO  uint32_t  TIOA7E1              :1;
            __IO  uint32_t  TIOB7S0              :1;
            __IO  uint32_t  TIOB7S1              :1;
            __IO  uint32_t  RESERVED9            :2;
        };
    };
} stc_gpio_epfr05_field_t;

typedef struct stc_gpio_epfr06_field
{
    union {
        struct {
            __IO  uint32_t  EINT00S              :2;
            __IO  uint32_t  EINT01S              :2;
            __IO  uint32_t  EINT02S              :2;
            __IO  uint32_t  EINT03S              :2;
            __IO  uint32_t  EINT04S              :2;
            __IO  uint32_t  EINT05S              :2;
            __IO  uint32_t  EINT06S              :2;
            __IO  uint32_t  EINT07S              :2;
            __IO  uint32_t  EINT08S              :2;
            __IO  uint32_t  EINT09S              :2;
            __IO  uint32_t  EINT10S              :2;
            __IO  uint32_t  EINT11S              :2;
            __IO  uint32_t  EINT12S              :2;
            __IO  uint32_t  EINT13S              :2;
            __IO  uint32_t  EINT14S              :2;
            __IO  uint32_t  EINT15S              :2;
        };
        struct {
            __IO  uint32_t  EINT00S0             :1;
            __IO  uint32_t  EINT00S1             :1;
            __IO  uint32_t  EINT01S0             :1;
            __IO  uint32_t  EINT01S1             :1;
            __IO  uint32_t  EINT02S0             :1;
            __IO  uint32_t  EINT02S1             :1;
            __IO  uint32_t  EINT03S0             :1;
            __IO  uint32_t  EINT03S1             :1;
            __IO  uint32_t  EINT04S0             :1;
            __IO  uint32_t  EINT04S1             :1;
            __IO  uint32_t  EINT05S0             :1;
            __IO  uint32_t  EINT05S1             :1;
            __IO  uint32_t  EINT06S0             :1;
            __IO  uint32_t  EINT06S1             :1;
            __IO  uint32_t  EINT07S0             :1;
            __IO  uint32_t  EINT07S1             :1;
            __IO  uint32_t  EINT08S0             :1;
            __IO  uint32_t  EINT08S1             :1;
            __IO  uint32_t  EINT09S0             :1;
            __IO  uint32_t  EINT09S1             :1;
            __IO  uint32_t  EINT10S0             :1;
            __IO  uint32_t  EINT10S1             :1;
            __IO  uint32_t  EINT11S0             :1;
            __IO  uint32_t  EINT11S1             :1;
            __IO  uint32_t  EINT12S0             :1;
            __IO  uint32_t  EINT12S1             :1;
            __IO  uint32_t  EINT13S0             :1;
            __IO  uint32_t  EINT13S1             :1;
            __IO  uint32_t  EINT14S0             :1;
            __IO  uint32_t  EINT14S1             :1;
            __IO  uint32_t  EINT15S0             :1;
            __IO  uint32_t  EINT15S1             :1;
        };
    };
} stc_gpio_epfr06_field_t;

typedef struct stc_gpio_epfr07_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :4;
            __IO  uint32_t  SIN0S                :2;
            __IO  uint32_t  SOT0B                :2;
            __IO  uint32_t  SCK0B                :2;
            __IO  uint32_t  SIN1S                :2;
            __IO  uint32_t  SOT1B                :2;
            __IO  uint32_t  SCK1B                :2;
            __IO  uint32_t  SIN2S                :2;
            __IO  uint32_t  SOT2B                :2;
            __IO  uint32_t  SCK2B                :2;
            __IO  uint32_t  SIN3S                :2;
            __IO  uint32_t  SOT3B                :2;
            __IO  uint32_t  SCK3B                :2;
            __IO  uint32_t  RESERVED2            :4;
        };
        struct {
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  SIN0S0               :1;
            __IO  uint32_t  SIN0S1               :1;
            __IO  uint32_t  SOT0B0               :1;
            __IO  uint32_t  SOT0B1               :1;
            __IO  uint32_t  SCK0B0               :1;
            __IO  uint32_t  SCK0B1               :1;
            __IO  uint32_t  SIN1S0               :1;
            __IO  uint32_t  SIN1S1               :1;
            __IO  uint32_t  SOT1B0               :1;
            __IO  uint32_t  SOT1B1               :1;
            __IO  uint32_t  SCK1B0               :1;
            __IO  uint32_t  SCK1B1               :1;
            __IO  uint32_t  SIN2S0               :1;
            __IO  uint32_t  SIN2S1               :1;
            __IO  uint32_t  SOT2B0               :1;
            __IO  uint32_t  SOT2B1               :1;
            __IO  uint32_t  SCK2B0               :1;
            __IO  uint32_t  SCK2B1               :1;
            __IO  uint32_t  SIN3S0               :1;
            __IO  uint32_t  SIN3S1               :1;
            __IO  uint32_t  SOT3B0               :1;
            __IO  uint32_t  SOT3B1               :1;
            __IO  uint32_t  SCK3B0               :1;
            __IO  uint32_t  SCK3B1               :1;
            __IO  uint32_t  RESERVED3            :4;
        };
    };
} stc_gpio_epfr07_field_t;

typedef struct stc_gpio_epfr08_field
{
    union {
        struct {
            __IO  uint32_t  RTS4E                :2;
            __IO  uint32_t  CTS4S                :2;
            __IO  uint32_t  SIN4S                :2;
            __IO  uint32_t  SOT4B                :2;
            __IO  uint32_t  SCK4B                :2;
            __IO  uint32_t  SIN5S                :2;
            __IO  uint32_t  SOT5B                :2;
            __IO  uint32_t  SCK5B                :2;
            __IO  uint32_t  SIN6S                :2;
            __IO  uint32_t  SOT6B                :2;
            __IO  uint32_t  SCK6B                :2;
            __IO  uint32_t  SIN7S                :2;
            __IO  uint32_t  SOT7B                :2;
            __IO  uint32_t  SCK7B                :2;
            __IO  uint32_t  RESERVED0            :4;
        };
        struct {
            __IO  uint32_t  RTS4E0               :1;
            __IO  uint32_t  RTS4E1               :1;
            __IO  uint32_t  CTS4S0               :1;
            __IO  uint32_t  CTS4S1               :1;
            __IO  uint32_t  SIN4S0               :1;
            __IO  uint32_t  SIN4S1               :1;
            __IO  uint32_t  SOT4B0               :1;
            __IO  uint32_t  SOT4B1               :1;
            __IO  uint32_t  SCK4B0               :1;
            __IO  uint32_t  SCK4B1               :1;
            __IO  uint32_t  SIN5S0               :1;
            __IO  uint32_t  SIN5S1               :1;
            __IO  uint32_t  SOT5B0               :1;
            __IO  uint32_t  SOT5B1               :1;
            __IO  uint32_t  SCK5B0               :1;
            __IO  uint32_t  SCK5B1               :1;
            __IO  uint32_t  SIN6S0               :1;
            __IO  uint32_t  SIN6S1               :1;
            __IO  uint32_t  SOT6B0               :1;
            __IO  uint32_t  SOT6B1               :1;
            __IO  uint32_t  SCK6B0               :1;
            __IO  uint32_t  SCK6B1               :1;
            __IO  uint32_t  SIN7S0               :1;
            __IO  uint32_t  SIN7S1               :1;
            __IO  uint32_t  SOT7B0               :1;
            __IO  uint32_t  SOT7B1               :1;
            __IO  uint32_t  SCK7B0               :1;
            __IO  uint32_t  SCK7B1               :1;
            __IO  uint32_t  RESERVED1            :4;
        };
    };
} stc_gpio_epfr08_field_t;

typedef struct stc_gpio_epfr09_field
{
    union {
        struct {
            __IO  uint32_t  QAIN0S               :2;
            __IO  uint32_t  QBIN0S               :2;
            __IO  uint32_t  QZIN0S               :2;
            __IO  uint32_t  QAIN1S               :2;
            __IO  uint32_t  QBIN1S               :2;
            __IO  uint32_t  QZIN1S               :2;
            __IO  uint32_t  ADTRG0S              :4;
            __IO  uint32_t  ADTRG1S              :4;
            __IO  uint32_t  ADTRG2S              :4;
            __IO  uint32_t  CRX0S                :2;
            __IO  uint32_t  CTX0E                :2;
            __IO  uint32_t  CRX1S                :2;
            __IO  uint32_t  CTX1E                :2;
        };
        struct {
            __IO  uint32_t  QAIN0S0              :1;
            __IO  uint32_t  QAIN0S1              :1;
            __IO  uint32_t  QBIN0S0              :1;
            __IO  uint32_t  QBIN0S1              :1;
            __IO  uint32_t  QZIN0S0              :1;
            __IO  uint32_t  QZIN0S1              :1;
            __IO  uint32_t  QAIN1S0              :1;
            __IO  uint32_t  QAIN1S1              :1;
            __IO  uint32_t  QBIN1S0              :1;
            __IO  uint32_t  QBIN1S1              :1;
            __IO  uint32_t  QZIN1S0              :1;
            __IO  uint32_t  QZIN1S1              :1;
            __IO  uint32_t  ADTRG0S0             :1;
            __IO  uint32_t  ADTRG0S1             :1;
            __IO  uint32_t  ADTRG0S2             :1;
            __IO  uint32_t  ADTRG0S3             :1;
            __IO  uint32_t  ADTRG1S0             :1;
            __IO  uint32_t  ADTRG1S1             :1;
            __IO  uint32_t  ADTRG1S2             :1;
            __IO  uint32_t  ADTRG1S3             :1;
            __IO  uint32_t  ADTRG2S0             :1;
            __IO  uint32_t  ADTRG2S1             :1;
            __IO  uint32_t  ADTRG2S2             :1;
            __IO  uint32_t  ADTRG2S3             :1;
            __IO  uint32_t  CRX0S0               :1;
            __IO  uint32_t  CRX0S1               :1;
            __IO  uint32_t  CTX0E0               :1;
            __IO  uint32_t  CTX0E1               :1;
            __IO  uint32_t  CRX1S0               :1;
            __IO  uint32_t  CRX1S1               :1;
            __IO  uint32_t  CTX1E0               :1;
            __IO  uint32_t  CTX1E1               :1;
        };
    };
} stc_gpio_epfr09_field_t;

typedef struct stc_gpio_epfr15_field
{
    union {
        struct {
            __IO  uint32_t  EINT16S              :2;
            __IO  uint32_t  EINT17S              :2;
            __IO  uint32_t  EINT18S              :2;
            __IO  uint32_t  EINT19S              :2;
            __IO  uint32_t  EINT20S              :2;
            __IO  uint32_t  EINT21S              :2;
            __IO  uint32_t  EINT22S              :2;
            __IO  uint32_t  EINT23S              :2;
            __IO  uint32_t  EINT24S              :2;
            __IO  uint32_t  EINT25S              :2;
            __IO  uint32_t  EINT26S              :2;
            __IO  uint32_t  EINT27S              :2;
            __IO  uint32_t  EINT28S              :2;
            __IO  uint32_t  EINT29S              :2;
            __IO  uint32_t  EINT30S              :2;
            __IO  uint32_t  EINT31S              :2;
        };
        struct {
            __IO  uint32_t  EINT16S0             :1;
            __IO  uint32_t  EINT16S1             :1;
            __IO  uint32_t  EINT17S0             :1;
            __IO  uint32_t  EINT17S1             :1;
            __IO  uint32_t  EINT18S0             :1;
            __IO  uint32_t  EINT18S1             :1;
            __IO  uint32_t  EINT19S0             :1;
            __IO  uint32_t  EINT19S1             :1;
            __IO  uint32_t  EINT20S0             :1;
            __IO  uint32_t  EINT20S1             :1;
            __IO  uint32_t  EINT21S0             :1;
            __IO  uint32_t  EINT21S1             :1;
            __IO  uint32_t  EINT22S0             :1;
            __IO  uint32_t  EINT22S1             :1;
            __IO  uint32_t  EINT23S0             :1;
            __IO  uint32_t  EINT23S1             :1;
            __IO  uint32_t  EINT24S0             :1;
            __IO  uint32_t  EINT24S1             :1;
            __IO  uint32_t  EINT25S0             :1;
            __IO  uint32_t  EINT25S1             :1;
            __IO  uint32_t  EINT26S0             :1;
            __IO  uint32_t  EINT26S1             :1;
            __IO  uint32_t  EINT27S0             :1;
            __IO  uint32_t  EINT27S1             :1;
            __IO  uint32_t  EINT28S0             :1;
            __IO  uint32_t  EINT28S1             :1;
            __IO  uint32_t  EINT29S0             :1;
            __IO  uint32_t  EINT29S1             :1;
            __IO  uint32_t  EINT30S0             :1;
            __IO  uint32_t  EINT30S1             :1;
            __IO  uint32_t  EINT31S0             :1;
            __IO  uint32_t  EINT31S1             :1;
        };
    };
} stc_gpio_epfr15_field_t;

typedef struct stc_gpio_epfr16_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :4;
            __IO  uint32_t  SIN8S                :2;
            __IO  uint32_t  SOT8B                :2;
            __IO  uint32_t  SCK8B                :2;
            __IO  uint32_t  SIN9S                :2;
            __IO  uint32_t  SOT9B                :2;
            __IO  uint32_t  SCK9B                :2;
            __IO  uint32_t  SIN10S               :2;
            __IO  uint32_t  SOT10B               :2;
            __IO  uint32_t  SCK10B               :2;
            __IO  uint32_t  SIN11S               :2;
            __IO  uint32_t  SOT11B               :2;
            __IO  uint32_t  SCK11B               :2;
            __IO  uint32_t  RESERVED2            :4;
        };
        struct {
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  SIN8S0               :1;
            __IO  uint32_t  SIN8S1               :1;
            __IO  uint32_t  SOT8B0               :1;
            __IO  uint32_t  SOT8B1               :1;
            __IO  uint32_t  SCK8B0               :1;
            __IO  uint32_t  SCK8B1               :1;
            __IO  uint32_t  SIN9S0               :1;
            __IO  uint32_t  SIN9S1               :1;
            __IO  uint32_t  SOT9B0               :1;
            __IO  uint32_t  SOT9B1               :1;
            __IO  uint32_t  SCK9B0               :1;
            __IO  uint32_t  SCK9B1               :1;
            __IO  uint32_t  SIN10S0              :1;
            __IO  uint32_t  SIN10S1              :1;
            __IO  uint32_t  SOT10B0              :1;
            __IO  uint32_t  SOT10B1              :1;
            __IO  uint32_t  SCK10B0              :1;
            __IO  uint32_t  SCK10B1              :1;
            __IO  uint32_t  SIN11S0              :1;
            __IO  uint32_t  SIN11S1              :1;
            __IO  uint32_t  SOT11B0              :1;
            __IO  uint32_t  SOT11B1              :1;
            __IO  uint32_t  SCK11B0              :1;
            __IO  uint32_t  SCK11B1              :1;
            __IO  uint32_t  RESERVED3            :4;
        };
    };
} stc_gpio_epfr16_field_t;

typedef struct stc_gpio_epfr18_field
{
    union {
        struct {
            __IO  uint32_t  CECR0B               :2;
            __IO  uint32_t  CECR1B               :2;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  CECR0B0              :1;
            __IO  uint32_t  CECR0B1              :1;
            __IO  uint32_t  CECR1B0              :1;
            __IO  uint32_t  CECR1B1              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_gpio_epfr18_field_t;

typedef struct stc_gpio_epfr22_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :4;
            __IO  uint32_t  SCS10B               :2;
            __IO  uint32_t  SCS11E               :2;
            __IO  uint32_t  RESERVED2            :4;
            __IO  uint32_t  SCS30B               :2;
            __IO  uint32_t  SCS31E               :2;
            __IO  uint32_t  RESERVED4            :16;
        };
        struct {
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  SCS10B0              :1;
            __IO  uint32_t  SCS10B1              :1;
            __IO  uint32_t  SCS11E0              :1;
            __IO  uint32_t  SCS11E1              :1;
            __IO  uint32_t  RESERVED3            :4;
            __IO  uint32_t  SCS30B0              :1;
            __IO  uint32_t  SCS30B1              :1;
            __IO  uint32_t  SCS31E0              :1;
            __IO  uint32_t  SCS31E1              :1;
            __IO  uint32_t  RESERVED5            :16;
        };
    };
} stc_gpio_epfr22_field_t;

typedef struct stc_gpio_epfr23_field
{
    union {
        struct {
            __IO  uint32_t  SCS60E               :2;
            __IO  uint32_t  SCS61E               :2;
            __IO  uint32_t  SCS62E               :2;
            __IO  uint32_t  SCS63E               :2;
            __IO  uint32_t  SCS70E               :2;
            __IO  uint32_t  SCS71E               :2;
            __IO  uint32_t  SCS72E               :2;
            __IO  uint32_t  SCS73E               :2;
            __IO  uint32_t  RESERVED0            :16;
        };
        struct {
            __IO  uint32_t  SCS60E0              :1;
            __IO  uint32_t  SCS60E1              :1;
            __IO  uint32_t  SCS61E0              :1;
            __IO  uint32_t  SCS61E1              :1;
            __IO  uint32_t  SCS62E0              :1;
            __IO  uint32_t  SCS62E1              :1;
            __IO  uint32_t  SCS63E0              :1;
            __IO  uint32_t  SCS63E1              :1;
            __IO  uint32_t  SCS70E0              :1;
            __IO  uint32_t  SCS70E1              :1;
            __IO  uint32_t  SCS71E0              :1;
            __IO  uint32_t  SCS71E1              :1;
            __IO  uint32_t  SCS72E0              :1;
            __IO  uint32_t  SCS72E1              :1;
            __IO  uint32_t  SCS73E0              :1;
            __IO  uint32_t  SCS73E1              :1;
            __IO  uint32_t  RESERVED1            :16;
        };
    };
} stc_gpio_epfr23_field_t;

typedef struct stc_gpio_epfr31_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :24;
            __IO  uint32_t  SI2CSCL6B            :2;
            __IO  uint32_t  SI2CSDA6B            :2;
            __IO  uint32_t  RESERVED2            :4;
        };
        struct {
            __IO  uint32_t  RESERVED1            :24;
            __IO  uint32_t  SI2CSCL6B0           :1;
            __IO  uint32_t  SI2CSCL6B1           :1;
            __IO  uint32_t  SI2CSDA6B0           :1;
            __IO  uint32_t  SI2CSDA6B1           :1;
            __IO  uint32_t  RESERVED3            :4;
        };
    };
} stc_gpio_epfr31_field_t;

typedef struct stc_gpio_epfr33_field
{
    union {
        struct {
            __IO  uint32_t  CIN0S                :2;
            __IO  uint32_t  DATA0B               :2;
            __IO  uint32_t  RST0E                :2;
            __IO  uint32_t  VPEN0E               :2;
            __IO  uint32_t  VCC0E                :2;
            __IO  uint32_t  CLK0E                :2;
            __IO  uint32_t  RESERVED0            :4;
            __IO  uint32_t  CIN1S                :2;
            __IO  uint32_t  DATA1B               :2;
            __IO  uint32_t  RST1E                :2;
            __IO  uint32_t  VPEN1E               :2;
            __IO  uint32_t  VCC1E                :2;
            __IO  uint32_t  CLK1E                :2;
            __IO  uint32_t  RESERVED2            :4;
        };
        struct {
            __IO  uint32_t  CIN0S0               :1;
            __IO  uint32_t  CIN0S1               :1;
            __IO  uint32_t  DATA0B0              :1;
            __IO  uint32_t  DATA0B1              :1;
            __IO  uint32_t  RST0E0               :1;
            __IO  uint32_t  RST0E1               :1;
            __IO  uint32_t  VPEN0E0              :1;
            __IO  uint32_t  VPEN0E1              :1;
            __IO  uint32_t  VCC0E0               :1;
            __IO  uint32_t  VCC0E1               :1;
            __IO  uint32_t  CLK0E0               :1;
            __IO  uint32_t  CLK0E1               :1;
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  CIN1S0               :1;
            __IO  uint32_t  CIN1S1               :1;
            __IO  uint32_t  DATA1B0              :1;
            __IO  uint32_t  DATA1B1              :1;
            __IO  uint32_t  RST1E0               :1;
            __IO  uint32_t  RST1E1               :1;
            __IO  uint32_t  VPEN1E0              :1;
            __IO  uint32_t  VPEN1E1              :1;
            __IO  uint32_t  VCC1E0               :1;
            __IO  uint32_t  VCC1E1               :1;
            __IO  uint32_t  CLK1E0               :1;
            __IO  uint32_t  CLK1E1               :1;
            __IO  uint32_t  RESERVED3            :4;
        };
    };
} stc_gpio_epfr33_field_t;

typedef struct stc_gpio_epfr34_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :4;
            __IO  uint32_t  RTS1E                :2;
            __IO  uint32_t  CTS1S                :2;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  RTS1E0               :1;
            __IO  uint32_t  RTS1E1               :1;
            __IO  uint32_t  CTS1S0               :1;
            __IO  uint32_t  CTS1S1               :1;
            __IO  uint32_t  RESERVED3            :24;
        };
    };
} stc_gpio_epfr34_field_t;

typedef struct stc_gpio_epfr37_field
{
    union {
        struct {
            __IO  uint32_t  MCK4S                :2;
            __IO  uint32_t  MCK4E                :2;
            __IO  uint32_t  SCK4B                :2;
            __IO  uint32_t  WS4B                 :2;
            __IO  uint32_t  SDI4S                :2;
            __IO  uint32_t  SDO4E                :2;
            __IO  uint32_t  RESERVED0            :4;
            __IO  uint32_t  MCK5S                :2;
            __IO  uint32_t  MCK5E                :2;
            __IO  uint32_t  SCK5B                :2;
            __IO  uint32_t  WS5B                 :2;
            __IO  uint32_t  SDI5S                :2;
            __IO  uint32_t  SDO5E                :2;
            __IO  uint32_t  RESERVED2            :4;
        };
        struct {
            __IO  uint32_t  MCK4S0               :1;
            __IO  uint32_t  MCK4S1               :1;
            __IO  uint32_t  MCK4E0               :1;
            __IO  uint32_t  MCK4E1               :1;
            __IO  uint32_t  SCK4B0               :1;
            __IO  uint32_t  SCK4B1               :1;
            __IO  uint32_t  WS4B0                :1;
            __IO  uint32_t  WS4B1                :1;
            __IO  uint32_t  SDI4S0               :1;
            __IO  uint32_t  SDI4S1               :1;
            __IO  uint32_t  SDO4E0               :1;
            __IO  uint32_t  SDO4E1               :1;
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  MCK5S0               :1;
            __IO  uint32_t  MCK5S1               :1;
            __IO  uint32_t  MCK5E0               :1;
            __IO  uint32_t  MCK5E1               :1;
            __IO  uint32_t  SCK5B0               :1;
            __IO  uint32_t  SCK5B1               :1;
            __IO  uint32_t  WS5B0                :1;
            __IO  uint32_t  WS5B1                :1;
            __IO  uint32_t  SDI5S0               :1;
            __IO  uint32_t  SDI5S1               :1;
            __IO  uint32_t  SDO5E0               :1;
            __IO  uint32_t  SDO5E1               :1;
            __IO  uint32_t  RESERVED3            :4;
        };
    };
} stc_gpio_epfr37_field_t;

typedef struct stc_gpio_epfr38_field
{
    union {
        struct {
            __IO  uint32_t  MCK6S                :2;
            __IO  uint32_t  MCK6E                :2;
            __IO  uint32_t  SCK6B                :2;
            __IO  uint32_t  WS6B                 :2;
            __IO  uint32_t  SDI6S                :2;
            __IO  uint32_t  SDO6E                :2;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  MCK6S0               :1;
            __IO  uint32_t  MCK6S1               :1;
            __IO  uint32_t  MCK6E0               :1;
            __IO  uint32_t  MCK6E1               :1;
            __IO  uint32_t  SCK6B0               :1;
            __IO  uint32_t  SCK6B1               :1;
            __IO  uint32_t  WS6B0                :1;
            __IO  uint32_t  WS6B1                :1;
            __IO  uint32_t  SDI6S0               :1;
            __IO  uint32_t  SDI6S1               :1;
            __IO  uint32_t  SDO6E0               :1;
            __IO  uint32_t  SDO6E1               :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_gpio_epfr38_field_t;

typedef struct stc_gpio_pzr0_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED2                :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED3                :9;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED4                :16;
} stc_gpio_pzr0_field_t;

typedef struct stc_gpio_pzr1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  RESERVED1                :20;
} stc_gpio_pzr1_field_t;

typedef struct stc_gpio_pzr2_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pzr2_field_t;

typedef struct stc_gpio_pzr3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  RESERVED1                :19;
} stc_gpio_pzr3_field_t;

typedef struct stc_gpio_pzr4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :4;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  RESERVED2                :17;
} stc_gpio_pzr4_field_t;

typedef struct stc_gpio_pzr5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_pzr5_field_t;

typedef struct stc_gpio_pzr6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pzr6_field_t;

typedef struct stc_gpio_pzr8_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pzr8_field_t;

typedef struct stc_gpio_pzre_field
{
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pzre_field_t;

typedef struct stc_gpio_lvdie_field
{
        __IO  uint32_t  LVDIE                    :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_gpio_lvdie_field_t;

typedef struct stc_gpio_fpoer0_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED2                :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED3                :9;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED4                :16;
} stc_gpio_fpoer0_field_t;

typedef struct stc_gpio_fpoer1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  RESERVED1                :20;
} stc_gpio_fpoer1_field_t;

typedef struct stc_gpio_fpoer2_field
{
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_fpoer2_field_t;

typedef struct stc_gpio_fpoer3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  RESERVED1                :19;
} stc_gpio_fpoer3_field_t;

typedef struct stc_gpio_fpoer4_field
{
        __IO  uint32_t  RESERVED0                :6;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :4;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  RESERVED2                :17;
} stc_gpio_fpoer4_field_t;

typedef struct stc_gpio_fpoer5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_fpoer5_field_t;

typedef struct stc_gpio_fpoer6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_fpoer6_field_t;

typedef struct stc_gpio_fpoer8_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_fpoer8_field_t;

typedef struct stc_gpio_fpoere_field
{
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_fpoere_field_t;

/******************************************************************************
 ** HDMICEC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_hdmicec_txctrl_field
{
        __IO   uint8_t  TXEN                     :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  START                    :1;
        __IO   uint8_t  EOM                      :1;
        __IO   uint8_t  ITSTEN                   :1;
        __IO   uint8_t  IBREN                    :1;
        __IO   uint8_t  RESERVED1                :2;
} stc_hdmicec_txctrl_field_t;

typedef struct stc_hdmicec_txdata_field
{
    union {
        struct {
            __IO   uint8_t  TXDATA               :8;
        };
        struct {
            __IO   uint8_t  TXDATA0              :1;
            __IO   uint8_t  TXDATA1              :1;
            __IO   uint8_t  TXDATA2              :1;
            __IO   uint8_t  TXDATA3              :1;
            __IO   uint8_t  TXDATA4              :1;
            __IO   uint8_t  TXDATA5              :1;
            __IO   uint8_t  TXDATA6              :1;
            __IO   uint8_t  TXDATA7              :1;
        };
    };
} stc_hdmicec_txdata_field_t;

typedef struct stc_hdmicec_txsts_field
{
        __IO   uint8_t  ACKSV                    :1;
        __IO   uint8_t  RESERVED0                :3;
        __IO   uint8_t  ITST                     :1;
        __IO   uint8_t  IBR                      :1;
        __IO   uint8_t  RESERVED1                :2;
} stc_hdmicec_txsts_field_t;

typedef struct stc_hdmicec_sfree_field
{
    union {
        struct {
            __IO   uint8_t  SFREE                :4;
            __IO   uint8_t  RESERVED0            :4;
        };
        struct {
            __IO   uint8_t  SFREE0               :1;
            __IO   uint8_t  SFREE1               :1;
            __IO   uint8_t  SFREE2               :1;
            __IO   uint8_t  SFREE3               :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_hdmicec_sfree_field_t;

typedef struct stc_hdmicec_rcst_field
{
        __IO   uint8_t  OVF                      :1;
        __IO   uint8_t  EOM                      :1;
        __IO   uint8_t  ACK                      :1;
        __IO   uint8_t  ST                       :1;
        __IO   uint8_t  OVFSEL                   :1;
        __IO   uint8_t  OVFIE                    :1;
        __IO   uint8_t  ACKIE                    :1;
        __IO   uint8_t  STIE                     :1;
} stc_hdmicec_rcst_field_t;

typedef struct stc_hdmicec_rccr_field
{
    union {
        struct {
            __IO   uint8_t  EN                   :1;
            __IO   uint8_t  MOD                  :2;
            __IO   uint8_t  ADRCE                :1;
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  THSEL                :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MOD0                 :1;
            __IO   uint8_t  MOD1                 :1;
            __IO   uint8_t  RESERVED2            :5;
        };
    };
} stc_hdmicec_rccr_field_t;

typedef struct stc_hdmicec_rcdahw_field
{
    union {
        struct {
            __IO   uint8_t  RCDAHW               :8;
        };
        struct {
            __IO   uint8_t  RCDAHW0              :1;
            __IO   uint8_t  RCDAHW1              :1;
            __IO   uint8_t  RCDAHW2              :1;
            __IO   uint8_t  RCDAHW3              :1;
            __IO   uint8_t  RCDAHW4              :1;
            __IO   uint8_t  RCDAHW5              :1;
            __IO   uint8_t  RCDAHW6              :1;
            __IO   uint8_t  RCDAHW7              :1;
        };
    };
} stc_hdmicec_rcdahw_field_t;

typedef struct stc_hdmicec_rcshw_field
{
    union {
        struct {
            __IO   uint8_t  RCSHW                :8;
        };
        struct {
            __IO   uint8_t  RCSHW0               :1;
            __IO   uint8_t  RCSHW1               :1;
            __IO   uint8_t  RCSHW2               :1;
            __IO   uint8_t  RCSHW3               :1;
            __IO   uint8_t  RCSHW4               :1;
            __IO   uint8_t  RCSHW5               :1;
            __IO   uint8_t  RCSHW6               :1;
            __IO   uint8_t  RCSHW7               :1;
        };
    };
} stc_hdmicec_rcshw_field_t;

typedef struct stc_hdmicec_rcdbhw_field
{
    union {
        struct {
            __IO   uint8_t  RCDBHW               :8;
        };
        struct {
            __IO   uint8_t  RCDBHW0              :1;
            __IO   uint8_t  RCDBHW1              :1;
            __IO   uint8_t  RCDBHW2              :1;
            __IO   uint8_t  RCDBHW3              :1;
            __IO   uint8_t  RCDBHW4              :1;
            __IO   uint8_t  RCDBHW5              :1;
            __IO   uint8_t  RCDBHW6              :1;
            __IO   uint8_t  RCDBHW7              :1;
        };
    };
} stc_hdmicec_rcdbhw_field_t;

typedef struct stc_hdmicec_rcadr2_field
{
    union {
        struct {
            __IO   uint8_t  RCADR2               :5;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  RCADR20              :1;
            __IO   uint8_t  RCADR21              :1;
            __IO   uint8_t  RCADR22              :1;
            __IO   uint8_t  RCADR23              :1;
            __IO   uint8_t  RCADR24              :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_hdmicec_rcadr2_field_t;

typedef struct stc_hdmicec_rcadr1_field
{
    union {
        struct {
            __IO   uint8_t  RCADR1               :5;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  RCADR10              :1;
            __IO   uint8_t  RCADR11              :1;
            __IO   uint8_t  RCADR12              :1;
            __IO   uint8_t  RCADR13              :1;
            __IO   uint8_t  RCADR14              :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_hdmicec_rcadr1_field_t;

typedef struct stc_hdmicec_rcdthl_field
{
    union {
        struct {
            __IO   uint8_t  RCDTHL               :8;
        };
        struct {
            __IO   uint8_t  RCDTHL0              :1;
            __IO   uint8_t  RCDTHL1              :1;
            __IO   uint8_t  RCDTHL2              :1;
            __IO   uint8_t  RCDTHL3              :1;
            __IO   uint8_t  RCDTHL4              :1;
            __IO   uint8_t  RCDTHL5              :1;
            __IO   uint8_t  RCDTHL6              :1;
            __IO   uint8_t  RCDTHL7              :1;
        };
    };
} stc_hdmicec_rcdthl_field_t;

typedef struct stc_hdmicec_rcdthh_field
{
    union {
        struct {
            __IO   uint8_t  RCDTHH               :8;
        };
        struct {
            __IO   uint8_t  RCDTHH0              :1;
            __IO   uint8_t  RCDTHH1              :1;
            __IO   uint8_t  RCDTHH2              :1;
            __IO   uint8_t  RCDTHH3              :1;
            __IO   uint8_t  RCDTHH4              :1;
            __IO   uint8_t  RCDTHH5              :1;
            __IO   uint8_t  RCDTHH6              :1;
            __IO   uint8_t  RCDTHH7              :1;
        };
    };
} stc_hdmicec_rcdthh_field_t;

typedef struct stc_hdmicec_rcdtll_field
{
    union {
        struct {
            __IO   uint8_t  RCDTLL               :8;
        };
        struct {
            __IO   uint8_t  RCDTLL0              :1;
            __IO   uint8_t  RCDTLL1              :1;
            __IO   uint8_t  RCDTLL2              :1;
            __IO   uint8_t  RCDTLL3              :1;
            __IO   uint8_t  RCDTLL4              :1;
            __IO   uint8_t  RCDTLL5              :1;
            __IO   uint8_t  RCDTLL6              :1;
            __IO   uint8_t  RCDTLL7              :1;
        };
    };
} stc_hdmicec_rcdtll_field_t;

typedef struct stc_hdmicec_rcdtlh_field
{
    union {
        struct {
            __IO   uint8_t  RCDTLH               :8;
        };
        struct {
            __IO   uint8_t  RCDTLH0              :1;
            __IO   uint8_t  RCDTLH1              :1;
            __IO   uint8_t  RCDTLH2              :1;
            __IO   uint8_t  RCDTLH3              :1;
            __IO   uint8_t  RCDTLH4              :1;
            __IO   uint8_t  RCDTLH5              :1;
            __IO   uint8_t  RCDTLH6              :1;
            __IO   uint8_t  RCDTLH7              :1;
        };
    };
} stc_hdmicec_rcdtlh_field_t;

typedef struct stc_hdmicec_rcckd_field
{
    union {
        struct {
            __IO  uint16_t  CKDIV                :12;
            __IO  uint16_t  CKSEL                :1;
            __IO  uint16_t  RESERVED0            :3;
        };
        struct {
            __IO  uint16_t  CKDIV0               :1;
            __IO  uint16_t  CKDIV1               :1;
            __IO  uint16_t  CKDIV2               :1;
            __IO  uint16_t  CKDIV3               :1;
            __IO  uint16_t  CKDIV4               :1;
            __IO  uint16_t  CKDIV5               :1;
            __IO  uint16_t  CKDIV6               :1;
            __IO  uint16_t  CKDIV7               :1;
            __IO  uint16_t  CKDIV8               :1;
            __IO  uint16_t  CKDIV9               :1;
            __IO  uint16_t  CKDIV10              :1;
            __IO  uint16_t  CKDIV11              :1;
            __IO  uint16_t  RESERVED1            :4;
        };
    };
} stc_hdmicec_rcckd_field_t;

typedef struct stc_hdmicec_rcrhw_field
{
    union {
        struct {
            __IO   uint8_t  RCRHW                :8;
        };
        struct {
            __IO   uint8_t  RCRHW0               :1;
            __IO   uint8_t  RCRHW1               :1;
            __IO   uint8_t  RCRHW2               :1;
            __IO   uint8_t  RCRHW3               :1;
            __IO   uint8_t  RCRHW4               :1;
            __IO   uint8_t  RCRHW5               :1;
            __IO   uint8_t  RCRHW6               :1;
            __IO   uint8_t  RCRHW7               :1;
        };
    };
} stc_hdmicec_rcrhw_field_t;

typedef struct stc_hdmicec_rcrc_field
{
        __IO   uint8_t  RC                       :1;
        __IO   uint8_t  RESERVED0                :3;
        __IO   uint8_t  RCIE                     :1;
        __IO   uint8_t  RESERVED1                :3;
} stc_hdmicec_rcrc_field_t;

typedef struct stc_hdmicec_rcle_field
{
        __IO   uint8_t  LES                      :1;
        __IO   uint8_t  LEL                      :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  EPE                      :1;
        __IO   uint8_t  LESE                     :1;
        __IO   uint8_t  LELE                     :1;
        __IO   uint8_t  LESIE                    :1;
        __IO   uint8_t  LELIE                    :1;
} stc_hdmicec_rcle_field_t;

typedef struct stc_hdmicec_rclesw_field
{
    union {
        struct {
            __IO   uint8_t  RCLESW               :8;
        };
        struct {
            __IO   uint8_t  RCLESW0              :1;
            __IO   uint8_t  RCLESW1              :1;
            __IO   uint8_t  RCLESW2              :1;
            __IO   uint8_t  RCLESW3              :1;
            __IO   uint8_t  RCLESW4              :1;
            __IO   uint8_t  RCLESW5              :1;
            __IO   uint8_t  RCLESW6              :1;
            __IO   uint8_t  RCLESW7              :1;
        };
    };
} stc_hdmicec_rclesw_field_t;

typedef struct stc_hdmicec_rclelw_field
{
    union {
        struct {
            __IO   uint8_t  RCLELW               :8;
        };
        struct {
            __IO   uint8_t  RCLELW0              :1;
            __IO   uint8_t  RCLELW1              :1;
            __IO   uint8_t  RCLELW2              :1;
            __IO   uint8_t  RCLELW3              :1;
            __IO   uint8_t  RCLELW4              :1;
            __IO   uint8_t  RCLELW5              :1;
            __IO   uint8_t  RCLELW6              :1;
            __IO   uint8_t  RCLELW7              :1;
        };
    };
} stc_hdmicec_rclelw_field_t;

/******************************************************************************
 ** HWWDT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_hwwdt_wdg_ctl_field
{
        __IO  uint32_t  INTEN                    :1;
        __IO  uint32_t  RESEN                    :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_hwwdt_wdg_ctl_field_t;

typedef struct stc_hwwdt_wdg_ris_field
{
        __IO  uint32_t  RIS                      :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_hwwdt_wdg_ris_field_t;

/******************************************************************************
 ** I2CSLAVE_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_i2cslave_ibssr_field
{
        __IO  uint16_t  BB                       :1;
        __IO  uint16_t  SPC                      :1;
        __IO  uint16_t  RSC                      :1;
        __IO  uint16_t  ACT                      :1;
        __IO  uint16_t  TRX                      :1;
        __IO  uint16_t  RSA                      :1;
        __IO  uint16_t  RACK                     :1;
        __IO  uint16_t  FBT                      :1;
        __IO  uint16_t  TDRE                     :1;
        __IO  uint16_t  RDRF                     :1;
        __IO  uint16_t  INT                      :1;
        __IO  uint16_t  RESERVED0                :5;
} stc_i2cslave_ibssr_field_t;

typedef struct stc_i2cslave_ibscr_field
{
    union {
        struct {
            __IO  uint16_t  TIE                  :1;
            __IO  uint16_t  RIE                  :1;
            __IO  uint16_t  INTE                 :1;
            __IO  uint16_t  CNDE                 :1;
            __IO  uint16_t  WSEL                 :1;
            __IO  uint16_t  ACKE                 :1;
            __IO  uint16_t  RESERVED0            :1;
            __IO  uint16_t  RSVEN                :1;
            __IO  uint16_t  NFCNT                :2;
            __IO  uint16_t  RESERVED2            :6;
        };
        struct {
            __IO  uint16_t  RESERVED1            :8;
            __IO  uint16_t  NFCNT0               :1;
            __IO  uint16_t  NFCNT1               :1;
            __IO  uint16_t  RESERVED3            :6;
        };
    };
} stc_i2cslave_ibscr_field_t;

typedef struct stc_i2cslave_ibsadr_field
{
    union {
        struct {
            __IO   uint8_t  SA                   :7;
            __IO   uint8_t  SAEN                 :1;
        };
        struct {
            __IO   uint8_t  SA0                  :1;
            __IO   uint8_t  SA1                  :1;
            __IO   uint8_t  SA2                  :1;
            __IO   uint8_t  SA3                  :1;
            __IO   uint8_t  SA4                  :1;
            __IO   uint8_t  SA5                  :1;
            __IO   uint8_t  SA6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_i2cslave_ibsadr_field_t;

typedef struct stc_i2cslave_ibsmskr_field
{
    union {
        struct {
            __IO   uint8_t  SM                   :7;
            __IO   uint8_t  EN                   :1;
        };
        struct {
            __IO   uint8_t  SM0                  :1;
            __IO   uint8_t  SM1                  :1;
            __IO   uint8_t  SM2                  :1;
            __IO   uint8_t  SM3                  :1;
            __IO   uint8_t  SM4                  :1;
            __IO   uint8_t  SM5                  :1;
            __IO   uint8_t  SM6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_i2cslave_ibsmskr_field_t;

typedef struct stc_i2cslave_ibsdstupr_field
{
    union {
        struct {
            __IO   uint8_t  SETUP                :8;
        };
        struct {
            __IO   uint8_t  SETUP0               :1;
            __IO   uint8_t  SETUP1               :1;
            __IO   uint8_t  SETUP2               :1;
            __IO   uint8_t  SETUP3               :1;
            __IO   uint8_t  SETUP4               :1;
            __IO   uint8_t  SETUP5               :1;
            __IO   uint8_t  SETUP6               :1;
            __IO   uint8_t  SETUP7               :1;
        };
    };
} stc_i2cslave_ibsdstupr_field_t;

typedef struct stc_i2cslave_ibstdr_field
{
    union {
        struct {
            __IO   uint8_t  TDR                  :8;
        };
        struct {
            __IO   uint8_t  TDR0                 :1;
            __IO   uint8_t  TDR1                 :1;
            __IO   uint8_t  TDR2                 :1;
            __IO   uint8_t  TDR3                 :1;
            __IO   uint8_t  TDR4                 :1;
            __IO   uint8_t  TDR5                 :1;
            __IO   uint8_t  TDR6                 :1;
            __IO   uint8_t  TDR7                 :1;
        };
    };
} stc_i2cslave_ibstdr_field_t;

typedef struct stc_i2cslave_ibsrdr_field
{
    union {
        struct {
            __IO   uint8_t  RDR                  :8;
        };
        struct {
            __IO   uint8_t  RDR0                 :1;
            __IO   uint8_t  RDR1                 :1;
            __IO   uint8_t  RDR2                 :1;
            __IO   uint8_t  RDR3                 :1;
            __IO   uint8_t  RDR4                 :1;
            __IO   uint8_t  RDR5                 :1;
            __IO   uint8_t  RDR6                 :1;
            __IO   uint8_t  RDR7                 :1;
        };
    };
} stc_i2cslave_ibsrdr_field_t;

typedef struct stc_i2cslave_ibsscr_field
{
        __IO  uint16_t  RESERVED0                :1;
        __IO  uint16_t  SPCC                     :1;
        __IO  uint16_t  RSCC                     :1;
        __IO  uint16_t  RESERVED1                :7;
        __IO  uint16_t  INTC                     :1;
        __IO  uint16_t  RESERVED2                :5;
} stc_i2cslave_ibsscr_field_t;

typedef struct stc_i2cslave_ibsssr_field
{
        __IO  uint16_t  RESERVED0                :8;
        __IO  uint16_t  TDRES                    :1;
        __IO  uint16_t  RESERVED1                :7;
} stc_i2cslave_ibsssr_field_t;

/******************************************************************************
 ** INTREQ_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_intreq_oddpks_field
{
        __IO   uint8_t  ODDPKS0                  :1;
        __IO   uint8_t  ODDPKS1                  :1;
        __IO   uint8_t  ODDPKS2                  :1;
        __IO   uint8_t  ODDPKS3                  :1;
        __IO   uint8_t  ODDPKS4                  :1;
        __IO   uint8_t  RESERVED0                :3;
} stc_intreq_oddpks_field_t;

typedef struct stc_intreq_exc02mon_field
{
        __IO  uint32_t  NMI                      :1;
        __IO  uint32_t  HWINT                    :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_intreq_exc02mon_field_t;

typedef struct stc_intreq_irq00mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq00mon_field_t;

typedef struct stc_intreq_irq01mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq01mon_field_t;

typedef struct stc_intreq_irq02mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq02mon_field_t;

typedef struct stc_intreq_irq03mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq03mon_field_t;

typedef struct stc_intreq_irq04mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq04mon_field_t;

typedef struct stc_intreq_irq05mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq05mon_field_t;

typedef struct stc_intreq_irq06mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq06mon_field_t;

typedef struct stc_intreq_irq07mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq07mon_field_t;

typedef struct stc_intreq_irq08mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq08mon_field_t;

typedef struct stc_intreq_irq09mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq09mon_field_t;

typedef struct stc_intreq_irq10mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq10mon_field_t;

typedef struct stc_intreq_irq11mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq11mon_field_t;

typedef struct stc_intreq_irq12mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq12mon_field_t;

typedef struct stc_intreq_irq13mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq13mon_field_t;

typedef struct stc_intreq_irq14mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq14mon_field_t;

typedef struct stc_intreq_irq15mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq15mon_field_t;

typedef struct stc_intreq_irq16mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq16mon_field_t;

typedef struct stc_intreq_irq17mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq17mon_field_t;

typedef struct stc_intreq_irq18mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq18mon_field_t;

typedef struct stc_intreq_irq19mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq19mon_field_t;

typedef struct stc_intreq_irq20mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq20mon_field_t;

typedef struct stc_intreq_irq21mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq21mon_field_t;

typedef struct stc_intreq_irq22mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq22mon_field_t;

typedef struct stc_intreq_irq23mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq23mon_field_t;

typedef struct stc_intreq_irq24mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq24mon_field_t;

typedef struct stc_intreq_irq25mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq25mon_field_t;

typedef struct stc_intreq_irq26mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq26mon_field_t;

typedef struct stc_intreq_irq27mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq27mon_field_t;

typedef struct stc_intreq_irq28mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq28mon_field_t;

typedef struct stc_intreq_irq29mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq29mon_field_t;

typedef struct stc_intreq_irq30mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq30mon_field_t;

typedef struct stc_intreq_irq31mon_field
{
        __IO  uint32_t  INT0                     :1;
        __IO  uint32_t  INT1                     :1;
        __IO  uint32_t  INT2                     :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq31mon_field_t;

/******************************************************************************
 ** LSCRP_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_lscrp_lcr_prsld_field
{
    union {
        struct {
            __IO   uint8_t  LCR_PRSLD            :6;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  LCR_PRSLD0           :1;
            __IO   uint8_t  LCR_PRSLD1           :1;
            __IO   uint8_t  LCR_PRSLD2           :1;
            __IO   uint8_t  LCR_PRSLD3           :1;
            __IO   uint8_t  LCR_PRSLD4           :1;
            __IO   uint8_t  LCR_PRSLD5           :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_lscrp_lcr_prsld_field_t;

/******************************************************************************
 ** LVD_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_lvd_lvd_ctl_field
{
    union {
        struct {
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  SVHI                 :5;
            __IO  uint16_t  LVDIE                :1;
            __IO  uint16_t  RESERVED2            :7;
            __IO  uint16_t  LVDRE                :1;
        };
        struct {
            __IO  uint16_t  RESERVED1            :2;
            __IO  uint16_t  SVHI0                :1;
            __IO  uint16_t  SVHI1                :1;
            __IO  uint16_t  SVHI2                :1;
            __IO  uint16_t  SVHI3                :1;
            __IO  uint16_t  SVHI4                :1;
            __IO  uint16_t  RESERVED3            :9;
        };
    };
} stc_lvd_lvd_ctl_field_t;

typedef struct stc_lvd_lvd_str_field
{
        __IO  uint16_t  LVDHSTR                  :1;
        __IO  uint16_t  RESERVED0                :6;
        __IO  uint16_t  LVDIR                    :1;
        __IO  uint16_t  LVD2HSTR                 :1;
        __IO  uint16_t  RESERVED1                :6;
        __IO  uint16_t  LVD2IR                   :1;
} stc_lvd_lvd_str_field_t;

typedef struct stc_lvd_lvd_clr_field
{
        __IO  uint16_t  RESERVED0                :7;
        __IO  uint16_t  LVDCL                    :1;
        __IO  uint16_t  RESERVED1                :7;
        __IO  uint16_t  LVD2CL                   :1;
} stc_lvd_lvd_clr_field_t;

typedef struct stc_lvd_lvd_rlr_field
{
    union {
        struct {
            __IO  uint32_t  LVDLCK               :32;
        };
        struct {
            __IO  uint32_t  LVDLCK0              :1;
            __IO  uint32_t  LVDLCK1              :1;
            __IO  uint32_t  LVDLCK2              :1;
            __IO  uint32_t  LVDLCK3              :1;
            __IO  uint32_t  LVDLCK4              :1;
            __IO  uint32_t  LVDLCK5              :1;
            __IO  uint32_t  LVDLCK6              :1;
            __IO  uint32_t  LVDLCK7              :1;
            __IO  uint32_t  LVDLCK8              :1;
            __IO  uint32_t  LVDLCK9              :1;
            __IO  uint32_t  LVDLCK10             :1;
            __IO  uint32_t  LVDLCK11             :1;
            __IO  uint32_t  LVDLCK12             :1;
            __IO  uint32_t  LVDLCK13             :1;
            __IO  uint32_t  LVDLCK14             :1;
            __IO  uint32_t  LVDLCK15             :1;
            __IO  uint32_t  LVDLCK16             :1;
            __IO  uint32_t  LVDLCK17             :1;
            __IO  uint32_t  LVDLCK18             :1;
            __IO  uint32_t  LVDLCK19             :1;
            __IO  uint32_t  LVDLCK20             :1;
            __IO  uint32_t  LVDLCK21             :1;
            __IO  uint32_t  LVDLCK22             :1;
            __IO  uint32_t  LVDLCK23             :1;
            __IO  uint32_t  LVDLCK24             :1;
            __IO  uint32_t  LVDLCK25             :1;
            __IO  uint32_t  LVDLCK26             :1;
            __IO  uint32_t  LVDLCK27             :1;
            __IO  uint32_t  LVDLCK28             :1;
            __IO  uint32_t  LVDLCK29             :1;
            __IO  uint32_t  LVDLCK30             :1;
            __IO  uint32_t  LVDLCK31             :1;
        };
    };
} stc_lvd_lvd_rlr_field_t;

typedef struct stc_lvd_lvd_str2_field
{
        __IO  uint16_t  RESERVED0                :6;
        __IO  uint16_t  LVDRRDY                  :1;
        __IO  uint16_t  LVDIRDY                  :1;
        __IO  uint16_t  RESERVED1                :7;
        __IO  uint16_t  LVD2IRDY                 :1;
} stc_lvd_lvd_str2_field_t;

/******************************************************************************
 ** MFS_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_mfs_smr_field
{
    union {
        union {
            struct {
                __IO   uint8_t  SOE              :1;
                __IO   uint8_t  SCKE             :1;
                __IO   uint8_t  BDS              :1;
                __IO   uint8_t  SCINV            :1;
                __IO   uint8_t  RESERVED0        :1;
                __IO   uint8_t  MD               :3;
            };
            struct {
                __IO   uint8_t  RESERVED1        :5;
                __IO   uint8_t  MD0              :1;
                __IO   uint8_t  MD1              :1;
                __IO   uint8_t  MD2              :1;
            };
        };
        union {
            struct {
                __IO   uint8_t  RESERVED2        :2;
                __IO   uint8_t  TIE              :1;
                __IO   uint8_t  RIE              :1;
                __IO   uint8_t  RESERVED3        :4;
            };
            struct {
                __IO   uint8_t  RESERVED4        :8;
            };
        };
        union {
            struct {
                __IO   uint8_t  RESERVED7        :3;
                __IO   uint8_t  SBL              :1;
                __IO   uint8_t  RESERVED8        :4;
            };
            struct {
                __IO   uint8_t  RESERVED9        :8;
            };
        };
    };
} stc_mfs_smr_field_t;

typedef struct stc_mfs_ibcr_field
{
    union {
        struct {
            __IO   uint8_t  TXE                  :1;
            __IO   uint8_t  RXE                  :1;
            __IO   uint8_t  TBIE                 :1;
            __IO   uint8_t  TIE                  :1;
            __IO   uint8_t  RIE                  :1;
            __IO   uint8_t  SPI                  :1;
            __IO   uint8_t  MS                   :1;
            __IO   uint8_t  UPCL                 :1;
        };
        struct {
            __IO   uint8_t  INT                  :1;
            __IO   uint8_t  BER                  :1;
            __IO   uint8_t  INTE                 :1;
            __IO   uint8_t  CNDE                 :1;
            __IO   uint8_t  WSEL                 :1;
            __IO   uint8_t  ACKE                 :1;
            __IO   uint8_t  ACT_SCC              :1;
            __IO   uint8_t  MSS                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED4            :5;
            __IO   uint8_t  LBR                  :1;
            __IO   uint8_t  RESERVED5            :2;
        };
    };
} stc_mfs_ibcr_field_t;

typedef struct stc_mfs_scr_field
{
    union {
        struct {
            __IO   uint8_t  TXE                  :1;
            __IO   uint8_t  RXE                  :1;
            __IO   uint8_t  TBIE                 :1;
            __IO   uint8_t  TIE                  :1;
            __IO   uint8_t  RIE                  :1;
            __IO   uint8_t  SPI                  :1;
            __IO   uint8_t  MS                   :1;
            __IO   uint8_t  UPCL                 :1;
        };
        struct {
            __IO   uint8_t  INT                  :1;
            __IO   uint8_t  BER                  :1;
            __IO   uint8_t  INTE                 :1;
            __IO   uint8_t  CNDE                 :1;
            __IO   uint8_t  WSEL                 :1;
            __IO   uint8_t  ACKE                 :1;
            __IO   uint8_t  ACT_SCC              :1;
            __IO   uint8_t  MSS                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED4            :5;
            __IO   uint8_t  LBR                  :1;
            __IO   uint8_t  RESERVED5            :2;
        };
    };
} stc_mfs_scr_field_t;

typedef struct stc_mfs_escr_field
{
    union {
        union {
            struct {
                __IO   uint8_t  L                :3;
                __IO   uint8_t  WT               :2;
                __IO   uint8_t  CSFE             :1;
                __IO   uint8_t  L3               :1;
                __IO   uint8_t  SOP              :1;
            };
            struct {
                __IO   uint8_t  L0               :1;
                __IO   uint8_t  L1               :1;
                __IO   uint8_t  L2               :1;
                __IO   uint8_t  WT0              :1;
                __IO   uint8_t  WT1              :1;
                __IO   uint8_t  RESERVED0        :3;
            };
        };
        struct {
            __IO   uint8_t  BB                   :1;
            __IO   uint8_t  SPC                  :1;
            __IO   uint8_t  RSC                  :1;
            __IO   uint8_t  AL                   :1;
            __IO   uint8_t  TRX                  :1;
            __IO   uint8_t  RSA                  :1;
            __IO   uint8_t  RACK                 :1;
            __IO   uint8_t  FBT                  :1;
        };
        union {
            struct {
                __IO   uint8_t  DEL              :2;
                __IO   uint8_t  LBL              :2;
                __IO   uint8_t  LBIE             :1;
                __IO   uint8_t  RESERVED4        :1;
                __IO   uint8_t  ESBL             :1;
                __IO   uint8_t  RESERVED5        :1;
            };
            struct {
                __IO   uint8_t  DEL0             :1;
                __IO   uint8_t  DEL1             :1;
                __IO   uint8_t  LBL0             :1;
                __IO   uint8_t  LBL1             :1;
                __IO   uint8_t  RESERVED6        :4;
            };
        };
        union {
            struct {
                __IO   uint8_t  RESERVED7        :3;
                __IO   uint8_t  P                :1;
                __IO   uint8_t  PEN              :1;
                __IO   uint8_t  INV              :1;
                __IO   uint8_t  RESERVED8        :1;
                __IO   uint8_t  FLWEN            :1;
            };
            struct {
                __IO   uint8_t  RESERVED9        :8;
            };
        };
    };
} stc_mfs_escr_field_t;

typedef struct stc_mfs_ibsr_field
{
    union {
        union {
            struct {
                __IO   uint8_t  L                :3;
                __IO   uint8_t  WT               :2;
                __IO   uint8_t  CSFE             :1;
                __IO   uint8_t  L3               :1;
                __IO   uint8_t  SOP              :1;
            };
            struct {
                __IO   uint8_t  L0               :1;
                __IO   uint8_t  L1               :1;
                __IO   uint8_t  L2               :1;
                __IO   uint8_t  WT0              :1;
                __IO   uint8_t  WT1              :1;
                __IO   uint8_t  RESERVED0        :3;
            };
        };
        struct {
            __IO   uint8_t  BB                   :1;
            __IO   uint8_t  SPC                  :1;
            __IO   uint8_t  RSC                  :1;
            __IO   uint8_t  AL                   :1;
            __IO   uint8_t  TRX                  :1;
            __IO   uint8_t  RSA                  :1;
            __IO   uint8_t  RACK                 :1;
            __IO   uint8_t  FBT                  :1;
        };
        union {
            struct {
                __IO   uint8_t  DEL              :2;
                __IO   uint8_t  LBL              :2;
                __IO   uint8_t  LBIE             :1;
                __IO   uint8_t  RESERVED4        :1;
                __IO   uint8_t  ESBL             :1;
                __IO   uint8_t  RESERVED5        :1;
            };
            struct {
                __IO   uint8_t  DEL0             :1;
                __IO   uint8_t  DEL1             :1;
                __IO   uint8_t  LBL0             :1;
                __IO   uint8_t  LBL1             :1;
                __IO   uint8_t  RESERVED6        :4;
            };
        };
        union {
            struct {
                __IO   uint8_t  RESERVED7        :3;
                __IO   uint8_t  P                :1;
                __IO   uint8_t  PEN              :1;
                __IO   uint8_t  INV              :1;
                __IO   uint8_t  RESERVED8        :1;
                __IO   uint8_t  FLWEN            :1;
            };
            struct {
                __IO   uint8_t  RESERVED9        :8;
            };
        };
    };
} stc_mfs_ibsr_field_t;

typedef struct stc_mfs_ssr_field
{
    union {
        struct {
            __IO   uint8_t  TBI                  :1;
            __IO   uint8_t  TDRE                 :1;
            __IO   uint8_t  RDRF                 :1;
            __IO   uint8_t  ORE                  :1;
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  REC                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED2            :4;
            __IO   uint8_t  TBIE                 :1;
            __IO   uint8_t  DMA                  :1;
            __IO   uint8_t  TSET                 :1;
            __IO   uint8_t  RESERVED3            :1;
        };
        struct {
            __IO   uint8_t  RESERVED5            :4;
            __IO   uint8_t  AWC                  :1;
            __IO   uint8_t  RESERVED6            :3;
        };
        struct {
            __IO   uint8_t  RESERVED8            :4;
            __IO   uint8_t  FRE                  :1;
            __IO   uint8_t  LBD                  :1;
            __IO   uint8_t  RESERVED9            :2;
        };
        struct {
            __IO   uint8_t  RESERVED11           :5;
            __IO   uint8_t  PE                   :1;
            __IO   uint8_t  RESERVED12           :2;
        };
    };
} stc_mfs_ssr_field_t;

typedef struct stc_mfs_rdr_field
{
    union {
        union {
            struct {
                __IO  uint16_t  D                :16;
            };
            struct {
                __IO  uint16_t  D0               :1;
                __IO  uint16_t  D1               :1;
                __IO  uint16_t  D2               :1;
                __IO  uint16_t  D3               :1;
                __IO  uint16_t  D4               :1;
                __IO  uint16_t  D5               :1;
                __IO  uint16_t  D6               :1;
                __IO  uint16_t  D7               :1;
                __IO  uint16_t  D8               :1;
                __IO  uint16_t  D9               :1;
                __IO  uint16_t  D10              :1;
                __IO  uint16_t  D11              :1;
                __IO  uint16_t  D12              :1;
                __IO  uint16_t  D13              :1;
                __IO  uint16_t  D14              :1;
                __IO  uint16_t  D15              :1;
            };
        };
    };
} stc_mfs_rdr_field_t;

typedef struct stc_mfs_tdr_field
{
    union {
        union {
            struct {
                __IO  uint16_t  D                :16;
            };
            struct {
                __IO  uint16_t  D0               :1;
                __IO  uint16_t  D1               :1;
                __IO  uint16_t  D2               :1;
                __IO  uint16_t  D3               :1;
                __IO  uint16_t  D4               :1;
                __IO  uint16_t  D5               :1;
                __IO  uint16_t  D6               :1;
                __IO  uint16_t  D7               :1;
                __IO  uint16_t  D8               :1;
                __IO  uint16_t  D9               :1;
                __IO  uint16_t  D10              :1;
                __IO  uint16_t  D11              :1;
                __IO  uint16_t  D12              :1;
                __IO  uint16_t  D13              :1;
                __IO  uint16_t  D14              :1;
                __IO  uint16_t  D15              :1;
            };
        };
    };
} stc_mfs_tdr_field_t;

typedef struct stc_mfs_bgr_field
{
    union {
        union {
            struct {
                __IO  uint16_t  BGR              :15;
                __IO  uint16_t  RESERVED0        :1;
            };
            struct {
                __IO  uint16_t  BGR0             :1;
                __IO  uint16_t  BGR1             :1;
                __IO  uint16_t  BGR2             :1;
                __IO  uint16_t  BGR3             :1;
                __IO  uint16_t  BGR4             :1;
                __IO  uint16_t  BGR5             :1;
                __IO  uint16_t  BGR6             :1;
                __IO  uint16_t  BGR7             :1;
                __IO  uint16_t  BGR8             :1;
                __IO  uint16_t  BGR9             :1;
                __IO  uint16_t  BGR10            :1;
                __IO  uint16_t  BGR11            :1;
                __IO  uint16_t  BGR12            :1;
                __IO  uint16_t  BGR13            :1;
                __IO  uint16_t  BGR14            :1;
                __IO  uint16_t  RESERVED1        :1;
            };
        };
        union {
            struct {
                __IO  uint16_t  RESERVED4        :15;
                __IO  uint16_t  EXT              :1;
            };
            struct {
                __IO  uint16_t  RESERVED5        :16;
            };
        };
    };
} stc_mfs_bgr_field_t;

typedef struct stc_mfs_isba_field
{
    union {
        struct {
            __IO   uint8_t  SA                   :7;
            __IO   uint8_t  SAEN                 :1;
        };
        struct {
            __IO   uint8_t  SA0                  :1;
            __IO   uint8_t  SA1                  :1;
            __IO   uint8_t  SA2                  :1;
            __IO   uint8_t  SA3                  :1;
            __IO   uint8_t  SA4                  :1;
            __IO   uint8_t  SA5                  :1;
            __IO   uint8_t  SA6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_mfs_isba_field_t;

typedef struct stc_mfs_ismk_field
{
    union {
        struct {
            __IO   uint8_t  SM                   :7;
            __IO   uint8_t  EN                   :1;
        };
        struct {
            __IO   uint8_t  SM0                  :1;
            __IO   uint8_t  SM1                  :1;
            __IO   uint8_t  SM2                  :1;
            __IO   uint8_t  SM3                  :1;
            __IO   uint8_t  SM4                  :1;
            __IO   uint8_t  SM5                  :1;
            __IO   uint8_t  SM6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_mfs_ismk_field_t;

typedef struct stc_mfs_fcr_field
{
    union {
        struct {
            __IO  uint16_t  FE1                  :1;
            __IO  uint16_t  FE2                  :1;
            __IO  uint16_t  FCL1                 :1;
            __IO  uint16_t  FCL2                 :1;
            __IO  uint16_t  FSET                 :1;
            __IO  uint16_t  FLD                  :1;
            __IO  uint16_t  FLST                 :1;
            __IO  uint16_t  RESERVED0            :1;
            __IO  uint16_t  FSEL                 :1;
            __IO  uint16_t  FTIE                 :1;
            __IO  uint16_t  FDRQ                 :1;
            __IO  uint16_t  FRIIE                :1;
            __IO  uint16_t  FLSTE                :1;
            __IO  uint16_t  RESERVED1            :3;
        };
    };
} stc_mfs_fcr_field_t;

typedef struct stc_mfs_fbyte1_field
{
    union {
        union {
            struct {
                __IO   uint8_t  FD               :8;
            };
            struct {
                __IO   uint8_t  FD0              :1;
                __IO   uint8_t  FD1              :1;
                __IO   uint8_t  FD2              :1;
                __IO   uint8_t  FD3              :1;
                __IO   uint8_t  FD4              :1;
                __IO   uint8_t  FD5              :1;
                __IO   uint8_t  FD6              :1;
                __IO   uint8_t  FD7              :1;
            };
        };
    };
} stc_mfs_fbyte1_field_t;

typedef struct stc_mfs_fbyte2_field
{
    union {
        union {
            struct {
                __IO   uint8_t  FD               :8;
            };
            struct {
                __IO   uint8_t  FD0              :1;
                __IO   uint8_t  FD1              :1;
                __IO   uint8_t  FD2              :1;
                __IO   uint8_t  FD3              :1;
                __IO   uint8_t  FD4              :1;
                __IO   uint8_t  FD5              :1;
                __IO   uint8_t  FD6              :1;
                __IO   uint8_t  FD7              :1;
            };
        };
    };
} stc_mfs_fbyte2_field_t;

typedef struct stc_mfs_scstr0_field
{
    union {
        struct {
            __IO   uint8_t  CSHD                 :8;
        };
        struct {
            __IO   uint8_t  CSHD0                :1;
            __IO   uint8_t  CSHD1                :1;
            __IO   uint8_t  CSHD2                :1;
            __IO   uint8_t  CSHD3                :1;
            __IO   uint8_t  CSHD4                :1;
            __IO   uint8_t  CSHD5                :1;
            __IO   uint8_t  CSHD6                :1;
            __IO   uint8_t  CSHD7                :1;
        };
    };
} stc_mfs_scstr0_field_t;

typedef struct stc_mfs_eibcr_field
{
    union {
        union {
            struct {
                __IO   uint8_t  CSSU             :8;
            };
            struct {
                __IO   uint8_t  CSSU0            :1;
                __IO   uint8_t  CSSU1            :1;
                __IO   uint8_t  CSSU2            :1;
                __IO   uint8_t  CSSU3            :1;
                __IO   uint8_t  CSSU4            :1;
                __IO   uint8_t  CSSU5            :1;
                __IO   uint8_t  CSSU6            :1;
                __IO   uint8_t  CSSU7            :1;
            };
        };
        struct {
            __IO   uint8_t  BEC                  :1;
            __IO   uint8_t  SOCE                 :1;
            __IO   uint8_t  SCLC                 :1;
            __IO   uint8_t  SDAC                 :1;
            __IO   uint8_t  SCLS                 :1;
            __IO   uint8_t  SDAS                 :1;
            __IO   uint8_t  RESERVED0            :2;
        };
    };
} stc_mfs_eibcr_field_t;

typedef struct stc_mfs_scstr1_field
{
    union {
        union {
            struct {
                __IO   uint8_t  CSSU             :8;
            };
            struct {
                __IO   uint8_t  CSSU0            :1;
                __IO   uint8_t  CSSU1            :1;
                __IO   uint8_t  CSSU2            :1;
                __IO   uint8_t  CSSU3            :1;
                __IO   uint8_t  CSSU4            :1;
                __IO   uint8_t  CSSU5            :1;
                __IO   uint8_t  CSSU6            :1;
                __IO   uint8_t  CSSU7            :1;
            };
        };
        struct {
            __IO   uint8_t  BEC                  :1;
            __IO   uint8_t  SOCE                 :1;
            __IO   uint8_t  SCLC                 :1;
            __IO   uint8_t  SDAC                 :1;
            __IO   uint8_t  SCLS                 :1;
            __IO   uint8_t  SDAS                 :1;
            __IO   uint8_t  RESERVED0            :2;
        };
    };
} stc_mfs_scstr1_field_t;

typedef struct stc_mfs_scstr32_field
{
    union {
        struct {
            __IO  uint16_t  CSDS                 :16;
        };
        struct {
            __IO  uint16_t  CSDS0                :1;
            __IO  uint16_t  CSDS1                :1;
            __IO  uint16_t  CSDS2                :1;
            __IO  uint16_t  CSDS3                :1;
            __IO  uint16_t  CSDS4                :1;
            __IO  uint16_t  CSDS5                :1;
            __IO  uint16_t  CSDS6                :1;
            __IO  uint16_t  CSDS7                :1;
            __IO  uint16_t  CSDS8                :1;
            __IO  uint16_t  CSDS9                :1;
            __IO  uint16_t  CSDS10               :1;
            __IO  uint16_t  CSDS11               :1;
            __IO  uint16_t  CSDS12               :1;
            __IO  uint16_t  CSDS13               :1;
            __IO  uint16_t  CSDS14               :1;
            __IO  uint16_t  CSDS15               :1;
        };
    };
} stc_mfs_scstr32_field_t;

typedef struct stc_mfs_sacsr_field
{
    union {
        struct {
            __IO  uint16_t  TMRE                 :1;
            __IO  uint16_t  TDIV                 :4;
            __IO  uint16_t  RESERVED1            :1;
            __IO  uint16_t  TSYNE                :1;
            __IO  uint16_t  TINTE                :1;
            __IO  uint16_t  TINT                 :1;
            __IO  uint16_t  RESERVED2            :2;
            __IO  uint16_t  CSE                  :1;
            __IO  uint16_t  CSEIE                :1;
            __IO  uint16_t  TBEEN                :1;
            __IO  uint16_t  RESERVED3            :2;
        };
        struct {
            __IO  uint16_t  RESERVED0            :1;
            __IO  uint16_t  TDIV0                :1;
            __IO  uint16_t  TDIV1                :1;
            __IO  uint16_t  TDIV2                :1;
            __IO  uint16_t  TDIV3                :1;
            __IO  uint16_t  RESERVED4            :11;
        };
    };
} stc_mfs_sacsr_field_t;

typedef struct stc_mfs_stmr_field
{
    union {
        struct {
            __IO  uint16_t  TM                   :16;
        };
        struct {
            __IO  uint16_t  TM0                  :1;
            __IO  uint16_t  TM1                  :1;
            __IO  uint16_t  TM2                  :1;
            __IO  uint16_t  TM3                  :1;
            __IO  uint16_t  TM4                  :1;
            __IO  uint16_t  TM5                  :1;
            __IO  uint16_t  TM6                  :1;
            __IO  uint16_t  TM7                  :1;
            __IO  uint16_t  TM8                  :1;
            __IO  uint16_t  TM9                  :1;
            __IO  uint16_t  TM10                 :1;
            __IO  uint16_t  TM11                 :1;
            __IO  uint16_t  TM12                 :1;
            __IO  uint16_t  TM13                 :1;
            __IO  uint16_t  TM14                 :1;
            __IO  uint16_t  TM15                 :1;
        };
    };
} stc_mfs_stmr_field_t;

typedef struct stc_mfs_stmcr_field
{
    union {
        struct {
            __IO  uint16_t  TC                   :16;
        };
        struct {
            __IO  uint16_t  TC0                  :1;
            __IO  uint16_t  TC1                  :1;
            __IO  uint16_t  TC2                  :1;
            __IO  uint16_t  TC3                  :1;
            __IO  uint16_t  TC4                  :1;
            __IO  uint16_t  TC5                  :1;
            __IO  uint16_t  TC6                  :1;
            __IO  uint16_t  TC7                  :1;
            __IO  uint16_t  TC8                  :1;
            __IO  uint16_t  TC9                  :1;
            __IO  uint16_t  TC10                 :1;
            __IO  uint16_t  TC11                 :1;
            __IO  uint16_t  TC12                 :1;
            __IO  uint16_t  TC13                 :1;
            __IO  uint16_t  TC14                 :1;
            __IO  uint16_t  TC15                 :1;
        };
    };
} stc_mfs_stmcr_field_t;

typedef struct stc_mfs_scscr_field
{
    union {
        struct {
            __IO  uint16_t  CSOE                 :1;
            __IO  uint16_t  CSEN0                :1;
            __IO  uint16_t  CSEN1                :1;
            __IO  uint16_t  CSEN2                :1;
            __IO  uint16_t  CSEN3                :1;
            __IO  uint16_t  CSLVL                :1;
            __IO  uint16_t  CDIV                 :3;
            __IO  uint16_t  SCAM                 :1;
            __IO  uint16_t  SCD                  :2;
            __IO  uint16_t  SED                  :2;
            __IO  uint16_t  SST                  :2;
        };
        struct {
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  CDIV0                :1;
            __IO  uint16_t  CDIV1                :1;
            __IO  uint16_t  CDIV2                :1;
            __IO  uint16_t  RESERVED1            :1;
            __IO  uint16_t  SCD0                 :1;
            __IO  uint16_t  SCD1                 :1;
            __IO  uint16_t  SED0                 :1;
            __IO  uint16_t  SED1                 :1;
            __IO  uint16_t  SST0                 :1;
            __IO  uint16_t  SST1                 :1;
        };
    };
} stc_mfs_scscr_field_t;

typedef struct stc_mfs_scsfr0_field
{
    union {
        struct {
            __IO   uint8_t  CS1L                 :4;
            __IO   uint8_t  CS1BDS               :1;
            __IO   uint8_t  CS1SPI               :1;
            __IO   uint8_t  CS1SCINV             :1;
            __IO   uint8_t  CS1CSLVL             :1;
        };
        struct {
            __IO   uint8_t  CS1L0                :1;
            __IO   uint8_t  CS1L1                :1;
            __IO   uint8_t  CS1L2                :1;
            __IO   uint8_t  CS1L3                :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mfs_scsfr0_field_t;

typedef struct stc_mfs_scsfr1_field
{
    union {
        struct {
            __IO   uint8_t  CS2L                 :4;
            __IO   uint8_t  CS2BDS               :1;
            __IO   uint8_t  CS2SPI               :1;
            __IO   uint8_t  CS2SCINV             :1;
            __IO   uint8_t  CS2CSLVL             :1;
        };
        struct {
            __IO   uint8_t  CS2L0                :1;
            __IO   uint8_t  CS2L1                :1;
            __IO   uint8_t  CS2L2                :1;
            __IO   uint8_t  CS2L3                :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mfs_scsfr1_field_t;

typedef struct stc_mfs_scsfr2_field
{
    union {
        struct {
            __IO   uint8_t  CS3L                 :4;
            __IO   uint8_t  CS3BDS               :1;
            __IO   uint8_t  CS3SPI               :1;
            __IO   uint8_t  CS3SCINV             :1;
            __IO   uint8_t  CS3CSLVL             :1;
        };
        struct {
            __IO   uint8_t  CS3L0                :1;
            __IO   uint8_t  CS3L1                :1;
            __IO   uint8_t  CS3L2                :1;
            __IO   uint8_t  CS3L3                :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mfs_scsfr2_field_t;

typedef struct stc_mfs_csio_smr_field
{
    union {
        struct {
            __IO   uint8_t  SOE                  :1;
            __IO   uint8_t  SCKE                 :1;
            __IO   uint8_t  BDS                  :1;
            __IO   uint8_t  SCINV                :1;
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD                   :3;
        };
        struct {
            __IO   uint8_t  RESERVED1            :5;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  MD2                  :1;
        };
    };
} stc_mfs_csio_smr_field_t;

typedef struct stc_mfs_i2c_smr_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED2            :2;
            __IO   uint8_t  TIE                  :1;
            __IO   uint8_t  RIE                  :1;
            __IO   uint8_t  RESERVED3            :1;
            __IO   uint8_t  MD                   :3;
        };
        struct {
            __IO   uint8_t  RESERVED4            :5;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  MD2                  :1;
        };
    };
} stc_mfs_i2c_smr_field_t;

typedef struct stc_mfs_i2s_smr_field
{
    union {
        struct {
            __IO   uint8_t  SOE                  :1;
            __IO   uint8_t  RESERVED5            :1;
            __IO   uint8_t  BDS                  :1;
            __IO   uint8_t  RESERVED6            :2;
            __IO   uint8_t  MD                   :3;
        };
        struct {
            __IO   uint8_t  RESERVED7            :5;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  MD2                  :1;
        };
    };
} stc_mfs_i2s_smr_field_t;

typedef struct stc_mfs_lin_smr_field
{
    union {
        struct {
            __IO   uint8_t  SOE                  :1;
            __IO   uint8_t  RESERVED8            :2;
            __IO   uint8_t  SBL                  :1;
            __IO   uint8_t  RESERVED9            :1;
            __IO   uint8_t  MD                   :3;
        };
        struct {
            __IO   uint8_t  RESERVED10           :5;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  MD2                  :1;
        };
    };
} stc_mfs_lin_smr_field_t;

typedef struct stc_mfs_uart_smr_field
{
    union {
        struct {
            __IO   uint8_t  SOE                  :1;
            __IO   uint8_t  RESERVED11           :1;
            __IO   uint8_t  BDS                  :1;
            __IO   uint8_t  SBL                  :1;
            __IO   uint8_t  RESERVED12           :1;
            __IO   uint8_t  MD                   :3;
        };
        struct {
            __IO   uint8_t  RESERVED13           :5;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  MD2                  :1;
        };
    };
} stc_mfs_uart_smr_field_t;

typedef struct stc_mfs_csio_scr_field
{
        __IO   uint8_t  TXE                      :1;
        __IO   uint8_t  RXE                      :1;
        __IO   uint8_t  TBIE                     :1;
        __IO   uint8_t  TIE                      :1;
        __IO   uint8_t  RIE                      :1;
        __IO   uint8_t  SPI                      :1;
        __IO   uint8_t  MS                       :1;
        __IO   uint8_t  UPCL                     :1;
} stc_mfs_csio_scr_field_t;

typedef struct stc_mfs_i2c_ibcr_field
{
        __IO   uint8_t  INT                      :1;
        __IO   uint8_t  BER                      :1;
        __IO   uint8_t  INTE                     :1;
        __IO   uint8_t  CNDE                     :1;
        __IO   uint8_t  WSEL                     :1;
        __IO   uint8_t  ACKE                     :1;
        __IO   uint8_t  ACT_SCC                  :1;
        __IO   uint8_t  MSS                      :1;
} stc_mfs_i2c_ibcr_field_t;

typedef struct stc_mfs_i2s_scr_field
{
        __IO   uint8_t  TXE                      :1;
        __IO   uint8_t  RXE                      :1;
        __IO   uint8_t  RESERVED2                :2;
        __IO   uint8_t  RIE                      :1;
        __IO   uint8_t  RESERVED3                :1;
        __IO   uint8_t  MS                       :1;
        __IO   uint8_t  UPCL                     :1;
} stc_mfs_i2s_scr_field_t;

typedef struct stc_mfs_lin_scr_field
{
        __IO   uint8_t  TXE                      :1;
        __IO   uint8_t  RXE                      :1;
        __IO   uint8_t  TBIE                     :1;
        __IO   uint8_t  TIE                      :1;
        __IO   uint8_t  RIE                      :1;
        __IO   uint8_t  LBR                      :1;
        __IO   uint8_t  MS                       :1;
        __IO   uint8_t  UPCL                     :1;
} stc_mfs_lin_scr_field_t;

typedef struct stc_mfs_uart_scr_field
{
        __IO   uint8_t  TXE                      :1;
        __IO   uint8_t  RXE                      :1;
        __IO   uint8_t  TBIE                     :1;
        __IO   uint8_t  TIE                      :1;
        __IO   uint8_t  RIE                      :1;
        __IO   uint8_t  RESERVED6                :2;
        __IO   uint8_t  UPCL                     :1;
} stc_mfs_uart_scr_field_t;

typedef struct stc_mfs_csio_escr_field
{
    union {
        struct {
            __IO   uint8_t  L                    :3;
            __IO   uint8_t  WT                   :2;
            __IO   uint8_t  CSFE                 :1;
            __IO   uint8_t  L3                   :1;
            __IO   uint8_t  SOP                  :1;
        };
        struct {
            __IO   uint8_t  L0                   :1;
            __IO   uint8_t  L1                   :1;
            __IO   uint8_t  L2                   :1;
            __IO   uint8_t  WT0                  :1;
            __IO   uint8_t  WT1                  :1;
            __IO   uint8_t  RESERVED0            :3;
        };
    };
} stc_mfs_csio_escr_field_t;

typedef struct stc_mfs_i2c_ibsr_field
{
        __IO   uint8_t  BB                       :1;
        __IO   uint8_t  SPC                      :1;
        __IO   uint8_t  RSC                      :1;
        __IO   uint8_t  AL                       :1;
        __IO   uint8_t  TRX                      :1;
        __IO   uint8_t  RSA                      :1;
        __IO   uint8_t  RACK                     :1;
        __IO   uint8_t  FBT                      :1;
} stc_mfs_i2c_ibsr_field_t;

typedef struct stc_mfs_i2s_escr_field
{
    union {
        struct {
            __IO   uint8_t  L                    :3;
            __IO   uint8_t  RESERVED2            :3;
            __IO   uint8_t  L3                   :1;
            __IO   uint8_t  SOP                  :1;
        };
        struct {
            __IO   uint8_t  L0                   :1;
            __IO   uint8_t  L1                   :1;
            __IO   uint8_t  L2                   :1;
            __IO   uint8_t  RESERVED3            :5;
        };
    };
} stc_mfs_i2s_escr_field_t;

typedef struct stc_mfs_lin_escr_field
{
    union {
        struct {
            __IO   uint8_t  DEL                  :2;
            __IO   uint8_t  LBL                  :2;
            __IO   uint8_t  LBIE                 :1;
            __IO   uint8_t  RESERVED4            :1;
            __IO   uint8_t  ESBL                 :1;
            __IO   uint8_t  RESERVED5            :1;
        };
        struct {
            __IO   uint8_t  DEL0                 :1;
            __IO   uint8_t  DEL1                 :1;
            __IO   uint8_t  LBL0                 :1;
            __IO   uint8_t  LBL1                 :1;
            __IO   uint8_t  RESERVED6            :4;
        };
    };
} stc_mfs_lin_escr_field_t;

typedef struct stc_mfs_uart_escr_field
{
    union {
        struct {
            __IO   uint8_t  L                    :3;
            __IO   uint8_t  P                    :1;
            __IO   uint8_t  PEN                  :1;
            __IO   uint8_t  INV                  :1;
            __IO   uint8_t  ESBL                 :1;
            __IO   uint8_t  FLWEN                :1;
        };
        struct {
            __IO   uint8_t  L0                   :1;
            __IO   uint8_t  L1                   :1;
            __IO   uint8_t  L2                   :1;
            __IO   uint8_t  RESERVED7            :5;
        };
    };
} stc_mfs_uart_escr_field_t;

typedef struct stc_mfs_csio_ssr_field
{
        __IO   uint8_t  TBI                      :1;
        __IO   uint8_t  TDRE                     :1;
        __IO   uint8_t  RDRF                     :1;
        __IO   uint8_t  ORE                      :1;
        __IO   uint8_t  RESERVED0                :3;
        __IO   uint8_t  REC                      :1;
} stc_mfs_csio_ssr_field_t;

typedef struct stc_mfs_i2c_ssr_field
{
        __IO   uint8_t  TBI                      :1;
        __IO   uint8_t  TDRE                     :1;
        __IO   uint8_t  RDRF                     :1;
        __IO   uint8_t  ORE                      :1;
        __IO   uint8_t  TBIE                     :1;
        __IO   uint8_t  DMA                      :1;
        __IO   uint8_t  TSET                     :1;
        __IO   uint8_t  REC                      :1;
} stc_mfs_i2c_ssr_field_t;

typedef struct stc_mfs_i2s_ssr_field
{
        __IO   uint8_t  RESERVED3                :1;
        __IO   uint8_t  TDRE                     :1;
        __IO   uint8_t  RDRF                     :1;
        __IO   uint8_t  ORE                      :1;
        __IO   uint8_t  AWC                      :1;
        __IO   uint8_t  RESERVED4                :2;
        __IO   uint8_t  REC                      :1;
} stc_mfs_i2s_ssr_field_t;

typedef struct stc_mfs_lin_ssr_field
{
        __IO   uint8_t  TBI                      :1;
        __IO   uint8_t  TDRE                     :1;
        __IO   uint8_t  RDRF                     :1;
        __IO   uint8_t  ORE                      :1;
        __IO   uint8_t  FRE                      :1;
        __IO   uint8_t  LBD                      :1;
        __IO   uint8_t  RESERVED6                :1;
        __IO   uint8_t  REC                      :1;
} stc_mfs_lin_ssr_field_t;

typedef struct stc_mfs_uart_ssr_field
{
        __IO   uint8_t  TBI                      :1;
        __IO   uint8_t  TDRE                     :1;
        __IO   uint8_t  RDRF                     :1;
        __IO   uint8_t  ORE                      :1;
        __IO   uint8_t  FRE                      :1;
        __IO   uint8_t  PE                       :1;
        __IO   uint8_t  RESERVED8                :1;
        __IO   uint8_t  REC                      :1;
} stc_mfs_uart_ssr_field_t;

typedef struct stc_mfs_csio_rdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :16;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  D8                   :1;
            __IO  uint16_t  D9                   :1;
            __IO  uint16_t  D10                  :1;
            __IO  uint16_t  D11                  :1;
            __IO  uint16_t  D12                  :1;
            __IO  uint16_t  D13                  :1;
            __IO  uint16_t  D14                  :1;
            __IO  uint16_t  D15                  :1;
        };
    };
} stc_mfs_csio_rdr_field_t;

typedef struct stc_mfs_csio_tdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :16;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  D8                   :1;
            __IO  uint16_t  D9                   :1;
            __IO  uint16_t  D10                  :1;
            __IO  uint16_t  D11                  :1;
            __IO  uint16_t  D12                  :1;
            __IO  uint16_t  D13                  :1;
            __IO  uint16_t  D14                  :1;
            __IO  uint16_t  D15                  :1;
        };
    };
} stc_mfs_csio_tdr_field_t;

typedef struct stc_mfs_i2c_rdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :8;
            __IO  uint16_t  RESERVED0            :8;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  RESERVED1            :8;
        };
    };
} stc_mfs_i2c_rdr_field_t;

typedef struct stc_mfs_i2c_tdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :8;
            __IO  uint16_t  RESERVED2            :8;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  RESERVED3            :8;
        };
    };
} stc_mfs_i2c_tdr_field_t;

typedef struct stc_mfs_lin_rdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :8;
            __IO  uint16_t  RESERVED4            :8;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  RESERVED5            :8;
        };
    };
} stc_mfs_lin_rdr_field_t;

typedef struct stc_mfs_lin_tdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :8;
            __IO  uint16_t  RESERVED6            :8;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  RESERVED7            :8;
        };
    };
} stc_mfs_lin_tdr_field_t;

typedef struct stc_mfs_uart_rdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :9;
            __IO  uint16_t  RESERVED8            :7;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  D8                   :1;
            __IO  uint16_t  RESERVED9            :7;
        };
    };
} stc_mfs_uart_rdr_field_t;

typedef struct stc_mfs_uart_tdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :9;
            __IO  uint16_t  RESERVED10           :7;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  D8                   :1;
            __IO  uint16_t  RESERVED11           :7;
        };
    };
} stc_mfs_uart_tdr_field_t;

typedef struct stc_mfs_csio_bgr_field
{
    union {
        struct {
            __IO  uint16_t  BGR                  :15;
            __IO  uint16_t  RESERVED0            :1;
        };
        struct {
            __IO  uint16_t  BGR0                 :1;
            __IO  uint16_t  BGR1                 :1;
            __IO  uint16_t  BGR2                 :1;
            __IO  uint16_t  BGR3                 :1;
            __IO  uint16_t  BGR4                 :1;
            __IO  uint16_t  BGR5                 :1;
            __IO  uint16_t  BGR6                 :1;
            __IO  uint16_t  BGR7                 :1;
            __IO  uint16_t  BGR8                 :1;
            __IO  uint16_t  BGR9                 :1;
            __IO  uint16_t  BGR10                :1;
            __IO  uint16_t  BGR11                :1;
            __IO  uint16_t  BGR12                :1;
            __IO  uint16_t  BGR13                :1;
            __IO  uint16_t  BGR14                :1;
            __IO  uint16_t  RESERVED1            :1;
        };
    };
} stc_mfs_csio_bgr_field_t;

typedef struct stc_mfs_i2c_bgr_field
{
    union {
        struct {
            __IO  uint16_t  BGR                  :15;
            __IO  uint16_t  RESERVED2            :1;
        };
        struct {
            __IO  uint16_t  BGR0                 :1;
            __IO  uint16_t  BGR1                 :1;
            __IO  uint16_t  BGR2                 :1;
            __IO  uint16_t  BGR3                 :1;
            __IO  uint16_t  BGR4                 :1;
            __IO  uint16_t  BGR5                 :1;
            __IO  uint16_t  BGR6                 :1;
            __IO  uint16_t  BGR7                 :1;
            __IO  uint16_t  BGR8                 :1;
            __IO  uint16_t  BGR9                 :1;
            __IO  uint16_t  BGR10                :1;
            __IO  uint16_t  BGR11                :1;
            __IO  uint16_t  BGR12                :1;
            __IO  uint16_t  BGR13                :1;
            __IO  uint16_t  BGR14                :1;
            __IO  uint16_t  RESERVED3            :1;
        };
    };
} stc_mfs_i2c_bgr_field_t;

typedef struct stc_mfs_lin_bgr_field
{
    union {
        struct {
            __IO  uint16_t  BGR                  :15;
            __IO  uint16_t  EXT                  :1;
        };
        struct {
            __IO  uint16_t  BGR0                 :1;
            __IO  uint16_t  BGR1                 :1;
            __IO  uint16_t  BGR2                 :1;
            __IO  uint16_t  BGR3                 :1;
            __IO  uint16_t  BGR4                 :1;
            __IO  uint16_t  BGR5                 :1;
            __IO  uint16_t  BGR6                 :1;
            __IO  uint16_t  BGR7                 :1;
            __IO  uint16_t  BGR8                 :1;
            __IO  uint16_t  BGR9                 :1;
            __IO  uint16_t  BGR10                :1;
            __IO  uint16_t  BGR11                :1;
            __IO  uint16_t  BGR12                :1;
            __IO  uint16_t  BGR13                :1;
            __IO  uint16_t  BGR14                :1;
            __IO  uint16_t  RESERVED4            :1;
        };
    };
} stc_mfs_lin_bgr_field_t;

typedef struct stc_mfs_uart_bgr_field
{
    union {
        struct {
            __IO  uint16_t  BGR                  :15;
            __IO  uint16_t  EXT                  :1;
        };
        struct {
            __IO  uint16_t  BGR0                 :1;
            __IO  uint16_t  BGR1                 :1;
            __IO  uint16_t  BGR2                 :1;
            __IO  uint16_t  BGR3                 :1;
            __IO  uint16_t  BGR4                 :1;
            __IO  uint16_t  BGR5                 :1;
            __IO  uint16_t  BGR6                 :1;
            __IO  uint16_t  BGR7                 :1;
            __IO  uint16_t  BGR8                 :1;
            __IO  uint16_t  BGR9                 :1;
            __IO  uint16_t  BGR10                :1;
            __IO  uint16_t  BGR11                :1;
            __IO  uint16_t  BGR12                :1;
            __IO  uint16_t  BGR13                :1;
            __IO  uint16_t  BGR14                :1;
            __IO  uint16_t  RESERVED5            :1;
        };
    };
} stc_mfs_uart_bgr_field_t;

typedef struct stc_mfs_i2c_isba_field
{
    union {
        struct {
            __IO   uint8_t  SA                   :7;
            __IO   uint8_t  SAEN                 :1;
        };
        struct {
            __IO   uint8_t  SA0                  :1;
            __IO   uint8_t  SA1                  :1;
            __IO   uint8_t  SA2                  :1;
            __IO   uint8_t  SA3                  :1;
            __IO   uint8_t  SA4                  :1;
            __IO   uint8_t  SA5                  :1;
            __IO   uint8_t  SA6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_mfs_i2c_isba_field_t;

typedef struct stc_mfs_i2c_ismk_field
{
    union {
        struct {
            __IO   uint8_t  SM                   :7;
            __IO   uint8_t  EN                   :1;
        };
        struct {
            __IO   uint8_t  SM0                  :1;
            __IO   uint8_t  SM1                  :1;
            __IO   uint8_t  SM2                  :1;
            __IO   uint8_t  SM3                  :1;
            __IO   uint8_t  SM4                  :1;
            __IO   uint8_t  SM5                  :1;
            __IO   uint8_t  SM6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_mfs_i2c_ismk_field_t;

typedef struct stc_mfs_csio_fcr_field
{
        __IO  uint16_t  FE1                      :1;
        __IO  uint16_t  FE2                      :1;
        __IO  uint16_t  FCL1                     :1;
        __IO  uint16_t  FCL2                     :1;
        __IO  uint16_t  FSET                     :1;
        __IO  uint16_t  FLD                      :1;
        __IO  uint16_t  FLST                     :1;
        __IO  uint16_t  RESERVED0                :1;
        __IO  uint16_t  FSEL                     :1;
        __IO  uint16_t  FTIE                     :1;
        __IO  uint16_t  FDRQ                     :1;
        __IO  uint16_t  FRIIE                    :1;
        __IO  uint16_t  FLSTE                    :1;
        __IO  uint16_t  RESERVED1                :3;
} stc_mfs_csio_fcr_field_t;

typedef struct stc_mfs_i2c_fcr_field
{
        __IO  uint16_t  FE1                      :1;
        __IO  uint16_t  FE2                      :1;
        __IO  uint16_t  FCL1                     :1;
        __IO  uint16_t  FCL2                     :1;
        __IO  uint16_t  FSET                     :1;
        __IO  uint16_t  FLD                      :1;
        __IO  uint16_t  FLST                     :1;
        __IO  uint16_t  RESERVED3                :1;
        __IO  uint16_t  FSEL                     :1;
        __IO  uint16_t  FTIE                     :1;
        __IO  uint16_t  FDRQ                     :1;
        __IO  uint16_t  FRIIE                    :1;
        __IO  uint16_t  FLSTE                    :1;
        __IO  uint16_t  RESERVED4                :3;
} stc_mfs_i2c_fcr_field_t;

typedef struct stc_mfs_i2s_fcr_field
{
        __IO  uint16_t  FE1                      :1;
        __IO  uint16_t  FE2                      :1;
        __IO  uint16_t  FCL1                     :1;
        __IO  uint16_t  FCL2                     :1;
        __IO  uint16_t  RESERVED6                :4;
        __IO  uint16_t  FSEL                     :1;
        __IO  uint16_t  FTIE                     :1;
        __IO  uint16_t  FDRQ                     :1;
        __IO  uint16_t  RESERVED7                :5;
} stc_mfs_i2s_fcr_field_t;

typedef struct stc_mfs_lin_fcr_field
{
        __IO  uint16_t  FE1                      :1;
        __IO  uint16_t  FE2                      :1;
        __IO  uint16_t  FCL1                     :1;
        __IO  uint16_t  FCL2                     :1;
        __IO  uint16_t  FSET                     :1;
        __IO  uint16_t  FLD                      :1;
        __IO  uint16_t  FLST                     :1;
        __IO  uint16_t  RESERVED9                :1;
        __IO  uint16_t  FSEL                     :1;
        __IO  uint16_t  FTIE                     :1;
        __IO  uint16_t  FDRQ                     :1;
        __IO  uint16_t  FRIIE                    :1;
        __IO  uint16_t  FLSTE                    :1;
        __IO  uint16_t  RESERVED10               :3;
} stc_mfs_lin_fcr_field_t;

typedef struct stc_mfs_uart_fcr_field
{
        __IO  uint16_t  FE1                      :1;
        __IO  uint16_t  FE2                      :1;
        __IO  uint16_t  FCL1                     :1;
        __IO  uint16_t  FCL2                     :1;
        __IO  uint16_t  FSET                     :1;
        __IO  uint16_t  FLD                      :1;
        __IO  uint16_t  FLST                     :1;
        __IO  uint16_t  RESERVED12               :1;
        __IO  uint16_t  FSEL                     :1;
        __IO  uint16_t  FTIE                     :1;
        __IO  uint16_t  FDRQ                     :1;
        __IO  uint16_t  FRIIE                    :1;
        __IO  uint16_t  FLSTE                    :1;
        __IO  uint16_t  RESERVED13               :3;
} stc_mfs_uart_fcr_field_t;

typedef struct stc_mfs_csio_fbyte1_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_csio_fbyte1_field_t;

typedef struct stc_mfs_i2c_fbyte1_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_i2c_fbyte1_field_t;

typedef struct stc_mfs_i2s_fbyte1_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_i2s_fbyte1_field_t;

typedef struct stc_mfs_lin_fbyte1_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_lin_fbyte1_field_t;

typedef struct stc_mfs_uart_fbyte1_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_uart_fbyte1_field_t;

typedef struct stc_mfs_csio_fbyte2_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_csio_fbyte2_field_t;

typedef struct stc_mfs_i2c_fbyte2_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_i2c_fbyte2_field_t;

typedef struct stc_mfs_i2s_fbyte2_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_i2s_fbyte2_field_t;

typedef struct stc_mfs_lin_fbyte2_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_lin_fbyte2_field_t;

typedef struct stc_mfs_uart_fbyte2_field
{
    union {
        struct {
            __IO   uint8_t  FD                   :8;
        };
        struct {
            __IO   uint8_t  FD0                  :1;
            __IO   uint8_t  FD1                  :1;
            __IO   uint8_t  FD2                  :1;
            __IO   uint8_t  FD3                  :1;
            __IO   uint8_t  FD4                  :1;
            __IO   uint8_t  FD5                  :1;
            __IO   uint8_t  FD6                  :1;
            __IO   uint8_t  FD7                  :1;
        };
    };
} stc_mfs_uart_fbyte2_field_t;

typedef struct stc_mfs_csio_scstr0_field
{
    union {
        struct {
            __IO   uint8_t  CSHD                 :8;
        };
        struct {
            __IO   uint8_t  CSHD0                :1;
            __IO   uint8_t  CSHD1                :1;
            __IO   uint8_t  CSHD2                :1;
            __IO   uint8_t  CSHD3                :1;
            __IO   uint8_t  CSHD4                :1;
            __IO   uint8_t  CSHD5                :1;
            __IO   uint8_t  CSHD6                :1;
            __IO   uint8_t  CSHD7                :1;
        };
    };
} stc_mfs_csio_scstr0_field_t;

typedef struct stc_mfs_csio_scstr1_field
{
    union {
        struct {
            __IO   uint8_t  CSSU                 :8;
        };
        struct {
            __IO   uint8_t  CSSU0                :1;
            __IO   uint8_t  CSSU1                :1;
            __IO   uint8_t  CSSU2                :1;
            __IO   uint8_t  CSSU3                :1;
            __IO   uint8_t  CSSU4                :1;
            __IO   uint8_t  CSSU5                :1;
            __IO   uint8_t  CSSU6                :1;
            __IO   uint8_t  CSSU7                :1;
        };
    };
} stc_mfs_csio_scstr1_field_t;

typedef struct stc_mfs_i2c_eibcr_field
{
        __IO   uint8_t  BEC                      :1;
        __IO   uint8_t  SOCE                     :1;
        __IO   uint8_t  SCLC                     :1;
        __IO   uint8_t  SDAC                     :1;
        __IO   uint8_t  SCLS                     :1;
        __IO   uint8_t  SDAS                     :1;
        __IO   uint8_t  RESERVED0                :2;
} stc_mfs_i2c_eibcr_field_t;

typedef struct stc_mfs_csio_scstr32_field
{
    union {
        struct {
            __IO  uint16_t  CSDS                 :16;
        };
        struct {
            __IO  uint16_t  CSDS0                :1;
            __IO  uint16_t  CSDS1                :1;
            __IO  uint16_t  CSDS2                :1;
            __IO  uint16_t  CSDS3                :1;
            __IO  uint16_t  CSDS4                :1;
            __IO  uint16_t  CSDS5                :1;
            __IO  uint16_t  CSDS6                :1;
            __IO  uint16_t  CSDS7                :1;
            __IO  uint16_t  CSDS8                :1;
            __IO  uint16_t  CSDS9                :1;
            __IO  uint16_t  CSDS10               :1;
            __IO  uint16_t  CSDS11               :1;
            __IO  uint16_t  CSDS12               :1;
            __IO  uint16_t  CSDS13               :1;
            __IO  uint16_t  CSDS14               :1;
            __IO  uint16_t  CSDS15               :1;
        };
    };
} stc_mfs_csio_scstr32_field_t;

typedef struct stc_mfs_csio_sacsr_field
{
    union {
        struct {
            __IO  uint16_t  TMRE                 :1;
            __IO  uint16_t  TDIV                 :4;
            __IO  uint16_t  RESERVED1            :1;
            __IO  uint16_t  TSYNE                :1;
            __IO  uint16_t  TINTE                :1;
            __IO  uint16_t  TINT                 :1;
            __IO  uint16_t  RESERVED2            :2;
            __IO  uint16_t  CSE                  :1;
            __IO  uint16_t  CSEIE                :1;
            __IO  uint16_t  TBEEN                :1;
            __IO  uint16_t  RESERVED3            :2;
        };
        struct {
            __IO  uint16_t  RESERVED0            :1;
            __IO  uint16_t  TDIV0                :1;
            __IO  uint16_t  TDIV1                :1;
            __IO  uint16_t  TDIV2                :1;
            __IO  uint16_t  TDIV3                :1;
            __IO  uint16_t  RESERVED4            :11;
        };
    };
} stc_mfs_csio_sacsr_field_t;

typedef struct stc_mfs_csio_stmr_field
{
    union {
        struct {
            __IO  uint16_t  TM                   :16;
        };
        struct {
            __IO  uint16_t  TM0                  :1;
            __IO  uint16_t  TM1                  :1;
            __IO  uint16_t  TM2                  :1;
            __IO  uint16_t  TM3                  :1;
            __IO  uint16_t  TM4                  :1;
            __IO  uint16_t  TM5                  :1;
            __IO  uint16_t  TM6                  :1;
            __IO  uint16_t  TM7                  :1;
            __IO  uint16_t  TM8                  :1;
            __IO  uint16_t  TM9                  :1;
            __IO  uint16_t  TM10                 :1;
            __IO  uint16_t  TM11                 :1;
            __IO  uint16_t  TM12                 :1;
            __IO  uint16_t  TM13                 :1;
            __IO  uint16_t  TM14                 :1;
            __IO  uint16_t  TM15                 :1;
        };
    };
} stc_mfs_csio_stmr_field_t;

typedef struct stc_mfs_csio_stmcr_field
{
    union {
        struct {
            __IO  uint16_t  TC                   :16;
        };
        struct {
            __IO  uint16_t  TC0                  :1;
            __IO  uint16_t  TC1                  :1;
            __IO  uint16_t  TC2                  :1;
            __IO  uint16_t  TC3                  :1;
            __IO  uint16_t  TC4                  :1;
            __IO  uint16_t  TC5                  :1;
            __IO  uint16_t  TC6                  :1;
            __IO  uint16_t  TC7                  :1;
            __IO  uint16_t  TC8                  :1;
            __IO  uint16_t  TC9                  :1;
            __IO  uint16_t  TC10                 :1;
            __IO  uint16_t  TC11                 :1;
            __IO  uint16_t  TC12                 :1;
            __IO  uint16_t  TC13                 :1;
            __IO  uint16_t  TC14                 :1;
            __IO  uint16_t  TC15                 :1;
        };
    };
} stc_mfs_csio_stmcr_field_t;

typedef struct stc_mfs_csio_scscr_field
{
    union {
        struct {
            __IO  uint16_t  CSOE                 :1;
            __IO  uint16_t  CSEN0                :1;
            __IO  uint16_t  CSEN1                :1;
            __IO  uint16_t  CSEN2                :1;
            __IO  uint16_t  CSEN3                :1;
            __IO  uint16_t  CSLVL                :1;
            __IO  uint16_t  CDIV                 :3;
            __IO  uint16_t  SCAM                 :1;
            __IO  uint16_t  SCD                  :2;
            __IO  uint16_t  SED                  :2;
            __IO  uint16_t  SST                  :2;
        };
        struct {
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  CDIV0                :1;
            __IO  uint16_t  CDIV1                :1;
            __IO  uint16_t  CDIV2                :1;
            __IO  uint16_t  RESERVED1            :1;
            __IO  uint16_t  SCD0                 :1;
            __IO  uint16_t  SCD1                 :1;
            __IO  uint16_t  SED0                 :1;
            __IO  uint16_t  SED1                 :1;
            __IO  uint16_t  SST0                 :1;
            __IO  uint16_t  SST1                 :1;
        };
    };
} stc_mfs_csio_scscr_field_t;

typedef struct stc_mfs_csio_scsfr0_field
{
    union {
        struct {
            __IO   uint8_t  CS1L                 :4;
            __IO   uint8_t  CS1BDS               :1;
            __IO   uint8_t  CS1SPI               :1;
            __IO   uint8_t  CS1SCINV             :1;
            __IO   uint8_t  CS1CSLVL             :1;
        };
        struct {
            __IO   uint8_t  CS1L0                :1;
            __IO   uint8_t  CS1L1                :1;
            __IO   uint8_t  CS1L2                :1;
            __IO   uint8_t  CS1L3                :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mfs_csio_scsfr0_field_t;

typedef struct stc_mfs_csio_scsfr1_field
{
    union {
        struct {
            __IO   uint8_t  CS2L                 :4;
            __IO   uint8_t  CS2BDS               :1;
            __IO   uint8_t  CS2SPI               :1;
            __IO   uint8_t  CS2SCINV             :1;
            __IO   uint8_t  CS2CSLVL             :1;
        };
        struct {
            __IO   uint8_t  CS2L0                :1;
            __IO   uint8_t  CS2L1                :1;
            __IO   uint8_t  CS2L2                :1;
            __IO   uint8_t  CS2L3                :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mfs_csio_scsfr1_field_t;

typedef struct stc_mfs_csio_scsfr2_field
{
    union {
        struct {
            __IO   uint8_t  CS3L                 :4;
            __IO   uint8_t  CS3BDS               :1;
            __IO   uint8_t  CS3SPI               :1;
            __IO   uint8_t  CS3SCINV             :1;
            __IO   uint8_t  CS3CSLVL             :1;
        };
        struct {
            __IO   uint8_t  CS3L0                :1;
            __IO   uint8_t  CS3L1                :1;
            __IO   uint8_t  CS3L2                :1;
            __IO   uint8_t  CS3L3                :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mfs_csio_scsfr2_field_t;

/******************************************************************************
 ** MFSI2S_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_mfsi2s_cntlreg_field
{
        __IO  uint16_t  FRAML                    :1;
        __IO  uint16_t  RESERVED0                :2;
        __IO  uint16_t  I2SMOD                   :1;
        __IO  uint16_t  FSPL                     :1;
        __IO  uint16_t  I2SEN                    :1;
        __IO  uint16_t  CKOE                     :1;
        __IO  uint16_t  RESERVED1                :1;
        __IO  uint16_t  MSKB                     :1;
        __IO  uint16_t  RESERVED2                :1;
        __IO  uint16_t  I2SRUN                   :1;
        __IO  uint16_t  RESERVED3                :5;
} stc_mfsi2s_cntlreg_field_t;

typedef struct stc_mfsi2s_i2sclk_field
{
    union {
        struct {
            __IO  uint16_t  I2SDIV               :8;
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  MCKOE                :1;
            __IO  uint16_t  MCKIE                :1;
        };
        struct {
            __IO  uint16_t  I2SDIV0              :1;
            __IO  uint16_t  I2SDIV1              :1;
            __IO  uint16_t  I2SDIV2              :1;
            __IO  uint16_t  I2SDIV3              :1;
            __IO  uint16_t  I2SDIV4              :1;
            __IO  uint16_t  I2SDIV5              :1;
            __IO  uint16_t  I2SDIV6              :1;
            __IO  uint16_t  I2SDIV7              :1;
            __IO  uint16_t  RESERVED1            :8;
        };
    };
} stc_mfsi2s_i2sclk_field_t;

typedef struct stc_mfsi2s_i2srst_field
{
    union {
        struct {
            __IO   uint8_t  I2SRST               :8;
        };
        struct {
            __IO   uint8_t  I2SRST0              :1;
            __IO   uint8_t  I2SRST1              :1;
            __IO   uint8_t  I2SRST2              :1;
            __IO   uint8_t  I2SRST3              :1;
            __IO   uint8_t  I2SRST4              :1;
            __IO   uint8_t  I2SRST5              :1;
            __IO   uint8_t  I2SRST6              :1;
            __IO   uint8_t  I2SRST7              :1;
        };
    };
} stc_mfsi2s_i2srst_field_t;

typedef struct stc_mfsi2s_i2sst_field
{
        __IO   uint8_t  CKSTP                    :1;
        __IO   uint8_t  BUSY                     :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_mfsi2s_i2sst_field_t;

/******************************************************************************
 ** MTB_DWT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_mtb_dwt_cmp_addr_start_field
{
    union {
        struct {
            __IO  uint32_t  ADCMP_STA            :32;
        };
        struct {
            __IO  uint32_t  ADCMP_STA0           :1;
            __IO  uint32_t  ADCMP_STA1           :1;
            __IO  uint32_t  ADCMP_STA2           :1;
            __IO  uint32_t  ADCMP_STA3           :1;
            __IO  uint32_t  ADCMP_STA4           :1;
            __IO  uint32_t  ADCMP_STA5           :1;
            __IO  uint32_t  ADCMP_STA6           :1;
            __IO  uint32_t  ADCMP_STA7           :1;
            __IO  uint32_t  ADCMP_STA8           :1;
            __IO  uint32_t  ADCMP_STA9           :1;
            __IO  uint32_t  ADCMP_STA10          :1;
            __IO  uint32_t  ADCMP_STA11          :1;
            __IO  uint32_t  ADCMP_STA12          :1;
            __IO  uint32_t  ADCMP_STA13          :1;
            __IO  uint32_t  ADCMP_STA14          :1;
            __IO  uint32_t  ADCMP_STA15          :1;
            __IO  uint32_t  ADCMP_STA16          :1;
            __IO  uint32_t  ADCMP_STA17          :1;
            __IO  uint32_t  ADCMP_STA18          :1;
            __IO  uint32_t  ADCMP_STA19          :1;
            __IO  uint32_t  ADCMP_STA20          :1;
            __IO  uint32_t  ADCMP_STA21          :1;
            __IO  uint32_t  ADCMP_STA22          :1;
            __IO  uint32_t  ADCMP_STA23          :1;
            __IO  uint32_t  ADCMP_STA24          :1;
            __IO  uint32_t  ADCMP_STA25          :1;
            __IO  uint32_t  ADCMP_STA26          :1;
            __IO  uint32_t  ADCMP_STA27          :1;
            __IO  uint32_t  ADCMP_STA28          :1;
            __IO  uint32_t  ADCMP_STA29          :1;
            __IO  uint32_t  ADCMP_STA30          :1;
            __IO  uint32_t  ADCMP_STA31          :1;
        };
    };
} stc_mtb_dwt_cmp_addr_start_field_t;

typedef struct stc_mtb_dwt_cmp_data_start_field
{
    union {
        struct {
            __IO  uint32_t  DTCMP_STA            :32;
        };
        struct {
            __IO  uint32_t  DTCMP_STA0           :1;
            __IO  uint32_t  DTCMP_STA1           :1;
            __IO  uint32_t  DTCMP_STA2           :1;
            __IO  uint32_t  DTCMP_STA3           :1;
            __IO  uint32_t  DTCMP_STA4           :1;
            __IO  uint32_t  DTCMP_STA5           :1;
            __IO  uint32_t  DTCMP_STA6           :1;
            __IO  uint32_t  DTCMP_STA7           :1;
            __IO  uint32_t  DTCMP_STA8           :1;
            __IO  uint32_t  DTCMP_STA9           :1;
            __IO  uint32_t  DTCMP_STA10          :1;
            __IO  uint32_t  DTCMP_STA11          :1;
            __IO  uint32_t  DTCMP_STA12          :1;
            __IO  uint32_t  DTCMP_STA13          :1;
            __IO  uint32_t  DTCMP_STA14          :1;
            __IO  uint32_t  DTCMP_STA15          :1;
            __IO  uint32_t  DTCMP_STA16          :1;
            __IO  uint32_t  DTCMP_STA17          :1;
            __IO  uint32_t  DTCMP_STA18          :1;
            __IO  uint32_t  DTCMP_STA19          :1;
            __IO  uint32_t  DTCMP_STA20          :1;
            __IO  uint32_t  DTCMP_STA21          :1;
            __IO  uint32_t  DTCMP_STA22          :1;
            __IO  uint32_t  DTCMP_STA23          :1;
            __IO  uint32_t  DTCMP_STA24          :1;
            __IO  uint32_t  DTCMP_STA25          :1;
            __IO  uint32_t  DTCMP_STA26          :1;
            __IO  uint32_t  DTCMP_STA27          :1;
            __IO  uint32_t  DTCMP_STA28          :1;
            __IO  uint32_t  DTCMP_STA29          :1;
            __IO  uint32_t  DTCMP_STA30          :1;
            __IO  uint32_t  DTCMP_STA31          :1;
        };
    };
} stc_mtb_dwt_cmp_data_start_field_t;

typedef struct stc_mtb_dwt_cmp_mask_start_field
{
    union {
        struct {
            __IO  uint32_t  MSK_STA              :32;
        };
        struct {
            __IO  uint32_t  MSK_STA0             :1;
            __IO  uint32_t  MSK_STA1             :1;
            __IO  uint32_t  MSK_STA2             :1;
            __IO  uint32_t  MSK_STA3             :1;
            __IO  uint32_t  MSK_STA4             :1;
            __IO  uint32_t  MSK_STA5             :1;
            __IO  uint32_t  MSK_STA6             :1;
            __IO  uint32_t  MSK_STA7             :1;
            __IO  uint32_t  MSK_STA8             :1;
            __IO  uint32_t  MSK_STA9             :1;
            __IO  uint32_t  MSK_STA10            :1;
            __IO  uint32_t  MSK_STA11            :1;
            __IO  uint32_t  MSK_STA12            :1;
            __IO  uint32_t  MSK_STA13            :1;
            __IO  uint32_t  MSK_STA14            :1;
            __IO  uint32_t  MSK_STA15            :1;
            __IO  uint32_t  MSK_STA16            :1;
            __IO  uint32_t  MSK_STA17            :1;
            __IO  uint32_t  MSK_STA18            :1;
            __IO  uint32_t  MSK_STA19            :1;
            __IO  uint32_t  MSK_STA20            :1;
            __IO  uint32_t  MSK_STA21            :1;
            __IO  uint32_t  MSK_STA22            :1;
            __IO  uint32_t  MSK_STA23            :1;
            __IO  uint32_t  MSK_STA24            :1;
            __IO  uint32_t  MSK_STA25            :1;
            __IO  uint32_t  MSK_STA26            :1;
            __IO  uint32_t  MSK_STA27            :1;
            __IO  uint32_t  MSK_STA28            :1;
            __IO  uint32_t  MSK_STA29            :1;
            __IO  uint32_t  MSK_STA30            :1;
            __IO  uint32_t  MSK_STA31            :1;
        };
    };
} stc_mtb_dwt_cmp_mask_start_field_t;

typedef struct stc_mtb_dwt_cmp_addr_stop_field
{
    union {
        struct {
            __IO  uint32_t  ADCMP_STO            :32;
        };
        struct {
            __IO  uint32_t  ADCMP_STO0           :1;
            __IO  uint32_t  ADCMP_STO1           :1;
            __IO  uint32_t  ADCMP_STO2           :1;
            __IO  uint32_t  ADCMP_STO3           :1;
            __IO  uint32_t  ADCMP_STO4           :1;
            __IO  uint32_t  ADCMP_STO5           :1;
            __IO  uint32_t  ADCMP_STO6           :1;
            __IO  uint32_t  ADCMP_STO7           :1;
            __IO  uint32_t  ADCMP_STO8           :1;
            __IO  uint32_t  ADCMP_STO9           :1;
            __IO  uint32_t  ADCMP_STO10          :1;
            __IO  uint32_t  ADCMP_STO11          :1;
            __IO  uint32_t  ADCMP_STO12          :1;
            __IO  uint32_t  ADCMP_STO13          :1;
            __IO  uint32_t  ADCMP_STO14          :1;
            __IO  uint32_t  ADCMP_STO15          :1;
            __IO  uint32_t  ADCMP_STO16          :1;
            __IO  uint32_t  ADCMP_STO17          :1;
            __IO  uint32_t  ADCMP_STO18          :1;
            __IO  uint32_t  ADCMP_STO19          :1;
            __IO  uint32_t  ADCMP_STO20          :1;
            __IO  uint32_t  ADCMP_STO21          :1;
            __IO  uint32_t  ADCMP_STO22          :1;
            __IO  uint32_t  ADCMP_STO23          :1;
            __IO  uint32_t  ADCMP_STO24          :1;
            __IO  uint32_t  ADCMP_STO25          :1;
            __IO  uint32_t  ADCMP_STO26          :1;
            __IO  uint32_t  ADCMP_STO27          :1;
            __IO  uint32_t  ADCMP_STO28          :1;
            __IO  uint32_t  ADCMP_STO29          :1;
            __IO  uint32_t  ADCMP_STO30          :1;
            __IO  uint32_t  ADCMP_STO31          :1;
        };
    };
} stc_mtb_dwt_cmp_addr_stop_field_t;

typedef struct stc_mtb_dwt_cmp_data_stop_field
{
    union {
        struct {
            __IO  uint32_t  DTCMP_STO            :32;
        };
        struct {
            __IO  uint32_t  DTCMP_STO0           :1;
            __IO  uint32_t  DTCMP_STO1           :1;
            __IO  uint32_t  DTCMP_STO2           :1;
            __IO  uint32_t  DTCMP_STO3           :1;
            __IO  uint32_t  DTCMP_STO4           :1;
            __IO  uint32_t  DTCMP_STO5           :1;
            __IO  uint32_t  DTCMP_STO6           :1;
            __IO  uint32_t  DTCMP_STO7           :1;
            __IO  uint32_t  DTCMP_STO8           :1;
            __IO  uint32_t  DTCMP_STO9           :1;
            __IO  uint32_t  DTCMP_STO10          :1;
            __IO  uint32_t  DTCMP_STO11          :1;
            __IO  uint32_t  DTCMP_STO12          :1;
            __IO  uint32_t  DTCMP_STO13          :1;
            __IO  uint32_t  DTCMP_STO14          :1;
            __IO  uint32_t  DTCMP_STO15          :1;
            __IO  uint32_t  DTCMP_STO16          :1;
            __IO  uint32_t  DTCMP_STO17          :1;
            __IO  uint32_t  DTCMP_STO18          :1;
            __IO  uint32_t  DTCMP_STO19          :1;
            __IO  uint32_t  DTCMP_STO20          :1;
            __IO  uint32_t  DTCMP_STO21          :1;
            __IO  uint32_t  DTCMP_STO22          :1;
            __IO  uint32_t  DTCMP_STO23          :1;
            __IO  uint32_t  DTCMP_STO24          :1;
            __IO  uint32_t  DTCMP_STO25          :1;
            __IO  uint32_t  DTCMP_STO26          :1;
            __IO  uint32_t  DTCMP_STO27          :1;
            __IO  uint32_t  DTCMP_STO28          :1;
            __IO  uint32_t  DTCMP_STO29          :1;
            __IO  uint32_t  DTCMP_STO30          :1;
            __IO  uint32_t  DTCMP_STO31          :1;
        };
    };
} stc_mtb_dwt_cmp_data_stop_field_t;

typedef struct stc_mtb_dwt_cmp_mask_stop_field
{
    union {
        struct {
            __IO  uint32_t  MSK_STO              :32;
        };
        struct {
            __IO  uint32_t  MSK_STO0             :1;
            __IO  uint32_t  MSK_STO1             :1;
            __IO  uint32_t  MSK_STO2             :1;
            __IO  uint32_t  MSK_STO3             :1;
            __IO  uint32_t  MSK_STO4             :1;
            __IO  uint32_t  MSK_STO5             :1;
            __IO  uint32_t  MSK_STO6             :1;
            __IO  uint32_t  MSK_STO7             :1;
            __IO  uint32_t  MSK_STO8             :1;
            __IO  uint32_t  MSK_STO9             :1;
            __IO  uint32_t  MSK_STO10            :1;
            __IO  uint32_t  MSK_STO11            :1;
            __IO  uint32_t  MSK_STO12            :1;
            __IO  uint32_t  MSK_STO13            :1;
            __IO  uint32_t  MSK_STO14            :1;
            __IO  uint32_t  MSK_STO15            :1;
            __IO  uint32_t  MSK_STO16            :1;
            __IO  uint32_t  MSK_STO17            :1;
            __IO  uint32_t  MSK_STO18            :1;
            __IO  uint32_t  MSK_STO19            :1;
            __IO  uint32_t  MSK_STO20            :1;
            __IO  uint32_t  MSK_STO21            :1;
            __IO  uint32_t  MSK_STO22            :1;
            __IO  uint32_t  MSK_STO23            :1;
            __IO  uint32_t  MSK_STO24            :1;
            __IO  uint32_t  MSK_STO25            :1;
            __IO  uint32_t  MSK_STO26            :1;
            __IO  uint32_t  MSK_STO27            :1;
            __IO  uint32_t  MSK_STO28            :1;
            __IO  uint32_t  MSK_STO29            :1;
            __IO  uint32_t  MSK_STO30            :1;
            __IO  uint32_t  MSK_STO31            :1;
        };
    };
} stc_mtb_dwt_cmp_mask_stop_field_t;

typedef struct stc_mtb_dwt_fct_field
{
    union {
        struct {
            __IO   uint8_t  STAEN                :2;
            __IO   uint8_t  STPEN                :2;
            __IO   uint8_t  DSTA                 :2;
            __IO   uint8_t  DSTP                 :2;
        };
        struct {
            __IO   uint8_t  STAEN0               :1;
            __IO   uint8_t  STAEN1               :1;
            __IO   uint8_t  STPEN0               :1;
            __IO   uint8_t  STPEN1               :1;
            __IO   uint8_t  DSTA0                :1;
            __IO   uint8_t  DSTA1                :1;
            __IO   uint8_t  DSTP0                :1;
            __IO   uint8_t  DSTP1                :1;
        };
    };
} stc_mtb_dwt_fct_field_t;

typedef struct stc_mtb_dwt_pid4_field
{
    union {
        struct {
            __IO  uint32_t  PERID                :32;
        };
        struct {
            __IO  uint32_t  PERID0               :1;
            __IO  uint32_t  PERID1               :1;
            __IO  uint32_t  PERID2               :1;
            __IO  uint32_t  PERID3               :1;
            __IO  uint32_t  PERID4               :1;
            __IO  uint32_t  PERID5               :1;
            __IO  uint32_t  PERID6               :1;
            __IO  uint32_t  PERID7               :1;
            __IO  uint32_t  PERID8               :1;
            __IO  uint32_t  PERID9               :1;
            __IO  uint32_t  PERID10              :1;
            __IO  uint32_t  PERID11              :1;
            __IO  uint32_t  PERID12              :1;
            __IO  uint32_t  PERID13              :1;
            __IO  uint32_t  PERID14              :1;
            __IO  uint32_t  PERID15              :1;
            __IO  uint32_t  PERID16              :1;
            __IO  uint32_t  PERID17              :1;
            __IO  uint32_t  PERID18              :1;
            __IO  uint32_t  PERID19              :1;
            __IO  uint32_t  PERID20              :1;
            __IO  uint32_t  PERID21              :1;
            __IO  uint32_t  PERID22              :1;
            __IO  uint32_t  PERID23              :1;
            __IO  uint32_t  PERID24              :1;
            __IO  uint32_t  PERID25              :1;
            __IO  uint32_t  PERID26              :1;
            __IO  uint32_t  PERID27              :1;
            __IO  uint32_t  PERID28              :1;
            __IO  uint32_t  PERID29              :1;
            __IO  uint32_t  PERID30              :1;
            __IO  uint32_t  PERID31              :1;
        };
    };
} stc_mtb_dwt_pid4_field_t;

typedef struct stc_mtb_dwt_pid5_field
{
    union {
        struct {
            __IO  uint32_t  PERID                :32;
        };
        struct {
            __IO  uint32_t  PERID0               :1;
            __IO  uint32_t  PERID1               :1;
            __IO  uint32_t  PERID2               :1;
            __IO  uint32_t  PERID3               :1;
            __IO  uint32_t  PERID4               :1;
            __IO  uint32_t  PERID5               :1;
            __IO  uint32_t  PERID6               :1;
            __IO  uint32_t  PERID7               :1;
            __IO  uint32_t  PERID8               :1;
            __IO  uint32_t  PERID9               :1;
            __IO  uint32_t  PERID10              :1;
            __IO  uint32_t  PERID11              :1;
            __IO  uint32_t  PERID12              :1;
            __IO  uint32_t  PERID13              :1;
            __IO  uint32_t  PERID14              :1;
            __IO  uint32_t  PERID15              :1;
            __IO  uint32_t  PERID16              :1;
            __IO  uint32_t  PERID17              :1;
            __IO  uint32_t  PERID18              :1;
            __IO  uint32_t  PERID19              :1;
            __IO  uint32_t  PERID20              :1;
            __IO  uint32_t  PERID21              :1;
            __IO  uint32_t  PERID22              :1;
            __IO  uint32_t  PERID23              :1;
            __IO  uint32_t  PERID24              :1;
            __IO  uint32_t  PERID25              :1;
            __IO  uint32_t  PERID26              :1;
            __IO  uint32_t  PERID27              :1;
            __IO  uint32_t  PERID28              :1;
            __IO  uint32_t  PERID29              :1;
            __IO  uint32_t  PERID30              :1;
            __IO  uint32_t  PERID31              :1;
        };
    };
} stc_mtb_dwt_pid5_field_t;

typedef struct stc_mtb_dwt_pid6_field
{
    union {
        struct {
            __IO  uint32_t  PERID                :32;
        };
        struct {
            __IO  uint32_t  PERID0               :1;
            __IO  uint32_t  PERID1               :1;
            __IO  uint32_t  PERID2               :1;
            __IO  uint32_t  PERID3               :1;
            __IO  uint32_t  PERID4               :1;
            __IO  uint32_t  PERID5               :1;
            __IO  uint32_t  PERID6               :1;
            __IO  uint32_t  PERID7               :1;
            __IO  uint32_t  PERID8               :1;
            __IO  uint32_t  PERID9               :1;
            __IO  uint32_t  PERID10              :1;
            __IO  uint32_t  PERID11              :1;
            __IO  uint32_t  PERID12              :1;
            __IO  uint32_t  PERID13              :1;
            __IO  uint32_t  PERID14              :1;
            __IO  uint32_t  PERID15              :1;
            __IO  uint32_t  PERID16              :1;
            __IO  uint32_t  PERID17              :1;
            __IO  uint32_t  PERID18              :1;
            __IO  uint32_t  PERID19              :1;
            __IO  uint32_t  PERID20              :1;
            __IO  uint32_t  PERID21              :1;
            __IO  uint32_t  PERID22              :1;
            __IO  uint32_t  PERID23              :1;
            __IO  uint32_t  PERID24              :1;
            __IO  uint32_t  PERID25              :1;
            __IO  uint32_t  PERID26              :1;
            __IO  uint32_t  PERID27              :1;
            __IO  uint32_t  PERID28              :1;
            __IO  uint32_t  PERID29              :1;
            __IO  uint32_t  PERID30              :1;
            __IO  uint32_t  PERID31              :1;
        };
    };
} stc_mtb_dwt_pid6_field_t;

typedef struct stc_mtb_dwt_pid7_field
{
    union {
        struct {
            __IO  uint32_t  PERID                :32;
        };
        struct {
            __IO  uint32_t  PERID0               :1;
            __IO  uint32_t  PERID1               :1;
            __IO  uint32_t  PERID2               :1;
            __IO  uint32_t  PERID3               :1;
            __IO  uint32_t  PERID4               :1;
            __IO  uint32_t  PERID5               :1;
            __IO  uint32_t  PERID6               :1;
            __IO  uint32_t  PERID7               :1;
            __IO  uint32_t  PERID8               :1;
            __IO  uint32_t  PERID9               :1;
            __IO  uint32_t  PERID10              :1;
            __IO  uint32_t  PERID11              :1;
            __IO  uint32_t  PERID12              :1;
            __IO  uint32_t  PERID13              :1;
            __IO  uint32_t  PERID14              :1;
            __IO  uint32_t  PERID15              :1;
            __IO  uint32_t  PERID16              :1;
            __IO  uint32_t  PERID17              :1;
            __IO  uint32_t  PERID18              :1;
            __IO  uint32_t  PERID19              :1;
            __IO  uint32_t  PERID20              :1;
            __IO  uint32_t  PERID21              :1;
            __IO  uint32_t  PERID22              :1;
            __IO  uint32_t  PERID23              :1;
            __IO  uint32_t  PERID24              :1;
            __IO  uint32_t  PERID25              :1;
            __IO  uint32_t  PERID26              :1;
            __IO  uint32_t  PERID27              :1;
            __IO  uint32_t  PERID28              :1;
            __IO  uint32_t  PERID29              :1;
            __IO  uint32_t  PERID30              :1;
            __IO  uint32_t  PERID31              :1;
        };
    };
} stc_mtb_dwt_pid7_field_t;

typedef struct stc_mtb_dwt_pid0_field
{
    union {
        struct {
            __IO  uint32_t  PERID                :32;
        };
        struct {
            __IO  uint32_t  PERID0               :1;
            __IO  uint32_t  PERID1               :1;
            __IO  uint32_t  PERID2               :1;
            __IO  uint32_t  PERID3               :1;
            __IO  uint32_t  PERID4               :1;
            __IO  uint32_t  PERID5               :1;
            __IO  uint32_t  PERID6               :1;
            __IO  uint32_t  PERID7               :1;
            __IO  uint32_t  PERID8               :1;
            __IO  uint32_t  PERID9               :1;
            __IO  uint32_t  PERID10              :1;
            __IO  uint32_t  PERID11              :1;
            __IO  uint32_t  PERID12              :1;
            __IO  uint32_t  PERID13              :1;
            __IO  uint32_t  PERID14              :1;
            __IO  uint32_t  PERID15              :1;
            __IO  uint32_t  PERID16              :1;
            __IO  uint32_t  PERID17              :1;
            __IO  uint32_t  PERID18              :1;
            __IO  uint32_t  PERID19              :1;
            __IO  uint32_t  PERID20              :1;
            __IO  uint32_t  PERID21              :1;
            __IO  uint32_t  PERID22              :1;
            __IO  uint32_t  PERID23              :1;
            __IO  uint32_t  PERID24              :1;
            __IO  uint32_t  PERID25              :1;
            __IO  uint32_t  PERID26              :1;
            __IO  uint32_t  PERID27              :1;
            __IO  uint32_t  PERID28              :1;
            __IO  uint32_t  PERID29              :1;
            __IO  uint32_t  PERID30              :1;
            __IO  uint32_t  PERID31              :1;
        };
    };
} stc_mtb_dwt_pid0_field_t;

typedef struct stc_mtb_dwt_pid1_field
{
    union {
        struct {
            __IO  uint32_t  PERID                :32;
        };
        struct {
            __IO  uint32_t  PERID0               :1;
            __IO  uint32_t  PERID1               :1;
            __IO  uint32_t  PERID2               :1;
            __IO  uint32_t  PERID3               :1;
            __IO  uint32_t  PERID4               :1;
            __IO  uint32_t  PERID5               :1;
            __IO  uint32_t  PERID6               :1;
            __IO  uint32_t  PERID7               :1;
            __IO  uint32_t  PERID8               :1;
            __IO  uint32_t  PERID9               :1;
            __IO  uint32_t  PERID10              :1;
            __IO  uint32_t  PERID11              :1;
            __IO  uint32_t  PERID12              :1;
            __IO  uint32_t  PERID13              :1;
            __IO  uint32_t  PERID14              :1;
            __IO  uint32_t  PERID15              :1;
            __IO  uint32_t  PERID16              :1;
            __IO  uint32_t  PERID17              :1;
            __IO  uint32_t  PERID18              :1;
            __IO  uint32_t  PERID19              :1;
            __IO  uint32_t  PERID20              :1;
            __IO  uint32_t  PERID21              :1;
            __IO  uint32_t  PERID22              :1;
            __IO  uint32_t  PERID23              :1;
            __IO  uint32_t  PERID24              :1;
            __IO  uint32_t  PERID25              :1;
            __IO  uint32_t  PERID26              :1;
            __IO  uint32_t  PERID27              :1;
            __IO  uint32_t  PERID28              :1;
            __IO  uint32_t  PERID29              :1;
            __IO  uint32_t  PERID30              :1;
            __IO  uint32_t  PERID31              :1;
        };
    };
} stc_mtb_dwt_pid1_field_t;

typedef struct stc_mtb_dwt_pid2_field
{
    union {
        struct {
            __IO  uint32_t  PERID                :32;
        };
        struct {
            __IO  uint32_t  PERID0               :1;
            __IO  uint32_t  PERID1               :1;
            __IO  uint32_t  PERID2               :1;
            __IO  uint32_t  PERID3               :1;
            __IO  uint32_t  PERID4               :1;
            __IO  uint32_t  PERID5               :1;
            __IO  uint32_t  PERID6               :1;
            __IO  uint32_t  PERID7               :1;
            __IO  uint32_t  PERID8               :1;
            __IO  uint32_t  PERID9               :1;
            __IO  uint32_t  PERID10              :1;
            __IO  uint32_t  PERID11              :1;
            __IO  uint32_t  PERID12              :1;
            __IO  uint32_t  PERID13              :1;
            __IO  uint32_t  PERID14              :1;
            __IO  uint32_t  PERID15              :1;
            __IO  uint32_t  PERID16              :1;
            __IO  uint32_t  PERID17              :1;
            __IO  uint32_t  PERID18              :1;
            __IO  uint32_t  PERID19              :1;
            __IO  uint32_t  PERID20              :1;
            __IO  uint32_t  PERID21              :1;
            __IO  uint32_t  PERID22              :1;
            __IO  uint32_t  PERID23              :1;
            __IO  uint32_t  PERID24              :1;
            __IO  uint32_t  PERID25              :1;
            __IO  uint32_t  PERID26              :1;
            __IO  uint32_t  PERID27              :1;
            __IO  uint32_t  PERID28              :1;
            __IO  uint32_t  PERID29              :1;
            __IO  uint32_t  PERID30              :1;
            __IO  uint32_t  PERID31              :1;
        };
    };
} stc_mtb_dwt_pid2_field_t;

typedef struct stc_mtb_dwt_pid3_field
{
    union {
        struct {
            __IO  uint32_t  PERID                :32;
        };
        struct {
            __IO  uint32_t  PERID0               :1;
            __IO  uint32_t  PERID1               :1;
            __IO  uint32_t  PERID2               :1;
            __IO  uint32_t  PERID3               :1;
            __IO  uint32_t  PERID4               :1;
            __IO  uint32_t  PERID5               :1;
            __IO  uint32_t  PERID6               :1;
            __IO  uint32_t  PERID7               :1;
            __IO  uint32_t  PERID8               :1;
            __IO  uint32_t  PERID9               :1;
            __IO  uint32_t  PERID10              :1;
            __IO  uint32_t  PERID11              :1;
            __IO  uint32_t  PERID12              :1;
            __IO  uint32_t  PERID13              :1;
            __IO  uint32_t  PERID14              :1;
            __IO  uint32_t  PERID15              :1;
            __IO  uint32_t  PERID16              :1;
            __IO  uint32_t  PERID17              :1;
            __IO  uint32_t  PERID18              :1;
            __IO  uint32_t  PERID19              :1;
            __IO  uint32_t  PERID20              :1;
            __IO  uint32_t  PERID21              :1;
            __IO  uint32_t  PERID22              :1;
            __IO  uint32_t  PERID23              :1;
            __IO  uint32_t  PERID24              :1;
            __IO  uint32_t  PERID25              :1;
            __IO  uint32_t  PERID26              :1;
            __IO  uint32_t  PERID27              :1;
            __IO  uint32_t  PERID28              :1;
            __IO  uint32_t  PERID29              :1;
            __IO  uint32_t  PERID30              :1;
            __IO  uint32_t  PERID31              :1;
        };
    };
} stc_mtb_dwt_pid3_field_t;

typedef struct stc_mtb_dwt_cid0_field
{
    union {
        struct {
            __IO  uint32_t  CPNTID               :32;
        };
        struct {
            __IO  uint32_t  CPNTID0              :1;
            __IO  uint32_t  CPNTID1              :1;
            __IO  uint32_t  CPNTID2              :1;
            __IO  uint32_t  CPNTID3              :1;
            __IO  uint32_t  CPNTID4              :1;
            __IO  uint32_t  CPNTID5              :1;
            __IO  uint32_t  CPNTID6              :1;
            __IO  uint32_t  CPNTID7              :1;
            __IO  uint32_t  CPNTID8              :1;
            __IO  uint32_t  CPNTID9              :1;
            __IO  uint32_t  CPNTID10             :1;
            __IO  uint32_t  CPNTID11             :1;
            __IO  uint32_t  CPNTID12             :1;
            __IO  uint32_t  CPNTID13             :1;
            __IO  uint32_t  CPNTID14             :1;
            __IO  uint32_t  CPNTID15             :1;
            __IO  uint32_t  CPNTID16             :1;
            __IO  uint32_t  CPNTID17             :1;
            __IO  uint32_t  CPNTID18             :1;
            __IO  uint32_t  CPNTID19             :1;
            __IO  uint32_t  CPNTID20             :1;
            __IO  uint32_t  CPNTID21             :1;
            __IO  uint32_t  CPNTID22             :1;
            __IO  uint32_t  CPNTID23             :1;
            __IO  uint32_t  CPNTID24             :1;
            __IO  uint32_t  CPNTID25             :1;
            __IO  uint32_t  CPNTID26             :1;
            __IO  uint32_t  CPNTID27             :1;
            __IO  uint32_t  CPNTID28             :1;
            __IO  uint32_t  CPNTID29             :1;
            __IO  uint32_t  CPNTID30             :1;
            __IO  uint32_t  CPNTID31             :1;
        };
    };
} stc_mtb_dwt_cid0_field_t;

typedef struct stc_mtb_dwt_cid1_field
{
    union {
        struct {
            __IO  uint32_t  CPNTID               :32;
        };
        struct {
            __IO  uint32_t  CPNTID0              :1;
            __IO  uint32_t  CPNTID1              :1;
            __IO  uint32_t  CPNTID2              :1;
            __IO  uint32_t  CPNTID3              :1;
            __IO  uint32_t  CPNTID4              :1;
            __IO  uint32_t  CPNTID5              :1;
            __IO  uint32_t  CPNTID6              :1;
            __IO  uint32_t  CPNTID7              :1;
            __IO  uint32_t  CPNTID8              :1;
            __IO  uint32_t  CPNTID9              :1;
            __IO  uint32_t  CPNTID10             :1;
            __IO  uint32_t  CPNTID11             :1;
            __IO  uint32_t  CPNTID12             :1;
            __IO  uint32_t  CPNTID13             :1;
            __IO  uint32_t  CPNTID14             :1;
            __IO  uint32_t  CPNTID15             :1;
            __IO  uint32_t  CPNTID16             :1;
            __IO  uint32_t  CPNTID17             :1;
            __IO  uint32_t  CPNTID18             :1;
            __IO  uint32_t  CPNTID19             :1;
            __IO  uint32_t  CPNTID20             :1;
            __IO  uint32_t  CPNTID21             :1;
            __IO  uint32_t  CPNTID22             :1;
            __IO  uint32_t  CPNTID23             :1;
            __IO  uint32_t  CPNTID24             :1;
            __IO  uint32_t  CPNTID25             :1;
            __IO  uint32_t  CPNTID26             :1;
            __IO  uint32_t  CPNTID27             :1;
            __IO  uint32_t  CPNTID28             :1;
            __IO  uint32_t  CPNTID29             :1;
            __IO  uint32_t  CPNTID30             :1;
            __IO  uint32_t  CPNTID31             :1;
        };
    };
} stc_mtb_dwt_cid1_field_t;

typedef struct stc_mtb_dwt_cid2_field
{
    union {
        struct {
            __IO  uint32_t  CPNTID               :32;
        };
        struct {
            __IO  uint32_t  CPNTID0              :1;
            __IO  uint32_t  CPNTID1              :1;
            __IO  uint32_t  CPNTID2              :1;
            __IO  uint32_t  CPNTID3              :1;
            __IO  uint32_t  CPNTID4              :1;
            __IO  uint32_t  CPNTID5              :1;
            __IO  uint32_t  CPNTID6              :1;
            __IO  uint32_t  CPNTID7              :1;
            __IO  uint32_t  CPNTID8              :1;
            __IO  uint32_t  CPNTID9              :1;
            __IO  uint32_t  CPNTID10             :1;
            __IO  uint32_t  CPNTID11             :1;
            __IO  uint32_t  CPNTID12             :1;
            __IO  uint32_t  CPNTID13             :1;
            __IO  uint32_t  CPNTID14             :1;
            __IO  uint32_t  CPNTID15             :1;
            __IO  uint32_t  CPNTID16             :1;
            __IO  uint32_t  CPNTID17             :1;
            __IO  uint32_t  CPNTID18             :1;
            __IO  uint32_t  CPNTID19             :1;
            __IO  uint32_t  CPNTID20             :1;
            __IO  uint32_t  CPNTID21             :1;
            __IO  uint32_t  CPNTID22             :1;
            __IO  uint32_t  CPNTID23             :1;
            __IO  uint32_t  CPNTID24             :1;
            __IO  uint32_t  CPNTID25             :1;
            __IO  uint32_t  CPNTID26             :1;
            __IO  uint32_t  CPNTID27             :1;
            __IO  uint32_t  CPNTID28             :1;
            __IO  uint32_t  CPNTID29             :1;
            __IO  uint32_t  CPNTID30             :1;
            __IO  uint32_t  CPNTID31             :1;
        };
    };
} stc_mtb_dwt_cid2_field_t;

typedef struct stc_mtb_dwt_cid3_field
{
    union {
        struct {
            __IO  uint32_t  CPNTID               :32;
        };
        struct {
            __IO  uint32_t  CPNTID0              :1;
            __IO  uint32_t  CPNTID1              :1;
            __IO  uint32_t  CPNTID2              :1;
            __IO  uint32_t  CPNTID3              :1;
            __IO  uint32_t  CPNTID4              :1;
            __IO  uint32_t  CPNTID5              :1;
            __IO  uint32_t  CPNTID6              :1;
            __IO  uint32_t  CPNTID7              :1;
            __IO  uint32_t  CPNTID8              :1;
            __IO  uint32_t  CPNTID9              :1;
            __IO  uint32_t  CPNTID10             :1;
            __IO  uint32_t  CPNTID11             :1;
            __IO  uint32_t  CPNTID12             :1;
            __IO  uint32_t  CPNTID13             :1;
            __IO  uint32_t  CPNTID14             :1;
            __IO  uint32_t  CPNTID15             :1;
            __IO  uint32_t  CPNTID16             :1;
            __IO  uint32_t  CPNTID17             :1;
            __IO  uint32_t  CPNTID18             :1;
            __IO  uint32_t  CPNTID19             :1;
            __IO  uint32_t  CPNTID20             :1;
            __IO  uint32_t  CPNTID21             :1;
            __IO  uint32_t  CPNTID22             :1;
            __IO  uint32_t  CPNTID23             :1;
            __IO  uint32_t  CPNTID24             :1;
            __IO  uint32_t  CPNTID25             :1;
            __IO  uint32_t  CPNTID26             :1;
            __IO  uint32_t  CPNTID27             :1;
            __IO  uint32_t  CPNTID28             :1;
            __IO  uint32_t  CPNTID29             :1;
            __IO  uint32_t  CPNTID30             :1;
            __IO  uint32_t  CPNTID31             :1;
        };
    };
} stc_mtb_dwt_cid3_field_t;

/******************************************************************************
 ** RTC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_rtc_wtcr1_field
{
        __IO  uint32_t  ST                       :1;
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  RUN                      :1;
        __IO  uint32_t  SRST                     :1;
        __IO  uint32_t  SCST                     :1;
        __IO  uint32_t  SCRST                    :1;
        __IO  uint32_t  BUSY                     :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  MIEN                     :1;
        __IO  uint32_t  HEN                      :1;
        __IO  uint32_t  DEN                      :1;
        __IO  uint32_t  MOEN                     :1;
        __IO  uint32_t  YEN                      :1;
        __IO  uint32_t  RESERVED2                :3;
        __IO  uint32_t  INTSSI                   :1;
        __IO  uint32_t  INTSI                    :1;
        __IO  uint32_t  INTMI                    :1;
        __IO  uint32_t  INTHI                    :1;
        __IO  uint32_t  INTTMI                   :1;
        __IO  uint32_t  INTALI                   :1;
        __IO  uint32_t  INTERI                   :1;
        __IO  uint32_t  INTCRI                   :1;
        __IO  uint32_t  INTSSIE                  :1;
        __IO  uint32_t  INTSIE                   :1;
        __IO  uint32_t  INTMIE                   :1;
        __IO  uint32_t  INTHIE                   :1;
        __IO  uint32_t  INTTMIE                  :1;
        __IO  uint32_t  INTALIE                  :1;
        __IO  uint32_t  INTERIE                  :1;
        __IO  uint32_t  INTCRIE                  :1;
} stc_rtc_wtcr1_field_t;

typedef struct stc_rtc_wtcr2_field
{
        __IO  uint32_t  CREAD                    :1;
        __IO  uint32_t  RESERVED0                :7;
        __IO  uint32_t  TMST                     :1;
        __IO  uint32_t  TMEN                     :1;
        __IO  uint32_t  TMRUN                    :1;
        __IO  uint32_t  RESERVED1                :21;
} stc_rtc_wtcr2_field_t;

typedef struct stc_rtc_wtbr_field
{
    union {
        struct {
            __IO  uint32_t  BR                   :24;
            __IO  uint32_t  RESERVED0            :8;
        };
        struct {
            __IO  uint32_t  BR0                  :1;
            __IO  uint32_t  BR1                  :1;
            __IO  uint32_t  BR2                  :1;
            __IO  uint32_t  BR3                  :1;
            __IO  uint32_t  BR4                  :1;
            __IO  uint32_t  BR5                  :1;
            __IO  uint32_t  BR6                  :1;
            __IO  uint32_t  BR7                  :1;
            __IO  uint32_t  BR8                  :1;
            __IO  uint32_t  BR9                  :1;
            __IO  uint32_t  BR10                 :1;
            __IO  uint32_t  BR11                 :1;
            __IO  uint32_t  BR12                 :1;
            __IO  uint32_t  BR13                 :1;
            __IO  uint32_t  BR14                 :1;
            __IO  uint32_t  BR15                 :1;
            __IO  uint32_t  BR16                 :1;
            __IO  uint32_t  BR17                 :1;
            __IO  uint32_t  BR18                 :1;
            __IO  uint32_t  BR19                 :1;
            __IO  uint32_t  BR20                 :1;
            __IO  uint32_t  BR21                 :1;
            __IO  uint32_t  BR22                 :1;
            __IO  uint32_t  BR23                 :1;
            __IO  uint32_t  RESERVED1            :8;
        };
    };
} stc_rtc_wtbr_field_t;

typedef struct stc_rtc_wtsr_field
{
    union {
        struct {
            __IO   uint8_t  S                    :4;
            __IO   uint8_t  TS                   :3;
            __IO   uint8_t  RESERVED0            :1;
        };
        struct {
            __IO   uint8_t  S0                   :1;
            __IO   uint8_t  S1                   :1;
            __IO   uint8_t  S2                   :1;
            __IO   uint8_t  S3                   :1;
            __IO   uint8_t  TS0                  :1;
            __IO   uint8_t  TS1                  :1;
            __IO   uint8_t  TS2                  :1;
            __IO   uint8_t  RESERVED1            :1;
        };
    };
} stc_rtc_wtsr_field_t;

typedef struct stc_rtc_wtmir_field
{
    union {
        struct {
            __IO   uint8_t  MI                   :4;
            __IO   uint8_t  TMI                  :3;
            __IO   uint8_t  RESERVED0            :1;
        };
        struct {
            __IO   uint8_t  MI0                  :1;
            __IO   uint8_t  MI1                  :1;
            __IO   uint8_t  MI2                  :1;
            __IO   uint8_t  MI3                  :1;
            __IO   uint8_t  TMI0                 :1;
            __IO   uint8_t  TMI1                 :1;
            __IO   uint8_t  TMI2                 :1;
            __IO   uint8_t  RESERVED1            :1;
        };
    };
} stc_rtc_wtmir_field_t;

typedef struct stc_rtc_wthr_field
{
    union {
        struct {
            __IO   uint8_t  H                    :4;
            __IO   uint8_t  TH                   :2;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  H0                   :1;
            __IO   uint8_t  H1                   :1;
            __IO   uint8_t  H2                   :1;
            __IO   uint8_t  H3                   :1;
            __IO   uint8_t  TH0                  :1;
            __IO   uint8_t  TH1                  :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_rtc_wthr_field_t;

typedef struct stc_rtc_wtdr_field
{
    union {
        struct {
            __IO   uint8_t  D                    :4;
            __IO   uint8_t  TD                   :2;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  D0                   :1;
            __IO   uint8_t  D1                   :1;
            __IO   uint8_t  D2                   :1;
            __IO   uint8_t  D3                   :1;
            __IO   uint8_t  TD0                  :1;
            __IO   uint8_t  TD1                  :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_rtc_wtdr_field_t;

typedef struct stc_rtc_wtdw_field
{
    union {
        struct {
            __IO   uint8_t  DW                   :3;
            __IO   uint8_t  RESERVED0            :5;
        };
        struct {
            __IO   uint8_t  DW0                  :1;
            __IO   uint8_t  DW1                  :1;
            __IO   uint8_t  DW2                  :1;
            __IO   uint8_t  RESERVED1            :5;
        };
    };
} stc_rtc_wtdw_field_t;

typedef struct stc_rtc_wtmor_field
{
    union {
        struct {
            __IO   uint8_t  MO                   :4;
            __IO   uint8_t  TMO0                 :1;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  MO0                  :1;
            __IO   uint8_t  MO1                  :1;
            __IO   uint8_t  MO2                  :1;
            __IO   uint8_t  MO3                  :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_rtc_wtmor_field_t;

typedef struct stc_rtc_wtyr_field
{
    union {
        struct {
            __IO   uint8_t  Y                    :4;
            __IO   uint8_t  TY                   :4;
        };
        struct {
            __IO   uint8_t  Y0                   :1;
            __IO   uint8_t  Y1                   :1;
            __IO   uint8_t  Y2                   :1;
            __IO   uint8_t  Y3                   :1;
            __IO   uint8_t  TY0                  :1;
            __IO   uint8_t  TY1                  :1;
            __IO   uint8_t  TY2                  :1;
            __IO   uint8_t  TY3                  :1;
        };
    };
} stc_rtc_wtyr_field_t;

typedef struct stc_rtc_almir_field
{
    union {
        struct {
            __IO   uint8_t  AMI                  :4;
            __IO   uint8_t  TAMI                 :3;
            __IO   uint8_t  RESERVED0            :1;
        };
        struct {
            __IO   uint8_t  AMI0                 :1;
            __IO   uint8_t  AMI1                 :1;
            __IO   uint8_t  AMI2                 :1;
            __IO   uint8_t  AMI3                 :1;
            __IO   uint8_t  TAMI0                :1;
            __IO   uint8_t  TAMI1                :1;
            __IO   uint8_t  TAMI2                :1;
            __IO   uint8_t  RESERVED1            :1;
        };
    };
} stc_rtc_almir_field_t;

typedef struct stc_rtc_alhr_field
{
    union {
        struct {
            __IO   uint8_t  AH                   :4;
            __IO   uint8_t  TAH                  :2;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  AH0                  :1;
            __IO   uint8_t  AH1                  :1;
            __IO   uint8_t  AH2                  :1;
            __IO   uint8_t  AH3                  :1;
            __IO   uint8_t  TAH0                 :1;
            __IO   uint8_t  TAH1                 :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_rtc_alhr_field_t;

typedef struct stc_rtc_aldr_field
{
    union {
        struct {
            __IO   uint8_t  AD                   :4;
            __IO   uint8_t  TAD                  :2;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  AD0                  :1;
            __IO   uint8_t  AD1                  :1;
            __IO   uint8_t  AD2                  :1;
            __IO   uint8_t  AD3                  :1;
            __IO   uint8_t  TAD0                 :1;
            __IO   uint8_t  TAD1                 :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_rtc_aldr_field_t;

typedef struct stc_rtc_almor_field
{
    union {
        struct {
            __IO   uint8_t  AMO                  :4;
            __IO   uint8_t  TAMO0                :1;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  AMO0                 :1;
            __IO   uint8_t  AMO1                 :1;
            __IO   uint8_t  AMO2                 :1;
            __IO   uint8_t  AMO3                 :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_rtc_almor_field_t;

typedef struct stc_rtc_alyr_field
{
    union {
        struct {
            __IO   uint8_t  AY                   :4;
            __IO   uint8_t  TAY                  :4;
        };
        struct {
            __IO   uint8_t  AY0                  :1;
            __IO   uint8_t  AY1                  :1;
            __IO   uint8_t  AY2                  :1;
            __IO   uint8_t  AY3                  :1;
            __IO   uint8_t  TAY0                 :1;
            __IO   uint8_t  TAY1                 :1;
            __IO   uint8_t  TAY2                 :1;
            __IO   uint8_t  TAY3                 :1;
        };
    };
} stc_rtc_alyr_field_t;

typedef struct stc_rtc_wttr_field
{
    union {
        struct {
            __IO  uint32_t  TM                   :18;
            __IO  uint32_t  RESERVED0            :14;
        };
        struct {
            __IO  uint32_t  TM0                  :1;
            __IO  uint32_t  TM1                  :1;
            __IO  uint32_t  TM2                  :1;
            __IO  uint32_t  TM3                  :1;
            __IO  uint32_t  TM4                  :1;
            __IO  uint32_t  TM5                  :1;
            __IO  uint32_t  TM6                  :1;
            __IO  uint32_t  TM7                  :1;
            __IO  uint32_t  TM8                  :1;
            __IO  uint32_t  TM9                  :1;
            __IO  uint32_t  TM10                 :1;
            __IO  uint32_t  TM11                 :1;
            __IO  uint32_t  TM12                 :1;
            __IO  uint32_t  TM13                 :1;
            __IO  uint32_t  TM14                 :1;
            __IO  uint32_t  TM15                 :1;
            __IO  uint32_t  TM16                 :1;
            __IO  uint32_t  TM17                 :1;
            __IO  uint32_t  RESERVED1            :14;
        };
    };
} stc_rtc_wttr_field_t;

typedef struct stc_rtc_wtclks_field
{
        __IO   uint8_t  WTCLKS                   :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_rtc_wtclks_field_t;

typedef struct stc_rtc_wtclkm_field
{
    union {
        struct {
            __IO   uint8_t  WTCLKM               :2;
            __IO   uint8_t  RESERVED0            :6;
        };
        struct {
            __IO   uint8_t  WTCLKM0              :1;
            __IO   uint8_t  WTCLKM1              :1;
            __IO   uint8_t  RESERVED1            :6;
        };
    };
} stc_rtc_wtclkm_field_t;

typedef struct stc_rtc_wtcal_field
{
    union {
        struct {
            __IO  uint16_t  WTCAL                :10;
            __IO  uint16_t  RESERVED0            :6;
        };
        struct {
            __IO  uint16_t  WTCAL0               :1;
            __IO  uint16_t  WTCAL1               :1;
            __IO  uint16_t  WTCAL2               :1;
            __IO  uint16_t  WTCAL3               :1;
            __IO  uint16_t  WTCAL4               :1;
            __IO  uint16_t  WTCAL5               :1;
            __IO  uint16_t  WTCAL6               :1;
            __IO  uint16_t  WTCAL7               :1;
            __IO  uint16_t  WTCAL8               :1;
            __IO  uint16_t  WTCAL9               :1;
            __IO  uint16_t  RESERVED1            :6;
        };
    };
} stc_rtc_wtcal_field_t;

typedef struct stc_rtc_wtcalen_field
{
        __IO   uint8_t  WTCALEN                  :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_rtc_wtcalen_field_t;

typedef struct stc_rtc_wtdiv_field
{
    union {
        struct {
            __IO   uint8_t  WTDIV                :4;
            __IO   uint8_t  RESERVED0            :4;
        };
        struct {
            __IO   uint8_t  WTDIV0               :1;
            __IO   uint8_t  WTDIV1               :1;
            __IO   uint8_t  WTDIV2               :1;
            __IO   uint8_t  WTDIV3               :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_rtc_wtdiv_field_t;

typedef struct stc_rtc_wtdiven_field
{
        __IO   uint8_t  WTDIVEN                  :1;
        __IO   uint8_t  WTDIVRDY                 :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_rtc_wtdiven_field_t;

typedef struct stc_rtc_wtcalprd_field
{
    union {
        struct {
            __IO   uint8_t  WTCALPRD             :6;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  WTCALPRD0            :1;
            __IO   uint8_t  WTCALPRD1            :1;
            __IO   uint8_t  WTCALPRD2            :1;
            __IO   uint8_t  WTCALPRD3            :1;
            __IO   uint8_t  WTCALPRD4            :1;
            __IO   uint8_t  WTCALPRD5            :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_rtc_wtcalprd_field_t;

typedef struct stc_rtc_wtcosel_field
{
        __IO   uint8_t  WTCOSEL                  :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_rtc_wtcosel_field_t;

/******************************************************************************
 ** SBSSR_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_sbssr_btsssr_field
{
        __IO  uint16_t  SSSR0                    :1;
        __IO  uint16_t  SSSR1                    :1;
        __IO  uint16_t  SSSR2                    :1;
        __IO  uint16_t  SSSR3                    :1;
        __IO  uint16_t  SSSR4                    :1;
        __IO  uint16_t  SSSR5                    :1;
        __IO  uint16_t  SSSR6                    :1;
        __IO  uint16_t  SSSR7                    :1;
        __IO  uint16_t  SSSR8                    :1;
        __IO  uint16_t  SSSR9                    :1;
        __IO  uint16_t  SSSR10                   :1;
        __IO  uint16_t  SSSR11                   :1;
        __IO  uint16_t  SSSR12                   :1;
        __IO  uint16_t  SSSR13                   :1;
        __IO  uint16_t  SSSR14                   :1;
        __IO  uint16_t  SSSR15                   :1;
} stc_sbssr_btsssr_field_t;

/******************************************************************************
 ** SMCIF_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_smcif_globalcontrol1_field
{
        __IO  uint16_t  PARITY                   :1;
        __IO  uint16_t  FRM0                     :1;
        __IO  uint16_t  FRM1                     :1;
        __IO  uint16_t  MODE8N1                  :1;
        __IO  uint16_t  MASKRXFUL                :1;
        __IO  uint16_t  MASKTXEMP                :1;
        __IO  uint16_t  MASKSTI                  :1;
        __IO  uint16_t  MASKCAEVENT              :1;
        __IO  uint16_t  MASKITEXP                :1;
        __IO  uint16_t  IOMOD                    :1;
        __IO  uint16_t  CKMOD                    :1;
        __IO  uint16_t  RESND                    :1;
        __IO  uint16_t  GUAEN                    :1;
        __IO  uint16_t  STIDT                    :1;
        __IO  uint16_t  IDTSC                    :1;
        __IO  uint16_t  RESERVED0                :1;
} stc_smcif_globalcontrol1_field_t;

typedef struct stc_smcif_status_field
{
        __IO  uint16_t  TXEMP                    :1;
        __IO  uint16_t  RXFUL                    :1;
        __IO  uint16_t  RXACT                    :1;
        __IO  uint16_t  TXACT                    :1;
        __IO  uint16_t  CARDDETECT               :1;
        __IO  uint16_t  CARDEVENT                :1;
        __IO  uint16_t  RECOFL                   :1;
        __IO  uint16_t  IDTRUN                   :1;
        __IO  uint16_t  RDFIFOOVR                :1;
        __IO  uint16_t  RDFIFOFUL                :1;
        __IO  uint16_t  WRFIFOEMP                :1;
        __IO  uint16_t  RXSTARTERR               :1;
        __IO  uint16_t  TXRESEND                 :1;
        __IO  uint16_t  RXRESEND                 :1;
        __IO  uint16_t  RESERVED0                :2;
} stc_smcif_status_field_t;

typedef struct stc_smcif_portcontrol_field
{
        __IO  uint16_t  TRIMOD                   :1;
        __IO  uint16_t  RESERVED0                :1;
        __IO  uint16_t  IO1                      :1;
        __IO  uint16_t  RESERVED1                :1;
        __IO  uint16_t  IO1EN                    :1;
        __IO  uint16_t  RESERVED2                :1;
        __IO  uint16_t  CLKPT                    :1;
        __IO  uint16_t  RST                      :1;
        __IO  uint16_t  VCCEN                    :1;
        __IO  uint16_t  VPEN                     :1;
        __IO  uint16_t  RESERVED3                :2;
        __IO  uint16_t  CLKOUTEN                 :1;
        __IO  uint16_t  RSTOUTEN                 :1;
        __IO  uint16_t  VCCOUTEN                 :1;
        __IO  uint16_t  VPENOUTEN                :1;
} stc_smcif_portcontrol_field_t;

typedef struct stc_smcif_data_field
{
    union {
        struct {
            __IO  uint16_t  DATA                 :9;
            __IO  uint16_t  RESERVED0            :7;
        };
        struct {
            __IO  uint16_t  DATA0                :1;
            __IO  uint16_t  DATA1                :1;
            __IO  uint16_t  DATA2                :1;
            __IO  uint16_t  DATA3                :1;
            __IO  uint16_t  DATA4                :1;
            __IO  uint16_t  DATA5                :1;
            __IO  uint16_t  DATA6                :1;
            __IO  uint16_t  DATA7                :1;
            __IO  uint16_t  DATA8                :1;
            __IO  uint16_t  RESERVED1            :7;
        };
    };
} stc_smcif_data_field_t;

typedef struct stc_smcif_cardclock_field
{
    union {
        struct {
            __IO  uint16_t  CLKDIVIDER           :16;
        };
        struct {
            __IO  uint16_t  CLKDIVIDER0          :1;
            __IO  uint16_t  CLKDIVIDER1          :1;
            __IO  uint16_t  CLKDIVIDER2          :1;
            __IO  uint16_t  CLKDIVIDER3          :1;
            __IO  uint16_t  CLKDIVIDER4          :1;
            __IO  uint16_t  CLKDIVIDER5          :1;
            __IO  uint16_t  CLKDIVIDER6          :1;
            __IO  uint16_t  CLKDIVIDER7          :1;
            __IO  uint16_t  CLKDIVIDER8          :1;
            __IO  uint16_t  CLKDIVIDER9          :1;
            __IO  uint16_t  CLKDIVIDER10         :1;
            __IO  uint16_t  CLKDIVIDER11         :1;
            __IO  uint16_t  CLKDIVIDER12         :1;
            __IO  uint16_t  CLKDIVIDER13         :1;
            __IO  uint16_t  CLKDIVIDER14         :1;
            __IO  uint16_t  CLKDIVIDER15         :1;
        };
    };
} stc_smcif_cardclock_field_t;

typedef struct stc_smcif_baudrate_field
{
    union {
        struct {
            __IO  uint16_t  BRREG                :15;
            __IO  uint16_t  LITTLESTEP           :1;
        };
        struct {
            __IO  uint16_t  BRREG0               :1;
            __IO  uint16_t  BRREG1               :1;
            __IO  uint16_t  BRREG2               :1;
            __IO  uint16_t  BRREG3               :1;
            __IO  uint16_t  BRREG4               :1;
            __IO  uint16_t  BRREG5               :1;
            __IO  uint16_t  BRREG6               :1;
            __IO  uint16_t  BRREG7               :1;
            __IO  uint16_t  BRREG8               :1;
            __IO  uint16_t  BRREG9               :1;
            __IO  uint16_t  BRREG10              :1;
            __IO  uint16_t  BRREG11              :1;
            __IO  uint16_t  BRREG12              :1;
            __IO  uint16_t  BRREG13              :1;
            __IO  uint16_t  BRREG14              :1;
            __IO  uint16_t  RESERVED0            :1;
        };
    };
} stc_smcif_baudrate_field_t;

typedef struct stc_smcif_guardtimer_field
{
    union {
        struct {
            __IO  uint16_t  GTREG                :8;
            __IO  uint16_t  RESERVED0            :8;
        };
        struct {
            __IO  uint16_t  GTREG0               :1;
            __IO  uint16_t  GTREG1               :1;
            __IO  uint16_t  GTREG2               :1;
            __IO  uint16_t  GTREG3               :1;
            __IO  uint16_t  GTREG4               :1;
            __IO  uint16_t  GTREG5               :1;
            __IO  uint16_t  GTREG6               :1;
            __IO  uint16_t  GTREG7               :1;
            __IO  uint16_t  RESERVED1            :8;
        };
    };
} stc_smcif_guardtimer_field_t;

typedef struct stc_smcif_idletimer_field
{
    union {
        struct {
            __IO  uint16_t  IDTREG               :16;
        };
        struct {
            __IO  uint16_t  IDTREG0              :1;
            __IO  uint16_t  IDTREG1              :1;
            __IO  uint16_t  IDTREG2              :1;
            __IO  uint16_t  IDTREG3              :1;
            __IO  uint16_t  IDTREG4              :1;
            __IO  uint16_t  IDTREG5              :1;
            __IO  uint16_t  IDTREG6              :1;
            __IO  uint16_t  IDTREG7              :1;
            __IO  uint16_t  IDTREG8              :1;
            __IO  uint16_t  IDTREG9              :1;
            __IO  uint16_t  IDTREG10             :1;
            __IO  uint16_t  IDTREG11             :1;
            __IO  uint16_t  IDTREG12             :1;
            __IO  uint16_t  IDTREG13             :1;
            __IO  uint16_t  IDTREG14             :1;
            __IO  uint16_t  IDTREG15             :1;
        };
    };
} stc_smcif_idletimer_field_t;

typedef struct stc_smcif_globalcontrol2_field
{
        __IO  uint16_t  RX8N1                    :1;
        __IO  uint16_t  INVDATAOUT               :1;
        __IO  uint16_t  RESERVED0                :1;
        __IO  uint16_t  ICCDISABLE               :1;
        __IO  uint16_t  RESERVED1                :12;
} stc_smcif_globalcontrol2_field_t;

typedef struct stc_smcif_data_fifo_field
{
    union {
        struct {
            __IO  uint16_t  DATA                 :9;
            __IO  uint16_t  RESERVED0            :7;
        };
        struct {
            __IO  uint16_t  DATA0                :1;
            __IO  uint16_t  DATA1                :1;
            __IO  uint16_t  DATA2                :1;
            __IO  uint16_t  DATA3                :1;
            __IO  uint16_t  DATA4                :1;
            __IO  uint16_t  DATA5                :1;
            __IO  uint16_t  DATA6                :1;
            __IO  uint16_t  DATA7                :1;
            __IO  uint16_t  DATA8                :1;
            __IO  uint16_t  RESERVED1            :7;
        };
    };
} stc_smcif_data_fifo_field_t;

typedef struct stc_smcif_fifo_level_read_field
{
    union {
        struct {
            __IO  uint16_t  FIFORDLEVEL          :16;
        };
        struct {
            __IO  uint16_t  FIFORDLEVEL0         :1;
            __IO  uint16_t  FIFORDLEVEL1         :1;
            __IO  uint16_t  FIFORDLEVEL2         :1;
            __IO  uint16_t  FIFORDLEVEL3         :1;
            __IO  uint16_t  FIFORDLEVEL4         :1;
            __IO  uint16_t  FIFORDLEVEL5         :1;
            __IO  uint16_t  FIFORDLEVEL6         :1;
            __IO  uint16_t  FIFORDLEVEL7         :1;
            __IO  uint16_t  FIFORDLEVEL8         :1;
            __IO  uint16_t  FIFORDLEVEL9         :1;
            __IO  uint16_t  FIFORDLEVEL10        :1;
            __IO  uint16_t  FIFORDLEVEL11        :1;
            __IO  uint16_t  FIFORDLEVEL12        :1;
            __IO  uint16_t  FIFORDLEVEL13        :1;
            __IO  uint16_t  FIFORDLEVEL14        :1;
            __IO  uint16_t  FIFORDLEVEL15        :1;
        };
    };
} stc_smcif_fifo_level_read_field_t;

typedef struct stc_smcif_fifo_level_write_field
{
    union {
        struct {
            __IO  uint16_t  FIFOWRLEVEL          :16;
        };
        struct {
            __IO  uint16_t  FIFOWRLEVEL0         :1;
            __IO  uint16_t  FIFOWRLEVEL1         :1;
            __IO  uint16_t  FIFOWRLEVEL2         :1;
            __IO  uint16_t  FIFOWRLEVEL3         :1;
            __IO  uint16_t  FIFOWRLEVEL4         :1;
            __IO  uint16_t  FIFOWRLEVEL5         :1;
            __IO  uint16_t  FIFOWRLEVEL6         :1;
            __IO  uint16_t  FIFOWRLEVEL7         :1;
            __IO  uint16_t  FIFOWRLEVEL8         :1;
            __IO  uint16_t  FIFOWRLEVEL9         :1;
            __IO  uint16_t  FIFOWRLEVEL10        :1;
            __IO  uint16_t  FIFOWRLEVEL11        :1;
            __IO  uint16_t  FIFOWRLEVEL12        :1;
            __IO  uint16_t  FIFOWRLEVEL13        :1;
            __IO  uint16_t  FIFOWRLEVEL14        :1;
            __IO  uint16_t  FIFOWRLEVEL15        :1;
        };
    };
} stc_smcif_fifo_level_write_field_t;

typedef struct stc_smcif_fifo_mode_field
{
    union {
        struct {
            __IO  uint16_t  FIFOEN               :1;
            __IO  uint16_t  RDFIFOOVRIRQEN       :1;
            __IO  uint16_t  WRFIFOIRQEN          :1;
            __IO  uint16_t  RDFIFOIRQEN          :1;
            __IO  uint16_t  RESERVED0            :4;
            __IO  uint16_t  WRFIFOLEVEL          :4;
            __IO  uint16_t  RDFIFOLEVEL          :4;
        };
        struct {
            __IO  uint16_t  RESERVED1            :8;
            __IO  uint16_t  WRFIFOLEVEL0         :1;
            __IO  uint16_t  WRFIFOLEVEL1         :1;
            __IO  uint16_t  WRFIFOLEVEL2         :1;
            __IO  uint16_t  WRFIFOLEVEL3         :1;
            __IO  uint16_t  RDFIFOLEVEL0         :1;
            __IO  uint16_t  RDFIFOLEVEL1         :1;
            __IO  uint16_t  RDFIFOLEVEL2         :1;
            __IO  uint16_t  RDFIFOLEVEL3         :1;
        };
    };
} stc_smcif_fifo_mode_field_t;

typedef struct stc_smcif_fifo_clear_msb_write_field
{
        __IO  uint16_t  CLRWRFIFO                :1;
        __IO  uint16_t  RESERVED0                :15;
} stc_smcif_fifo_clear_msb_write_field_t;

typedef struct stc_smcif_fifo_clear_msb_read_field
{
        __IO  uint16_t  CLRRDFIFO                :1;
        __IO  uint16_t  RESERVED0                :15;
} stc_smcif_fifo_clear_msb_read_field_t;

typedef struct stc_smcif_irq_status_field
{
        __IO  uint16_t  RDFIFOOVRIRQ             :1;
        __IO  uint16_t  WRFIFOIRQ                :1;
        __IO  uint16_t  RDFIFOIRQ                :1;
        __IO  uint16_t  IDTEXP                   :1;
        __IO  uint16_t  CARDEVENTIRQ             :1;
        __IO  uint16_t  RXSTBIIRQ                :1;
        __IO  uint16_t  TXEMPIRQ                 :1;
        __IO  uint16_t  RXFULIRQ                 :1;
        __IO  uint16_t  RESERVED0                :8;
} stc_smcif_irq_status_field_t;

/******************************************************************************
 ** SWWDT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_swwdt_wdogcontrol_field
{
    union {
        struct {
            __IO  uint32_t  INTEN                :1;
            __IO  uint32_t  RESEN                :1;
            __IO  uint32_t  TWD                  :2;
            __IO  uint32_t  SPM                  :1;
            __IO  uint32_t  RESERVED1            :27;
        };
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TWD0                 :1;
            __IO  uint32_t  TWD1                 :1;
            __IO  uint32_t  RESERVED2            :28;
        };
    };
} stc_swwdt_wdogcontrol_field_t;

typedef struct stc_swwdt_wdogris_field
{
        __IO  uint32_t  RIS                      :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_swwdt_wdogris_field_t;

typedef struct stc_swwdt_wdogspmc_field
{
        __IO  uint32_t  TGR                      :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_swwdt_wdogspmc_field_t;

/******************************************************************************
 ** UNIQUE_ID_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_unique_id_uidr0_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :4;
            __IO  uint32_t  UID                  :28;
        };
        struct {
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  UID0                 :1;
            __IO  uint32_t  UID1                 :1;
            __IO  uint32_t  UID2                 :1;
            __IO  uint32_t  UID3                 :1;
            __IO  uint32_t  UID4                 :1;
            __IO  uint32_t  UID5                 :1;
            __IO  uint32_t  UID6                 :1;
            __IO  uint32_t  UID7                 :1;
            __IO  uint32_t  UID8                 :1;
            __IO  uint32_t  UID9                 :1;
            __IO  uint32_t  UID10                :1;
            __IO  uint32_t  UID11                :1;
            __IO  uint32_t  UID12                :1;
            __IO  uint32_t  UID13                :1;
            __IO  uint32_t  UID14                :1;
            __IO  uint32_t  UID15                :1;
            __IO  uint32_t  UID16                :1;
            __IO  uint32_t  UID17                :1;
            __IO  uint32_t  UID18                :1;
            __IO  uint32_t  UID19                :1;
            __IO  uint32_t  UID20                :1;
            __IO  uint32_t  UID21                :1;
            __IO  uint32_t  UID22                :1;
            __IO  uint32_t  UID23                :1;
            __IO  uint32_t  UID24                :1;
            __IO  uint32_t  UID25                :1;
            __IO  uint32_t  UID26                :1;
            __IO  uint32_t  UID27                :1;
        };
    };
} stc_unique_id_uidr0_field_t;

typedef struct stc_unique_id_uidr1_field
{
    union {
        struct {
            __IO  uint32_t  UID                  :13;
            __IO  uint32_t  RESERVED0            :19;
        };
        struct {
            __IO  uint32_t  UID0                 :1;
            __IO  uint32_t  UID1                 :1;
            __IO  uint32_t  UID2                 :1;
            __IO  uint32_t  UID3                 :1;
            __IO  uint32_t  UID4                 :1;
            __IO  uint32_t  UID5                 :1;
            __IO  uint32_t  UID6                 :1;
            __IO  uint32_t  UID7                 :1;
            __IO  uint32_t  UID8                 :1;
            __IO  uint32_t  UID9                 :1;
            __IO  uint32_t  UID10                :1;
            __IO  uint32_t  UID11                :1;
            __IO  uint32_t  UID12                :1;
            __IO  uint32_t  RESERVED1            :19;
        };
    };
} stc_unique_id_uidr1_field_t;

/******************************************************************************
 ** VIR_MODULE
 ** 
 ******************************************************************************/
/******************************************************************************
 ** WC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_wc_wcrd_field
{
    union {
        struct {
            __IO   uint8_t  CTR                  :6;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  CTR0                 :1;
            __IO   uint8_t  CTR1                 :1;
            __IO   uint8_t  CTR2                 :1;
            __IO   uint8_t  CTR3                 :1;
            __IO   uint8_t  CTR4                 :1;
            __IO   uint8_t  CTR5                 :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_wc_wcrd_field_t;

typedef struct stc_wc_wcrl_field
{
    union {
        struct {
            __IO   uint8_t  RLC                  :6;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  RLC0                 :1;
            __IO   uint8_t  RLC1                 :1;
            __IO   uint8_t  RLC2                 :1;
            __IO   uint8_t  RLC3                 :1;
            __IO   uint8_t  RLC4                 :1;
            __IO   uint8_t  RLC5                 :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_wc_wcrl_field_t;

typedef struct stc_wc_wccr_field
{
    union {
        struct {
            __IO   uint8_t  WCIF                 :1;
            __IO   uint8_t  WCIE                 :1;
            __IO   uint8_t  CS                   :2;
            __IO   uint8_t  RESERVED1            :2;
            __IO   uint8_t  WCOP                 :1;
            __IO   uint8_t  WCEN                 :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  CS0                  :1;
            __IO   uint8_t  CS1                  :1;
            __IO   uint8_t  RESERVED2            :4;
        };
    };
} stc_wc_wccr_field_t;

typedef struct stc_wc_clk_sel_field
{
    union {
        struct {
            __IO  uint16_t  SEL_IN               :2;
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  SEL_OUT              :3;
            __IO  uint16_t  RESERVED2            :5;
        };
        struct {
            __IO  uint16_t  SEL_IN0              :1;
            __IO  uint16_t  SEL_IN1              :1;
            __IO  uint16_t  RESERVED1            :6;
            __IO  uint16_t  SEL_OUT0             :1;
            __IO  uint16_t  SEL_OUT1             :1;
            __IO  uint16_t  SEL_OUT2             :1;
            __IO  uint16_t  RESERVED3            :5;
        };
    };
} stc_wc_clk_sel_field_t;

typedef struct stc_wc_clk_en_field
{
        __IO   uint8_t  CLK_EN                   :1;
        __IO   uint8_t  CLK_EN_R                 :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_wc_clk_en_field_t;

/******************************************************************************
 ** Peripheral register structures
 ** 
 ******************************************************************************/

/******************************************************************************
 ** ADC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t ADSR;
        stc_adc_adsr_field_t ADSR_f;
    };
    union {
        __IO  uint8_t ADCR;
        stc_adc_adcr_field_t ADCR_f;
    };
        __IO  uint8_t RESERVED0[6];
    union {
        __IO  uint8_t SFNS;
        stc_adc_sfns_field_t SFNS_f;
    };
    union {
        __IO  uint8_t SCCR;
        stc_adc_sccr_field_t SCCR_f;
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint32_t SCFD;
        stc_adc_scfd_field_t SCFD_f;
        struct {
          union {
            __IO uint16_t SCFDL;
            struct {
              __IO uint8_t SCFDLL;
              __IO uint8_t SCFDLH;
            };
          };
          union {
            __IO uint16_t SCFDH;
            struct {
              __IO uint8_t SCFDHL;
              __IO uint8_t SCFDHH;
            };
          };
        };
        __IO uint32_t SCFD_FDAS1;
        stc_adc_scfd_fdas1_field_t SCFD_FDAS1_f;
        struct {
          union {
            __IO uint16_t SCFD_FDAS1L;
            struct {
              __IO uint8_t SCFD_FDAS1LL;
              __IO uint8_t SCFD_FDAS1LH;
            };
          };
          union {
            __IO uint16_t SCFD_FDAS1H;
            struct {
              __IO uint8_t SCFD_FDAS1HL;
              __IO uint8_t SCFD_FDAS1HH;
            };
          };
        };
    };
    union {
        __IO uint16_t SCIS23;
        stc_adc_scis23_field_t SCIS23_f;
        struct {
            __IO  uint8_t SCIS23L;
            __IO  uint8_t SCIS23H;
        };
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO uint16_t SCIS01;
        stc_adc_scis01_field_t SCIS01_f;
        struct {
            __IO  uint8_t SCIS01L;
            __IO  uint8_t SCIS01H;
        };
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO  uint8_t PFNS;
        stc_adc_pfns_field_t PFNS_f;
    };
    union {
        __IO  uint8_t PCCR;
        stc_adc_pccr_field_t PCCR_f;
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO uint32_t PCFD;
        stc_adc_pcfd_field_t PCFD_f;
        struct {
          union {
            __IO uint16_t PCFDL;
            struct {
              __IO uint8_t PCFDLL;
              __IO uint8_t PCFDLH;
            };
          };
          union {
            __IO uint16_t PCFDH;
            struct {
              __IO uint8_t PCFDHL;
              __IO uint8_t PCFDHH;
            };
          };
        };
        __IO uint32_t PCFD_FDAS1;
        stc_adc_pcfd_fdas1_field_t PCFD_FDAS1_f;
        struct {
          union {
            __IO uint16_t PCFD_FDAS1L;
            struct {
              __IO uint8_t PCFD_FDAS1LL;
              __IO uint8_t PCFD_FDAS1LH;
            };
          };
          union {
            __IO uint16_t PCFD_FDAS1H;
            struct {
              __IO uint8_t PCFD_FDAS1HL;
              __IO uint8_t PCFD_FDAS1HH;
            };
          };
        };
    };
    union {
        __IO  uint8_t PCIS;
        stc_adc_pcis_field_t PCIS_f;
    };
        __IO  uint8_t RESERVED5[3];
    union {
        __IO  uint8_t CMPCR;
        stc_adc_cmpcr_field_t CMPCR_f;
    };
        __IO  uint8_t RESERVED6[1];
    union {
        __IO uint16_t CMPD;
        stc_adc_cmpd_field_t CMPD_f;
        struct {
            __IO  uint8_t CMPDL;
            __IO  uint8_t CMPDH;
        };
    };
    union {
        __IO uint16_t ADSS23;
        stc_adc_adss23_field_t ADSS23_f;
        struct {
            __IO  uint8_t ADSS23L;
            __IO  uint8_t ADSS23H;
        };
    };
        __IO  uint8_t RESERVED7[2];
    union {
        __IO uint16_t ADSS01;
        stc_adc_adss01_field_t ADSS01_f;
        struct {
            __IO  uint8_t ADSS01L;
            __IO  uint8_t ADSS01H;
        };
    };
        __IO  uint8_t RESERVED8[2];
    union {
        __IO uint16_t ADST01;
        stc_adc_adst01_field_t ADST01_f;
        struct {
            __IO  uint8_t ADST01L;
            __IO  uint8_t ADST01H;
        };
    };
        __IO  uint8_t RESERVED9[2];
    union {
        __IO  uint8_t ADCT;
        stc_adc_adct_field_t ADCT_f;
    };
        __IO  uint8_t RESERVED10[3];
    union {
        __IO  uint8_t PRTSL;
        stc_adc_prtsl_field_t PRTSL_f;
    };
    union {
        __IO  uint8_t SCTSL;
        stc_adc_sctsl_field_t SCTSL_f;
    };
        __IO  uint8_t RESERVED11[2];
    union {
        __IO uint16_t ADCEN;
        stc_adc_adcen_field_t ADCEN_f;
        struct {
            __IO  uint8_t ADCENL;
            __IO  uint8_t ADCENH;
        };
    };
        __IO  uint8_t RESERVED12[6];
    union {
        __IO uint32_t WCMRCIF;
        stc_adc_wcmrcif_field_t WCMRCIF_f;
        struct {
          union {
            __IO uint16_t WCMRCIFL;
            struct {
              __IO uint8_t WCMRCIFLL;
              __IO uint8_t WCMRCIFLH;
            };
          };
          union {
            __IO uint16_t WCMRCIFH;
            struct {
              __IO uint8_t WCMRCIFHL;
              __IO uint8_t WCMRCIFHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WCMRCOT;
        stc_adc_wcmrcot_field_t WCMRCOT_f;
        struct {
          union {
            __IO uint16_t WCMRCOTL;
            struct {
              __IO uint8_t WCMRCOTLL;
              __IO uint8_t WCMRCOTLH;
            };
          };
          union {
            __IO uint16_t WCMRCOTH;
            struct {
              __IO uint8_t WCMRCOTHL;
              __IO uint8_t WCMRCOTHH;
            };
          };
        };
    };
    union {
        __IO  uint8_t WCMPCR;
        stc_adc_wcmpcr_field_t WCMPCR_f;
    };
    union {
        __IO  uint8_t WCMPSR;
        stc_adc_wcmpsr_field_t WCMPSR_f;
    };
        __IO  uint8_t RESERVED13[2];
    union {
        __IO uint16_t WCMPDL;
        stc_adc_wcmpdl_field_t WCMPDL_f;
        struct {
            __IO  uint8_t WCMPDLL;
            __IO  uint8_t WCMPDLH;
        };
    };
    union {
        __IO uint16_t WCMPDH;
        stc_adc_wcmpdh_field_t WCMPDH_f;
        struct {
            __IO  uint8_t WCMPDHL;
            __IO  uint8_t WCMPDHH;
        };
    };
} FM_ADC_TypeDef, FM0P_ADC_TypeDef;

/******************************************************************************
 ** BT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t PRLL;
        struct {
            __IO  uint8_t PRLLL;
            __IO  uint8_t PRLLH;
        };
        __IO uint16_t PPG_PRLL;
        struct {
            __IO  uint8_t PPG_PRLLL;
            __IO  uint8_t PPG_PRLLH;
        };
        __IO uint16_t PCSR;
        struct {
            __IO  uint8_t PCSRL;
            __IO  uint8_t PCSRH;
        };
        __IO uint16_t PWM_PCSR;
        struct {
            __IO  uint8_t PWM_PCSRL;
            __IO  uint8_t PWM_PCSRH;
        };
        __IO uint16_t RT_PCSR;
        struct {
            __IO  uint8_t RT_PCSRL;
            __IO  uint8_t RT_PCSRH;
        };
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO uint16_t PRLH;
        struct {
            __IO  uint8_t PRLHL;
            __IO  uint8_t PRLHH;
        };
        __IO uint16_t PPG_PRLH;
        struct {
            __IO  uint8_t PPG_PRLHL;
            __IO  uint8_t PPG_PRLHH;
        };
        __IO uint16_t DTBF;
        struct {
            __IO  uint8_t DTBFL;
            __IO  uint8_t DTBFH;
        };
        __IO uint16_t PWC_DTBF;
        struct {
            __IO  uint8_t PWC_DTBFL;
            __IO  uint8_t PWC_DTBFH;
        };
        __IO uint16_t PDUT;
        struct {
            __IO  uint8_t PDUTL;
            __IO  uint8_t PDUTH;
        };
        __IO uint16_t PWM_PDUT;
        struct {
            __IO  uint8_t PWM_PDUTL;
            __IO  uint8_t PWM_PDUTH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint16_t TMR;
        struct {
            __IO  uint8_t TMRL;
            __IO  uint8_t TMRH;
        };
        __IO uint16_t PPG_TMR;
        struct {
            __IO  uint8_t PPG_TMRL;
            __IO  uint8_t PPG_TMRH;
        };
        __IO uint16_t PWM_TMR;
        struct {
            __IO  uint8_t PWM_TMRL;
            __IO  uint8_t PWM_TMRH;
        };
        __IO uint16_t RT_TMR;
        struct {
            __IO  uint8_t RT_TMRL;
            __IO  uint8_t RT_TMRH;
        };
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO uint16_t TMCR;
        stc_bt_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
        __IO uint16_t PPG_TMCR;
        stc_bt_ppg_tmcr_field_t PPG_TMCR_f;
        struct {
            __IO  uint8_t PPG_TMCRL;
            __IO  uint8_t PPG_TMCRH;
        };
        __IO uint16_t PWC_TMCR;
        stc_bt_pwc_tmcr_field_t PWC_TMCR_f;
        struct {
            __IO  uint8_t PWC_TMCRL;
            __IO  uint8_t PWC_TMCRH;
        };
        __IO uint16_t PWM_TMCR;
        stc_bt_pwm_tmcr_field_t PWM_TMCR_f;
        struct {
            __IO  uint8_t PWM_TMCRL;
            __IO  uint8_t PWM_TMCRH;
        };
        __IO uint16_t RT_TMCR;
        stc_bt_rt_tmcr_field_t RT_TMCR_f;
        struct {
            __IO  uint8_t RT_TMCRL;
            __IO  uint8_t RT_TMCRH;
        };
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO  uint8_t STC;
        stc_bt_stc_field_t STC_f;
        __IO  uint8_t PPG_STC;
        stc_bt_ppg_stc_field_t PPG_STC_f;
        __IO  uint8_t PWC_STC;
        stc_bt_pwc_stc_field_t PWC_STC_f;
        __IO  uint8_t PWM_STC;
        stc_bt_pwm_stc_field_t PWM_STC_f;
        __IO  uint8_t RT_STC;
        stc_bt_rt_stc_field_t RT_STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_tmcr2_field_t TMCR2_f;
        __IO  uint8_t PPG_TMCR2;
        stc_bt_ppg_tmcr2_field_t PPG_TMCR2_f;
        __IO  uint8_t PWC_TMCR2;
        stc_bt_pwc_tmcr2_field_t PWC_TMCR2_f;
        __IO  uint8_t PWM_TMCR2;
        stc_bt_pwm_tmcr2_field_t PWM_TMCR2_f;
        __IO  uint8_t RT_TMCR2;
        stc_bt_rt_tmcr2_field_t RT_TMCR2_f;
    };
} FM_BT_TypeDef, FM0P_BT_TypeDef;

/******************************************************************************
 ** BT_PPG_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t PRLL;
        struct {
            __IO  uint8_t PRLLL;
            __IO  uint8_t PRLLH;
        };
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO uint16_t PRLH;
        struct {
            __IO  uint8_t PRLHL;
            __IO  uint8_t PRLHH;
        };
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO uint16_t TMR;
        struct {
            __IO  uint8_t TMRL;
            __IO  uint8_t TMRH;
        };
    };
        __IO  uint8_t RESERVED6[2];
    union {
        __IO uint16_t TMCR;
        stc_bt_ppg_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
    };
        __IO  uint8_t RESERVED7[2];
    union {
        __IO  uint8_t STC;
        stc_bt_ppg_stc_field_t STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_ppg_tmcr2_field_t TMCR2_f;
    };
} FM_BT_PPG_TypeDef, FM0P_BT_PPG_TypeDef;

/******************************************************************************
 ** BT_PWC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED8[4];
    union {
        __IO uint16_t DTBF;
        struct {
            __IO  uint8_t DTBFL;
            __IO  uint8_t DTBFH;
        };
    };
        __IO  uint8_t RESERVED9[6];
    union {
        __IO uint16_t TMCR;
        stc_bt_pwc_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
    };
        __IO  uint8_t RESERVED10[2];
    union {
        __IO  uint8_t STC;
        stc_bt_pwc_stc_field_t STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_pwc_tmcr2_field_t TMCR2_f;
    };
} FM_BT_PWC_TypeDef, FM0P_BT_PWC_TypeDef;

/******************************************************************************
 ** BT_PWM_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t PCSR;
        struct {
            __IO  uint8_t PCSRL;
            __IO  uint8_t PCSRH;
        };
    };
        __IO  uint8_t RESERVED11[2];
    union {
        __IO uint16_t PDUT;
        struct {
            __IO  uint8_t PDUTL;
            __IO  uint8_t PDUTH;
        };
    };
        __IO  uint8_t RESERVED12[2];
    union {
        __IO uint16_t TMR;
        struct {
            __IO  uint8_t TMRL;
            __IO  uint8_t TMRH;
        };
    };
        __IO  uint8_t RESERVED13[2];
    union {
        __IO uint16_t TMCR;
        stc_bt_pwm_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
    };
        __IO  uint8_t RESERVED14[2];
    union {
        __IO  uint8_t STC;
        stc_bt_pwm_stc_field_t STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_pwm_tmcr2_field_t TMCR2_f;
    };
} FM_BT_PWM_TypeDef, FM0P_BT_PWM_TypeDef;

/******************************************************************************
 ** BT_RT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t PCSR;
        struct {
            __IO  uint8_t PCSRL;
            __IO  uint8_t PCSRH;
        };
    };
        __IO  uint8_t RESERVED15[6];
    union {
        __IO uint16_t TMR;
        struct {
            __IO  uint8_t TMRL;
            __IO  uint8_t TMRH;
        };
    };
        __IO  uint8_t RESERVED16[2];
    union {
        __IO uint16_t TMCR;
        stc_bt_rt_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
    };
        __IO  uint8_t RESERVED17[2];
    union {
        __IO  uint8_t STC;
        stc_bt_rt_stc_field_t STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_rt_tmcr2_field_t TMCR2_f;
    };
} FM_BT_RT_TypeDef, FM0P_BT_RT_TypeDef;

/******************************************************************************
 ** BTIOSEL03_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[1];
    union {
        __IO  uint8_t BTSEL0123;
        stc_btiosel03_btsel0123_field_t BTSEL0123_f;
    };
} FM_BTIOSEL03_TypeDef, FM0P_BTIOSEL03_TypeDef;

/******************************************************************************
 ** BTIOSEL47_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[1];
    union {
        __IO  uint8_t BTSEL4567;
        stc_btiosel47_btsel4567_field_t BTSEL4567_f;
    };
} FM_BTIOSEL47_TypeDef, FM0P_BTIOSEL47_TypeDef;

/******************************************************************************
 ** CLK_GATING_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t CKEN0;
        stc_clk_gating_cken0_field_t CKEN0_f;
        struct {
          union {
            __IO uint16_t CKEN0L;
            struct {
              __IO uint8_t CKEN0LL;
              __IO uint8_t CKEN0LH;
            };
          };
          union {
            __IO uint16_t CKEN0H;
            struct {
              __IO uint8_t CKEN0HL;
              __IO uint8_t CKEN0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MRST0;
        stc_clk_gating_mrst0_field_t MRST0_f;
        struct {
          union {
            __IO uint16_t MRST0L;
            struct {
              __IO uint8_t MRST0LL;
              __IO uint8_t MRST0LH;
            };
          };
          union {
            __IO uint16_t MRST0H;
            struct {
              __IO uint8_t MRST0HL;
              __IO uint8_t MRST0HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[8];
    union {
        __IO uint32_t CKEN1;
        stc_clk_gating_cken1_field_t CKEN1_f;
        struct {
          union {
            __IO uint16_t CKEN1L;
            struct {
              __IO uint8_t CKEN1LL;
              __IO uint8_t CKEN1LH;
            };
          };
          union {
            __IO uint16_t CKEN1H;
            struct {
              __IO uint8_t CKEN1HL;
              __IO uint8_t CKEN1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MRST1;
        stc_clk_gating_mrst1_field_t MRST1_f;
        struct {
          union {
            __IO uint16_t MRST1L;
            struct {
              __IO uint8_t MRST1LL;
              __IO uint8_t MRST1LH;
            };
          };
          union {
            __IO uint16_t MRST1H;
            struct {
              __IO uint8_t MRST1HL;
              __IO uint8_t MRST1HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[8];
    union {
        __IO uint32_t CKEN2;
        stc_clk_gating_cken2_field_t CKEN2_f;
        struct {
          union {
            __IO uint16_t CKEN2L;
            struct {
              __IO uint8_t CKEN2LL;
              __IO uint8_t CKEN2LH;
            };
          };
          union {
            __IO uint16_t CKEN2H;
            struct {
              __IO uint8_t CKEN2HL;
              __IO uint8_t CKEN2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MRST2;
        stc_clk_gating_mrst2_field_t MRST2_f;
        struct {
          union {
            __IO uint16_t MRST2L;
            struct {
              __IO uint8_t MRST2LL;
              __IO uint8_t MRST2LH;
            };
          };
          union {
            __IO uint16_t MRST2H;
            struct {
              __IO uint8_t MRST2HL;
              __IO uint8_t MRST2HH;
            };
          };
        };
    };
} FM_CLK_GATING_TypeDef, FM0P_CLK_GATING_TypeDef;

/******************************************************************************
 ** CRC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t CRCCR;
        stc_crc_crccr_field_t CRCCR_f;
    };
        __IO  uint8_t RESERVED0[3];
    union {
        __IO uint32_t CRCINIT;
        stc_crc_crcinit_field_t CRCINIT_f;
        struct {
          union {
            __IO uint16_t CRCINITL;
            struct {
              __IO uint8_t CRCINITLL;
              __IO uint8_t CRCINITLH;
            };
          };
          union {
            __IO uint16_t CRCINITH;
            struct {
              __IO uint8_t CRCINITHL;
              __IO uint8_t CRCINITHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CRCIN;
        stc_crc_crcin_field_t CRCIN_f;
        struct {
          union {
            __IO uint16_t CRCINL;
            struct {
              __IO uint8_t CRCINLL;
              __IO uint8_t CRCINLH;
            };
          };
          union {
            __IO uint16_t CRCINH;
            struct {
              __IO uint8_t CRCINHL;
              __IO uint8_t CRCINHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CRCR;
        stc_crc_crcr_field_t CRCR_f;
        struct {
          union {
            __IO uint16_t CRCRL;
            struct {
              __IO uint8_t CRCRLL;
              __IO uint8_t CRCRLH;
            };
          };
          union {
            __IO uint16_t CRCRH;
            struct {
              __IO uint8_t CRCRHL;
              __IO uint8_t CRCRHH;
            };
          };
        };
    };
} FM_CRC_TypeDef, FM0P_CRC_TypeDef;

/******************************************************************************
 ** CRG_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t SCM_CTL;
        stc_crg_scm_ctl_field_t SCM_CTL_f;
        struct {
          union {
            __IO uint16_t SCM_CTLL;
            struct {
              __IO uint8_t SCM_CTLLL;
              __IO uint8_t SCM_CTLLH;
            };
          };
          union {
            __IO uint16_t SCM_CTLH;
            struct {
              __IO uint8_t SCM_CTLHL;
              __IO uint8_t SCM_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t SCM_STR;
        stc_crg_scm_str_field_t SCM_STR_f;
        struct {
          union {
            __IO uint16_t SCM_STRL;
            struct {
              __IO uint8_t SCM_STRLL;
              __IO uint8_t SCM_STRLH;
            };
          };
          union {
            __IO uint16_t SCM_STRH;
            struct {
              __IO uint8_t SCM_STRHL;
              __IO uint8_t SCM_STRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t STB_CTL;
        stc_crg_stb_ctl_field_t STB_CTL_f;
        struct {
          union {
            __IO uint16_t STB_CTLL;
            struct {
              __IO uint8_t STB_CTLLL;
              __IO uint8_t STB_CTLLH;
            };
          };
          union {
            __IO uint16_t STB_CTLH;
            struct {
              __IO uint8_t STB_CTLHL;
              __IO uint8_t STB_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t RST_STR;
        stc_crg_rst_str_field_t RST_STR_f;
        struct {
          union {
            __IO uint16_t RST_STRL;
            struct {
              __IO uint8_t RST_STRLL;
              __IO uint8_t RST_STRLH;
            };
          };
          union {
            __IO uint16_t RST_STRH;
            struct {
              __IO uint8_t RST_STRHL;
              __IO uint8_t RST_STRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t BSC_PSR;
        stc_crg_bsc_psr_field_t BSC_PSR_f;
        struct {
          union {
            __IO uint16_t BSC_PSRL;
            struct {
              __IO uint8_t BSC_PSRLL;
              __IO uint8_t BSC_PSRLH;
            };
          };
          union {
            __IO uint16_t BSC_PSRH;
            struct {
              __IO uint8_t BSC_PSRHL;
              __IO uint8_t BSC_PSRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t APBC0_PSR;
        stc_crg_apbc0_psr_field_t APBC0_PSR_f;
        struct {
          union {
            __IO uint16_t APBC0_PSRL;
            struct {
              __IO uint8_t APBC0_PSRLL;
              __IO uint8_t APBC0_PSRLH;
            };
          };
          union {
            __IO uint16_t APBC0_PSRH;
            struct {
              __IO uint8_t APBC0_PSRHL;
              __IO uint8_t APBC0_PSRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t APBC1_PSR;
        stc_crg_apbc1_psr_field_t APBC1_PSR_f;
        struct {
          union {
            __IO uint16_t APBC1_PSRL;
            struct {
              __IO uint8_t APBC1_PSRLL;
              __IO uint8_t APBC1_PSRLH;
            };
          };
          union {
            __IO uint16_t APBC1_PSRH;
            struct {
              __IO uint8_t APBC1_PSRHL;
              __IO uint8_t APBC1_PSRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[4];
    union {
        __IO uint32_t SWC_PSR;
        stc_crg_swc_psr_field_t SWC_PSR_f;
        struct {
          union {
            __IO uint16_t SWC_PSRL;
            struct {
              __IO uint8_t SWC_PSRLL;
              __IO uint8_t SWC_PSRLH;
            };
          };
          union {
            __IO uint16_t SWC_PSRH;
            struct {
              __IO uint8_t SWC_PSRHL;
              __IO uint8_t SWC_PSRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[12];
    union {
        __IO uint32_t CSW_TMR;
        stc_crg_csw_tmr_field_t CSW_TMR_f;
        struct {
          union {
            __IO uint16_t CSW_TMRL;
            struct {
              __IO uint8_t CSW_TMRLL;
              __IO uint8_t CSW_TMRLH;
            };
          };
          union {
            __IO uint16_t CSW_TMRH;
            struct {
              __IO uint8_t CSW_TMRHL;
              __IO uint8_t CSW_TMRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PSW_TMR;
        stc_crg_psw_tmr_field_t PSW_TMR_f;
        struct {
          union {
            __IO uint16_t PSW_TMRL;
            struct {
              __IO uint8_t PSW_TMRLL;
              __IO uint8_t PSW_TMRLH;
            };
          };
          union {
            __IO uint16_t PSW_TMRH;
            struct {
              __IO uint8_t PSW_TMRHL;
              __IO uint8_t PSW_TMRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PLL_CTL1;
        stc_crg_pll_ctl1_field_t PLL_CTL1_f;
        struct {
          union {
            __IO uint16_t PLL_CTL1L;
            struct {
              __IO uint8_t PLL_CTL1LL;
              __IO uint8_t PLL_CTL1LH;
            };
          };
          union {
            __IO uint16_t PLL_CTL1H;
            struct {
              __IO uint8_t PLL_CTL1HL;
              __IO uint8_t PLL_CTL1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PLL_CTL2;
        stc_crg_pll_ctl2_field_t PLL_CTL2_f;
        struct {
          union {
            __IO uint16_t PLL_CTL2L;
            struct {
              __IO uint8_t PLL_CTL2LL;
              __IO uint8_t PLL_CTL2LH;
            };
          };
          union {
            __IO uint16_t PLL_CTL2H;
            struct {
              __IO uint8_t PLL_CTL2HL;
              __IO uint8_t PLL_CTL2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t CSV_CTL;
        stc_crg_csv_ctl_field_t CSV_CTL_f;
        struct {
          union {
            __IO uint16_t CSV_CTLL;
            struct {
              __IO uint8_t CSV_CTLLL;
              __IO uint8_t CSV_CTLLH;
            };
          };
          union {
            __IO uint16_t CSV_CTLH;
            struct {
              __IO uint8_t CSV_CTLHL;
              __IO uint8_t CSV_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CSV_STR;
        stc_crg_csv_str_field_t CSV_STR_f;
        struct {
          union {
            __IO uint16_t CSV_STRL;
            struct {
              __IO uint8_t CSV_STRLL;
              __IO uint8_t CSV_STRLH;
            };
          };
          union {
            __IO uint16_t CSV_STRH;
            struct {
              __IO uint8_t CSV_STRHL;
              __IO uint8_t CSV_STRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FCSWH_CTL;
        stc_crg_fcswh_ctl_field_t FCSWH_CTL_f;
        struct {
          union {
            __IO uint16_t FCSWH_CTLL;
            struct {
              __IO uint8_t FCSWH_CTLLL;
              __IO uint8_t FCSWH_CTLLH;
            };
          };
          union {
            __IO uint16_t FCSWH_CTLH;
            struct {
              __IO uint8_t FCSWH_CTLHL;
              __IO uint8_t FCSWH_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FCSWL_CTL;
        stc_crg_fcswl_ctl_field_t FCSWL_CTL_f;
        struct {
          union {
            __IO uint16_t FCSWL_CTLL;
            struct {
              __IO uint8_t FCSWL_CTLLL;
              __IO uint8_t FCSWL_CTLLH;
            };
          };
          union {
            __IO uint16_t FCSWL_CTLH;
            struct {
              __IO uint8_t FCSWL_CTLHL;
              __IO uint8_t FCSWL_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FCSWD_CTL;
        stc_crg_fcswd_ctl_field_t FCSWD_CTL_f;
        struct {
          union {
            __IO uint16_t FCSWD_CTLL;
            struct {
              __IO uint8_t FCSWD_CTLLL;
              __IO uint8_t FCSWD_CTLLH;
            };
          };
          union {
            __IO uint16_t FCSWD_CTLH;
            struct {
              __IO uint8_t FCSWD_CTLHL;
              __IO uint8_t FCSWD_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DBWDT_CTL;
        stc_crg_dbwdt_ctl_field_t DBWDT_CTL_f;
        struct {
          union {
            __IO uint16_t DBWDT_CTLL;
            struct {
              __IO uint8_t DBWDT_CTLLL;
              __IO uint8_t DBWDT_CTLLH;
            };
          };
          union {
            __IO uint16_t DBWDT_CTLH;
            struct {
              __IO uint8_t DBWDT_CTLHL;
              __IO uint8_t DBWDT_CTLHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED2[8];
    union {
        __IO uint32_t INT_ENR;
        stc_crg_int_enr_field_t INT_ENR_f;
        struct {
          union {
            __IO uint16_t INT_ENRL;
            struct {
              __IO uint8_t INT_ENRLL;
              __IO uint8_t INT_ENRLH;
            };
          };
          union {
            __IO uint16_t INT_ENRH;
            struct {
              __IO uint8_t INT_ENRHL;
              __IO uint8_t INT_ENRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t INT_STR;
        stc_crg_int_str_field_t INT_STR_f;
        struct {
          union {
            __IO uint16_t INT_STRL;
            struct {
              __IO uint8_t INT_STRLL;
              __IO uint8_t INT_STRLH;
            };
          };
          union {
            __IO uint16_t INT_STRH;
            struct {
              __IO uint8_t INT_STRHL;
              __IO uint8_t INT_STRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t INT_CLR;
        stc_crg_int_clr_field_t INT_CLR_f;
        struct {
          union {
            __IO uint16_t INT_CLRL;
            struct {
              __IO uint8_t INT_CLRLL;
              __IO uint8_t INT_CLRLH;
            };
          };
          union {
            __IO uint16_t INT_CLRH;
            struct {
              __IO uint8_t INT_CLRHL;
              __IO uint8_t INT_CLRHH;
            };
          };
        };
    };
} FM_CRG_TypeDef, FM0P_CRG_TypeDef;

/******************************************************************************
 ** CRTRIM_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t MCR_PSR;
        stc_crtrim_mcr_psr_field_t MCR_PSR_f;
    };
        __IO  uint8_t RESERVED0[3];
    union {
        __IO uint16_t MCR_FTRM;
        stc_crtrim_mcr_ftrm_field_t MCR_FTRM_f;
        struct {
            __IO  uint8_t MCR_FTRML;
            __IO  uint8_t MCR_FTRMH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO  uint8_t MCR_TTRM;
        stc_crtrim_mcr_ttrm_field_t MCR_TTRM_f;
    };
        __IO  uint8_t RESERVED2[3];
    union {
        __IO uint32_t MCR_RLR;
        stc_crtrim_mcr_rlr_field_t MCR_RLR_f;
        struct {
          union {
            __IO uint16_t MCR_RLRL;
            struct {
              __IO uint8_t MCR_RLRLL;
              __IO uint8_t MCR_RLRLH;
            };
          };
          union {
            __IO uint16_t MCR_RLRH;
            struct {
              __IO uint8_t MCR_RLRHL;
              __IO uint8_t MCR_RLRHH;
            };
          };
        };
    };
} FM_CRTRIM_TypeDef, FM0P_CRTRIM_TypeDef;

/******************************************************************************
 ** DS_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t REG_CTL;
        stc_ds_reg_ctl_field_t REG_CTL_f;
    };
        __IO  uint8_t RESERVED0[3];
    union {
        __IO  uint8_t RCK_CTL;
        stc_ds_rck_ctl_field_t RCK_CTL_f;
    };
        __IO  uint8_t RESERVED1[11];
    union {
        __IO  uint8_t MOSC_CTL;
        stc_ds_mosc_ctl_field_t MOSC_CTL_f;
    };
        __IO  uint8_t RESERVED2[239];
    union {
        __IO  uint8_t CAL_CTL;
        stc_ds_cal_ctl_field_t CAL_CTL_f;
    };
        __IO  uint8_t RESERVED3[7];
    union {
        __IO uint32_t CAL_KEY;
        struct {
          union {
            __IO uint16_t CAL_KEYL;
            struct {
              __IO uint8_t CAL_KEYLL;
              __IO uint8_t CAL_KEYLH;
            };
          };
          union {
            __IO uint16_t CAL_KEYH;
            struct {
              __IO uint8_t CAL_KEYHL;
              __IO uint8_t CAL_KEYHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED4[1524];
    union {
        __IO  uint8_t PMD_CTL;
        stc_ds_pmd_ctl_field_t PMD_CTL_f;
    };
        __IO  uint8_t RESERVED5[3];
    union {
        __IO  uint8_t WRFSR;
        stc_ds_wrfsr_field_t WRFSR_f;
    };
        __IO  uint8_t RESERVED6[3];
    union {
        __IO uint16_t WIFSR;
        stc_ds_wifsr_field_t WIFSR_f;
        struct {
            __IO  uint8_t WIFSRL;
            __IO  uint8_t WIFSRH;
        };
    };
        __IO  uint8_t RESERVED7[2];
    union {
        __IO uint16_t WIER;
        stc_ds_wier_field_t WIER_f;
        struct {
            __IO  uint8_t WIERL;
            __IO  uint8_t WIERH;
        };
    };
        __IO  uint8_t RESERVED8[2];
    union {
        __IO uint16_t WILVR;
        stc_ds_wilvr_field_t WILVR_f;
        struct {
            __IO  uint8_t WILVRL;
            __IO  uint8_t WILVRH;
        };
    };
        __IO  uint8_t RESERVED9[2];
    union {
        __IO  uint8_t DSRAMR;
        stc_ds_dsramr_field_t DSRAMR_f;
    };
        __IO  uint8_t RESERVED10[235];
        __IO  uint8_t BUR01;
        __IO  uint8_t BUR02;
        __IO  uint8_t BUR03;
        __IO  uint8_t BUR04;
        __IO  uint8_t BUR05;
        __IO  uint8_t BUR06;
        __IO  uint8_t BUR07;
        __IO  uint8_t BUR08;
        __IO  uint8_t BUR09;
        __IO  uint8_t BUR10;
        __IO  uint8_t BUR11;
        __IO  uint8_t BUR12;
        __IO  uint8_t BUR13;
        __IO  uint8_t BUR14;
        __IO  uint8_t BUR15;
        __IO  uint8_t BUR16;
        __IO  uint8_t RESERVED11[240];
    union {
        __IO uint32_t WIOLC_CTL;
        stc_ds_wiolc_ctl_field_t WIOLC_CTL_f;
        struct {
          union {
            __IO uint16_t WIOLC_CTLL;
            struct {
              __IO uint8_t WIOLC_CTLLL;
              __IO uint8_t WIOLC_CTLLH;
            };
          };
          union {
            __IO uint16_t WIOLC_CTLH;
            struct {
              __IO uint8_t WIOLC_CTLHL;
              __IO uint8_t WIOLC_CTLHH;
            };
          };
        };
    };
    union {
        __IO  uint8_t SUBOSC_CTL;
        stc_ds_subosc_ctl_field_t SUBOSC_CTL_f;
    };
        __IO  uint8_t RESERVED12[3];
    union {
        __IO  uint8_t CEC_CTL;
        stc_ds_cec_ctl_field_t CEC_CTL_f;
    };
        __IO  uint8_t RESERVED13[3];
    union {
        __IO  uint8_t DEBUG_SW_CTL;
        stc_ds_debug_sw_ctl_field_t DEBUG_SW_CTL_f;
    };
} FM_DS_TypeDef, FM0P_DS_TypeDef;

/******************************************************************************
 ** DSTC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t DESTP;
        struct {
          union {
            __IO uint16_t DESTPL;
            struct {
              __IO uint8_t DESTPLL;
              __IO uint8_t DESTPLH;
            };
          };
          union {
            __IO uint16_t DESTPH;
            struct {
              __IO uint8_t DESTPHL;
              __IO uint8_t DESTPHH;
            };
          };
        };
    };
    union {
        __IO uint32_t HWDESP;
        stc_dstc_hwdesp_field_t HWDESP_f;
        struct {
          union {
            __IO uint16_t HWDESPL;
            struct {
              __IO uint8_t HWDESPLL;
              __IO uint8_t HWDESPLH;
            };
          };
          union {
            __IO uint16_t HWDESPH;
            struct {
              __IO uint8_t HWDESPHL;
              __IO uint8_t HWDESPHH;
            };
          };
        };
    };
        __IO  uint8_t CMD;
    union {
        __IO  uint8_t CFG;
        stc_dstc_cfg_field_t CFG_f;
    };
    union {
        __IO uint16_t SWTR;
        stc_dstc_swtr_field_t SWTR_f;
        struct {
            __IO  uint8_t SWTRL;
            __IO  uint8_t SWTRH;
        };
    };
    union {
        __IO uint32_t MONERS;
        stc_dstc_moners_field_t MONERS_f;
        struct {
          union {
            __IO uint16_t MONERSL;
            struct {
              __IO uint8_t MONERSLL;
              __IO uint8_t MONERSLH;
            };
          };
          union {
            __IO uint16_t MONERSH;
            struct {
              __IO uint8_t MONERSHL;
              __IO uint8_t MONERSHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DREQENB0;
        struct {
          union {
            __IO uint16_t DREQENB0L;
            struct {
              __IO uint8_t DREQENB0LL;
              __IO uint8_t DREQENB0LH;
            };
          };
          union {
            __IO uint16_t DREQENB0H;
            struct {
              __IO uint8_t DREQENB0HL;
              __IO uint8_t DREQENB0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DREQENB1;
        struct {
          union {
            __IO uint16_t DREQENB1L;
            struct {
              __IO uint8_t DREQENB1LL;
              __IO uint8_t DREQENB1LH;
            };
          };
          union {
            __IO uint16_t DREQENB1H;
            struct {
              __IO uint8_t DREQENB1HL;
              __IO uint8_t DREQENB1HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[24];
    union {
        __IO uint32_t HWINT0;
        struct {
          union {
            __IO uint16_t HWINT0L;
            struct {
              __IO uint8_t HWINT0LL;
              __IO uint8_t HWINT0LH;
            };
          };
          union {
            __IO uint16_t HWINT0H;
            struct {
              __IO uint8_t HWINT0HL;
              __IO uint8_t HWINT0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t HWINT1;
        struct {
          union {
            __IO uint16_t HWINT1L;
            struct {
              __IO uint8_t HWINT1LL;
              __IO uint8_t HWINT1LH;
            };
          };
          union {
            __IO uint16_t HWINT1H;
            struct {
              __IO uint8_t HWINT1HL;
              __IO uint8_t HWINT1HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[24];
    union {
        __IO uint32_t HWINTCLR0;
        struct {
          union {
            __IO uint16_t HWINTCLR0L;
            struct {
              __IO uint8_t HWINTCLR0LL;
              __IO uint8_t HWINTCLR0LH;
            };
          };
          union {
            __IO uint16_t HWINTCLR0H;
            struct {
              __IO uint8_t HWINTCLR0HL;
              __IO uint8_t HWINTCLR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t HWINTCLR1;
        struct {
          union {
            __IO uint16_t HWINTCLR1L;
            struct {
              __IO uint8_t HWINTCLR1LL;
              __IO uint8_t HWINTCLR1LH;
            };
          };
          union {
            __IO uint16_t HWINTCLR1H;
            struct {
              __IO uint8_t HWINTCLR1HL;
              __IO uint8_t HWINTCLR1HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED2[24];
    union {
        __IO uint32_t DQMSK0;
        struct {
          union {
            __IO uint16_t DQMSK0L;
            struct {
              __IO uint8_t DQMSK0LL;
              __IO uint8_t DQMSK0LH;
            };
          };
          union {
            __IO uint16_t DQMSK0H;
            struct {
              __IO uint8_t DQMSK0HL;
              __IO uint8_t DQMSK0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DQMSK1;
        struct {
          union {
            __IO uint16_t DQMSK1L;
            struct {
              __IO uint8_t DQMSK1LL;
              __IO uint8_t DQMSK1LH;
            };
          };
          union {
            __IO uint16_t DQMSK1H;
            struct {
              __IO uint8_t DQMSK1HL;
              __IO uint8_t DQMSK1HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED3[24];
    union {
        __IO uint32_t DQMSKCLR0;
        struct {
          union {
            __IO uint16_t DQMSKCLR0L;
            struct {
              __IO uint8_t DQMSKCLR0LL;
              __IO uint8_t DQMSKCLR0LH;
            };
          };
          union {
            __IO uint16_t DQMSKCLR0H;
            struct {
              __IO uint8_t DQMSKCLR0HL;
              __IO uint8_t DQMSKCLR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DQMSKCLR1;
        struct {
          union {
            __IO uint16_t DQMSKCLR1L;
            struct {
              __IO uint8_t DQMSKCLR1LL;
              __IO uint8_t DQMSKCLR1LH;
            };
          };
          union {
            __IO uint16_t DQMSKCLR1H;
            struct {
              __IO uint8_t DQMSKCLR1HL;
              __IO uint8_t DQMSKCLR1HH;
            };
          };
        };
    };
} FM_DSTC_TypeDef, FM0P_DSTC_TypeDef;

/******************************************************************************
 ** DT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t TIMER1LOAD;
        struct {
          union {
            __IO uint16_t TIMER1LOADL;
            struct {
              __IO uint8_t TIMER1LOADLL;
              __IO uint8_t TIMER1LOADLH;
            };
          };
          union {
            __IO uint16_t TIMER1LOADH;
            struct {
              __IO uint8_t TIMER1LOADHL;
              __IO uint8_t TIMER1LOADHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1VALUE;
        struct {
          union {
            __IO uint16_t TIMER1VALUEL;
            struct {
              __IO uint8_t TIMER1VALUELL;
              __IO uint8_t TIMER1VALUELH;
            };
          };
          union {
            __IO uint16_t TIMER1VALUEH;
            struct {
              __IO uint8_t TIMER1VALUEHL;
              __IO uint8_t TIMER1VALUEHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1CONTROL;
        stc_dt_timer1control_field_t TIMER1CONTROL_f;
        struct {
          union {
            __IO uint16_t TIMER1CONTROLL;
            struct {
              __IO uint8_t TIMER1CONTROLLL;
              __IO uint8_t TIMER1CONTROLLH;
            };
          };
          union {
            __IO uint16_t TIMER1CONTROLH;
            struct {
              __IO uint8_t TIMER1CONTROLHL;
              __IO uint8_t TIMER1CONTROLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1INTCLR;
        struct {
          union {
            __IO uint16_t TIMER1INTCLRL;
            struct {
              __IO uint8_t TIMER1INTCLRLL;
              __IO uint8_t TIMER1INTCLRLH;
            };
          };
          union {
            __IO uint16_t TIMER1INTCLRH;
            struct {
              __IO uint8_t TIMER1INTCLRHL;
              __IO uint8_t TIMER1INTCLRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1RIS;
        stc_dt_timer1ris_field_t TIMER1RIS_f;
        struct {
          union {
            __IO uint16_t TIMER1RISL;
            struct {
              __IO uint8_t TIMER1RISLL;
              __IO uint8_t TIMER1RISLH;
            };
          };
          union {
            __IO uint16_t TIMER1RISH;
            struct {
              __IO uint8_t TIMER1RISHL;
              __IO uint8_t TIMER1RISHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1MIS;
        stc_dt_timer1mis_field_t TIMER1MIS_f;
        struct {
          union {
            __IO uint16_t TIMER1MISL;
            struct {
              __IO uint8_t TIMER1MISLL;
              __IO uint8_t TIMER1MISLH;
            };
          };
          union {
            __IO uint16_t TIMER1MISH;
            struct {
              __IO uint8_t TIMER1MISHL;
              __IO uint8_t TIMER1MISHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1BGLOAD;
        struct {
          union {
            __IO uint16_t TIMER1BGLOADL;
            struct {
              __IO uint8_t TIMER1BGLOADLL;
              __IO uint8_t TIMER1BGLOADLH;
            };
          };
          union {
            __IO uint16_t TIMER1BGLOADH;
            struct {
              __IO uint8_t TIMER1BGLOADHL;
              __IO uint8_t TIMER1BGLOADHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[4];
    union {
        __IO uint32_t TIMER2LOAD;
        struct {
          union {
            __IO uint16_t TIMER2LOADL;
            struct {
              __IO uint8_t TIMER2LOADLL;
              __IO uint8_t TIMER2LOADLH;
            };
          };
          union {
            __IO uint16_t TIMER2LOADH;
            struct {
              __IO uint8_t TIMER2LOADHL;
              __IO uint8_t TIMER2LOADHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2VALUE;
        struct {
          union {
            __IO uint16_t TIMER2VALUEL;
            struct {
              __IO uint8_t TIMER2VALUELL;
              __IO uint8_t TIMER2VALUELH;
            };
          };
          union {
            __IO uint16_t TIMER2VALUEH;
            struct {
              __IO uint8_t TIMER2VALUEHL;
              __IO uint8_t TIMER2VALUEHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2CONTROL;
        stc_dt_timer2control_field_t TIMER2CONTROL_f;
        struct {
          union {
            __IO uint16_t TIMER2CONTROLL;
            struct {
              __IO uint8_t TIMER2CONTROLLL;
              __IO uint8_t TIMER2CONTROLLH;
            };
          };
          union {
            __IO uint16_t TIMER2CONTROLH;
            struct {
              __IO uint8_t TIMER2CONTROLHL;
              __IO uint8_t TIMER2CONTROLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2INTCLR;
        struct {
          union {
            __IO uint16_t TIMER2INTCLRL;
            struct {
              __IO uint8_t TIMER2INTCLRLL;
              __IO uint8_t TIMER2INTCLRLH;
            };
          };
          union {
            __IO uint16_t TIMER2INTCLRH;
            struct {
              __IO uint8_t TIMER2INTCLRHL;
              __IO uint8_t TIMER2INTCLRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2RIS;
        stc_dt_timer2ris_field_t TIMER2RIS_f;
        struct {
          union {
            __IO uint16_t TIMER2RISL;
            struct {
              __IO uint8_t TIMER2RISLL;
              __IO uint8_t TIMER2RISLH;
            };
          };
          union {
            __IO uint16_t TIMER2RISH;
            struct {
              __IO uint8_t TIMER2RISHL;
              __IO uint8_t TIMER2RISHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2MIS;
        stc_dt_timer2mis_field_t TIMER2MIS_f;
        struct {
          union {
            __IO uint16_t TIMER2MISL;
            struct {
              __IO uint8_t TIMER2MISLL;
              __IO uint8_t TIMER2MISLH;
            };
          };
          union {
            __IO uint16_t TIMER2MISH;
            struct {
              __IO uint8_t TIMER2MISHL;
              __IO uint8_t TIMER2MISHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2BGLOAD;
        struct {
          union {
            __IO uint16_t TIMER2BGLOADL;
            struct {
              __IO uint8_t TIMER2BGLOADLL;
              __IO uint8_t TIMER2BGLOADLH;
            };
          };
          union {
            __IO uint16_t TIMER2BGLOADH;
            struct {
              __IO uint8_t TIMER2BGLOADHL;
              __IO uint8_t TIMER2BGLOADHH;
            };
          };
        };
    };
} FM_DT_TypeDef, FM0P_DT_TypeDef;

/******************************************************************************
 ** EXTI_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t ENIR;
        stc_exti_enir_field_t ENIR_f;
        struct {
          union {
            __IO uint16_t ENIRL;
            struct {
              __IO uint8_t ENIRLL;
              __IO uint8_t ENIRLH;
            };
          };
          union {
            __IO uint16_t ENIRH;
            struct {
              __IO uint8_t ENIRHL;
              __IO uint8_t ENIRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t EIRR;
        stc_exti_eirr_field_t EIRR_f;
        struct {
          union {
            __IO uint16_t EIRRL;
            struct {
              __IO uint8_t EIRRLL;
              __IO uint8_t EIRRLH;
            };
          };
          union {
            __IO uint16_t EIRRH;
            struct {
              __IO uint8_t EIRRHL;
              __IO uint8_t EIRRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t EICL;
        stc_exti_eicl_field_t EICL_f;
        struct {
          union {
            __IO uint16_t EICLL;
            struct {
              __IO uint8_t EICLLL;
              __IO uint8_t EICLLH;
            };
          };
          union {
            __IO uint16_t EICLH;
            struct {
              __IO uint8_t EICLHL;
              __IO uint8_t EICLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t ELVR;
        stc_exti_elvr_field_t ELVR_f;
        struct {
          union {
            __IO uint16_t ELVRL;
            struct {
              __IO uint8_t ELVRLL;
              __IO uint8_t ELVRLH;
            };
          };
          union {
            __IO uint16_t ELVRH;
            struct {
              __IO uint8_t ELVRHL;
              __IO uint8_t ELVRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t ELVR1;
        stc_exti_elvr1_field_t ELVR1_f;
        struct {
          union {
            __IO uint16_t ELVR1L;
            struct {
              __IO uint8_t ELVR1LL;
              __IO uint8_t ELVR1LH;
            };
          };
          union {
            __IO uint16_t ELVR1H;
            struct {
              __IO uint8_t ELVR1HL;
              __IO uint8_t ELVR1HH;
            };
          };
        };
    };
    union {
        __IO uint16_t NMIRR;
        stc_exti_nmirr_field_t NMIRR_f;
        struct {
            __IO  uint8_t NMIRRL;
            __IO  uint8_t NMIRRH;
        };
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO uint16_t NMICL;
        stc_exti_nmicl_field_t NMICL_f;
        struct {
            __IO  uint8_t NMICLL;
            __IO  uint8_t NMICLH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint32_t ELVR2;
        stc_exti_elvr2_field_t ELVR2_f;
        struct {
          union {
            __IO uint16_t ELVR2L;
            struct {
              __IO uint8_t ELVR2LL;
              __IO uint8_t ELVR2LH;
            };
          };
          union {
            __IO uint16_t ELVR2H;
            struct {
              __IO uint8_t ELVR2HL;
              __IO uint8_t ELVR2HH;
            };
          };
        };
    };
    union {
        __IO  uint8_t NMIENR;
        stc_exti_nmienr_field_t NMIENR_f;
    };
} FM_EXTI_TypeDef, FM0P_EXTI_TypeDef;

/******************************************************************************
 ** FASTIO_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t FPDIR0;
        stc_fastio_fpdir0_field_t FPDIR0_f;
        struct {
          union {
            __IO uint16_t FPDIR0L;
            struct {
              __IO uint8_t FPDIR0LL;
              __IO uint8_t FPDIR0LH;
            };
          };
          union {
            __IO uint16_t FPDIR0H;
            struct {
              __IO uint8_t FPDIR0HL;
              __IO uint8_t FPDIR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR1;
        stc_fastio_fpdir1_field_t FPDIR1_f;
        struct {
          union {
            __IO uint16_t FPDIR1L;
            struct {
              __IO uint8_t FPDIR1LL;
              __IO uint8_t FPDIR1LH;
            };
          };
          union {
            __IO uint16_t FPDIR1H;
            struct {
              __IO uint8_t FPDIR1HL;
              __IO uint8_t FPDIR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR2;
        stc_fastio_fpdir2_field_t FPDIR2_f;
        struct {
          union {
            __IO uint16_t FPDIR2L;
            struct {
              __IO uint8_t FPDIR2LL;
              __IO uint8_t FPDIR2LH;
            };
          };
          union {
            __IO uint16_t FPDIR2H;
            struct {
              __IO uint8_t FPDIR2HL;
              __IO uint8_t FPDIR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR3;
        struct {
          union {
            __IO uint16_t FPDIR3L;
            struct {
              __IO uint8_t FPDIR3LL;
              __IO uint8_t FPDIR3LH;
            };
          };
          union {
            __IO uint16_t FPDIR3H;
            struct {
              __IO uint8_t FPDIR3HL;
              __IO uint8_t FPDIR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR4;
        stc_fastio_fpdir4_field_t FPDIR4_f;
        struct {
          union {
            __IO uint16_t FPDIR4L;
            struct {
              __IO uint8_t FPDIR4LL;
              __IO uint8_t FPDIR4LH;
            };
          };
          union {
            __IO uint16_t FPDIR4H;
            struct {
              __IO uint8_t FPDIR4HL;
              __IO uint8_t FPDIR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR5;
        stc_fastio_fpdir5_field_t FPDIR5_f;
        struct {
          union {
            __IO uint16_t FPDIR5L;
            struct {
              __IO uint8_t FPDIR5LL;
              __IO uint8_t FPDIR5LH;
            };
          };
          union {
            __IO uint16_t FPDIR5H;
            struct {
              __IO uint8_t FPDIR5HL;
              __IO uint8_t FPDIR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR6;
        struct {
          union {
            __IO uint16_t FPDIR6L;
            struct {
              __IO uint8_t FPDIR6LL;
              __IO uint8_t FPDIR6LH;
            };
          };
          union {
            __IO uint16_t FPDIR6H;
            struct {
              __IO uint8_t FPDIR6HL;
              __IO uint8_t FPDIR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR7;
        struct {
          union {
            __IO uint16_t FPDIR7L;
            struct {
              __IO uint8_t FPDIR7LL;
              __IO uint8_t FPDIR7LH;
            };
          };
          union {
            __IO uint16_t FPDIR7H;
            struct {
              __IO uint8_t FPDIR7HL;
              __IO uint8_t FPDIR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR8;
        struct {
          union {
            __IO uint16_t FPDIR8L;
            struct {
              __IO uint8_t FPDIR8LL;
              __IO uint8_t FPDIR8LH;
            };
          };
          union {
            __IO uint16_t FPDIR8H;
            struct {
              __IO uint8_t FPDIR8HL;
              __IO uint8_t FPDIR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIR9;
        struct {
          union {
            __IO uint16_t FPDIR9L;
            struct {
              __IO uint8_t FPDIR9LL;
              __IO uint8_t FPDIR9LH;
            };
          };
          union {
            __IO uint16_t FPDIR9H;
            struct {
              __IO uint8_t FPDIR9HL;
              __IO uint8_t FPDIR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIRA;
        struct {
          union {
            __IO uint16_t FPDIRAL;
            struct {
              __IO uint8_t FPDIRALL;
              __IO uint8_t FPDIRALH;
            };
          };
          union {
            __IO uint16_t FPDIRAH;
            struct {
              __IO uint8_t FPDIRAHL;
              __IO uint8_t FPDIRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIRB;
        struct {
          union {
            __IO uint16_t FPDIRBL;
            struct {
              __IO uint8_t FPDIRBLL;
              __IO uint8_t FPDIRBLH;
            };
          };
          union {
            __IO uint16_t FPDIRBH;
            struct {
              __IO uint8_t FPDIRBHL;
              __IO uint8_t FPDIRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIRC;
        struct {
          union {
            __IO uint16_t FPDIRCL;
            struct {
              __IO uint8_t FPDIRCLL;
              __IO uint8_t FPDIRCLH;
            };
          };
          union {
            __IO uint16_t FPDIRCH;
            struct {
              __IO uint8_t FPDIRCHL;
              __IO uint8_t FPDIRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIRD;
        struct {
          union {
            __IO uint16_t FPDIRDL;
            struct {
              __IO uint8_t FPDIRDLL;
              __IO uint8_t FPDIRDLH;
            };
          };
          union {
            __IO uint16_t FPDIRDH;
            struct {
              __IO uint8_t FPDIRDHL;
              __IO uint8_t FPDIRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIRE;
        struct {
          union {
            __IO uint16_t FPDIREL;
            struct {
              __IO uint8_t FPDIRELL;
              __IO uint8_t FPDIRELH;
            };
          };
          union {
            __IO uint16_t FPDIREH;
            struct {
              __IO uint8_t FPDIREHL;
              __IO uint8_t FPDIREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDIRF;
        struct {
          union {
            __IO uint16_t FPDIRFL;
            struct {
              __IO uint8_t FPDIRFLL;
              __IO uint8_t FPDIRFLH;
            };
          };
          union {
            __IO uint16_t FPDIRFH;
            struct {
              __IO uint8_t FPDIRFHL;
              __IO uint8_t FPDIRFHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR0;
        stc_fastio_fpdor0_field_t FPDOR0_f;
        struct {
          union {
            __IO uint16_t FPDOR0L;
            struct {
              __IO uint8_t FPDOR0LL;
              __IO uint8_t FPDOR0LH;
            };
          };
          union {
            __IO uint16_t FPDOR0H;
            struct {
              __IO uint8_t FPDOR0HL;
              __IO uint8_t FPDOR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR1;
        stc_fastio_fpdor1_field_t FPDOR1_f;
        struct {
          union {
            __IO uint16_t FPDOR1L;
            struct {
              __IO uint8_t FPDOR1LL;
              __IO uint8_t FPDOR1LH;
            };
          };
          union {
            __IO uint16_t FPDOR1H;
            struct {
              __IO uint8_t FPDOR1HL;
              __IO uint8_t FPDOR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR2;
        stc_fastio_fpdor2_field_t FPDOR2_f;
        struct {
          union {
            __IO uint16_t FPDOR2L;
            struct {
              __IO uint8_t FPDOR2LL;
              __IO uint8_t FPDOR2LH;
            };
          };
          union {
            __IO uint16_t FPDOR2H;
            struct {
              __IO uint8_t FPDOR2HL;
              __IO uint8_t FPDOR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR3;
        struct {
          union {
            __IO uint16_t FPDOR3L;
            struct {
              __IO uint8_t FPDOR3LL;
              __IO uint8_t FPDOR3LH;
            };
          };
          union {
            __IO uint16_t FPDOR3H;
            struct {
              __IO uint8_t FPDOR3HL;
              __IO uint8_t FPDOR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR4;
        stc_fastio_fpdor4_field_t FPDOR4_f;
        struct {
          union {
            __IO uint16_t FPDOR4L;
            struct {
              __IO uint8_t FPDOR4LL;
              __IO uint8_t FPDOR4LH;
            };
          };
          union {
            __IO uint16_t FPDOR4H;
            struct {
              __IO uint8_t FPDOR4HL;
              __IO uint8_t FPDOR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR5;
        stc_fastio_fpdor5_field_t FPDOR5_f;
        struct {
          union {
            __IO uint16_t FPDOR5L;
            struct {
              __IO uint8_t FPDOR5LL;
              __IO uint8_t FPDOR5LH;
            };
          };
          union {
            __IO uint16_t FPDOR5H;
            struct {
              __IO uint8_t FPDOR5HL;
              __IO uint8_t FPDOR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR6;
        struct {
          union {
            __IO uint16_t FPDOR6L;
            struct {
              __IO uint8_t FPDOR6LL;
              __IO uint8_t FPDOR6LH;
            };
          };
          union {
            __IO uint16_t FPDOR6H;
            struct {
              __IO uint8_t FPDOR6HL;
              __IO uint8_t FPDOR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR7;
        struct {
          union {
            __IO uint16_t FPDOR7L;
            struct {
              __IO uint8_t FPDOR7LL;
              __IO uint8_t FPDOR7LH;
            };
          };
          union {
            __IO uint16_t FPDOR7H;
            struct {
              __IO uint8_t FPDOR7HL;
              __IO uint8_t FPDOR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR8;
        struct {
          union {
            __IO uint16_t FPDOR8L;
            struct {
              __IO uint8_t FPDOR8LL;
              __IO uint8_t FPDOR8LH;
            };
          };
          union {
            __IO uint16_t FPDOR8H;
            struct {
              __IO uint8_t FPDOR8HL;
              __IO uint8_t FPDOR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDOR9;
        struct {
          union {
            __IO uint16_t FPDOR9L;
            struct {
              __IO uint8_t FPDOR9LL;
              __IO uint8_t FPDOR9LH;
            };
          };
          union {
            __IO uint16_t FPDOR9H;
            struct {
              __IO uint8_t FPDOR9HL;
              __IO uint8_t FPDOR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDORA;
        struct {
          union {
            __IO uint16_t FPDORAL;
            struct {
              __IO uint8_t FPDORALL;
              __IO uint8_t FPDORALH;
            };
          };
          union {
            __IO uint16_t FPDORAH;
            struct {
              __IO uint8_t FPDORAHL;
              __IO uint8_t FPDORAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDORB;
        struct {
          union {
            __IO uint16_t FPDORBL;
            struct {
              __IO uint8_t FPDORBLL;
              __IO uint8_t FPDORBLH;
            };
          };
          union {
            __IO uint16_t FPDORBH;
            struct {
              __IO uint8_t FPDORBHL;
              __IO uint8_t FPDORBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDORC;
        struct {
          union {
            __IO uint16_t FPDORCL;
            struct {
              __IO uint8_t FPDORCLL;
              __IO uint8_t FPDORCLH;
            };
          };
          union {
            __IO uint16_t FPDORCH;
            struct {
              __IO uint8_t FPDORCHL;
              __IO uint8_t FPDORCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDORD;
        struct {
          union {
            __IO uint16_t FPDORDL;
            struct {
              __IO uint8_t FPDORDLL;
              __IO uint8_t FPDORDLH;
            };
          };
          union {
            __IO uint16_t FPDORDH;
            struct {
              __IO uint8_t FPDORDHL;
              __IO uint8_t FPDORDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDORE;
        struct {
          union {
            __IO uint16_t FPDOREL;
            struct {
              __IO uint8_t FPDORELL;
              __IO uint8_t FPDORELH;
            };
          };
          union {
            __IO uint16_t FPDOREH;
            struct {
              __IO uint8_t FPDOREHL;
              __IO uint8_t FPDOREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPDORF;
        struct {
          union {
            __IO uint16_t FPDORFL;
            struct {
              __IO uint8_t FPDORFLL;
              __IO uint8_t FPDORFLH;
            };
          };
          union {
            __IO uint16_t FPDORFH;
            struct {
              __IO uint8_t FPDORFHL;
              __IO uint8_t FPDORFHH;
            };
          };
        };
    };
    union {
        __IO uint32_t M_FPDIR0;
        stc_fastio_m_fpdir0_field_t M_FPDIR0_f;
        struct {
          union {
            __IO uint16_t M_FPDIR0L;
            struct {
              __IO uint8_t M_FPDIR0LL;
              __IO uint8_t M_FPDIR0LH;
            };
          };
          union {
            __IO uint16_t M_FPDIR0H;
            struct {
              __IO uint8_t M_FPDIR0HL;
              __IO uint8_t M_FPDIR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t M_FPDIR1;
        stc_fastio_m_fpdir1_field_t M_FPDIR1_f;
        struct {
          union {
            __IO uint16_t M_FPDIR1L;
            struct {
              __IO uint8_t M_FPDIR1LL;
              __IO uint8_t M_FPDIR1LH;
            };
          };
          union {
            __IO uint16_t M_FPDIR1H;
            struct {
              __IO uint8_t M_FPDIR1HL;
              __IO uint8_t M_FPDIR1HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[56];
    union {
        __IO uint32_t M_FPDOR0;
        stc_fastio_m_fpdor0_field_t M_FPDOR0_f;
        struct {
          union {
            __IO uint16_t M_FPDOR0L;
            struct {
              __IO uint8_t M_FPDOR0LL;
              __IO uint8_t M_FPDOR0LH;
            };
          };
          union {
            __IO uint16_t M_FPDOR0H;
            struct {
              __IO uint8_t M_FPDOR0HL;
              __IO uint8_t M_FPDOR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t M_FPDOR1;
        stc_fastio_m_fpdor1_field_t M_FPDOR1_f;
        struct {
          union {
            __IO uint16_t M_FPDOR1L;
            struct {
              __IO uint8_t M_FPDOR1LL;
              __IO uint8_t M_FPDOR1LH;
            };
          };
          union {
            __IO uint16_t M_FPDOR1H;
            struct {
              __IO uint8_t M_FPDOR1HL;
              __IO uint8_t M_FPDOR1HH;
            };
          };
        };
    };
} FM_FASTIO_TypeDef, FM0P_FASTIO_TypeDef;

/******************************************************************************
 ** FLASH_IF_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[4];
    union {
        __IO uint32_t FRWTR;
        stc_flash_if_frwtr_field_t FRWTR_f;
        struct {
          union {
            __IO uint16_t FRWTRL;
            struct {
              __IO uint8_t FRWTRLL;
              __IO uint8_t FRWTRLH;
            };
          };
          union {
            __IO uint16_t FRWTRH;
            struct {
              __IO uint8_t FRWTRHL;
              __IO uint8_t FRWTRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FSTR;
        stc_flash_if_fstr_field_t FSTR_f;
        struct {
          union {
            __IO uint16_t FSTRL;
            struct {
              __IO uint8_t FSTRLL;
              __IO uint8_t FSTRLH;
            };
          };
          union {
            __IO uint16_t FSTRH;
            struct {
              __IO uint8_t FSTRHL;
              __IO uint8_t FSTRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[4];
    union {
        __IO uint32_t FSYNDN;
        stc_flash_if_fsyndn_field_t FSYNDN_f;
        struct {
          union {
            __IO uint16_t FSYNDNL;
            struct {
              __IO uint8_t FSYNDNLL;
              __IO uint8_t FSYNDNLH;
            };
          };
          union {
            __IO uint16_t FSYNDNH;
            struct {
              __IO uint8_t FSYNDNHL;
              __IO uint8_t FSYNDNHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED2[12];
    union {
        __IO uint32_t FICR;
        stc_flash_if_ficr_field_t FICR_f;
        struct {
          union {
            __IO uint16_t FICRL;
            struct {
              __IO uint8_t FICRLL;
              __IO uint8_t FICRLH;
            };
          };
          union {
            __IO uint16_t FICRH;
            struct {
              __IO uint8_t FICRHL;
              __IO uint8_t FICRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FISR;
        stc_flash_if_fisr_field_t FISR_f;
        struct {
          union {
            __IO uint16_t FISRL;
            struct {
              __IO uint8_t FISRLL;
              __IO uint8_t FISRLH;
            };
          };
          union {
            __IO uint16_t FISRH;
            struct {
              __IO uint8_t FISRHL;
              __IO uint8_t FISRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FICLR;
        stc_flash_if_ficlr_field_t FICLR_f;
        struct {
          union {
            __IO uint16_t FICLRL;
            struct {
              __IO uint8_t FICLRLL;
              __IO uint8_t FICLRLH;
            };
          };
          union {
            __IO uint16_t FICLRH;
            struct {
              __IO uint8_t FICLRHL;
              __IO uint8_t FICLRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED3[212];
    union {
        __IO uint32_t CRTRMM;
        stc_flash_if_crtrmm_field_t CRTRMM_f;
        struct {
          union {
            __IO uint16_t CRTRMML;
            struct {
              __IO uint8_t CRTRMMLL;
              __IO uint8_t CRTRMMLH;
            };
          };
          union {
            __IO uint16_t CRTRMMH;
            struct {
              __IO uint8_t CRTRMMHL;
              __IO uint8_t CRTRMMHH;
            };
          };
        };
    };
} FM_FLASH_IF_TypeDef, FM0P_FLASH_IF_TypeDef;

/******************************************************************************
 ** GPIO_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t PFR0;
        stc_gpio_pfr0_field_t PFR0_f;
        struct {
          union {
            __IO uint16_t PFR0L;
            struct {
              __IO uint8_t PFR0LL;
              __IO uint8_t PFR0LH;
            };
          };
          union {
            __IO uint16_t PFR0H;
            struct {
              __IO uint8_t PFR0HL;
              __IO uint8_t PFR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR1;
        stc_gpio_pfr1_field_t PFR1_f;
        struct {
          union {
            __IO uint16_t PFR1L;
            struct {
              __IO uint8_t PFR1LL;
              __IO uint8_t PFR1LH;
            };
          };
          union {
            __IO uint16_t PFR1H;
            struct {
              __IO uint8_t PFR1HL;
              __IO uint8_t PFR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR2;
        stc_gpio_pfr2_field_t PFR2_f;
        struct {
          union {
            __IO uint16_t PFR2L;
            struct {
              __IO uint8_t PFR2LL;
              __IO uint8_t PFR2LH;
            };
          };
          union {
            __IO uint16_t PFR2H;
            struct {
              __IO uint8_t PFR2HL;
              __IO uint8_t PFR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR3;
        stc_gpio_pfr3_field_t PFR3_f;
        struct {
          union {
            __IO uint16_t PFR3L;
            struct {
              __IO uint8_t PFR3LL;
              __IO uint8_t PFR3LH;
            };
          };
          union {
            __IO uint16_t PFR3H;
            struct {
              __IO uint8_t PFR3HL;
              __IO uint8_t PFR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR4;
        stc_gpio_pfr4_field_t PFR4_f;
        struct {
          union {
            __IO uint16_t PFR4L;
            struct {
              __IO uint8_t PFR4LL;
              __IO uint8_t PFR4LH;
            };
          };
          union {
            __IO uint16_t PFR4H;
            struct {
              __IO uint8_t PFR4HL;
              __IO uint8_t PFR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR5;
        stc_gpio_pfr5_field_t PFR5_f;
        struct {
          union {
            __IO uint16_t PFR5L;
            struct {
              __IO uint8_t PFR5LL;
              __IO uint8_t PFR5LH;
            };
          };
          union {
            __IO uint16_t PFR5H;
            struct {
              __IO uint8_t PFR5HL;
              __IO uint8_t PFR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR6;
        stc_gpio_pfr6_field_t PFR6_f;
        struct {
          union {
            __IO uint16_t PFR6L;
            struct {
              __IO uint8_t PFR6LL;
              __IO uint8_t PFR6LH;
            };
          };
          union {
            __IO uint16_t PFR6H;
            struct {
              __IO uint8_t PFR6HL;
              __IO uint8_t PFR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR7;
        struct {
          union {
            __IO uint16_t PFR7L;
            struct {
              __IO uint8_t PFR7LL;
              __IO uint8_t PFR7LH;
            };
          };
          union {
            __IO uint16_t PFR7H;
            struct {
              __IO uint8_t PFR7HL;
              __IO uint8_t PFR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR8;
        stc_gpio_pfr8_field_t PFR8_f;
        struct {
          union {
            __IO uint16_t PFR8L;
            struct {
              __IO uint8_t PFR8LL;
              __IO uint8_t PFR8LH;
            };
          };
          union {
            __IO uint16_t PFR8H;
            struct {
              __IO uint8_t PFR8HL;
              __IO uint8_t PFR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR9;
        struct {
          union {
            __IO uint16_t PFR9L;
            struct {
              __IO uint8_t PFR9LL;
              __IO uint8_t PFR9LH;
            };
          };
          union {
            __IO uint16_t PFR9H;
            struct {
              __IO uint8_t PFR9HL;
              __IO uint8_t PFR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRA;
        struct {
          union {
            __IO uint16_t PFRAL;
            struct {
              __IO uint8_t PFRALL;
              __IO uint8_t PFRALH;
            };
          };
          union {
            __IO uint16_t PFRAH;
            struct {
              __IO uint8_t PFRAHL;
              __IO uint8_t PFRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRB;
        struct {
          union {
            __IO uint16_t PFRBL;
            struct {
              __IO uint8_t PFRBLL;
              __IO uint8_t PFRBLH;
            };
          };
          union {
            __IO uint16_t PFRBH;
            struct {
              __IO uint8_t PFRBHL;
              __IO uint8_t PFRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRC;
        struct {
          union {
            __IO uint16_t PFRCL;
            struct {
              __IO uint8_t PFRCLL;
              __IO uint8_t PFRCLH;
            };
          };
          union {
            __IO uint16_t PFRCH;
            struct {
              __IO uint8_t PFRCHL;
              __IO uint8_t PFRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRD;
        struct {
          union {
            __IO uint16_t PFRDL;
            struct {
              __IO uint8_t PFRDLL;
              __IO uint8_t PFRDLH;
            };
          };
          union {
            __IO uint16_t PFRDH;
            struct {
              __IO uint8_t PFRDHL;
              __IO uint8_t PFRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRE;
        stc_gpio_pfre_field_t PFRE_f;
        struct {
          union {
            __IO uint16_t PFREL;
            struct {
              __IO uint8_t PFRELL;
              __IO uint8_t PFRELH;
            };
          };
          union {
            __IO uint16_t PFREH;
            struct {
              __IO uint8_t PFREHL;
              __IO uint8_t PFREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRF;
        struct {
          union {
            __IO uint16_t PFRFL;
            struct {
              __IO uint8_t PFRFLL;
              __IO uint8_t PFRFLH;
            };
          };
          union {
            __IO uint16_t PFRFH;
            struct {
              __IO uint8_t PFRFHL;
              __IO uint8_t PFRFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[192];
    union {
        __IO uint32_t PCR0;
        stc_gpio_pcr0_field_t PCR0_f;
        struct {
          union {
            __IO uint16_t PCR0L;
            struct {
              __IO uint8_t PCR0LL;
              __IO uint8_t PCR0LH;
            };
          };
          union {
            __IO uint16_t PCR0H;
            struct {
              __IO uint8_t PCR0HL;
              __IO uint8_t PCR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR1;
        stc_gpio_pcr1_field_t PCR1_f;
        struct {
          union {
            __IO uint16_t PCR1L;
            struct {
              __IO uint8_t PCR1LL;
              __IO uint8_t PCR1LH;
            };
          };
          union {
            __IO uint16_t PCR1H;
            struct {
              __IO uint8_t PCR1HL;
              __IO uint8_t PCR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR2;
        stc_gpio_pcr2_field_t PCR2_f;
        struct {
          union {
            __IO uint16_t PCR2L;
            struct {
              __IO uint8_t PCR2LL;
              __IO uint8_t PCR2LH;
            };
          };
          union {
            __IO uint16_t PCR2H;
            struct {
              __IO uint8_t PCR2HL;
              __IO uint8_t PCR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR3;
        stc_gpio_pcr3_field_t PCR3_f;
        struct {
          union {
            __IO uint16_t PCR3L;
            struct {
              __IO uint8_t PCR3LL;
              __IO uint8_t PCR3LH;
            };
          };
          union {
            __IO uint16_t PCR3H;
            struct {
              __IO uint8_t PCR3HL;
              __IO uint8_t PCR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR4;
        stc_gpio_pcr4_field_t PCR4_f;
        struct {
          union {
            __IO uint16_t PCR4L;
            struct {
              __IO uint8_t PCR4LL;
              __IO uint8_t PCR4LH;
            };
          };
          union {
            __IO uint16_t PCR4H;
            struct {
              __IO uint8_t PCR4HL;
              __IO uint8_t PCR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR5;
        stc_gpio_pcr5_field_t PCR5_f;
        struct {
          union {
            __IO uint16_t PCR5L;
            struct {
              __IO uint8_t PCR5LL;
              __IO uint8_t PCR5LH;
            };
          };
          union {
            __IO uint16_t PCR5H;
            struct {
              __IO uint8_t PCR5HL;
              __IO uint8_t PCR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR6;
        stc_gpio_pcr6_field_t PCR6_f;
        struct {
          union {
            __IO uint16_t PCR6L;
            struct {
              __IO uint8_t PCR6LL;
              __IO uint8_t PCR6LH;
            };
          };
          union {
            __IO uint16_t PCR6H;
            struct {
              __IO uint8_t PCR6HL;
              __IO uint8_t PCR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR7;
        struct {
          union {
            __IO uint16_t PCR7L;
            struct {
              __IO uint8_t PCR7LL;
              __IO uint8_t PCR7LH;
            };
          };
          union {
            __IO uint16_t PCR7H;
            struct {
              __IO uint8_t PCR7HL;
              __IO uint8_t PCR7HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[4];
    union {
        __IO uint32_t PCR9;
        struct {
          union {
            __IO uint16_t PCR9L;
            struct {
              __IO uint8_t PCR9LL;
              __IO uint8_t PCR9LH;
            };
          };
          union {
            __IO uint16_t PCR9H;
            struct {
              __IO uint8_t PCR9HL;
              __IO uint8_t PCR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRA;
        struct {
          union {
            __IO uint16_t PCRAL;
            struct {
              __IO uint8_t PCRALL;
              __IO uint8_t PCRALH;
            };
          };
          union {
            __IO uint16_t PCRAH;
            struct {
              __IO uint8_t PCRAHL;
              __IO uint8_t PCRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRB;
        struct {
          union {
            __IO uint16_t PCRBL;
            struct {
              __IO uint8_t PCRBLL;
              __IO uint8_t PCRBLH;
            };
          };
          union {
            __IO uint16_t PCRBH;
            struct {
              __IO uint8_t PCRBHL;
              __IO uint8_t PCRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRC;
        struct {
          union {
            __IO uint16_t PCRCL;
            struct {
              __IO uint8_t PCRCLL;
              __IO uint8_t PCRCLH;
            };
          };
          union {
            __IO uint16_t PCRCH;
            struct {
              __IO uint8_t PCRCHL;
              __IO uint8_t PCRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRD;
        struct {
          union {
            __IO uint16_t PCRDL;
            struct {
              __IO uint8_t PCRDLL;
              __IO uint8_t PCRDLH;
            };
          };
          union {
            __IO uint16_t PCRDH;
            struct {
              __IO uint8_t PCRDHL;
              __IO uint8_t PCRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRE;
        stc_gpio_pcre_field_t PCRE_f;
        struct {
          union {
            __IO uint16_t PCREL;
            struct {
              __IO uint8_t PCRELL;
              __IO uint8_t PCRELH;
            };
          };
          union {
            __IO uint16_t PCREH;
            struct {
              __IO uint8_t PCREHL;
              __IO uint8_t PCREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRF;
        struct {
          union {
            __IO uint16_t PCRFL;
            struct {
              __IO uint8_t PCRFLL;
              __IO uint8_t PCRFLH;
            };
          };
          union {
            __IO uint16_t PCRFH;
            struct {
              __IO uint8_t PCRFHL;
              __IO uint8_t PCRFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED2[192];
    union {
        __IO uint32_t DDR0;
        stc_gpio_ddr0_field_t DDR0_f;
        struct {
          union {
            __IO uint16_t DDR0L;
            struct {
              __IO uint8_t DDR0LL;
              __IO uint8_t DDR0LH;
            };
          };
          union {
            __IO uint16_t DDR0H;
            struct {
              __IO uint8_t DDR0HL;
              __IO uint8_t DDR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR1;
        stc_gpio_ddr1_field_t DDR1_f;
        struct {
          union {
            __IO uint16_t DDR1L;
            struct {
              __IO uint8_t DDR1LL;
              __IO uint8_t DDR1LH;
            };
          };
          union {
            __IO uint16_t DDR1H;
            struct {
              __IO uint8_t DDR1HL;
              __IO uint8_t DDR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR2;
        stc_gpio_ddr2_field_t DDR2_f;
        struct {
          union {
            __IO uint16_t DDR2L;
            struct {
              __IO uint8_t DDR2LL;
              __IO uint8_t DDR2LH;
            };
          };
          union {
            __IO uint16_t DDR2H;
            struct {
              __IO uint8_t DDR2HL;
              __IO uint8_t DDR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR3;
        stc_gpio_ddr3_field_t DDR3_f;
        struct {
          union {
            __IO uint16_t DDR3L;
            struct {
              __IO uint8_t DDR3LL;
              __IO uint8_t DDR3LH;
            };
          };
          union {
            __IO uint16_t DDR3H;
            struct {
              __IO uint8_t DDR3HL;
              __IO uint8_t DDR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR4;
        stc_gpio_ddr4_field_t DDR4_f;
        struct {
          union {
            __IO uint16_t DDR4L;
            struct {
              __IO uint8_t DDR4LL;
              __IO uint8_t DDR4LH;
            };
          };
          union {
            __IO uint16_t DDR4H;
            struct {
              __IO uint8_t DDR4HL;
              __IO uint8_t DDR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR5;
        stc_gpio_ddr5_field_t DDR5_f;
        struct {
          union {
            __IO uint16_t DDR5L;
            struct {
              __IO uint8_t DDR5LL;
              __IO uint8_t DDR5LH;
            };
          };
          union {
            __IO uint16_t DDR5H;
            struct {
              __IO uint8_t DDR5HL;
              __IO uint8_t DDR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR6;
        stc_gpio_ddr6_field_t DDR6_f;
        struct {
          union {
            __IO uint16_t DDR6L;
            struct {
              __IO uint8_t DDR6LL;
              __IO uint8_t DDR6LH;
            };
          };
          union {
            __IO uint16_t DDR6H;
            struct {
              __IO uint8_t DDR6HL;
              __IO uint8_t DDR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR7;
        struct {
          union {
            __IO uint16_t DDR7L;
            struct {
              __IO uint8_t DDR7LL;
              __IO uint8_t DDR7LH;
            };
          };
          union {
            __IO uint16_t DDR7H;
            struct {
              __IO uint8_t DDR7HL;
              __IO uint8_t DDR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR8;
        stc_gpio_ddr8_field_t DDR8_f;
        struct {
          union {
            __IO uint16_t DDR8L;
            struct {
              __IO uint8_t DDR8LL;
              __IO uint8_t DDR8LH;
            };
          };
          union {
            __IO uint16_t DDR8H;
            struct {
              __IO uint8_t DDR8HL;
              __IO uint8_t DDR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR9;
        struct {
          union {
            __IO uint16_t DDR9L;
            struct {
              __IO uint8_t DDR9LL;
              __IO uint8_t DDR9LH;
            };
          };
          union {
            __IO uint16_t DDR9H;
            struct {
              __IO uint8_t DDR9HL;
              __IO uint8_t DDR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRA;
        struct {
          union {
            __IO uint16_t DDRAL;
            struct {
              __IO uint8_t DDRALL;
              __IO uint8_t DDRALH;
            };
          };
          union {
            __IO uint16_t DDRAH;
            struct {
              __IO uint8_t DDRAHL;
              __IO uint8_t DDRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRB;
        struct {
          union {
            __IO uint16_t DDRBL;
            struct {
              __IO uint8_t DDRBLL;
              __IO uint8_t DDRBLH;
            };
          };
          union {
            __IO uint16_t DDRBH;
            struct {
              __IO uint8_t DDRBHL;
              __IO uint8_t DDRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRC;
        struct {
          union {
            __IO uint16_t DDRCL;
            struct {
              __IO uint8_t DDRCLL;
              __IO uint8_t DDRCLH;
            };
          };
          union {
            __IO uint16_t DDRCH;
            struct {
              __IO uint8_t DDRCHL;
              __IO uint8_t DDRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRD;
        struct {
          union {
            __IO uint16_t DDRDL;
            struct {
              __IO uint8_t DDRDLL;
              __IO uint8_t DDRDLH;
            };
          };
          union {
            __IO uint16_t DDRDH;
            struct {
              __IO uint8_t DDRDHL;
              __IO uint8_t DDRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRE;
        stc_gpio_ddre_field_t DDRE_f;
        struct {
          union {
            __IO uint16_t DDREL;
            struct {
              __IO uint8_t DDRELL;
              __IO uint8_t DDRELH;
            };
          };
          union {
            __IO uint16_t DDREH;
            struct {
              __IO uint8_t DDREHL;
              __IO uint8_t DDREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRF;
        struct {
          union {
            __IO uint16_t DDRFL;
            struct {
              __IO uint8_t DDRFLL;
              __IO uint8_t DDRFLH;
            };
          };
          union {
            __IO uint16_t DDRFH;
            struct {
              __IO uint8_t DDRFHL;
              __IO uint8_t DDRFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED3[192];
    union {
        __IO uint32_t PDIR0;
        stc_gpio_pdir0_field_t PDIR0_f;
        struct {
          union {
            __IO uint16_t PDIR0L;
            struct {
              __IO uint8_t PDIR0LL;
              __IO uint8_t PDIR0LH;
            };
          };
          union {
            __IO uint16_t PDIR0H;
            struct {
              __IO uint8_t PDIR0HL;
              __IO uint8_t PDIR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR1;
        stc_gpio_pdir1_field_t PDIR1_f;
        struct {
          union {
            __IO uint16_t PDIR1L;
            struct {
              __IO uint8_t PDIR1LL;
              __IO uint8_t PDIR1LH;
            };
          };
          union {
            __IO uint16_t PDIR1H;
            struct {
              __IO uint8_t PDIR1HL;
              __IO uint8_t PDIR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR2;
        stc_gpio_pdir2_field_t PDIR2_f;
        struct {
          union {
            __IO uint16_t PDIR2L;
            struct {
              __IO uint8_t PDIR2LL;
              __IO uint8_t PDIR2LH;
            };
          };
          union {
            __IO uint16_t PDIR2H;
            struct {
              __IO uint8_t PDIR2HL;
              __IO uint8_t PDIR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR3;
        stc_gpio_pdir3_field_t PDIR3_f;
        struct {
          union {
            __IO uint16_t PDIR3L;
            struct {
              __IO uint8_t PDIR3LL;
              __IO uint8_t PDIR3LH;
            };
          };
          union {
            __IO uint16_t PDIR3H;
            struct {
              __IO uint8_t PDIR3HL;
              __IO uint8_t PDIR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR4;
        stc_gpio_pdir4_field_t PDIR4_f;
        struct {
          union {
            __IO uint16_t PDIR4L;
            struct {
              __IO uint8_t PDIR4LL;
              __IO uint8_t PDIR4LH;
            };
          };
          union {
            __IO uint16_t PDIR4H;
            struct {
              __IO uint8_t PDIR4HL;
              __IO uint8_t PDIR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR5;
        stc_gpio_pdir5_field_t PDIR5_f;
        struct {
          union {
            __IO uint16_t PDIR5L;
            struct {
              __IO uint8_t PDIR5LL;
              __IO uint8_t PDIR5LH;
            };
          };
          union {
            __IO uint16_t PDIR5H;
            struct {
              __IO uint8_t PDIR5HL;
              __IO uint8_t PDIR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR6;
        stc_gpio_pdir6_field_t PDIR6_f;
        struct {
          union {
            __IO uint16_t PDIR6L;
            struct {
              __IO uint8_t PDIR6LL;
              __IO uint8_t PDIR6LH;
            };
          };
          union {
            __IO uint16_t PDIR6H;
            struct {
              __IO uint8_t PDIR6HL;
              __IO uint8_t PDIR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR7;
        struct {
          union {
            __IO uint16_t PDIR7L;
            struct {
              __IO uint8_t PDIR7LL;
              __IO uint8_t PDIR7LH;
            };
          };
          union {
            __IO uint16_t PDIR7H;
            struct {
              __IO uint8_t PDIR7HL;
              __IO uint8_t PDIR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR8;
        stc_gpio_pdir8_field_t PDIR8_f;
        struct {
          union {
            __IO uint16_t PDIR8L;
            struct {
              __IO uint8_t PDIR8LL;
              __IO uint8_t PDIR8LH;
            };
          };
          union {
            __IO uint16_t PDIR8H;
            struct {
              __IO uint8_t PDIR8HL;
              __IO uint8_t PDIR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR9;
        struct {
          union {
            __IO uint16_t PDIR9L;
            struct {
              __IO uint8_t PDIR9LL;
              __IO uint8_t PDIR9LH;
            };
          };
          union {
            __IO uint16_t PDIR9H;
            struct {
              __IO uint8_t PDIR9HL;
              __IO uint8_t PDIR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRA;
        struct {
          union {
            __IO uint16_t PDIRAL;
            struct {
              __IO uint8_t PDIRALL;
              __IO uint8_t PDIRALH;
            };
          };
          union {
            __IO uint16_t PDIRAH;
            struct {
              __IO uint8_t PDIRAHL;
              __IO uint8_t PDIRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRB;
        struct {
          union {
            __IO uint16_t PDIRBL;
            struct {
              __IO uint8_t PDIRBLL;
              __IO uint8_t PDIRBLH;
            };
          };
          union {
            __IO uint16_t PDIRBH;
            struct {
              __IO uint8_t PDIRBHL;
              __IO uint8_t PDIRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRC;
        struct {
          union {
            __IO uint16_t PDIRCL;
            struct {
              __IO uint8_t PDIRCLL;
              __IO uint8_t PDIRCLH;
            };
          };
          union {
            __IO uint16_t PDIRCH;
            struct {
              __IO uint8_t PDIRCHL;
              __IO uint8_t PDIRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRD;
        struct {
          union {
            __IO uint16_t PDIRDL;
            struct {
              __IO uint8_t PDIRDLL;
              __IO uint8_t PDIRDLH;
            };
          };
          union {
            __IO uint16_t PDIRDH;
            struct {
              __IO uint8_t PDIRDHL;
              __IO uint8_t PDIRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRE;
        stc_gpio_pdire_field_t PDIRE_f;
        struct {
          union {
            __IO uint16_t PDIREL;
            struct {
              __IO uint8_t PDIRELL;
              __IO uint8_t PDIRELH;
            };
          };
          union {
            __IO uint16_t PDIREH;
            struct {
              __IO uint8_t PDIREHL;
              __IO uint8_t PDIREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRF;
        struct {
          union {
            __IO uint16_t PDIRFL;
            struct {
              __IO uint8_t PDIRFLL;
              __IO uint8_t PDIRFLH;
            };
          };
          union {
            __IO uint16_t PDIRFH;
            struct {
              __IO uint8_t PDIRFHL;
              __IO uint8_t PDIRFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED4[192];
    union {
        __IO uint32_t PDOR0;
        stc_gpio_pdor0_field_t PDOR0_f;
        struct {
          union {
            __IO uint16_t PDOR0L;
            struct {
              __IO uint8_t PDOR0LL;
              __IO uint8_t PDOR0LH;
            };
          };
          union {
            __IO uint16_t PDOR0H;
            struct {
              __IO uint8_t PDOR0HL;
              __IO uint8_t PDOR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR1;
        stc_gpio_pdor1_field_t PDOR1_f;
        struct {
          union {
            __IO uint16_t PDOR1L;
            struct {
              __IO uint8_t PDOR1LL;
              __IO uint8_t PDOR1LH;
            };
          };
          union {
            __IO uint16_t PDOR1H;
            struct {
              __IO uint8_t PDOR1HL;
              __IO uint8_t PDOR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR2;
        stc_gpio_pdor2_field_t PDOR2_f;
        struct {
          union {
            __IO uint16_t PDOR2L;
            struct {
              __IO uint8_t PDOR2LL;
              __IO uint8_t PDOR2LH;
            };
          };
          union {
            __IO uint16_t PDOR2H;
            struct {
              __IO uint8_t PDOR2HL;
              __IO uint8_t PDOR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR3;
        stc_gpio_pdor3_field_t PDOR3_f;
        struct {
          union {
            __IO uint16_t PDOR3L;
            struct {
              __IO uint8_t PDOR3LL;
              __IO uint8_t PDOR3LH;
            };
          };
          union {
            __IO uint16_t PDOR3H;
            struct {
              __IO uint8_t PDOR3HL;
              __IO uint8_t PDOR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR4;
        stc_gpio_pdor4_field_t PDOR4_f;
        struct {
          union {
            __IO uint16_t PDOR4L;
            struct {
              __IO uint8_t PDOR4LL;
              __IO uint8_t PDOR4LH;
            };
          };
          union {
            __IO uint16_t PDOR4H;
            struct {
              __IO uint8_t PDOR4HL;
              __IO uint8_t PDOR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR5;
        stc_gpio_pdor5_field_t PDOR5_f;
        struct {
          union {
            __IO uint16_t PDOR5L;
            struct {
              __IO uint8_t PDOR5LL;
              __IO uint8_t PDOR5LH;
            };
          };
          union {
            __IO uint16_t PDOR5H;
            struct {
              __IO uint8_t PDOR5HL;
              __IO uint8_t PDOR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR6;
        stc_gpio_pdor6_field_t PDOR6_f;
        struct {
          union {
            __IO uint16_t PDOR6L;
            struct {
              __IO uint8_t PDOR6LL;
              __IO uint8_t PDOR6LH;
            };
          };
          union {
            __IO uint16_t PDOR6H;
            struct {
              __IO uint8_t PDOR6HL;
              __IO uint8_t PDOR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR7;
        struct {
          union {
            __IO uint16_t PDOR7L;
            struct {
              __IO uint8_t PDOR7LL;
              __IO uint8_t PDOR7LH;
            };
          };
          union {
            __IO uint16_t PDOR7H;
            struct {
              __IO uint8_t PDOR7HL;
              __IO uint8_t PDOR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR8;
        stc_gpio_pdor8_field_t PDOR8_f;
        struct {
          union {
            __IO uint16_t PDOR8L;
            struct {
              __IO uint8_t PDOR8LL;
              __IO uint8_t PDOR8LH;
            };
          };
          union {
            __IO uint16_t PDOR8H;
            struct {
              __IO uint8_t PDOR8HL;
              __IO uint8_t PDOR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR9;
        struct {
          union {
            __IO uint16_t PDOR9L;
            struct {
              __IO uint8_t PDOR9LL;
              __IO uint8_t PDOR9LH;
            };
          };
          union {
            __IO uint16_t PDOR9H;
            struct {
              __IO uint8_t PDOR9HL;
              __IO uint8_t PDOR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORA;
        struct {
          union {
            __IO uint16_t PDORAL;
            struct {
              __IO uint8_t PDORALL;
              __IO uint8_t PDORALH;
            };
          };
          union {
            __IO uint16_t PDORAH;
            struct {
              __IO uint8_t PDORAHL;
              __IO uint8_t PDORAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORB;
        struct {
          union {
            __IO uint16_t PDORBL;
            struct {
              __IO uint8_t PDORBLL;
              __IO uint8_t PDORBLH;
            };
          };
          union {
            __IO uint16_t PDORBH;
            struct {
              __IO uint8_t PDORBHL;
              __IO uint8_t PDORBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORC;
        struct {
          union {
            __IO uint16_t PDORCL;
            struct {
              __IO uint8_t PDORCLL;
              __IO uint8_t PDORCLH;
            };
          };
          union {
            __IO uint16_t PDORCH;
            struct {
              __IO uint8_t PDORCHL;
              __IO uint8_t PDORCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORD;
        struct {
          union {
            __IO uint16_t PDORDL;
            struct {
              __IO uint8_t PDORDLL;
              __IO uint8_t PDORDLH;
            };
          };
          union {
            __IO uint16_t PDORDH;
            struct {
              __IO uint8_t PDORDHL;
              __IO uint8_t PDORDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORE;
        stc_gpio_pdore_field_t PDORE_f;
        struct {
          union {
            __IO uint16_t PDOREL;
            struct {
              __IO uint8_t PDORELL;
              __IO uint8_t PDORELH;
            };
          };
          union {
            __IO uint16_t PDOREH;
            struct {
              __IO uint8_t PDOREHL;
              __IO uint8_t PDOREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORF;
        struct {
          union {
            __IO uint16_t PDORFL;
            struct {
              __IO uint8_t PDORFLL;
              __IO uint8_t PDORFLH;
            };
          };
          union {
            __IO uint16_t PDORFH;
            struct {
              __IO uint8_t PDORFHL;
              __IO uint8_t PDORFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED5[192];
    union {
        __IO uint32_t ADE;
        stc_gpio_ade_field_t ADE_f;
        struct {
          union {
            __IO uint16_t ADEL;
            struct {
              __IO uint8_t ADELL;
              __IO uint8_t ADELH;
            };
          };
          union {
            __IO uint16_t ADEH;
            struct {
              __IO uint8_t ADEHL;
              __IO uint8_t ADEHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED6[124];
    union {
        __IO uint32_t SPSR;
        stc_gpio_spsr_field_t SPSR_f;
        struct {
          union {
            __IO uint16_t SPSRL;
            struct {
              __IO uint8_t SPSRLL;
              __IO uint8_t SPSRLH;
            };
          };
          union {
            __IO uint16_t SPSRH;
            struct {
              __IO uint8_t SPSRHL;
              __IO uint8_t SPSRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED7[124];
    union {
        __IO uint32_t EPFR00;
        stc_gpio_epfr00_field_t EPFR00_f;
        struct {
          union {
            __IO uint16_t EPFR00L;
            struct {
              __IO uint8_t EPFR00LL;
              __IO uint8_t EPFR00LH;
            };
          };
          union {
            __IO uint16_t EPFR00H;
            struct {
              __IO uint8_t EPFR00HL;
              __IO uint8_t EPFR00HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR01;
        stc_gpio_epfr01_field_t EPFR01_f;
        struct {
          union {
            __IO uint16_t EPFR01L;
            struct {
              __IO uint8_t EPFR01LL;
              __IO uint8_t EPFR01LH;
            };
          };
          union {
            __IO uint16_t EPFR01H;
            struct {
              __IO uint8_t EPFR01HL;
              __IO uint8_t EPFR01HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED8[8];
    union {
        __IO uint32_t EPFR04;
        stc_gpio_epfr04_field_t EPFR04_f;
        struct {
          union {
            __IO uint16_t EPFR04L;
            struct {
              __IO uint8_t EPFR04LL;
              __IO uint8_t EPFR04LH;
            };
          };
          union {
            __IO uint16_t EPFR04H;
            struct {
              __IO uint8_t EPFR04HL;
              __IO uint8_t EPFR04HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR05;
        stc_gpio_epfr05_field_t EPFR05_f;
        struct {
          union {
            __IO uint16_t EPFR05L;
            struct {
              __IO uint8_t EPFR05LL;
              __IO uint8_t EPFR05LH;
            };
          };
          union {
            __IO uint16_t EPFR05H;
            struct {
              __IO uint8_t EPFR05HL;
              __IO uint8_t EPFR05HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR06;
        stc_gpio_epfr06_field_t EPFR06_f;
        struct {
          union {
            __IO uint16_t EPFR06L;
            struct {
              __IO uint8_t EPFR06LL;
              __IO uint8_t EPFR06LH;
            };
          };
          union {
            __IO uint16_t EPFR06H;
            struct {
              __IO uint8_t EPFR06HL;
              __IO uint8_t EPFR06HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR07;
        stc_gpio_epfr07_field_t EPFR07_f;
        struct {
          union {
            __IO uint16_t EPFR07L;
            struct {
              __IO uint8_t EPFR07LL;
              __IO uint8_t EPFR07LH;
            };
          };
          union {
            __IO uint16_t EPFR07H;
            struct {
              __IO uint8_t EPFR07HL;
              __IO uint8_t EPFR07HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR08;
        stc_gpio_epfr08_field_t EPFR08_f;
        struct {
          union {
            __IO uint16_t EPFR08L;
            struct {
              __IO uint8_t EPFR08LL;
              __IO uint8_t EPFR08LH;
            };
          };
          union {
            __IO uint16_t EPFR08H;
            struct {
              __IO uint8_t EPFR08HL;
              __IO uint8_t EPFR08HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR09;
        stc_gpio_epfr09_field_t EPFR09_f;
        struct {
          union {
            __IO uint16_t EPFR09L;
            struct {
              __IO uint8_t EPFR09LL;
              __IO uint8_t EPFR09LH;
            };
          };
          union {
            __IO uint16_t EPFR09H;
            struct {
              __IO uint8_t EPFR09HL;
              __IO uint8_t EPFR09HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED9[20];
    union {
        __IO uint32_t EPFR15;
        stc_gpio_epfr15_field_t EPFR15_f;
        struct {
          union {
            __IO uint16_t EPFR15L;
            struct {
              __IO uint8_t EPFR15LL;
              __IO uint8_t EPFR15LH;
            };
          };
          union {
            __IO uint16_t EPFR15H;
            struct {
              __IO uint8_t EPFR15HL;
              __IO uint8_t EPFR15HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR16;
        stc_gpio_epfr16_field_t EPFR16_f;
        struct {
          union {
            __IO uint16_t EPFR16L;
            struct {
              __IO uint8_t EPFR16LL;
              __IO uint8_t EPFR16LH;
            };
          };
          union {
            __IO uint16_t EPFR16H;
            struct {
              __IO uint8_t EPFR16HL;
              __IO uint8_t EPFR16HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED10[4];
    union {
        __IO uint32_t EPFR18;
        stc_gpio_epfr18_field_t EPFR18_f;
        struct {
          union {
            __IO uint16_t EPFR18L;
            struct {
              __IO uint8_t EPFR18LL;
              __IO uint8_t EPFR18LH;
            };
          };
          union {
            __IO uint16_t EPFR18H;
            struct {
              __IO uint8_t EPFR18HL;
              __IO uint8_t EPFR18HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED11[12];
    union {
        __IO uint32_t EPFR22;
        stc_gpio_epfr22_field_t EPFR22_f;
        struct {
          union {
            __IO uint16_t EPFR22L;
            struct {
              __IO uint8_t EPFR22LL;
              __IO uint8_t EPFR22LH;
            };
          };
          union {
            __IO uint16_t EPFR22H;
            struct {
              __IO uint8_t EPFR22HL;
              __IO uint8_t EPFR22HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR23;
        stc_gpio_epfr23_field_t EPFR23_f;
        struct {
          union {
            __IO uint16_t EPFR23L;
            struct {
              __IO uint8_t EPFR23LL;
              __IO uint8_t EPFR23LH;
            };
          };
          union {
            __IO uint16_t EPFR23H;
            struct {
              __IO uint8_t EPFR23HL;
              __IO uint8_t EPFR23HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED12[28];
    union {
        __IO uint32_t EPFR31;
        stc_gpio_epfr31_field_t EPFR31_f;
        struct {
          union {
            __IO uint16_t EPFR31L;
            struct {
              __IO uint8_t EPFR31LL;
              __IO uint8_t EPFR31LH;
            };
          };
          union {
            __IO uint16_t EPFR31H;
            struct {
              __IO uint8_t EPFR31HL;
              __IO uint8_t EPFR31HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED13[4];
    union {
        __IO uint32_t EPFR33;
        stc_gpio_epfr33_field_t EPFR33_f;
        struct {
          union {
            __IO uint16_t EPFR33L;
            struct {
              __IO uint8_t EPFR33LL;
              __IO uint8_t EPFR33LH;
            };
          };
          union {
            __IO uint16_t EPFR33H;
            struct {
              __IO uint8_t EPFR33HL;
              __IO uint8_t EPFR33HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR34;
        stc_gpio_epfr34_field_t EPFR34_f;
        struct {
          union {
            __IO uint16_t EPFR34L;
            struct {
              __IO uint8_t EPFR34LL;
              __IO uint8_t EPFR34LH;
            };
          };
          union {
            __IO uint16_t EPFR34H;
            struct {
              __IO uint8_t EPFR34HL;
              __IO uint8_t EPFR34HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED14[8];
    union {
        __IO uint32_t EPFR37;
        stc_gpio_epfr37_field_t EPFR37_f;
        struct {
          union {
            __IO uint16_t EPFR37L;
            struct {
              __IO uint8_t EPFR37LL;
              __IO uint8_t EPFR37LH;
            };
          };
          union {
            __IO uint16_t EPFR37H;
            struct {
              __IO uint8_t EPFR37HL;
              __IO uint8_t EPFR37HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR38;
        stc_gpio_epfr38_field_t EPFR38_f;
        struct {
          union {
            __IO uint16_t EPFR38L;
            struct {
              __IO uint8_t EPFR38LL;
              __IO uint8_t EPFR38LH;
            };
          };
          union {
            __IO uint16_t EPFR38H;
            struct {
              __IO uint8_t EPFR38HL;
              __IO uint8_t EPFR38HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED15[100];
    union {
        __IO uint32_t PZR0;
        stc_gpio_pzr0_field_t PZR0_f;
        struct {
          union {
            __IO uint16_t PZR0L;
            struct {
              __IO uint8_t PZR0LL;
              __IO uint8_t PZR0LH;
            };
          };
          union {
            __IO uint16_t PZR0H;
            struct {
              __IO uint8_t PZR0HL;
              __IO uint8_t PZR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR1;
        stc_gpio_pzr1_field_t PZR1_f;
        struct {
          union {
            __IO uint16_t PZR1L;
            struct {
              __IO uint8_t PZR1LL;
              __IO uint8_t PZR1LH;
            };
          };
          union {
            __IO uint16_t PZR1H;
            struct {
              __IO uint8_t PZR1HL;
              __IO uint8_t PZR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR2;
        stc_gpio_pzr2_field_t PZR2_f;
        struct {
          union {
            __IO uint16_t PZR2L;
            struct {
              __IO uint8_t PZR2LL;
              __IO uint8_t PZR2LH;
            };
          };
          union {
            __IO uint16_t PZR2H;
            struct {
              __IO uint8_t PZR2HL;
              __IO uint8_t PZR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR3;
        stc_gpio_pzr3_field_t PZR3_f;
        struct {
          union {
            __IO uint16_t PZR3L;
            struct {
              __IO uint8_t PZR3LL;
              __IO uint8_t PZR3LH;
            };
          };
          union {
            __IO uint16_t PZR3H;
            struct {
              __IO uint8_t PZR3HL;
              __IO uint8_t PZR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR4;
        stc_gpio_pzr4_field_t PZR4_f;
        struct {
          union {
            __IO uint16_t PZR4L;
            struct {
              __IO uint8_t PZR4LL;
              __IO uint8_t PZR4LH;
            };
          };
          union {
            __IO uint16_t PZR4H;
            struct {
              __IO uint8_t PZR4HL;
              __IO uint8_t PZR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR5;
        stc_gpio_pzr5_field_t PZR5_f;
        struct {
          union {
            __IO uint16_t PZR5L;
            struct {
              __IO uint8_t PZR5LL;
              __IO uint8_t PZR5LH;
            };
          };
          union {
            __IO uint16_t PZR5H;
            struct {
              __IO uint8_t PZR5HL;
              __IO uint8_t PZR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR6;
        stc_gpio_pzr6_field_t PZR6_f;
        struct {
          union {
            __IO uint16_t PZR6L;
            struct {
              __IO uint8_t PZR6LL;
              __IO uint8_t PZR6LH;
            };
          };
          union {
            __IO uint16_t PZR6H;
            struct {
              __IO uint8_t PZR6HL;
              __IO uint8_t PZR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR7;
        struct {
          union {
            __IO uint16_t PZR7L;
            struct {
              __IO uint8_t PZR7LL;
              __IO uint8_t PZR7LH;
            };
          };
          union {
            __IO uint16_t PZR7H;
            struct {
              __IO uint8_t PZR7HL;
              __IO uint8_t PZR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR8;
        stc_gpio_pzr8_field_t PZR8_f;
        struct {
          union {
            __IO uint16_t PZR8L;
            struct {
              __IO uint8_t PZR8LL;
              __IO uint8_t PZR8LH;
            };
          };
          union {
            __IO uint16_t PZR8H;
            struct {
              __IO uint8_t PZR8HL;
              __IO uint8_t PZR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR9;
        struct {
          union {
            __IO uint16_t PZR9L;
            struct {
              __IO uint8_t PZR9LL;
              __IO uint8_t PZR9LH;
            };
          };
          union {
            __IO uint16_t PZR9H;
            struct {
              __IO uint8_t PZR9HL;
              __IO uint8_t PZR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRA;
        struct {
          union {
            __IO uint16_t PZRAL;
            struct {
              __IO uint8_t PZRALL;
              __IO uint8_t PZRALH;
            };
          };
          union {
            __IO uint16_t PZRAH;
            struct {
              __IO uint8_t PZRAHL;
              __IO uint8_t PZRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRB;
        struct {
          union {
            __IO uint16_t PZRBL;
            struct {
              __IO uint8_t PZRBLL;
              __IO uint8_t PZRBLH;
            };
          };
          union {
            __IO uint16_t PZRBH;
            struct {
              __IO uint8_t PZRBHL;
              __IO uint8_t PZRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRC;
        struct {
          union {
            __IO uint16_t PZRCL;
            struct {
              __IO uint8_t PZRCLL;
              __IO uint8_t PZRCLH;
            };
          };
          union {
            __IO uint16_t PZRCH;
            struct {
              __IO uint8_t PZRCHL;
              __IO uint8_t PZRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRD;
        struct {
          union {
            __IO uint16_t PZRDL;
            struct {
              __IO uint8_t PZRDLL;
              __IO uint8_t PZRDLH;
            };
          };
          union {
            __IO uint16_t PZRDH;
            struct {
              __IO uint8_t PZRDHL;
              __IO uint8_t PZRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRE;
        stc_gpio_pzre_field_t PZRE_f;
        struct {
          union {
            __IO uint16_t PZREL;
            struct {
              __IO uint8_t PZRELL;
              __IO uint8_t PZRELH;
            };
          };
          union {
            __IO uint16_t PZREH;
            struct {
              __IO uint8_t PZREHL;
              __IO uint8_t PZREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRF;
        struct {
          union {
            __IO uint16_t PZRFL;
            struct {
              __IO uint8_t PZRFLL;
              __IO uint8_t PZRFLH;
            };
          };
          union {
            __IO uint16_t PZRFH;
            struct {
              __IO uint8_t PZRFHL;
              __IO uint8_t PZRFHH;
            };
          };
        };
    };
    union {
        __IO uint32_t LVDIE;
        stc_gpio_lvdie_field_t LVDIE_f;
        struct {
          union {
            __IO uint16_t LVDIEL;
            struct {
              __IO uint8_t LVDIELL;
              __IO uint8_t LVDIELH;
            };
          };
          union {
            __IO uint16_t LVDIEH;
            struct {
              __IO uint8_t LVDIEHL;
              __IO uint8_t LVDIEHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED16[444];
    union {
        __IO uint32_t FPOER0;
        stc_gpio_fpoer0_field_t FPOER0_f;
        struct {
          union {
            __IO uint16_t FPOER0L;
            struct {
              __IO uint8_t FPOER0LL;
              __IO uint8_t FPOER0LH;
            };
          };
          union {
            __IO uint16_t FPOER0H;
            struct {
              __IO uint8_t FPOER0HL;
              __IO uint8_t FPOER0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER1;
        stc_gpio_fpoer1_field_t FPOER1_f;
        struct {
          union {
            __IO uint16_t FPOER1L;
            struct {
              __IO uint8_t FPOER1LL;
              __IO uint8_t FPOER1LH;
            };
          };
          union {
            __IO uint16_t FPOER1H;
            struct {
              __IO uint8_t FPOER1HL;
              __IO uint8_t FPOER1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER2;
        stc_gpio_fpoer2_field_t FPOER2_f;
        struct {
          union {
            __IO uint16_t FPOER2L;
            struct {
              __IO uint8_t FPOER2LL;
              __IO uint8_t FPOER2LH;
            };
          };
          union {
            __IO uint16_t FPOER2H;
            struct {
              __IO uint8_t FPOER2HL;
              __IO uint8_t FPOER2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER3;
        stc_gpio_fpoer3_field_t FPOER3_f;
        struct {
          union {
            __IO uint16_t FPOER3L;
            struct {
              __IO uint8_t FPOER3LL;
              __IO uint8_t FPOER3LH;
            };
          };
          union {
            __IO uint16_t FPOER3H;
            struct {
              __IO uint8_t FPOER3HL;
              __IO uint8_t FPOER3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER4;
        stc_gpio_fpoer4_field_t FPOER4_f;
        struct {
          union {
            __IO uint16_t FPOER4L;
            struct {
              __IO uint8_t FPOER4LL;
              __IO uint8_t FPOER4LH;
            };
          };
          union {
            __IO uint16_t FPOER4H;
            struct {
              __IO uint8_t FPOER4HL;
              __IO uint8_t FPOER4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER5;
        stc_gpio_fpoer5_field_t FPOER5_f;
        struct {
          union {
            __IO uint16_t FPOER5L;
            struct {
              __IO uint8_t FPOER5LL;
              __IO uint8_t FPOER5LH;
            };
          };
          union {
            __IO uint16_t FPOER5H;
            struct {
              __IO uint8_t FPOER5HL;
              __IO uint8_t FPOER5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER6;
        stc_gpio_fpoer6_field_t FPOER6_f;
        struct {
          union {
            __IO uint16_t FPOER6L;
            struct {
              __IO uint8_t FPOER6LL;
              __IO uint8_t FPOER6LH;
            };
          };
          union {
            __IO uint16_t FPOER6H;
            struct {
              __IO uint8_t FPOER6HL;
              __IO uint8_t FPOER6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER7;
        struct {
          union {
            __IO uint16_t FPOER7L;
            struct {
              __IO uint8_t FPOER7LL;
              __IO uint8_t FPOER7LH;
            };
          };
          union {
            __IO uint16_t FPOER7H;
            struct {
              __IO uint8_t FPOER7HL;
              __IO uint8_t FPOER7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER8;
        stc_gpio_fpoer8_field_t FPOER8_f;
        struct {
          union {
            __IO uint16_t FPOER8L;
            struct {
              __IO uint8_t FPOER8LL;
              __IO uint8_t FPOER8LH;
            };
          };
          union {
            __IO uint16_t FPOER8H;
            struct {
              __IO uint8_t FPOER8HL;
              __IO uint8_t FPOER8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOER9;
        struct {
          union {
            __IO uint16_t FPOER9L;
            struct {
              __IO uint8_t FPOER9LL;
              __IO uint8_t FPOER9LH;
            };
          };
          union {
            __IO uint16_t FPOER9H;
            struct {
              __IO uint8_t FPOER9HL;
              __IO uint8_t FPOER9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOERA;
        struct {
          union {
            __IO uint16_t FPOERAL;
            struct {
              __IO uint8_t FPOERALL;
              __IO uint8_t FPOERALH;
            };
          };
          union {
            __IO uint16_t FPOERAH;
            struct {
              __IO uint8_t FPOERAHL;
              __IO uint8_t FPOERAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOERB;
        struct {
          union {
            __IO uint16_t FPOERBL;
            struct {
              __IO uint8_t FPOERBLL;
              __IO uint8_t FPOERBLH;
            };
          };
          union {
            __IO uint16_t FPOERBH;
            struct {
              __IO uint8_t FPOERBHL;
              __IO uint8_t FPOERBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOERC;
        struct {
          union {
            __IO uint16_t FPOERCL;
            struct {
              __IO uint8_t FPOERCLL;
              __IO uint8_t FPOERCLH;
            };
          };
          union {
            __IO uint16_t FPOERCH;
            struct {
              __IO uint8_t FPOERCHL;
              __IO uint8_t FPOERCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOERD;
        struct {
          union {
            __IO uint16_t FPOERDL;
            struct {
              __IO uint8_t FPOERDLL;
              __IO uint8_t FPOERDLH;
            };
          };
          union {
            __IO uint16_t FPOERDH;
            struct {
              __IO uint8_t FPOERDHL;
              __IO uint8_t FPOERDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOERE;
        stc_gpio_fpoere_field_t FPOERE_f;
        struct {
          union {
            __IO uint16_t FPOEREL;
            struct {
              __IO uint8_t FPOERELL;
              __IO uint8_t FPOERELH;
            };
          };
          union {
            __IO uint16_t FPOEREH;
            struct {
              __IO uint8_t FPOEREHL;
              __IO uint8_t FPOEREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FPOERF;
        struct {
          union {
            __IO uint16_t FPOERFL;
            struct {
              __IO uint8_t FPOERFLL;
              __IO uint8_t FPOERFLH;
            };
          };
          union {
            __IO uint16_t FPOERFH;
            struct {
              __IO uint8_t FPOERFHL;
              __IO uint8_t FPOERFHH;
            };
          };
        };
    };
} FM_GPIO_TypeDef, FM0P_GPIO_TypeDef;

/******************************************************************************
 ** HDMICEC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t TXCTRL;
        stc_hdmicec_txctrl_field_t TXCTRL_f;
    };
        __IO  uint8_t RESERVED0[3];
    union {
        __IO  uint8_t TXDATA;
        stc_hdmicec_txdata_field_t TXDATA_f;
    };
        __IO  uint8_t RESERVED1[3];
    union {
        __IO  uint8_t TXSTS;
        stc_hdmicec_txsts_field_t TXSTS_f;
    };
        __IO  uint8_t RESERVED2[3];
    union {
        __IO  uint8_t SFREE;
        stc_hdmicec_sfree_field_t SFREE_f;
    };
        __IO  uint8_t RESERVED3[51];
    union {
        __IO  uint8_t RCST;
        stc_hdmicec_rcst_field_t RCST_f;
    };
    union {
        __IO  uint8_t RCCR;
        stc_hdmicec_rccr_field_t RCCR_f;
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO  uint8_t RCDAHW;
        stc_hdmicec_rcdahw_field_t RCDAHW_f;
    };
    union {
        __IO  uint8_t RCSHW;
        stc_hdmicec_rcshw_field_t RCSHW_f;
    };
        __IO  uint8_t RESERVED5[3];
    union {
        __IO  uint8_t RCDBHW;
        stc_hdmicec_rcdbhw_field_t RCDBHW_f;
    };
        __IO  uint8_t RESERVED6[2];
    union {
        __IO  uint8_t RCADR2;
        stc_hdmicec_rcadr2_field_t RCADR2_f;
    };
    union {
        __IO  uint8_t RCADR1;
        stc_hdmicec_rcadr1_field_t RCADR1_f;
    };
        __IO  uint8_t RESERVED7[2];
    union {
        __IO  uint8_t RCDTHL;
        stc_hdmicec_rcdthl_field_t RCDTHL_f;
    };
    union {
        __IO  uint8_t RCDTHH;
        stc_hdmicec_rcdthh_field_t RCDTHH_f;
    };
        __IO  uint8_t RESERVED8[2];
    union {
        __IO  uint8_t RCDTLL;
        stc_hdmicec_rcdtll_field_t RCDTLL_f;
    };
    union {
        __IO  uint8_t RCDTLH;
        stc_hdmicec_rcdtlh_field_t RCDTLH_f;
    };
        __IO  uint8_t RESERVED9[2];
    union {
        __IO uint16_t RCCKD;
        stc_hdmicec_rcckd_field_t RCCKD_f;
        struct {
            __IO  uint8_t RCCKDL;
            __IO  uint8_t RCCKDH;
        };
    };
        __IO  uint8_t RESERVED10[2];
    union {
        __IO  uint8_t RCRHW;
        stc_hdmicec_rcrhw_field_t RCRHW_f;
    };
    union {
        __IO  uint8_t RCRC;
        stc_hdmicec_rcrc_field_t RCRC_f;
    };
        __IO  uint8_t RESERVED11[3];
    union {
        __IO  uint8_t RCLE;
        stc_hdmicec_rcle_field_t RCLE_f;
    };
        __IO  uint8_t RESERVED12[2];
    union {
        __IO  uint8_t RCLESW;
        stc_hdmicec_rclesw_field_t RCLESW_f;
    };
    union {
        __IO  uint8_t RCLELW;
        stc_hdmicec_rclelw_field_t RCLELW_f;
    };
} FM_HDMICEC_TypeDef, FM0P_HDMICEC_TypeDef;

/******************************************************************************
 ** HWWDT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t WDG_LDR;
        struct {
          union {
            __IO uint16_t WDG_LDRL;
            struct {
              __IO uint8_t WDG_LDRLL;
              __IO uint8_t WDG_LDRLH;
            };
          };
          union {
            __IO uint16_t WDG_LDRH;
            struct {
              __IO uint8_t WDG_LDRHL;
              __IO uint8_t WDG_LDRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDG_VLR;
        struct {
          union {
            __IO uint16_t WDG_VLRL;
            struct {
              __IO uint8_t WDG_VLRLL;
              __IO uint8_t WDG_VLRLH;
            };
          };
          union {
            __IO uint16_t WDG_VLRH;
            struct {
              __IO uint8_t WDG_VLRHL;
              __IO uint8_t WDG_VLRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDG_CTL;
        stc_hwwdt_wdg_ctl_field_t WDG_CTL_f;
        struct {
          union {
            __IO uint16_t WDG_CTLL;
            struct {
              __IO uint8_t WDG_CTLLL;
              __IO uint8_t WDG_CTLLH;
            };
          };
          union {
            __IO uint16_t WDG_CTLH;
            struct {
              __IO uint8_t WDG_CTLHL;
              __IO uint8_t WDG_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDG_ICL;
        struct {
          union {
            __IO uint16_t WDG_ICLL;
            struct {
              __IO uint8_t WDG_ICLLL;
              __IO uint8_t WDG_ICLLH;
            };
          };
          union {
            __IO uint16_t WDG_ICLH;
            struct {
              __IO uint8_t WDG_ICLHL;
              __IO uint8_t WDG_ICLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDG_RIS;
        stc_hwwdt_wdg_ris_field_t WDG_RIS_f;
        struct {
          union {
            __IO uint16_t WDG_RISL;
            struct {
              __IO uint8_t WDG_RISLL;
              __IO uint8_t WDG_RISLH;
            };
          };
          union {
            __IO uint16_t WDG_RISH;
            struct {
              __IO uint8_t WDG_RISHL;
              __IO uint8_t WDG_RISHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[3052];
    union {
        __IO uint32_t WDG_LCK;
        struct {
          union {
            __IO uint16_t WDG_LCKL;
            struct {
              __IO uint8_t WDG_LCKLL;
              __IO uint8_t WDG_LCKLH;
            };
          };
          union {
            __IO uint16_t WDG_LCKH;
            struct {
              __IO uint8_t WDG_LCKHL;
              __IO uint8_t WDG_LCKHH;
            };
          };
        };
    };
} FM_HWWDT_TypeDef, FM0P_HWWDT_TypeDef;

/******************************************************************************
 ** I2CSLAVE_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t IBSSR;
        stc_i2cslave_ibssr_field_t IBSSR_f;
        struct {
            __IO  uint8_t IBSSRL;
            __IO  uint8_t IBSSRH;
        };
    };
    union {
        __IO uint16_t IBSCR;
        stc_i2cslave_ibscr_field_t IBSCR_f;
        struct {
            __IO  uint8_t IBSCRL;
            __IO  uint8_t IBSCRH;
        };
    };
    union {
        __IO  uint8_t IBSADR;
        stc_i2cslave_ibsadr_field_t IBSADR_f;
    };
    union {
        __IO  uint8_t IBSMSKR;
        stc_i2cslave_ibsmskr_field_t IBSMSKR_f;
    };
    union {
        __IO  uint8_t IBSDSTUPR;
        stc_i2cslave_ibsdstupr_field_t IBSDSTUPR_f;
    };
        __IO  uint8_t RESERVED0[1];
    union {
        __IO  uint8_t IBSTDR;
        stc_i2cslave_ibstdr_field_t IBSTDR_f;
    };
        __IO  uint8_t RESERVED1[3];
    union {
        __IO  uint8_t IBSRDR;
        stc_i2cslave_ibsrdr_field_t IBSRDR_f;
    };
        __IO  uint8_t RESERVED2[3];
    union {
        __IO uint16_t IBSSCR;
        stc_i2cslave_ibsscr_field_t IBSSCR_f;
        struct {
            __IO  uint8_t IBSSCRL;
            __IO  uint8_t IBSSCRH;
        };
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO uint16_t IBSSSR;
        stc_i2cslave_ibsssr_field_t IBSSSR_f;
        struct {
            __IO  uint8_t IBSSSRL;
            __IO  uint8_t IBSSSRH;
        };
    };
} FM_I2CSLAVE_TypeDef, FM0P_I2CSLAVE_TypeDef;

/******************************************************************************
 ** INTREQ_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[8];
    union {
        __IO uint32_t VIR_OFFSET;
        struct {
          union {
            __IO uint16_t VIR_OFFSETL;
            struct {
              __IO uint8_t VIR_OFFSETLL;
              __IO uint8_t VIR_OFFSETLH;
            };
          };
          union {
            __IO uint16_t VIR_OFFSETH;
            struct {
              __IO uint8_t VIR_OFFSETHL;
              __IO uint8_t VIR_OFFSETHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[4];
    union {
        __IO  uint8_t ODDPKS;
        stc_intreq_oddpks_field_t ODDPKS_f;
    };
        __IO  uint8_t RESERVED2[495];
    union {
        __IO uint32_t EXC02MON;
        stc_intreq_exc02mon_field_t EXC02MON_f;
        struct {
          union {
            __IO uint16_t EXC02MONL;
            struct {
              __IO uint8_t EXC02MONLL;
              __IO uint8_t EXC02MONLH;
            };
          };
          union {
            __IO uint16_t EXC02MONH;
            struct {
              __IO uint8_t EXC02MONHL;
              __IO uint8_t EXC02MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ00MON;
        stc_intreq_irq00mon_field_t IRQ00MON_f;
        struct {
          union {
            __IO uint16_t IRQ00MONL;
            struct {
              __IO uint8_t IRQ00MONLL;
              __IO uint8_t IRQ00MONLH;
            };
          };
          union {
            __IO uint16_t IRQ00MONH;
            struct {
              __IO uint8_t IRQ00MONHL;
              __IO uint8_t IRQ00MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ01MON;
        stc_intreq_irq01mon_field_t IRQ01MON_f;
        struct {
          union {
            __IO uint16_t IRQ01MONL;
            struct {
              __IO uint8_t IRQ01MONLL;
              __IO uint8_t IRQ01MONLH;
            };
          };
          union {
            __IO uint16_t IRQ01MONH;
            struct {
              __IO uint8_t IRQ01MONHL;
              __IO uint8_t IRQ01MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ02MON;
        stc_intreq_irq02mon_field_t IRQ02MON_f;
        struct {
          union {
            __IO uint16_t IRQ02MONL;
            struct {
              __IO uint8_t IRQ02MONLL;
              __IO uint8_t IRQ02MONLH;
            };
          };
          union {
            __IO uint16_t IRQ02MONH;
            struct {
              __IO uint8_t IRQ02MONHL;
              __IO uint8_t IRQ02MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ03MON;
        stc_intreq_irq03mon_field_t IRQ03MON_f;
        struct {
          union {
            __IO uint16_t IRQ03MONL;
            struct {
              __IO uint8_t IRQ03MONLL;
              __IO uint8_t IRQ03MONLH;
            };
          };
          union {
            __IO uint16_t IRQ03MONH;
            struct {
              __IO uint8_t IRQ03MONHL;
              __IO uint8_t IRQ03MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ04MON;
        stc_intreq_irq04mon_field_t IRQ04MON_f;
        struct {
          union {
            __IO uint16_t IRQ04MONL;
            struct {
              __IO uint8_t IRQ04MONLL;
              __IO uint8_t IRQ04MONLH;
            };
          };
          union {
            __IO uint16_t IRQ04MONH;
            struct {
              __IO uint8_t IRQ04MONHL;
              __IO uint8_t IRQ04MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ05MON;
        stc_intreq_irq05mon_field_t IRQ05MON_f;
        struct {
          union {
            __IO uint16_t IRQ05MONL;
            struct {
              __IO uint8_t IRQ05MONLL;
              __IO uint8_t IRQ05MONLH;
            };
          };
          union {
            __IO uint16_t IRQ05MONH;
            struct {
              __IO uint8_t IRQ05MONHL;
              __IO uint8_t IRQ05MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ06MON;
        stc_intreq_irq06mon_field_t IRQ06MON_f;
        struct {
          union {
            __IO uint16_t IRQ06MONL;
            struct {
              __IO uint8_t IRQ06MONLL;
              __IO uint8_t IRQ06MONLH;
            };
          };
          union {
            __IO uint16_t IRQ06MONH;
            struct {
              __IO uint8_t IRQ06MONHL;
              __IO uint8_t IRQ06MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ07MON;
        stc_intreq_irq07mon_field_t IRQ07MON_f;
        struct {
          union {
            __IO uint16_t IRQ07MONL;
            struct {
              __IO uint8_t IRQ07MONLL;
              __IO uint8_t IRQ07MONLH;
            };
          };
          union {
            __IO uint16_t IRQ07MONH;
            struct {
              __IO uint8_t IRQ07MONHL;
              __IO uint8_t IRQ07MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ08MON;
        stc_intreq_irq08mon_field_t IRQ08MON_f;
        struct {
          union {
            __IO uint16_t IRQ08MONL;
            struct {
              __IO uint8_t IRQ08MONLL;
              __IO uint8_t IRQ08MONLH;
            };
          };
          union {
            __IO uint16_t IRQ08MONH;
            struct {
              __IO uint8_t IRQ08MONHL;
              __IO uint8_t IRQ08MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ09MON;
        stc_intreq_irq09mon_field_t IRQ09MON_f;
        struct {
          union {
            __IO uint16_t IRQ09MONL;
            struct {
              __IO uint8_t IRQ09MONLL;
              __IO uint8_t IRQ09MONLH;
            };
          };
          union {
            __IO uint16_t IRQ09MONH;
            struct {
              __IO uint8_t IRQ09MONHL;
              __IO uint8_t IRQ09MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ10MON;
        stc_intreq_irq10mon_field_t IRQ10MON_f;
        struct {
          union {
            __IO uint16_t IRQ10MONL;
            struct {
              __IO uint8_t IRQ10MONLL;
              __IO uint8_t IRQ10MONLH;
            };
          };
          union {
            __IO uint16_t IRQ10MONH;
            struct {
              __IO uint8_t IRQ10MONHL;
              __IO uint8_t IRQ10MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ11MON;
        stc_intreq_irq11mon_field_t IRQ11MON_f;
        struct {
          union {
            __IO uint16_t IRQ11MONL;
            struct {
              __IO uint8_t IRQ11MONLL;
              __IO uint8_t IRQ11MONLH;
            };
          };
          union {
            __IO uint16_t IRQ11MONH;
            struct {
              __IO uint8_t IRQ11MONHL;
              __IO uint8_t IRQ11MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ12MON;
        stc_intreq_irq12mon_field_t IRQ12MON_f;
        struct {
          union {
            __IO uint16_t IRQ12MONL;
            struct {
              __IO uint8_t IRQ12MONLL;
              __IO uint8_t IRQ12MONLH;
            };
          };
          union {
            __IO uint16_t IRQ12MONH;
            struct {
              __IO uint8_t IRQ12MONHL;
              __IO uint8_t IRQ12MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ13MON;
        stc_intreq_irq13mon_field_t IRQ13MON_f;
        struct {
          union {
            __IO uint16_t IRQ13MONL;
            struct {
              __IO uint8_t IRQ13MONLL;
              __IO uint8_t IRQ13MONLH;
            };
          };
          union {
            __IO uint16_t IRQ13MONH;
            struct {
              __IO uint8_t IRQ13MONHL;
              __IO uint8_t IRQ13MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ14MON;
        stc_intreq_irq14mon_field_t IRQ14MON_f;
        struct {
          union {
            __IO uint16_t IRQ14MONL;
            struct {
              __IO uint8_t IRQ14MONLL;
              __IO uint8_t IRQ14MONLH;
            };
          };
          union {
            __IO uint16_t IRQ14MONH;
            struct {
              __IO uint8_t IRQ14MONHL;
              __IO uint8_t IRQ14MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ15MON;
        stc_intreq_irq15mon_field_t IRQ15MON_f;
        struct {
          union {
            __IO uint16_t IRQ15MONL;
            struct {
              __IO uint8_t IRQ15MONLL;
              __IO uint8_t IRQ15MONLH;
            };
          };
          union {
            __IO uint16_t IRQ15MONH;
            struct {
              __IO uint8_t IRQ15MONHL;
              __IO uint8_t IRQ15MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ16MON;
        stc_intreq_irq16mon_field_t IRQ16MON_f;
        struct {
          union {
            __IO uint16_t IRQ16MONL;
            struct {
              __IO uint8_t IRQ16MONLL;
              __IO uint8_t IRQ16MONLH;
            };
          };
          union {
            __IO uint16_t IRQ16MONH;
            struct {
              __IO uint8_t IRQ16MONHL;
              __IO uint8_t IRQ16MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ17MON;
        stc_intreq_irq17mon_field_t IRQ17MON_f;
        struct {
          union {
            __IO uint16_t IRQ17MONL;
            struct {
              __IO uint8_t IRQ17MONLL;
              __IO uint8_t IRQ17MONLH;
            };
          };
          union {
            __IO uint16_t IRQ17MONH;
            struct {
              __IO uint8_t IRQ17MONHL;
              __IO uint8_t IRQ17MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ18MON;
        stc_intreq_irq18mon_field_t IRQ18MON_f;
        struct {
          union {
            __IO uint16_t IRQ18MONL;
            struct {
              __IO uint8_t IRQ18MONLL;
              __IO uint8_t IRQ18MONLH;
            };
          };
          union {
            __IO uint16_t IRQ18MONH;
            struct {
              __IO uint8_t IRQ18MONHL;
              __IO uint8_t IRQ18MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ19MON;
        stc_intreq_irq19mon_field_t IRQ19MON_f;
        struct {
          union {
            __IO uint16_t IRQ19MONL;
            struct {
              __IO uint8_t IRQ19MONLL;
              __IO uint8_t IRQ19MONLH;
            };
          };
          union {
            __IO uint16_t IRQ19MONH;
            struct {
              __IO uint8_t IRQ19MONHL;
              __IO uint8_t IRQ19MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ20MON;
        stc_intreq_irq20mon_field_t IRQ20MON_f;
        struct {
          union {
            __IO uint16_t IRQ20MONL;
            struct {
              __IO uint8_t IRQ20MONLL;
              __IO uint8_t IRQ20MONLH;
            };
          };
          union {
            __IO uint16_t IRQ20MONH;
            struct {
              __IO uint8_t IRQ20MONHL;
              __IO uint8_t IRQ20MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ21MON;
        stc_intreq_irq21mon_field_t IRQ21MON_f;
        struct {
          union {
            __IO uint16_t IRQ21MONL;
            struct {
              __IO uint8_t IRQ21MONLL;
              __IO uint8_t IRQ21MONLH;
            };
          };
          union {
            __IO uint16_t IRQ21MONH;
            struct {
              __IO uint8_t IRQ21MONHL;
              __IO uint8_t IRQ21MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ22MON;
        stc_intreq_irq22mon_field_t IRQ22MON_f;
        struct {
          union {
            __IO uint16_t IRQ22MONL;
            struct {
              __IO uint8_t IRQ22MONLL;
              __IO uint8_t IRQ22MONLH;
            };
          };
          union {
            __IO uint16_t IRQ22MONH;
            struct {
              __IO uint8_t IRQ22MONHL;
              __IO uint8_t IRQ22MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ23MON;
        stc_intreq_irq23mon_field_t IRQ23MON_f;
        struct {
          union {
            __IO uint16_t IRQ23MONL;
            struct {
              __IO uint8_t IRQ23MONLL;
              __IO uint8_t IRQ23MONLH;
            };
          };
          union {
            __IO uint16_t IRQ23MONH;
            struct {
              __IO uint8_t IRQ23MONHL;
              __IO uint8_t IRQ23MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ24MON;
        stc_intreq_irq24mon_field_t IRQ24MON_f;
        struct {
          union {
            __IO uint16_t IRQ24MONL;
            struct {
              __IO uint8_t IRQ24MONLL;
              __IO uint8_t IRQ24MONLH;
            };
          };
          union {
            __IO uint16_t IRQ24MONH;
            struct {
              __IO uint8_t IRQ24MONHL;
              __IO uint8_t IRQ24MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ25MON;
        stc_intreq_irq25mon_field_t IRQ25MON_f;
        struct {
          union {
            __IO uint16_t IRQ25MONL;
            struct {
              __IO uint8_t IRQ25MONLL;
              __IO uint8_t IRQ25MONLH;
            };
          };
          union {
            __IO uint16_t IRQ25MONH;
            struct {
              __IO uint8_t IRQ25MONHL;
              __IO uint8_t IRQ25MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ26MON;
        stc_intreq_irq26mon_field_t IRQ26MON_f;
        struct {
          union {
            __IO uint16_t IRQ26MONL;
            struct {
              __IO uint8_t IRQ26MONLL;
              __IO uint8_t IRQ26MONLH;
            };
          };
          union {
            __IO uint16_t IRQ26MONH;
            struct {
              __IO uint8_t IRQ26MONHL;
              __IO uint8_t IRQ26MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ27MON;
        stc_intreq_irq27mon_field_t IRQ27MON_f;
        struct {
          union {
            __IO uint16_t IRQ27MONL;
            struct {
              __IO uint8_t IRQ27MONLL;
              __IO uint8_t IRQ27MONLH;
            };
          };
          union {
            __IO uint16_t IRQ27MONH;
            struct {
              __IO uint8_t IRQ27MONHL;
              __IO uint8_t IRQ27MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ28MON;
        stc_intreq_irq28mon_field_t IRQ28MON_f;
        struct {
          union {
            __IO uint16_t IRQ28MONL;
            struct {
              __IO uint8_t IRQ28MONLL;
              __IO uint8_t IRQ28MONLH;
            };
          };
          union {
            __IO uint16_t IRQ28MONH;
            struct {
              __IO uint8_t IRQ28MONHL;
              __IO uint8_t IRQ28MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ29MON;
        stc_intreq_irq29mon_field_t IRQ29MON_f;
        struct {
          union {
            __IO uint16_t IRQ29MONL;
            struct {
              __IO uint8_t IRQ29MONLL;
              __IO uint8_t IRQ29MONLH;
            };
          };
          union {
            __IO uint16_t IRQ29MONH;
            struct {
              __IO uint8_t IRQ29MONHL;
              __IO uint8_t IRQ29MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ30MON;
        stc_intreq_irq30mon_field_t IRQ30MON_f;
        struct {
          union {
            __IO uint16_t IRQ30MONL;
            struct {
              __IO uint8_t IRQ30MONLL;
              __IO uint8_t IRQ30MONLH;
            };
          };
          union {
            __IO uint16_t IRQ30MONH;
            struct {
              __IO uint8_t IRQ30MONHL;
              __IO uint8_t IRQ30MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ31MON;
        stc_intreq_irq31mon_field_t IRQ31MON_f;
        struct {
          union {
            __IO uint16_t IRQ31MONL;
            struct {
              __IO uint8_t IRQ31MONLL;
              __IO uint8_t IRQ31MONLH;
            };
          };
          union {
            __IO uint16_t IRQ31MONH;
            struct {
              __IO uint8_t IRQ31MONHL;
              __IO uint8_t IRQ31MONHH;
            };
          };
        };
    };
} FM_INTREQ_TypeDef, FM0P_INTREQ_TypeDef;

/******************************************************************************
 ** LSCRP_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t LCR_PRSLD;
        stc_lscrp_lcr_prsld_field_t LCR_PRSLD_f;
    };
} FM_LSCRP_TypeDef, FM0P_LSCRP_TypeDef;

/******************************************************************************
 ** LVD_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t LVD_CTL;
        stc_lvd_lvd_ctl_field_t LVD_CTL_f;
        struct {
            __IO  uint8_t LVD_CTLL;
            __IO  uint8_t LVD_CTLH;
        };
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO uint16_t LVD_STR;
        stc_lvd_lvd_str_field_t LVD_STR_f;
        struct {
            __IO  uint8_t LVD_STRL;
            __IO  uint8_t LVD_STRH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint16_t LVD_CLR;
        stc_lvd_lvd_clr_field_t LVD_CLR_f;
        struct {
            __IO  uint8_t LVD_CLRL;
            __IO  uint8_t LVD_CLRH;
        };
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO uint32_t LVD_RLR;
        stc_lvd_lvd_rlr_field_t LVD_RLR_f;
        struct {
          union {
            __IO uint16_t LVD_RLRL;
            struct {
              __IO uint8_t LVD_RLRLL;
              __IO uint8_t LVD_RLRLH;
            };
          };
          union {
            __IO uint16_t LVD_RLRH;
            struct {
              __IO uint8_t LVD_RLRHL;
              __IO uint8_t LVD_RLRHH;
            };
          };
        };
    };
    union {
        __IO uint16_t LVD_STR2;
        stc_lvd_lvd_str2_field_t LVD_STR2_f;
        struct {
            __IO  uint8_t LVD_STR2L;
            __IO  uint8_t LVD_STR2H;
        };
    };
} FM_LVD_TypeDef, FM0P_LVD_TypeDef;

/******************************************************************************
 ** MFS_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_smr_field_t SMR_f;
        __IO  uint8_t CSIO_SMR;
        stc_mfs_csio_smr_field_t CSIO_SMR_f;
        __IO  uint8_t I2C_SMR;
        stc_mfs_i2c_smr_field_t I2C_SMR_f;
        __IO  uint8_t I2S_SMR;
        stc_mfs_i2s_smr_field_t I2S_SMR_f;
        __IO  uint8_t LIN_SMR;
        stc_mfs_lin_smr_field_t LIN_SMR_f;
        __IO  uint8_t UART_SMR;
        stc_mfs_uart_smr_field_t UART_SMR_f;
    };
    union {
        __IO  uint8_t SCR;
        stc_mfs_scr_field_t SCR_f;
        __IO  uint8_t CSIO_SCR;
        stc_mfs_csio_scr_field_t CSIO_SCR_f;
        __IO  uint8_t IBCR;
        stc_mfs_ibcr_field_t IBCR_f;
        __IO  uint8_t I2C_IBCR;
        stc_mfs_i2c_ibcr_field_t I2C_IBCR_f;
        __IO  uint8_t I2S_SCR;
        stc_mfs_i2s_scr_field_t I2S_SCR_f;
        __IO  uint8_t LIN_SCR;
        stc_mfs_lin_scr_field_t LIN_SCR_f;
        __IO  uint8_t UART_SCR;
        stc_mfs_uart_scr_field_t UART_SCR_f;
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO  uint8_t ESCR;
        stc_mfs_escr_field_t ESCR_f;
        __IO  uint8_t CSIO_ESCR;
        stc_mfs_csio_escr_field_t CSIO_ESCR_f;
        __IO  uint8_t IBSR;
        stc_mfs_ibsr_field_t IBSR_f;
        __IO  uint8_t I2C_IBSR;
        stc_mfs_i2c_ibsr_field_t I2C_IBSR_f;
        __IO  uint8_t I2S_ESCR;
        stc_mfs_i2s_escr_field_t I2S_ESCR_f;
        __IO  uint8_t LIN_ESCR;
        stc_mfs_lin_escr_field_t LIN_ESCR_f;
        __IO  uint8_t UART_ESCR;
        stc_mfs_uart_escr_field_t UART_ESCR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_ssr_field_t SSR_f;
        __IO  uint8_t CSIO_SSR;
        stc_mfs_csio_ssr_field_t CSIO_SSR_f;
        __IO  uint8_t I2C_SSR;
        stc_mfs_i2c_ssr_field_t I2C_SSR_f;
        __IO  uint8_t I2S_SSR;
        stc_mfs_i2s_ssr_field_t I2S_SSR_f;
        __IO  uint8_t LIN_SSR;
        stc_mfs_lin_ssr_field_t LIN_SSR_f;
        __IO  uint8_t UART_SSR;
        stc_mfs_uart_ssr_field_t UART_SSR_f;
    };
        __IO  uint8_t RESERVED1[2];
    union {
        struct {
            union {
                __IO uint16_t RDR;
                stc_mfs_rdr_field_t RDR_f;
                struct {
                    __IO  uint8_t RDRL;
                    __IO  uint8_t RDRH;
                };
            };
            __IO  uint8_t RESERVED2[2];
        };
        struct {
            union {
                __IO uint16_t CSIO_RDR;
                stc_mfs_csio_rdr_field_t CSIO_RDR_f;
                struct {
                    __IO  uint8_t CSIO_RDRL;
                    __IO  uint8_t CSIO_RDRH;
                };
            };
            __IO  uint8_t RESERVED3[2];
        };
        struct {
            union {
                __IO uint16_t TDR;
                stc_mfs_tdr_field_t TDR_f;
                struct {
                    __IO  uint8_t TDRL;
                    __IO  uint8_t TDRH;
                };
            };
            __IO  uint8_t RESERVED4[2];
        };
        struct {
            union {
                __IO uint16_t CSIO_TDR;
                stc_mfs_csio_tdr_field_t CSIO_TDR_f;
                struct {
                    __IO  uint8_t CSIO_TDRL;
                    __IO  uint8_t CSIO_TDRH;
                };
            };
            __IO  uint8_t RESERVED5[2];
        };
        struct {
            union {
                __IO uint16_t I2C_RDR;
                stc_mfs_i2c_rdr_field_t I2C_RDR_f;
                struct {
                    __IO  uint8_t I2C_RDRL;
                    __IO  uint8_t I2C_RDRH;
                };
            };
            __IO  uint8_t RESERVED6[2];
        };
        struct {
            union {
                __IO uint16_t I2C_TDR;
                stc_mfs_i2c_tdr_field_t I2C_TDR_f;
                struct {
                    __IO  uint8_t I2C_TDRL;
                    __IO  uint8_t I2C_TDRH;
                };
            };
            __IO  uint8_t RESERVED7[2];
        };
        __IO uint32_t I2S_RDR;
        struct {
          union {
            __IO uint16_t I2S_RDRL;
            struct {
              __IO uint8_t I2S_RDRLL;
              __IO uint8_t I2S_RDRLH;
            };
          };
          union {
            __IO uint16_t I2S_RDRH;
            struct {
              __IO uint8_t I2S_RDRHL;
              __IO uint8_t I2S_RDRHH;
            };
          };
        };
        __IO uint32_t I2S_TDR;
        struct {
          union {
            __IO uint16_t I2S_TDRL;
            struct {
              __IO uint8_t I2S_TDRLL;
              __IO uint8_t I2S_TDRLH;
            };
          };
          union {
            __IO uint16_t I2S_TDRH;
            struct {
              __IO uint8_t I2S_TDRHL;
              __IO uint8_t I2S_TDRHH;
            };
          };
        };
        struct {
            union {
                __IO uint16_t LIN_RDR;
                stc_mfs_lin_rdr_field_t LIN_RDR_f;
                struct {
                    __IO  uint8_t LIN_RDRL;
                    __IO  uint8_t LIN_RDRH;
                };
            };
            __IO  uint8_t RESERVED8[2];
        };
        struct {
            union {
                __IO uint16_t LIN_TDR;
                stc_mfs_lin_tdr_field_t LIN_TDR_f;
                struct {
                    __IO  uint8_t LIN_TDRL;
                    __IO  uint8_t LIN_TDRH;
                };
            };
            __IO  uint8_t RESERVED9[2];
        };
        struct {
            union {
                __IO uint16_t UART_RDR;
                stc_mfs_uart_rdr_field_t UART_RDR_f;
                struct {
                    __IO  uint8_t UART_RDRL;
                    __IO  uint8_t UART_RDRH;
                };
            };
            __IO  uint8_t RESERVED10[2];
        };
        struct {
            union {
                __IO uint16_t UART_TDR;
                stc_mfs_uart_tdr_field_t UART_TDR_f;
                struct {
                    __IO  uint8_t UART_TDRL;
                    __IO  uint8_t UART_TDRH;
                };
            };
            __IO  uint8_t RESERVED11[2];
        };
    };
    union {
        __IO uint16_t BGR;
        stc_mfs_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
        __IO uint16_t CSIO_BGR;
        stc_mfs_csio_bgr_field_t CSIO_BGR_f;
        struct {
            __IO  uint8_t CSIO_BGRL;
            __IO  uint8_t CSIO_BGRH;
        };
        __IO uint16_t I2C_BGR;
        stc_mfs_i2c_bgr_field_t I2C_BGR_f;
        struct {
            __IO  uint8_t I2C_BGRL;
            __IO  uint8_t I2C_BGRH;
        };
        __IO uint16_t LIN_BGR;
        stc_mfs_lin_bgr_field_t LIN_BGR_f;
        struct {
            __IO  uint8_t LIN_BGRL;
            __IO  uint8_t LIN_BGRH;
        };
        __IO uint16_t UART_BGR;
        stc_mfs_uart_bgr_field_t UART_BGR_f;
        struct {
            __IO  uint8_t UART_BGRL;
            __IO  uint8_t UART_BGRH;
        };
    };
        __IO  uint8_t RESERVED12[2];
    union {
        __IO  uint8_t ISBA;
        stc_mfs_isba_field_t ISBA_f;
        __IO  uint8_t I2C_ISBA;
        stc_mfs_i2c_isba_field_t I2C_ISBA_f;
    };
    union {
        __IO  uint8_t ISMK;
        stc_mfs_ismk_field_t ISMK_f;
        __IO  uint8_t I2C_ISMK;
        stc_mfs_i2c_ismk_field_t I2C_ISMK_f;
    };
        __IO  uint8_t RESERVED13[2];
    union {
        __IO uint16_t FCR;
        stc_mfs_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
        __IO uint16_t CSIO_FCR;
        stc_mfs_csio_fcr_field_t CSIO_FCR_f;
        struct {
            __IO  uint8_t CSIO_FCRL;
            __IO  uint8_t CSIO_FCRH;
        };
        __IO uint16_t I2C_FCR;
        stc_mfs_i2c_fcr_field_t I2C_FCR_f;
        struct {
            __IO  uint8_t I2C_FCRL;
            __IO  uint8_t I2C_FCRH;
        };
        __IO uint16_t I2S_FCR;
        stc_mfs_i2s_fcr_field_t I2S_FCR_f;
        struct {
            __IO  uint8_t I2S_FCRL;
            __IO  uint8_t I2S_FCRH;
        };
        __IO uint16_t LIN_FCR;
        stc_mfs_lin_fcr_field_t LIN_FCR_f;
        struct {
            __IO  uint8_t LIN_FCRL;
            __IO  uint8_t LIN_FCRH;
        };
        __IO uint16_t UART_FCR;
        stc_mfs_uart_fcr_field_t UART_FCR_f;
        struct {
            __IO  uint8_t UART_FCRL;
            __IO  uint8_t UART_FCRH;
        };
    };
        __IO  uint8_t RESERVED14[2];
    union {
        __IO  uint8_t FBYTE1;
        stc_mfs_fbyte1_field_t FBYTE1_f;
        __IO  uint8_t CSIO_FBYTE1;
        stc_mfs_csio_fbyte1_field_t CSIO_FBYTE1_f;
        __IO  uint8_t I2C_FBYTE1;
        stc_mfs_i2c_fbyte1_field_t I2C_FBYTE1_f;
        __IO  uint8_t I2S_FBYTE1;
        stc_mfs_i2s_fbyte1_field_t I2S_FBYTE1_f;
        __IO  uint8_t LIN_FBYTE1;
        stc_mfs_lin_fbyte1_field_t LIN_FBYTE1_f;
        __IO  uint8_t UART_FBYTE1;
        stc_mfs_uart_fbyte1_field_t UART_FBYTE1_f;
    };
    union {
        __IO  uint8_t FBYTE2;
        stc_mfs_fbyte2_field_t FBYTE2_f;
        __IO  uint8_t CSIO_FBYTE2;
        stc_mfs_csio_fbyte2_field_t CSIO_FBYTE2_f;
        __IO  uint8_t I2C_FBYTE2;
        stc_mfs_i2c_fbyte2_field_t I2C_FBYTE2_f;
        __IO  uint8_t I2S_FBYTE2;
        stc_mfs_i2s_fbyte2_field_t I2S_FBYTE2_f;
        __IO  uint8_t LIN_FBYTE2;
        stc_mfs_lin_fbyte2_field_t LIN_FBYTE2_f;
        __IO  uint8_t UART_FBYTE2;
        stc_mfs_uart_fbyte2_field_t UART_FBYTE2_f;
    };
        __IO  uint8_t RESERVED15[2];
    union {
        __IO  uint8_t SCSTR0;
        stc_mfs_scstr0_field_t SCSTR0_f;
        __IO  uint8_t CSIO_SCSTR0;
        stc_mfs_csio_scstr0_field_t CSIO_SCSTR0_f;
    };
    union {
        __IO  uint8_t SCSTR1;
        stc_mfs_scstr1_field_t SCSTR1_f;
        __IO  uint8_t CSIO_SCSTR1;
        stc_mfs_csio_scstr1_field_t CSIO_SCSTR1_f;
        __IO  uint8_t EIBCR;
        stc_mfs_eibcr_field_t EIBCR_f;
        __IO  uint8_t I2C_EIBCR;
        stc_mfs_i2c_eibcr_field_t I2C_EIBCR_f;
    };
        __IO  uint8_t RESERVED16[2];
    union {
        __IO uint16_t SCSTR32;
        stc_mfs_scstr32_field_t SCSTR32_f;
        struct {
            __IO  uint8_t SCSTR32L;
            __IO  uint8_t SCSTR32H;
        };
        __IO uint16_t CSIO_SCSTR32;
        stc_mfs_csio_scstr32_field_t CSIO_SCSTR32_f;
        struct {
            __IO  uint8_t CSIO_SCSTR32L;
            __IO  uint8_t CSIO_SCSTR32H;
        };
    };
        __IO  uint8_t RESERVED17[2];
    union {
        __IO uint16_t SACSR;
        stc_mfs_sacsr_field_t SACSR_f;
        struct {
            __IO  uint8_t SACSRL;
            __IO  uint8_t SACSRH;
        };
        __IO uint16_t CSIO_SACSR;
        stc_mfs_csio_sacsr_field_t CSIO_SACSR_f;
        struct {
            __IO  uint8_t CSIO_SACSRL;
            __IO  uint8_t CSIO_SACSRH;
        };
    };
        __IO  uint8_t RESERVED18[2];
    union {
        __IO uint16_t STMR;
        stc_mfs_stmr_field_t STMR_f;
        struct {
            __IO  uint8_t STMRL;
            __IO  uint8_t STMRH;
        };
        __IO uint16_t CSIO_STMR;
        stc_mfs_csio_stmr_field_t CSIO_STMR_f;
        struct {
            __IO  uint8_t CSIO_STMRL;
            __IO  uint8_t CSIO_STMRH;
        };
    };
        __IO  uint8_t RESERVED19[2];
    union {
        __IO uint16_t STMCR;
        stc_mfs_stmcr_field_t STMCR_f;
        struct {
            __IO  uint8_t STMCRL;
            __IO  uint8_t STMCRH;
        };
        __IO uint16_t CSIO_STMCR;
        stc_mfs_csio_stmcr_field_t CSIO_STMCR_f;
        struct {
            __IO  uint8_t CSIO_STMCRL;
            __IO  uint8_t CSIO_STMCRH;
        };
    };
        __IO  uint8_t RESERVED20[2];
    union {
        __IO uint16_t SCSCR;
        stc_mfs_scscr_field_t SCSCR_f;
        struct {
            __IO  uint8_t SCSCRL;
            __IO  uint8_t SCSCRH;
        };
        __IO uint16_t CSIO_SCSCR;
        stc_mfs_csio_scscr_field_t CSIO_SCSCR_f;
        struct {
            __IO  uint8_t CSIO_SCSCRL;
            __IO  uint8_t CSIO_SCSCRH;
        };
    };
        __IO  uint8_t RESERVED21[2];
    union {
        __IO  uint8_t SCSFR0;
        stc_mfs_scsfr0_field_t SCSFR0_f;
        __IO  uint8_t CSIO_SCSFR0;
        stc_mfs_csio_scsfr0_field_t CSIO_SCSFR0_f;
    };
    union {
        __IO  uint8_t SCSFR1;
        stc_mfs_scsfr1_field_t SCSFR1_f;
        __IO  uint8_t CSIO_SCSFR1;
        stc_mfs_csio_scsfr1_field_t CSIO_SCSFR1_f;
    };
        __IO  uint8_t RESERVED22[2];
    union {
        __IO  uint8_t SCSFR2;
        stc_mfs_scsfr2_field_t SCSFR2_f;
        __IO  uint8_t CSIO_SCSFR2;
        stc_mfs_csio_scsfr2_field_t CSIO_SCSFR2_f;
    };
        __IO  uint8_t RESERVED23[3];
    union {
        __IO  uint8_t TBYTE0;
        __IO  uint8_t CSIO_TBYTE0;
    };
    union {
        __IO  uint8_t TBYTE1;
        __IO  uint8_t CSIO_TBYTE1;
    };
        __IO  uint8_t RESERVED24[2];
    union {
        __IO  uint8_t TBYTE2;
        __IO  uint8_t CSIO_TBYTE2;
    };
    union {
        __IO  uint8_t TBYTE3;
        __IO  uint8_t CSIO_TBYTE3;
    };
} FM_MFS_TypeDef, FM0P_MFS_TypeDef;

/******************************************************************************
 ** MFS_CSIO_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_csio_smr_field_t SMR_f;
    };
    union {
        __IO  uint8_t SCR;
        stc_mfs_csio_scr_field_t SCR_f;
    };
        __IO  uint8_t RESERVED25[2];
    union {
        __IO  uint8_t ESCR;
        stc_mfs_csio_escr_field_t ESCR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_csio_ssr_field_t SSR_f;
    };
        __IO  uint8_t RESERVED26[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_csio_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_csio_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
    };
        __IO  uint8_t RESERVED27[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_csio_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
    };
        __IO  uint8_t RESERVED28[6];
    union {
        __IO uint16_t FCR;
        stc_mfs_csio_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
    };
        __IO  uint8_t RESERVED29[2];
    union {
        __IO  uint8_t FBYTE1;
        stc_mfs_csio_fbyte1_field_t FBYTE1_f;
    };
    union {
        __IO  uint8_t FBYTE2;
        stc_mfs_csio_fbyte2_field_t FBYTE2_f;
    };
        __IO  uint8_t RESERVED30[2];
    union {
        __IO  uint8_t SCSTR0;
        stc_mfs_csio_scstr0_field_t SCSTR0_f;
    };
    union {
        __IO  uint8_t SCSTR1;
        stc_mfs_csio_scstr1_field_t SCSTR1_f;
    };
        __IO  uint8_t RESERVED31[2];
    union {
        __IO uint16_t SCSTR32;
        stc_mfs_csio_scstr32_field_t SCSTR32_f;
        struct {
            __IO  uint8_t SCSTR32L;
            __IO  uint8_t SCSTR32H;
        };
    };
        __IO  uint8_t RESERVED32[2];
    union {
        __IO uint16_t SACSR;
        stc_mfs_csio_sacsr_field_t SACSR_f;
        struct {
            __IO  uint8_t SACSRL;
            __IO  uint8_t SACSRH;
        };
    };
        __IO  uint8_t RESERVED33[2];
    union {
        __IO uint16_t STMR;
        stc_mfs_csio_stmr_field_t STMR_f;
        struct {
            __IO  uint8_t STMRL;
            __IO  uint8_t STMRH;
        };
    };
        __IO  uint8_t RESERVED34[2];
    union {
        __IO uint16_t STMCR;
        stc_mfs_csio_stmcr_field_t STMCR_f;
        struct {
            __IO  uint8_t STMCRL;
            __IO  uint8_t STMCRH;
        };
    };
        __IO  uint8_t RESERVED35[2];
    union {
        __IO uint16_t SCSCR;
        stc_mfs_csio_scscr_field_t SCSCR_f;
        struct {
            __IO  uint8_t SCSCRL;
            __IO  uint8_t SCSCRH;
        };
    };
        __IO  uint8_t RESERVED36[2];
    union {
        __IO  uint8_t SCSFR0;
        stc_mfs_csio_scsfr0_field_t SCSFR0_f;
    };
    union {
        __IO  uint8_t SCSFR1;
        stc_mfs_csio_scsfr1_field_t SCSFR1_f;
    };
        __IO  uint8_t RESERVED37[2];
    union {
        __IO  uint8_t SCSFR2;
        stc_mfs_csio_scsfr2_field_t SCSFR2_f;
    };
        __IO  uint8_t RESERVED38[3];
        __IO  uint8_t TBYTE0;
        __IO  uint8_t TBYTE1;
        __IO  uint8_t RESERVED39[2];
        __IO  uint8_t TBYTE2;
        __IO  uint8_t TBYTE3;
} FM_MFS_CSIO_TypeDef, FM0P_MFS_CSIO_TypeDef;

/******************************************************************************
 ** MFS_I2C_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_i2c_smr_field_t SMR_f;
    };
    union {
        __IO  uint8_t IBCR;
        stc_mfs_i2c_ibcr_field_t IBCR_f;
    };
        __IO  uint8_t RESERVED40[2];
    union {
        __IO  uint8_t IBSR;
        stc_mfs_i2c_ibsr_field_t IBSR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_i2c_ssr_field_t SSR_f;
    };
        __IO  uint8_t RESERVED41[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_i2c_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_i2c_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
    };
        __IO  uint8_t RESERVED42[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_i2c_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
    };
        __IO  uint8_t RESERVED43[2];
    union {
        __IO  uint8_t ISBA;
        stc_mfs_i2c_isba_field_t ISBA_f;
    };
    union {
        __IO  uint8_t ISMK;
        stc_mfs_i2c_ismk_field_t ISMK_f;
    };
        __IO  uint8_t RESERVED44[2];
    union {
        __IO uint16_t FCR;
        stc_mfs_i2c_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
    };
        __IO  uint8_t RESERVED45[2];
    union {
        __IO  uint8_t FBYTE1;
        stc_mfs_i2c_fbyte1_field_t FBYTE1_f;
    };
    union {
        __IO  uint8_t FBYTE2;
        stc_mfs_i2c_fbyte2_field_t FBYTE2_f;
    };
        __IO  uint8_t RESERVED46[3];
    union {
        __IO  uint8_t EIBCR;
        stc_mfs_i2c_eibcr_field_t EIBCR_f;
    };
} FM_MFS_I2C_TypeDef, FM0P_MFS_I2C_TypeDef;

/******************************************************************************
 ** MFS_I2S_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_i2s_smr_field_t SMR_f;
    };
    union {
        __IO  uint8_t SCR;
        stc_mfs_i2s_scr_field_t SCR_f;
    };
        __IO  uint8_t RESERVED47[2];
    union {
        __IO  uint8_t ESCR;
        stc_mfs_i2s_escr_field_t ESCR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_i2s_ssr_field_t SSR_f;
    };
        __IO  uint8_t RESERVED48[2];
    union {
        __IO uint32_t RDR;
        struct {
          union {
            __IO uint16_t RDRL;
            struct {
              __IO uint8_t RDRLL;
              __IO uint8_t RDRLH;
            };
          };
          union {
            __IO uint16_t RDRH;
            struct {
              __IO uint8_t RDRHL;
              __IO uint8_t RDRHH;
            };
          };
        };
        __IO uint32_t TDR;
        struct {
          union {
            __IO uint16_t TDRL;
            struct {
              __IO uint8_t TDRLL;
              __IO uint8_t TDRLH;
            };
          };
          union {
            __IO uint16_t TDRH;
            struct {
              __IO uint8_t TDRHL;
              __IO uint8_t TDRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED49[8];
    union {
        __IO uint16_t FCR;
        stc_mfs_i2s_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
    };
        __IO  uint8_t RESERVED50[2];
    union {
        __IO  uint8_t FBYTE1;
        stc_mfs_i2s_fbyte1_field_t FBYTE1_f;
    };
    union {
        __IO  uint8_t FBYTE2;
        stc_mfs_i2s_fbyte2_field_t FBYTE2_f;
    };
} FM_MFS_I2S_TypeDef, FM0P_MFS_I2S_TypeDef;

/******************************************************************************
 ** MFS_LIN_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_lin_smr_field_t SMR_f;
    };
    union {
        __IO  uint8_t SCR;
        stc_mfs_lin_scr_field_t SCR_f;
    };
        __IO  uint8_t RESERVED51[2];
    union {
        __IO  uint8_t ESCR;
        stc_mfs_lin_escr_field_t ESCR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_lin_ssr_field_t SSR_f;
    };
        __IO  uint8_t RESERVED52[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_lin_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_lin_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
    };
        __IO  uint8_t RESERVED53[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_lin_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
    };
        __IO  uint8_t RESERVED54[6];
    union {
        __IO uint16_t FCR;
        stc_mfs_lin_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
    };
        __IO  uint8_t RESERVED55[2];
    union {
        __IO  uint8_t FBYTE1;
        stc_mfs_lin_fbyte1_field_t FBYTE1_f;
    };
    union {
        __IO  uint8_t FBYTE2;
        stc_mfs_lin_fbyte2_field_t FBYTE2_f;
    };
} FM_MFS_LIN_TypeDef, FM0P_MFS_LIN_TypeDef;

/******************************************************************************
 ** MFS_UART_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_uart_smr_field_t SMR_f;
    };
    union {
        __IO  uint8_t SCR;
        stc_mfs_uart_scr_field_t SCR_f;
    };
        __IO  uint8_t RESERVED56[2];
    union {
        __IO  uint8_t ESCR;
        stc_mfs_uart_escr_field_t ESCR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_uart_ssr_field_t SSR_f;
    };
        __IO  uint8_t RESERVED57[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_uart_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_uart_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
    };
        __IO  uint8_t RESERVED58[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_uart_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
    };
        __IO  uint8_t RESERVED59[6];
    union {
        __IO uint16_t FCR;
        stc_mfs_uart_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
    };
        __IO  uint8_t RESERVED60[2];
    union {
        __IO  uint8_t FBYTE1;
        stc_mfs_uart_fbyte1_field_t FBYTE1_f;
    };
    union {
        __IO  uint8_t FBYTE2;
        stc_mfs_uart_fbyte2_field_t FBYTE2_f;
    };
} FM_MFS_UART_TypeDef, FM0P_MFS_UART_TypeDef;

/******************************************************************************
 ** MFSI2S_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t CNTLREG;
        stc_mfsi2s_cntlreg_field_t CNTLREG_f;
        struct {
            __IO  uint8_t CNTLREGL;
            __IO  uint8_t CNTLREGH;
        };
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO uint16_t I2SCLK;
        stc_mfsi2s_i2sclk_field_t I2SCLK_f;
        struct {
            __IO  uint8_t I2SCLKL;
            __IO  uint8_t I2SCLKH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO  uint8_t I2SRST;
        stc_mfsi2s_i2srst_field_t I2SRST_f;
    };
    union {
        __IO  uint8_t I2SST;
        stc_mfsi2s_i2sst_field_t I2SST_f;
    };
} FM_MFSI2S_TypeDef, FM0P_MFSI2S_TypeDef;

/******************************************************************************
 ** MTB_DWT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t CMP_ADDR_START;
        stc_mtb_dwt_cmp_addr_start_field_t CMP_ADDR_START_f;
        struct {
          union {
            __IO uint16_t CMP_ADDR_STARTL;
            struct {
              __IO uint8_t CMP_ADDR_STARTLL;
              __IO uint8_t CMP_ADDR_STARTLH;
            };
          };
          union {
            __IO uint16_t CMP_ADDR_STARTH;
            struct {
              __IO uint8_t CMP_ADDR_STARTHL;
              __IO uint8_t CMP_ADDR_STARTHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CMP_DATA_START;
        stc_mtb_dwt_cmp_data_start_field_t CMP_DATA_START_f;
        struct {
          union {
            __IO uint16_t CMP_DATA_STARTL;
            struct {
              __IO uint8_t CMP_DATA_STARTLL;
              __IO uint8_t CMP_DATA_STARTLH;
            };
          };
          union {
            __IO uint16_t CMP_DATA_STARTH;
            struct {
              __IO uint8_t CMP_DATA_STARTHL;
              __IO uint8_t CMP_DATA_STARTHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CMP_MASK_START;
        stc_mtb_dwt_cmp_mask_start_field_t CMP_MASK_START_f;
        struct {
          union {
            __IO uint16_t CMP_MASK_STARTL;
            struct {
              __IO uint8_t CMP_MASK_STARTLL;
              __IO uint8_t CMP_MASK_STARTLH;
            };
          };
          union {
            __IO uint16_t CMP_MASK_STARTH;
            struct {
              __IO uint8_t CMP_MASK_STARTHL;
              __IO uint8_t CMP_MASK_STARTHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[4];
    union {
        __IO uint32_t CMP_ADDR_STOP;
        stc_mtb_dwt_cmp_addr_stop_field_t CMP_ADDR_STOP_f;
        struct {
          union {
            __IO uint16_t CMP_ADDR_STOPL;
            struct {
              __IO uint8_t CMP_ADDR_STOPLL;
              __IO uint8_t CMP_ADDR_STOPLH;
            };
          };
          union {
            __IO uint16_t CMP_ADDR_STOPH;
            struct {
              __IO uint8_t CMP_ADDR_STOPHL;
              __IO uint8_t CMP_ADDR_STOPHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CMP_DATA_STOP;
        stc_mtb_dwt_cmp_data_stop_field_t CMP_DATA_STOP_f;
        struct {
          union {
            __IO uint16_t CMP_DATA_STOPL;
            struct {
              __IO uint8_t CMP_DATA_STOPLL;
              __IO uint8_t CMP_DATA_STOPLH;
            };
          };
          union {
            __IO uint16_t CMP_DATA_STOPH;
            struct {
              __IO uint8_t CMP_DATA_STOPHL;
              __IO uint8_t CMP_DATA_STOPHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CMP_MASK_STOP;
        stc_mtb_dwt_cmp_mask_stop_field_t CMP_MASK_STOP_f;
        struct {
          union {
            __IO uint16_t CMP_MASK_STOPL;
            struct {
              __IO uint8_t CMP_MASK_STOPLL;
              __IO uint8_t CMP_MASK_STOPLH;
            };
          };
          union {
            __IO uint16_t CMP_MASK_STOPH;
            struct {
              __IO uint8_t CMP_MASK_STOPHL;
              __IO uint8_t CMP_MASK_STOPHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[4];
    union {
        __IO  uint8_t FCT;
        stc_mtb_dwt_fct_field_t FCT_f;
    };
        __IO  uint8_t RESERVED2[4015];
    union {
        __IO uint32_t PID4;
        stc_mtb_dwt_pid4_field_t PID4_f;
        struct {
          union {
            __IO uint16_t PID4L;
            struct {
              __IO uint8_t PID4LL;
              __IO uint8_t PID4LH;
            };
          };
          union {
            __IO uint16_t PID4H;
            struct {
              __IO uint8_t PID4HL;
              __IO uint8_t PID4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PID5;
        stc_mtb_dwt_pid5_field_t PID5_f;
        struct {
          union {
            __IO uint16_t PID5L;
            struct {
              __IO uint8_t PID5LL;
              __IO uint8_t PID5LH;
            };
          };
          union {
            __IO uint16_t PID5H;
            struct {
              __IO uint8_t PID5HL;
              __IO uint8_t PID5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PID6;
        stc_mtb_dwt_pid6_field_t PID6_f;
        struct {
          union {
            __IO uint16_t PID6L;
            struct {
              __IO uint8_t PID6LL;
              __IO uint8_t PID6LH;
            };
          };
          union {
            __IO uint16_t PID6H;
            struct {
              __IO uint8_t PID6HL;
              __IO uint8_t PID6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PID7;
        stc_mtb_dwt_pid7_field_t PID7_f;
        struct {
          union {
            __IO uint16_t PID7L;
            struct {
              __IO uint8_t PID7LL;
              __IO uint8_t PID7LH;
            };
          };
          union {
            __IO uint16_t PID7H;
            struct {
              __IO uint8_t PID7HL;
              __IO uint8_t PID7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PID0;
        stc_mtb_dwt_pid0_field_t PID0_f;
        struct {
          union {
            __IO uint16_t PID0L;
            struct {
              __IO uint8_t PID0LL;
              __IO uint8_t PID0LH;
            };
          };
          union {
            __IO uint16_t PID0H;
            struct {
              __IO uint8_t PID0HL;
              __IO uint8_t PID0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PID1;
        stc_mtb_dwt_pid1_field_t PID1_f;
        struct {
          union {
            __IO uint16_t PID1L;
            struct {
              __IO uint8_t PID1LL;
              __IO uint8_t PID1LH;
            };
          };
          union {
            __IO uint16_t PID1H;
            struct {
              __IO uint8_t PID1HL;
              __IO uint8_t PID1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PID2;
        stc_mtb_dwt_pid2_field_t PID2_f;
        struct {
          union {
            __IO uint16_t PID2L;
            struct {
              __IO uint8_t PID2LL;
              __IO uint8_t PID2LH;
            };
          };
          union {
            __IO uint16_t PID2H;
            struct {
              __IO uint8_t PID2HL;
              __IO uint8_t PID2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PID3;
        stc_mtb_dwt_pid3_field_t PID3_f;
        struct {
          union {
            __IO uint16_t PID3L;
            struct {
              __IO uint8_t PID3LL;
              __IO uint8_t PID3LH;
            };
          };
          union {
            __IO uint16_t PID3H;
            struct {
              __IO uint8_t PID3HL;
              __IO uint8_t PID3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t CID0;
        stc_mtb_dwt_cid0_field_t CID0_f;
        struct {
          union {
            __IO uint16_t CID0L;
            struct {
              __IO uint8_t CID0LL;
              __IO uint8_t CID0LH;
            };
          };
          union {
            __IO uint16_t CID0H;
            struct {
              __IO uint8_t CID0HL;
              __IO uint8_t CID0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t CID1;
        stc_mtb_dwt_cid1_field_t CID1_f;
        struct {
          union {
            __IO uint16_t CID1L;
            struct {
              __IO uint8_t CID1LL;
              __IO uint8_t CID1LH;
            };
          };
          union {
            __IO uint16_t CID1H;
            struct {
              __IO uint8_t CID1HL;
              __IO uint8_t CID1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t CID2;
        stc_mtb_dwt_cid2_field_t CID2_f;
        struct {
          union {
            __IO uint16_t CID2L;
            struct {
              __IO uint8_t CID2LL;
              __IO uint8_t CID2LH;
            };
          };
          union {
            __IO uint16_t CID2H;
            struct {
              __IO uint8_t CID2HL;
              __IO uint8_t CID2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t CID3;
        stc_mtb_dwt_cid3_field_t CID3_f;
        struct {
          union {
            __IO uint16_t CID3L;
            struct {
              __IO uint8_t CID3LL;
              __IO uint8_t CID3LH;
            };
          };
          union {
            __IO uint16_t CID3H;
            struct {
              __IO uint8_t CID3HL;
              __IO uint8_t CID3HH;
            };
          };
        };
    };
} FM_MTB_DWT_TypeDef, FM0P_MTB_DWT_TypeDef;

/******************************************************************************
 ** RTC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t WTCR1;
        stc_rtc_wtcr1_field_t WTCR1_f;
        struct {
          union {
            __IO uint16_t WTCR1L;
            struct {
              __IO uint8_t WTCR1LL;
              __IO uint8_t WTCR1LH;
            };
          };
          union {
            __IO uint16_t WTCR1H;
            struct {
              __IO uint8_t WTCR1HL;
              __IO uint8_t WTCR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t WTCR2;
        stc_rtc_wtcr2_field_t WTCR2_f;
        struct {
          union {
            __IO uint16_t WTCR2L;
            struct {
              __IO uint8_t WTCR2LL;
              __IO uint8_t WTCR2LH;
            };
          };
          union {
            __IO uint16_t WTCR2H;
            struct {
              __IO uint8_t WTCR2HL;
              __IO uint8_t WTCR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t WTBR;
        stc_rtc_wtbr_field_t WTBR_f;
        struct {
          union {
            __IO uint16_t WTBRL;
            struct {
              __IO uint8_t WTBRLL;
              __IO uint8_t WTBRLH;
            };
          };
          union {
            __IO uint16_t WTBRH;
            struct {
              __IO uint8_t WTBRHL;
              __IO uint8_t WTBRHH;
            };
          };
        };
    };
    union {
        __IO  uint8_t WTSR;
        stc_rtc_wtsr_field_t WTSR_f;
    };
    union {
        __IO  uint8_t WTMIR;
        stc_rtc_wtmir_field_t WTMIR_f;
    };
    union {
        __IO  uint8_t WTHR;
        stc_rtc_wthr_field_t WTHR_f;
    };
    union {
        __IO  uint8_t WTDR;
        stc_rtc_wtdr_field_t WTDR_f;
    };
    union {
        __IO  uint8_t WTDW;
        stc_rtc_wtdw_field_t WTDW_f;
    };
    union {
        __IO  uint8_t WTMOR;
        stc_rtc_wtmor_field_t WTMOR_f;
    };
    union {
        __IO  uint8_t WTYR;
        stc_rtc_wtyr_field_t WTYR_f;
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO  uint8_t ALMIR;
        stc_rtc_almir_field_t ALMIR_f;
    };
    union {
        __IO  uint8_t ALHR;
        stc_rtc_alhr_field_t ALHR_f;
    };
    union {
        __IO  uint8_t ALDR;
        stc_rtc_aldr_field_t ALDR_f;
    };
        __IO  uint8_t RESERVED1[1];
    union {
        __IO  uint8_t ALMOR;
        stc_rtc_almor_field_t ALMOR_f;
    };
    union {
        __IO  uint8_t ALYR;
        stc_rtc_alyr_field_t ALYR_f;
    };
        __IO  uint8_t RESERVED2[1];
    union {
        __IO uint32_t WTTR;
        stc_rtc_wttr_field_t WTTR_f;
        struct {
          union {
            __IO uint16_t WTTRL;
            struct {
              __IO uint8_t WTTRLL;
              __IO uint8_t WTTRLH;
            };
          };
          union {
            __IO uint16_t WTTRH;
            struct {
              __IO uint8_t WTTRHL;
              __IO uint8_t WTTRHH;
            };
          };
        };
    };
    union {
        __IO  uint8_t WTCLKS;
        stc_rtc_wtclks_field_t WTCLKS_f;
    };
    union {
        __IO  uint8_t WTCLKM;
        stc_rtc_wtclkm_field_t WTCLKM_f;
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO uint16_t WTCAL;
        stc_rtc_wtcal_field_t WTCAL_f;
        struct {
            __IO  uint8_t WTCALL;
            __IO  uint8_t WTCALH;
        };
    };
    union {
        __IO  uint8_t WTCALEN;
        stc_rtc_wtcalen_field_t WTCALEN_f;
    };
        __IO  uint8_t RESERVED4[1];
    union {
        __IO  uint8_t WTDIV;
        stc_rtc_wtdiv_field_t WTDIV_f;
    };
    union {
        __IO  uint8_t WTDIVEN;
        stc_rtc_wtdiven_field_t WTDIVEN_f;
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO  uint8_t WTCALPRD;
        stc_rtc_wtcalprd_field_t WTCALPRD_f;
    };
        __IO  uint8_t RESERVED6[3];
    union {
        __IO  uint8_t WTCOSEL;
        stc_rtc_wtcosel_field_t WTCOSEL_f;
    };
} FM_RTC_TypeDef, FM0P_RTC_TypeDef;

/******************************************************************************
 ** SBSSR_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[252];
    union {
        __IO uint16_t BTSSSR;
        stc_sbssr_btsssr_field_t BTSSSR_f;
        struct {
            __IO  uint8_t BTSSSRL;
            __IO  uint8_t BTSSSRH;
        };
    };
} FM_SBSSR_TypeDef, FM0P_SBSSR_TypeDef;

/******************************************************************************
 ** SMCIF_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t GLOBALCONTROL1;
        stc_smcif_globalcontrol1_field_t GLOBALCONTROL1_f;
        struct {
            __IO  uint8_t GLOBALCONTROL1L;
            __IO  uint8_t GLOBALCONTROL1H;
        };
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO uint16_t STATUS;
        stc_smcif_status_field_t STATUS_f;
        struct {
            __IO  uint8_t STATUSL;
            __IO  uint8_t STATUSH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint16_t PORTCONTROL;
        stc_smcif_portcontrol_field_t PORTCONTROL_f;
        struct {
            __IO  uint8_t PORTCONTROLL;
            __IO  uint8_t PORTCONTROLH;
        };
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO uint16_t DATA;
        stc_smcif_data_field_t DATA_f;
        struct {
            __IO  uint8_t DATAL;
            __IO  uint8_t DATAH;
        };
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO uint16_t CARDCLOCK;
        stc_smcif_cardclock_field_t CARDCLOCK_f;
        struct {
            __IO  uint8_t CARDCLOCKL;
            __IO  uint8_t CARDCLOCKH;
        };
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO uint16_t BAUDRATE;
        stc_smcif_baudrate_field_t BAUDRATE_f;
        struct {
            __IO  uint8_t BAUDRATEL;
            __IO  uint8_t BAUDRATEH;
        };
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO uint16_t GUARDTIMER;
        stc_smcif_guardtimer_field_t GUARDTIMER_f;
        struct {
            __IO  uint8_t GUARDTIMERL;
            __IO  uint8_t GUARDTIMERH;
        };
    };
        __IO  uint8_t RESERVED6[2];
    union {
        __IO uint16_t IDLETIMER;
        stc_smcif_idletimer_field_t IDLETIMER_f;
        struct {
            __IO  uint8_t IDLETIMERL;
            __IO  uint8_t IDLETIMERH;
        };
    };
        __IO  uint8_t RESERVED7[2];
    union {
        __IO uint16_t GLOBALCONTROL2;
        stc_smcif_globalcontrol2_field_t GLOBALCONTROL2_f;
        struct {
            __IO  uint8_t GLOBALCONTROL2L;
            __IO  uint8_t GLOBALCONTROL2H;
        };
    };
        __IO  uint8_t RESERVED8[2];
    union {
        __IO uint16_t DATA_FIFO;
        stc_smcif_data_fifo_field_t DATA_FIFO_f;
        struct {
            __IO  uint8_t DATA_FIFOL;
            __IO  uint8_t DATA_FIFOH;
        };
    };
        __IO  uint8_t RESERVED9[2];
    union {
        __IO uint16_t FIFO_LEVEL_READ;
        stc_smcif_fifo_level_read_field_t FIFO_LEVEL_READ_f;
        struct {
            __IO  uint8_t FIFO_LEVEL_READL;
            __IO  uint8_t FIFO_LEVEL_READH;
        };
    };
        __IO  uint8_t RESERVED10[2];
    union {
        __IO uint16_t FIFO_LEVEL_WRITE;
        stc_smcif_fifo_level_write_field_t FIFO_LEVEL_WRITE_f;
        struct {
            __IO  uint8_t FIFO_LEVEL_WRITEL;
            __IO  uint8_t FIFO_LEVEL_WRITEH;
        };
    };
        __IO  uint8_t RESERVED11[2];
    union {
        __IO uint16_t FIFO_MODE;
        stc_smcif_fifo_mode_field_t FIFO_MODE_f;
        struct {
            __IO  uint8_t FIFO_MODEL;
            __IO  uint8_t FIFO_MODEH;
        };
    };
        __IO  uint8_t RESERVED12[2];
    union {
        __IO uint16_t FIFO_CLEAR_MSB_WRITE;
        stc_smcif_fifo_clear_msb_write_field_t FIFO_CLEAR_MSB_WRITE_f;
        struct {
            __IO  uint8_t FIFO_CLEAR_MSB_WRITEL;
            __IO  uint8_t FIFO_CLEAR_MSB_WRITEH;
        };
    };
        __IO  uint8_t RESERVED13[2];
    union {
        __IO uint16_t FIFO_CLEAR_MSB_READ;
        stc_smcif_fifo_clear_msb_read_field_t FIFO_CLEAR_MSB_READ_f;
        struct {
            __IO  uint8_t FIFO_CLEAR_MSB_READL;
            __IO  uint8_t FIFO_CLEAR_MSB_READH;
        };
    };
        __IO  uint8_t RESERVED14[6];
    union {
        __IO uint16_t IRQ_STATUS;
        stc_smcif_irq_status_field_t IRQ_STATUS_f;
        struct {
            __IO  uint8_t IRQ_STATUSL;
            __IO  uint8_t IRQ_STATUSH;
        };
    };
} FM_SMCIF_TypeDef, FM0P_SMCIF_TypeDef;

/******************************************************************************
 ** SWWDT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t WDOGLOAD;
        struct {
          union {
            __IO uint16_t WDOGLOADL;
            struct {
              __IO uint8_t WDOGLOADLL;
              __IO uint8_t WDOGLOADLH;
            };
          };
          union {
            __IO uint16_t WDOGLOADH;
            struct {
              __IO uint8_t WDOGLOADHL;
              __IO uint8_t WDOGLOADHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDOGVALUE;
        struct {
          union {
            __IO uint16_t WDOGVALUEL;
            struct {
              __IO uint8_t WDOGVALUELL;
              __IO uint8_t WDOGVALUELH;
            };
          };
          union {
            __IO uint16_t WDOGVALUEH;
            struct {
              __IO uint8_t WDOGVALUEHL;
              __IO uint8_t WDOGVALUEHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDOGCONTROL;
        stc_swwdt_wdogcontrol_field_t WDOGCONTROL_f;
        struct {
          union {
            __IO uint16_t WDOGCONTROLL;
            struct {
              __IO uint8_t WDOGCONTROLLL;
              __IO uint8_t WDOGCONTROLLH;
            };
          };
          union {
            __IO uint16_t WDOGCONTROLH;
            struct {
              __IO uint8_t WDOGCONTROLHL;
              __IO uint8_t WDOGCONTROLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDOGINTCLR;
        struct {
          union {
            __IO uint16_t WDOGINTCLRL;
            struct {
              __IO uint8_t WDOGINTCLRLL;
              __IO uint8_t WDOGINTCLRLH;
            };
          };
          union {
            __IO uint16_t WDOGINTCLRH;
            struct {
              __IO uint8_t WDOGINTCLRHL;
              __IO uint8_t WDOGINTCLRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDOGRIS;
        stc_swwdt_wdogris_field_t WDOGRIS_f;
        struct {
          union {
            __IO uint16_t WDOGRISL;
            struct {
              __IO uint8_t WDOGRISLL;
              __IO uint8_t WDOGRISLH;
            };
          };
          union {
            __IO uint16_t WDOGRISH;
            struct {
              __IO uint8_t WDOGRISHL;
              __IO uint8_t WDOGRISHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[4];
    union {
        __IO uint32_t WDOGSPMC;
        stc_swwdt_wdogspmc_field_t WDOGSPMC_f;
        struct {
          union {
            __IO uint16_t WDOGSPMCL;
            struct {
              __IO uint8_t WDOGSPMCLL;
              __IO uint8_t WDOGSPMCLH;
            };
          };
          union {
            __IO uint16_t WDOGSPMCH;
            struct {
              __IO uint8_t WDOGSPMCHL;
              __IO uint8_t WDOGSPMCHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[3044];
    union {
        __IO uint32_t WDOGLOCK;
        struct {
          union {
            __IO uint16_t WDOGLOCKL;
            struct {
              __IO uint8_t WDOGLOCKLL;
              __IO uint8_t WDOGLOCKLH;
            };
          };
          union {
            __IO uint16_t WDOGLOCKH;
            struct {
              __IO uint8_t WDOGLOCKHL;
              __IO uint8_t WDOGLOCKHH;
            };
          };
        };
    };
} FM_SWWDT_TypeDef, FM0P_SWWDT_TypeDef;

/******************************************************************************
 ** UNIQUE_ID_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t UIDR0;
        stc_unique_id_uidr0_field_t UIDR0_f;
        struct {
          union {
            __IO uint16_t UIDR0L;
            struct {
              __IO uint8_t UIDR0LL;
              __IO uint8_t UIDR0LH;
            };
          };
          union {
            __IO uint16_t UIDR0H;
            struct {
              __IO uint8_t UIDR0HL;
              __IO uint8_t UIDR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t UIDR1;
        stc_unique_id_uidr1_field_t UIDR1_f;
        struct {
          union {
            __IO uint16_t UIDR1L;
            struct {
              __IO uint8_t UIDR1LL;
              __IO uint8_t UIDR1LH;
            };
          };
          union {
            __IO uint16_t UIDR1H;
            struct {
              __IO uint8_t UIDR1HL;
              __IO uint8_t UIDR1HH;
            };
          };
        };
    };
} FM_UNIQUE_ID_TypeDef, FM0P_UNIQUE_ID_TypeDef;

/******************************************************************************
 ** VIR_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t VIR00;
        struct {
          union {
            __IO uint16_t VIR00L;
            struct {
              __IO uint8_t VIR00LL;
              __IO uint8_t VIR00LH;
            };
          };
          union {
            __IO uint16_t VIR00H;
            struct {
              __IO uint8_t VIR00HL;
              __IO uint8_t VIR00HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR01;
        struct {
          union {
            __IO uint16_t VIR01L;
            struct {
              __IO uint8_t VIR01LL;
              __IO uint8_t VIR01LH;
            };
          };
          union {
            __IO uint16_t VIR01H;
            struct {
              __IO uint8_t VIR01HL;
              __IO uint8_t VIR01HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR02;
        struct {
          union {
            __IO uint16_t VIR02L;
            struct {
              __IO uint8_t VIR02LL;
              __IO uint8_t VIR02LH;
            };
          };
          union {
            __IO uint16_t VIR02H;
            struct {
              __IO uint8_t VIR02HL;
              __IO uint8_t VIR02HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR03;
        struct {
          union {
            __IO uint16_t VIR03L;
            struct {
              __IO uint8_t VIR03LL;
              __IO uint8_t VIR03LH;
            };
          };
          union {
            __IO uint16_t VIR03H;
            struct {
              __IO uint8_t VIR03HL;
              __IO uint8_t VIR03HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR04;
        struct {
          union {
            __IO uint16_t VIR04L;
            struct {
              __IO uint8_t VIR04LL;
              __IO uint8_t VIR04LH;
            };
          };
          union {
            __IO uint16_t VIR04H;
            struct {
              __IO uint8_t VIR04HL;
              __IO uint8_t VIR04HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR05;
        struct {
          union {
            __IO uint16_t VIR05L;
            struct {
              __IO uint8_t VIR05LL;
              __IO uint8_t VIR05LH;
            };
          };
          union {
            __IO uint16_t VIR05H;
            struct {
              __IO uint8_t VIR05HL;
              __IO uint8_t VIR05HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR06;
        struct {
          union {
            __IO uint16_t VIR06L;
            struct {
              __IO uint8_t VIR06LL;
              __IO uint8_t VIR06LH;
            };
          };
          union {
            __IO uint16_t VIR06H;
            struct {
              __IO uint8_t VIR06HL;
              __IO uint8_t VIR06HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR07;
        struct {
          union {
            __IO uint16_t VIR07L;
            struct {
              __IO uint8_t VIR07LL;
              __IO uint8_t VIR07LH;
            };
          };
          union {
            __IO uint16_t VIR07H;
            struct {
              __IO uint8_t VIR07HL;
              __IO uint8_t VIR07HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR08;
        struct {
          union {
            __IO uint16_t VIR08L;
            struct {
              __IO uint8_t VIR08LL;
              __IO uint8_t VIR08LH;
            };
          };
          union {
            __IO uint16_t VIR08H;
            struct {
              __IO uint8_t VIR08HL;
              __IO uint8_t VIR08HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR09;
        struct {
          union {
            __IO uint16_t VIR09L;
            struct {
              __IO uint8_t VIR09LL;
              __IO uint8_t VIR09LH;
            };
          };
          union {
            __IO uint16_t VIR09H;
            struct {
              __IO uint8_t VIR09HL;
              __IO uint8_t VIR09HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR10;
        struct {
          union {
            __IO uint16_t VIR10L;
            struct {
              __IO uint8_t VIR10LL;
              __IO uint8_t VIR10LH;
            };
          };
          union {
            __IO uint16_t VIR10H;
            struct {
              __IO uint8_t VIR10HL;
              __IO uint8_t VIR10HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR11;
        struct {
          union {
            __IO uint16_t VIR11L;
            struct {
              __IO uint8_t VIR11LL;
              __IO uint8_t VIR11LH;
            };
          };
          union {
            __IO uint16_t VIR11H;
            struct {
              __IO uint8_t VIR11HL;
              __IO uint8_t VIR11HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR12;
        struct {
          union {
            __IO uint16_t VIR12L;
            struct {
              __IO uint8_t VIR12LL;
              __IO uint8_t VIR12LH;
            };
          };
          union {
            __IO uint16_t VIR12H;
            struct {
              __IO uint8_t VIR12HL;
              __IO uint8_t VIR12HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR13;
        struct {
          union {
            __IO uint16_t VIR13L;
            struct {
              __IO uint8_t VIR13LL;
              __IO uint8_t VIR13LH;
            };
          };
          union {
            __IO uint16_t VIR13H;
            struct {
              __IO uint8_t VIR13HL;
              __IO uint8_t VIR13HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR14;
        struct {
          union {
            __IO uint16_t VIR14L;
            struct {
              __IO uint8_t VIR14LL;
              __IO uint8_t VIR14LH;
            };
          };
          union {
            __IO uint16_t VIR14H;
            struct {
              __IO uint8_t VIR14HL;
              __IO uint8_t VIR14HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR15;
        struct {
          union {
            __IO uint16_t VIR15L;
            struct {
              __IO uint8_t VIR15LL;
              __IO uint8_t VIR15LH;
            };
          };
          union {
            __IO uint16_t VIR15H;
            struct {
              __IO uint8_t VIR15HL;
              __IO uint8_t VIR15HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR16;
        struct {
          union {
            __IO uint16_t VIR16L;
            struct {
              __IO uint8_t VIR16LL;
              __IO uint8_t VIR16LH;
            };
          };
          union {
            __IO uint16_t VIR16H;
            struct {
              __IO uint8_t VIR16HL;
              __IO uint8_t VIR16HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR17;
        struct {
          union {
            __IO uint16_t VIR17L;
            struct {
              __IO uint8_t VIR17LL;
              __IO uint8_t VIR17LH;
            };
          };
          union {
            __IO uint16_t VIR17H;
            struct {
              __IO uint8_t VIR17HL;
              __IO uint8_t VIR17HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR18;
        struct {
          union {
            __IO uint16_t VIR18L;
            struct {
              __IO uint8_t VIR18LL;
              __IO uint8_t VIR18LH;
            };
          };
          union {
            __IO uint16_t VIR18H;
            struct {
              __IO uint8_t VIR18HL;
              __IO uint8_t VIR18HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR19;
        struct {
          union {
            __IO uint16_t VIR19L;
            struct {
              __IO uint8_t VIR19LL;
              __IO uint8_t VIR19LH;
            };
          };
          union {
            __IO uint16_t VIR19H;
            struct {
              __IO uint8_t VIR19HL;
              __IO uint8_t VIR19HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR20;
        struct {
          union {
            __IO uint16_t VIR20L;
            struct {
              __IO uint8_t VIR20LL;
              __IO uint8_t VIR20LH;
            };
          };
          union {
            __IO uint16_t VIR20H;
            struct {
              __IO uint8_t VIR20HL;
              __IO uint8_t VIR20HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR21;
        struct {
          union {
            __IO uint16_t VIR21L;
            struct {
              __IO uint8_t VIR21LL;
              __IO uint8_t VIR21LH;
            };
          };
          union {
            __IO uint16_t VIR21H;
            struct {
              __IO uint8_t VIR21HL;
              __IO uint8_t VIR21HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR22;
        struct {
          union {
            __IO uint16_t VIR22L;
            struct {
              __IO uint8_t VIR22LL;
              __IO uint8_t VIR22LH;
            };
          };
          union {
            __IO uint16_t VIR22H;
            struct {
              __IO uint8_t VIR22HL;
              __IO uint8_t VIR22HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR23;
        struct {
          union {
            __IO uint16_t VIR23L;
            struct {
              __IO uint8_t VIR23LL;
              __IO uint8_t VIR23LH;
            };
          };
          union {
            __IO uint16_t VIR23H;
            struct {
              __IO uint8_t VIR23HL;
              __IO uint8_t VIR23HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR24;
        struct {
          union {
            __IO uint16_t VIR24L;
            struct {
              __IO uint8_t VIR24LL;
              __IO uint8_t VIR24LH;
            };
          };
          union {
            __IO uint16_t VIR24H;
            struct {
              __IO uint8_t VIR24HL;
              __IO uint8_t VIR24HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR25;
        struct {
          union {
            __IO uint16_t VIR25L;
            struct {
              __IO uint8_t VIR25LL;
              __IO uint8_t VIR25LH;
            };
          };
          union {
            __IO uint16_t VIR25H;
            struct {
              __IO uint8_t VIR25HL;
              __IO uint8_t VIR25HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR26;
        struct {
          union {
            __IO uint16_t VIR26L;
            struct {
              __IO uint8_t VIR26LL;
              __IO uint8_t VIR26LH;
            };
          };
          union {
            __IO uint16_t VIR26H;
            struct {
              __IO uint8_t VIR26HL;
              __IO uint8_t VIR26HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR27;
        struct {
          union {
            __IO uint16_t VIR27L;
            struct {
              __IO uint8_t VIR27LL;
              __IO uint8_t VIR27LH;
            };
          };
          union {
            __IO uint16_t VIR27H;
            struct {
              __IO uint8_t VIR27HL;
              __IO uint8_t VIR27HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR28;
        struct {
          union {
            __IO uint16_t VIR28L;
            struct {
              __IO uint8_t VIR28LL;
              __IO uint8_t VIR28LH;
            };
          };
          union {
            __IO uint16_t VIR28H;
            struct {
              __IO uint8_t VIR28HL;
              __IO uint8_t VIR28HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR29;
        struct {
          union {
            __IO uint16_t VIR29L;
            struct {
              __IO uint8_t VIR29LL;
              __IO uint8_t VIR29LH;
            };
          };
          union {
            __IO uint16_t VIR29H;
            struct {
              __IO uint8_t VIR29HL;
              __IO uint8_t VIR29HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR30;
        struct {
          union {
            __IO uint16_t VIR30L;
            struct {
              __IO uint8_t VIR30LL;
              __IO uint8_t VIR30LH;
            };
          };
          union {
            __IO uint16_t VIR30H;
            struct {
              __IO uint8_t VIR30HL;
              __IO uint8_t VIR30HH;
            };
          };
        };
    };
    union {
        __IO uint32_t VIR31;
        struct {
          union {
            __IO uint16_t VIR31L;
            struct {
              __IO uint8_t VIR31LL;
              __IO uint8_t VIR31LH;
            };
          };
          union {
            __IO uint16_t VIR31H;
            struct {
              __IO uint8_t VIR31HL;
              __IO uint8_t VIR31HH;
            };
          };
        };
    };
} FM_VIR_TypeDef, FM0P_VIR_TypeDef;

/******************************************************************************
 ** WC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t WCRD;
        stc_wc_wcrd_field_t WCRD_f;
    };
    union {
        __IO  uint8_t WCRL;
        stc_wc_wcrl_field_t WCRL_f;
    };
    union {
        __IO  uint8_t WCCR;
        stc_wc_wccr_field_t WCCR_f;
    };
        __IO  uint8_t RESERVED0[13];
    union {
        __IO uint16_t CLK_SEL;
        stc_wc_clk_sel_field_t CLK_SEL_f;
        struct {
            __IO  uint8_t CLK_SELL;
            __IO  uint8_t CLK_SELH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO  uint8_t CLK_EN;
        stc_wc_clk_en_field_t CLK_EN_f;
    };
} FM_WC_TypeDef, FM0P_WC_TypeDef;

/******************************************************************************
 ** Peripheral Memory Map
 ** 
 ******************************************************************************/
#define FM_FLASH_BASE                             (0x00000000UL) /* Flash Base Address */
#define FM0P_FLASH_BASE                           (0x00000000UL) /* Flash Base Address */
#define FM_PERIPH_BASE                            (0x40000000UL) /* Peripheral Base Address */
#define FM0P_PERIPH_BASE                          (0x40000000UL) /* Peripheral Base Address */
#define FM_CM0P_BASE                              (0xE0100000UL) /* CM0P Private */
#define FM0P_CM0P_BASE                            (0xE0100000UL) /* CM0P Private  */

#define FM_ADC0_BASE                              (0x40027000UL) /* ADC0 Base Address */
#define FM0P_ADC0_BASE                            (0x40027000UL) /* ADC0 Base Address */
#define FM_BT0_BASE                               (0x40025000UL) /* BT0 Base Address */
#define FM0P_BT0_BASE                             (0x40025000UL) /* BT0 Base Address */
#define FM_BT0_PPG_BASE                           (0x40025000UL) /* BT0 Base Address */
#define FM0P_BT0_PPG_BASE                         (0x40025000UL) /* BT0 Base Address */
#define FM_BT0_PWC_BASE                           (0x40025000UL) /* BT0 Base Address */
#define FM0P_BT0_PWC_BASE                         (0x40025000UL) /* BT0 Base Address */
#define FM_BT0_PWM_BASE                           (0x40025000UL) /* BT0 Base Address */
#define FM0P_BT0_PWM_BASE                         (0x40025000UL) /* BT0 Base Address */
#define FM_BT0_RT_BASE                            (0x40025000UL) /* BT0 Base Address */
#define FM0P_BT0_RT_BASE                          (0x40025000UL) /* BT0 Base Address */
#define FM_BT1_BASE                               (0x40025040UL) /* BT1 Base Address */
#define FM0P_BT1_BASE                             (0x40025040UL) /* BT1 Base Address */
#define FM_BT1_PPG_BASE                           (0x40025040UL) /* BT1 Base Address */
#define FM0P_BT1_PPG_BASE                         (0x40025040UL) /* BT1 Base Address */
#define FM_BT1_PWC_BASE                           (0x40025040UL) /* BT1 Base Address */
#define FM0P_BT1_PWC_BASE                         (0x40025040UL) /* BT1 Base Address */
#define FM_BT1_PWM_BASE                           (0x40025040UL) /* BT1 Base Address */
#define FM0P_BT1_PWM_BASE                         (0x40025040UL) /* BT1 Base Address */
#define FM_BT1_RT_BASE                            (0x40025040UL) /* BT1 Base Address */
#define FM0P_BT1_RT_BASE                          (0x40025040UL) /* BT1 Base Address */
#define FM_BT2_BASE                               (0x40025080UL) /* BT2 Base Address */
#define FM0P_BT2_BASE                             (0x40025080UL) /* BT2 Base Address */
#define FM_BT2_PPG_BASE                           (0x40025080UL) /* BT2 Base Address */
#define FM0P_BT2_PPG_BASE                         (0x40025080UL) /* BT2 Base Address */
#define FM_BT2_PWC_BASE                           (0x40025080UL) /* BT2 Base Address */
#define FM0P_BT2_PWC_BASE                         (0x40025080UL) /* BT2 Base Address */
#define FM_BT2_PWM_BASE                           (0x40025080UL) /* BT2 Base Address */
#define FM0P_BT2_PWM_BASE                         (0x40025080UL) /* BT2 Base Address */
#define FM_BT2_RT_BASE                            (0x40025080UL) /* BT2 Base Address */
#define FM0P_BT2_RT_BASE                          (0x40025080UL) /* BT2 Base Address */
#define FM_BT3_BASE                               (0x400250C0UL) /* BT3 Base Address */
#define FM0P_BT3_BASE                             (0x400250C0UL) /* BT3 Base Address */
#define FM_BT3_PPG_BASE                           (0x400250C0UL) /* BT3 Base Address */
#define FM0P_BT3_PPG_BASE                         (0x400250C0UL) /* BT3 Base Address */
#define FM_BT3_PWC_BASE                           (0x400250C0UL) /* BT3 Base Address */
#define FM0P_BT3_PWC_BASE                         (0x400250C0UL) /* BT3 Base Address */
#define FM_BT3_PWM_BASE                           (0x400250C0UL) /* BT3 Base Address */
#define FM0P_BT3_PWM_BASE                         (0x400250C0UL) /* BT3 Base Address */
#define FM_BT3_RT_BASE                            (0x400250C0UL) /* BT3 Base Address */
#define FM0P_BT3_RT_BASE                          (0x400250C0UL) /* BT3 Base Address */
#define FM_BT4_BASE                               (0x40025200UL) /* BT4 Base Address */
#define FM0P_BT4_BASE                             (0x40025200UL) /* BT4 Base Address */
#define FM_BT4_PPG_BASE                           (0x40025200UL) /* BT4 Base Address */
#define FM0P_BT4_PPG_BASE                         (0x40025200UL) /* BT4 Base Address */
#define FM_BT4_PWC_BASE                           (0x40025200UL) /* BT4 Base Address */
#define FM0P_BT4_PWC_BASE                         (0x40025200UL) /* BT4 Base Address */
#define FM_BT4_PWM_BASE                           (0x40025200UL) /* BT4 Base Address */
#define FM0P_BT4_PWM_BASE                         (0x40025200UL) /* BT4 Base Address */
#define FM_BT4_RT_BASE                            (0x40025200UL) /* BT4 Base Address */
#define FM0P_BT4_RT_BASE                          (0x40025200UL) /* BT4 Base Address */
#define FM_BT5_BASE                               (0x40025240UL) /* BT5 Base Address */
#define FM0P_BT5_BASE                             (0x40025240UL) /* BT5 Base Address */
#define FM_BT5_PPG_BASE                           (0x40025240UL) /* BT5 Base Address */
#define FM0P_BT5_PPG_BASE                         (0x40025240UL) /* BT5 Base Address */
#define FM_BT5_PWC_BASE                           (0x40025240UL) /* BT5 Base Address */
#define FM0P_BT5_PWC_BASE                         (0x40025240UL) /* BT5 Base Address */
#define FM_BT5_PWM_BASE                           (0x40025240UL) /* BT5 Base Address */
#define FM0P_BT5_PWM_BASE                         (0x40025240UL) /* BT5 Base Address */
#define FM_BT5_RT_BASE                            (0x40025240UL) /* BT5 Base Address */
#define FM0P_BT5_RT_BASE                          (0x40025240UL) /* BT5 Base Address */
#define FM_BT6_BASE                               (0x40025280UL) /* BT6 Base Address */
#define FM0P_BT6_BASE                             (0x40025280UL) /* BT6 Base Address */
#define FM_BT6_PPG_BASE                           (0x40025280UL) /* BT6 Base Address */
#define FM0P_BT6_PPG_BASE                         (0x40025280UL) /* BT6 Base Address */
#define FM_BT6_PWC_BASE                           (0x40025280UL) /* BT6 Base Address */
#define FM0P_BT6_PWC_BASE                         (0x40025280UL) /* BT6 Base Address */
#define FM_BT6_PWM_BASE                           (0x40025280UL) /* BT6 Base Address */
#define FM0P_BT6_PWM_BASE                         (0x40025280UL) /* BT6 Base Address */
#define FM_BT6_RT_BASE                            (0x40025280UL) /* BT6 Base Address */
#define FM0P_BT6_RT_BASE                          (0x40025280UL) /* BT6 Base Address */
#define FM_BT7_BASE                               (0x400252C0UL) /* BT7 Base Address */
#define FM0P_BT7_BASE                             (0x400252C0UL) /* BT7 Base Address */
#define FM_BT7_PPG_BASE                           (0x400252C0UL) /* BT7 Base Address */
#define FM0P_BT7_PPG_BASE                         (0x400252C0UL) /* BT7 Base Address */
#define FM_BT7_PWC_BASE                           (0x400252C0UL) /* BT7 Base Address */
#define FM0P_BT7_PWC_BASE                         (0x400252C0UL) /* BT7 Base Address */
#define FM_BT7_PWM_BASE                           (0x400252C0UL) /* BT7 Base Address */
#define FM0P_BT7_PWM_BASE                         (0x400252C0UL) /* BT7 Base Address */
#define FM_BT7_RT_BASE                            (0x400252C0UL) /* BT7 Base Address */
#define FM0P_BT7_RT_BASE                          (0x400252C0UL) /* BT7 Base Address */
#define FM_BTIOSEL03_BASE                         (0x40025100UL) /* BTIOSEL03 Base Address */
#define FM0P_BTIOSEL03_BASE                       (0x40025100UL) /* BTIOSEL03 Base Address */
#define FM_BTIOSEL47_BASE                         (0x40025300UL) /* BTIOSEL47 Base Address */
#define FM0P_BTIOSEL47_BASE                       (0x40025300UL) /* BTIOSEL47 Base Address */
#define FM_CLK_GATING_BASE                        (0x4003C100UL) /* CLK_GATING Base Address */
#define FM0P_CLK_GATING_BASE                      (0x4003C100UL) /* CLK_GATING Base Address */
#define FM_CRC_BASE                               (0x40039000UL) /* CRC Base Address */
#define FM0P_CRC_BASE                             (0x40039000UL) /* CRC Base Address */
#define FM_CRG_BASE                               (0x40010000UL) /* CRG Base Address */
#define FM0P_CRG_BASE                             (0x40010000UL) /* CRG Base Address */
#define FM_CRTRIM_BASE                            (0x4002E000UL) /* CRTRIM Base Address */
#define FM0P_CRTRIM_BASE                          (0x4002E000UL) /* CRTRIM Base Address */
#define FM_DS_BASE                                (0x40035100UL) /* DS Base Address */
#define FM0P_DS_BASE                              (0x40035100UL) /* DS Base Address */
#define FM_DSTC_BASE                              (0x40061000UL) /* DSTC Base Address */
#define FM0P_DSTC_BASE                            (0x40061000UL) /* DSTC Base Address */
#define FM_DT_BASE                                (0x40015000UL) /* DT Base Address */
#define FM0P_DT_BASE                              (0x40015000UL) /* DT Base Address */
#define FM_EXTI_BASE                              (0x40030000UL) /* EXTI Base Address */
#define FM0P_EXTI_BASE                            (0x40030000UL) /* EXTI Base Address */
#define FM_FASTIO_BASE                            (0xF8000000UL) /* FASTIO Base Address */
#define FM0P_FASTIO_BASE                          (0xF8000000UL) /* FASTIO Base Address */
#define FM_FLASH_IF_BASE                          (0x40000000UL) /* FLASH_IF Base Address */
#define FM0P_FLASH_IF_BASE                        (0x40000000UL) /* FLASH_IF Base Address */
#define FM_GPIO_BASE                              (0x40033000UL) /* GPIO Base Address */
#define FM0P_GPIO_BASE                            (0x40033000UL) /* GPIO Base Address */
#define FM_HDMICEC0_BASE                          (0x40034000UL) /* HDMICEC0 Base Address */
#define FM0P_HDMICEC0_BASE                        (0x40034000UL) /* HDMICEC0 Base Address */
#define FM_HDMICEC1_BASE                          (0x40034100UL) /* HDMICEC1 Base Address */
#define FM0P_HDMICEC1_BASE                        (0x40034100UL) /* HDMICEC1 Base Address */
#define FM_HWWDT_BASE                             (0x40011000UL) /* HWWDT Base Address */
#define FM0P_HWWDT_BASE                           (0x40011000UL) /* HWWDT Base Address */
#define FM_I2CSLAVE_BASE                          (0x40037980UL) /* I2CSLAVE Base Address */
#define FM0P_I2CSLAVE_BASE                        (0x40037980UL) /* I2CSLAVE Base Address */
#define FM_INTREQ_BASE                            (0x40031000UL) /* INTREQ Base Address */
#define FM0P_INTREQ_BASE                          (0x40031000UL) /* INTREQ Base Address */
#define FM_LSCRP_BASE                             (0x4003C000UL) /* LSCRP Base Address */
#define FM0P_LSCRP_BASE                           (0x4003C000UL) /* LSCRP Base Address */
#define FM_LVD_BASE                               (0x40035000UL) /* LVD Base Address */
#define FM0P_LVD_BASE                             (0x40035000UL) /* LVD Base Address */
#define FM_MFS0_BASE                              (0x40038000UL) /* MFS0 Base Address */
#define FM0P_MFS0_BASE                            (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS0_CSIO_BASE                         (0x40038000UL) /* MFS0 Base Address */
#define FM0P_MFS0_CSIO_BASE                       (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS0_I2C_BASE                          (0x40038000UL) /* MFS0 Base Address */
#define FM0P_MFS0_I2C_BASE                        (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS0_LIN_BASE                          (0x40038000UL) /* MFS0 Base Address */
#define FM0P_MFS0_LIN_BASE                        (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS0_UART_BASE                         (0x40038000UL) /* MFS0 Base Address */
#define FM0P_MFS0_UART_BASE                       (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS1_BASE                              (0x40038100UL) /* MFS1 Base Address */
#define FM0P_MFS1_BASE                            (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS1_CSIO_BASE                         (0x40038100UL) /* MFS1 Base Address */
#define FM0P_MFS1_CSIO_BASE                       (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS1_I2C_BASE                          (0x40038100UL) /* MFS1 Base Address */
#define FM0P_MFS1_I2C_BASE                        (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS1_LIN_BASE                          (0x40038100UL) /* MFS1 Base Address */
#define FM0P_MFS1_LIN_BASE                        (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS1_UART_BASE                         (0x40038100UL) /* MFS1 Base Address */
#define FM0P_MFS1_UART_BASE                       (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS3_BASE                              (0x40038300UL) /* MFS3 Base Address */
#define FM0P_MFS3_BASE                            (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS3_CSIO_BASE                         (0x40038300UL) /* MFS3 Base Address */
#define FM0P_MFS3_CSIO_BASE                       (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS3_I2C_BASE                          (0x40038300UL) /* MFS3 Base Address */
#define FM0P_MFS3_I2C_BASE                        (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS3_LIN_BASE                          (0x40038300UL) /* MFS3 Base Address */
#define FM0P_MFS3_LIN_BASE                        (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS3_UART_BASE                         (0x40038300UL) /* MFS3 Base Address */
#define FM0P_MFS3_UART_BASE                       (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS4_BASE                              (0x40038400UL) /* MFS4 Base Address */
#define FM0P_MFS4_BASE                            (0x40038400UL) /* MFS4 Base Address */
#define FM_MFS4_CSIO_BASE                         (0x40038400UL) /* MFS4 Base Address */
#define FM0P_MFS4_CSIO_BASE                       (0x40038400UL) /* MFS4 Base Address */
#define FM_MFS4_I2C_BASE                          (0x40038400UL) /* MFS4 Base Address */
#define FM0P_MFS4_I2C_BASE                        (0x40038400UL) /* MFS4 Base Address */
#define FM_MFS4_I2S_BASE                          (0x40038400UL) /* MFS4 Base Address */
#define FM0P_MFS4_I2S_BASE                        (0x40038400UL) /* MFS4 Base Address */
#define FM_MFS4_LIN_BASE                          (0x40038400UL) /* MFS4 Base Address */
#define FM0P_MFS4_LIN_BASE                        (0x40038400UL) /* MFS4 Base Address */
#define FM_MFS4_UART_BASE                         (0x40038400UL) /* MFS4 Base Address */
#define FM0P_MFS4_UART_BASE                       (0x40038400UL) /* MFS4 Base Address */
#define FM_MFS6_BASE                              (0x40038600UL) /* MFS6 Base Address */
#define FM0P_MFS6_BASE                            (0x40038600UL) /* MFS6 Base Address */
#define FM_MFS6_CSIO_BASE                         (0x40038600UL) /* MFS6 Base Address */
#define FM0P_MFS6_CSIO_BASE                       (0x40038600UL) /* MFS6 Base Address */
#define FM_MFS6_I2C_BASE                          (0x40038600UL) /* MFS6 Base Address */
#define FM0P_MFS6_I2C_BASE                        (0x40038600UL) /* MFS6 Base Address */
#define FM_MFS6_I2S_BASE                          (0x40038600UL) /* MFS6 Base Address */
#define FM0P_MFS6_I2S_BASE                        (0x40038600UL) /* MFS6 Base Address */
#define FM_MFS6_LIN_BASE                          (0x40038600UL) /* MFS6 Base Address */
#define FM0P_MFS6_LIN_BASE                        (0x40038600UL) /* MFS6 Base Address */
#define FM_MFS6_UART_BASE                         (0x40038600UL) /* MFS6 Base Address */
#define FM0P_MFS6_UART_BASE                       (0x40038600UL) /* MFS6 Base Address */
#define FM_MFS7_BASE                              (0x40038700UL) /* MFS7 Base Address */
#define FM0P_MFS7_BASE                            (0x40038700UL) /* MFS7 Base Address */
#define FM_MFS7_CSIO_BASE                         (0x40038700UL) /* MFS7 Base Address */
#define FM0P_MFS7_CSIO_BASE                       (0x40038700UL) /* MFS7 Base Address */
#define FM_MFS7_I2C_BASE                          (0x40038700UL) /* MFS7 Base Address */
#define FM0P_MFS7_I2C_BASE                        (0x40038700UL) /* MFS7 Base Address */
#define FM_MFS7_LIN_BASE                          (0x40038700UL) /* MFS7 Base Address */
#define FM0P_MFS7_LIN_BASE                        (0x40038700UL) /* MFS7 Base Address */
#define FM_MFS7_UART_BASE                         (0x40038700UL) /* MFS7 Base Address */
#define FM0P_MFS7_UART_BASE                       (0x40038700UL) /* MFS7 Base Address */
#define FM_MFSI2S0_BASE                           (0x4003CA00UL) /* MFSI2S0 Base Address */
#define FM0P_MFSI2S0_BASE                         (0x4003CA00UL) /* MFSI2S0 Base Address */
#define FM_MFSI2S1_BASE                           (0x4003CA80UL) /* MFSI2S1 Base Address */
#define FM0P_MFSI2S1_BASE                         (0x4003CA80UL) /* MFSI2S1 Base Address */
#define FM_MTB_DWT_BASE                           (0xF0001000UL) /* MTB_DWT Base Address */
#define FM0P_MTB_DWT_BASE                         (0xF0001000UL) /* MTB_DWT Base Address */
#define FM_RTC_BASE                               (0x4003B000UL) /* RTC Base Address */
#define FM0P_RTC_BASE                             (0x4003B000UL) /* RTC Base Address */
#define FM_SBSSR_BASE                             (0x40025F00UL) /* SBSSR Base Address */
#define FM0P_SBSSR_BASE                           (0x40025F00UL) /* SBSSR Base Address */
#define FM_SMCIF1_BASE                            (0x4003C980UL) /* SMCIF1 Base Address */
#define FM0P_SMCIF1_BASE                          (0x4003C980UL) /* SMCIF1 Base Address */
#define FM_SWWDT_BASE                             (0x40012000UL) /* SWWDT Base Address */
#define FM0P_SWWDT_BASE                           (0x40012000UL) /* SWWDT Base Address */
#define FM_UNIQUE_ID_BASE                         (0x40000200UL) /* UNIQUE_ID Base Address */
#define FM0P_UNIQUE_ID_BASE                       (0x40000200UL) /* UNIQUE_ID Base Address */
#define FM_VIR_BASE                               (0xF8000100UL) /* VIR Base Address */
#define FM0P_VIR_BASE                             (0xF8000100UL) /* VIR Base Address */
#define FM_WC_BASE                                (0x4003A000UL) /* WC Base Address */
#define FM0P_WC_BASE                              (0x4003A000UL) /* WC Base Address */
/******************************************************************************
 ** Peripheral declaration
 ** 
 ******************************************************************************/
#define FM0P_ADC0                                 ((FM_ADC_TypeDef *)FM0P_ADC0_BASE)
#define FM_ADC0                                   ((FM_ADC_TypeDef *)FM0P_ADC0_BASE)
#define FM0P_BT0                                  ((FM_BT_TypeDef *)FM0P_BT0_BASE)
#define FM_BT0                                    ((FM_BT_TypeDef *)FM0P_BT0_BASE)
#define FM0P_BT0_PPG                              ((FM_BT_PPG_TypeDef *)FM0P_BT0_BASE)
#define FM_BT0_PPG                                ((FM_BT_PPG_TypeDef *)FM0P_BT0_BASE)
#define FM0P_BT0_PWC                              ((FM_BT_PWC_TypeDef *)FM0P_BT0_BASE)
#define FM_BT0_PWC                                ((FM_BT_PWC_TypeDef *)FM0P_BT0_BASE)
#define FM0P_BT0_PWM                              ((FM_BT_PWM_TypeDef *)FM0P_BT0_BASE)
#define FM_BT0_PWM                                ((FM_BT_PWM_TypeDef *)FM0P_BT0_BASE)
#define FM0P_BT0_RT                               ((FM_BT_RT_TypeDef *)FM0P_BT0_BASE)
#define FM_BT0_RT                                 ((FM_BT_RT_TypeDef *)FM0P_BT0_BASE)
#define FM0P_BT1                                  ((FM_BT_TypeDef *)FM0P_BT1_BASE)
#define FM_BT1                                    ((FM_BT_TypeDef *)FM0P_BT1_BASE)
#define FM0P_BT1_PPG                              ((FM_BT_PPG_TypeDef *)FM0P_BT1_BASE)
#define FM_BT1_PPG                                ((FM_BT_PPG_TypeDef *)FM0P_BT1_BASE)
#define FM0P_BT1_PWC                              ((FM_BT_PWC_TypeDef *)FM0P_BT1_BASE)
#define FM_BT1_PWC                                ((FM_BT_PWC_TypeDef *)FM0P_BT1_BASE)
#define FM0P_BT1_PWM                              ((FM_BT_PWM_TypeDef *)FM0P_BT1_BASE)
#define FM_BT1_PWM                                ((FM_BT_PWM_TypeDef *)FM0P_BT1_BASE)
#define FM0P_BT1_RT                               ((FM_BT_RT_TypeDef *)FM0P_BT1_BASE)
#define FM_BT1_RT                                 ((FM_BT_RT_TypeDef *)FM0P_BT1_BASE)
#define FM0P_BT2                                  ((FM_BT_TypeDef *)FM0P_BT2_BASE)
#define FM_BT2                                    ((FM_BT_TypeDef *)FM0P_BT2_BASE)
#define FM0P_BT2_PPG                              ((FM_BT_PPG_TypeDef *)FM0P_BT2_BASE)
#define FM_BT2_PPG                                ((FM_BT_PPG_TypeDef *)FM0P_BT2_BASE)
#define FM0P_BT2_PWC                              ((FM_BT_PWC_TypeDef *)FM0P_BT2_BASE)
#define FM_BT2_PWC                                ((FM_BT_PWC_TypeDef *)FM0P_BT2_BASE)
#define FM0P_BT2_PWM                              ((FM_BT_PWM_TypeDef *)FM0P_BT2_BASE)
#define FM_BT2_PWM                                ((FM_BT_PWM_TypeDef *)FM0P_BT2_BASE)
#define FM0P_BT2_RT                               ((FM_BT_RT_TypeDef *)FM0P_BT2_BASE)
#define FM_BT2_RT                                 ((FM_BT_RT_TypeDef *)FM0P_BT2_BASE)
#define FM0P_BT3                                  ((FM_BT_TypeDef *)FM0P_BT3_BASE)
#define FM_BT3                                    ((FM_BT_TypeDef *)FM0P_BT3_BASE)
#define FM0P_BT3_PPG                              ((FM_BT_PPG_TypeDef *)FM0P_BT3_BASE)
#define FM_BT3_PPG                                ((FM_BT_PPG_TypeDef *)FM0P_BT3_BASE)
#define FM0P_BT3_PWC                              ((FM_BT_PWC_TypeDef *)FM0P_BT3_BASE)
#define FM_BT3_PWC                                ((FM_BT_PWC_TypeDef *)FM0P_BT3_BASE)
#define FM0P_BT3_PWM                              ((FM_BT_PWM_TypeDef *)FM0P_BT3_BASE)
#define FM_BT3_PWM                                ((FM_BT_PWM_TypeDef *)FM0P_BT3_BASE)
#define FM0P_BT3_RT                               ((FM_BT_RT_TypeDef *)FM0P_BT3_BASE)
#define FM_BT3_RT                                 ((FM_BT_RT_TypeDef *)FM0P_BT3_BASE)
#define FM0P_BT4                                  ((FM_BT_TypeDef *)FM0P_BT4_BASE)
#define FM_BT4                                    ((FM_BT_TypeDef *)FM0P_BT4_BASE)
#define FM0P_BT4_PPG                              ((FM_BT_PPG_TypeDef *)FM0P_BT4_BASE)
#define FM_BT4_PPG                                ((FM_BT_PPG_TypeDef *)FM0P_BT4_BASE)
#define FM0P_BT4_PWC                              ((FM_BT_PWC_TypeDef *)FM0P_BT4_BASE)
#define FM_BT4_PWC                                ((FM_BT_PWC_TypeDef *)FM0P_BT4_BASE)
#define FM0P_BT4_PWM                              ((FM_BT_PWM_TypeDef *)FM0P_BT4_BASE)
#define FM_BT4_PWM                                ((FM_BT_PWM_TypeDef *)FM0P_BT4_BASE)
#define FM0P_BT4_RT                               ((FM_BT_RT_TypeDef *)FM0P_BT4_BASE)
#define FM_BT4_RT                                 ((FM_BT_RT_TypeDef *)FM0P_BT4_BASE)
#define FM0P_BT5                                  ((FM_BT_TypeDef *)FM0P_BT5_BASE)
#define FM_BT5                                    ((FM_BT_TypeDef *)FM0P_BT5_BASE)
#define FM0P_BT5_PPG                              ((FM_BT_PPG_TypeDef *)FM0P_BT5_BASE)
#define FM_BT5_PPG                                ((FM_BT_PPG_TypeDef *)FM0P_BT5_BASE)
#define FM0P_BT5_PWC                              ((FM_BT_PWC_TypeDef *)FM0P_BT5_BASE)
#define FM_BT5_PWC                                ((FM_BT_PWC_TypeDef *)FM0P_BT5_BASE)
#define FM0P_BT5_PWM                              ((FM_BT_PWM_TypeDef *)FM0P_BT5_BASE)
#define FM_BT5_PWM                                ((FM_BT_PWM_TypeDef *)FM0P_BT5_BASE)
#define FM0P_BT5_RT                               ((FM_BT_RT_TypeDef *)FM0P_BT5_BASE)
#define FM_BT5_RT                                 ((FM_BT_RT_TypeDef *)FM0P_BT5_BASE)
#define FM0P_BT6                                  ((FM_BT_TypeDef *)FM0P_BT6_BASE)
#define FM_BT6                                    ((FM_BT_TypeDef *)FM0P_BT6_BASE)
#define FM0P_BT6_PPG                              ((FM_BT_PPG_TypeDef *)FM0P_BT6_BASE)
#define FM_BT6_PPG                                ((FM_BT_PPG_TypeDef *)FM0P_BT6_BASE)
#define FM0P_BT6_PWC                              ((FM_BT_PWC_TypeDef *)FM0P_BT6_BASE)
#define FM_BT6_PWC                                ((FM_BT_PWC_TypeDef *)FM0P_BT6_BASE)
#define FM0P_BT6_PWM                              ((FM_BT_PWM_TypeDef *)FM0P_BT6_BASE)
#define FM_BT6_PWM                                ((FM_BT_PWM_TypeDef *)FM0P_BT6_BASE)
#define FM0P_BT6_RT                               ((FM_BT_RT_TypeDef *)FM0P_BT6_BASE)
#define FM_BT6_RT                                 ((FM_BT_RT_TypeDef *)FM0P_BT6_BASE)
#define FM0P_BT7                                  ((FM_BT_TypeDef *)FM0P_BT7_BASE)
#define FM_BT7                                    ((FM_BT_TypeDef *)FM0P_BT7_BASE)
#define FM0P_BT7_PPG                              ((FM_BT_PPG_TypeDef *)FM0P_BT7_BASE)
#define FM_BT7_PPG                                ((FM_BT_PPG_TypeDef *)FM0P_BT7_BASE)
#define FM0P_BT7_PWC                              ((FM_BT_PWC_TypeDef *)FM0P_BT7_BASE)
#define FM_BT7_PWC                                ((FM_BT_PWC_TypeDef *)FM0P_BT7_BASE)
#define FM0P_BT7_PWM                              ((FM_BT_PWM_TypeDef *)FM0P_BT7_BASE)
#define FM_BT7_PWM                                ((FM_BT_PWM_TypeDef *)FM0P_BT7_BASE)
#define FM0P_BT7_RT                               ((FM_BT_RT_TypeDef *)FM0P_BT7_BASE)
#define FM_BT7_RT                                 ((FM_BT_RT_TypeDef *)FM0P_BT7_BASE)
#define FM0P_BTIOSEL03                            ((FM_BTIOSEL03_TypeDef *)FM0P_BTIOSEL03_BASE)
#define FM_BTIOSEL03                              ((FM_BTIOSEL03_TypeDef *)FM0P_BTIOSEL03_BASE)
#define FM0P_BTIOSEL47                            ((FM_BTIOSEL47_TypeDef *)FM0P_BTIOSEL47_BASE)
#define FM_BTIOSEL47                              ((FM_BTIOSEL47_TypeDef *)FM0P_BTIOSEL47_BASE)
#define FM0P_CLK_GATING                           ((FM_CLK_GATING_TypeDef *)FM0P_CLK_GATING_BASE)
#define FM_CLK_GATING                             ((FM_CLK_GATING_TypeDef *)FM0P_CLK_GATING_BASE)
#define FM0P_CRC                                  ((FM_CRC_TypeDef *)FM0P_CRC_BASE)
#define FM_CRC                                    ((FM_CRC_TypeDef *)FM0P_CRC_BASE)
#define FM0P_CRG                                  ((FM_CRG_TypeDef *)FM0P_CRG_BASE)
#define FM_CRG                                    ((FM_CRG_TypeDef *)FM0P_CRG_BASE)
#define FM0P_CRTRIM                               ((FM_CRTRIM_TypeDef *)FM0P_CRTRIM_BASE)
#define FM_CRTRIM                                 ((FM_CRTRIM_TypeDef *)FM0P_CRTRIM_BASE)
#define FM0P_DS                                   ((FM_DS_TypeDef *)FM0P_DS_BASE)
#define FM_DS                                     ((FM_DS_TypeDef *)FM0P_DS_BASE)
#define FM0P_DSTC                                 ((FM_DSTC_TypeDef *)FM0P_DSTC_BASE)
#define FM_DSTC                                   ((FM_DSTC_TypeDef *)FM0P_DSTC_BASE)
#define FM0P_DT                                   ((FM_DT_TypeDef *)FM0P_DT_BASE)
#define FM_DT                                     ((FM_DT_TypeDef *)FM0P_DT_BASE)
#define FM0P_EXTI                                 ((FM_EXTI_TypeDef *)FM0P_EXTI_BASE)
#define FM_EXTI                                   ((FM_EXTI_TypeDef *)FM0P_EXTI_BASE)
#define FM0P_FASTIO                               ((FM_FASTIO_TypeDef *)FM0P_FASTIO_BASE)
#define FM_FASTIO                                 ((FM_FASTIO_TypeDef *)FM0P_FASTIO_BASE)
#define FM0P_FLASH_IF                             ((FM_FLASH_IF_TypeDef *)FM0P_FLASH_IF_BASE)
#define FM_FLASH_IF                               ((FM_FLASH_IF_TypeDef *)FM0P_FLASH_IF_BASE)
#define FM0P_GPIO                                 ((FM_GPIO_TypeDef *)FM0P_GPIO_BASE)
#define FM_GPIO                                   ((FM_GPIO_TypeDef *)FM0P_GPIO_BASE)
#define FM0P_HDMICEC0                             ((FM_HDMICEC_TypeDef *)FM0P_HDMICEC0_BASE)
#define FM_HDMICEC0                               ((FM_HDMICEC_TypeDef *)FM0P_HDMICEC0_BASE)
#define FM0P_HDMICEC1                             ((FM_HDMICEC_TypeDef *)FM0P_HDMICEC1_BASE)
#define FM_HDMICEC1                               ((FM_HDMICEC_TypeDef *)FM0P_HDMICEC1_BASE)
#define FM0P_HWWDT                                ((FM_HWWDT_TypeDef *)FM0P_HWWDT_BASE)
#define FM_HWWDT                                  ((FM_HWWDT_TypeDef *)FM0P_HWWDT_BASE)
#define FM0P_I2CSLAVE                             ((FM_I2CSLAVE_TypeDef *)FM0P_I2CSLAVE_BASE)
#define FM_I2CSLAVE                               ((FM_I2CSLAVE_TypeDef *)FM0P_I2CSLAVE_BASE)
#define FM0P_INTREQ                               ((FM_INTREQ_TypeDef *)FM0P_INTREQ_BASE)
#define FM_INTREQ                                 ((FM_INTREQ_TypeDef *)FM0P_INTREQ_BASE)
#define FM0P_LSCRP                                ((FM_LSCRP_TypeDef *)FM0P_LSCRP_BASE)
#define FM_LSCRP                                  ((FM_LSCRP_TypeDef *)FM0P_LSCRP_BASE)
#define FM0P_LVD                                  ((FM_LVD_TypeDef *)FM0P_LVD_BASE)
#define FM_LVD                                    ((FM_LVD_TypeDef *)FM0P_LVD_BASE)
#define FM0P_MFS0                                 ((FM_MFS_TypeDef *)FM0P_MFS0_BASE)
#define FM_MFS0                                   ((FM_MFS_TypeDef *)FM0P_MFS0_BASE)
#define FM0P_MFS0_CSIO                            ((FM_MFS_CSIO_TypeDef *)FM0P_MFS0_BASE)
#define FM_MFS0_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM0P_MFS0_BASE)
#define FM0P_MFS0_I2C                             ((FM_MFS_I2C_TypeDef *)FM0P_MFS0_BASE)
#define FM_MFS0_I2C                               ((FM_MFS_I2C_TypeDef *)FM0P_MFS0_BASE)
#define FM0P_MFS0_LIN                             ((FM_MFS_LIN_TypeDef *)FM0P_MFS0_BASE)
#define FM_MFS0_LIN                               ((FM_MFS_LIN_TypeDef *)FM0P_MFS0_BASE)
#define FM0P_MFS0_UART                            ((FM_MFS_UART_TypeDef *)FM0P_MFS0_BASE)
#define FM_MFS0_UART                              ((FM_MFS_UART_TypeDef *)FM0P_MFS0_BASE)
#define FM0P_MFS1                                 ((FM_MFS_TypeDef *)FM0P_MFS1_BASE)
#define FM_MFS1                                   ((FM_MFS_TypeDef *)FM0P_MFS1_BASE)
#define FM0P_MFS1_CSIO                            ((FM_MFS_CSIO_TypeDef *)FM0P_MFS1_BASE)
#define FM_MFS1_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM0P_MFS1_BASE)
#define FM0P_MFS1_I2C                             ((FM_MFS_I2C_TypeDef *)FM0P_MFS1_BASE)
#define FM_MFS1_I2C                               ((FM_MFS_I2C_TypeDef *)FM0P_MFS1_BASE)
#define FM0P_MFS1_LIN                             ((FM_MFS_LIN_TypeDef *)FM0P_MFS1_BASE)
#define FM_MFS1_LIN                               ((FM_MFS_LIN_TypeDef *)FM0P_MFS1_BASE)
#define FM0P_MFS1_UART                            ((FM_MFS_UART_TypeDef *)FM0P_MFS1_BASE)
#define FM_MFS1_UART                              ((FM_MFS_UART_TypeDef *)FM0P_MFS1_BASE)
#define FM0P_MFS3                                 ((FM_MFS_TypeDef *)FM0P_MFS3_BASE)
#define FM_MFS3                                   ((FM_MFS_TypeDef *)FM0P_MFS3_BASE)
#define FM0P_MFS3_CSIO                            ((FM_MFS_CSIO_TypeDef *)FM0P_MFS3_BASE)
#define FM_MFS3_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM0P_MFS3_BASE)
#define FM0P_MFS3_I2C                             ((FM_MFS_I2C_TypeDef *)FM0P_MFS3_BASE)
#define FM_MFS3_I2C                               ((FM_MFS_I2C_TypeDef *)FM0P_MFS3_BASE)
#define FM0P_MFS3_LIN                             ((FM_MFS_LIN_TypeDef *)FM0P_MFS3_BASE)
#define FM_MFS3_LIN                               ((FM_MFS_LIN_TypeDef *)FM0P_MFS3_BASE)
#define FM0P_MFS3_UART                            ((FM_MFS_UART_TypeDef *)FM0P_MFS3_BASE)
#define FM_MFS3_UART                              ((FM_MFS_UART_TypeDef *)FM0P_MFS3_BASE)
#define FM0P_MFS4                                 ((FM_MFS_TypeDef *)FM0P_MFS4_BASE)
#define FM_MFS4                                   ((FM_MFS_TypeDef *)FM0P_MFS4_BASE)
#define FM0P_MFS4_CSIO                            ((FM_MFS_CSIO_TypeDef *)FM0P_MFS4_BASE)
#define FM_MFS4_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM0P_MFS4_BASE)
#define FM0P_MFS4_I2C                             ((FM_MFS_I2C_TypeDef *)FM0P_MFS4_BASE)
#define FM_MFS4_I2C                               ((FM_MFS_I2C_TypeDef *)FM0P_MFS4_BASE)
#define FM0P_MFS4_I2S                             ((FM_MFS_I2S_TypeDef *)FM0P_MFS4_BASE)
#define FM_MFS4_I2S                               ((FM_MFS_I2S_TypeDef *)FM0P_MFS4_BASE)
#define FM0P_MFS4_LIN                             ((FM_MFS_LIN_TypeDef *)FM0P_MFS4_BASE)
#define FM_MFS4_LIN                               ((FM_MFS_LIN_TypeDef *)FM0P_MFS4_BASE)
#define FM0P_MFS4_UART                            ((FM_MFS_UART_TypeDef *)FM0P_MFS4_BASE)
#define FM_MFS4_UART                              ((FM_MFS_UART_TypeDef *)FM0P_MFS4_BASE)
#define FM0P_MFS6                                 ((FM_MFS_TypeDef *)FM0P_MFS6_BASE)
#define FM_MFS6                                   ((FM_MFS_TypeDef *)FM0P_MFS6_BASE)
#define FM0P_MFS6_CSIO                            ((FM_MFS_CSIO_TypeDef *)FM0P_MFS6_BASE)
#define FM_MFS6_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM0P_MFS6_BASE)
#define FM0P_MFS6_I2C                             ((FM_MFS_I2C_TypeDef *)FM0P_MFS6_BASE)
#define FM_MFS6_I2C                               ((FM_MFS_I2C_TypeDef *)FM0P_MFS6_BASE)
#define FM0P_MFS6_I2S                             ((FM_MFS_I2S_TypeDef *)FM0P_MFS6_BASE)
#define FM_MFS6_I2S                               ((FM_MFS_I2S_TypeDef *)FM0P_MFS6_BASE)
#define FM0P_MFS6_LIN                             ((FM_MFS_LIN_TypeDef *)FM0P_MFS6_BASE)
#define FM_MFS6_LIN                               ((FM_MFS_LIN_TypeDef *)FM0P_MFS6_BASE)
#define FM0P_MFS6_UART                            ((FM_MFS_UART_TypeDef *)FM0P_MFS6_BASE)
#define FM_MFS6_UART                              ((FM_MFS_UART_TypeDef *)FM0P_MFS6_BASE)
#define FM0P_MFS7                                 ((FM_MFS_TypeDef *)FM0P_MFS7_BASE)
#define FM_MFS7                                   ((FM_MFS_TypeDef *)FM0P_MFS7_BASE)
#define FM0P_MFS7_CSIO                            ((FM_MFS_CSIO_TypeDef *)FM0P_MFS7_BASE)
#define FM_MFS7_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM0P_MFS7_BASE)
#define FM0P_MFS7_I2C                             ((FM_MFS_I2C_TypeDef *)FM0P_MFS7_BASE)
#define FM_MFS7_I2C                               ((FM_MFS_I2C_TypeDef *)FM0P_MFS7_BASE)
#define FM0P_MFS7_LIN                             ((FM_MFS_LIN_TypeDef *)FM0P_MFS7_BASE)
#define FM_MFS7_LIN                               ((FM_MFS_LIN_TypeDef *)FM0P_MFS7_BASE)
#define FM0P_MFS7_UART                            ((FM_MFS_UART_TypeDef *)FM0P_MFS7_BASE)
#define FM_MFS7_UART                              ((FM_MFS_UART_TypeDef *)FM0P_MFS7_BASE)
#define FM0P_MFSI2S0                              ((FM_MFSI2S_TypeDef *)FM0P_MFSI2S0_BASE)
#define FM_MFSI2S0                                ((FM_MFSI2S_TypeDef *)FM0P_MFSI2S0_BASE)
#define FM0P_MFSI2S1                              ((FM_MFSI2S_TypeDef *)FM0P_MFSI2S1_BASE)
#define FM_MFSI2S1                                ((FM_MFSI2S_TypeDef *)FM0P_MFSI2S1_BASE)
#define FM0P_MTB_DWT                              ((FM_MTB_DWT_TypeDef *)FM0P_MTB_DWT_BASE)
#define FM_MTB_DWT                                ((FM_MTB_DWT_TypeDef *)FM0P_MTB_DWT_BASE)
#define FM0P_RTC                                  ((FM_RTC_TypeDef *)FM0P_RTC_BASE)
#define FM_RTC                                    ((FM_RTC_TypeDef *)FM0P_RTC_BASE)
#define FM0P_SBSSR                                ((FM_SBSSR_TypeDef *)FM0P_SBSSR_BASE)
#define FM_SBSSR                                  ((FM_SBSSR_TypeDef *)FM0P_SBSSR_BASE)
#define FM0P_SMCIF1                               ((FM_SMCIF_TypeDef *)FM0P_SMCIF1_BASE)
#define FM_SMCIF1                                 ((FM_SMCIF_TypeDef *)FM0P_SMCIF1_BASE)
#define FM0P_SWWDT                                ((FM_SWWDT_TypeDef *)FM0P_SWWDT_BASE)
#define FM_SWWDT                                  ((FM_SWWDT_TypeDef *)FM0P_SWWDT_BASE)
#define FM0P_UNIQUE_ID                            ((FM_UNIQUE_ID_TypeDef *)FM0P_UNIQUE_ID_BASE)
#define FM_UNIQUE_ID                              ((FM_UNIQUE_ID_TypeDef *)FM0P_UNIQUE_ID_BASE)
#define FM0P_VIR                                  ((FM_VIR_TypeDef *)FM0P_VIR_BASE)
#define FM_VIR                                    ((FM_VIR_TypeDef *)FM0P_VIR_BASE)
#define FM0P_WC                                   ((FM_WC_TypeDef *)FM0P_WC_BASE)
#define FM_WC                                     ((FM_WC_TypeDef *)FM0P_WC_BASE)
/******************************************************************************
 ** Register Definitions
 ** 
 ******************************************************************************/
/******************************************************************************
 ** ADC Registers ADC0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_ADC0_ADSR                              *((volatile  uint8_t*)(0x40027000UL))
#define FM0P_ADC0_ADSR                            *((volatile  uint8_t*)(0x40027000UL))
#define FM_ADC0_ADCR                              *((volatile  uint8_t*)(0x40027001UL))
#define FM0P_ADC0_ADCR                            *((volatile  uint8_t*)(0x40027001UL))
#define FM_ADC0_SFNS                              *((volatile  uint8_t*)(0x40027008UL))
#define FM0P_ADC0_SFNS                            *((volatile  uint8_t*)(0x40027008UL))
#define FM_ADC0_SCCR                              *((volatile  uint8_t*)(0x40027009UL))
#define FM0P_ADC0_SCCR                            *((volatile  uint8_t*)(0x40027009UL))
#define FM_ADC0_SCFD                              *((volatile uint32_t*)(0x4002700CUL))
#define FM0P_ADC0_SCFD                            *((volatile uint32_t*)(0x4002700CUL))
#define FM_ADC0_SCFD_FDAS1                        *((volatile uint32_t*)(0x4002700CUL))
#define FM0P_ADC0_SCFD_FDAS1                      *((volatile uint32_t*)(0x4002700CUL))
#define FM_ADC0_SCIS23                            *((volatile uint16_t*)(0x40027010UL))
#define FM0P_ADC0_SCIS23                          *((volatile uint16_t*)(0x40027010UL))
#define FM_ADC0_SCIS01                            *((volatile uint16_t*)(0x40027014UL))
#define FM0P_ADC0_SCIS01                          *((volatile uint16_t*)(0x40027014UL))
#define FM_ADC0_PFNS                              *((volatile  uint8_t*)(0x40027018UL))
#define FM0P_ADC0_PFNS                            *((volatile  uint8_t*)(0x40027018UL))
#define FM_ADC0_PCCR                              *((volatile  uint8_t*)(0x40027019UL))
#define FM0P_ADC0_PCCR                            *((volatile  uint8_t*)(0x40027019UL))
#define FM_ADC0_PCFD                              *((volatile uint32_t*)(0x4002701CUL))
#define FM0P_ADC0_PCFD                            *((volatile uint32_t*)(0x4002701CUL))
#define FM_ADC0_PCFD_FDAS1                        *((volatile uint32_t*)(0x4002701CUL))
#define FM0P_ADC0_PCFD_FDAS1                      *((volatile uint32_t*)(0x4002701CUL))
#define FM_ADC0_PCIS                              *((volatile  uint8_t*)(0x40027020UL))
#define FM0P_ADC0_PCIS                            *((volatile  uint8_t*)(0x40027020UL))
#define FM_ADC0_CMPCR                             *((volatile  uint8_t*)(0x40027024UL))
#define FM0P_ADC0_CMPCR                           *((volatile  uint8_t*)(0x40027024UL))
#define FM_ADC0_CMPD                              *((volatile uint16_t*)(0x40027026UL))
#define FM0P_ADC0_CMPD                            *((volatile uint16_t*)(0x40027026UL))
#define FM_ADC0_ADSS23                            *((volatile uint16_t*)(0x40027028UL))
#define FM0P_ADC0_ADSS23                          *((volatile uint16_t*)(0x40027028UL))
#define FM_ADC0_ADSS01                            *((volatile uint16_t*)(0x4002702CUL))
#define FM0P_ADC0_ADSS01                          *((volatile uint16_t*)(0x4002702CUL))
#define FM_ADC0_ADST01                            *((volatile uint16_t*)(0x40027030UL))
#define FM0P_ADC0_ADST01                          *((volatile uint16_t*)(0x40027030UL))
#define FM_ADC0_ADCT                              *((volatile  uint8_t*)(0x40027034UL))
#define FM0P_ADC0_ADCT                            *((volatile  uint8_t*)(0x40027034UL))
#define FM_ADC0_PRTSL                             *((volatile  uint8_t*)(0x40027038UL))
#define FM0P_ADC0_PRTSL                           *((volatile  uint8_t*)(0x40027038UL))
#define FM_ADC0_SCTSL                             *((volatile  uint8_t*)(0x40027039UL))
#define FM0P_ADC0_SCTSL                           *((volatile  uint8_t*)(0x40027039UL))
#define FM_ADC0_ADCEN                             *((volatile uint16_t*)(0x4002703CUL))
#define FM0P_ADC0_ADCEN                           *((volatile uint16_t*)(0x4002703CUL))
#define FM_ADC0_WCMRCIF                           *((volatile uint32_t*)(0x40027044UL))
#define FM0P_ADC0_WCMRCIF                         *((volatile uint32_t*)(0x40027044UL))
#define FM_ADC0_WCMRCOT                           *((volatile uint32_t*)(0x40027048UL))
#define FM0P_ADC0_WCMRCOT                         *((volatile uint32_t*)(0x40027048UL))
#define FM_ADC0_WCMPCR                            *((volatile  uint8_t*)(0x4002704CUL))
#define FM0P_ADC0_WCMPCR                          *((volatile  uint8_t*)(0x4002704CUL))
#define FM_ADC0_WCMPSR                            *((volatile  uint8_t*)(0x4002704DUL))
#define FM0P_ADC0_WCMPSR                          *((volatile  uint8_t*)(0x4002704DUL))
#define FM_ADC0_WCMPDL                            *((volatile uint16_t*)(0x40027050UL))
#define FM0P_ADC0_WCMPDL                          *((volatile uint16_t*)(0x40027050UL))
#define FM_ADC0_WCMPDH                            *((volatile uint16_t*)(0x40027052UL))
#define FM0P_ADC0_WCMPDH                          *((volatile uint16_t*)(0x40027052UL))

/******************************************************************************
 ** BT Registers BT0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT0_PPG_PRLL                           *((volatile uint16_t*)(0x40025000UL))
#define FM0P_BT0_PPG_PRLL                         *((volatile uint16_t*)(0x40025000UL))
#define FM_BT0_PWM_PCSR                           *((volatile uint16_t*)(0x40025000UL))
#define FM0P_BT0_PWM_PCSR                         *((volatile uint16_t*)(0x40025000UL))
#define FM_BT0_RT_PCSR                            *((volatile uint16_t*)(0x40025000UL))
#define FM0P_BT0_RT_PCSR                          *((volatile uint16_t*)(0x40025000UL))
#define FM_BT0_PPG_PRLH                           *((volatile uint16_t*)(0x40025004UL))
#define FM0P_BT0_PPG_PRLH                         *((volatile uint16_t*)(0x40025004UL))
#define FM_BT0_PWC_DTBF                           *((volatile uint16_t*)(0x40025004UL))
#define FM0P_BT0_PWC_DTBF                         *((volatile uint16_t*)(0x40025004UL))
#define FM_BT0_PWM_PDUT                           *((volatile uint16_t*)(0x40025004UL))
#define FM0P_BT0_PWM_PDUT                         *((volatile uint16_t*)(0x40025004UL))
#define FM_BT0_PPG_TMR                            *((volatile uint16_t*)(0x40025008UL))
#define FM0P_BT0_PPG_TMR                          *((volatile uint16_t*)(0x40025008UL))
#define FM_BT0_PWM_TMR                            *((volatile uint16_t*)(0x40025008UL))
#define FM0P_BT0_PWM_TMR                          *((volatile uint16_t*)(0x40025008UL))
#define FM_BT0_RT_TMR                             *((volatile uint16_t*)(0x40025008UL))
#define FM0P_BT0_RT_TMR                           *((volatile uint16_t*)(0x40025008UL))
#define FM_BT0_PPG_TMCR                           *((volatile uint16_t*)(0x4002500CUL))
#define FM0P_BT0_PPG_TMCR                         *((volatile uint16_t*)(0x4002500CUL))
#define FM_BT0_PWC_TMCR                           *((volatile uint16_t*)(0x4002500CUL))
#define FM0P_BT0_PWC_TMCR                         *((volatile uint16_t*)(0x4002500CUL))
#define FM_BT0_PWM_TMCR                           *((volatile uint16_t*)(0x4002500CUL))
#define FM0P_BT0_PWM_TMCR                         *((volatile uint16_t*)(0x4002500CUL))
#define FM_BT0_RT_TMCR                            *((volatile uint16_t*)(0x4002500CUL))
#define FM0P_BT0_RT_TMCR                          *((volatile uint16_t*)(0x4002500CUL))
#define FM_BT0_PPG_STC                            *((volatile  uint8_t*)(0x40025010UL))
#define FM0P_BT0_PPG_STC                          *((volatile  uint8_t*)(0x40025010UL))
#define FM_BT0_PWC_STC                            *((volatile  uint8_t*)(0x40025010UL))
#define FM0P_BT0_PWC_STC                          *((volatile  uint8_t*)(0x40025010UL))
#define FM_BT0_PWM_STC                            *((volatile  uint8_t*)(0x40025010UL))
#define FM0P_BT0_PWM_STC                          *((volatile  uint8_t*)(0x40025010UL))
#define FM_BT0_RT_STC                             *((volatile  uint8_t*)(0x40025010UL))
#define FM0P_BT0_RT_STC                           *((volatile  uint8_t*)(0x40025010UL))
#define FM_BT0_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025011UL))
#define FM0P_BT0_PPG_TMCR2                        *((volatile  uint8_t*)(0x40025011UL))
#define FM_BT0_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025011UL))
#define FM0P_BT0_PWC_TMCR2                        *((volatile  uint8_t*)(0x40025011UL))
#define FM_BT0_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025011UL))
#define FM0P_BT0_PWM_TMCR2                        *((volatile  uint8_t*)(0x40025011UL))
#define FM_BT0_RT_TMCR2                           *((volatile  uint8_t*)(0x40025011UL))
#define FM0P_BT0_RT_TMCR2                         *((volatile  uint8_t*)(0x40025011UL))

/******************************************************************************
 ** BT Registers BT1
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT1_PPG_PRLL                           *((volatile uint16_t*)(0x40025040UL))
#define FM0P_BT1_PPG_PRLL                         *((volatile uint16_t*)(0x40025040UL))
#define FM_BT1_PWM_PCSR                           *((volatile uint16_t*)(0x40025040UL))
#define FM0P_BT1_PWM_PCSR                         *((volatile uint16_t*)(0x40025040UL))
#define FM_BT1_RT_PCSR                            *((volatile uint16_t*)(0x40025040UL))
#define FM0P_BT1_RT_PCSR                          *((volatile uint16_t*)(0x40025040UL))
#define FM_BT1_PPG_PRLH                           *((volatile uint16_t*)(0x40025044UL))
#define FM0P_BT1_PPG_PRLH                         *((volatile uint16_t*)(0x40025044UL))
#define FM_BT1_PWC_DTBF                           *((volatile uint16_t*)(0x40025044UL))
#define FM0P_BT1_PWC_DTBF                         *((volatile uint16_t*)(0x40025044UL))
#define FM_BT1_PWM_PDUT                           *((volatile uint16_t*)(0x40025044UL))
#define FM0P_BT1_PWM_PDUT                         *((volatile uint16_t*)(0x40025044UL))
#define FM_BT1_PPG_TMR                            *((volatile uint16_t*)(0x40025048UL))
#define FM0P_BT1_PPG_TMR                          *((volatile uint16_t*)(0x40025048UL))
#define FM_BT1_PWM_TMR                            *((volatile uint16_t*)(0x40025048UL))
#define FM0P_BT1_PWM_TMR                          *((volatile uint16_t*)(0x40025048UL))
#define FM_BT1_RT_TMR                             *((volatile uint16_t*)(0x40025048UL))
#define FM0P_BT1_RT_TMR                           *((volatile uint16_t*)(0x40025048UL))
#define FM_BT1_PPG_TMCR                           *((volatile uint16_t*)(0x4002504CUL))
#define FM0P_BT1_PPG_TMCR                         *((volatile uint16_t*)(0x4002504CUL))
#define FM_BT1_PWC_TMCR                           *((volatile uint16_t*)(0x4002504CUL))
#define FM0P_BT1_PWC_TMCR                         *((volatile uint16_t*)(0x4002504CUL))
#define FM_BT1_PWM_TMCR                           *((volatile uint16_t*)(0x4002504CUL))
#define FM0P_BT1_PWM_TMCR                         *((volatile uint16_t*)(0x4002504CUL))
#define FM_BT1_RT_TMCR                            *((volatile uint16_t*)(0x4002504CUL))
#define FM0P_BT1_RT_TMCR                          *((volatile uint16_t*)(0x4002504CUL))
#define FM_BT1_PPG_STC                            *((volatile  uint8_t*)(0x40025050UL))
#define FM0P_BT1_PPG_STC                          *((volatile  uint8_t*)(0x40025050UL))
#define FM_BT1_PWC_STC                            *((volatile  uint8_t*)(0x40025050UL))
#define FM0P_BT1_PWC_STC                          *((volatile  uint8_t*)(0x40025050UL))
#define FM_BT1_PWM_STC                            *((volatile  uint8_t*)(0x40025050UL))
#define FM0P_BT1_PWM_STC                          *((volatile  uint8_t*)(0x40025050UL))
#define FM_BT1_RT_STC                             *((volatile  uint8_t*)(0x40025050UL))
#define FM0P_BT1_RT_STC                           *((volatile  uint8_t*)(0x40025050UL))
#define FM_BT1_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025051UL))
#define FM0P_BT1_PPG_TMCR2                        *((volatile  uint8_t*)(0x40025051UL))
#define FM_BT1_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025051UL))
#define FM0P_BT1_PWC_TMCR2                        *((volatile  uint8_t*)(0x40025051UL))
#define FM_BT1_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025051UL))
#define FM0P_BT1_PWM_TMCR2                        *((volatile  uint8_t*)(0x40025051UL))
#define FM_BT1_RT_TMCR2                           *((volatile  uint8_t*)(0x40025051UL))
#define FM0P_BT1_RT_TMCR2                         *((volatile  uint8_t*)(0x40025051UL))

/******************************************************************************
 ** BT Registers BT2
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT2_PPG_PRLL                           *((volatile uint16_t*)(0x40025080UL))
#define FM0P_BT2_PPG_PRLL                         *((volatile uint16_t*)(0x40025080UL))
#define FM_BT2_PWM_PCSR                           *((volatile uint16_t*)(0x40025080UL))
#define FM0P_BT2_PWM_PCSR                         *((volatile uint16_t*)(0x40025080UL))
#define FM_BT2_RT_PCSR                            *((volatile uint16_t*)(0x40025080UL))
#define FM0P_BT2_RT_PCSR                          *((volatile uint16_t*)(0x40025080UL))
#define FM_BT2_PPG_PRLH                           *((volatile uint16_t*)(0x40025084UL))
#define FM0P_BT2_PPG_PRLH                         *((volatile uint16_t*)(0x40025084UL))
#define FM_BT2_PWC_DTBF                           *((volatile uint16_t*)(0x40025084UL))
#define FM0P_BT2_PWC_DTBF                         *((volatile uint16_t*)(0x40025084UL))
#define FM_BT2_PWM_PDUT                           *((volatile uint16_t*)(0x40025084UL))
#define FM0P_BT2_PWM_PDUT                         *((volatile uint16_t*)(0x40025084UL))
#define FM_BT2_PPG_TMR                            *((volatile uint16_t*)(0x40025088UL))
#define FM0P_BT2_PPG_TMR                          *((volatile uint16_t*)(0x40025088UL))
#define FM_BT2_PWM_TMR                            *((volatile uint16_t*)(0x40025088UL))
#define FM0P_BT2_PWM_TMR                          *((volatile uint16_t*)(0x40025088UL))
#define FM_BT2_RT_TMR                             *((volatile uint16_t*)(0x40025088UL))
#define FM0P_BT2_RT_TMR                           *((volatile uint16_t*)(0x40025088UL))
#define FM_BT2_PPG_TMCR                           *((volatile uint16_t*)(0x4002508CUL))
#define FM0P_BT2_PPG_TMCR                         *((volatile uint16_t*)(0x4002508CUL))
#define FM_BT2_PWC_TMCR                           *((volatile uint16_t*)(0x4002508CUL))
#define FM0P_BT2_PWC_TMCR                         *((volatile uint16_t*)(0x4002508CUL))
#define FM_BT2_PWM_TMCR                           *((volatile uint16_t*)(0x4002508CUL))
#define FM0P_BT2_PWM_TMCR                         *((volatile uint16_t*)(0x4002508CUL))
#define FM_BT2_RT_TMCR                            *((volatile uint16_t*)(0x4002508CUL))
#define FM0P_BT2_RT_TMCR                          *((volatile uint16_t*)(0x4002508CUL))
#define FM_BT2_PPG_STC                            *((volatile  uint8_t*)(0x40025090UL))
#define FM0P_BT2_PPG_STC                          *((volatile  uint8_t*)(0x40025090UL))
#define FM_BT2_PWC_STC                            *((volatile  uint8_t*)(0x40025090UL))
#define FM0P_BT2_PWC_STC                          *((volatile  uint8_t*)(0x40025090UL))
#define FM_BT2_PWM_STC                            *((volatile  uint8_t*)(0x40025090UL))
#define FM0P_BT2_PWM_STC                          *((volatile  uint8_t*)(0x40025090UL))
#define FM_BT2_RT_STC                             *((volatile  uint8_t*)(0x40025090UL))
#define FM0P_BT2_RT_STC                           *((volatile  uint8_t*)(0x40025090UL))
#define FM_BT2_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025091UL))
#define FM0P_BT2_PPG_TMCR2                        *((volatile  uint8_t*)(0x40025091UL))
#define FM_BT2_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025091UL))
#define FM0P_BT2_PWC_TMCR2                        *((volatile  uint8_t*)(0x40025091UL))
#define FM_BT2_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025091UL))
#define FM0P_BT2_PWM_TMCR2                        *((volatile  uint8_t*)(0x40025091UL))
#define FM_BT2_RT_TMCR2                           *((volatile  uint8_t*)(0x40025091UL))
#define FM0P_BT2_RT_TMCR2                         *((volatile  uint8_t*)(0x40025091UL))

/******************************************************************************
 ** BT Registers BT3
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT3_PPG_PRLL                           *((volatile uint16_t*)(0x400250C0UL))
#define FM0P_BT3_PPG_PRLL                         *((volatile uint16_t*)(0x400250C0UL))
#define FM_BT3_PWM_PCSR                           *((volatile uint16_t*)(0x400250C0UL))
#define FM0P_BT3_PWM_PCSR                         *((volatile uint16_t*)(0x400250C0UL))
#define FM_BT3_RT_PCSR                            *((volatile uint16_t*)(0x400250C0UL))
#define FM0P_BT3_RT_PCSR                          *((volatile uint16_t*)(0x400250C0UL))
#define FM_BT3_PPG_PRLH                           *((volatile uint16_t*)(0x400250C4UL))
#define FM0P_BT3_PPG_PRLH                         *((volatile uint16_t*)(0x400250C4UL))
#define FM_BT3_PWC_DTBF                           *((volatile uint16_t*)(0x400250C4UL))
#define FM0P_BT3_PWC_DTBF                         *((volatile uint16_t*)(0x400250C4UL))
#define FM_BT3_PWM_PDUT                           *((volatile uint16_t*)(0x400250C4UL))
#define FM0P_BT3_PWM_PDUT                         *((volatile uint16_t*)(0x400250C4UL))
#define FM_BT3_PPG_TMR                            *((volatile uint16_t*)(0x400250C8UL))
#define FM0P_BT3_PPG_TMR                          *((volatile uint16_t*)(0x400250C8UL))
#define FM_BT3_PWM_TMR                            *((volatile uint16_t*)(0x400250C8UL))
#define FM0P_BT3_PWM_TMR                          *((volatile uint16_t*)(0x400250C8UL))
#define FM_BT3_RT_TMR                             *((volatile uint16_t*)(0x400250C8UL))
#define FM0P_BT3_RT_TMR                           *((volatile uint16_t*)(0x400250C8UL))
#define FM_BT3_PPG_TMCR                           *((volatile uint16_t*)(0x400250CCUL))
#define FM0P_BT3_PPG_TMCR                         *((volatile uint16_t*)(0x400250CCUL))
#define FM_BT3_PWC_TMCR                           *((volatile uint16_t*)(0x400250CCUL))
#define FM0P_BT3_PWC_TMCR                         *((volatile uint16_t*)(0x400250CCUL))
#define FM_BT3_PWM_TMCR                           *((volatile uint16_t*)(0x400250CCUL))
#define FM0P_BT3_PWM_TMCR                         *((volatile uint16_t*)(0x400250CCUL))
#define FM_BT3_RT_TMCR                            *((volatile uint16_t*)(0x400250CCUL))
#define FM0P_BT3_RT_TMCR                          *((volatile uint16_t*)(0x400250CCUL))
#define FM_BT3_PPG_STC                            *((volatile  uint8_t*)(0x400250D0UL))
#define FM0P_BT3_PPG_STC                          *((volatile  uint8_t*)(0x400250D0UL))
#define FM_BT3_PWC_STC                            *((volatile  uint8_t*)(0x400250D0UL))
#define FM0P_BT3_PWC_STC                          *((volatile  uint8_t*)(0x400250D0UL))
#define FM_BT3_PWM_STC                            *((volatile  uint8_t*)(0x400250D0UL))
#define FM0P_BT3_PWM_STC                          *((volatile  uint8_t*)(0x400250D0UL))
#define FM_BT3_RT_STC                             *((volatile  uint8_t*)(0x400250D0UL))
#define FM0P_BT3_RT_STC                           *((volatile  uint8_t*)(0x400250D0UL))
#define FM_BT3_PPG_TMCR2                          *((volatile  uint8_t*)(0x400250D1UL))
#define FM0P_BT3_PPG_TMCR2                        *((volatile  uint8_t*)(0x400250D1UL))
#define FM_BT3_PWC_TMCR2                          *((volatile  uint8_t*)(0x400250D1UL))
#define FM0P_BT3_PWC_TMCR2                        *((volatile  uint8_t*)(0x400250D1UL))
#define FM_BT3_PWM_TMCR2                          *((volatile  uint8_t*)(0x400250D1UL))
#define FM0P_BT3_PWM_TMCR2                        *((volatile  uint8_t*)(0x400250D1UL))
#define FM_BT3_RT_TMCR2                           *((volatile  uint8_t*)(0x400250D1UL))
#define FM0P_BT3_RT_TMCR2                         *((volatile  uint8_t*)(0x400250D1UL))

/******************************************************************************
 ** BT Registers BT4
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT4_PPG_PRLL                           *((volatile uint16_t*)(0x40025200UL))
#define FM0P_BT4_PPG_PRLL                         *((volatile uint16_t*)(0x40025200UL))
#define FM_BT4_PWM_PCSR                           *((volatile uint16_t*)(0x40025200UL))
#define FM0P_BT4_PWM_PCSR                         *((volatile uint16_t*)(0x40025200UL))
#define FM_BT4_RT_PCSR                            *((volatile uint16_t*)(0x40025200UL))
#define FM0P_BT4_RT_PCSR                          *((volatile uint16_t*)(0x40025200UL))
#define FM_BT4_PPG_PRLH                           *((volatile uint16_t*)(0x40025204UL))
#define FM0P_BT4_PPG_PRLH                         *((volatile uint16_t*)(0x40025204UL))
#define FM_BT4_PWC_DTBF                           *((volatile uint16_t*)(0x40025204UL))
#define FM0P_BT4_PWC_DTBF                         *((volatile uint16_t*)(0x40025204UL))
#define FM_BT4_PWM_PDUT                           *((volatile uint16_t*)(0x40025204UL))
#define FM0P_BT4_PWM_PDUT                         *((volatile uint16_t*)(0x40025204UL))
#define FM_BT4_PPG_TMR                            *((volatile uint16_t*)(0x40025208UL))
#define FM0P_BT4_PPG_TMR                          *((volatile uint16_t*)(0x40025208UL))
#define FM_BT4_PWM_TMR                            *((volatile uint16_t*)(0x40025208UL))
#define FM0P_BT4_PWM_TMR                          *((volatile uint16_t*)(0x40025208UL))
#define FM_BT4_RT_TMR                             *((volatile uint16_t*)(0x40025208UL))
#define FM0P_BT4_RT_TMR                           *((volatile uint16_t*)(0x40025208UL))
#define FM_BT4_PPG_TMCR                           *((volatile uint16_t*)(0x4002520CUL))
#define FM0P_BT4_PPG_TMCR                         *((volatile uint16_t*)(0x4002520CUL))
#define FM_BT4_PWC_TMCR                           *((volatile uint16_t*)(0x4002520CUL))
#define FM0P_BT4_PWC_TMCR                         *((volatile uint16_t*)(0x4002520CUL))
#define FM_BT4_PWM_TMCR                           *((volatile uint16_t*)(0x4002520CUL))
#define FM0P_BT4_PWM_TMCR                         *((volatile uint16_t*)(0x4002520CUL))
#define FM_BT4_RT_TMCR                            *((volatile uint16_t*)(0x4002520CUL))
#define FM0P_BT4_RT_TMCR                          *((volatile uint16_t*)(0x4002520CUL))
#define FM_BT4_PPG_STC                            *((volatile  uint8_t*)(0x40025210UL))
#define FM0P_BT4_PPG_STC                          *((volatile  uint8_t*)(0x40025210UL))
#define FM_BT4_PWC_STC                            *((volatile  uint8_t*)(0x40025210UL))
#define FM0P_BT4_PWC_STC                          *((volatile  uint8_t*)(0x40025210UL))
#define FM_BT4_PWM_STC                            *((volatile  uint8_t*)(0x40025210UL))
#define FM0P_BT4_PWM_STC                          *((volatile  uint8_t*)(0x40025210UL))
#define FM_BT4_RT_STC                             *((volatile  uint8_t*)(0x40025210UL))
#define FM0P_BT4_RT_STC                           *((volatile  uint8_t*)(0x40025210UL))
#define FM_BT4_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025211UL))
#define FM0P_BT4_PPG_TMCR2                        *((volatile  uint8_t*)(0x40025211UL))
#define FM_BT4_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025211UL))
#define FM0P_BT4_PWC_TMCR2                        *((volatile  uint8_t*)(0x40025211UL))
#define FM_BT4_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025211UL))
#define FM0P_BT4_PWM_TMCR2                        *((volatile  uint8_t*)(0x40025211UL))
#define FM_BT4_RT_TMCR2                           *((volatile  uint8_t*)(0x40025211UL))
#define FM0P_BT4_RT_TMCR2                         *((volatile  uint8_t*)(0x40025211UL))

/******************************************************************************
 ** BT Registers BT5
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT5_PPG_PRLL                           *((volatile uint16_t*)(0x40025240UL))
#define FM0P_BT5_PPG_PRLL                         *((volatile uint16_t*)(0x40025240UL))
#define FM_BT5_PWM_PCSR                           *((volatile uint16_t*)(0x40025240UL))
#define FM0P_BT5_PWM_PCSR                         *((volatile uint16_t*)(0x40025240UL))
#define FM_BT5_RT_PCSR                            *((volatile uint16_t*)(0x40025240UL))
#define FM0P_BT5_RT_PCSR                          *((volatile uint16_t*)(0x40025240UL))
#define FM_BT5_PPG_PRLH                           *((volatile uint16_t*)(0x40025244UL))
#define FM0P_BT5_PPG_PRLH                         *((volatile uint16_t*)(0x40025244UL))
#define FM_BT5_PWC_DTBF                           *((volatile uint16_t*)(0x40025244UL))
#define FM0P_BT5_PWC_DTBF                         *((volatile uint16_t*)(0x40025244UL))
#define FM_BT5_PWM_PDUT                           *((volatile uint16_t*)(0x40025244UL))
#define FM0P_BT5_PWM_PDUT                         *((volatile uint16_t*)(0x40025244UL))
#define FM_BT5_PPG_TMR                            *((volatile uint16_t*)(0x40025248UL))
#define FM0P_BT5_PPG_TMR                          *((volatile uint16_t*)(0x40025248UL))
#define FM_BT5_PWM_TMR                            *((volatile uint16_t*)(0x40025248UL))
#define FM0P_BT5_PWM_TMR                          *((volatile uint16_t*)(0x40025248UL))
#define FM_BT5_RT_TMR                             *((volatile uint16_t*)(0x40025248UL))
#define FM0P_BT5_RT_TMR                           *((volatile uint16_t*)(0x40025248UL))
#define FM_BT5_PPG_TMCR                           *((volatile uint16_t*)(0x4002524CUL))
#define FM0P_BT5_PPG_TMCR                         *((volatile uint16_t*)(0x4002524CUL))
#define FM_BT5_PWC_TMCR                           *((volatile uint16_t*)(0x4002524CUL))
#define FM0P_BT5_PWC_TMCR                         *((volatile uint16_t*)(0x4002524CUL))
#define FM_BT5_PWM_TMCR                           *((volatile uint16_t*)(0x4002524CUL))
#define FM0P_BT5_PWM_TMCR                         *((volatile uint16_t*)(0x4002524CUL))
#define FM_BT5_RT_TMCR                            *((volatile uint16_t*)(0x4002524CUL))
#define FM0P_BT5_RT_TMCR                          *((volatile uint16_t*)(0x4002524CUL))
#define FM_BT5_PPG_STC                            *((volatile  uint8_t*)(0x40025250UL))
#define FM0P_BT5_PPG_STC                          *((volatile  uint8_t*)(0x40025250UL))
#define FM_BT5_PWC_STC                            *((volatile  uint8_t*)(0x40025250UL))
#define FM0P_BT5_PWC_STC                          *((volatile  uint8_t*)(0x40025250UL))
#define FM_BT5_PWM_STC                            *((volatile  uint8_t*)(0x40025250UL))
#define FM0P_BT5_PWM_STC                          *((volatile  uint8_t*)(0x40025250UL))
#define FM_BT5_RT_STC                             *((volatile  uint8_t*)(0x40025250UL))
#define FM0P_BT5_RT_STC                           *((volatile  uint8_t*)(0x40025250UL))
#define FM_BT5_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025251UL))
#define FM0P_BT5_PPG_TMCR2                        *((volatile  uint8_t*)(0x40025251UL))
#define FM_BT5_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025251UL))
#define FM0P_BT5_PWC_TMCR2                        *((volatile  uint8_t*)(0x40025251UL))
#define FM_BT5_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025251UL))
#define FM0P_BT5_PWM_TMCR2                        *((volatile  uint8_t*)(0x40025251UL))
#define FM_BT5_RT_TMCR2                           *((volatile  uint8_t*)(0x40025251UL))
#define FM0P_BT5_RT_TMCR2                         *((volatile  uint8_t*)(0x40025251UL))

/******************************************************************************
 ** BT Registers BT6
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT6_PPG_PRLL                           *((volatile uint16_t*)(0x40025280UL))
#define FM0P_BT6_PPG_PRLL                         *((volatile uint16_t*)(0x40025280UL))
#define FM_BT6_PWM_PCSR                           *((volatile uint16_t*)(0x40025280UL))
#define FM0P_BT6_PWM_PCSR                         *((volatile uint16_t*)(0x40025280UL))
#define FM_BT6_RT_PCSR                            *((volatile uint16_t*)(0x40025280UL))
#define FM0P_BT6_RT_PCSR                          *((volatile uint16_t*)(0x40025280UL))
#define FM_BT6_PPG_PRLH                           *((volatile uint16_t*)(0x40025284UL))
#define FM0P_BT6_PPG_PRLH                         *((volatile uint16_t*)(0x40025284UL))
#define FM_BT6_PWC_DTBF                           *((volatile uint16_t*)(0x40025284UL))
#define FM0P_BT6_PWC_DTBF                         *((volatile uint16_t*)(0x40025284UL))
#define FM_BT6_PWM_PDUT                           *((volatile uint16_t*)(0x40025284UL))
#define FM0P_BT6_PWM_PDUT                         *((volatile uint16_t*)(0x40025284UL))
#define FM_BT6_PPG_TMR                            *((volatile uint16_t*)(0x40025288UL))
#define FM0P_BT6_PPG_TMR                          *((volatile uint16_t*)(0x40025288UL))
#define FM_BT6_PWM_TMR                            *((volatile uint16_t*)(0x40025288UL))
#define FM0P_BT6_PWM_TMR                          *((volatile uint16_t*)(0x40025288UL))
#define FM_BT6_RT_TMR                             *((volatile uint16_t*)(0x40025288UL))
#define FM0P_BT6_RT_TMR                           *((volatile uint16_t*)(0x40025288UL))
#define FM_BT6_PPG_TMCR                           *((volatile uint16_t*)(0x4002528CUL))
#define FM0P_BT6_PPG_TMCR                         *((volatile uint16_t*)(0x4002528CUL))
#define FM_BT6_PWC_TMCR                           *((volatile uint16_t*)(0x4002528CUL))
#define FM0P_BT6_PWC_TMCR                         *((volatile uint16_t*)(0x4002528CUL))
#define FM_BT6_PWM_TMCR                           *((volatile uint16_t*)(0x4002528CUL))
#define FM0P_BT6_PWM_TMCR                         *((volatile uint16_t*)(0x4002528CUL))
#define FM_BT6_RT_TMCR                            *((volatile uint16_t*)(0x4002528CUL))
#define FM0P_BT6_RT_TMCR                          *((volatile uint16_t*)(0x4002528CUL))
#define FM_BT6_PPG_STC                            *((volatile  uint8_t*)(0x40025290UL))
#define FM0P_BT6_PPG_STC                          *((volatile  uint8_t*)(0x40025290UL))
#define FM_BT6_PWC_STC                            *((volatile  uint8_t*)(0x40025290UL))
#define FM0P_BT6_PWC_STC                          *((volatile  uint8_t*)(0x40025290UL))
#define FM_BT6_PWM_STC                            *((volatile  uint8_t*)(0x40025290UL))
#define FM0P_BT6_PWM_STC                          *((volatile  uint8_t*)(0x40025290UL))
#define FM_BT6_RT_STC                             *((volatile  uint8_t*)(0x40025290UL))
#define FM0P_BT6_RT_STC                           *((volatile  uint8_t*)(0x40025290UL))
#define FM_BT6_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025291UL))
#define FM0P_BT6_PPG_TMCR2                        *((volatile  uint8_t*)(0x40025291UL))
#define FM_BT6_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025291UL))
#define FM0P_BT6_PWC_TMCR2                        *((volatile  uint8_t*)(0x40025291UL))
#define FM_BT6_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025291UL))
#define FM0P_BT6_PWM_TMCR2                        *((volatile  uint8_t*)(0x40025291UL))
#define FM_BT6_RT_TMCR2                           *((volatile  uint8_t*)(0x40025291UL))
#define FM0P_BT6_RT_TMCR2                         *((volatile  uint8_t*)(0x40025291UL))

/******************************************************************************
 ** BT Registers BT7
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT7_PPG_PRLL                           *((volatile uint16_t*)(0x400252C0UL))
#define FM0P_BT7_PPG_PRLL                         *((volatile uint16_t*)(0x400252C0UL))
#define FM_BT7_PWM_PCSR                           *((volatile uint16_t*)(0x400252C0UL))
#define FM0P_BT7_PWM_PCSR                         *((volatile uint16_t*)(0x400252C0UL))
#define FM_BT7_RT_PCSR                            *((volatile uint16_t*)(0x400252C0UL))
#define FM0P_BT7_RT_PCSR                          *((volatile uint16_t*)(0x400252C0UL))
#define FM_BT7_PPG_PRLH                           *((volatile uint16_t*)(0x400252C4UL))
#define FM0P_BT7_PPG_PRLH                         *((volatile uint16_t*)(0x400252C4UL))
#define FM_BT7_PWC_DTBF                           *((volatile uint16_t*)(0x400252C4UL))
#define FM0P_BT7_PWC_DTBF                         *((volatile uint16_t*)(0x400252C4UL))
#define FM_BT7_PWM_PDUT                           *((volatile uint16_t*)(0x400252C4UL))
#define FM0P_BT7_PWM_PDUT                         *((volatile uint16_t*)(0x400252C4UL))
#define FM_BT7_PPG_TMR                            *((volatile uint16_t*)(0x400252C8UL))
#define FM0P_BT7_PPG_TMR                          *((volatile uint16_t*)(0x400252C8UL))
#define FM_BT7_PWM_TMR                            *((volatile uint16_t*)(0x400252C8UL))
#define FM0P_BT7_PWM_TMR                          *((volatile uint16_t*)(0x400252C8UL))
#define FM_BT7_RT_TMR                             *((volatile uint16_t*)(0x400252C8UL))
#define FM0P_BT7_RT_TMR                           *((volatile uint16_t*)(0x400252C8UL))
#define FM_BT7_PPG_TMCR                           *((volatile uint16_t*)(0x400252CCUL))
#define FM0P_BT7_PPG_TMCR                         *((volatile uint16_t*)(0x400252CCUL))
#define FM_BT7_PWC_TMCR                           *((volatile uint16_t*)(0x400252CCUL))
#define FM0P_BT7_PWC_TMCR                         *((volatile uint16_t*)(0x400252CCUL))
#define FM_BT7_PWM_TMCR                           *((volatile uint16_t*)(0x400252CCUL))
#define FM0P_BT7_PWM_TMCR                         *((volatile uint16_t*)(0x400252CCUL))
#define FM_BT7_RT_TMCR                            *((volatile uint16_t*)(0x400252CCUL))
#define FM0P_BT7_RT_TMCR                          *((volatile uint16_t*)(0x400252CCUL))
#define FM_BT7_PPG_STC                            *((volatile  uint8_t*)(0x400252D0UL))
#define FM0P_BT7_PPG_STC                          *((volatile  uint8_t*)(0x400252D0UL))
#define FM_BT7_PWC_STC                            *((volatile  uint8_t*)(0x400252D0UL))
#define FM0P_BT7_PWC_STC                          *((volatile  uint8_t*)(0x400252D0UL))
#define FM_BT7_PWM_STC                            *((volatile  uint8_t*)(0x400252D0UL))
#define FM0P_BT7_PWM_STC                          *((volatile  uint8_t*)(0x400252D0UL))
#define FM_BT7_RT_STC                             *((volatile  uint8_t*)(0x400252D0UL))
#define FM0P_BT7_RT_STC                           *((volatile  uint8_t*)(0x400252D0UL))
#define FM_BT7_PPG_TMCR2                          *((volatile  uint8_t*)(0x400252D1UL))
#define FM0P_BT7_PPG_TMCR2                        *((volatile  uint8_t*)(0x400252D1UL))
#define FM_BT7_PWC_TMCR2                          *((volatile  uint8_t*)(0x400252D1UL))
#define FM0P_BT7_PWC_TMCR2                        *((volatile  uint8_t*)(0x400252D1UL))
#define FM_BT7_PWM_TMCR2                          *((volatile  uint8_t*)(0x400252D1UL))
#define FM0P_BT7_PWM_TMCR2                        *((volatile  uint8_t*)(0x400252D1UL))
#define FM_BT7_RT_TMCR2                           *((volatile  uint8_t*)(0x400252D1UL))
#define FM0P_BT7_RT_TMCR2                         *((volatile  uint8_t*)(0x400252D1UL))

/******************************************************************************
 ** BTIOSEL03 Registers BTIOSEL03
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BTIOSEL03_BTSEL0123                    *((volatile  uint8_t*)(0x40025101UL))
#define FM0P_BTIOSEL03_BTSEL0123                  *((volatile  uint8_t*)(0x40025101UL))

/******************************************************************************
 ** BTIOSEL47 Registers BTIOSEL47
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BTIOSEL47_BTSEL4567                    *((volatile  uint8_t*)(0x40025301UL))
#define FM0P_BTIOSEL47_BTSEL4567                  *((volatile  uint8_t*)(0x40025301UL))

/******************************************************************************
 ** CLK_GATING Registers CLK_GATING
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_CLK_GATING_CKEN0                       *((volatile uint32_t*)(0x4003C100UL))
#define FM0P_CLK_GATING_CKEN0                     *((volatile uint32_t*)(0x4003C100UL))
#define FM_CLK_GATING_MRST0                       *((volatile uint32_t*)(0x4003C104UL))
#define FM0P_CLK_GATING_MRST0                     *((volatile uint32_t*)(0x4003C104UL))
#define FM_CLK_GATING_CKEN1                       *((volatile uint32_t*)(0x4003C110UL))
#define FM0P_CLK_GATING_CKEN1                     *((volatile uint32_t*)(0x4003C110UL))
#define FM_CLK_GATING_MRST1                       *((volatile uint32_t*)(0x4003C114UL))
#define FM0P_CLK_GATING_MRST1                     *((volatile uint32_t*)(0x4003C114UL))
#define FM_CLK_GATING_CKEN2                       *((volatile uint32_t*)(0x4003C120UL))
#define FM0P_CLK_GATING_CKEN2                     *((volatile uint32_t*)(0x4003C120UL))
#define FM_CLK_GATING_MRST2                       *((volatile uint32_t*)(0x4003C124UL))
#define FM0P_CLK_GATING_MRST2                     *((volatile uint32_t*)(0x4003C124UL))

/******************************************************************************
 ** CRC Registers CRC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_CRC_CRCCR                              *((volatile  uint8_t*)(0x40039000UL))
#define FM0P_CRC_CRCCR                            *((volatile  uint8_t*)(0x40039000UL))
#define FM_CRC_CRCINIT                            *((volatile uint32_t*)(0x40039004UL))
#define FM0P_CRC_CRCINIT                          *((volatile uint32_t*)(0x40039004UL))
#define FM_CRC_CRCIN                              *((volatile uint32_t*)(0x40039008UL))
#define FM0P_CRC_CRCIN                            *((volatile uint32_t*)(0x40039008UL))
#define FM_CRC_CRCR                               *((volatile uint32_t*)(0x4003900CUL))
#define FM0P_CRC_CRCR                             *((volatile uint32_t*)(0x4003900CUL))

/******************************************************************************
 ** CRG Registers CRG
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_CRG_SCM_CTL                            *((volatile uint32_t*)(0x40010000UL))
#define FM0P_CRG_SCM_CTL                          *((volatile uint32_t*)(0x40010000UL))
#define FM_CRG_SCM_STR                            *((volatile uint32_t*)(0x40010004UL))
#define FM0P_CRG_SCM_STR                          *((volatile uint32_t*)(0x40010004UL))
#define FM_CRG_STB_CTL                            *((volatile uint32_t*)(0x40010008UL))
#define FM0P_CRG_STB_CTL                          *((volatile uint32_t*)(0x40010008UL))
#define FM_CRG_RST_STR                            *((volatile uint32_t*)(0x4001000CUL))
#define FM0P_CRG_RST_STR                          *((volatile uint32_t*)(0x4001000CUL))
#define FM_CRG_BSC_PSR                            *((volatile uint32_t*)(0x40010010UL))
#define FM0P_CRG_BSC_PSR                          *((volatile uint32_t*)(0x40010010UL))
#define FM_CRG_APBC0_PSR                          *((volatile uint32_t*)(0x40010014UL))
#define FM0P_CRG_APBC0_PSR                        *((volatile uint32_t*)(0x40010014UL))
#define FM_CRG_APBC1_PSR                          *((volatile uint32_t*)(0x40010018UL))
#define FM0P_CRG_APBC1_PSR                        *((volatile uint32_t*)(0x40010018UL))
#define FM_CRG_SWC_PSR                            *((volatile uint32_t*)(0x40010020UL))
#define FM0P_CRG_SWC_PSR                          *((volatile uint32_t*)(0x40010020UL))
#define FM_CRG_CSW_TMR                            *((volatile uint32_t*)(0x40010030UL))
#define FM0P_CRG_CSW_TMR                          *((volatile uint32_t*)(0x40010030UL))
#define FM_CRG_PSW_TMR                            *((volatile uint32_t*)(0x40010034UL))
#define FM0P_CRG_PSW_TMR                          *((volatile uint32_t*)(0x40010034UL))
#define FM_CRG_PLL_CTL1                           *((volatile uint32_t*)(0x40010038UL))
#define FM0P_CRG_PLL_CTL1                         *((volatile uint32_t*)(0x40010038UL))
#define FM_CRG_PLL_CTL2                           *((volatile uint32_t*)(0x4001003CUL))
#define FM0P_CRG_PLL_CTL2                         *((volatile uint32_t*)(0x4001003CUL))
#define FM_CRG_CSV_CTL                            *((volatile uint32_t*)(0x40010040UL))
#define FM0P_CRG_CSV_CTL                          *((volatile uint32_t*)(0x40010040UL))
#define FM_CRG_CSV_STR                            *((volatile uint32_t*)(0x40010044UL))
#define FM0P_CRG_CSV_STR                          *((volatile uint32_t*)(0x40010044UL))
#define FM_CRG_FCSWH_CTL                          *((volatile uint32_t*)(0x40010048UL))
#define FM0P_CRG_FCSWH_CTL                        *((volatile uint32_t*)(0x40010048UL))
#define FM_CRG_FCSWL_CTL                          *((volatile uint32_t*)(0x4001004CUL))
#define FM0P_CRG_FCSWL_CTL                        *((volatile uint32_t*)(0x4001004CUL))
#define FM_CRG_FCSWD_CTL                          *((volatile uint32_t*)(0x40010050UL))
#define FM0P_CRG_FCSWD_CTL                        *((volatile uint32_t*)(0x40010050UL))
#define FM_CRG_DBWDT_CTL                          *((volatile uint32_t*)(0x40010054UL))
#define FM0P_CRG_DBWDT_CTL                        *((volatile uint32_t*)(0x40010054UL))
#define FM_CRG_INT_ENR                            *((volatile uint32_t*)(0x40010060UL))
#define FM0P_CRG_INT_ENR                          *((volatile uint32_t*)(0x40010060UL))
#define FM_CRG_INT_STR                            *((volatile uint32_t*)(0x40010064UL))
#define FM0P_CRG_INT_STR                          *((volatile uint32_t*)(0x40010064UL))
#define FM_CRG_INT_CLR                            *((volatile uint32_t*)(0x40010068UL))
#define FM0P_CRG_INT_CLR                          *((volatile uint32_t*)(0x40010068UL))

/******************************************************************************
 ** CRTRIM Registers CRTRIM
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_CRTRIM_MCR_PSR                         *((volatile  uint8_t*)(0x4002E000UL))
#define FM0P_CRTRIM_MCR_PSR                       *((volatile  uint8_t*)(0x4002E000UL))
#define FM_CRTRIM_MCR_FTRM                        *((volatile uint16_t*)(0x4002E004UL))
#define FM0P_CRTRIM_MCR_FTRM                      *((volatile uint16_t*)(0x4002E004UL))
#define FM_CRTRIM_MCR_TTRM                        *((volatile  uint8_t*)(0x4002E008UL))
#define FM0P_CRTRIM_MCR_TTRM                      *((volatile  uint8_t*)(0x4002E008UL))
#define FM_CRTRIM_MCR_RLR                         *((volatile uint32_t*)(0x4002E00CUL))
#define FM0P_CRTRIM_MCR_RLR                       *((volatile uint32_t*)(0x4002E00CUL))

/******************************************************************************
 ** DS Registers DS
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_DS_REG_CTL                             *((volatile  uint8_t*)(0x40035100UL))
#define FM0P_DS_REG_CTL                           *((volatile  uint8_t*)(0x40035100UL))
#define FM_DS_RCK_CTL                             *((volatile  uint8_t*)(0x40035104UL))
#define FM0P_DS_RCK_CTL                           *((volatile  uint8_t*)(0x40035104UL))
#define FM_DS_MOSC_CTL                            *((volatile  uint8_t*)(0x40035110UL))
#define FM0P_DS_MOSC_CTL                          *((volatile  uint8_t*)(0x40035110UL))
#define FM_DS_CAL_CTL                             *((volatile  uint8_t*)(0x40035200UL))
#define FM0P_DS_CAL_CTL                           *((volatile  uint8_t*)(0x40035200UL))
#define FM_DS_CAL_KEY                             *((volatile uint32_t*)(0x40035208UL))
#define FM0P_DS_CAL_KEY                           *((volatile uint32_t*)(0x40035208UL))
#define FM_DS_PMD_CTL                             *((volatile  uint8_t*)(0x40035800UL))
#define FM0P_DS_PMD_CTL                           *((volatile  uint8_t*)(0x40035800UL))
#define FM_DS_WRFSR                               *((volatile  uint8_t*)(0x40035804UL))
#define FM0P_DS_WRFSR                             *((volatile  uint8_t*)(0x40035804UL))
#define FM_DS_WIFSR                               *((volatile uint16_t*)(0x40035808UL))
#define FM0P_DS_WIFSR                             *((volatile uint16_t*)(0x40035808UL))
#define FM_DS_WIER                                *((volatile uint16_t*)(0x4003580CUL))
#define FM0P_DS_WIER                              *((volatile uint16_t*)(0x4003580CUL))
#define FM_DS_WILVR                               *((volatile uint16_t*)(0x40035810UL))
#define FM0P_DS_WILVR                             *((volatile uint16_t*)(0x40035810UL))
#define FM_DS_DSRAMR                              *((volatile  uint8_t*)(0x40035814UL))
#define FM0P_DS_DSRAMR                            *((volatile  uint8_t*)(0x40035814UL))
#define FM_DS_BUR01                               *((volatile  uint8_t*)(0x40035900UL))
#define FM0P_DS_BUR01                             *((volatile  uint8_t*)(0x40035900UL))
#define FM_DS_BUR02                               *((volatile  uint8_t*)(0x40035901UL))
#define FM0P_DS_BUR02                             *((volatile  uint8_t*)(0x40035901UL))
#define FM_DS_BUR03                               *((volatile  uint8_t*)(0x40035902UL))
#define FM0P_DS_BUR03                             *((volatile  uint8_t*)(0x40035902UL))
#define FM_DS_BUR04                               *((volatile  uint8_t*)(0x40035903UL))
#define FM0P_DS_BUR04                             *((volatile  uint8_t*)(0x40035903UL))
#define FM_DS_BUR05                               *((volatile  uint8_t*)(0x40035904UL))
#define FM0P_DS_BUR05                             *((volatile  uint8_t*)(0x40035904UL))
#define FM_DS_BUR06                               *((volatile  uint8_t*)(0x40035905UL))
#define FM0P_DS_BUR06                             *((volatile  uint8_t*)(0x40035905UL))
#define FM_DS_BUR07                               *((volatile  uint8_t*)(0x40035906UL))
#define FM0P_DS_BUR07                             *((volatile  uint8_t*)(0x40035906UL))
#define FM_DS_BUR08                               *((volatile  uint8_t*)(0x40035907UL))
#define FM0P_DS_BUR08                             *((volatile  uint8_t*)(0x40035907UL))
#define FM_DS_BUR09                               *((volatile  uint8_t*)(0x40035908UL))
#define FM0P_DS_BUR09                             *((volatile  uint8_t*)(0x40035908UL))
#define FM_DS_BUR10                               *((volatile  uint8_t*)(0x40035909UL))
#define FM0P_DS_BUR10                             *((volatile  uint8_t*)(0x40035909UL))
#define FM_DS_BUR11                               *((volatile  uint8_t*)(0x4003590AUL))
#define FM0P_DS_BUR11                             *((volatile  uint8_t*)(0x4003590AUL))
#define FM_DS_BUR12                               *((volatile  uint8_t*)(0x4003590BUL))
#define FM0P_DS_BUR12                             *((volatile  uint8_t*)(0x4003590BUL))
#define FM_DS_BUR13                               *((volatile  uint8_t*)(0x4003590CUL))
#define FM0P_DS_BUR13                             *((volatile  uint8_t*)(0x4003590CUL))
#define FM_DS_BUR14                               *((volatile  uint8_t*)(0x4003590DUL))
#define FM0P_DS_BUR14                             *((volatile  uint8_t*)(0x4003590DUL))
#define FM_DS_BUR15                               *((volatile  uint8_t*)(0x4003590EUL))
#define FM0P_DS_BUR15                             *((volatile  uint8_t*)(0x4003590EUL))
#define FM_DS_BUR16                               *((volatile  uint8_t*)(0x4003590FUL))
#define FM0P_DS_BUR16                             *((volatile  uint8_t*)(0x4003590FUL))
#define FM_DS_WIOLC_CTL                           *((volatile uint32_t*)(0x40035A00UL))
#define FM0P_DS_WIOLC_CTL                         *((volatile uint32_t*)(0x40035A00UL))
#define FM_DS_SUBOSC_CTL                          *((volatile  uint8_t*)(0x40035A04UL))
#define FM0P_DS_SUBOSC_CTL                        *((volatile  uint8_t*)(0x40035A04UL))
#define FM_DS_CEC_CTL                             *((volatile  uint8_t*)(0x40035A08UL))
#define FM0P_DS_CEC_CTL                           *((volatile  uint8_t*)(0x40035A08UL))
#define FM_DS_DEBUG_SW_CTL                        *((volatile  uint8_t*)(0x40035A0CUL))
#define FM0P_DS_DEBUG_SW_CTL                      *((volatile  uint8_t*)(0x40035A0CUL))

/******************************************************************************
 ** DSTC Registers DSTC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_DSTC_DESTP                             *((volatile uint32_t*)(0x40061000UL))
#define FM0P_DSTC_DESTP                           *((volatile uint32_t*)(0x40061000UL))
#define FM_DSTC_HWDESP                            *((volatile uint32_t*)(0x40061004UL))
#define FM0P_DSTC_HWDESP                          *((volatile uint32_t*)(0x40061004UL))
#define FM_DSTC_CMD                               *((volatile  uint8_t*)(0x40061008UL))
#define FM0P_DSTC_CMD                             *((volatile  uint8_t*)(0x40061008UL))
#define FM_DSTC_CFG                               *((volatile  uint8_t*)(0x40061009UL))
#define FM0P_DSTC_CFG                             *((volatile  uint8_t*)(0x40061009UL))
#define FM_DSTC_SWTR                              *((volatile uint16_t*)(0x4006100AUL))
#define FM0P_DSTC_SWTR                            *((volatile uint16_t*)(0x4006100AUL))
#define FM_DSTC_MONERS                            *((volatile uint32_t*)(0x4006100CUL))
#define FM0P_DSTC_MONERS                          *((volatile uint32_t*)(0x4006100CUL))
#define FM_DSTC_DREQENB0                          *((volatile uint32_t*)(0x40061010UL))
#define FM0P_DSTC_DREQENB0                        *((volatile uint32_t*)(0x40061010UL))
#define FM_DSTC_DREQENB1                          *((volatile uint32_t*)(0x40061014UL))
#define FM0P_DSTC_DREQENB1                        *((volatile uint32_t*)(0x40061014UL))
#define FM_DSTC_HWINT0                            *((volatile uint32_t*)(0x40061030UL))
#define FM0P_DSTC_HWINT0                          *((volatile uint32_t*)(0x40061030UL))
#define FM_DSTC_HWINT1                            *((volatile uint32_t*)(0x40061034UL))
#define FM0P_DSTC_HWINT1                          *((volatile uint32_t*)(0x40061034UL))
#define FM_DSTC_HWINTCLR0                         *((volatile uint32_t*)(0x40061050UL))
#define FM0P_DSTC_HWINTCLR0                       *((volatile uint32_t*)(0x40061050UL))
#define FM_DSTC_HWINTCLR1                         *((volatile uint32_t*)(0x40061054UL))
#define FM0P_DSTC_HWINTCLR1                       *((volatile uint32_t*)(0x40061054UL))
#define FM_DSTC_DQMSK0                            *((volatile uint32_t*)(0x40061070UL))
#define FM0P_DSTC_DQMSK0                          *((volatile uint32_t*)(0x40061070UL))
#define FM_DSTC_DQMSK1                            *((volatile uint32_t*)(0x40061074UL))
#define FM0P_DSTC_DQMSK1                          *((volatile uint32_t*)(0x40061074UL))
#define FM_DSTC_DQMSKCLR0                         *((volatile uint32_t*)(0x40061090UL))
#define FM0P_DSTC_DQMSKCLR0                       *((volatile uint32_t*)(0x40061090UL))
#define FM_DSTC_DQMSKCLR1                         *((volatile uint32_t*)(0x40061094UL))
#define FM0P_DSTC_DQMSKCLR1                       *((volatile uint32_t*)(0x40061094UL))

/******************************************************************************
 ** DT Registers DT
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_DT_TIMER1LOAD                          *((volatile uint32_t*)(0x40015000UL))
#define FM0P_DT_TIMER1LOAD                        *((volatile uint32_t*)(0x40015000UL))
#define FM_DT_TIMER1VALUE                         *((volatile uint32_t*)(0x40015004UL))
#define FM0P_DT_TIMER1VALUE                       *((volatile uint32_t*)(0x40015004UL))
#define FM_DT_TIMER1CONTROL                       *((volatile uint32_t*)(0x40015008UL))
#define FM0P_DT_TIMER1CONTROL                     *((volatile uint32_t*)(0x40015008UL))
#define FM_DT_TIMER1INTCLR                        *((volatile uint32_t*)(0x4001500CUL))
#define FM0P_DT_TIMER1INTCLR                      *((volatile uint32_t*)(0x4001500CUL))
#define FM_DT_TIMER1RIS                           *((volatile uint32_t*)(0x40015010UL))
#define FM0P_DT_TIMER1RIS                         *((volatile uint32_t*)(0x40015010UL))
#define FM_DT_TIMER1MIS                           *((volatile uint32_t*)(0x40015014UL))
#define FM0P_DT_TIMER1MIS                         *((volatile uint32_t*)(0x40015014UL))
#define FM_DT_TIMER1BGLOAD                        *((volatile uint32_t*)(0x40015018UL))
#define FM0P_DT_TIMER1BGLOAD                      *((volatile uint32_t*)(0x40015018UL))
#define FM_DT_TIMER2LOAD                          *((volatile uint32_t*)(0x40015020UL))
#define FM0P_DT_TIMER2LOAD                        *((volatile uint32_t*)(0x40015020UL))
#define FM_DT_TIMER2VALUE                         *((volatile uint32_t*)(0x40015024UL))
#define FM0P_DT_TIMER2VALUE                       *((volatile uint32_t*)(0x40015024UL))
#define FM_DT_TIMER2CONTROL                       *((volatile uint32_t*)(0x40015028UL))
#define FM0P_DT_TIMER2CONTROL                     *((volatile uint32_t*)(0x40015028UL))
#define FM_DT_TIMER2INTCLR                        *((volatile uint32_t*)(0x4001502CUL))
#define FM0P_DT_TIMER2INTCLR                      *((volatile uint32_t*)(0x4001502CUL))
#define FM_DT_TIMER2RIS                           *((volatile uint32_t*)(0x40015030UL))
#define FM0P_DT_TIMER2RIS                         *((volatile uint32_t*)(0x40015030UL))
#define FM_DT_TIMER2MIS                           *((volatile uint32_t*)(0x40015034UL))
#define FM0P_DT_TIMER2MIS                         *((volatile uint32_t*)(0x40015034UL))
#define FM_DT_TIMER2BGLOAD                        *((volatile uint32_t*)(0x40015038UL))
#define FM0P_DT_TIMER2BGLOAD                      *((volatile uint32_t*)(0x40015038UL))

/******************************************************************************
 ** EXTI Registers EXTI
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_EXTI_ENIR                              *((volatile uint32_t*)(0x40030000UL))
#define FM0P_EXTI_ENIR                            *((volatile uint32_t*)(0x40030000UL))
#define FM_EXTI_EIRR                              *((volatile uint32_t*)(0x40030004UL))
#define FM0P_EXTI_EIRR                            *((volatile uint32_t*)(0x40030004UL))
#define FM_EXTI_EICL                              *((volatile uint32_t*)(0x40030008UL))
#define FM0P_EXTI_EICL                            *((volatile uint32_t*)(0x40030008UL))
#define FM_EXTI_ELVR                              *((volatile uint32_t*)(0x4003000CUL))
#define FM0P_EXTI_ELVR                            *((volatile uint32_t*)(0x4003000CUL))
#define FM_EXTI_ELVR1                             *((volatile uint32_t*)(0x40030010UL))
#define FM0P_EXTI_ELVR1                           *((volatile uint32_t*)(0x40030010UL))
#define FM_EXTI_NMIRR                             *((volatile uint16_t*)(0x40030014UL))
#define FM0P_EXTI_NMIRR                           *((volatile uint16_t*)(0x40030014UL))
#define FM_EXTI_NMICL                             *((volatile uint16_t*)(0x40030018UL))
#define FM0P_EXTI_NMICL                           *((volatile uint16_t*)(0x40030018UL))
#define FM_EXTI_ELVR2                             *((volatile uint32_t*)(0x4003001CUL))
#define FM0P_EXTI_ELVR2                           *((volatile uint32_t*)(0x4003001CUL))
#define FM_EXTI_NMIENR                            *((volatile  uint8_t*)(0x40030020UL))
#define FM0P_EXTI_NMIENR                          *((volatile  uint8_t*)(0x40030020UL))

/******************************************************************************
 ** FASTIO Registers FASTIO
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_FASTIO_FPDIR0                          *((volatile uint32_t*)(0xF8000000UL))
#define FM0P_FASTIO_FPDIR0                        *((volatile uint32_t*)(0xF8000000UL))
#define FM_FASTIO_FPDIR1                          *((volatile uint32_t*)(0xF8000004UL))
#define FM0P_FASTIO_FPDIR1                        *((volatile uint32_t*)(0xF8000004UL))
#define FM_FASTIO_FPDIR2                          *((volatile uint32_t*)(0xF8000008UL))
#define FM0P_FASTIO_FPDIR2                        *((volatile uint32_t*)(0xF8000008UL))
#define FM_FASTIO_FPDIR3                          *((volatile uint32_t*)(0xF800000CUL))
#define FM0P_FASTIO_FPDIR3                        *((volatile uint32_t*)(0xF800000CUL))
#define FM_FASTIO_FPDIR4                          *((volatile uint32_t*)(0xF8000010UL))
#define FM0P_FASTIO_FPDIR4                        *((volatile uint32_t*)(0xF8000010UL))
#define FM_FASTIO_FPDIR5                          *((volatile uint32_t*)(0xF8000014UL))
#define FM0P_FASTIO_FPDIR5                        *((volatile uint32_t*)(0xF8000014UL))
#define FM_FASTIO_FPDIR6                          *((volatile uint32_t*)(0xF8000018UL))
#define FM0P_FASTIO_FPDIR6                        *((volatile uint32_t*)(0xF8000018UL))
#define FM_FASTIO_FPDIR7                          *((volatile uint32_t*)(0xF800001CUL))
#define FM0P_FASTIO_FPDIR7                        *((volatile uint32_t*)(0xF800001CUL))
#define FM_FASTIO_FPDIR8                          *((volatile uint32_t*)(0xF8000020UL))
#define FM0P_FASTIO_FPDIR8                        *((volatile uint32_t*)(0xF8000020UL))
#define FM_FASTIO_FPDIR9                          *((volatile uint32_t*)(0xF8000024UL))
#define FM0P_FASTIO_FPDIR9                        *((volatile uint32_t*)(0xF8000024UL))
#define FM_FASTIO_FPDIRA                          *((volatile uint32_t*)(0xF8000028UL))
#define FM0P_FASTIO_FPDIRA                        *((volatile uint32_t*)(0xF8000028UL))
#define FM_FASTIO_FPDIRB                          *((volatile uint32_t*)(0xF800002CUL))
#define FM0P_FASTIO_FPDIRB                        *((volatile uint32_t*)(0xF800002CUL))
#define FM_FASTIO_FPDIRC                          *((volatile uint32_t*)(0xF8000030UL))
#define FM0P_FASTIO_FPDIRC                        *((volatile uint32_t*)(0xF8000030UL))
#define FM_FASTIO_FPDIRD                          *((volatile uint32_t*)(0xF8000034UL))
#define FM0P_FASTIO_FPDIRD                        *((volatile uint32_t*)(0xF8000034UL))
#define FM_FASTIO_FPDIRE                          *((volatile uint32_t*)(0xF8000038UL))
#define FM0P_FASTIO_FPDIRE                        *((volatile uint32_t*)(0xF8000038UL))
#define FM_FASTIO_FPDIRF                          *((volatile uint32_t*)(0xF800003CUL))
#define FM0P_FASTIO_FPDIRF                        *((volatile uint32_t*)(0xF800003CUL))
#define FM_FASTIO_FPDOR0                          *((volatile uint32_t*)(0xF8000040UL))
#define FM0P_FASTIO_FPDOR0                        *((volatile uint32_t*)(0xF8000040UL))
#define FM_FASTIO_FPDOR1                          *((volatile uint32_t*)(0xF8000044UL))
#define FM0P_FASTIO_FPDOR1                        *((volatile uint32_t*)(0xF8000044UL))
#define FM_FASTIO_FPDOR2                          *((volatile uint32_t*)(0xF8000048UL))
#define FM0P_FASTIO_FPDOR2                        *((volatile uint32_t*)(0xF8000048UL))
#define FM_FASTIO_FPDOR3                          *((volatile uint32_t*)(0xF800004CUL))
#define FM0P_FASTIO_FPDOR3                        *((volatile uint32_t*)(0xF800004CUL))
#define FM_FASTIO_FPDOR4                          *((volatile uint32_t*)(0xF8000050UL))
#define FM0P_FASTIO_FPDOR4                        *((volatile uint32_t*)(0xF8000050UL))
#define FM_FASTIO_FPDOR5                          *((volatile uint32_t*)(0xF8000054UL))
#define FM0P_FASTIO_FPDOR5                        *((volatile uint32_t*)(0xF8000054UL))
#define FM_FASTIO_FPDOR6                          *((volatile uint32_t*)(0xF8000058UL))
#define FM0P_FASTIO_FPDOR6                        *((volatile uint32_t*)(0xF8000058UL))
#define FM_FASTIO_FPDOR7                          *((volatile uint32_t*)(0xF800005CUL))
#define FM0P_FASTIO_FPDOR7                        *((volatile uint32_t*)(0xF800005CUL))
#define FM_FASTIO_FPDOR8                          *((volatile uint32_t*)(0xF8000060UL))
#define FM0P_FASTIO_FPDOR8                        *((volatile uint32_t*)(0xF8000060UL))
#define FM_FASTIO_FPDOR9                          *((volatile uint32_t*)(0xF8000064UL))
#define FM0P_FASTIO_FPDOR9                        *((volatile uint32_t*)(0xF8000064UL))
#define FM_FASTIO_FPDORA                          *((volatile uint32_t*)(0xF8000068UL))
#define FM0P_FASTIO_FPDORA                        *((volatile uint32_t*)(0xF8000068UL))
#define FM_FASTIO_FPDORB                          *((volatile uint32_t*)(0xF800006CUL))
#define FM0P_FASTIO_FPDORB                        *((volatile uint32_t*)(0xF800006CUL))
#define FM_FASTIO_FPDORC                          *((volatile uint32_t*)(0xF8000070UL))
#define FM0P_FASTIO_FPDORC                        *((volatile uint32_t*)(0xF8000070UL))
#define FM_FASTIO_FPDORD                          *((volatile uint32_t*)(0xF8000074UL))
#define FM0P_FASTIO_FPDORD                        *((volatile uint32_t*)(0xF8000074UL))
#define FM_FASTIO_FPDORE                          *((volatile uint32_t*)(0xF8000078UL))
#define FM0P_FASTIO_FPDORE                        *((volatile uint32_t*)(0xF8000078UL))
#define FM_FASTIO_FPDORF                          *((volatile uint32_t*)(0xF800007CUL))
#define FM0P_FASTIO_FPDORF                        *((volatile uint32_t*)(0xF800007CUL))
#define FM_FASTIO_M_FPDIR0                        *((volatile uint32_t*)(0xF8000080UL))
#define FM0P_FASTIO_M_FPDIR0                      *((volatile uint32_t*)(0xF8000080UL))
#define FM_FASTIO_M_FPDIR1                        *((volatile uint32_t*)(0xF8000084UL))
#define FM0P_FASTIO_M_FPDIR1                      *((volatile uint32_t*)(0xF8000084UL))
#define FM_FASTIO_M_FPDOR0                        *((volatile uint32_t*)(0xF80000C0UL))
#define FM0P_FASTIO_M_FPDOR0                      *((volatile uint32_t*)(0xF80000C0UL))
#define FM_FASTIO_M_FPDOR1                        *((volatile uint32_t*)(0xF80000C4UL))
#define FM0P_FASTIO_M_FPDOR1                      *((volatile uint32_t*)(0xF80000C4UL))

/******************************************************************************
 ** FLASH_IF Registers FLASH_IF
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_FLASH_IF_FRWTR                         *((volatile uint32_t*)(0x40000004UL))
#define FM0P_FLASH_IF_FRWTR                       *((volatile uint32_t*)(0x40000004UL))
#define FM_FLASH_IF_FSTR                          *((volatile uint32_t*)(0x40000008UL))
#define FM0P_FLASH_IF_FSTR                        *((volatile uint32_t*)(0x40000008UL))
#define FM_FLASH_IF_FSYNDN                        *((volatile uint32_t*)(0x40000010UL))
#define FM0P_FLASH_IF_FSYNDN                      *((volatile uint32_t*)(0x40000010UL))
#define FM_FLASH_IF_FICR                          *((volatile uint32_t*)(0x40000020UL))
#define FM0P_FLASH_IF_FICR                        *((volatile uint32_t*)(0x40000020UL))
#define FM_FLASH_IF_FISR                          *((volatile uint32_t*)(0x40000024UL))
#define FM0P_FLASH_IF_FISR                        *((volatile uint32_t*)(0x40000024UL))
#define FM_FLASH_IF_FICLR                         *((volatile uint32_t*)(0x40000028UL))
#define FM0P_FLASH_IF_FICLR                       *((volatile uint32_t*)(0x40000028UL))
#define FM_FLASH_IF_CRTRMM                        *((volatile uint32_t*)(0x40000100UL))
#define FM0P_FLASH_IF_CRTRMM                      *((volatile uint32_t*)(0x40000100UL))

/******************************************************************************
 ** GPIO Registers GPIO
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_GPIO_PFR0                              *((volatile uint32_t*)(0x40033000UL))
#define FM0P_GPIO_PFR0                            *((volatile uint32_t*)(0x40033000UL))
#define FM_GPIO_PFR1                              *((volatile uint32_t*)(0x40033004UL))
#define FM0P_GPIO_PFR1                            *((volatile uint32_t*)(0x40033004UL))
#define FM_GPIO_PFR2                              *((volatile uint32_t*)(0x40033008UL))
#define FM0P_GPIO_PFR2                            *((volatile uint32_t*)(0x40033008UL))
#define FM_GPIO_PFR3                              *((volatile uint32_t*)(0x4003300CUL))
#define FM0P_GPIO_PFR3                            *((volatile uint32_t*)(0x4003300CUL))
#define FM_GPIO_PFR4                              *((volatile uint32_t*)(0x40033010UL))
#define FM0P_GPIO_PFR4                            *((volatile uint32_t*)(0x40033010UL))
#define FM_GPIO_PFR5                              *((volatile uint32_t*)(0x40033014UL))
#define FM0P_GPIO_PFR5                            *((volatile uint32_t*)(0x40033014UL))
#define FM_GPIO_PFR6                              *((volatile uint32_t*)(0x40033018UL))
#define FM0P_GPIO_PFR6                            *((volatile uint32_t*)(0x40033018UL))
#define FM_GPIO_PFR7                              *((volatile uint32_t*)(0x4003301CUL))
#define FM0P_GPIO_PFR7                            *((volatile uint32_t*)(0x4003301CUL))
#define FM_GPIO_PFR8                              *((volatile uint32_t*)(0x40033020UL))
#define FM0P_GPIO_PFR8                            *((volatile uint32_t*)(0x40033020UL))
#define FM_GPIO_PFR9                              *((volatile uint32_t*)(0x40033024UL))
#define FM0P_GPIO_PFR9                            *((volatile uint32_t*)(0x40033024UL))
#define FM_GPIO_PFRA                              *((volatile uint32_t*)(0x40033028UL))
#define FM0P_GPIO_PFRA                            *((volatile uint32_t*)(0x40033028UL))
#define FM_GPIO_PFRB                              *((volatile uint32_t*)(0x4003302CUL))
#define FM0P_GPIO_PFRB                            *((volatile uint32_t*)(0x4003302CUL))
#define FM_GPIO_PFRC                              *((volatile uint32_t*)(0x40033030UL))
#define FM0P_GPIO_PFRC                            *((volatile uint32_t*)(0x40033030UL))
#define FM_GPIO_PFRD                              *((volatile uint32_t*)(0x40033034UL))
#define FM0P_GPIO_PFRD                            *((volatile uint32_t*)(0x40033034UL))
#define FM_GPIO_PFRE                              *((volatile uint32_t*)(0x40033038UL))
#define FM0P_GPIO_PFRE                            *((volatile uint32_t*)(0x40033038UL))
#define FM_GPIO_PFRF                              *((volatile uint32_t*)(0x4003303CUL))
#define FM0P_GPIO_PFRF                            *((volatile uint32_t*)(0x4003303CUL))
#define FM_GPIO_PCR0                              *((volatile uint32_t*)(0x40033100UL))
#define FM0P_GPIO_PCR0                            *((volatile uint32_t*)(0x40033100UL))
#define FM_GPIO_PCR1                              *((volatile uint32_t*)(0x40033104UL))
#define FM0P_GPIO_PCR1                            *((volatile uint32_t*)(0x40033104UL))
#define FM_GPIO_PCR2                              *((volatile uint32_t*)(0x40033108UL))
#define FM0P_GPIO_PCR2                            *((volatile uint32_t*)(0x40033108UL))
#define FM_GPIO_PCR3                              *((volatile uint32_t*)(0x4003310CUL))
#define FM0P_GPIO_PCR3                            *((volatile uint32_t*)(0x4003310CUL))
#define FM_GPIO_PCR4                              *((volatile uint32_t*)(0x40033110UL))
#define FM0P_GPIO_PCR4                            *((volatile uint32_t*)(0x40033110UL))
#define FM_GPIO_PCR5                              *((volatile uint32_t*)(0x40033114UL))
#define FM0P_GPIO_PCR5                            *((volatile uint32_t*)(0x40033114UL))
#define FM_GPIO_PCR6                              *((volatile uint32_t*)(0x40033118UL))
#define FM0P_GPIO_PCR6                            *((volatile uint32_t*)(0x40033118UL))
#define FM_GPIO_PCR7                              *((volatile uint32_t*)(0x4003311CUL))
#define FM0P_GPIO_PCR7                            *((volatile uint32_t*)(0x4003311CUL))
#define FM_GPIO_PCR9                              *((volatile uint32_t*)(0x40033124UL))
#define FM0P_GPIO_PCR9                            *((volatile uint32_t*)(0x40033124UL))
#define FM_GPIO_PCRA                              *((volatile uint32_t*)(0x40033128UL))
#define FM0P_GPIO_PCRA                            *((volatile uint32_t*)(0x40033128UL))
#define FM_GPIO_PCRB                              *((volatile uint32_t*)(0x4003312CUL))
#define FM0P_GPIO_PCRB                            *((volatile uint32_t*)(0x4003312CUL))
#define FM_GPIO_PCRC                              *((volatile uint32_t*)(0x40033130UL))
#define FM0P_GPIO_PCRC                            *((volatile uint32_t*)(0x40033130UL))
#define FM_GPIO_PCRD                              *((volatile uint32_t*)(0x40033134UL))
#define FM0P_GPIO_PCRD                            *((volatile uint32_t*)(0x40033134UL))
#define FM_GPIO_PCRE                              *((volatile uint32_t*)(0x40033138UL))
#define FM0P_GPIO_PCRE                            *((volatile uint32_t*)(0x40033138UL))
#define FM_GPIO_PCRF                              *((volatile uint32_t*)(0x4003313CUL))
#define FM0P_GPIO_PCRF                            *((volatile uint32_t*)(0x4003313CUL))
#define FM_GPIO_DDR0                              *((volatile uint32_t*)(0x40033200UL))
#define FM0P_GPIO_DDR0                            *((volatile uint32_t*)(0x40033200UL))
#define FM_GPIO_DDR1                              *((volatile uint32_t*)(0x40033204UL))
#define FM0P_GPIO_DDR1                            *((volatile uint32_t*)(0x40033204UL))
#define FM_GPIO_DDR2                              *((volatile uint32_t*)(0x40033208UL))
#define FM0P_GPIO_DDR2                            *((volatile uint32_t*)(0x40033208UL))
#define FM_GPIO_DDR3                              *((volatile uint32_t*)(0x4003320CUL))
#define FM0P_GPIO_DDR3                            *((volatile uint32_t*)(0x4003320CUL))
#define FM_GPIO_DDR4                              *((volatile uint32_t*)(0x40033210UL))
#define FM0P_GPIO_DDR4                            *((volatile uint32_t*)(0x40033210UL))
#define FM_GPIO_DDR5                              *((volatile uint32_t*)(0x40033214UL))
#define FM0P_GPIO_DDR5                            *((volatile uint32_t*)(0x40033214UL))
#define FM_GPIO_DDR6                              *((volatile uint32_t*)(0x40033218UL))
#define FM0P_GPIO_DDR6                            *((volatile uint32_t*)(0x40033218UL))
#define FM_GPIO_DDR7                              *((volatile uint32_t*)(0x4003321CUL))
#define FM0P_GPIO_DDR7                            *((volatile uint32_t*)(0x4003321CUL))
#define FM_GPIO_DDR8                              *((volatile uint32_t*)(0x40033220UL))
#define FM0P_GPIO_DDR8                            *((volatile uint32_t*)(0x40033220UL))
#define FM_GPIO_DDR9                              *((volatile uint32_t*)(0x40033224UL))
#define FM0P_GPIO_DDR9                            *((volatile uint32_t*)(0x40033224UL))
#define FM_GPIO_DDRA                              *((volatile uint32_t*)(0x40033228UL))
#define FM0P_GPIO_DDRA                            *((volatile uint32_t*)(0x40033228UL))
#define FM_GPIO_DDRB                              *((volatile uint32_t*)(0x4003322CUL))
#define FM0P_GPIO_DDRB                            *((volatile uint32_t*)(0x4003322CUL))
#define FM_GPIO_DDRC                              *((volatile uint32_t*)(0x40033230UL))
#define FM0P_GPIO_DDRC                            *((volatile uint32_t*)(0x40033230UL))
#define FM_GPIO_DDRD                              *((volatile uint32_t*)(0x40033234UL))
#define FM0P_GPIO_DDRD                            *((volatile uint32_t*)(0x40033234UL))
#define FM_GPIO_DDRE                              *((volatile uint32_t*)(0x40033238UL))
#define FM0P_GPIO_DDRE                            *((volatile uint32_t*)(0x40033238UL))
#define FM_GPIO_DDRF                              *((volatile uint32_t*)(0x4003323CUL))
#define FM0P_GPIO_DDRF                            *((volatile uint32_t*)(0x4003323CUL))
#define FM_GPIO_PDIR0                             *((volatile uint32_t*)(0x40033300UL))
#define FM0P_GPIO_PDIR0                           *((volatile uint32_t*)(0x40033300UL))
#define FM_GPIO_PDIR1                             *((volatile uint32_t*)(0x40033304UL))
#define FM0P_GPIO_PDIR1                           *((volatile uint32_t*)(0x40033304UL))
#define FM_GPIO_PDIR2                             *((volatile uint32_t*)(0x40033308UL))
#define FM0P_GPIO_PDIR2                           *((volatile uint32_t*)(0x40033308UL))
#define FM_GPIO_PDIR3                             *((volatile uint32_t*)(0x4003330CUL))
#define FM0P_GPIO_PDIR3                           *((volatile uint32_t*)(0x4003330CUL))
#define FM_GPIO_PDIR4                             *((volatile uint32_t*)(0x40033310UL))
#define FM0P_GPIO_PDIR4                           *((volatile uint32_t*)(0x40033310UL))
#define FM_GPIO_PDIR5                             *((volatile uint32_t*)(0x40033314UL))
#define FM0P_GPIO_PDIR5                           *((volatile uint32_t*)(0x40033314UL))
#define FM_GPIO_PDIR6                             *((volatile uint32_t*)(0x40033318UL))
#define FM0P_GPIO_PDIR6                           *((volatile uint32_t*)(0x40033318UL))
#define FM_GPIO_PDIR7                             *((volatile uint32_t*)(0x4003331CUL))
#define FM0P_GPIO_PDIR7                           *((volatile uint32_t*)(0x4003331CUL))
#define FM_GPIO_PDIR8                             *((volatile uint32_t*)(0x40033320UL))
#define FM0P_GPIO_PDIR8                           *((volatile uint32_t*)(0x40033320UL))
#define FM_GPIO_PDIR9                             *((volatile uint32_t*)(0x40033324UL))
#define FM0P_GPIO_PDIR9                           *((volatile uint32_t*)(0x40033324UL))
#define FM_GPIO_PDIRA                             *((volatile uint32_t*)(0x40033328UL))
#define FM0P_GPIO_PDIRA                           *((volatile uint32_t*)(0x40033328UL))
#define FM_GPIO_PDIRB                             *((volatile uint32_t*)(0x4003332CUL))
#define FM0P_GPIO_PDIRB                           *((volatile uint32_t*)(0x4003332CUL))
#define FM_GPIO_PDIRC                             *((volatile uint32_t*)(0x40033330UL))
#define FM0P_GPIO_PDIRC                           *((volatile uint32_t*)(0x40033330UL))
#define FM_GPIO_PDIRD                             *((volatile uint32_t*)(0x40033334UL))
#define FM0P_GPIO_PDIRD                           *((volatile uint32_t*)(0x40033334UL))
#define FM_GPIO_PDIRE                             *((volatile uint32_t*)(0x40033338UL))
#define FM0P_GPIO_PDIRE                           *((volatile uint32_t*)(0x40033338UL))
#define FM_GPIO_PDIRF                             *((volatile uint32_t*)(0x4003333CUL))
#define FM0P_GPIO_PDIRF                           *((volatile uint32_t*)(0x4003333CUL))
#define FM_GPIO_PDOR0                             *((volatile uint32_t*)(0x40033400UL))
#define FM0P_GPIO_PDOR0                           *((volatile uint32_t*)(0x40033400UL))
#define FM_GPIO_PDOR1                             *((volatile uint32_t*)(0x40033404UL))
#define FM0P_GPIO_PDOR1                           *((volatile uint32_t*)(0x40033404UL))
#define FM_GPIO_PDOR2                             *((volatile uint32_t*)(0x40033408UL))
#define FM0P_GPIO_PDOR2                           *((volatile uint32_t*)(0x40033408UL))
#define FM_GPIO_PDOR3                             *((volatile uint32_t*)(0x4003340CUL))
#define FM0P_GPIO_PDOR3                           *((volatile uint32_t*)(0x4003340CUL))
#define FM_GPIO_PDOR4                             *((volatile uint32_t*)(0x40033410UL))
#define FM0P_GPIO_PDOR4                           *((volatile uint32_t*)(0x40033410UL))
#define FM_GPIO_PDOR5                             *((volatile uint32_t*)(0x40033414UL))
#define FM0P_GPIO_PDOR5                           *((volatile uint32_t*)(0x40033414UL))
#define FM_GPIO_PDOR6                             *((volatile uint32_t*)(0x40033418UL))
#define FM0P_GPIO_PDOR6                           *((volatile uint32_t*)(0x40033418UL))
#define FM_GPIO_PDOR7                             *((volatile uint32_t*)(0x4003341CUL))
#define FM0P_GPIO_PDOR7                           *((volatile uint32_t*)(0x4003341CUL))
#define FM_GPIO_PDOR8                             *((volatile uint32_t*)(0x40033420UL))
#define FM0P_GPIO_PDOR8                           *((volatile uint32_t*)(0x40033420UL))
#define FM_GPIO_PDOR9                             *((volatile uint32_t*)(0x40033424UL))
#define FM0P_GPIO_PDOR9                           *((volatile uint32_t*)(0x40033424UL))
#define FM_GPIO_PDORA                             *((volatile uint32_t*)(0x40033428UL))
#define FM0P_GPIO_PDORA                           *((volatile uint32_t*)(0x40033428UL))
#define FM_GPIO_PDORB                             *((volatile uint32_t*)(0x4003342CUL))
#define FM0P_GPIO_PDORB                           *((volatile uint32_t*)(0x4003342CUL))
#define FM_GPIO_PDORC                             *((volatile uint32_t*)(0x40033430UL))
#define FM0P_GPIO_PDORC                           *((volatile uint32_t*)(0x40033430UL))
#define FM_GPIO_PDORD                             *((volatile uint32_t*)(0x40033434UL))
#define FM0P_GPIO_PDORD                           *((volatile uint32_t*)(0x40033434UL))
#define FM_GPIO_PDORE                             *((volatile uint32_t*)(0x40033438UL))
#define FM0P_GPIO_PDORE                           *((volatile uint32_t*)(0x40033438UL))
#define FM_GPIO_PDORF                             *((volatile uint32_t*)(0x4003343CUL))
#define FM0P_GPIO_PDORF                           *((volatile uint32_t*)(0x4003343CUL))
#define FM_GPIO_ADE                               *((volatile uint32_t*)(0x40033500UL))
#define FM0P_GPIO_ADE                             *((volatile uint32_t*)(0x40033500UL))
#define FM_GPIO_SPSR                              *((volatile uint32_t*)(0x40033580UL))
#define FM0P_GPIO_SPSR                            *((volatile uint32_t*)(0x40033580UL))
#define FM_GPIO_EPFR00                            *((volatile uint32_t*)(0x40033600UL))
#define FM0P_GPIO_EPFR00                          *((volatile uint32_t*)(0x40033600UL))
#define FM_GPIO_EPFR01                            *((volatile uint32_t*)(0x40033604UL))
#define FM0P_GPIO_EPFR01                          *((volatile uint32_t*)(0x40033604UL))
#define FM_GPIO_EPFR04                            *((volatile uint32_t*)(0x40033610UL))
#define FM0P_GPIO_EPFR04                          *((volatile uint32_t*)(0x40033610UL))
#define FM_GPIO_EPFR05                            *((volatile uint32_t*)(0x40033614UL))
#define FM0P_GPIO_EPFR05                          *((volatile uint32_t*)(0x40033614UL))
#define FM_GPIO_EPFR06                            *((volatile uint32_t*)(0x40033618UL))
#define FM0P_GPIO_EPFR06                          *((volatile uint32_t*)(0x40033618UL))
#define FM_GPIO_EPFR07                            *((volatile uint32_t*)(0x4003361CUL))
#define FM0P_GPIO_EPFR07                          *((volatile uint32_t*)(0x4003361CUL))
#define FM_GPIO_EPFR08                            *((volatile uint32_t*)(0x40033620UL))
#define FM0P_GPIO_EPFR08                          *((volatile uint32_t*)(0x40033620UL))
#define FM_GPIO_EPFR09                            *((volatile uint32_t*)(0x40033624UL))
#define FM0P_GPIO_EPFR09                          *((volatile uint32_t*)(0x40033624UL))
#define FM_GPIO_EPFR15                            *((volatile uint32_t*)(0x4003363CUL))
#define FM0P_GPIO_EPFR15                          *((volatile uint32_t*)(0x4003363CUL))
#define FM_GPIO_EPFR16                            *((volatile uint32_t*)(0x40033640UL))
#define FM0P_GPIO_EPFR16                          *((volatile uint32_t*)(0x40033640UL))
#define FM_GPIO_EPFR18                            *((volatile uint32_t*)(0x40033648UL))
#define FM0P_GPIO_EPFR18                          *((volatile uint32_t*)(0x40033648UL))
#define FM_GPIO_EPFR22                            *((volatile uint32_t*)(0x40033658UL))
#define FM0P_GPIO_EPFR22                          *((volatile uint32_t*)(0x40033658UL))
#define FM_GPIO_EPFR23                            *((volatile uint32_t*)(0x4003365CUL))
#define FM0P_GPIO_EPFR23                          *((volatile uint32_t*)(0x4003365CUL))
#define FM_GPIO_EPFR31                            *((volatile uint32_t*)(0x4003367CUL))
#define FM0P_GPIO_EPFR31                          *((volatile uint32_t*)(0x4003367CUL))
#define FM_GPIO_EPFR33                            *((volatile uint32_t*)(0x40033684UL))
#define FM0P_GPIO_EPFR33                          *((volatile uint32_t*)(0x40033684UL))
#define FM_GPIO_EPFR34                            *((volatile uint32_t*)(0x40033688UL))
#define FM0P_GPIO_EPFR34                          *((volatile uint32_t*)(0x40033688UL))
#define FM_GPIO_EPFR37                            *((volatile uint32_t*)(0x40033694UL))
#define FM0P_GPIO_EPFR37                          *((volatile uint32_t*)(0x40033694UL))
#define FM_GPIO_EPFR38                            *((volatile uint32_t*)(0x40033698UL))
#define FM0P_GPIO_EPFR38                          *((volatile uint32_t*)(0x40033698UL))
#define FM_GPIO_PZR0                              *((volatile uint32_t*)(0x40033700UL))
#define FM0P_GPIO_PZR0                            *((volatile uint32_t*)(0x40033700UL))
#define FM_GPIO_PZR1                              *((volatile uint32_t*)(0x40033704UL))
#define FM0P_GPIO_PZR1                            *((volatile uint32_t*)(0x40033704UL))
#define FM_GPIO_PZR2                              *((volatile uint32_t*)(0x40033708UL))
#define FM0P_GPIO_PZR2                            *((volatile uint32_t*)(0x40033708UL))
#define FM_GPIO_PZR3                              *((volatile uint32_t*)(0x4003370CUL))
#define FM0P_GPIO_PZR3                            *((volatile uint32_t*)(0x4003370CUL))
#define FM_GPIO_PZR4                              *((volatile uint32_t*)(0x40033710UL))
#define FM0P_GPIO_PZR4                            *((volatile uint32_t*)(0x40033710UL))
#define FM_GPIO_PZR5                              *((volatile uint32_t*)(0x40033714UL))
#define FM0P_GPIO_PZR5                            *((volatile uint32_t*)(0x40033714UL))
#define FM_GPIO_PZR6                              *((volatile uint32_t*)(0x40033718UL))
#define FM0P_GPIO_PZR6                            *((volatile uint32_t*)(0x40033718UL))
#define FM_GPIO_PZR7                              *((volatile uint32_t*)(0x4003371CUL))
#define FM0P_GPIO_PZR7                            *((volatile uint32_t*)(0x4003371CUL))
#define FM_GPIO_PZR8                              *((volatile uint32_t*)(0x40033720UL))
#define FM0P_GPIO_PZR8                            *((volatile uint32_t*)(0x40033720UL))
#define FM_GPIO_PZR9                              *((volatile uint32_t*)(0x40033724UL))
#define FM0P_GPIO_PZR9                            *((volatile uint32_t*)(0x40033724UL))
#define FM_GPIO_PZRA                              *((volatile uint32_t*)(0x40033728UL))
#define FM0P_GPIO_PZRA                            *((volatile uint32_t*)(0x40033728UL))
#define FM_GPIO_PZRB                              *((volatile uint32_t*)(0x4003372CUL))
#define FM0P_GPIO_PZRB                            *((volatile uint32_t*)(0x4003372CUL))
#define FM_GPIO_PZRC                              *((volatile uint32_t*)(0x40033730UL))
#define FM0P_GPIO_PZRC                            *((volatile uint32_t*)(0x40033730UL))
#define FM_GPIO_PZRD                              *((volatile uint32_t*)(0x40033734UL))
#define FM0P_GPIO_PZRD                            *((volatile uint32_t*)(0x40033734UL))
#define FM_GPIO_PZRE                              *((volatile uint32_t*)(0x40033738UL))
#define FM0P_GPIO_PZRE                            *((volatile uint32_t*)(0x40033738UL))
#define FM_GPIO_PZRF                              *((volatile uint32_t*)(0x4003373CUL))
#define FM0P_GPIO_PZRF                            *((volatile uint32_t*)(0x4003373CUL))
#define FM_GPIO_LVDIE                             *((volatile uint32_t*)(0x40033740UL))
#define FM0P_GPIO_LVDIE                           *((volatile uint32_t*)(0x40033740UL))
#define FM_GPIO_FPOER0                            *((volatile uint32_t*)(0x40033900UL))
#define FM0P_GPIO_FPOER0                          *((volatile uint32_t*)(0x40033900UL))
#define FM_GPIO_FPOER1                            *((volatile uint32_t*)(0x40033904UL))
#define FM0P_GPIO_FPOER1                          *((volatile uint32_t*)(0x40033904UL))
#define FM_GPIO_FPOER2                            *((volatile uint32_t*)(0x40033908UL))
#define FM0P_GPIO_FPOER2                          *((volatile uint32_t*)(0x40033908UL))
#define FM_GPIO_FPOER3                            *((volatile uint32_t*)(0x4003390CUL))
#define FM0P_GPIO_FPOER3                          *((volatile uint32_t*)(0x4003390CUL))
#define FM_GPIO_FPOER4                            *((volatile uint32_t*)(0x40033910UL))
#define FM0P_GPIO_FPOER4                          *((volatile uint32_t*)(0x40033910UL))
#define FM_GPIO_FPOER5                            *((volatile uint32_t*)(0x40033914UL))
#define FM0P_GPIO_FPOER5                          *((volatile uint32_t*)(0x40033914UL))
#define FM_GPIO_FPOER6                            *((volatile uint32_t*)(0x40033918UL))
#define FM0P_GPIO_FPOER6                          *((volatile uint32_t*)(0x40033918UL))
#define FM_GPIO_FPOER7                            *((volatile uint32_t*)(0x4003391CUL))
#define FM0P_GPIO_FPOER7                          *((volatile uint32_t*)(0x4003391CUL))
#define FM_GPIO_FPOER8                            *((volatile uint32_t*)(0x40033920UL))
#define FM0P_GPIO_FPOER8                          *((volatile uint32_t*)(0x40033920UL))
#define FM_GPIO_FPOER9                            *((volatile uint32_t*)(0x40033924UL))
#define FM0P_GPIO_FPOER9                          *((volatile uint32_t*)(0x40033924UL))
#define FM_GPIO_FPOERA                            *((volatile uint32_t*)(0x40033928UL))
#define FM0P_GPIO_FPOERA                          *((volatile uint32_t*)(0x40033928UL))
#define FM_GPIO_FPOERB                            *((volatile uint32_t*)(0x4003392CUL))
#define FM0P_GPIO_FPOERB                          *((volatile uint32_t*)(0x4003392CUL))
#define FM_GPIO_FPOERC                            *((volatile uint32_t*)(0x40033930UL))
#define FM0P_GPIO_FPOERC                          *((volatile uint32_t*)(0x40033930UL))
#define FM_GPIO_FPOERD                            *((volatile uint32_t*)(0x40033934UL))
#define FM0P_GPIO_FPOERD                          *((volatile uint32_t*)(0x40033934UL))
#define FM_GPIO_FPOERE                            *((volatile uint32_t*)(0x40033938UL))
#define FM0P_GPIO_FPOERE                          *((volatile uint32_t*)(0x40033938UL))
#define FM_GPIO_FPOERF                            *((volatile uint32_t*)(0x4003393CUL))
#define FM0P_GPIO_FPOERF                          *((volatile uint32_t*)(0x4003393CUL))

/******************************************************************************
 ** HDMICEC Registers HDMICEC0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_HDMICEC0_TXCTRL                        *((volatile  uint8_t*)(0x40034000UL))
#define FM0P_HDMICEC0_TXCTRL                      *((volatile  uint8_t*)(0x40034000UL))
#define FM_HDMICEC0_TXDATA                        *((volatile  uint8_t*)(0x40034004UL))
#define FM0P_HDMICEC0_TXDATA                      *((volatile  uint8_t*)(0x40034004UL))
#define FM_HDMICEC0_TXSTS                         *((volatile  uint8_t*)(0x40034008UL))
#define FM0P_HDMICEC0_TXSTS                       *((volatile  uint8_t*)(0x40034008UL))
#define FM_HDMICEC0_SFREE                         *((volatile  uint8_t*)(0x4003400CUL))
#define FM0P_HDMICEC0_SFREE                       *((volatile  uint8_t*)(0x4003400CUL))
#define FM_HDMICEC0_RCST                          *((volatile  uint8_t*)(0x40034040UL))
#define FM0P_HDMICEC0_RCST                        *((volatile  uint8_t*)(0x40034040UL))
#define FM_HDMICEC0_RCCR                          *((volatile  uint8_t*)(0x40034041UL))
#define FM0P_HDMICEC0_RCCR                        *((volatile  uint8_t*)(0x40034041UL))
#define FM_HDMICEC0_RCDAHW                        *((volatile  uint8_t*)(0x40034044UL))
#define FM0P_HDMICEC0_RCDAHW                      *((volatile  uint8_t*)(0x40034044UL))
#define FM_HDMICEC0_RCSHW                         *((volatile  uint8_t*)(0x40034045UL))
#define FM0P_HDMICEC0_RCSHW                       *((volatile  uint8_t*)(0x40034045UL))
#define FM_HDMICEC0_RCDBHW                        *((volatile  uint8_t*)(0x40034049UL))
#define FM0P_HDMICEC0_RCDBHW                      *((volatile  uint8_t*)(0x40034049UL))
#define FM_HDMICEC0_RCADR2                        *((volatile  uint8_t*)(0x4003404CUL))
#define FM0P_HDMICEC0_RCADR2                      *((volatile  uint8_t*)(0x4003404CUL))
#define FM_HDMICEC0_RCADR1                        *((volatile  uint8_t*)(0x4003404DUL))
#define FM0P_HDMICEC0_RCADR1                      *((volatile  uint8_t*)(0x4003404DUL))
#define FM_HDMICEC0_RCDTHL                        *((volatile  uint8_t*)(0x40034050UL))
#define FM0P_HDMICEC0_RCDTHL                      *((volatile  uint8_t*)(0x40034050UL))
#define FM_HDMICEC0_RCDTHH                        *((volatile  uint8_t*)(0x40034051UL))
#define FM0P_HDMICEC0_RCDTHH                      *((volatile  uint8_t*)(0x40034051UL))
#define FM_HDMICEC0_RCDTLL                        *((volatile  uint8_t*)(0x40034054UL))
#define FM0P_HDMICEC0_RCDTLL                      *((volatile  uint8_t*)(0x40034054UL))
#define FM_HDMICEC0_RCDTLH                        *((volatile  uint8_t*)(0x40034055UL))
#define FM0P_HDMICEC0_RCDTLH                      *((volatile  uint8_t*)(0x40034055UL))
#define FM_HDMICEC0_RCCKD                         *((volatile uint16_t*)(0x40034058UL))
#define FM0P_HDMICEC0_RCCKD                       *((volatile uint16_t*)(0x40034058UL))
#define FM_HDMICEC0_RCRHW                         *((volatile  uint8_t*)(0x4003405CUL))
#define FM0P_HDMICEC0_RCRHW                       *((volatile  uint8_t*)(0x4003405CUL))
#define FM_HDMICEC0_RCRC                          *((volatile  uint8_t*)(0x4003405DUL))
#define FM0P_HDMICEC0_RCRC                        *((volatile  uint8_t*)(0x4003405DUL))
#define FM_HDMICEC0_RCLE                          *((volatile  uint8_t*)(0x40034061UL))
#define FM0P_HDMICEC0_RCLE                        *((volatile  uint8_t*)(0x40034061UL))
#define FM_HDMICEC0_RCLESW                        *((volatile  uint8_t*)(0x40034064UL))
#define FM0P_HDMICEC0_RCLESW                      *((volatile  uint8_t*)(0x40034064UL))
#define FM_HDMICEC0_RCLELW                        *((volatile  uint8_t*)(0x40034065UL))
#define FM0P_HDMICEC0_RCLELW                      *((volatile  uint8_t*)(0x40034065UL))

/******************************************************************************
 ** HDMICEC Registers HDMICEC1
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_HDMICEC1_TXCTRL                        *((volatile  uint8_t*)(0x40034100UL))
#define FM0P_HDMICEC1_TXCTRL                      *((volatile  uint8_t*)(0x40034100UL))
#define FM_HDMICEC1_TXDATA                        *((volatile  uint8_t*)(0x40034104UL))
#define FM0P_HDMICEC1_TXDATA                      *((volatile  uint8_t*)(0x40034104UL))
#define FM_HDMICEC1_TXSTS                         *((volatile  uint8_t*)(0x40034108UL))
#define FM0P_HDMICEC1_TXSTS                       *((volatile  uint8_t*)(0x40034108UL))
#define FM_HDMICEC1_SFREE                         *((volatile  uint8_t*)(0x4003410CUL))
#define FM0P_HDMICEC1_SFREE                       *((volatile  uint8_t*)(0x4003410CUL))
#define FM_HDMICEC1_RCST                          *((volatile  uint8_t*)(0x40034140UL))
#define FM0P_HDMICEC1_RCST                        *((volatile  uint8_t*)(0x40034140UL))
#define FM_HDMICEC1_RCCR                          *((volatile  uint8_t*)(0x40034141UL))
#define FM0P_HDMICEC1_RCCR                        *((volatile  uint8_t*)(0x40034141UL))
#define FM_HDMICEC1_RCDAHW                        *((volatile  uint8_t*)(0x40034144UL))
#define FM0P_HDMICEC1_RCDAHW                      *((volatile  uint8_t*)(0x40034144UL))
#define FM_HDMICEC1_RCSHW                         *((volatile  uint8_t*)(0x40034145UL))
#define FM0P_HDMICEC1_RCSHW                       *((volatile  uint8_t*)(0x40034145UL))
#define FM_HDMICEC1_RCDBHW                        *((volatile  uint8_t*)(0x40034149UL))
#define FM0P_HDMICEC1_RCDBHW                      *((volatile  uint8_t*)(0x40034149UL))
#define FM_HDMICEC1_RCADR2                        *((volatile  uint8_t*)(0x4003414CUL))
#define FM0P_HDMICEC1_RCADR2                      *((volatile  uint8_t*)(0x4003414CUL))
#define FM_HDMICEC1_RCADR1                        *((volatile  uint8_t*)(0x4003414DUL))
#define FM0P_HDMICEC1_RCADR1                      *((volatile  uint8_t*)(0x4003414DUL))
#define FM_HDMICEC1_RCDTHL                        *((volatile  uint8_t*)(0x40034150UL))
#define FM0P_HDMICEC1_RCDTHL                      *((volatile  uint8_t*)(0x40034150UL))
#define FM_HDMICEC1_RCDTHH                        *((volatile  uint8_t*)(0x40034151UL))
#define FM0P_HDMICEC1_RCDTHH                      *((volatile  uint8_t*)(0x40034151UL))
#define FM_HDMICEC1_RCDTLL                        *((volatile  uint8_t*)(0x40034154UL))
#define FM0P_HDMICEC1_RCDTLL                      *((volatile  uint8_t*)(0x40034154UL))
#define FM_HDMICEC1_RCDTLH                        *((volatile  uint8_t*)(0x40034155UL))
#define FM0P_HDMICEC1_RCDTLH                      *((volatile  uint8_t*)(0x40034155UL))
#define FM_HDMICEC1_RCCKD                         *((volatile uint16_t*)(0x40034158UL))
#define FM0P_HDMICEC1_RCCKD                       *((volatile uint16_t*)(0x40034158UL))
#define FM_HDMICEC1_RCRHW                         *((volatile  uint8_t*)(0x4003415CUL))
#define FM0P_HDMICEC1_RCRHW                       *((volatile  uint8_t*)(0x4003415CUL))
#define FM_HDMICEC1_RCRC                          *((volatile  uint8_t*)(0x4003415DUL))
#define FM0P_HDMICEC1_RCRC                        *((volatile  uint8_t*)(0x4003415DUL))
#define FM_HDMICEC1_RCLE                          *((volatile  uint8_t*)(0x40034161UL))
#define FM0P_HDMICEC1_RCLE                        *((volatile  uint8_t*)(0x40034161UL))
#define FM_HDMICEC1_RCLESW                        *((volatile  uint8_t*)(0x40034164UL))
#define FM0P_HDMICEC1_RCLESW                      *((volatile  uint8_t*)(0x40034164UL))
#define FM_HDMICEC1_RCLELW                        *((volatile  uint8_t*)(0x40034165UL))
#define FM0P_HDMICEC1_RCLELW                      *((volatile  uint8_t*)(0x40034165UL))

/******************************************************************************
 ** HWWDT Registers HWWDT
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_HWWDT_WDG_LDR                          *((volatile uint32_t*)(0x40011000UL))
#define FM0P_HWWDT_WDG_LDR                        *((volatile uint32_t*)(0x40011000UL))
#define FM_HWWDT_WDG_VLR                          *((volatile uint32_t*)(0x40011004UL))
#define FM0P_HWWDT_WDG_VLR                        *((volatile uint32_t*)(0x40011004UL))
#define FM_HWWDT_WDG_CTL                          *((volatile uint32_t*)(0x40011008UL))
#define FM0P_HWWDT_WDG_CTL                        *((volatile uint32_t*)(0x40011008UL))
#define FM_HWWDT_WDG_ICL                          *((volatile uint32_t*)(0x4001100CUL))
#define FM0P_HWWDT_WDG_ICL                        *((volatile uint32_t*)(0x4001100CUL))
#define FM_HWWDT_WDG_RIS                          *((volatile uint32_t*)(0x40011010UL))
#define FM0P_HWWDT_WDG_RIS                        *((volatile uint32_t*)(0x40011010UL))
#define FM_HWWDT_WDG_LCK                          *((volatile uint32_t*)(0x40011C00UL))
#define FM0P_HWWDT_WDG_LCK                        *((volatile uint32_t*)(0x40011C00UL))

/******************************************************************************
 ** I2CSLAVE Registers I2CSLAVE
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_I2CSLAVE_IBSSR                         *((volatile uint16_t*)(0x40037980UL))
#define FM0P_I2CSLAVE_IBSSR                       *((volatile uint16_t*)(0x40037980UL))
#define FM_I2CSLAVE_IBSCR                         *((volatile uint16_t*)(0x40037982UL))
#define FM0P_I2CSLAVE_IBSCR                       *((volatile uint16_t*)(0x40037982UL))
#define FM_I2CSLAVE_IBSADR                        *((volatile  uint8_t*)(0x40037984UL))
#define FM0P_I2CSLAVE_IBSADR                      *((volatile  uint8_t*)(0x40037984UL))
#define FM_I2CSLAVE_IBSMSKR                       *((volatile  uint8_t*)(0x40037985UL))
#define FM0P_I2CSLAVE_IBSMSKR                     *((volatile  uint8_t*)(0x40037985UL))
#define FM_I2CSLAVE_IBSDSTUPR                     *((volatile  uint8_t*)(0x40037986UL))
#define FM0P_I2CSLAVE_IBSDSTUPR                   *((volatile  uint8_t*)(0x40037986UL))
#define FM_I2CSLAVE_IBSTDR                        *((volatile  uint8_t*)(0x40037988UL))
#define FM0P_I2CSLAVE_IBSTDR                      *((volatile  uint8_t*)(0x40037988UL))
#define FM_I2CSLAVE_IBSRDR                        *((volatile  uint8_t*)(0x4003798CUL))
#define FM0P_I2CSLAVE_IBSRDR                      *((volatile  uint8_t*)(0x4003798CUL))
#define FM_I2CSLAVE_IBSSCR                        *((volatile uint16_t*)(0x40037990UL))
#define FM0P_I2CSLAVE_IBSSCR                      *((volatile uint16_t*)(0x40037990UL))
#define FM_I2CSLAVE_IBSSSR                        *((volatile uint16_t*)(0x40037994UL))
#define FM0P_I2CSLAVE_IBSSSR                      *((volatile uint16_t*)(0x40037994UL))

/******************************************************************************
 ** INTREQ Registers INTREQ
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_INTREQ_VIR_OFFSET                      *((volatile uint32_t*)(0x40031008UL))
#define FM0P_INTREQ_VIR_OFFSET                    *((volatile uint32_t*)(0x40031008UL))
#define FM_INTREQ_ODDPKS                          *((volatile  uint8_t*)(0x40031010UL))
#define FM0P_INTREQ_ODDPKS                        *((volatile  uint8_t*)(0x40031010UL))
#define FM_INTREQ_EXC02MON                        *((volatile uint32_t*)(0x40031200UL))
#define FM0P_INTREQ_EXC02MON                      *((volatile uint32_t*)(0x40031200UL))
#define FM_INTREQ_IRQ00MON                        *((volatile uint32_t*)(0x40031204UL))
#define FM0P_INTREQ_IRQ00MON                      *((volatile uint32_t*)(0x40031204UL))
#define FM_INTREQ_IRQ01MON                        *((volatile uint32_t*)(0x40031208UL))
#define FM0P_INTREQ_IRQ01MON                      *((volatile uint32_t*)(0x40031208UL))
#define FM_INTREQ_IRQ02MON                        *((volatile uint32_t*)(0x4003120CUL))
#define FM0P_INTREQ_IRQ02MON                      *((volatile uint32_t*)(0x4003120CUL))
#define FM_INTREQ_IRQ03MON                        *((volatile uint32_t*)(0x40031210UL))
#define FM0P_INTREQ_IRQ03MON                      *((volatile uint32_t*)(0x40031210UL))
#define FM_INTREQ_IRQ04MON                        *((volatile uint32_t*)(0x40031214UL))
#define FM0P_INTREQ_IRQ04MON                      *((volatile uint32_t*)(0x40031214UL))
#define FM_INTREQ_IRQ05MON                        *((volatile uint32_t*)(0x40031218UL))
#define FM0P_INTREQ_IRQ05MON                      *((volatile uint32_t*)(0x40031218UL))
#define FM_INTREQ_IRQ06MON                        *((volatile uint32_t*)(0x4003121CUL))
#define FM0P_INTREQ_IRQ06MON                      *((volatile uint32_t*)(0x4003121CUL))
#define FM_INTREQ_IRQ07MON                        *((volatile uint32_t*)(0x40031220UL))
#define FM0P_INTREQ_IRQ07MON                      *((volatile uint32_t*)(0x40031220UL))
#define FM_INTREQ_IRQ08MON                        *((volatile uint32_t*)(0x40031224UL))
#define FM0P_INTREQ_IRQ08MON                      *((volatile uint32_t*)(0x40031224UL))
#define FM_INTREQ_IRQ09MON                        *((volatile uint32_t*)(0x40031228UL))
#define FM0P_INTREQ_IRQ09MON                      *((volatile uint32_t*)(0x40031228UL))
#define FM_INTREQ_IRQ10MON                        *((volatile uint32_t*)(0x4003122CUL))
#define FM0P_INTREQ_IRQ10MON                      *((volatile uint32_t*)(0x4003122CUL))
#define FM_INTREQ_IRQ11MON                        *((volatile uint32_t*)(0x40031230UL))
#define FM0P_INTREQ_IRQ11MON                      *((volatile uint32_t*)(0x40031230UL))
#define FM_INTREQ_IRQ12MON                        *((volatile uint32_t*)(0x40031234UL))
#define FM0P_INTREQ_IRQ12MON                      *((volatile uint32_t*)(0x40031234UL))
#define FM_INTREQ_IRQ13MON                        *((volatile uint32_t*)(0x40031238UL))
#define FM0P_INTREQ_IRQ13MON                      *((volatile uint32_t*)(0x40031238UL))
#define FM_INTREQ_IRQ14MON                        *((volatile uint32_t*)(0x4003123CUL))
#define FM0P_INTREQ_IRQ14MON                      *((volatile uint32_t*)(0x4003123CUL))
#define FM_INTREQ_IRQ15MON                        *((volatile uint32_t*)(0x40031240UL))
#define FM0P_INTREQ_IRQ15MON                      *((volatile uint32_t*)(0x40031240UL))
#define FM_INTREQ_IRQ16MON                        *((volatile uint32_t*)(0x40031244UL))
#define FM0P_INTREQ_IRQ16MON                      *((volatile uint32_t*)(0x40031244UL))
#define FM_INTREQ_IRQ17MON                        *((volatile uint32_t*)(0x40031248UL))
#define FM0P_INTREQ_IRQ17MON                      *((volatile uint32_t*)(0x40031248UL))
#define FM_INTREQ_IRQ18MON                        *((volatile uint32_t*)(0x4003124CUL))
#define FM0P_INTREQ_IRQ18MON                      *((volatile uint32_t*)(0x4003124CUL))
#define FM_INTREQ_IRQ19MON                        *((volatile uint32_t*)(0x40031250UL))
#define FM0P_INTREQ_IRQ19MON                      *((volatile uint32_t*)(0x40031250UL))
#define FM_INTREQ_IRQ20MON                        *((volatile uint32_t*)(0x40031254UL))
#define FM0P_INTREQ_IRQ20MON                      *((volatile uint32_t*)(0x40031254UL))
#define FM_INTREQ_IRQ21MON                        *((volatile uint32_t*)(0x40031258UL))
#define FM0P_INTREQ_IRQ21MON                      *((volatile uint32_t*)(0x40031258UL))
#define FM_INTREQ_IRQ22MON                        *((volatile uint32_t*)(0x4003125CUL))
#define FM0P_INTREQ_IRQ22MON                      *((volatile uint32_t*)(0x4003125CUL))
#define FM_INTREQ_IRQ23MON                        *((volatile uint32_t*)(0x40031260UL))
#define FM0P_INTREQ_IRQ23MON                      *((volatile uint32_t*)(0x40031260UL))
#define FM_INTREQ_IRQ24MON                        *((volatile uint32_t*)(0x40031264UL))
#define FM0P_INTREQ_IRQ24MON                      *((volatile uint32_t*)(0x40031264UL))
#define FM_INTREQ_IRQ25MON                        *((volatile uint32_t*)(0x40031268UL))
#define FM0P_INTREQ_IRQ25MON                      *((volatile uint32_t*)(0x40031268UL))
#define FM_INTREQ_IRQ26MON                        *((volatile uint32_t*)(0x4003126CUL))
#define FM0P_INTREQ_IRQ26MON                      *((volatile uint32_t*)(0x4003126CUL))
#define FM_INTREQ_IRQ27MON                        *((volatile uint32_t*)(0x40031270UL))
#define FM0P_INTREQ_IRQ27MON                      *((volatile uint32_t*)(0x40031270UL))
#define FM_INTREQ_IRQ28MON                        *((volatile uint32_t*)(0x40031274UL))
#define FM0P_INTREQ_IRQ28MON                      *((volatile uint32_t*)(0x40031274UL))
#define FM_INTREQ_IRQ29MON                        *((volatile uint32_t*)(0x40031278UL))
#define FM0P_INTREQ_IRQ29MON                      *((volatile uint32_t*)(0x40031278UL))
#define FM_INTREQ_IRQ30MON                        *((volatile uint32_t*)(0x4003127CUL))
#define FM0P_INTREQ_IRQ30MON                      *((volatile uint32_t*)(0x4003127CUL))
#define FM_INTREQ_IRQ31MON                        *((volatile uint32_t*)(0x40031280UL))
#define FM0P_INTREQ_IRQ31MON                      *((volatile uint32_t*)(0x40031280UL))

/******************************************************************************
 ** LSCRP Registers LSCRP
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_LSCRP_LCR_PRSLD                        *((volatile  uint8_t*)(0x4003C000UL))
#define FM0P_LSCRP_LCR_PRSLD                      *((volatile  uint8_t*)(0x4003C000UL))

/******************************************************************************
 ** LVD Registers LVD
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_LVD_LVD_CTL                            *((volatile uint16_t*)(0x40035000UL))
#define FM0P_LVD_LVD_CTL                          *((volatile uint16_t*)(0x40035000UL))
#define FM_LVD_LVD_STR                            *((volatile uint16_t*)(0x40035004UL))
#define FM0P_LVD_LVD_STR                          *((volatile uint16_t*)(0x40035004UL))
#define FM_LVD_LVD_CLR                            *((volatile uint16_t*)(0x40035008UL))
#define FM0P_LVD_LVD_CLR                          *((volatile uint16_t*)(0x40035008UL))
#define FM_LVD_LVD_RLR                            *((volatile uint32_t*)(0x4003500CUL))
#define FM0P_LVD_LVD_RLR                          *((volatile uint32_t*)(0x4003500CUL))
#define FM_LVD_LVD_STR2                           *((volatile uint16_t*)(0x40035010UL))
#define FM0P_LVD_LVD_STR2                         *((volatile uint16_t*)(0x40035010UL))

/******************************************************************************
 ** MFS Registers MFS0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS0_CSIO_SMR                          *((volatile  uint8_t*)(0x40038000UL))
#define FM0P_MFS0_CSIO_SMR                        *((volatile  uint8_t*)(0x40038000UL))
#define FM_MFS0_I2C_SMR                           *((volatile  uint8_t*)(0x40038000UL))
#define FM0P_MFS0_I2C_SMR                         *((volatile  uint8_t*)(0x40038000UL))
#define FM_MFS0_LIN_SMR                           *((volatile  uint8_t*)(0x40038000UL))
#define FM0P_MFS0_LIN_SMR                         *((volatile  uint8_t*)(0x40038000UL))
#define FM_MFS0_UART_SMR                          *((volatile  uint8_t*)(0x40038000UL))
#define FM0P_MFS0_UART_SMR                        *((volatile  uint8_t*)(0x40038000UL))
#define FM_MFS0_CSIO_SCR                          *((volatile  uint8_t*)(0x40038001UL))
#define FM0P_MFS0_CSIO_SCR                        *((volatile  uint8_t*)(0x40038001UL))
#define FM_MFS0_I2C_IBCR                          *((volatile  uint8_t*)(0x40038001UL))
#define FM0P_MFS0_I2C_IBCR                        *((volatile  uint8_t*)(0x40038001UL))
#define FM_MFS0_LIN_SCR                           *((volatile  uint8_t*)(0x40038001UL))
#define FM0P_MFS0_LIN_SCR                         *((volatile  uint8_t*)(0x40038001UL))
#define FM_MFS0_UART_SCR                          *((volatile  uint8_t*)(0x40038001UL))
#define FM0P_MFS0_UART_SCR                        *((volatile  uint8_t*)(0x40038001UL))
#define FM_MFS0_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038004UL))
#define FM0P_MFS0_CSIO_ESCR                       *((volatile  uint8_t*)(0x40038004UL))
#define FM_MFS0_I2C_IBSR                          *((volatile  uint8_t*)(0x40038004UL))
#define FM0P_MFS0_I2C_IBSR                        *((volatile  uint8_t*)(0x40038004UL))
#define FM_MFS0_LIN_ESCR                          *((volatile  uint8_t*)(0x40038004UL))
#define FM0P_MFS0_LIN_ESCR                        *((volatile  uint8_t*)(0x40038004UL))
#define FM_MFS0_UART_ESCR                         *((volatile  uint8_t*)(0x40038004UL))
#define FM0P_MFS0_UART_ESCR                       *((volatile  uint8_t*)(0x40038004UL))
#define FM_MFS0_CSIO_SSR                          *((volatile  uint8_t*)(0x40038005UL))
#define FM0P_MFS0_CSIO_SSR                        *((volatile  uint8_t*)(0x40038005UL))
#define FM_MFS0_I2C_SSR                           *((volatile  uint8_t*)(0x40038005UL))
#define FM0P_MFS0_I2C_SSR                         *((volatile  uint8_t*)(0x40038005UL))
#define FM_MFS0_LIN_SSR                           *((volatile  uint8_t*)(0x40038005UL))
#define FM0P_MFS0_LIN_SSR                         *((volatile  uint8_t*)(0x40038005UL))
#define FM_MFS0_UART_SSR                          *((volatile  uint8_t*)(0x40038005UL))
#define FM0P_MFS0_UART_SSR                        *((volatile  uint8_t*)(0x40038005UL))
#define FM_MFS0_CSIO_RDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM0P_MFS0_CSIO_RDR                        *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_CSIO_TDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM0P_MFS0_CSIO_TDR                        *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_I2C_RDR                           *((volatile uint16_t*)(0x40038008UL))
#define FM0P_MFS0_I2C_RDR                         *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_I2C_TDR                           *((volatile uint16_t*)(0x40038008UL))
#define FM0P_MFS0_I2C_TDR                         *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_LIN_RDR                           *((volatile uint16_t*)(0x40038008UL))
#define FM0P_MFS0_LIN_RDR                         *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_LIN_TDR                           *((volatile uint16_t*)(0x40038008UL))
#define FM0P_MFS0_LIN_TDR                         *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_UART_RDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM0P_MFS0_UART_RDR                        *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_UART_TDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM0P_MFS0_UART_TDR                        *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_CSIO_BGR                          *((volatile uint16_t*)(0x4003800CUL))
#define FM0P_MFS0_CSIO_BGR                        *((volatile uint16_t*)(0x4003800CUL))
#define FM_MFS0_I2C_BGR                           *((volatile uint16_t*)(0x4003800CUL))
#define FM0P_MFS0_I2C_BGR                         *((volatile uint16_t*)(0x4003800CUL))
#define FM_MFS0_LIN_BGR                           *((volatile uint16_t*)(0x4003800CUL))
#define FM0P_MFS0_LIN_BGR                         *((volatile uint16_t*)(0x4003800CUL))
#define FM_MFS0_UART_BGR                          *((volatile uint16_t*)(0x4003800CUL))
#define FM0P_MFS0_UART_BGR                        *((volatile uint16_t*)(0x4003800CUL))
#define FM_MFS0_I2C_ISBA                          *((volatile  uint8_t*)(0x40038010UL))
#define FM0P_MFS0_I2C_ISBA                        *((volatile  uint8_t*)(0x40038010UL))
#define FM_MFS0_I2C_ISMK                          *((volatile  uint8_t*)(0x40038011UL))
#define FM0P_MFS0_I2C_ISMK                        *((volatile  uint8_t*)(0x40038011UL))
#define FM_MFS0_CSIO_FCR                          *((volatile uint16_t*)(0x40038014UL))
#define FM0P_MFS0_CSIO_FCR                        *((volatile uint16_t*)(0x40038014UL))
#define FM_MFS0_I2C_FCR                           *((volatile uint16_t*)(0x40038014UL))
#define FM0P_MFS0_I2C_FCR                         *((volatile uint16_t*)(0x40038014UL))
#define FM_MFS0_LIN_FCR                           *((volatile uint16_t*)(0x40038014UL))
#define FM0P_MFS0_LIN_FCR                         *((volatile uint16_t*)(0x40038014UL))
#define FM_MFS0_UART_FCR                          *((volatile uint16_t*)(0x40038014UL))
#define FM0P_MFS0_UART_FCR                        *((volatile uint16_t*)(0x40038014UL))
#define FM_MFS0_CSIO_FBYTE1                       *((volatile  uint8_t*)(0x40038018UL))
#define FM0P_MFS0_CSIO_FBYTE1                     *((volatile  uint8_t*)(0x40038018UL))
#define FM_MFS0_I2C_FBYTE1                        *((volatile  uint8_t*)(0x40038018UL))
#define FM0P_MFS0_I2C_FBYTE1                      *((volatile  uint8_t*)(0x40038018UL))
#define FM_MFS0_LIN_FBYTE1                        *((volatile  uint8_t*)(0x40038018UL))
#define FM0P_MFS0_LIN_FBYTE1                      *((volatile  uint8_t*)(0x40038018UL))
#define FM_MFS0_UART_FBYTE1                       *((volatile  uint8_t*)(0x40038018UL))
#define FM0P_MFS0_UART_FBYTE1                     *((volatile  uint8_t*)(0x40038018UL))
#define FM_MFS0_CSIO_FBYTE2                       *((volatile  uint8_t*)(0x40038019UL))
#define FM0P_MFS0_CSIO_FBYTE2                     *((volatile  uint8_t*)(0x40038019UL))
#define FM_MFS0_I2C_FBYTE2                        *((volatile  uint8_t*)(0x40038019UL))
#define FM0P_MFS0_I2C_FBYTE2                      *((volatile  uint8_t*)(0x40038019UL))
#define FM_MFS0_LIN_FBYTE2                        *((volatile  uint8_t*)(0x40038019UL))
#define FM0P_MFS0_LIN_FBYTE2                      *((volatile  uint8_t*)(0x40038019UL))
#define FM_MFS0_UART_FBYTE2                       *((volatile  uint8_t*)(0x40038019UL))
#define FM0P_MFS0_UART_FBYTE2                     *((volatile  uint8_t*)(0x40038019UL))
#define FM_MFS0_CSIO_SCSTR0                       *((volatile  uint8_t*)(0x4003801CUL))
#define FM0P_MFS0_CSIO_SCSTR0                     *((volatile  uint8_t*)(0x4003801CUL))
#define FM_MFS0_CSIO_SCSTR1                       *((volatile  uint8_t*)(0x4003801DUL))
#define FM0P_MFS0_CSIO_SCSTR1                     *((volatile  uint8_t*)(0x4003801DUL))
#define FM_MFS0_I2C_EIBCR                         *((volatile  uint8_t*)(0x4003801DUL))
#define FM0P_MFS0_I2C_EIBCR                       *((volatile  uint8_t*)(0x4003801DUL))
#define FM_MFS0_CSIO_SCSTR32                      *((volatile uint16_t*)(0x40038020UL))
#define FM0P_MFS0_CSIO_SCSTR32                    *((volatile uint16_t*)(0x40038020UL))
#define FM_MFS0_CSIO_SACSR                        *((volatile uint16_t*)(0x40038024UL))
#define FM0P_MFS0_CSIO_SACSR                      *((volatile uint16_t*)(0x40038024UL))
#define FM_MFS0_CSIO_STMR                         *((volatile uint16_t*)(0x40038028UL))
#define FM0P_MFS0_CSIO_STMR                       *((volatile uint16_t*)(0x40038028UL))
#define FM_MFS0_CSIO_STMCR                        *((volatile uint16_t*)(0x4003802CUL))
#define FM0P_MFS0_CSIO_STMCR                      *((volatile uint16_t*)(0x4003802CUL))
#define FM_MFS0_CSIO_SCSCR                        *((volatile uint16_t*)(0x40038030UL))
#define FM0P_MFS0_CSIO_SCSCR                      *((volatile uint16_t*)(0x40038030UL))
#define FM_MFS0_CSIO_SCSFR0                       *((volatile  uint8_t*)(0x40038034UL))
#define FM0P_MFS0_CSIO_SCSFR0                     *((volatile  uint8_t*)(0x40038034UL))
#define FM_MFS0_CSIO_SCSFR1                       *((volatile  uint8_t*)(0x40038035UL))
#define FM0P_MFS0_CSIO_SCSFR1                     *((volatile  uint8_t*)(0x40038035UL))
#define FM_MFS0_CSIO_SCSFR2                       *((volatile  uint8_t*)(0x40038038UL))
#define FM0P_MFS0_CSIO_SCSFR2                     *((volatile  uint8_t*)(0x40038038UL))
#define FM_MFS0_CSIO_TBYTE0                       *((volatile  uint8_t*)(0x4003803CUL))
#define FM0P_MFS0_CSIO_TBYTE0                     *((volatile  uint8_t*)(0x4003803CUL))
#define FM_MFS0_CSIO_TBYTE1                       *((volatile  uint8_t*)(0x4003803DUL))
#define FM0P_MFS0_CSIO_TBYTE1                     *((volatile  uint8_t*)(0x4003803DUL))
#define FM_MFS0_CSIO_TBYTE2                       *((volatile  uint8_t*)(0x40038040UL))
#define FM0P_MFS0_CSIO_TBYTE2                     *((volatile  uint8_t*)(0x40038040UL))
#define FM_MFS0_CSIO_TBYTE3                       *((volatile  uint8_t*)(0x40038041UL))
#define FM0P_MFS0_CSIO_TBYTE3                     *((volatile  uint8_t*)(0x40038041UL))

/******************************************************************************
 ** MFS Registers MFS1
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS1_CSIO_SMR                          *((volatile  uint8_t*)(0x40038100UL))
#define FM0P_MFS1_CSIO_SMR                        *((volatile  uint8_t*)(0x40038100UL))
#define FM_MFS1_I2C_SMR                           *((volatile  uint8_t*)(0x40038100UL))
#define FM0P_MFS1_I2C_SMR                         *((volatile  uint8_t*)(0x40038100UL))
#define FM_MFS1_LIN_SMR                           *((volatile  uint8_t*)(0x40038100UL))
#define FM0P_MFS1_LIN_SMR                         *((volatile  uint8_t*)(0x40038100UL))
#define FM_MFS1_UART_SMR                          *((volatile  uint8_t*)(0x40038100UL))
#define FM0P_MFS1_UART_SMR                        *((volatile  uint8_t*)(0x40038100UL))
#define FM_MFS1_CSIO_SCR                          *((volatile  uint8_t*)(0x40038101UL))
#define FM0P_MFS1_CSIO_SCR                        *((volatile  uint8_t*)(0x40038101UL))
#define FM_MFS1_I2C_IBCR                          *((volatile  uint8_t*)(0x40038101UL))
#define FM0P_MFS1_I2C_IBCR                        *((volatile  uint8_t*)(0x40038101UL))
#define FM_MFS1_LIN_SCR                           *((volatile  uint8_t*)(0x40038101UL))
#define FM0P_MFS1_LIN_SCR                         *((volatile  uint8_t*)(0x40038101UL))
#define FM_MFS1_UART_SCR                          *((volatile  uint8_t*)(0x40038101UL))
#define FM0P_MFS1_UART_SCR                        *((volatile  uint8_t*)(0x40038101UL))
#define FM_MFS1_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038104UL))
#define FM0P_MFS1_CSIO_ESCR                       *((volatile  uint8_t*)(0x40038104UL))
#define FM_MFS1_I2C_IBSR                          *((volatile  uint8_t*)(0x40038104UL))
#define FM0P_MFS1_I2C_IBSR                        *((volatile  uint8_t*)(0x40038104UL))
#define FM_MFS1_LIN_ESCR                          *((volatile  uint8_t*)(0x40038104UL))
#define FM0P_MFS1_LIN_ESCR                        *((volatile  uint8_t*)(0x40038104UL))
#define FM_MFS1_UART_ESCR                         *((volatile  uint8_t*)(0x40038104UL))
#define FM0P_MFS1_UART_ESCR                       *((volatile  uint8_t*)(0x40038104UL))
#define FM_MFS1_CSIO_SSR                          *((volatile  uint8_t*)(0x40038105UL))
#define FM0P_MFS1_CSIO_SSR                        *((volatile  uint8_t*)(0x40038105UL))
#define FM_MFS1_I2C_SSR                           *((volatile  uint8_t*)(0x40038105UL))
#define FM0P_MFS1_I2C_SSR                         *((volatile  uint8_t*)(0x40038105UL))
#define FM_MFS1_LIN_SSR                           *((volatile  uint8_t*)(0x40038105UL))
#define FM0P_MFS1_LIN_SSR                         *((volatile  uint8_t*)(0x40038105UL))
#define FM_MFS1_UART_SSR                          *((volatile  uint8_t*)(0x40038105UL))
#define FM0P_MFS1_UART_SSR                        *((volatile  uint8_t*)(0x40038105UL))
#define FM_MFS1_CSIO_RDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM0P_MFS1_CSIO_RDR                        *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_CSIO_TDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM0P_MFS1_CSIO_TDR                        *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_I2C_RDR                           *((volatile uint16_t*)(0x40038108UL))
#define FM0P_MFS1_I2C_RDR                         *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_I2C_TDR                           *((volatile uint16_t*)(0x40038108UL))
#define FM0P_MFS1_I2C_TDR                         *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_LIN_RDR                           *((volatile uint16_t*)(0x40038108UL))
#define FM0P_MFS1_LIN_RDR                         *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_LIN_TDR                           *((volatile uint16_t*)(0x40038108UL))
#define FM0P_MFS1_LIN_TDR                         *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_UART_RDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM0P_MFS1_UART_RDR                        *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_UART_TDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM0P_MFS1_UART_TDR                        *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_CSIO_BGR                          *((volatile uint16_t*)(0x4003810CUL))
#define FM0P_MFS1_CSIO_BGR                        *((volatile uint16_t*)(0x4003810CUL))
#define FM_MFS1_I2C_BGR                           *((volatile uint16_t*)(0x4003810CUL))
#define FM0P_MFS1_I2C_BGR                         *((volatile uint16_t*)(0x4003810CUL))
#define FM_MFS1_LIN_BGR                           *((volatile uint16_t*)(0x4003810CUL))
#define FM0P_MFS1_LIN_BGR                         *((volatile uint16_t*)(0x4003810CUL))
#define FM_MFS1_UART_BGR                          *((volatile uint16_t*)(0x4003810CUL))
#define FM0P_MFS1_UART_BGR                        *((volatile uint16_t*)(0x4003810CUL))
#define FM_MFS1_I2C_ISBA                          *((volatile  uint8_t*)(0x40038110UL))
#define FM0P_MFS1_I2C_ISBA                        *((volatile  uint8_t*)(0x40038110UL))
#define FM_MFS1_I2C_ISMK                          *((volatile  uint8_t*)(0x40038111UL))
#define FM0P_MFS1_I2C_ISMK                        *((volatile  uint8_t*)(0x40038111UL))
#define FM_MFS1_CSIO_FCR                          *((volatile uint16_t*)(0x40038114UL))
#define FM0P_MFS1_CSIO_FCR                        *((volatile uint16_t*)(0x40038114UL))
#define FM_MFS1_I2C_FCR                           *((volatile uint16_t*)(0x40038114UL))
#define FM0P_MFS1_I2C_FCR                         *((volatile uint16_t*)(0x40038114UL))
#define FM_MFS1_LIN_FCR                           *((volatile uint16_t*)(0x40038114UL))
#define FM0P_MFS1_LIN_FCR                         *((volatile uint16_t*)(0x40038114UL))
#define FM_MFS1_UART_FCR                          *((volatile uint16_t*)(0x40038114UL))
#define FM0P_MFS1_UART_FCR                        *((volatile uint16_t*)(0x40038114UL))
#define FM_MFS1_CSIO_FBYTE1                       *((volatile  uint8_t*)(0x40038118UL))
#define FM0P_MFS1_CSIO_FBYTE1                     *((volatile  uint8_t*)(0x40038118UL))
#define FM_MFS1_I2C_FBYTE1                        *((volatile  uint8_t*)(0x40038118UL))
#define FM0P_MFS1_I2C_FBYTE1                      *((volatile  uint8_t*)(0x40038118UL))
#define FM_MFS1_LIN_FBYTE1                        *((volatile  uint8_t*)(0x40038118UL))
#define FM0P_MFS1_LIN_FBYTE1                      *((volatile  uint8_t*)(0x40038118UL))
#define FM_MFS1_UART_FBYTE1                       *((volatile  uint8_t*)(0x40038118UL))
#define FM0P_MFS1_UART_FBYTE1                     *((volatile  uint8_t*)(0x40038118UL))
#define FM_MFS1_CSIO_FBYTE2                       *((volatile  uint8_t*)(0x40038119UL))
#define FM0P_MFS1_CSIO_FBYTE2                     *((volatile  uint8_t*)(0x40038119UL))
#define FM_MFS1_I2C_FBYTE2                        *((volatile  uint8_t*)(0x40038119UL))
#define FM0P_MFS1_I2C_FBYTE2                      *((volatile  uint8_t*)(0x40038119UL))
#define FM_MFS1_LIN_FBYTE2                        *((volatile  uint8_t*)(0x40038119UL))
#define FM0P_MFS1_LIN_FBYTE2                      *((volatile  uint8_t*)(0x40038119UL))
#define FM_MFS1_UART_FBYTE2                       *((volatile  uint8_t*)(0x40038119UL))
#define FM0P_MFS1_UART_FBYTE2                     *((volatile  uint8_t*)(0x40038119UL))
#define FM_MFS1_CSIO_SCSTR0                       *((volatile  uint8_t*)(0x4003811CUL))
#define FM0P_MFS1_CSIO_SCSTR0                     *((volatile  uint8_t*)(0x4003811CUL))
#define FM_MFS1_CSIO_SCSTR1                       *((volatile  uint8_t*)(0x4003811DUL))
#define FM0P_MFS1_CSIO_SCSTR1                     *((volatile  uint8_t*)(0x4003811DUL))
#define FM_MFS1_I2C_EIBCR                         *((volatile  uint8_t*)(0x4003811DUL))
#define FM0P_MFS1_I2C_EIBCR                       *((volatile  uint8_t*)(0x4003811DUL))
#define FM_MFS1_CSIO_SCSTR32                      *((volatile uint16_t*)(0x40038120UL))
#define FM0P_MFS1_CSIO_SCSTR32                    *((volatile uint16_t*)(0x40038120UL))
#define FM_MFS1_CSIO_SACSR                        *((volatile uint16_t*)(0x40038124UL))
#define FM0P_MFS1_CSIO_SACSR                      *((volatile uint16_t*)(0x40038124UL))
#define FM_MFS1_CSIO_STMR                         *((volatile uint16_t*)(0x40038128UL))
#define FM0P_MFS1_CSIO_STMR                       *((volatile uint16_t*)(0x40038128UL))
#define FM_MFS1_CSIO_STMCR                        *((volatile uint16_t*)(0x4003812CUL))
#define FM0P_MFS1_CSIO_STMCR                      *((volatile uint16_t*)(0x4003812CUL))
#define FM_MFS1_CSIO_SCSCR                        *((volatile uint16_t*)(0x40038130UL))
#define FM0P_MFS1_CSIO_SCSCR                      *((volatile uint16_t*)(0x40038130UL))
#define FM_MFS1_CSIO_SCSFR0                       *((volatile  uint8_t*)(0x40038134UL))
#define FM0P_MFS1_CSIO_SCSFR0                     *((volatile  uint8_t*)(0x40038134UL))
#define FM_MFS1_CSIO_SCSFR1                       *((volatile  uint8_t*)(0x40038135UL))
#define FM0P_MFS1_CSIO_SCSFR1                     *((volatile  uint8_t*)(0x40038135UL))
#define FM_MFS1_CSIO_SCSFR2                       *((volatile  uint8_t*)(0x40038138UL))
#define FM0P_MFS1_CSIO_SCSFR2                     *((volatile  uint8_t*)(0x40038138UL))
#define FM_MFS1_CSIO_TBYTE0                       *((volatile  uint8_t*)(0x4003813CUL))
#define FM0P_MFS1_CSIO_TBYTE0                     *((volatile  uint8_t*)(0x4003813CUL))
#define FM_MFS1_CSIO_TBYTE1                       *((volatile  uint8_t*)(0x4003813DUL))
#define FM0P_MFS1_CSIO_TBYTE1                     *((volatile  uint8_t*)(0x4003813DUL))
#define FM_MFS1_CSIO_TBYTE2                       *((volatile  uint8_t*)(0x40038140UL))
#define FM0P_MFS1_CSIO_TBYTE2                     *((volatile  uint8_t*)(0x40038140UL))
#define FM_MFS1_CSIO_TBYTE3                       *((volatile  uint8_t*)(0x40038141UL))
#define FM0P_MFS1_CSIO_TBYTE3                     *((volatile  uint8_t*)(0x40038141UL))

/******************************************************************************
 ** MFS Registers MFS3
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS3_CSIO_SMR                          *((volatile  uint8_t*)(0x40038300UL))
#define FM0P_MFS3_CSIO_SMR                        *((volatile  uint8_t*)(0x40038300UL))
#define FM_MFS3_I2C_SMR                           *((volatile  uint8_t*)(0x40038300UL))
#define FM0P_MFS3_I2C_SMR                         *((volatile  uint8_t*)(0x40038300UL))
#define FM_MFS3_LIN_SMR                           *((volatile  uint8_t*)(0x40038300UL))
#define FM0P_MFS3_LIN_SMR                         *((volatile  uint8_t*)(0x40038300UL))
#define FM_MFS3_UART_SMR                          *((volatile  uint8_t*)(0x40038300UL))
#define FM0P_MFS3_UART_SMR                        *((volatile  uint8_t*)(0x40038300UL))
#define FM_MFS3_CSIO_SCR                          *((volatile  uint8_t*)(0x40038301UL))
#define FM0P_MFS3_CSIO_SCR                        *((volatile  uint8_t*)(0x40038301UL))
#define FM_MFS3_I2C_IBCR                          *((volatile  uint8_t*)(0x40038301UL))
#define FM0P_MFS3_I2C_IBCR                        *((volatile  uint8_t*)(0x40038301UL))
#define FM_MFS3_LIN_SCR                           *((volatile  uint8_t*)(0x40038301UL))
#define FM0P_MFS3_LIN_SCR                         *((volatile  uint8_t*)(0x40038301UL))
#define FM_MFS3_UART_SCR                          *((volatile  uint8_t*)(0x40038301UL))
#define FM0P_MFS3_UART_SCR                        *((volatile  uint8_t*)(0x40038301UL))
#define FM_MFS3_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038304UL))
#define FM0P_MFS3_CSIO_ESCR                       *((volatile  uint8_t*)(0x40038304UL))
#define FM_MFS3_I2C_IBSR                          *((volatile  uint8_t*)(0x40038304UL))
#define FM0P_MFS3_I2C_IBSR                        *((volatile  uint8_t*)(0x40038304UL))
#define FM_MFS3_LIN_ESCR                          *((volatile  uint8_t*)(0x40038304UL))
#define FM0P_MFS3_LIN_ESCR                        *((volatile  uint8_t*)(0x40038304UL))
#define FM_MFS3_UART_ESCR                         *((volatile  uint8_t*)(0x40038304UL))
#define FM0P_MFS3_UART_ESCR                       *((volatile  uint8_t*)(0x40038304UL))
#define FM_MFS3_CSIO_SSR                          *((volatile  uint8_t*)(0x40038305UL))
#define FM0P_MFS3_CSIO_SSR                        *((volatile  uint8_t*)(0x40038305UL))
#define FM_MFS3_I2C_SSR                           *((volatile  uint8_t*)(0x40038305UL))
#define FM0P_MFS3_I2C_SSR                         *((volatile  uint8_t*)(0x40038305UL))
#define FM_MFS3_LIN_SSR                           *((volatile  uint8_t*)(0x40038305UL))
#define FM0P_MFS3_LIN_SSR                         *((volatile  uint8_t*)(0x40038305UL))
#define FM_MFS3_UART_SSR                          *((volatile  uint8_t*)(0x40038305UL))
#define FM0P_MFS3_UART_SSR                        *((volatile  uint8_t*)(0x40038305UL))
#define FM_MFS3_CSIO_RDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM0P_MFS3_CSIO_RDR                        *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_CSIO_TDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM0P_MFS3_CSIO_TDR                        *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_I2C_RDR                           *((volatile uint16_t*)(0x40038308UL))
#define FM0P_MFS3_I2C_RDR                         *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_I2C_TDR                           *((volatile uint16_t*)(0x40038308UL))
#define FM0P_MFS3_I2C_TDR                         *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_LIN_RDR                           *((volatile uint16_t*)(0x40038308UL))
#define FM0P_MFS3_LIN_RDR                         *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_LIN_TDR                           *((volatile uint16_t*)(0x40038308UL))
#define FM0P_MFS3_LIN_TDR                         *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_UART_RDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM0P_MFS3_UART_RDR                        *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_UART_TDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM0P_MFS3_UART_TDR                        *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_CSIO_BGR                          *((volatile uint16_t*)(0x4003830CUL))
#define FM0P_MFS3_CSIO_BGR                        *((volatile uint16_t*)(0x4003830CUL))
#define FM_MFS3_I2C_BGR                           *((volatile uint16_t*)(0x4003830CUL))
#define FM0P_MFS3_I2C_BGR                         *((volatile uint16_t*)(0x4003830CUL))
#define FM_MFS3_LIN_BGR                           *((volatile uint16_t*)(0x4003830CUL))
#define FM0P_MFS3_LIN_BGR                         *((volatile uint16_t*)(0x4003830CUL))
#define FM_MFS3_UART_BGR                          *((volatile uint16_t*)(0x4003830CUL))
#define FM0P_MFS3_UART_BGR                        *((volatile uint16_t*)(0x4003830CUL))
#define FM_MFS3_I2C_ISBA                          *((volatile  uint8_t*)(0x40038310UL))
#define FM0P_MFS3_I2C_ISBA                        *((volatile  uint8_t*)(0x40038310UL))
#define FM_MFS3_I2C_ISMK                          *((volatile  uint8_t*)(0x40038311UL))
#define FM0P_MFS3_I2C_ISMK                        *((volatile  uint8_t*)(0x40038311UL))
#define FM_MFS3_CSIO_FCR                          *((volatile uint16_t*)(0x40038314UL))
#define FM0P_MFS3_CSIO_FCR                        *((volatile uint16_t*)(0x40038314UL))
#define FM_MFS3_I2C_FCR                           *((volatile uint16_t*)(0x40038314UL))
#define FM0P_MFS3_I2C_FCR                         *((volatile uint16_t*)(0x40038314UL))
#define FM_MFS3_LIN_FCR                           *((volatile uint16_t*)(0x40038314UL))
#define FM0P_MFS3_LIN_FCR                         *((volatile uint16_t*)(0x40038314UL))
#define FM_MFS3_UART_FCR                          *((volatile uint16_t*)(0x40038314UL))
#define FM0P_MFS3_UART_FCR                        *((volatile uint16_t*)(0x40038314UL))
#define FM_MFS3_CSIO_FBYTE1                       *((volatile  uint8_t*)(0x40038318UL))
#define FM0P_MFS3_CSIO_FBYTE1                     *((volatile  uint8_t*)(0x40038318UL))
#define FM_MFS3_I2C_FBYTE1                        *((volatile  uint8_t*)(0x40038318UL))
#define FM0P_MFS3_I2C_FBYTE1                      *((volatile  uint8_t*)(0x40038318UL))
#define FM_MFS3_LIN_FBYTE1                        *((volatile  uint8_t*)(0x40038318UL))
#define FM0P_MFS3_LIN_FBYTE1                      *((volatile  uint8_t*)(0x40038318UL))
#define FM_MFS3_UART_FBYTE1                       *((volatile  uint8_t*)(0x40038318UL))
#define FM0P_MFS3_UART_FBYTE1                     *((volatile  uint8_t*)(0x40038318UL))
#define FM_MFS3_CSIO_FBYTE2                       *((volatile  uint8_t*)(0x40038319UL))
#define FM0P_MFS3_CSIO_FBYTE2                     *((volatile  uint8_t*)(0x40038319UL))
#define FM_MFS3_I2C_FBYTE2                        *((volatile  uint8_t*)(0x40038319UL))
#define FM0P_MFS3_I2C_FBYTE2                      *((volatile  uint8_t*)(0x40038319UL))
#define FM_MFS3_LIN_FBYTE2                        *((volatile  uint8_t*)(0x40038319UL))
#define FM0P_MFS3_LIN_FBYTE2                      *((volatile  uint8_t*)(0x40038319UL))
#define FM_MFS3_UART_FBYTE2                       *((volatile  uint8_t*)(0x40038319UL))
#define FM0P_MFS3_UART_FBYTE2                     *((volatile  uint8_t*)(0x40038319UL))
#define FM_MFS3_CSIO_SCSTR0                       *((volatile  uint8_t*)(0x4003831CUL))
#define FM0P_MFS3_CSIO_SCSTR0                     *((volatile  uint8_t*)(0x4003831CUL))
#define FM_MFS3_CSIO_SCSTR1                       *((volatile  uint8_t*)(0x4003831DUL))
#define FM0P_MFS3_CSIO_SCSTR1                     *((volatile  uint8_t*)(0x4003831DUL))
#define FM_MFS3_I2C_EIBCR                         *((volatile  uint8_t*)(0x4003831DUL))
#define FM0P_MFS3_I2C_EIBCR                       *((volatile  uint8_t*)(0x4003831DUL))
#define FM_MFS3_CSIO_SCSTR32                      *((volatile uint16_t*)(0x40038320UL))
#define FM0P_MFS3_CSIO_SCSTR32                    *((volatile uint16_t*)(0x40038320UL))
#define FM_MFS3_CSIO_SACSR                        *((volatile uint16_t*)(0x40038324UL))
#define FM0P_MFS3_CSIO_SACSR                      *((volatile uint16_t*)(0x40038324UL))
#define FM_MFS3_CSIO_STMR                         *((volatile uint16_t*)(0x40038328UL))
#define FM0P_MFS3_CSIO_STMR                       *((volatile uint16_t*)(0x40038328UL))
#define FM_MFS3_CSIO_STMCR                        *((volatile uint16_t*)(0x4003832CUL))
#define FM0P_MFS3_CSIO_STMCR                      *((volatile uint16_t*)(0x4003832CUL))
#define FM_MFS3_CSIO_SCSCR                        *((volatile uint16_t*)(0x40038330UL))
#define FM0P_MFS3_CSIO_SCSCR                      *((volatile uint16_t*)(0x40038330UL))
#define FM_MFS3_CSIO_SCSFR0                       *((volatile  uint8_t*)(0x40038334UL))
#define FM0P_MFS3_CSIO_SCSFR0                     *((volatile  uint8_t*)(0x40038334UL))
#define FM_MFS3_CSIO_SCSFR1                       *((volatile  uint8_t*)(0x40038335UL))
#define FM0P_MFS3_CSIO_SCSFR1                     *((volatile  uint8_t*)(0x40038335UL))
#define FM_MFS3_CSIO_SCSFR2                       *((volatile  uint8_t*)(0x40038338UL))
#define FM0P_MFS3_CSIO_SCSFR2                     *((volatile  uint8_t*)(0x40038338UL))
#define FM_MFS3_CSIO_TBYTE0                       *((volatile  uint8_t*)(0x4003833CUL))
#define FM0P_MFS3_CSIO_TBYTE0                     *((volatile  uint8_t*)(0x4003833CUL))
#define FM_MFS3_CSIO_TBYTE1                       *((volatile  uint8_t*)(0x4003833DUL))
#define FM0P_MFS3_CSIO_TBYTE1                     *((volatile  uint8_t*)(0x4003833DUL))
#define FM_MFS3_CSIO_TBYTE2                       *((volatile  uint8_t*)(0x40038340UL))
#define FM0P_MFS3_CSIO_TBYTE2                     *((volatile  uint8_t*)(0x40038340UL))
#define FM_MFS3_CSIO_TBYTE3                       *((volatile  uint8_t*)(0x40038341UL))
#define FM0P_MFS3_CSIO_TBYTE3                     *((volatile  uint8_t*)(0x40038341UL))

/******************************************************************************
 ** MFS Registers MFS4
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS4_CSIO_SMR                          *((volatile  uint8_t*)(0x40038400UL))
#define FM0P_MFS4_CSIO_SMR                        *((volatile  uint8_t*)(0x40038400UL))
#define FM_MFS4_I2C_SMR                           *((volatile  uint8_t*)(0x40038400UL))
#define FM0P_MFS4_I2C_SMR                         *((volatile  uint8_t*)(0x40038400UL))
#define FM_MFS4_I2S_SMR                           *((volatile  uint8_t*)(0x40038400UL))
#define FM0P_MFS4_I2S_SMR                         *((volatile  uint8_t*)(0x40038400UL))
#define FM_MFS4_LIN_SMR                           *((volatile  uint8_t*)(0x40038400UL))
#define FM0P_MFS4_LIN_SMR                         *((volatile  uint8_t*)(0x40038400UL))
#define FM_MFS4_UART_SMR                          *((volatile  uint8_t*)(0x40038400UL))
#define FM0P_MFS4_UART_SMR                        *((volatile  uint8_t*)(0x40038400UL))
#define FM_MFS4_CSIO_SCR                          *((volatile  uint8_t*)(0x40038401UL))
#define FM0P_MFS4_CSIO_SCR                        *((volatile  uint8_t*)(0x40038401UL))
#define FM_MFS4_I2C_IBCR                          *((volatile  uint8_t*)(0x40038401UL))
#define FM0P_MFS4_I2C_IBCR                        *((volatile  uint8_t*)(0x40038401UL))
#define FM_MFS4_I2S_SCR                           *((volatile  uint8_t*)(0x40038401UL))
#define FM0P_MFS4_I2S_SCR                         *((volatile  uint8_t*)(0x40038401UL))
#define FM_MFS4_LIN_SCR                           *((volatile  uint8_t*)(0x40038401UL))
#define FM0P_MFS4_LIN_SCR                         *((volatile  uint8_t*)(0x40038401UL))
#define FM_MFS4_UART_SCR                          *((volatile  uint8_t*)(0x40038401UL))
#define FM0P_MFS4_UART_SCR                        *((volatile  uint8_t*)(0x40038401UL))
#define FM_MFS4_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038404UL))
#define FM0P_MFS4_CSIO_ESCR                       *((volatile  uint8_t*)(0x40038404UL))
#define FM_MFS4_I2C_IBSR                          *((volatile  uint8_t*)(0x40038404UL))
#define FM0P_MFS4_I2C_IBSR                        *((volatile  uint8_t*)(0x40038404UL))
#define FM_MFS4_I2S_ESCR                          *((volatile  uint8_t*)(0x40038404UL))
#define FM0P_MFS4_I2S_ESCR                        *((volatile  uint8_t*)(0x40038404UL))
#define FM_MFS4_LIN_ESCR                          *((volatile  uint8_t*)(0x40038404UL))
#define FM0P_MFS4_LIN_ESCR                        *((volatile  uint8_t*)(0x40038404UL))
#define FM_MFS4_UART_ESCR                         *((volatile  uint8_t*)(0x40038404UL))
#define FM0P_MFS4_UART_ESCR                       *((volatile  uint8_t*)(0x40038404UL))
#define FM_MFS4_CSIO_SSR                          *((volatile  uint8_t*)(0x40038405UL))
#define FM0P_MFS4_CSIO_SSR                        *((volatile  uint8_t*)(0x40038405UL))
#define FM_MFS4_I2C_SSR                           *((volatile  uint8_t*)(0x40038405UL))
#define FM0P_MFS4_I2C_SSR                         *((volatile  uint8_t*)(0x40038405UL))
#define FM_MFS4_I2S_SSR                           *((volatile  uint8_t*)(0x40038405UL))
#define FM0P_MFS4_I2S_SSR                         *((volatile  uint8_t*)(0x40038405UL))
#define FM_MFS4_LIN_SSR                           *((volatile  uint8_t*)(0x40038405UL))
#define FM0P_MFS4_LIN_SSR                         *((volatile  uint8_t*)(0x40038405UL))
#define FM_MFS4_UART_SSR                          *((volatile  uint8_t*)(0x40038405UL))
#define FM0P_MFS4_UART_SSR                        *((volatile  uint8_t*)(0x40038405UL))
#define FM_MFS4_CSIO_RDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM0P_MFS4_CSIO_RDR                        *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_CSIO_TDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM0P_MFS4_CSIO_TDR                        *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_I2C_RDR                           *((volatile uint16_t*)(0x40038408UL))
#define FM0P_MFS4_I2C_RDR                         *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_I2C_TDR                           *((volatile uint16_t*)(0x40038408UL))
#define FM0P_MFS4_I2C_TDR                         *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_I2S_RDR                           *((volatile uint32_t*)(0x40038408UL))
#define FM0P_MFS4_I2S_RDR                         *((volatile uint32_t*)(0x40038408UL))
#define FM_MFS4_I2S_TDR                           *((volatile uint32_t*)(0x40038408UL))
#define FM0P_MFS4_I2S_TDR                         *((volatile uint32_t*)(0x40038408UL))
#define FM_MFS4_LIN_RDR                           *((volatile uint16_t*)(0x40038408UL))
#define FM0P_MFS4_LIN_RDR                         *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_LIN_TDR                           *((volatile uint16_t*)(0x40038408UL))
#define FM0P_MFS4_LIN_TDR                         *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_UART_RDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM0P_MFS4_UART_RDR                        *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_UART_TDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM0P_MFS4_UART_TDR                        *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_CSIO_BGR                          *((volatile uint16_t*)(0x4003840CUL))
#define FM0P_MFS4_CSIO_BGR                        *((volatile uint16_t*)(0x4003840CUL))
#define FM_MFS4_I2C_BGR                           *((volatile uint16_t*)(0x4003840CUL))
#define FM0P_MFS4_I2C_BGR                         *((volatile uint16_t*)(0x4003840CUL))
#define FM_MFS4_LIN_BGR                           *((volatile uint16_t*)(0x4003840CUL))
#define FM0P_MFS4_LIN_BGR                         *((volatile uint16_t*)(0x4003840CUL))
#define FM_MFS4_UART_BGR                          *((volatile uint16_t*)(0x4003840CUL))
#define FM0P_MFS4_UART_BGR                        *((volatile uint16_t*)(0x4003840CUL))
#define FM_MFS4_I2C_ISBA                          *((volatile  uint8_t*)(0x40038410UL))
#define FM0P_MFS4_I2C_ISBA                        *((volatile  uint8_t*)(0x40038410UL))
#define FM_MFS4_I2C_ISMK                          *((volatile  uint8_t*)(0x40038411UL))
#define FM0P_MFS4_I2C_ISMK                        *((volatile  uint8_t*)(0x40038411UL))
#define FM_MFS4_CSIO_FCR                          *((volatile uint16_t*)(0x40038414UL))
#define FM0P_MFS4_CSIO_FCR                        *((volatile uint16_t*)(0x40038414UL))
#define FM_MFS4_I2C_FCR                           *((volatile uint16_t*)(0x40038414UL))
#define FM0P_MFS4_I2C_FCR                         *((volatile uint16_t*)(0x40038414UL))
#define FM_MFS4_I2S_FCR                           *((volatile uint16_t*)(0x40038414UL))
#define FM0P_MFS4_I2S_FCR                         *((volatile uint16_t*)(0x40038414UL))
#define FM_MFS4_LIN_FCR                           *((volatile uint16_t*)(0x40038414UL))
#define FM0P_MFS4_LIN_FCR                         *((volatile uint16_t*)(0x40038414UL))
#define FM_MFS4_UART_FCR                          *((volatile uint16_t*)(0x40038414UL))
#define FM0P_MFS4_UART_FCR                        *((volatile uint16_t*)(0x40038414UL))
#define FM_MFS4_CSIO_FBYTE1                       *((volatile  uint8_t*)(0x40038418UL))
#define FM0P_MFS4_CSIO_FBYTE1                     *((volatile  uint8_t*)(0x40038418UL))
#define FM_MFS4_I2C_FBYTE1                        *((volatile  uint8_t*)(0x40038418UL))
#define FM0P_MFS4_I2C_FBYTE1                      *((volatile  uint8_t*)(0x40038418UL))
#define FM_MFS4_I2S_FBYTE1                        *((volatile  uint8_t*)(0x40038418UL))
#define FM0P_MFS4_I2S_FBYTE1                      *((volatile  uint8_t*)(0x40038418UL))
#define FM_MFS4_LIN_FBYTE1                        *((volatile  uint8_t*)(0x40038418UL))
#define FM0P_MFS4_LIN_FBYTE1                      *((volatile  uint8_t*)(0x40038418UL))
#define FM_MFS4_UART_FBYTE1                       *((volatile  uint8_t*)(0x40038418UL))
#define FM0P_MFS4_UART_FBYTE1                     *((volatile  uint8_t*)(0x40038418UL))
#define FM_MFS4_CSIO_FBYTE2                       *((volatile  uint8_t*)(0x40038419UL))
#define FM0P_MFS4_CSIO_FBYTE2                     *((volatile  uint8_t*)(0x40038419UL))
#define FM_MFS4_I2C_FBYTE2                        *((volatile  uint8_t*)(0x40038419UL))
#define FM0P_MFS4_I2C_FBYTE2                      *((volatile  uint8_t*)(0x40038419UL))
#define FM_MFS4_I2S_FBYTE2                        *((volatile  uint8_t*)(0x40038419UL))
#define FM0P_MFS4_I2S_FBYTE2                      *((volatile  uint8_t*)(0x40038419UL))
#define FM_MFS4_LIN_FBYTE2                        *((volatile  uint8_t*)(0x40038419UL))
#define FM0P_MFS4_LIN_FBYTE2                      *((volatile  uint8_t*)(0x40038419UL))
#define FM_MFS4_UART_FBYTE2                       *((volatile  uint8_t*)(0x40038419UL))
#define FM0P_MFS4_UART_FBYTE2                     *((volatile  uint8_t*)(0x40038419UL))
#define FM_MFS4_CSIO_SCSTR0                       *((volatile  uint8_t*)(0x4003841CUL))
#define FM0P_MFS4_CSIO_SCSTR0                     *((volatile  uint8_t*)(0x4003841CUL))
#define FM_MFS4_CSIO_SCSTR1                       *((volatile  uint8_t*)(0x4003841DUL))
#define FM0P_MFS4_CSIO_SCSTR1                     *((volatile  uint8_t*)(0x4003841DUL))
#define FM_MFS4_I2C_EIBCR                         *((volatile  uint8_t*)(0x4003841DUL))
#define FM0P_MFS4_I2C_EIBCR                       *((volatile  uint8_t*)(0x4003841DUL))
#define FM_MFS4_CSIO_SCSTR32                      *((volatile uint16_t*)(0x40038420UL))
#define FM0P_MFS4_CSIO_SCSTR32                    *((volatile uint16_t*)(0x40038420UL))
#define FM_MFS4_CSIO_SACSR                        *((volatile uint16_t*)(0x40038424UL))
#define FM0P_MFS4_CSIO_SACSR                      *((volatile uint16_t*)(0x40038424UL))
#define FM_MFS4_CSIO_STMR                         *((volatile uint16_t*)(0x40038428UL))
#define FM0P_MFS4_CSIO_STMR                       *((volatile uint16_t*)(0x40038428UL))
#define FM_MFS4_CSIO_STMCR                        *((volatile uint16_t*)(0x4003842CUL))
#define FM0P_MFS4_CSIO_STMCR                      *((volatile uint16_t*)(0x4003842CUL))
#define FM_MFS4_CSIO_SCSCR                        *((volatile uint16_t*)(0x40038430UL))
#define FM0P_MFS4_CSIO_SCSCR                      *((volatile uint16_t*)(0x40038430UL))
#define FM_MFS4_CSIO_SCSFR0                       *((volatile  uint8_t*)(0x40038434UL))
#define FM0P_MFS4_CSIO_SCSFR0                     *((volatile  uint8_t*)(0x40038434UL))
#define FM_MFS4_CSIO_SCSFR1                       *((volatile  uint8_t*)(0x40038435UL))
#define FM0P_MFS4_CSIO_SCSFR1                     *((volatile  uint8_t*)(0x40038435UL))
#define FM_MFS4_CSIO_SCSFR2                       *((volatile  uint8_t*)(0x40038438UL))
#define FM0P_MFS4_CSIO_SCSFR2                     *((volatile  uint8_t*)(0x40038438UL))
#define FM_MFS4_CSIO_TBYTE0                       *((volatile  uint8_t*)(0x4003843CUL))
#define FM0P_MFS4_CSIO_TBYTE0                     *((volatile  uint8_t*)(0x4003843CUL))
#define FM_MFS4_CSIO_TBYTE1                       *((volatile  uint8_t*)(0x4003843DUL))
#define FM0P_MFS4_CSIO_TBYTE1                     *((volatile  uint8_t*)(0x4003843DUL))
#define FM_MFS4_CSIO_TBYTE2                       *((volatile  uint8_t*)(0x40038440UL))
#define FM0P_MFS4_CSIO_TBYTE2                     *((volatile  uint8_t*)(0x40038440UL))
#define FM_MFS4_CSIO_TBYTE3                       *((volatile  uint8_t*)(0x40038441UL))
#define FM0P_MFS4_CSIO_TBYTE3                     *((volatile  uint8_t*)(0x40038441UL))

/******************************************************************************
 ** MFS Registers MFS6
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS6_CSIO_SMR                          *((volatile  uint8_t*)(0x40038600UL))
#define FM0P_MFS6_CSIO_SMR                        *((volatile  uint8_t*)(0x40038600UL))
#define FM_MFS6_I2C_SMR                           *((volatile  uint8_t*)(0x40038600UL))
#define FM0P_MFS6_I2C_SMR                         *((volatile  uint8_t*)(0x40038600UL))
#define FM_MFS6_I2S_SMR                           *((volatile  uint8_t*)(0x40038600UL))
#define FM0P_MFS6_I2S_SMR                         *((volatile  uint8_t*)(0x40038600UL))
#define FM_MFS6_LIN_SMR                           *((volatile  uint8_t*)(0x40038600UL))
#define FM0P_MFS6_LIN_SMR                         *((volatile  uint8_t*)(0x40038600UL))
#define FM_MFS6_UART_SMR                          *((volatile  uint8_t*)(0x40038600UL))
#define FM0P_MFS6_UART_SMR                        *((volatile  uint8_t*)(0x40038600UL))
#define FM_MFS6_CSIO_SCR                          *((volatile  uint8_t*)(0x40038601UL))
#define FM0P_MFS6_CSIO_SCR                        *((volatile  uint8_t*)(0x40038601UL))
#define FM_MFS6_I2C_IBCR                          *((volatile  uint8_t*)(0x40038601UL))
#define FM0P_MFS6_I2C_IBCR                        *((volatile  uint8_t*)(0x40038601UL))
#define FM_MFS6_I2S_SCR                           *((volatile  uint8_t*)(0x40038601UL))
#define FM0P_MFS6_I2S_SCR                         *((volatile  uint8_t*)(0x40038601UL))
#define FM_MFS6_LIN_SCR                           *((volatile  uint8_t*)(0x40038601UL))
#define FM0P_MFS6_LIN_SCR                         *((volatile  uint8_t*)(0x40038601UL))
#define FM_MFS6_UART_SCR                          *((volatile  uint8_t*)(0x40038601UL))
#define FM0P_MFS6_UART_SCR                        *((volatile  uint8_t*)(0x40038601UL))
#define FM_MFS6_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038604UL))
#define FM0P_MFS6_CSIO_ESCR                       *((volatile  uint8_t*)(0x40038604UL))
#define FM_MFS6_I2C_IBSR                          *((volatile  uint8_t*)(0x40038604UL))
#define FM0P_MFS6_I2C_IBSR                        *((volatile  uint8_t*)(0x40038604UL))
#define FM_MFS6_I2S_ESCR                          *((volatile  uint8_t*)(0x40038604UL))
#define FM0P_MFS6_I2S_ESCR                        *((volatile  uint8_t*)(0x40038604UL))
#define FM_MFS6_LIN_ESCR                          *((volatile  uint8_t*)(0x40038604UL))
#define FM0P_MFS6_LIN_ESCR                        *((volatile  uint8_t*)(0x40038604UL))
#define FM_MFS6_UART_ESCR                         *((volatile  uint8_t*)(0x40038604UL))
#define FM0P_MFS6_UART_ESCR                       *((volatile  uint8_t*)(0x40038604UL))
#define FM_MFS6_CSIO_SSR                          *((volatile  uint8_t*)(0x40038605UL))
#define FM0P_MFS6_CSIO_SSR                        *((volatile  uint8_t*)(0x40038605UL))
#define FM_MFS6_I2C_SSR                           *((volatile  uint8_t*)(0x40038605UL))
#define FM0P_MFS6_I2C_SSR                         *((volatile  uint8_t*)(0x40038605UL))
#define FM_MFS6_I2S_SSR                           *((volatile  uint8_t*)(0x40038605UL))
#define FM0P_MFS6_I2S_SSR                         *((volatile  uint8_t*)(0x40038605UL))
#define FM_MFS6_LIN_SSR                           *((volatile  uint8_t*)(0x40038605UL))
#define FM0P_MFS6_LIN_SSR                         *((volatile  uint8_t*)(0x40038605UL))
#define FM_MFS6_UART_SSR                          *((volatile  uint8_t*)(0x40038605UL))
#define FM0P_MFS6_UART_SSR                        *((volatile  uint8_t*)(0x40038605UL))
#define FM_MFS6_CSIO_RDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM0P_MFS6_CSIO_RDR                        *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_CSIO_TDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM0P_MFS6_CSIO_TDR                        *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_I2C_RDR                           *((volatile uint16_t*)(0x40038608UL))
#define FM0P_MFS6_I2C_RDR                         *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_I2C_TDR                           *((volatile uint16_t*)(0x40038608UL))
#define FM0P_MFS6_I2C_TDR                         *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_I2S_RDR                           *((volatile uint32_t*)(0x40038608UL))
#define FM0P_MFS6_I2S_RDR                         *((volatile uint32_t*)(0x40038608UL))
#define FM_MFS6_I2S_TDR                           *((volatile uint32_t*)(0x40038608UL))
#define FM0P_MFS6_I2S_TDR                         *((volatile uint32_t*)(0x40038608UL))
#define FM_MFS6_LIN_RDR                           *((volatile uint16_t*)(0x40038608UL))
#define FM0P_MFS6_LIN_RDR                         *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_LIN_TDR                           *((volatile uint16_t*)(0x40038608UL))
#define FM0P_MFS6_LIN_TDR                         *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_UART_RDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM0P_MFS6_UART_RDR                        *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_UART_TDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM0P_MFS6_UART_TDR                        *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_CSIO_BGR                          *((volatile uint16_t*)(0x4003860CUL))
#define FM0P_MFS6_CSIO_BGR                        *((volatile uint16_t*)(0x4003860CUL))
#define FM_MFS6_I2C_BGR                           *((volatile uint16_t*)(0x4003860CUL))
#define FM0P_MFS6_I2C_BGR                         *((volatile uint16_t*)(0x4003860CUL))
#define FM_MFS6_LIN_BGR                           *((volatile uint16_t*)(0x4003860CUL))
#define FM0P_MFS6_LIN_BGR                         *((volatile uint16_t*)(0x4003860CUL))
#define FM_MFS6_UART_BGR                          *((volatile uint16_t*)(0x4003860CUL))
#define FM0P_MFS6_UART_BGR                        *((volatile uint16_t*)(0x4003860CUL))
#define FM_MFS6_I2C_ISBA                          *((volatile  uint8_t*)(0x40038610UL))
#define FM0P_MFS6_I2C_ISBA                        *((volatile  uint8_t*)(0x40038610UL))
#define FM_MFS6_I2C_ISMK                          *((volatile  uint8_t*)(0x40038611UL))
#define FM0P_MFS6_I2C_ISMK                        *((volatile  uint8_t*)(0x40038611UL))
#define FM_MFS6_CSIO_FCR                          *((volatile uint16_t*)(0x40038614UL))
#define FM0P_MFS6_CSIO_FCR                        *((volatile uint16_t*)(0x40038614UL))
#define FM_MFS6_I2C_FCR                           *((volatile uint16_t*)(0x40038614UL))
#define FM0P_MFS6_I2C_FCR                         *((volatile uint16_t*)(0x40038614UL))
#define FM_MFS6_I2S_FCR                           *((volatile uint16_t*)(0x40038614UL))
#define FM0P_MFS6_I2S_FCR                         *((volatile uint16_t*)(0x40038614UL))
#define FM_MFS6_LIN_FCR                           *((volatile uint16_t*)(0x40038614UL))
#define FM0P_MFS6_LIN_FCR                         *((volatile uint16_t*)(0x40038614UL))
#define FM_MFS6_UART_FCR                          *((volatile uint16_t*)(0x40038614UL))
#define FM0P_MFS6_UART_FCR                        *((volatile uint16_t*)(0x40038614UL))
#define FM_MFS6_CSIO_FBYTE1                       *((volatile  uint8_t*)(0x40038618UL))
#define FM0P_MFS6_CSIO_FBYTE1                     *((volatile  uint8_t*)(0x40038618UL))
#define FM_MFS6_I2C_FBYTE1                        *((volatile  uint8_t*)(0x40038618UL))
#define FM0P_MFS6_I2C_FBYTE1                      *((volatile  uint8_t*)(0x40038618UL))
#define FM_MFS6_I2S_FBYTE1                        *((volatile  uint8_t*)(0x40038618UL))
#define FM0P_MFS6_I2S_FBYTE1                      *((volatile  uint8_t*)(0x40038618UL))
#define FM_MFS6_LIN_FBYTE1                        *((volatile  uint8_t*)(0x40038618UL))
#define FM0P_MFS6_LIN_FBYTE1                      *((volatile  uint8_t*)(0x40038618UL))
#define FM_MFS6_UART_FBYTE1                       *((volatile  uint8_t*)(0x40038618UL))
#define FM0P_MFS6_UART_FBYTE1                     *((volatile  uint8_t*)(0x40038618UL))
#define FM_MFS6_CSIO_FBYTE2                       *((volatile  uint8_t*)(0x40038619UL))
#define FM0P_MFS6_CSIO_FBYTE2                     *((volatile  uint8_t*)(0x40038619UL))
#define FM_MFS6_I2C_FBYTE2                        *((volatile  uint8_t*)(0x40038619UL))
#define FM0P_MFS6_I2C_FBYTE2                      *((volatile  uint8_t*)(0x40038619UL))
#define FM_MFS6_I2S_FBYTE2                        *((volatile  uint8_t*)(0x40038619UL))
#define FM0P_MFS6_I2S_FBYTE2                      *((volatile  uint8_t*)(0x40038619UL))
#define FM_MFS6_LIN_FBYTE2                        *((volatile  uint8_t*)(0x40038619UL))
#define FM0P_MFS6_LIN_FBYTE2                      *((volatile  uint8_t*)(0x40038619UL))
#define FM_MFS6_UART_FBYTE2                       *((volatile  uint8_t*)(0x40038619UL))
#define FM0P_MFS6_UART_FBYTE2                     *((volatile  uint8_t*)(0x40038619UL))
#define FM_MFS6_CSIO_SCSTR0                       *((volatile  uint8_t*)(0x4003861CUL))
#define FM0P_MFS6_CSIO_SCSTR0                     *((volatile  uint8_t*)(0x4003861CUL))
#define FM_MFS6_CSIO_SCSTR1                       *((volatile  uint8_t*)(0x4003861DUL))
#define FM0P_MFS6_CSIO_SCSTR1                     *((volatile  uint8_t*)(0x4003861DUL))
#define FM_MFS6_I2C_EIBCR                         *((volatile  uint8_t*)(0x4003861DUL))
#define FM0P_MFS6_I2C_EIBCR                       *((volatile  uint8_t*)(0x4003861DUL))
#define FM_MFS6_CSIO_SCSTR32                      *((volatile uint16_t*)(0x40038620UL))
#define FM0P_MFS6_CSIO_SCSTR32                    *((volatile uint16_t*)(0x40038620UL))
#define FM_MFS6_CSIO_SACSR                        *((volatile uint16_t*)(0x40038624UL))
#define FM0P_MFS6_CSIO_SACSR                      *((volatile uint16_t*)(0x40038624UL))
#define FM_MFS6_CSIO_STMR                         *((volatile uint16_t*)(0x40038628UL))
#define FM0P_MFS6_CSIO_STMR                       *((volatile uint16_t*)(0x40038628UL))
#define FM_MFS6_CSIO_STMCR                        *((volatile uint16_t*)(0x4003862CUL))
#define FM0P_MFS6_CSIO_STMCR                      *((volatile uint16_t*)(0x4003862CUL))
#define FM_MFS6_CSIO_SCSCR                        *((volatile uint16_t*)(0x40038630UL))
#define FM0P_MFS6_CSIO_SCSCR                      *((volatile uint16_t*)(0x40038630UL))
#define FM_MFS6_CSIO_SCSFR0                       *((volatile  uint8_t*)(0x40038634UL))
#define FM0P_MFS6_CSIO_SCSFR0                     *((volatile  uint8_t*)(0x40038634UL))
#define FM_MFS6_CSIO_SCSFR1                       *((volatile  uint8_t*)(0x40038635UL))
#define FM0P_MFS6_CSIO_SCSFR1                     *((volatile  uint8_t*)(0x40038635UL))
#define FM_MFS6_CSIO_SCSFR2                       *((volatile  uint8_t*)(0x40038638UL))
#define FM0P_MFS6_CSIO_SCSFR2                     *((volatile  uint8_t*)(0x40038638UL))
#define FM_MFS6_CSIO_TBYTE0                       *((volatile  uint8_t*)(0x4003863CUL))
#define FM0P_MFS6_CSIO_TBYTE0                     *((volatile  uint8_t*)(0x4003863CUL))
#define FM_MFS6_CSIO_TBYTE1                       *((volatile  uint8_t*)(0x4003863DUL))
#define FM0P_MFS6_CSIO_TBYTE1                     *((volatile  uint8_t*)(0x4003863DUL))
#define FM_MFS6_CSIO_TBYTE2                       *((volatile  uint8_t*)(0x40038640UL))
#define FM0P_MFS6_CSIO_TBYTE2                     *((volatile  uint8_t*)(0x40038640UL))
#define FM_MFS6_CSIO_TBYTE3                       *((volatile  uint8_t*)(0x40038641UL))
#define FM0P_MFS6_CSIO_TBYTE3                     *((volatile  uint8_t*)(0x40038641UL))

/******************************************************************************
 ** MFS Registers MFS7
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS7_CSIO_SMR                          *((volatile  uint8_t*)(0x40038700UL))
#define FM0P_MFS7_CSIO_SMR                        *((volatile  uint8_t*)(0x40038700UL))
#define FM_MFS7_I2C_SMR                           *((volatile  uint8_t*)(0x40038700UL))
#define FM0P_MFS7_I2C_SMR                         *((volatile  uint8_t*)(0x40038700UL))
#define FM_MFS7_LIN_SMR                           *((volatile  uint8_t*)(0x40038700UL))
#define FM0P_MFS7_LIN_SMR                         *((volatile  uint8_t*)(0x40038700UL))
#define FM_MFS7_UART_SMR                          *((volatile  uint8_t*)(0x40038700UL))
#define FM0P_MFS7_UART_SMR                        *((volatile  uint8_t*)(0x40038700UL))
#define FM_MFS7_CSIO_SCR                          *((volatile  uint8_t*)(0x40038701UL))
#define FM0P_MFS7_CSIO_SCR                        *((volatile  uint8_t*)(0x40038701UL))
#define FM_MFS7_I2C_IBCR                          *((volatile  uint8_t*)(0x40038701UL))
#define FM0P_MFS7_I2C_IBCR                        *((volatile  uint8_t*)(0x40038701UL))
#define FM_MFS7_LIN_SCR                           *((volatile  uint8_t*)(0x40038701UL))
#define FM0P_MFS7_LIN_SCR                         *((volatile  uint8_t*)(0x40038701UL))
#define FM_MFS7_UART_SCR                          *((volatile  uint8_t*)(0x40038701UL))
#define FM0P_MFS7_UART_SCR                        *((volatile  uint8_t*)(0x40038701UL))
#define FM_MFS7_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038704UL))
#define FM0P_MFS7_CSIO_ESCR                       *((volatile  uint8_t*)(0x40038704UL))
#define FM_MFS7_I2C_IBSR                          *((volatile  uint8_t*)(0x40038704UL))
#define FM0P_MFS7_I2C_IBSR                        *((volatile  uint8_t*)(0x40038704UL))
#define FM_MFS7_LIN_ESCR                          *((volatile  uint8_t*)(0x40038704UL))
#define FM0P_MFS7_LIN_ESCR                        *((volatile  uint8_t*)(0x40038704UL))
#define FM_MFS7_UART_ESCR                         *((volatile  uint8_t*)(0x40038704UL))
#define FM0P_MFS7_UART_ESCR                       *((volatile  uint8_t*)(0x40038704UL))
#define FM_MFS7_CSIO_SSR                          *((volatile  uint8_t*)(0x40038705UL))
#define FM0P_MFS7_CSIO_SSR                        *((volatile  uint8_t*)(0x40038705UL))
#define FM_MFS7_I2C_SSR                           *((volatile  uint8_t*)(0x40038705UL))
#define FM0P_MFS7_I2C_SSR                         *((volatile  uint8_t*)(0x40038705UL))
#define FM_MFS7_LIN_SSR                           *((volatile  uint8_t*)(0x40038705UL))
#define FM0P_MFS7_LIN_SSR                         *((volatile  uint8_t*)(0x40038705UL))
#define FM_MFS7_UART_SSR                          *((volatile  uint8_t*)(0x40038705UL))
#define FM0P_MFS7_UART_SSR                        *((volatile  uint8_t*)(0x40038705UL))
#define FM_MFS7_CSIO_RDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM0P_MFS7_CSIO_RDR                        *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_CSIO_TDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM0P_MFS7_CSIO_TDR                        *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_I2C_RDR                           *((volatile uint16_t*)(0x40038708UL))
#define FM0P_MFS7_I2C_RDR                         *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_I2C_TDR                           *((volatile uint16_t*)(0x40038708UL))
#define FM0P_MFS7_I2C_TDR                         *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_LIN_RDR                           *((volatile uint16_t*)(0x40038708UL))
#define FM0P_MFS7_LIN_RDR                         *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_LIN_TDR                           *((volatile uint16_t*)(0x40038708UL))
#define FM0P_MFS7_LIN_TDR                         *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_UART_RDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM0P_MFS7_UART_RDR                        *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_UART_TDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM0P_MFS7_UART_TDR                        *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_CSIO_BGR                          *((volatile uint16_t*)(0x4003870CUL))
#define FM0P_MFS7_CSIO_BGR                        *((volatile uint16_t*)(0x4003870CUL))
#define FM_MFS7_I2C_BGR                           *((volatile uint16_t*)(0x4003870CUL))
#define FM0P_MFS7_I2C_BGR                         *((volatile uint16_t*)(0x4003870CUL))
#define FM_MFS7_LIN_BGR                           *((volatile uint16_t*)(0x4003870CUL))
#define FM0P_MFS7_LIN_BGR                         *((volatile uint16_t*)(0x4003870CUL))
#define FM_MFS7_UART_BGR                          *((volatile uint16_t*)(0x4003870CUL))
#define FM0P_MFS7_UART_BGR                        *((volatile uint16_t*)(0x4003870CUL))
#define FM_MFS7_I2C_ISBA                          *((volatile  uint8_t*)(0x40038710UL))
#define FM0P_MFS7_I2C_ISBA                        *((volatile  uint8_t*)(0x40038710UL))
#define FM_MFS7_I2C_ISMK                          *((volatile  uint8_t*)(0x40038711UL))
#define FM0P_MFS7_I2C_ISMK                        *((volatile  uint8_t*)(0x40038711UL))
#define FM_MFS7_CSIO_FCR                          *((volatile uint16_t*)(0x40038714UL))
#define FM0P_MFS7_CSIO_FCR                        *((volatile uint16_t*)(0x40038714UL))
#define FM_MFS7_I2C_FCR                           *((volatile uint16_t*)(0x40038714UL))
#define FM0P_MFS7_I2C_FCR                         *((volatile uint16_t*)(0x40038714UL))
#define FM_MFS7_LIN_FCR                           *((volatile uint16_t*)(0x40038714UL))
#define FM0P_MFS7_LIN_FCR                         *((volatile uint16_t*)(0x40038714UL))
#define FM_MFS7_UART_FCR                          *((volatile uint16_t*)(0x40038714UL))
#define FM0P_MFS7_UART_FCR                        *((volatile uint16_t*)(0x40038714UL))
#define FM_MFS7_CSIO_FBYTE1                       *((volatile  uint8_t*)(0x40038718UL))
#define FM0P_MFS7_CSIO_FBYTE1                     *((volatile  uint8_t*)(0x40038718UL))
#define FM_MFS7_I2C_FBYTE1                        *((volatile  uint8_t*)(0x40038718UL))
#define FM0P_MFS7_I2C_FBYTE1                      *((volatile  uint8_t*)(0x40038718UL))
#define FM_MFS7_LIN_FBYTE1                        *((volatile  uint8_t*)(0x40038718UL))
#define FM0P_MFS7_LIN_FBYTE1                      *((volatile  uint8_t*)(0x40038718UL))
#define FM_MFS7_UART_FBYTE1                       *((volatile  uint8_t*)(0x40038718UL))
#define FM0P_MFS7_UART_FBYTE1                     *((volatile  uint8_t*)(0x40038718UL))
#define FM_MFS7_CSIO_FBYTE2                       *((volatile  uint8_t*)(0x40038719UL))
#define FM0P_MFS7_CSIO_FBYTE2                     *((volatile  uint8_t*)(0x40038719UL))
#define FM_MFS7_I2C_FBYTE2                        *((volatile  uint8_t*)(0x40038719UL))
#define FM0P_MFS7_I2C_FBYTE2                      *((volatile  uint8_t*)(0x40038719UL))
#define FM_MFS7_LIN_FBYTE2                        *((volatile  uint8_t*)(0x40038719UL))
#define FM0P_MFS7_LIN_FBYTE2                      *((volatile  uint8_t*)(0x40038719UL))
#define FM_MFS7_UART_FBYTE2                       *((volatile  uint8_t*)(0x40038719UL))
#define FM0P_MFS7_UART_FBYTE2                     *((volatile  uint8_t*)(0x40038719UL))
#define FM_MFS7_CSIO_SCSTR0                       *((volatile  uint8_t*)(0x4003871CUL))
#define FM0P_MFS7_CSIO_SCSTR0                     *((volatile  uint8_t*)(0x4003871CUL))
#define FM_MFS7_CSIO_SCSTR1                       *((volatile  uint8_t*)(0x4003871DUL))
#define FM0P_MFS7_CSIO_SCSTR1                     *((volatile  uint8_t*)(0x4003871DUL))
#define FM_MFS7_I2C_EIBCR                         *((volatile  uint8_t*)(0x4003871DUL))
#define FM0P_MFS7_I2C_EIBCR                       *((volatile  uint8_t*)(0x4003871DUL))
#define FM_MFS7_CSIO_SCSTR32                      *((volatile uint16_t*)(0x40038720UL))
#define FM0P_MFS7_CSIO_SCSTR32                    *((volatile uint16_t*)(0x40038720UL))
#define FM_MFS7_CSIO_SACSR                        *((volatile uint16_t*)(0x40038724UL))
#define FM0P_MFS7_CSIO_SACSR                      *((volatile uint16_t*)(0x40038724UL))
#define FM_MFS7_CSIO_STMR                         *((volatile uint16_t*)(0x40038728UL))
#define FM0P_MFS7_CSIO_STMR                       *((volatile uint16_t*)(0x40038728UL))
#define FM_MFS7_CSIO_STMCR                        *((volatile uint16_t*)(0x4003872CUL))
#define FM0P_MFS7_CSIO_STMCR                      *((volatile uint16_t*)(0x4003872CUL))
#define FM_MFS7_CSIO_SCSCR                        *((volatile uint16_t*)(0x40038730UL))
#define FM0P_MFS7_CSIO_SCSCR                      *((volatile uint16_t*)(0x40038730UL))
#define FM_MFS7_CSIO_SCSFR0                       *((volatile  uint8_t*)(0x40038734UL))
#define FM0P_MFS7_CSIO_SCSFR0                     *((volatile  uint8_t*)(0x40038734UL))
#define FM_MFS7_CSIO_SCSFR1                       *((volatile  uint8_t*)(0x40038735UL))
#define FM0P_MFS7_CSIO_SCSFR1                     *((volatile  uint8_t*)(0x40038735UL))
#define FM_MFS7_CSIO_SCSFR2                       *((volatile  uint8_t*)(0x40038738UL))
#define FM0P_MFS7_CSIO_SCSFR2                     *((volatile  uint8_t*)(0x40038738UL))
#define FM_MFS7_CSIO_TBYTE0                       *((volatile  uint8_t*)(0x4003873CUL))
#define FM0P_MFS7_CSIO_TBYTE0                     *((volatile  uint8_t*)(0x4003873CUL))
#define FM_MFS7_CSIO_TBYTE1                       *((volatile  uint8_t*)(0x4003873DUL))
#define FM0P_MFS7_CSIO_TBYTE1                     *((volatile  uint8_t*)(0x4003873DUL))
#define FM_MFS7_CSIO_TBYTE2                       *((volatile  uint8_t*)(0x40038740UL))
#define FM0P_MFS7_CSIO_TBYTE2                     *((volatile  uint8_t*)(0x40038740UL))
#define FM_MFS7_CSIO_TBYTE3                       *((volatile  uint8_t*)(0x40038741UL))
#define FM0P_MFS7_CSIO_TBYTE3                     *((volatile  uint8_t*)(0x40038741UL))

/******************************************************************************
 ** MFSI2S Registers MFSI2S0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFSI2S0_CNTLREG                        *((volatile uint16_t*)(0x4003CA00UL))
#define FM0P_MFSI2S0_CNTLREG                      *((volatile uint16_t*)(0x4003CA00UL))
#define FM_MFSI2S0_I2SCLK                         *((volatile uint16_t*)(0x4003CA04UL))
#define FM0P_MFSI2S0_I2SCLK                       *((volatile uint16_t*)(0x4003CA04UL))
#define FM_MFSI2S0_I2SRST                         *((volatile  uint8_t*)(0x4003CA08UL))
#define FM0P_MFSI2S0_I2SRST                       *((volatile  uint8_t*)(0x4003CA08UL))
#define FM_MFSI2S0_I2SST                          *((volatile  uint8_t*)(0x4003CA09UL))
#define FM0P_MFSI2S0_I2SST                        *((volatile  uint8_t*)(0x4003CA09UL))

/******************************************************************************
 ** MFSI2S Registers MFSI2S1
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFSI2S1_CNTLREG                        *((volatile uint16_t*)(0x4003CA80UL))
#define FM0P_MFSI2S1_CNTLREG                      *((volatile uint16_t*)(0x4003CA80UL))
#define FM_MFSI2S1_I2SCLK                         *((volatile uint16_t*)(0x4003CA84UL))
#define FM0P_MFSI2S1_I2SCLK                       *((volatile uint16_t*)(0x4003CA84UL))
#define FM_MFSI2S1_I2SRST                         *((volatile  uint8_t*)(0x4003CA88UL))
#define FM0P_MFSI2S1_I2SRST                       *((volatile  uint8_t*)(0x4003CA88UL))
#define FM_MFSI2S1_I2SST                          *((volatile  uint8_t*)(0x4003CA89UL))
#define FM0P_MFSI2S1_I2SST                        *((volatile  uint8_t*)(0x4003CA89UL))

/******************************************************************************
 ** MTB_DWT Registers MTB_DWT
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MTB_DWT_CMP_ADDR_START                 *((volatile uint32_t*)(0xF0001000UL))
#define FM0P_MTB_DWT_CMP_ADDR_START               *((volatile uint32_t*)(0xF0001000UL))
#define FM_MTB_DWT_CMP_DATA_START                 *((volatile uint32_t*)(0xF0001004UL))
#define FM0P_MTB_DWT_CMP_DATA_START               *((volatile uint32_t*)(0xF0001004UL))
#define FM_MTB_DWT_CMP_MASK_START                 *((volatile uint32_t*)(0xF0001008UL))
#define FM0P_MTB_DWT_CMP_MASK_START               *((volatile uint32_t*)(0xF0001008UL))
#define FM_MTB_DWT_CMP_ADDR_STOP                  *((volatile uint32_t*)(0xF0001010UL))
#define FM0P_MTB_DWT_CMP_ADDR_STOP                *((volatile uint32_t*)(0xF0001010UL))
#define FM_MTB_DWT_CMP_DATA_STOP                  *((volatile uint32_t*)(0xF0001014UL))
#define FM0P_MTB_DWT_CMP_DATA_STOP                *((volatile uint32_t*)(0xF0001014UL))
#define FM_MTB_DWT_CMP_MASK_STOP                  *((volatile uint32_t*)(0xF0001018UL))
#define FM0P_MTB_DWT_CMP_MASK_STOP                *((volatile uint32_t*)(0xF0001018UL))
#define FM_MTB_DWT_FCT                            *((volatile  uint8_t*)(0xF0001020UL))
#define FM0P_MTB_DWT_FCT                          *((volatile  uint8_t*)(0xF0001020UL))
#define FM_MTB_DWT_PID4                           *((volatile uint32_t*)(0xF0001FD0UL))
#define FM0P_MTB_DWT_PID4                         *((volatile uint32_t*)(0xF0001FD0UL))
#define FM_MTB_DWT_PID5                           *((volatile uint32_t*)(0xF0001FD4UL))
#define FM0P_MTB_DWT_PID5                         *((volatile uint32_t*)(0xF0001FD4UL))
#define FM_MTB_DWT_PID6                           *((volatile uint32_t*)(0xF0001FD8UL))
#define FM0P_MTB_DWT_PID6                         *((volatile uint32_t*)(0xF0001FD8UL))
#define FM_MTB_DWT_PID7                           *((volatile uint32_t*)(0xF0001FDCUL))
#define FM0P_MTB_DWT_PID7                         *((volatile uint32_t*)(0xF0001FDCUL))
#define FM_MTB_DWT_PID0                           *((volatile uint32_t*)(0xF0001FE0UL))
#define FM0P_MTB_DWT_PID0                         *((volatile uint32_t*)(0xF0001FE0UL))
#define FM_MTB_DWT_PID1                           *((volatile uint32_t*)(0xF0001FE4UL))
#define FM0P_MTB_DWT_PID1                         *((volatile uint32_t*)(0xF0001FE4UL))
#define FM_MTB_DWT_PID2                           *((volatile uint32_t*)(0xF0001FE8UL))
#define FM0P_MTB_DWT_PID2                         *((volatile uint32_t*)(0xF0001FE8UL))
#define FM_MTB_DWT_PID3                           *((volatile uint32_t*)(0xF0001FECUL))
#define FM0P_MTB_DWT_PID3                         *((volatile uint32_t*)(0xF0001FECUL))
#define FM_MTB_DWT_CID0                           *((volatile uint32_t*)(0xF0001FF0UL))
#define FM0P_MTB_DWT_CID0                         *((volatile uint32_t*)(0xF0001FF0UL))
#define FM_MTB_DWT_CID1                           *((volatile uint32_t*)(0xF0001FF4UL))
#define FM0P_MTB_DWT_CID1                         *((volatile uint32_t*)(0xF0001FF4UL))
#define FM_MTB_DWT_CID2                           *((volatile uint32_t*)(0xF0001FF8UL))
#define FM0P_MTB_DWT_CID2                         *((volatile uint32_t*)(0xF0001FF8UL))
#define FM_MTB_DWT_CID3                           *((volatile uint32_t*)(0xF0001FFCUL))
#define FM0P_MTB_DWT_CID3                         *((volatile uint32_t*)(0xF0001FFCUL))

/******************************************************************************
 ** RTC Registers RTC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_RTC_WTCR1                              *((volatile uint32_t*)(0x4003B000UL))
#define FM0P_RTC_WTCR1                            *((volatile uint32_t*)(0x4003B000UL))
#define FM_RTC_WTCR2                              *((volatile uint32_t*)(0x4003B004UL))
#define FM0P_RTC_WTCR2                            *((volatile uint32_t*)(0x4003B004UL))
#define FM_RTC_WTBR                               *((volatile uint32_t*)(0x4003B008UL))
#define FM0P_RTC_WTBR                             *((volatile uint32_t*)(0x4003B008UL))
#define FM_RTC_WTSR                               *((volatile  uint8_t*)(0x4003B00CUL))
#define FM0P_RTC_WTSR                             *((volatile  uint8_t*)(0x4003B00CUL))
#define FM_RTC_WTMIR                              *((volatile  uint8_t*)(0x4003B00DUL))
#define FM0P_RTC_WTMIR                            *((volatile  uint8_t*)(0x4003B00DUL))
#define FM_RTC_WTHR                               *((volatile  uint8_t*)(0x4003B00EUL))
#define FM0P_RTC_WTHR                             *((volatile  uint8_t*)(0x4003B00EUL))
#define FM_RTC_WTDR                               *((volatile  uint8_t*)(0x4003B00FUL))
#define FM0P_RTC_WTDR                             *((volatile  uint8_t*)(0x4003B00FUL))
#define FM_RTC_WTDW                               *((volatile  uint8_t*)(0x4003B010UL))
#define FM0P_RTC_WTDW                             *((volatile  uint8_t*)(0x4003B010UL))
#define FM_RTC_WTMOR                              *((volatile  uint8_t*)(0x4003B011UL))
#define FM0P_RTC_WTMOR                            *((volatile  uint8_t*)(0x4003B011UL))
#define FM_RTC_WTYR                               *((volatile  uint8_t*)(0x4003B012UL))
#define FM0P_RTC_WTYR                             *((volatile  uint8_t*)(0x4003B012UL))
#define FM_RTC_ALMIR                              *((volatile  uint8_t*)(0x4003B015UL))
#define FM0P_RTC_ALMIR                            *((volatile  uint8_t*)(0x4003B015UL))
#define FM_RTC_ALHR                               *((volatile  uint8_t*)(0x4003B016UL))
#define FM0P_RTC_ALHR                             *((volatile  uint8_t*)(0x4003B016UL))
#define FM_RTC_ALDR                               *((volatile  uint8_t*)(0x4003B017UL))
#define FM0P_RTC_ALDR                             *((volatile  uint8_t*)(0x4003B017UL))
#define FM_RTC_ALMOR                              *((volatile  uint8_t*)(0x4003B019UL))
#define FM0P_RTC_ALMOR                            *((volatile  uint8_t*)(0x4003B019UL))
#define FM_RTC_ALYR                               *((volatile  uint8_t*)(0x4003B01AUL))
#define FM0P_RTC_ALYR                             *((volatile  uint8_t*)(0x4003B01AUL))
#define FM_RTC_WTTR                               *((volatile uint32_t*)(0x4003B01CUL))
#define FM0P_RTC_WTTR                             *((volatile uint32_t*)(0x4003B01CUL))
#define FM_RTC_WTCLKS                             *((volatile  uint8_t*)(0x4003B020UL))
#define FM0P_RTC_WTCLKS                           *((volatile  uint8_t*)(0x4003B020UL))
#define FM_RTC_WTCLKM                             *((volatile  uint8_t*)(0x4003B021UL))
#define FM0P_RTC_WTCLKM                           *((volatile  uint8_t*)(0x4003B021UL))
#define FM_RTC_WTCAL                              *((volatile uint16_t*)(0x4003B024UL))
#define FM0P_RTC_WTCAL                            *((volatile uint16_t*)(0x4003B024UL))
#define FM_RTC_WTCALEN                            *((volatile  uint8_t*)(0x4003B026UL))
#define FM0P_RTC_WTCALEN                          *((volatile  uint8_t*)(0x4003B026UL))
#define FM_RTC_WTDIV                              *((volatile  uint8_t*)(0x4003B028UL))
#define FM0P_RTC_WTDIV                            *((volatile  uint8_t*)(0x4003B028UL))
#define FM_RTC_WTDIVEN                            *((volatile  uint8_t*)(0x4003B029UL))
#define FM0P_RTC_WTDIVEN                          *((volatile  uint8_t*)(0x4003B029UL))
#define FM_RTC_WTCALPRD                           *((volatile  uint8_t*)(0x4003B02CUL))
#define FM0P_RTC_WTCALPRD                         *((volatile  uint8_t*)(0x4003B02CUL))
#define FM_RTC_WTCOSEL                            *((volatile  uint8_t*)(0x4003B030UL))
#define FM0P_RTC_WTCOSEL                          *((volatile  uint8_t*)(0x4003B030UL))

/******************************************************************************
 ** SBSSR Registers SBSSR
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_SBSSR_BTSSSR                           *((volatile uint16_t*)(0x40025FFCUL))
#define FM0P_SBSSR_BTSSSR                         *((volatile uint16_t*)(0x40025FFCUL))

/******************************************************************************
 ** SMCIF Registers SMCIF1
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_SMCIF1_GLOBALCONTROL1                  *((volatile uint16_t*)(0x4003C980UL))
#define FM0P_SMCIF1_GLOBALCONTROL1                *((volatile uint16_t*)(0x4003C980UL))
#define FM_SMCIF1_STATUS                          *((volatile uint16_t*)(0x4003C984UL))
#define FM0P_SMCIF1_STATUS                        *((volatile uint16_t*)(0x4003C984UL))
#define FM_SMCIF1_PORTCONTROL                     *((volatile uint16_t*)(0x4003C988UL))
#define FM0P_SMCIF1_PORTCONTROL                   *((volatile uint16_t*)(0x4003C988UL))
#define FM_SMCIF1_DATA                            *((volatile uint16_t*)(0x4003C98CUL))
#define FM0P_SMCIF1_DATA                          *((volatile uint16_t*)(0x4003C98CUL))
#define FM_SMCIF1_CARDCLOCK                       *((volatile uint16_t*)(0x4003C990UL))
#define FM0P_SMCIF1_CARDCLOCK                     *((volatile uint16_t*)(0x4003C990UL))
#define FM_SMCIF1_BAUDRATE                        *((volatile uint16_t*)(0x4003C994UL))
#define FM0P_SMCIF1_BAUDRATE                      *((volatile uint16_t*)(0x4003C994UL))
#define FM_SMCIF1_GUARDTIMER                      *((volatile uint16_t*)(0x4003C998UL))
#define FM0P_SMCIF1_GUARDTIMER                    *((volatile uint16_t*)(0x4003C998UL))
#define FM_SMCIF1_IDLETIMER                       *((volatile uint16_t*)(0x4003C99CUL))
#define FM0P_SMCIF1_IDLETIMER                     *((volatile uint16_t*)(0x4003C99CUL))
#define FM_SMCIF1_GLOBALCONTROL2                  *((volatile uint16_t*)(0x4003C9A0UL))
#define FM0P_SMCIF1_GLOBALCONTROL2                *((volatile uint16_t*)(0x4003C9A0UL))
#define FM_SMCIF1_DATA_FIFO                       *((volatile uint16_t*)(0x4003C9A4UL))
#define FM0P_SMCIF1_DATA_FIFO                     *((volatile uint16_t*)(0x4003C9A4UL))
#define FM_SMCIF1_FIFO_LEVEL_READ                 *((volatile uint16_t*)(0x4003C9A8UL))
#define FM0P_SMCIF1_FIFO_LEVEL_READ               *((volatile uint16_t*)(0x4003C9A8UL))
#define FM_SMCIF1_FIFO_LEVEL_WRITE                *((volatile uint16_t*)(0x4003C9ACUL))
#define FM0P_SMCIF1_FIFO_LEVEL_WRITE              *((volatile uint16_t*)(0x4003C9ACUL))
#define FM_SMCIF1_FIFO_MODE                       *((volatile uint16_t*)(0x4003C9B0UL))
#define FM0P_SMCIF1_FIFO_MODE                     *((volatile uint16_t*)(0x4003C9B0UL))
#define FM_SMCIF1_FIFO_CLEAR_MSB_WRITE            *((volatile uint16_t*)(0x4003C9B4UL))
#define FM0P_SMCIF1_FIFO_CLEAR_MSB_WRITE          *((volatile uint16_t*)(0x4003C9B4UL))
#define FM_SMCIF1_FIFO_CLEAR_MSB_READ             *((volatile uint16_t*)(0x4003C9B8UL))
#define FM0P_SMCIF1_FIFO_CLEAR_MSB_READ           *((volatile uint16_t*)(0x4003C9B8UL))
#define FM_SMCIF1_IRQ_STATUS                      *((volatile uint16_t*)(0x4003C9C0UL))
#define FM0P_SMCIF1_IRQ_STATUS                    *((volatile uint16_t*)(0x4003C9C0UL))

/******************************************************************************
 ** SWWDT Registers SWWDT
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_SWWDT_WDOGLOAD                         *((volatile uint32_t*)(0x40012000UL))
#define FM0P_SWWDT_WDOGLOAD                       *((volatile uint32_t*)(0x40012000UL))
#define FM_SWWDT_WDOGVALUE                        *((volatile uint32_t*)(0x40012004UL))
#define FM0P_SWWDT_WDOGVALUE                      *((volatile uint32_t*)(0x40012004UL))
#define FM_SWWDT_WDOGCONTROL                      *((volatile uint32_t*)(0x40012008UL))
#define FM0P_SWWDT_WDOGCONTROL                    *((volatile uint32_t*)(0x40012008UL))
#define FM_SWWDT_WDOGINTCLR                       *((volatile uint32_t*)(0x4001200CUL))
#define FM0P_SWWDT_WDOGINTCLR                     *((volatile uint32_t*)(0x4001200CUL))
#define FM_SWWDT_WDOGRIS                          *((volatile uint32_t*)(0x40012010UL))
#define FM0P_SWWDT_WDOGRIS                        *((volatile uint32_t*)(0x40012010UL))
#define FM_SWWDT_WDOGSPMC                         *((volatile uint32_t*)(0x40012018UL))
#define FM0P_SWWDT_WDOGSPMC                       *((volatile uint32_t*)(0x40012018UL))
#define FM_SWWDT_WDOGLOCK                         *((volatile uint32_t*)(0x40012C00UL))
#define FM0P_SWWDT_WDOGLOCK                       *((volatile uint32_t*)(0x40012C00UL))

/******************************************************************************
 ** UNIQUE_ID Registers UNIQUE_ID
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_UNIQUE_ID_UIDR0                        *((volatile uint32_t*)(0x40000200UL))
#define FM0P_UNIQUE_ID_UIDR0                      *((volatile uint32_t*)(0x40000200UL))
#define FM_UNIQUE_ID_UIDR1                        *((volatile uint32_t*)(0x40000204UL))
#define FM0P_UNIQUE_ID_UIDR1                      *((volatile uint32_t*)(0x40000204UL))

/******************************************************************************
 ** VIR Registers VIR
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_VIR_VIR00                              *((volatile uint32_t*)(0xF8000100UL))
#define FM0P_VIR_VIR00                            *((volatile uint32_t*)(0xF8000100UL))
#define FM_VIR_VIR01                              *((volatile uint32_t*)(0xF8000104UL))
#define FM0P_VIR_VIR01                            *((volatile uint32_t*)(0xF8000104UL))
#define FM_VIR_VIR02                              *((volatile uint32_t*)(0xF8000108UL))
#define FM0P_VIR_VIR02                            *((volatile uint32_t*)(0xF8000108UL))
#define FM_VIR_VIR03                              *((volatile uint32_t*)(0xF800010CUL))
#define FM0P_VIR_VIR03                            *((volatile uint32_t*)(0xF800010CUL))
#define FM_VIR_VIR04                              *((volatile uint32_t*)(0xF8000110UL))
#define FM0P_VIR_VIR04                            *((volatile uint32_t*)(0xF8000110UL))
#define FM_VIR_VIR05                              *((volatile uint32_t*)(0xF8000114UL))
#define FM0P_VIR_VIR05                            *((volatile uint32_t*)(0xF8000114UL))
#define FM_VIR_VIR06                              *((volatile uint32_t*)(0xF8000118UL))
#define FM0P_VIR_VIR06                            *((volatile uint32_t*)(0xF8000118UL))
#define FM_VIR_VIR07                              *((volatile uint32_t*)(0xF800011CUL))
#define FM0P_VIR_VIR07                            *((volatile uint32_t*)(0xF800011CUL))
#define FM_VIR_VIR08                              *((volatile uint32_t*)(0xF8000120UL))
#define FM0P_VIR_VIR08                            *((volatile uint32_t*)(0xF8000120UL))
#define FM_VIR_VIR09                              *((volatile uint32_t*)(0xF8000124UL))
#define FM0P_VIR_VIR09                            *((volatile uint32_t*)(0xF8000124UL))
#define FM_VIR_VIR10                              *((volatile uint32_t*)(0xF8000128UL))
#define FM0P_VIR_VIR10                            *((volatile uint32_t*)(0xF8000128UL))
#define FM_VIR_VIR11                              *((volatile uint32_t*)(0xF800012CUL))
#define FM0P_VIR_VIR11                            *((volatile uint32_t*)(0xF800012CUL))
#define FM_VIR_VIR12                              *((volatile uint32_t*)(0xF8000130UL))
#define FM0P_VIR_VIR12                            *((volatile uint32_t*)(0xF8000130UL))
#define FM_VIR_VIR13                              *((volatile uint32_t*)(0xF8000134UL))
#define FM0P_VIR_VIR13                            *((volatile uint32_t*)(0xF8000134UL))
#define FM_VIR_VIR14                              *((volatile uint32_t*)(0xF8000138UL))
#define FM0P_VIR_VIR14                            *((volatile uint32_t*)(0xF8000138UL))
#define FM_VIR_VIR15                              *((volatile uint32_t*)(0xF800013CUL))
#define FM0P_VIR_VIR15                            *((volatile uint32_t*)(0xF800013CUL))
#define FM_VIR_VIR16                              *((volatile uint32_t*)(0xF8000140UL))
#define FM0P_VIR_VIR16                            *((volatile uint32_t*)(0xF8000140UL))
#define FM_VIR_VIR17                              *((volatile uint32_t*)(0xF8000144UL))
#define FM0P_VIR_VIR17                            *((volatile uint32_t*)(0xF8000144UL))
#define FM_VIR_VIR18                              *((volatile uint32_t*)(0xF8000148UL))
#define FM0P_VIR_VIR18                            *((volatile uint32_t*)(0xF8000148UL))
#define FM_VIR_VIR19                              *((volatile uint32_t*)(0xF800014CUL))
#define FM0P_VIR_VIR19                            *((volatile uint32_t*)(0xF800014CUL))
#define FM_VIR_VIR20                              *((volatile uint32_t*)(0xF8000150UL))
#define FM0P_VIR_VIR20                            *((volatile uint32_t*)(0xF8000150UL))
#define FM_VIR_VIR21                              *((volatile uint32_t*)(0xF8000154UL))
#define FM0P_VIR_VIR21                            *((volatile uint32_t*)(0xF8000154UL))
#define FM_VIR_VIR22                              *((volatile uint32_t*)(0xF8000158UL))
#define FM0P_VIR_VIR22                            *((volatile uint32_t*)(0xF8000158UL))
#define FM_VIR_VIR23                              *((volatile uint32_t*)(0xF800015CUL))
#define FM0P_VIR_VIR23                            *((volatile uint32_t*)(0xF800015CUL))
#define FM_VIR_VIR24                              *((volatile uint32_t*)(0xF8000160UL))
#define FM0P_VIR_VIR24                            *((volatile uint32_t*)(0xF8000160UL))
#define FM_VIR_VIR25                              *((volatile uint32_t*)(0xF8000164UL))
#define FM0P_VIR_VIR25                            *((volatile uint32_t*)(0xF8000164UL))
#define FM_VIR_VIR26                              *((volatile uint32_t*)(0xF8000168UL))
#define FM0P_VIR_VIR26                            *((volatile uint32_t*)(0xF8000168UL))
#define FM_VIR_VIR27                              *((volatile uint32_t*)(0xF800016CUL))
#define FM0P_VIR_VIR27                            *((volatile uint32_t*)(0xF800016CUL))
#define FM_VIR_VIR28                              *((volatile uint32_t*)(0xF8000170UL))
#define FM0P_VIR_VIR28                            *((volatile uint32_t*)(0xF8000170UL))
#define FM_VIR_VIR29                              *((volatile uint32_t*)(0xF8000174UL))
#define FM0P_VIR_VIR29                            *((volatile uint32_t*)(0xF8000174UL))
#define FM_VIR_VIR30                              *((volatile uint32_t*)(0xF8000178UL))
#define FM0P_VIR_VIR30                            *((volatile uint32_t*)(0xF8000178UL))
#define FM_VIR_VIR31                              *((volatile uint32_t*)(0xF800017CUL))
#define FM0P_VIR_VIR31                            *((volatile uint32_t*)(0xF800017CUL))

/******************************************************************************
 ** WC Registers WC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_WC_WCRD                                *((volatile  uint8_t*)(0x4003A000UL))
#define FM0P_WC_WCRD                              *((volatile  uint8_t*)(0x4003A000UL))
#define FM_WC_WCRL                                *((volatile  uint8_t*)(0x4003A001UL))
#define FM0P_WC_WCRL                              *((volatile  uint8_t*)(0x4003A001UL))
#define FM_WC_WCCR                                *((volatile  uint8_t*)(0x4003A002UL))
#define FM0P_WC_WCCR                              *((volatile  uint8_t*)(0x4003A002UL))
#define FM_WC_CLK_SEL                             *((volatile uint16_t*)(0x4003A010UL))
#define FM0P_WC_CLK_SEL                           *((volatile uint16_t*)(0x4003A010UL))
#define FM_WC_CLK_EN                              *((volatile  uint8_t*)(0x4003A014UL))
#define FM0P_WC_CLK_EN                            *((volatile  uint8_t*)(0x4003A014UL))

/******************************************************************************
 ** Available Registers
 ** 
 ******************************************************************************/
/******************************************************************************
 ** ADC0
 ** 
 ******************************************************************************/
#define FM0P_ADC_ADCEN_AVAILABLE                  1
#define FM_ADC_ADCEN_AVAILABLE                    1
#define FM0P_ADC_ADCR_AVAILABLE                   1
#define FM_ADC_ADCR_AVAILABLE                     1
#define FM0P_ADC_ADCT_AVAILABLE                   1
#define FM_ADC_ADCT_AVAILABLE                     1
#define FM0P_ADC_ADSR_AVAILABLE                   1
#define FM_ADC_ADSR_AVAILABLE                     1
#define FM0P_ADC_ADSS01_AVAILABLE                 1
#define FM_ADC_ADSS01_AVAILABLE                   1
#define FM0P_ADC_ADSS23_AVAILABLE                 1
#define FM_ADC_ADSS23_AVAILABLE                   1
#define FM0P_ADC_ADST01_AVAILABLE                 1
#define FM_ADC_ADST01_AVAILABLE                   1
#define FM0P_ADC_CMPCR_AVAILABLE                  1
#define FM_ADC_CMPCR_AVAILABLE                    1
#define FM0P_ADC_CMPD_AVAILABLE                   1
#define FM_ADC_CMPD_AVAILABLE                     1
#define FM0P_ADC_PCCR_AVAILABLE                   1
#define FM_ADC_PCCR_AVAILABLE                     1
#define FM0P_ADC_PCFD_AVAILABLE                   1
#define FM_ADC_PCFD_AVAILABLE                     1
#define FM0P_ADC_PCFD_FDAS1_AVAILABLE             1
#define FM_ADC_PCFD_FDAS1_AVAILABLE               1
#define FM0P_ADC_PCIS_AVAILABLE                   1
#define FM_ADC_PCIS_AVAILABLE                     1
#define FM0P_ADC_PFNS_AVAILABLE                   1
#define FM_ADC_PFNS_AVAILABLE                     1
#define FM0P_ADC_PRTSL_AVAILABLE                  1
#define FM_ADC_PRTSL_AVAILABLE                    1
#define FM0P_ADC_SCCR_AVAILABLE                   1
#define FM_ADC_SCCR_AVAILABLE                     1
#define FM0P_ADC_SCFD_AVAILABLE                   1
#define FM_ADC_SCFD_AVAILABLE                     1
#define FM0P_ADC_SCFD_FDAS1_AVAILABLE             1
#define FM_ADC_SCFD_FDAS1_AVAILABLE               1
#define FM0P_ADC_SCIS01_AVAILABLE                 1
#define FM_ADC_SCIS01_AVAILABLE                   1
#define FM0P_ADC_SCIS23_AVAILABLE                 1
#define FM_ADC_SCIS23_AVAILABLE                   1
#define FM0P_ADC_SCTSL_AVAILABLE                  1
#define FM_ADC_SCTSL_AVAILABLE                    1
#define FM0P_ADC_SFNS_AVAILABLE                   1
#define FM_ADC_SFNS_AVAILABLE                     1
#define FM0P_ADC_WCMPCR_AVAILABLE                 1
#define FM_ADC_WCMPCR_AVAILABLE                   1
#define FM0P_ADC_WCMPDH_AVAILABLE                 1
#define FM_ADC_WCMPDH_AVAILABLE                   1
#define FM0P_ADC_WCMPDL_AVAILABLE                 1
#define FM_ADC_WCMPDL_AVAILABLE                   1
#define FM0P_ADC_WCMPSR_AVAILABLE                 1
#define FM_ADC_WCMPSR_AVAILABLE                   1
#define FM0P_ADC_WCMRCIF_AVAILABLE                1
#define FM_ADC_WCMRCIF_AVAILABLE                  1
#define FM0P_ADC_WCMRCOT_AVAILABLE                1
#define FM_ADC_WCMRCOT_AVAILABLE                  1
/******************************************************************************
 ** BT0
 ** 
 ******************************************************************************/
#define FM0P_BT_PPG_PRLH_AVAILABLE                1
#define FM_BT_PPG_PRLH_AVAILABLE                  1
#define FM0P_BT_PPG_PRLL_AVAILABLE                1
#define FM_BT_PPG_PRLL_AVAILABLE                  1
#define FM0P_BT_PPG_STC_AVAILABLE                 1
#define FM_BT_PPG_STC_AVAILABLE                   1
#define FM0P_BT_PPG_TMCR_AVAILABLE                1
#define FM_BT_PPG_TMCR_AVAILABLE                  1
#define FM0P_BT_PPG_TMCR2_AVAILABLE               1
#define FM_BT_PPG_TMCR2_AVAILABLE                 1
#define FM0P_BT_PPG_TMR_AVAILABLE                 1
#define FM_BT_PPG_TMR_AVAILABLE                   1
#define FM0P_BT_PWC_DTBF_AVAILABLE                1
#define FM_BT_PWC_DTBF_AVAILABLE                  1
#define FM0P_BT_PWC_STC_AVAILABLE                 1
#define FM_BT_PWC_STC_AVAILABLE                   1
#define FM0P_BT_PWC_TMCR_AVAILABLE                1
#define FM_BT_PWC_TMCR_AVAILABLE                  1
#define FM0P_BT_PWC_TMCR2_AVAILABLE               1
#define FM_BT_PWC_TMCR2_AVAILABLE                 1
#define FM0P_BT_PWM_PCSR_AVAILABLE                1
#define FM_BT_PWM_PCSR_AVAILABLE                  1
#define FM0P_BT_PWM_PDUT_AVAILABLE                1
#define FM_BT_PWM_PDUT_AVAILABLE                  1
#define FM0P_BT_PWM_STC_AVAILABLE                 1
#define FM_BT_PWM_STC_AVAILABLE                   1
#define FM0P_BT_PWM_TMCR_AVAILABLE                1
#define FM_BT_PWM_TMCR_AVAILABLE                  1
#define FM0P_BT_PWM_TMCR2_AVAILABLE               1
#define FM_BT_PWM_TMCR2_AVAILABLE                 1
#define FM0P_BT_PWM_TMR_AVAILABLE                 1
#define FM_BT_PWM_TMR_AVAILABLE                   1
#define FM0P_BT_RT_PCSR_AVAILABLE                 1
#define FM_BT_RT_PCSR_AVAILABLE                   1
#define FM0P_BT_RT_STC_AVAILABLE                  1
#define FM_BT_RT_STC_AVAILABLE                    1
#define FM0P_BT_RT_TMCR_AVAILABLE                 1
#define FM_BT_RT_TMCR_AVAILABLE                   1
#define FM0P_BT_RT_TMCR2_AVAILABLE                1
#define FM_BT_RT_TMCR2_AVAILABLE                  1
#define FM0P_BT_RT_TMR_AVAILABLE                  1
#define FM_BT_RT_TMR_AVAILABLE                    1
/******************************************************************************
 ** BTIOSEL03
 ** 
 ******************************************************************************/
#define FM0P_BTIOSEL03_BTSEL0123_AVAILABLE        1
#define FM_BTIOSEL03_BTSEL0123_AVAILABLE          1
/******************************************************************************
 ** BTIOSEL47
 ** 
 ******************************************************************************/
#define FM0P_BTIOSEL47_BTSEL4567_AVAILABLE        1
#define FM_BTIOSEL47_BTSEL4567_AVAILABLE          1
/******************************************************************************
 ** CLK_GATING
 ** 
 ******************************************************************************/
#define FM0P_CLK_GATING_CKEN0_AVAILABLE           1
#define FM_CLK_GATING_CKEN0_AVAILABLE             1
#define FM0P_CLK_GATING_CKEN1_AVAILABLE           1
#define FM_CLK_GATING_CKEN1_AVAILABLE             1
#define FM0P_CLK_GATING_CKEN2_AVAILABLE           1
#define FM_CLK_GATING_CKEN2_AVAILABLE             1
#define FM0P_CLK_GATING_MRST0_AVAILABLE           1
#define FM_CLK_GATING_MRST0_AVAILABLE             1
#define FM0P_CLK_GATING_MRST1_AVAILABLE           1
#define FM_CLK_GATING_MRST1_AVAILABLE             1
#define FM0P_CLK_GATING_MRST2_AVAILABLE           1
#define FM_CLK_GATING_MRST2_AVAILABLE             1
/******************************************************************************
 ** CRC
 ** 
 ******************************************************************************/
#define FM0P_CRC_CRCCR_AVAILABLE                  1
#define FM_CRC_CRCCR_AVAILABLE                    1
#define FM0P_CRC_CRCIN_AVAILABLE                  1
#define FM_CRC_CRCIN_AVAILABLE                    1
#define FM0P_CRC_CRCINIT_AVAILABLE                1
#define FM_CRC_CRCINIT_AVAILABLE                  1
#define FM0P_CRC_CRCR_AVAILABLE                   1
#define FM_CRC_CRCR_AVAILABLE                     1
/******************************************************************************
 ** CRG
 ** 
 ******************************************************************************/
#define FM0P_CRG_APBC0_PSR_AVAILABLE              1
#define FM_CRG_APBC0_PSR_AVAILABLE                1
#define FM0P_CRG_APBC1_PSR_AVAILABLE              1
#define FM_CRG_APBC1_PSR_AVAILABLE                1
#define FM0P_CRG_BSC_PSR_AVAILABLE                1
#define FM_CRG_BSC_PSR_AVAILABLE                  1
#define FM0P_CRG_CSV_CTL_AVAILABLE                1
#define FM_CRG_CSV_CTL_AVAILABLE                  1
#define FM0P_CRG_CSV_STR_AVAILABLE                1
#define FM_CRG_CSV_STR_AVAILABLE                  1
#define FM0P_CRG_CSW_TMR_AVAILABLE                1
#define FM_CRG_CSW_TMR_AVAILABLE                  1
#define FM0P_CRG_DBWDT_CTL_AVAILABLE              1
#define FM_CRG_DBWDT_CTL_AVAILABLE                1
#define FM0P_CRG_FCSWD_CTL_AVAILABLE              1
#define FM_CRG_FCSWD_CTL_AVAILABLE                1
#define FM0P_CRG_FCSWH_CTL_AVAILABLE              1
#define FM_CRG_FCSWH_CTL_AVAILABLE                1
#define FM0P_CRG_FCSWL_CTL_AVAILABLE              1
#define FM_CRG_FCSWL_CTL_AVAILABLE                1
#define FM0P_CRG_INT_CLR_AVAILABLE                1
#define FM_CRG_INT_CLR_AVAILABLE                  1
#define FM0P_CRG_INT_ENR_AVAILABLE                1
#define FM_CRG_INT_ENR_AVAILABLE                  1
#define FM0P_CRG_INT_STR_AVAILABLE                1
#define FM_CRG_INT_STR_AVAILABLE                  1
#define FM0P_CRG_PLL_CTL1_AVAILABLE               1
#define FM_CRG_PLL_CTL1_AVAILABLE                 1
#define FM0P_CRG_PLL_CTL2_AVAILABLE               1
#define FM_CRG_PLL_CTL2_AVAILABLE                 1
#define FM0P_CRG_PSW_TMR_AVAILABLE                1
#define FM_CRG_PSW_TMR_AVAILABLE                  1
#define FM0P_CRG_RST_STR_AVAILABLE                1
#define FM_CRG_RST_STR_AVAILABLE                  1
#define FM0P_CRG_SCM_CTL_AVAILABLE                1
#define FM_CRG_SCM_CTL_AVAILABLE                  1
#define FM0P_CRG_SCM_STR_AVAILABLE                1
#define FM_CRG_SCM_STR_AVAILABLE                  1
#define FM0P_CRG_STB_CTL_AVAILABLE                1
#define FM_CRG_STB_CTL_AVAILABLE                  1
#define FM0P_CRG_SWC_PSR_AVAILABLE                1
#define FM_CRG_SWC_PSR_AVAILABLE                  1
/******************************************************************************
 ** CRTRIM
 ** 
 ******************************************************************************/
#define FM0P_CRTRIM_MCR_FTRM_AVAILABLE            1
#define FM_CRTRIM_MCR_FTRM_AVAILABLE              1
#define FM0P_CRTRIM_MCR_PSR_AVAILABLE             1
#define FM_CRTRIM_MCR_PSR_AVAILABLE               1
#define FM0P_CRTRIM_MCR_RLR_AVAILABLE             1
#define FM_CRTRIM_MCR_RLR_AVAILABLE               1
#define FM0P_CRTRIM_MCR_TTRM_AVAILABLE            1
#define FM_CRTRIM_MCR_TTRM_AVAILABLE              1
/******************************************************************************
 ** DS
 ** 
 ******************************************************************************/
#define FM0P_DS_BUR01_AVAILABLE                   1
#define FM_DS_BUR01_AVAILABLE                     1
#define FM0P_DS_BUR02_AVAILABLE                   1
#define FM_DS_BUR02_AVAILABLE                     1
#define FM0P_DS_BUR03_AVAILABLE                   1
#define FM_DS_BUR03_AVAILABLE                     1
#define FM0P_DS_BUR04_AVAILABLE                   1
#define FM_DS_BUR04_AVAILABLE                     1
#define FM0P_DS_BUR05_AVAILABLE                   1
#define FM_DS_BUR05_AVAILABLE                     1
#define FM0P_DS_BUR06_AVAILABLE                   1
#define FM_DS_BUR06_AVAILABLE                     1
#define FM0P_DS_BUR07_AVAILABLE                   1
#define FM_DS_BUR07_AVAILABLE                     1
#define FM0P_DS_BUR08_AVAILABLE                   1
#define FM_DS_BUR08_AVAILABLE                     1
#define FM0P_DS_BUR09_AVAILABLE                   1
#define FM_DS_BUR09_AVAILABLE                     1
#define FM0P_DS_BUR10_AVAILABLE                   1
#define FM_DS_BUR10_AVAILABLE                     1
#define FM0P_DS_BUR11_AVAILABLE                   1
#define FM_DS_BUR11_AVAILABLE                     1
#define FM0P_DS_BUR12_AVAILABLE                   1
#define FM_DS_BUR12_AVAILABLE                     1
#define FM0P_DS_BUR13_AVAILABLE                   1
#define FM_DS_BUR13_AVAILABLE                     1
#define FM0P_DS_BUR14_AVAILABLE                   1
#define FM_DS_BUR14_AVAILABLE                     1
#define FM0P_DS_BUR15_AVAILABLE                   1
#define FM_DS_BUR15_AVAILABLE                     1
#define FM0P_DS_BUR16_AVAILABLE                   1
#define FM_DS_BUR16_AVAILABLE                     1
#define FM0P_DS_CAL_CTL_AVAILABLE                 1
#define FM_DS_CAL_CTL_AVAILABLE                   1
#define FM0P_DS_CAL_KEY_AVAILABLE                 1
#define FM_DS_CAL_KEY_AVAILABLE                   1
#define FM0P_DS_CEC_CTL_AVAILABLE                 1
#define FM_DS_CEC_CTL_AVAILABLE                   1
#define FM0P_DS_DEBUG_SW_CTL_AVAILABLE            1
#define FM_DS_DEBUG_SW_CTL_AVAILABLE              1
#define FM0P_DS_DSRAMR_AVAILABLE                  1
#define FM_DS_DSRAMR_AVAILABLE                    1
#define FM0P_DS_MOSC_CTL_AVAILABLE                1
#define FM_DS_MOSC_CTL_AVAILABLE                  1
#define FM0P_DS_PMD_CTL_AVAILABLE                 1
#define FM_DS_PMD_CTL_AVAILABLE                   1
#define FM0P_DS_RCK_CTL_AVAILABLE                 1
#define FM_DS_RCK_CTL_AVAILABLE                   1
#define FM0P_DS_REG_CTL_AVAILABLE                 1
#define FM_DS_REG_CTL_AVAILABLE                   1
#define FM0P_DS_SUBOSC_CTL_AVAILABLE              1
#define FM_DS_SUBOSC_CTL_AVAILABLE                1
#define FM0P_DS_WIER_AVAILABLE                    1
#define FM_DS_WIER_AVAILABLE                      1
#define FM0P_DS_WIFSR_AVAILABLE                   1
#define FM_DS_WIFSR_AVAILABLE                     1
#define FM0P_DS_WILVR_AVAILABLE                   1
#define FM_DS_WILVR_AVAILABLE                     1
#define FM0P_DS_WIOLC_CTL_AVAILABLE               1
#define FM_DS_WIOLC_CTL_AVAILABLE                 1
#define FM0P_DS_WRFSR_AVAILABLE                   1
#define FM_DS_WRFSR_AVAILABLE                     1
/******************************************************************************
 ** DSTC
 ** 
 ******************************************************************************/
#define FM0P_DSTC_CFG_AVAILABLE                   1
#define FM_DSTC_CFG_AVAILABLE                     1
#define FM0P_DSTC_CMD_AVAILABLE                   1
#define FM_DSTC_CMD_AVAILABLE                     1
#define FM0P_DSTC_DESTP_AVAILABLE                 1
#define FM_DSTC_DESTP_AVAILABLE                   1
#define FM0P_DSTC_DQMSK0_AVAILABLE                1
#define FM_DSTC_DQMSK0_AVAILABLE                  1
#define FM0P_DSTC_DQMSK1_AVAILABLE                1
#define FM_DSTC_DQMSK1_AVAILABLE                  1
#define FM0P_DSTC_DQMSKCLR0_AVAILABLE             1
#define FM_DSTC_DQMSKCLR0_AVAILABLE               1
#define FM0P_DSTC_DQMSKCLR1_AVAILABLE             1
#define FM_DSTC_DQMSKCLR1_AVAILABLE               1
#define FM0P_DSTC_DREQENB0_AVAILABLE              1
#define FM_DSTC_DREQENB0_AVAILABLE                1
#define FM0P_DSTC_DREQENB1_AVAILABLE              1
#define FM_DSTC_DREQENB1_AVAILABLE                1
#define FM0P_DSTC_HWDESP_AVAILABLE                1
#define FM_DSTC_HWDESP_AVAILABLE                  1
#define FM0P_DSTC_HWINT0_AVAILABLE                1
#define FM_DSTC_HWINT0_AVAILABLE                  1
#define FM0P_DSTC_HWINT1_AVAILABLE                1
#define FM_DSTC_HWINT1_AVAILABLE                  1
#define FM0P_DSTC_HWINTCLR0_AVAILABLE             1
#define FM_DSTC_HWINTCLR0_AVAILABLE               1
#define FM0P_DSTC_HWINTCLR1_AVAILABLE             1
#define FM_DSTC_HWINTCLR1_AVAILABLE               1
#define FM0P_DSTC_MONERS_AVAILABLE                1
#define FM_DSTC_MONERS_AVAILABLE                  1
#define FM0P_DSTC_SWTR_AVAILABLE                  1
#define FM_DSTC_SWTR_AVAILABLE                    1
/******************************************************************************
 ** DT
 ** 
 ******************************************************************************/
#define FM0P_DT_TIMER1BGLOAD_AVAILABLE            1
#define FM_DT_TIMER1BGLOAD_AVAILABLE              1
#define FM0P_DT_TIMER1CONTROL_AVAILABLE           1
#define FM_DT_TIMER1CONTROL_AVAILABLE             1
#define FM0P_DT_TIMER1INTCLR_AVAILABLE            1
#define FM_DT_TIMER1INTCLR_AVAILABLE              1
#define FM0P_DT_TIMER1LOAD_AVAILABLE              1
#define FM_DT_TIMER1LOAD_AVAILABLE                1
#define FM0P_DT_TIMER1MIS_AVAILABLE               1
#define FM_DT_TIMER1MIS_AVAILABLE                 1
#define FM0P_DT_TIMER1RIS_AVAILABLE               1
#define FM_DT_TIMER1RIS_AVAILABLE                 1
#define FM0P_DT_TIMER1VALUE_AVAILABLE             1
#define FM_DT_TIMER1VALUE_AVAILABLE               1
#define FM0P_DT_TIMER2BGLOAD_AVAILABLE            1
#define FM_DT_TIMER2BGLOAD_AVAILABLE              1
#define FM0P_DT_TIMER2CONTROL_AVAILABLE           1
#define FM_DT_TIMER2CONTROL_AVAILABLE             1
#define FM0P_DT_TIMER2INTCLR_AVAILABLE            1
#define FM_DT_TIMER2INTCLR_AVAILABLE              1
#define FM0P_DT_TIMER2LOAD_AVAILABLE              1
#define FM_DT_TIMER2LOAD_AVAILABLE                1
#define FM0P_DT_TIMER2MIS_AVAILABLE               1
#define FM_DT_TIMER2MIS_AVAILABLE                 1
#define FM0P_DT_TIMER2RIS_AVAILABLE               1
#define FM_DT_TIMER2RIS_AVAILABLE                 1
#define FM0P_DT_TIMER2VALUE_AVAILABLE             1
#define FM_DT_TIMER2VALUE_AVAILABLE               1
/******************************************************************************
 ** EXTI
 ** 
 ******************************************************************************/
#define FM0P_EXTI_EICL_AVAILABLE                  1
#define FM_EXTI_EICL_AVAILABLE                    1
#define FM0P_EXTI_EIRR_AVAILABLE                  1
#define FM_EXTI_EIRR_AVAILABLE                    1
#define FM0P_EXTI_ELVR_AVAILABLE                  1
#define FM_EXTI_ELVR_AVAILABLE                    1
#define FM0P_EXTI_ELVR1_AVAILABLE                 1
#define FM_EXTI_ELVR1_AVAILABLE                   1
#define FM0P_EXTI_ELVR2_AVAILABLE                 1
#define FM_EXTI_ELVR2_AVAILABLE                   1
#define FM0P_EXTI_ENIR_AVAILABLE                  1
#define FM_EXTI_ENIR_AVAILABLE                    1
#define FM0P_EXTI_NMICL_AVAILABLE                 1
#define FM_EXTI_NMICL_AVAILABLE                   1
#define FM0P_EXTI_NMIENR_AVAILABLE                1
#define FM_EXTI_NMIENR_AVAILABLE                  1
#define FM0P_EXTI_NMIRR_AVAILABLE                 1
#define FM_EXTI_NMIRR_AVAILABLE                   1
/******************************************************************************
 ** FASTIO
 ** 
 ******************************************************************************/
#define FM0P_FASTIO_FPDIR0_AVAILABLE              1
#define FM_FASTIO_FPDIR0_AVAILABLE                1
#define FM0P_FASTIO_FPDIR1_AVAILABLE              1
#define FM_FASTIO_FPDIR1_AVAILABLE                1
#define FM0P_FASTIO_FPDIR2_AVAILABLE              1
#define FM_FASTIO_FPDIR2_AVAILABLE                1
#define FM0P_FASTIO_FPDIR3_AVAILABLE              1
#define FM_FASTIO_FPDIR3_AVAILABLE                1
#define FM0P_FASTIO_FPDIR4_AVAILABLE              1
#define FM_FASTIO_FPDIR4_AVAILABLE                1
#define FM0P_FASTIO_FPDIR5_AVAILABLE              1
#define FM_FASTIO_FPDIR5_AVAILABLE                1
#define FM0P_FASTIO_FPDIR6_AVAILABLE              1
#define FM_FASTIO_FPDIR6_AVAILABLE                1
#define FM0P_FASTIO_FPDIR7_AVAILABLE              1
#define FM_FASTIO_FPDIR7_AVAILABLE                1
#define FM0P_FASTIO_FPDIR8_AVAILABLE              1
#define FM_FASTIO_FPDIR8_AVAILABLE                1
#define FM0P_FASTIO_FPDIR9_AVAILABLE              1
#define FM_FASTIO_FPDIR9_AVAILABLE                1
#define FM0P_FASTIO_FPDIRA_AVAILABLE              1
#define FM_FASTIO_FPDIRA_AVAILABLE                1
#define FM0P_FASTIO_FPDIRB_AVAILABLE              1
#define FM_FASTIO_FPDIRB_AVAILABLE                1
#define FM0P_FASTIO_FPDIRC_AVAILABLE              1
#define FM_FASTIO_FPDIRC_AVAILABLE                1
#define FM0P_FASTIO_FPDIRD_AVAILABLE              1
#define FM_FASTIO_FPDIRD_AVAILABLE                1
#define FM0P_FASTIO_FPDIRE_AVAILABLE              1
#define FM_FASTIO_FPDIRE_AVAILABLE                1
#define FM0P_FASTIO_FPDIRF_AVAILABLE              1
#define FM_FASTIO_FPDIRF_AVAILABLE                1
#define FM0P_FASTIO_FPDOR0_AVAILABLE              1
#define FM_FASTIO_FPDOR0_AVAILABLE                1
#define FM0P_FASTIO_FPDOR1_AVAILABLE              1
#define FM_FASTIO_FPDOR1_AVAILABLE                1
#define FM0P_FASTIO_FPDOR2_AVAILABLE              1
#define FM_FASTIO_FPDOR2_AVAILABLE                1
#define FM0P_FASTIO_FPDOR3_AVAILABLE              1
#define FM_FASTIO_FPDOR3_AVAILABLE                1
#define FM0P_FASTIO_FPDOR4_AVAILABLE              1
#define FM_FASTIO_FPDOR4_AVAILABLE                1
#define FM0P_FASTIO_FPDOR5_AVAILABLE              1
#define FM_FASTIO_FPDOR5_AVAILABLE                1
#define FM0P_FASTIO_FPDOR6_AVAILABLE              1
#define FM_FASTIO_FPDOR6_AVAILABLE                1
#define FM0P_FASTIO_FPDOR7_AVAILABLE              1
#define FM_FASTIO_FPDOR7_AVAILABLE                1
#define FM0P_FASTIO_FPDOR8_AVAILABLE              1
#define FM_FASTIO_FPDOR8_AVAILABLE                1
#define FM0P_FASTIO_FPDOR9_AVAILABLE              1
#define FM_FASTIO_FPDOR9_AVAILABLE                1
#define FM0P_FASTIO_FPDORA_AVAILABLE              1
#define FM_FASTIO_FPDORA_AVAILABLE                1
#define FM0P_FASTIO_FPDORB_AVAILABLE              1
#define FM_FASTIO_FPDORB_AVAILABLE                1
#define FM0P_FASTIO_FPDORC_AVAILABLE              1
#define FM_FASTIO_FPDORC_AVAILABLE                1
#define FM0P_FASTIO_FPDORD_AVAILABLE              1
#define FM_FASTIO_FPDORD_AVAILABLE                1
#define FM0P_FASTIO_FPDORE_AVAILABLE              1
#define FM_FASTIO_FPDORE_AVAILABLE                1
#define FM0P_FASTIO_FPDORF_AVAILABLE              1
#define FM_FASTIO_FPDORF_AVAILABLE                1
#define FM0P_FASTIO_M_FPDIR0_AVAILABLE            1
#define FM_FASTIO_M_FPDIR0_AVAILABLE              1
#define FM0P_FASTIO_M_FPDIR1_AVAILABLE            1
#define FM_FASTIO_M_FPDIR1_AVAILABLE              1
#define FM0P_FASTIO_M_FPDOR0_AVAILABLE            1
#define FM_FASTIO_M_FPDOR0_AVAILABLE              1
#define FM0P_FASTIO_M_FPDOR1_AVAILABLE            1
#define FM_FASTIO_M_FPDOR1_AVAILABLE              1
/******************************************************************************
 ** FLASH_IF
 ** 
 ******************************************************************************/
#define FM0P_FLASH_IF_CRTRMM_AVAILABLE            1
#define FM_FLASH_IF_CRTRMM_AVAILABLE              1
#define FM0P_FLASH_IF_FICLR_AVAILABLE             1
#define FM_FLASH_IF_FICLR_AVAILABLE               1
#define FM0P_FLASH_IF_FICR_AVAILABLE              1
#define FM_FLASH_IF_FICR_AVAILABLE                1
#define FM0P_FLASH_IF_FISR_AVAILABLE              1
#define FM_FLASH_IF_FISR_AVAILABLE                1
#define FM0P_FLASH_IF_FRWTR_AVAILABLE             1
#define FM_FLASH_IF_FRWTR_AVAILABLE               1
#define FM0P_FLASH_IF_FSTR_AVAILABLE              1
#define FM_FLASH_IF_FSTR_AVAILABLE                1
#define FM0P_FLASH_IF_FSYNDN_AVAILABLE            1
#define FM_FLASH_IF_FSYNDN_AVAILABLE              1
/******************************************************************************
 ** GPIO
 ** 
 ******************************************************************************/
#define FM0P_GPIO_ADE_AVAILABLE                   1
#define FM_GPIO_ADE_AVAILABLE                     1
#define FM0P_GPIO_DDR0_AVAILABLE                  1
#define FM_GPIO_DDR0_AVAILABLE                    1
#define FM0P_GPIO_DDR1_AVAILABLE                  1
#define FM_GPIO_DDR1_AVAILABLE                    1
#define FM0P_GPIO_DDR2_AVAILABLE                  1
#define FM_GPIO_DDR2_AVAILABLE                    1
#define FM0P_GPIO_DDR3_AVAILABLE                  1
#define FM_GPIO_DDR3_AVAILABLE                    1
#define FM0P_GPIO_DDR4_AVAILABLE                  1
#define FM_GPIO_DDR4_AVAILABLE                    1
#define FM0P_GPIO_DDR5_AVAILABLE                  1
#define FM_GPIO_DDR5_AVAILABLE                    1
#define FM0P_GPIO_DDR6_AVAILABLE                  1
#define FM_GPIO_DDR6_AVAILABLE                    1
#define FM0P_GPIO_DDR7_AVAILABLE                  1
#define FM_GPIO_DDR7_AVAILABLE                    1
#define FM0P_GPIO_DDR8_AVAILABLE                  1
#define FM_GPIO_DDR8_AVAILABLE                    1
#define FM0P_GPIO_DDR9_AVAILABLE                  1
#define FM_GPIO_DDR9_AVAILABLE                    1
#define FM0P_GPIO_DDRA_AVAILABLE                  1
#define FM_GPIO_DDRA_AVAILABLE                    1
#define FM0P_GPIO_DDRB_AVAILABLE                  1
#define FM_GPIO_DDRB_AVAILABLE                    1
#define FM0P_GPIO_DDRC_AVAILABLE                  1
#define FM_GPIO_DDRC_AVAILABLE                    1
#define FM0P_GPIO_DDRD_AVAILABLE                  1
#define FM_GPIO_DDRD_AVAILABLE                    1
#define FM0P_GPIO_DDRE_AVAILABLE                  1
#define FM_GPIO_DDRE_AVAILABLE                    1
#define FM0P_GPIO_DDRF_AVAILABLE                  1
#define FM_GPIO_DDRF_AVAILABLE                    1
#define FM0P_GPIO_EPFR00_AVAILABLE                1
#define FM_GPIO_EPFR00_AVAILABLE                  1
#define FM0P_GPIO_EPFR01_AVAILABLE                1
#define FM_GPIO_EPFR01_AVAILABLE                  1
#define FM0P_GPIO_EPFR04_AVAILABLE                1
#define FM_GPIO_EPFR04_AVAILABLE                  1
#define FM0P_GPIO_EPFR05_AVAILABLE                1
#define FM_GPIO_EPFR05_AVAILABLE                  1
#define FM0P_GPIO_EPFR06_AVAILABLE                1
#define FM_GPIO_EPFR06_AVAILABLE                  1
#define FM0P_GPIO_EPFR07_AVAILABLE                1
#define FM_GPIO_EPFR07_AVAILABLE                  1
#define FM0P_GPIO_EPFR08_AVAILABLE                1
#define FM_GPIO_EPFR08_AVAILABLE                  1
#define FM0P_GPIO_EPFR09_AVAILABLE                1
#define FM_GPIO_EPFR09_AVAILABLE                  1
#define FM0P_GPIO_EPFR15_AVAILABLE                1
#define FM_GPIO_EPFR15_AVAILABLE                  1
#define FM0P_GPIO_EPFR16_AVAILABLE                1
#define FM_GPIO_EPFR16_AVAILABLE                  1
#define FM0P_GPIO_EPFR18_AVAILABLE                1
#define FM_GPIO_EPFR18_AVAILABLE                  1
#define FM0P_GPIO_EPFR22_AVAILABLE                1
#define FM_GPIO_EPFR22_AVAILABLE                  1
#define FM0P_GPIO_EPFR23_AVAILABLE                1
#define FM_GPIO_EPFR23_AVAILABLE                  1
#define FM0P_GPIO_EPFR31_AVAILABLE                1
#define FM_GPIO_EPFR31_AVAILABLE                  1
#define FM0P_GPIO_EPFR33_AVAILABLE                1
#define FM_GPIO_EPFR33_AVAILABLE                  1
#define FM0P_GPIO_EPFR34_AVAILABLE                1
#define FM_GPIO_EPFR34_AVAILABLE                  1
#define FM0P_GPIO_EPFR37_AVAILABLE                1
#define FM_GPIO_EPFR37_AVAILABLE                  1
#define FM0P_GPIO_EPFR38_AVAILABLE                1
#define FM_GPIO_EPFR38_AVAILABLE                  1
#define FM0P_GPIO_FPOER0_AVAILABLE                1
#define FM_GPIO_FPOER0_AVAILABLE                  1
#define FM0P_GPIO_FPOER1_AVAILABLE                1
#define FM_GPIO_FPOER1_AVAILABLE                  1
#define FM0P_GPIO_FPOER2_AVAILABLE                1
#define FM_GPIO_FPOER2_AVAILABLE                  1
#define FM0P_GPIO_FPOER3_AVAILABLE                1
#define FM_GPIO_FPOER3_AVAILABLE                  1
#define FM0P_GPIO_FPOER4_AVAILABLE                1
#define FM_GPIO_FPOER4_AVAILABLE                  1
#define FM0P_GPIO_FPOER5_AVAILABLE                1
#define FM_GPIO_FPOER5_AVAILABLE                  1
#define FM0P_GPIO_FPOER6_AVAILABLE                1
#define FM_GPIO_FPOER6_AVAILABLE                  1
#define FM0P_GPIO_FPOER7_AVAILABLE                1
#define FM_GPIO_FPOER7_AVAILABLE                  1
#define FM0P_GPIO_FPOER8_AVAILABLE                1
#define FM_GPIO_FPOER8_AVAILABLE                  1
#define FM0P_GPIO_FPOER9_AVAILABLE                1
#define FM_GPIO_FPOER9_AVAILABLE                  1
#define FM0P_GPIO_FPOERA_AVAILABLE                1
#define FM_GPIO_FPOERA_AVAILABLE                  1
#define FM0P_GPIO_FPOERB_AVAILABLE                1
#define FM_GPIO_FPOERB_AVAILABLE                  1
#define FM0P_GPIO_FPOERC_AVAILABLE                1
#define FM_GPIO_FPOERC_AVAILABLE                  1
#define FM0P_GPIO_FPOERD_AVAILABLE                1
#define FM_GPIO_FPOERD_AVAILABLE                  1
#define FM0P_GPIO_FPOERE_AVAILABLE                1
#define FM_GPIO_FPOERE_AVAILABLE                  1
#define FM0P_GPIO_FPOERF_AVAILABLE                1
#define FM_GPIO_FPOERF_AVAILABLE                  1
#define FM0P_GPIO_LVDIE_AVAILABLE                 1
#define FM_GPIO_LVDIE_AVAILABLE                   1
#define FM0P_GPIO_PCR0_AVAILABLE                  1
#define FM_GPIO_PCR0_AVAILABLE                    1
#define FM0P_GPIO_PCR1_AVAILABLE                  1
#define FM_GPIO_PCR1_AVAILABLE                    1
#define FM0P_GPIO_PCR2_AVAILABLE                  1
#define FM_GPIO_PCR2_AVAILABLE                    1
#define FM0P_GPIO_PCR3_AVAILABLE                  1
#define FM_GPIO_PCR3_AVAILABLE                    1
#define FM0P_GPIO_PCR4_AVAILABLE                  1
#define FM_GPIO_PCR4_AVAILABLE                    1
#define FM0P_GPIO_PCR5_AVAILABLE                  1
#define FM_GPIO_PCR5_AVAILABLE                    1
#define FM0P_GPIO_PCR6_AVAILABLE                  1
#define FM_GPIO_PCR6_AVAILABLE                    1
#define FM0P_GPIO_PCR7_AVAILABLE                  1
#define FM_GPIO_PCR7_AVAILABLE                    1
#define FM0P_GPIO_PCR9_AVAILABLE                  1
#define FM_GPIO_PCR9_AVAILABLE                    1
#define FM0P_GPIO_PCRA_AVAILABLE                  1
#define FM_GPIO_PCRA_AVAILABLE                    1
#define FM0P_GPIO_PCRB_AVAILABLE                  1
#define FM_GPIO_PCRB_AVAILABLE                    1
#define FM0P_GPIO_PCRC_AVAILABLE                  1
#define FM_GPIO_PCRC_AVAILABLE                    1
#define FM0P_GPIO_PCRD_AVAILABLE                  1
#define FM_GPIO_PCRD_AVAILABLE                    1
#define FM0P_GPIO_PCRE_AVAILABLE                  1
#define FM_GPIO_PCRE_AVAILABLE                    1
#define FM0P_GPIO_PCRF_AVAILABLE                  1
#define FM_GPIO_PCRF_AVAILABLE                    1
#define FM0P_GPIO_PDIR0_AVAILABLE                 1
#define FM_GPIO_PDIR0_AVAILABLE                   1
#define FM0P_GPIO_PDIR1_AVAILABLE                 1
#define FM_GPIO_PDIR1_AVAILABLE                   1
#define FM0P_GPIO_PDIR2_AVAILABLE                 1
#define FM_GPIO_PDIR2_AVAILABLE                   1
#define FM0P_GPIO_PDIR3_AVAILABLE                 1
#define FM_GPIO_PDIR3_AVAILABLE                   1
#define FM0P_GPIO_PDIR4_AVAILABLE                 1
#define FM_GPIO_PDIR4_AVAILABLE                   1
#define FM0P_GPIO_PDIR5_AVAILABLE                 1
#define FM_GPIO_PDIR5_AVAILABLE                   1
#define FM0P_GPIO_PDIR6_AVAILABLE                 1
#define FM_GPIO_PDIR6_AVAILABLE                   1
#define FM0P_GPIO_PDIR7_AVAILABLE                 1
#define FM_GPIO_PDIR7_AVAILABLE                   1
#define FM0P_GPIO_PDIR8_AVAILABLE                 1
#define FM_GPIO_PDIR8_AVAILABLE                   1
#define FM0P_GPIO_PDIR9_AVAILABLE                 1
#define FM_GPIO_PDIR9_AVAILABLE                   1
#define FM0P_GPIO_PDIRA_AVAILABLE                 1
#define FM_GPIO_PDIRA_AVAILABLE                   1
#define FM0P_GPIO_PDIRB_AVAILABLE                 1
#define FM_GPIO_PDIRB_AVAILABLE                   1
#define FM0P_GPIO_PDIRC_AVAILABLE                 1
#define FM_GPIO_PDIRC_AVAILABLE                   1
#define FM0P_GPIO_PDIRD_AVAILABLE                 1
#define FM_GPIO_PDIRD_AVAILABLE                   1
#define FM0P_GPIO_PDIRE_AVAILABLE                 1
#define FM_GPIO_PDIRE_AVAILABLE                   1
#define FM0P_GPIO_PDIRF_AVAILABLE                 1
#define FM_GPIO_PDIRF_AVAILABLE                   1
#define FM0P_GPIO_PDOR0_AVAILABLE                 1
#define FM_GPIO_PDOR0_AVAILABLE                   1
#define FM0P_GPIO_PDOR1_AVAILABLE                 1
#define FM_GPIO_PDOR1_AVAILABLE                   1
#define FM0P_GPIO_PDOR2_AVAILABLE                 1
#define FM_GPIO_PDOR2_AVAILABLE                   1
#define FM0P_GPIO_PDOR3_AVAILABLE                 1
#define FM_GPIO_PDOR3_AVAILABLE                   1
#define FM0P_GPIO_PDOR4_AVAILABLE                 1
#define FM_GPIO_PDOR4_AVAILABLE                   1
#define FM0P_GPIO_PDOR5_AVAILABLE                 1
#define FM_GPIO_PDOR5_AVAILABLE                   1
#define FM0P_GPIO_PDOR6_AVAILABLE                 1
#define FM_GPIO_PDOR6_AVAILABLE                   1
#define FM0P_GPIO_PDOR7_AVAILABLE                 1
#define FM_GPIO_PDOR7_AVAILABLE                   1
#define FM0P_GPIO_PDOR8_AVAILABLE                 1
#define FM_GPIO_PDOR8_AVAILABLE                   1
#define FM0P_GPIO_PDOR9_AVAILABLE                 1
#define FM_GPIO_PDOR9_AVAILABLE                   1
#define FM0P_GPIO_PDORA_AVAILABLE                 1
#define FM_GPIO_PDORA_AVAILABLE                   1
#define FM0P_GPIO_PDORB_AVAILABLE                 1
#define FM_GPIO_PDORB_AVAILABLE                   1
#define FM0P_GPIO_PDORC_AVAILABLE                 1
#define FM_GPIO_PDORC_AVAILABLE                   1
#define FM0P_GPIO_PDORD_AVAILABLE                 1
#define FM_GPIO_PDORD_AVAILABLE                   1
#define FM0P_GPIO_PDORE_AVAILABLE                 1
#define FM_GPIO_PDORE_AVAILABLE                   1
#define FM0P_GPIO_PDORF_AVAILABLE                 1
#define FM_GPIO_PDORF_AVAILABLE                   1
#define FM0P_GPIO_PFR0_AVAILABLE                  1
#define FM_GPIO_PFR0_AVAILABLE                    1
#define FM0P_GPIO_PFR1_AVAILABLE                  1
#define FM_GPIO_PFR1_AVAILABLE                    1
#define FM0P_GPIO_PFR2_AVAILABLE                  1
#define FM_GPIO_PFR2_AVAILABLE                    1
#define FM0P_GPIO_PFR3_AVAILABLE                  1
#define FM_GPIO_PFR3_AVAILABLE                    1
#define FM0P_GPIO_PFR4_AVAILABLE                  1
#define FM_GPIO_PFR4_AVAILABLE                    1
#define FM0P_GPIO_PFR5_AVAILABLE                  1
#define FM_GPIO_PFR5_AVAILABLE                    1
#define FM0P_GPIO_PFR6_AVAILABLE                  1
#define FM_GPIO_PFR6_AVAILABLE                    1
#define FM0P_GPIO_PFR7_AVAILABLE                  1
#define FM_GPIO_PFR7_AVAILABLE                    1
#define FM0P_GPIO_PFR8_AVAILABLE                  1
#define FM_GPIO_PFR8_AVAILABLE                    1
#define FM0P_GPIO_PFR9_AVAILABLE                  1
#define FM_GPIO_PFR9_AVAILABLE                    1
#define FM0P_GPIO_PFRA_AVAILABLE                  1
#define FM_GPIO_PFRA_AVAILABLE                    1
#define FM0P_GPIO_PFRB_AVAILABLE                  1
#define FM_GPIO_PFRB_AVAILABLE                    1
#define FM0P_GPIO_PFRC_AVAILABLE                  1
#define FM_GPIO_PFRC_AVAILABLE                    1
#define FM0P_GPIO_PFRD_AVAILABLE                  1
#define FM_GPIO_PFRD_AVAILABLE                    1
#define FM0P_GPIO_PFRE_AVAILABLE                  1
#define FM_GPIO_PFRE_AVAILABLE                    1
#define FM0P_GPIO_PFRF_AVAILABLE                  1
#define FM_GPIO_PFRF_AVAILABLE                    1
#define FM0P_GPIO_PZR0_AVAILABLE                  1
#define FM_GPIO_PZR0_AVAILABLE                    1
#define FM0P_GPIO_PZR1_AVAILABLE                  1
#define FM_GPIO_PZR1_AVAILABLE                    1
#define FM0P_GPIO_PZR2_AVAILABLE                  1
#define FM_GPIO_PZR2_AVAILABLE                    1
#define FM0P_GPIO_PZR3_AVAILABLE                  1
#define FM_GPIO_PZR3_AVAILABLE                    1
#define FM0P_GPIO_PZR4_AVAILABLE                  1
#define FM_GPIO_PZR4_AVAILABLE                    1
#define FM0P_GPIO_PZR5_AVAILABLE                  1
#define FM_GPIO_PZR5_AVAILABLE                    1
#define FM0P_GPIO_PZR6_AVAILABLE                  1
#define FM_GPIO_PZR6_AVAILABLE                    1
#define FM0P_GPIO_PZR7_AVAILABLE                  1
#define FM_GPIO_PZR7_AVAILABLE                    1
#define FM0P_GPIO_PZR8_AVAILABLE                  1
#define FM_GPIO_PZR8_AVAILABLE                    1
#define FM0P_GPIO_PZR9_AVAILABLE                  1
#define FM_GPIO_PZR9_AVAILABLE                    1
#define FM0P_GPIO_PZRA_AVAILABLE                  1
#define FM_GPIO_PZRA_AVAILABLE                    1
#define FM0P_GPIO_PZRB_AVAILABLE                  1
#define FM_GPIO_PZRB_AVAILABLE                    1
#define FM0P_GPIO_PZRC_AVAILABLE                  1
#define FM_GPIO_PZRC_AVAILABLE                    1
#define FM0P_GPIO_PZRD_AVAILABLE                  1
#define FM_GPIO_PZRD_AVAILABLE                    1
#define FM0P_GPIO_PZRE_AVAILABLE                  1
#define FM_GPIO_PZRE_AVAILABLE                    1
#define FM0P_GPIO_PZRF_AVAILABLE                  1
#define FM_GPIO_PZRF_AVAILABLE                    1
#define FM0P_GPIO_SPSR_AVAILABLE                  1
#define FM_GPIO_SPSR_AVAILABLE                    1
/******************************************************************************
 ** HDMICEC0
 ** 
 ******************************************************************************/
#define FM0P_HDMICEC_RCADR1_AVAILABLE             1
#define FM_HDMICEC_RCADR1_AVAILABLE               1
#define FM0P_HDMICEC_RCADR2_AVAILABLE             1
#define FM_HDMICEC_RCADR2_AVAILABLE               1
#define FM0P_HDMICEC_RCCKD_AVAILABLE              1
#define FM_HDMICEC_RCCKD_AVAILABLE                1
#define FM0P_HDMICEC_RCCR_AVAILABLE               1
#define FM_HDMICEC_RCCR_AVAILABLE                 1
#define FM0P_HDMICEC_RCDAHW_AVAILABLE             1
#define FM_HDMICEC_RCDAHW_AVAILABLE               1
#define FM0P_HDMICEC_RCDBHW_AVAILABLE             1
#define FM_HDMICEC_RCDBHW_AVAILABLE               1
#define FM0P_HDMICEC_RCDTHH_AVAILABLE             1
#define FM_HDMICEC_RCDTHH_AVAILABLE               1
#define FM0P_HDMICEC_RCDTHL_AVAILABLE             1
#define FM_HDMICEC_RCDTHL_AVAILABLE               1
#define FM0P_HDMICEC_RCDTLH_AVAILABLE             1
#define FM_HDMICEC_RCDTLH_AVAILABLE               1
#define FM0P_HDMICEC_RCDTLL_AVAILABLE             1
#define FM_HDMICEC_RCDTLL_AVAILABLE               1
#define FM0P_HDMICEC_RCLE_AVAILABLE               1
#define FM_HDMICEC_RCLE_AVAILABLE                 1
#define FM0P_HDMICEC_RCLELW_AVAILABLE             1
#define FM_HDMICEC_RCLELW_AVAILABLE               1
#define FM0P_HDMICEC_RCLESW_AVAILABLE             1
#define FM_HDMICEC_RCLESW_AVAILABLE               1
#define FM0P_HDMICEC_RCRC_AVAILABLE               1
#define FM_HDMICEC_RCRC_AVAILABLE                 1
#define FM0P_HDMICEC_RCRHW_AVAILABLE              1
#define FM_HDMICEC_RCRHW_AVAILABLE                1
#define FM0P_HDMICEC_RCSHW_AVAILABLE              1
#define FM_HDMICEC_RCSHW_AVAILABLE                1
#define FM0P_HDMICEC_RCST_AVAILABLE               1
#define FM_HDMICEC_RCST_AVAILABLE                 1
#define FM0P_HDMICEC_SFREE_AVAILABLE              1
#define FM_HDMICEC_SFREE_AVAILABLE                1
#define FM0P_HDMICEC_TXCTRL_AVAILABLE             1
#define FM_HDMICEC_TXCTRL_AVAILABLE               1
#define FM0P_HDMICEC_TXDATA_AVAILABLE             1
#define FM_HDMICEC_TXDATA_AVAILABLE               1
#define FM0P_HDMICEC_TXSTS_AVAILABLE              1
#define FM_HDMICEC_TXSTS_AVAILABLE                1
/******************************************************************************
 ** HWWDT
 ** 
 ******************************************************************************/
#define FM0P_HWWDT_WDG_CTL_AVAILABLE              1
#define FM_HWWDT_WDG_CTL_AVAILABLE                1
#define FM0P_HWWDT_WDG_ICL_AVAILABLE              1
#define FM_HWWDT_WDG_ICL_AVAILABLE                1
#define FM0P_HWWDT_WDG_LCK_AVAILABLE              1
#define FM_HWWDT_WDG_LCK_AVAILABLE                1
#define FM0P_HWWDT_WDG_LDR_AVAILABLE              1
#define FM_HWWDT_WDG_LDR_AVAILABLE                1
#define FM0P_HWWDT_WDG_RIS_AVAILABLE              1
#define FM_HWWDT_WDG_RIS_AVAILABLE                1
#define FM0P_HWWDT_WDG_VLR_AVAILABLE              1
#define FM_HWWDT_WDG_VLR_AVAILABLE                1
/******************************************************************************
 ** I2CSLAVE
 ** 
 ******************************************************************************/
#define FM0P_I2CSLAVE_IBSADR_AVAILABLE            1
#define FM_I2CSLAVE_IBSADR_AVAILABLE              1
#define FM0P_I2CSLAVE_IBSCR_AVAILABLE             1
#define FM_I2CSLAVE_IBSCR_AVAILABLE               1
#define FM0P_I2CSLAVE_IBSDSTUPR_AVAILABLE         1
#define FM_I2CSLAVE_IBSDSTUPR_AVAILABLE           1
#define FM0P_I2CSLAVE_IBSMSKR_AVAILABLE           1
#define FM_I2CSLAVE_IBSMSKR_AVAILABLE             1
#define FM0P_I2CSLAVE_IBSRDR_AVAILABLE            1
#define FM_I2CSLAVE_IBSRDR_AVAILABLE              1
#define FM0P_I2CSLAVE_IBSSCR_AVAILABLE            1
#define FM_I2CSLAVE_IBSSCR_AVAILABLE              1
#define FM0P_I2CSLAVE_IBSSR_AVAILABLE             1
#define FM_I2CSLAVE_IBSSR_AVAILABLE               1
#define FM0P_I2CSLAVE_IBSSSR_AVAILABLE            1
#define FM_I2CSLAVE_IBSSSR_AVAILABLE              1
#define FM0P_I2CSLAVE_IBSTDR_AVAILABLE            1
#define FM_I2CSLAVE_IBSTDR_AVAILABLE              1
/******************************************************************************
 ** INTREQ
 ** 
 ******************************************************************************/
#define FM0P_INTREQ_EXC02MON_AVAILABLE            1
#define FM_INTREQ_EXC02MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ00MON_AVAILABLE            1
#define FM_INTREQ_IRQ00MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ01MON_AVAILABLE            1
#define FM_INTREQ_IRQ01MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ02MON_AVAILABLE            1
#define FM_INTREQ_IRQ02MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ03MON_AVAILABLE            1
#define FM_INTREQ_IRQ03MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ04MON_AVAILABLE            1
#define FM_INTREQ_IRQ04MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ05MON_AVAILABLE            1
#define FM_INTREQ_IRQ05MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ06MON_AVAILABLE            1
#define FM_INTREQ_IRQ06MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ07MON_AVAILABLE            1
#define FM_INTREQ_IRQ07MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ08MON_AVAILABLE            1
#define FM_INTREQ_IRQ08MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ09MON_AVAILABLE            1
#define FM_INTREQ_IRQ09MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ10MON_AVAILABLE            1
#define FM_INTREQ_IRQ10MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ11MON_AVAILABLE            1
#define FM_INTREQ_IRQ11MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ12MON_AVAILABLE            1
#define FM_INTREQ_IRQ12MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ13MON_AVAILABLE            1
#define FM_INTREQ_IRQ13MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ14MON_AVAILABLE            1
#define FM_INTREQ_IRQ14MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ15MON_AVAILABLE            1
#define FM_INTREQ_IRQ15MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ16MON_AVAILABLE            1
#define FM_INTREQ_IRQ16MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ17MON_AVAILABLE            1
#define FM_INTREQ_IRQ17MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ18MON_AVAILABLE            1
#define FM_INTREQ_IRQ18MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ19MON_AVAILABLE            1
#define FM_INTREQ_IRQ19MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ20MON_AVAILABLE            1
#define FM_INTREQ_IRQ20MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ21MON_AVAILABLE            1
#define FM_INTREQ_IRQ21MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ22MON_AVAILABLE            1
#define FM_INTREQ_IRQ22MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ23MON_AVAILABLE            1
#define FM_INTREQ_IRQ23MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ24MON_AVAILABLE            1
#define FM_INTREQ_IRQ24MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ25MON_AVAILABLE            1
#define FM_INTREQ_IRQ25MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ26MON_AVAILABLE            1
#define FM_INTREQ_IRQ26MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ27MON_AVAILABLE            1
#define FM_INTREQ_IRQ27MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ28MON_AVAILABLE            1
#define FM_INTREQ_IRQ28MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ29MON_AVAILABLE            1
#define FM_INTREQ_IRQ29MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ30MON_AVAILABLE            1
#define FM_INTREQ_IRQ30MON_AVAILABLE              1
#define FM0P_INTREQ_IRQ31MON_AVAILABLE            1
#define FM_INTREQ_IRQ31MON_AVAILABLE              1
#define FM0P_INTREQ_ODDPKS_AVAILABLE              1
#define FM_INTREQ_ODDPKS_AVAILABLE                1
#define FM0P_INTREQ_VIR_OFFSET_AVAILABLE          1
#define FM_INTREQ_VIR_OFFSET_AVAILABLE            1
/******************************************************************************
 ** LSCRP
 ** 
 ******************************************************************************/
#define FM0P_LSCRP_LCR_PRSLD_AVAILABLE            1
#define FM_LSCRP_LCR_PRSLD_AVAILABLE              1
/******************************************************************************
 ** LVD
 ** 
 ******************************************************************************/
#define FM0P_LVD_LVD_CLR_AVAILABLE                1
#define FM_LVD_LVD_CLR_AVAILABLE                  1
#define FM0P_LVD_LVD_CTL_AVAILABLE                1
#define FM_LVD_LVD_CTL_AVAILABLE                  1
#define FM0P_LVD_LVD_RLR_AVAILABLE                1
#define FM_LVD_LVD_RLR_AVAILABLE                  1
#define FM0P_LVD_LVD_STR_AVAILABLE                1
#define FM_LVD_LVD_STR_AVAILABLE                  1
#define FM0P_LVD_LVD_STR2_AVAILABLE               1
#define FM_LVD_LVD_STR2_AVAILABLE                 1
/******************************************************************************
 ** MFS0
 ** 
 ******************************************************************************/
#define FM0P_MFS_CSIO_BGR_AVAILABLE               1
#define FM_MFS_CSIO_BGR_AVAILABLE                 1
#define FM0P_MFS_CSIO_ESCR_AVAILABLE              1
#define FM_MFS_CSIO_ESCR_AVAILABLE                1
#define FM0P_MFS_CSIO_FBYTE1_AVAILABLE            1
#define FM_MFS_CSIO_FBYTE1_AVAILABLE              1
#define FM0P_MFS_CSIO_FBYTE2_AVAILABLE            1
#define FM_MFS_CSIO_FBYTE2_AVAILABLE              1
#define FM0P_MFS_CSIO_FCR_AVAILABLE               1
#define FM_MFS_CSIO_FCR_AVAILABLE                 1
#define FM0P_MFS_CSIO_RDR_AVAILABLE               1
#define FM_MFS_CSIO_RDR_AVAILABLE                 1
#define FM0P_MFS_CSIO_SACSR_AVAILABLE             1
#define FM_MFS_CSIO_SACSR_AVAILABLE               1
#define FM0P_MFS_CSIO_SCR_AVAILABLE               1
#define FM_MFS_CSIO_SCR_AVAILABLE                 1
#define FM0P_MFS_CSIO_SCSCR_AVAILABLE             1
#define FM_MFS_CSIO_SCSCR_AVAILABLE               1
#define FM0P_MFS_CSIO_SCSFR0_AVAILABLE            1
#define FM_MFS_CSIO_SCSFR0_AVAILABLE              1
#define FM0P_MFS_CSIO_SCSFR1_AVAILABLE            1
#define FM_MFS_CSIO_SCSFR1_AVAILABLE              1
#define FM0P_MFS_CSIO_SCSFR2_AVAILABLE            1
#define FM_MFS_CSIO_SCSFR2_AVAILABLE              1
#define FM0P_MFS_CSIO_SCSTR0_AVAILABLE            1
#define FM_MFS_CSIO_SCSTR0_AVAILABLE              1
#define FM0P_MFS_CSIO_SCSTR1_AVAILABLE            1
#define FM_MFS_CSIO_SCSTR1_AVAILABLE              1
#define FM0P_MFS_CSIO_SCSTR32_AVAILABLE           1
#define FM_MFS_CSIO_SCSTR32_AVAILABLE             1
#define FM0P_MFS_CSIO_SMR_AVAILABLE               1
#define FM_MFS_CSIO_SMR_AVAILABLE                 1
#define FM0P_MFS_CSIO_SSR_AVAILABLE               1
#define FM_MFS_CSIO_SSR_AVAILABLE                 1
#define FM0P_MFS_CSIO_STMCR_AVAILABLE             1
#define FM_MFS_CSIO_STMCR_AVAILABLE               1
#define FM0P_MFS_CSIO_STMR_AVAILABLE              1
#define FM_MFS_CSIO_STMR_AVAILABLE                1
#define FM0P_MFS_CSIO_TBYTE0_AVAILABLE            1
#define FM_MFS_CSIO_TBYTE0_AVAILABLE              1
#define FM0P_MFS_CSIO_TBYTE1_AVAILABLE            1
#define FM_MFS_CSIO_TBYTE1_AVAILABLE              1
#define FM0P_MFS_CSIO_TBYTE2_AVAILABLE            1
#define FM_MFS_CSIO_TBYTE2_AVAILABLE              1
#define FM0P_MFS_CSIO_TBYTE3_AVAILABLE            1
#define FM_MFS_CSIO_TBYTE3_AVAILABLE              1
#define FM0P_MFS_CSIO_TDR_AVAILABLE               1
#define FM_MFS_CSIO_TDR_AVAILABLE                 1
#define FM0P_MFS_I2C_BGR_AVAILABLE                1
#define FM_MFS_I2C_BGR_AVAILABLE                  1
#define FM0P_MFS_I2C_EIBCR_AVAILABLE              1
#define FM_MFS_I2C_EIBCR_AVAILABLE                1
#define FM0P_MFS_I2C_FBYTE1_AVAILABLE             1
#define FM_MFS_I2C_FBYTE1_AVAILABLE               1
#define FM0P_MFS_I2C_FBYTE2_AVAILABLE             1
#define FM_MFS_I2C_FBYTE2_AVAILABLE               1
#define FM0P_MFS_I2C_FCR_AVAILABLE                1
#define FM_MFS_I2C_FCR_AVAILABLE                  1
#define FM0P_MFS_I2C_IBCR_AVAILABLE               1
#define FM_MFS_I2C_IBCR_AVAILABLE                 1
#define FM0P_MFS_I2C_IBSR_AVAILABLE               1
#define FM_MFS_I2C_IBSR_AVAILABLE                 1
#define FM0P_MFS_I2C_ISBA_AVAILABLE               1
#define FM_MFS_I2C_ISBA_AVAILABLE                 1
#define FM0P_MFS_I2C_ISMK_AVAILABLE               1
#define FM_MFS_I2C_ISMK_AVAILABLE                 1
#define FM0P_MFS_I2C_RDR_AVAILABLE                1
#define FM_MFS_I2C_RDR_AVAILABLE                  1
#define FM0P_MFS_I2C_SMR_AVAILABLE                1
#define FM_MFS_I2C_SMR_AVAILABLE                  1
#define FM0P_MFS_I2C_SSR_AVAILABLE                1
#define FM_MFS_I2C_SSR_AVAILABLE                  1
#define FM0P_MFS_I2C_TDR_AVAILABLE                1
#define FM_MFS_I2C_TDR_AVAILABLE                  1
#define FM0P_MFS_I2S_ESCR_AVAILABLE               1
#define FM_MFS_I2S_ESCR_AVAILABLE                 1
#define FM0P_MFS_I2S_FBYTE1_AVAILABLE             1
#define FM_MFS_I2S_FBYTE1_AVAILABLE               1
#define FM0P_MFS_I2S_FBYTE2_AVAILABLE             1
#define FM_MFS_I2S_FBYTE2_AVAILABLE               1
#define FM0P_MFS_I2S_FCR_AVAILABLE                1
#define FM_MFS_I2S_FCR_AVAILABLE                  1
#define FM0P_MFS_I2S_RDR_AVAILABLE                1
#define FM_MFS_I2S_RDR_AVAILABLE                  1
#define FM0P_MFS_I2S_SCR_AVAILABLE                1
#define FM_MFS_I2S_SCR_AVAILABLE                  1
#define FM0P_MFS_I2S_SMR_AVAILABLE                1
#define FM_MFS_I2S_SMR_AVAILABLE                  1
#define FM0P_MFS_I2S_SSR_AVAILABLE                1
#define FM_MFS_I2S_SSR_AVAILABLE                  1
#define FM0P_MFS_I2S_TDR_AVAILABLE                1
#define FM_MFS_I2S_TDR_AVAILABLE                  1
#define FM0P_MFS_LIN_BGR_AVAILABLE                1
#define FM_MFS_LIN_BGR_AVAILABLE                  1
#define FM0P_MFS_LIN_ESCR_AVAILABLE               1
#define FM_MFS_LIN_ESCR_AVAILABLE                 1
#define FM0P_MFS_LIN_FBYTE1_AVAILABLE             1
#define FM_MFS_LIN_FBYTE1_AVAILABLE               1
#define FM0P_MFS_LIN_FBYTE2_AVAILABLE             1
#define FM_MFS_LIN_FBYTE2_AVAILABLE               1
#define FM0P_MFS_LIN_FCR_AVAILABLE                1
#define FM_MFS_LIN_FCR_AVAILABLE                  1
#define FM0P_MFS_LIN_RDR_AVAILABLE                1
#define FM_MFS_LIN_RDR_AVAILABLE                  1
#define FM0P_MFS_LIN_SCR_AVAILABLE                1
#define FM_MFS_LIN_SCR_AVAILABLE                  1
#define FM0P_MFS_LIN_SMR_AVAILABLE                1
#define FM_MFS_LIN_SMR_AVAILABLE                  1
#define FM0P_MFS_LIN_SSR_AVAILABLE                1
#define FM_MFS_LIN_SSR_AVAILABLE                  1
#define FM0P_MFS_LIN_TDR_AVAILABLE                1
#define FM_MFS_LIN_TDR_AVAILABLE                  1
#define FM0P_MFS_UART_BGR_AVAILABLE               1
#define FM_MFS_UART_BGR_AVAILABLE                 1
#define FM0P_MFS_UART_ESCR_AVAILABLE              1
#define FM_MFS_UART_ESCR_AVAILABLE                1
#define FM0P_MFS_UART_FBYTE1_AVAILABLE            1
#define FM_MFS_UART_FBYTE1_AVAILABLE              1
#define FM0P_MFS_UART_FBYTE2_AVAILABLE            1
#define FM_MFS_UART_FBYTE2_AVAILABLE              1
#define FM0P_MFS_UART_FCR_AVAILABLE               1
#define FM_MFS_UART_FCR_AVAILABLE                 1
#define FM0P_MFS_UART_RDR_AVAILABLE               1
#define FM_MFS_UART_RDR_AVAILABLE                 1
#define FM0P_MFS_UART_SCR_AVAILABLE               1
#define FM_MFS_UART_SCR_AVAILABLE                 1
#define FM0P_MFS_UART_SMR_AVAILABLE               1
#define FM_MFS_UART_SMR_AVAILABLE                 1
#define FM0P_MFS_UART_SSR_AVAILABLE               1
#define FM_MFS_UART_SSR_AVAILABLE                 1
#define FM0P_MFS_UART_TDR_AVAILABLE               1
#define FM_MFS_UART_TDR_AVAILABLE                 1
/******************************************************************************
 ** MFSI2S0
 ** 
 ******************************************************************************/
#define FM0P_MFSI2S_CNTLREG_AVAILABLE             1
#define FM_MFSI2S_CNTLREG_AVAILABLE               1
#define FM0P_MFSI2S_I2SCLK_AVAILABLE              1
#define FM_MFSI2S_I2SCLK_AVAILABLE                1
#define FM0P_MFSI2S_I2SRST_AVAILABLE              1
#define FM_MFSI2S_I2SRST_AVAILABLE                1
#define FM0P_MFSI2S_I2SST_AVAILABLE               1
#define FM_MFSI2S_I2SST_AVAILABLE                 1
/******************************************************************************
 ** MTB_DWT
 ** 
 ******************************************************************************/
#define FM0P_MTB_DWT_CID0_AVAILABLE               1
#define FM_MTB_DWT_CID0_AVAILABLE                 1
#define FM0P_MTB_DWT_CID1_AVAILABLE               1
#define FM_MTB_DWT_CID1_AVAILABLE                 1
#define FM0P_MTB_DWT_CID2_AVAILABLE               1
#define FM_MTB_DWT_CID2_AVAILABLE                 1
#define FM0P_MTB_DWT_CID3_AVAILABLE               1
#define FM_MTB_DWT_CID3_AVAILABLE                 1
#define FM0P_MTB_DWT_CMP_ADDR_START_AVAILABLE     1
#define FM_MTB_DWT_CMP_ADDR_START_AVAILABLE       1
#define FM0P_MTB_DWT_CMP_ADDR_STOP_AVAILABLE      1
#define FM_MTB_DWT_CMP_ADDR_STOP_AVAILABLE        1
#define FM0P_MTB_DWT_CMP_DATA_START_AVAILABLE     1
#define FM_MTB_DWT_CMP_DATA_START_AVAILABLE       1
#define FM0P_MTB_DWT_CMP_DATA_STOP_AVAILABLE      1
#define FM_MTB_DWT_CMP_DATA_STOP_AVAILABLE        1
#define FM0P_MTB_DWT_CMP_MASK_START_AVAILABLE     1
#define FM_MTB_DWT_CMP_MASK_START_AVAILABLE       1
#define FM0P_MTB_DWT_CMP_MASK_STOP_AVAILABLE      1
#define FM_MTB_DWT_CMP_MASK_STOP_AVAILABLE        1
#define FM0P_MTB_DWT_FCT_AVAILABLE                1
#define FM_MTB_DWT_FCT_AVAILABLE                  1
#define FM0P_MTB_DWT_PID0_AVAILABLE               1
#define FM_MTB_DWT_PID0_AVAILABLE                 1
#define FM0P_MTB_DWT_PID1_AVAILABLE               1
#define FM_MTB_DWT_PID1_AVAILABLE                 1
#define FM0P_MTB_DWT_PID2_AVAILABLE               1
#define FM_MTB_DWT_PID2_AVAILABLE                 1
#define FM0P_MTB_DWT_PID3_AVAILABLE               1
#define FM_MTB_DWT_PID3_AVAILABLE                 1
#define FM0P_MTB_DWT_PID4_AVAILABLE               1
#define FM_MTB_DWT_PID4_AVAILABLE                 1
#define FM0P_MTB_DWT_PID5_AVAILABLE               1
#define FM_MTB_DWT_PID5_AVAILABLE                 1
#define FM0P_MTB_DWT_PID6_AVAILABLE               1
#define FM_MTB_DWT_PID6_AVAILABLE                 1
#define FM0P_MTB_DWT_PID7_AVAILABLE               1
#define FM_MTB_DWT_PID7_AVAILABLE                 1
/******************************************************************************
 ** RTC
 ** 
 ******************************************************************************/
#define FM0P_RTC_ALDR_AVAILABLE                   1
#define FM_RTC_ALDR_AVAILABLE                     1
#define FM0P_RTC_ALHR_AVAILABLE                   1
#define FM_RTC_ALHR_AVAILABLE                     1
#define FM0P_RTC_ALMIR_AVAILABLE                  1
#define FM_RTC_ALMIR_AVAILABLE                    1
#define FM0P_RTC_ALMOR_AVAILABLE                  1
#define FM_RTC_ALMOR_AVAILABLE                    1
#define FM0P_RTC_ALYR_AVAILABLE                   1
#define FM_RTC_ALYR_AVAILABLE                     1
#define FM0P_RTC_WTBR_AVAILABLE                   1
#define FM_RTC_WTBR_AVAILABLE                     1
#define FM0P_RTC_WTCAL_AVAILABLE                  1
#define FM_RTC_WTCAL_AVAILABLE                    1
#define FM0P_RTC_WTCALEN_AVAILABLE                1
#define FM_RTC_WTCALEN_AVAILABLE                  1
#define FM0P_RTC_WTCALPRD_AVAILABLE               1
#define FM_RTC_WTCALPRD_AVAILABLE                 1
#define FM0P_RTC_WTCLKM_AVAILABLE                 1
#define FM_RTC_WTCLKM_AVAILABLE                   1
#define FM0P_RTC_WTCLKS_AVAILABLE                 1
#define FM_RTC_WTCLKS_AVAILABLE                   1
#define FM0P_RTC_WTCOSEL_AVAILABLE                1
#define FM_RTC_WTCOSEL_AVAILABLE                  1
#define FM0P_RTC_WTCR1_AVAILABLE                  1
#define FM_RTC_WTCR1_AVAILABLE                    1
#define FM0P_RTC_WTCR2_AVAILABLE                  1
#define FM_RTC_WTCR2_AVAILABLE                    1
#define FM0P_RTC_WTDIV_AVAILABLE                  1
#define FM_RTC_WTDIV_AVAILABLE                    1
#define FM0P_RTC_WTDIVEN_AVAILABLE                1
#define FM_RTC_WTDIVEN_AVAILABLE                  1
#define FM0P_RTC_WTDR_AVAILABLE                   1
#define FM_RTC_WTDR_AVAILABLE                     1
#define FM0P_RTC_WTDW_AVAILABLE                   1
#define FM_RTC_WTDW_AVAILABLE                     1
#define FM0P_RTC_WTHR_AVAILABLE                   1
#define FM_RTC_WTHR_AVAILABLE                     1
#define FM0P_RTC_WTMIR_AVAILABLE                  1
#define FM_RTC_WTMIR_AVAILABLE                    1
#define FM0P_RTC_WTMOR_AVAILABLE                  1
#define FM_RTC_WTMOR_AVAILABLE                    1
#define FM0P_RTC_WTSR_AVAILABLE                   1
#define FM_RTC_WTSR_AVAILABLE                     1
#define FM0P_RTC_WTTR_AVAILABLE                   1
#define FM_RTC_WTTR_AVAILABLE                     1
#define FM0P_RTC_WTYR_AVAILABLE                   1
#define FM_RTC_WTYR_AVAILABLE                     1
/******************************************************************************
 ** SBSSR
 ** 
 ******************************************************************************/
#define FM0P_SBSSR_BTSSSR_AVAILABLE               1
#define FM_SBSSR_BTSSSR_AVAILABLE                 1
/******************************************************************************
 ** SMCIF1
 ** 
 ******************************************************************************/
#define FM0P_SMCIF_BAUDRATE_AVAILABLE             1
#define FM_SMCIF_BAUDRATE_AVAILABLE               1
#define FM0P_SMCIF_CARDCLOCK_AVAILABLE            1
#define FM_SMCIF_CARDCLOCK_AVAILABLE              1
#define FM0P_SMCIF_DATA_AVAILABLE                 1
#define FM_SMCIF_DATA_AVAILABLE                   1
#define FM0P_SMCIF_DATA_FIFO_AVAILABLE            1
#define FM_SMCIF_DATA_FIFO_AVAILABLE              1
#define FM0P_SMCIF_FIFO_CLEAR_MSB_READ_AVAILABLE  1
#define FM_SMCIF_FIFO_CLEAR_MSB_READ_AVAILABLE    1
#define FM0P_SMCIF_FIFO_CLEAR_MSB_WRITE_AVAILABLE 1
#define FM_SMCIF_FIFO_CLEAR_MSB_WRITE_AVAILABLE   1
#define FM0P_SMCIF_FIFO_LEVEL_READ_AVAILABLE      1
#define FM_SMCIF_FIFO_LEVEL_READ_AVAILABLE        1
#define FM0P_SMCIF_FIFO_LEVEL_WRITE_AVAILABLE     1
#define FM_SMCIF_FIFO_LEVEL_WRITE_AVAILABLE       1
#define FM0P_SMCIF_FIFO_MODE_AVAILABLE            1
#define FM_SMCIF_FIFO_MODE_AVAILABLE              1
#define FM0P_SMCIF_GLOBALCONTROL1_AVAILABLE       1
#define FM_SMCIF_GLOBALCONTROL1_AVAILABLE         1
#define FM0P_SMCIF_GLOBALCONTROL2_AVAILABLE       1
#define FM_SMCIF_GLOBALCONTROL2_AVAILABLE         1
#define FM0P_SMCIF_GUARDTIMER_AVAILABLE           1
#define FM_SMCIF_GUARDTIMER_AVAILABLE             1
#define FM0P_SMCIF_IDLETIMER_AVAILABLE            1
#define FM_SMCIF_IDLETIMER_AVAILABLE              1
#define FM0P_SMCIF_IRQ_STATUS_AVAILABLE           1
#define FM_SMCIF_IRQ_STATUS_AVAILABLE             1
#define FM0P_SMCIF_PORTCONTROL_AVAILABLE          1
#define FM_SMCIF_PORTCONTROL_AVAILABLE            1
#define FM0P_SMCIF_STATUS_AVAILABLE               1
#define FM_SMCIF_STATUS_AVAILABLE                 1
/******************************************************************************
 ** SWWDT
 ** 
 ******************************************************************************/
#define FM0P_SWWDT_WDOGCONTROL_AVAILABLE          1
#define FM_SWWDT_WDOGCONTROL_AVAILABLE            1
#define FM0P_SWWDT_WDOGINTCLR_AVAILABLE           1
#define FM_SWWDT_WDOGINTCLR_AVAILABLE             1
#define FM0P_SWWDT_WDOGLOAD_AVAILABLE             1
#define FM_SWWDT_WDOGLOAD_AVAILABLE               1
#define FM0P_SWWDT_WDOGLOCK_AVAILABLE             1
#define FM_SWWDT_WDOGLOCK_AVAILABLE               1
#define FM0P_SWWDT_WDOGRIS_AVAILABLE              1
#define FM_SWWDT_WDOGRIS_AVAILABLE                1
#define FM0P_SWWDT_WDOGSPMC_AVAILABLE             1
#define FM_SWWDT_WDOGSPMC_AVAILABLE               1
#define FM0P_SWWDT_WDOGVALUE_AVAILABLE            1
#define FM_SWWDT_WDOGVALUE_AVAILABLE              1
/******************************************************************************
 ** UNIQUE_ID
 ** 
 ******************************************************************************/
#define FM0P_UNIQUE_ID_UIDR0_AVAILABLE            1
#define FM_UNIQUE_ID_UIDR0_AVAILABLE              1
#define FM0P_UNIQUE_ID_UIDR1_AVAILABLE            1
#define FM_UNIQUE_ID_UIDR1_AVAILABLE              1
/******************************************************************************
 ** VIR
 ** 
 ******************************************************************************/
#define FM0P_VIR_VIR00_AVAILABLE                  1
#define FM_VIR_VIR00_AVAILABLE                    1
#define FM0P_VIR_VIR01_AVAILABLE                  1
#define FM_VIR_VIR01_AVAILABLE                    1
#define FM0P_VIR_VIR02_AVAILABLE                  1
#define FM_VIR_VIR02_AVAILABLE                    1
#define FM0P_VIR_VIR03_AVAILABLE                  1
#define FM_VIR_VIR03_AVAILABLE                    1
#define FM0P_VIR_VIR04_AVAILABLE                  1
#define FM_VIR_VIR04_AVAILABLE                    1
#define FM0P_VIR_VIR05_AVAILABLE                  1
#define FM_VIR_VIR05_AVAILABLE                    1
#define FM0P_VIR_VIR06_AVAILABLE                  1
#define FM_VIR_VIR06_AVAILABLE                    1
#define FM0P_VIR_VIR07_AVAILABLE                  1
#define FM_VIR_VIR07_AVAILABLE                    1
#define FM0P_VIR_VIR08_AVAILABLE                  1
#define FM_VIR_VIR08_AVAILABLE                    1
#define FM0P_VIR_VIR09_AVAILABLE                  1
#define FM_VIR_VIR09_AVAILABLE                    1
#define FM0P_VIR_VIR10_AVAILABLE                  1
#define FM_VIR_VIR10_AVAILABLE                    1
#define FM0P_VIR_VIR11_AVAILABLE                  1
#define FM_VIR_VIR11_AVAILABLE                    1
#define FM0P_VIR_VIR12_AVAILABLE                  1
#define FM_VIR_VIR12_AVAILABLE                    1
#define FM0P_VIR_VIR13_AVAILABLE                  1
#define FM_VIR_VIR13_AVAILABLE                    1
#define FM0P_VIR_VIR14_AVAILABLE                  1
#define FM_VIR_VIR14_AVAILABLE                    1
#define FM0P_VIR_VIR15_AVAILABLE                  1
#define FM_VIR_VIR15_AVAILABLE                    1
#define FM0P_VIR_VIR16_AVAILABLE                  1
#define FM_VIR_VIR16_AVAILABLE                    1
#define FM0P_VIR_VIR17_AVAILABLE                  1
#define FM_VIR_VIR17_AVAILABLE                    1
#define FM0P_VIR_VIR18_AVAILABLE                  1
#define FM_VIR_VIR18_AVAILABLE                    1
#define FM0P_VIR_VIR19_AVAILABLE                  1
#define FM_VIR_VIR19_AVAILABLE                    1
#define FM0P_VIR_VIR20_AVAILABLE                  1
#define FM_VIR_VIR20_AVAILABLE                    1
#define FM0P_VIR_VIR21_AVAILABLE                  1
#define FM_VIR_VIR21_AVAILABLE                    1
#define FM0P_VIR_VIR22_AVAILABLE                  1
#define FM_VIR_VIR22_AVAILABLE                    1
#define FM0P_VIR_VIR23_AVAILABLE                  1
#define FM_VIR_VIR23_AVAILABLE                    1
#define FM0P_VIR_VIR24_AVAILABLE                  1
#define FM_VIR_VIR24_AVAILABLE                    1
#define FM0P_VIR_VIR25_AVAILABLE                  1
#define FM_VIR_VIR25_AVAILABLE                    1
#define FM0P_VIR_VIR26_AVAILABLE                  1
#define FM_VIR_VIR26_AVAILABLE                    1
#define FM0P_VIR_VIR27_AVAILABLE                  1
#define FM_VIR_VIR27_AVAILABLE                    1
#define FM0P_VIR_VIR28_AVAILABLE                  1
#define FM_VIR_VIR28_AVAILABLE                    1
#define FM0P_VIR_VIR29_AVAILABLE                  1
#define FM_VIR_VIR29_AVAILABLE                    1
#define FM0P_VIR_VIR30_AVAILABLE                  1
#define FM_VIR_VIR30_AVAILABLE                    1
#define FM0P_VIR_VIR31_AVAILABLE                  1
#define FM_VIR_VIR31_AVAILABLE                    1
/******************************************************************************
 ** WC
 ** 
 ******************************************************************************/
#define FM0P_WC_CLK_EN_AVAILABLE                  1
#define FM_WC_CLK_EN_AVAILABLE                    1
#define FM0P_WC_CLK_SEL_AVAILABLE                 1
#define FM_WC_CLK_SEL_AVAILABLE                   1
#define FM0P_WC_WCCR_AVAILABLE                    1
#define FM_WC_WCCR_AVAILABLE                      1
#define FM0P_WC_WCRD_AVAILABLE                    1
#define FM_WC_WCRD_AVAILABLE                      1
#define FM0P_WC_WCRL_AVAILABLE                    1
#define FM_WC_WCRL_AVAILABLE                      1

/******************************************************************************
 ** Peripheral Bit Band Alias declaration
 ** 
 ******************************************************************************/
/******************************************************************************
 ** ADC Registers ADC0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_ADC0_ADCEN_ENBL                       *((volatile  uint8_t *)(0x424E0780UL))
#define bFM0P_ADC0_ADCEN_ENBL                     *((volatile  uint8_t *)(0x424E0780UL))
#define bFM_ADC0_ADCEN_READY                      *((volatile  uint8_t *)(0x424E0784UL))
#define bFM0P_ADC0_ADCEN_READY                    *((volatile  uint8_t *)(0x424E0784UL))

#define bFM_ADC0_ADCR_OVRIE                       *((volatile  uint8_t *)(0x424E0020UL))
#define bFM0P_ADC0_ADCR_OVRIE                     *((volatile  uint8_t *)(0x424E0020UL))
#define bFM_ADC0_ADCR_CMPIE                       *((volatile  uint8_t *)(0x424E0024UL))
#define bFM0P_ADC0_ADCR_CMPIE                     *((volatile  uint8_t *)(0x424E0024UL))
#define bFM_ADC0_ADCR_PCIE                        *((volatile  uint8_t *)(0x424E0028UL))
#define bFM0P_ADC0_ADCR_PCIE                      *((volatile  uint8_t *)(0x424E0028UL))
#define bFM_ADC0_ADCR_SCIE                        *((volatile  uint8_t *)(0x424E002CUL))
#define bFM0P_ADC0_ADCR_SCIE                      *((volatile  uint8_t *)(0x424E002CUL))
#define bFM_ADC0_ADCR_CMPIF                       *((volatile  uint8_t *)(0x424E0034UL))
#define bFM0P_ADC0_ADCR_CMPIF                     *((volatile  uint8_t *)(0x424E0034UL))
#define bFM_ADC0_ADCR_PCIF                        *((volatile  uint8_t *)(0x424E0038UL))
#define bFM0P_ADC0_ADCR_PCIF                      *((volatile  uint8_t *)(0x424E0038UL))
#define bFM_ADC0_ADCR_SCIF                        *((volatile  uint8_t *)(0x424E003CUL))
#define bFM0P_ADC0_ADCR_SCIF                      *((volatile  uint8_t *)(0x424E003CUL))

#define bFM_ADC0_ADSR_SCS                         *((volatile  uint8_t *)(0x424E0000UL))
#define bFM0P_ADC0_ADSR_SCS                       *((volatile  uint8_t *)(0x424E0000UL))
#define bFM_ADC0_ADSR_PCS                         *((volatile  uint8_t *)(0x424E0004UL))
#define bFM0P_ADC0_ADSR_PCS                       *((volatile  uint8_t *)(0x424E0004UL))
#define bFM_ADC0_ADSR_PCNS                        *((volatile  uint8_t *)(0x424E0008UL))
#define bFM0P_ADC0_ADSR_PCNS                      *((volatile  uint8_t *)(0x424E0008UL))
#define bFM_ADC0_ADSR_FDAS                        *((volatile  uint8_t *)(0x424E0018UL))
#define bFM0P_ADC0_ADSR_FDAS                      *((volatile  uint8_t *)(0x424E0018UL))
#define bFM_ADC0_ADSR_ADSTP                       *((volatile  uint8_t *)(0x424E001CUL))
#define bFM0P_ADC0_ADSR_ADSTP                     *((volatile  uint8_t *)(0x424E001CUL))

#define bFM_ADC0_ADSS01_TS0                       *((volatile  uint8_t *)(0x424E0580UL))
#define bFM0P_ADC0_ADSS01_TS0                     *((volatile  uint8_t *)(0x424E0580UL))
#define bFM_ADC0_ADSS01_TS1                       *((volatile  uint8_t *)(0x424E0584UL))
#define bFM0P_ADC0_ADSS01_TS1                     *((volatile  uint8_t *)(0x424E0584UL))
#define bFM_ADC0_ADSS01_TS2                       *((volatile  uint8_t *)(0x424E0588UL))
#define bFM0P_ADC0_ADSS01_TS2                     *((volatile  uint8_t *)(0x424E0588UL))
#define bFM_ADC0_ADSS01_TS3                       *((volatile  uint8_t *)(0x424E058CUL))
#define bFM0P_ADC0_ADSS01_TS3                     *((volatile  uint8_t *)(0x424E058CUL))
#define bFM_ADC0_ADSS01_TS4                       *((volatile  uint8_t *)(0x424E0590UL))
#define bFM0P_ADC0_ADSS01_TS4                     *((volatile  uint8_t *)(0x424E0590UL))
#define bFM_ADC0_ADSS01_TS5                       *((volatile  uint8_t *)(0x424E0594UL))
#define bFM0P_ADC0_ADSS01_TS5                     *((volatile  uint8_t *)(0x424E0594UL))
#define bFM_ADC0_ADSS01_TS6                       *((volatile  uint8_t *)(0x424E0598UL))
#define bFM0P_ADC0_ADSS01_TS6                     *((volatile  uint8_t *)(0x424E0598UL))
#define bFM_ADC0_ADSS01_TS7                       *((volatile  uint8_t *)(0x424E059CUL))
#define bFM0P_ADC0_ADSS01_TS7                     *((volatile  uint8_t *)(0x424E059CUL))
#define bFM_ADC0_ADSS01_TS8                       *((volatile  uint8_t *)(0x424E05A0UL))
#define bFM0P_ADC0_ADSS01_TS8                     *((volatile  uint8_t *)(0x424E05A0UL))
#define bFM_ADC0_ADSS01_TS9                       *((volatile  uint8_t *)(0x424E05A4UL))
#define bFM0P_ADC0_ADSS01_TS9                     *((volatile  uint8_t *)(0x424E05A4UL))
#define bFM_ADC0_ADSS01_TS10                      *((volatile  uint8_t *)(0x424E05A8UL))
#define bFM0P_ADC0_ADSS01_TS10                    *((volatile  uint8_t *)(0x424E05A8UL))
#define bFM_ADC0_ADSS01_TS11                      *((volatile  uint8_t *)(0x424E05ACUL))
#define bFM0P_ADC0_ADSS01_TS11                    *((volatile  uint8_t *)(0x424E05ACUL))
#define bFM_ADC0_ADSS01_TS12                      *((volatile  uint8_t *)(0x424E05B0UL))
#define bFM0P_ADC0_ADSS01_TS12                    *((volatile  uint8_t *)(0x424E05B0UL))
#define bFM_ADC0_ADSS01_TS13                      *((volatile  uint8_t *)(0x424E05B4UL))
#define bFM0P_ADC0_ADSS01_TS13                    *((volatile  uint8_t *)(0x424E05B4UL))
#define bFM_ADC0_ADSS01_TS14                      *((volatile  uint8_t *)(0x424E05B8UL))
#define bFM0P_ADC0_ADSS01_TS14                    *((volatile  uint8_t *)(0x424E05B8UL))
#define bFM_ADC0_ADSS01_TS15                      *((volatile  uint8_t *)(0x424E05BCUL))
#define bFM0P_ADC0_ADSS01_TS15                    *((volatile  uint8_t *)(0x424E05BCUL))

#define bFM_ADC0_ADSS23_TS16                      *((volatile  uint8_t *)(0x424E0500UL))
#define bFM0P_ADC0_ADSS23_TS16                    *((volatile  uint8_t *)(0x424E0500UL))
#define bFM_ADC0_ADSS23_TS17                      *((volatile  uint8_t *)(0x424E0504UL))
#define bFM0P_ADC0_ADSS23_TS17                    *((volatile  uint8_t *)(0x424E0504UL))
#define bFM_ADC0_ADSS23_TS18                      *((volatile  uint8_t *)(0x424E0508UL))
#define bFM0P_ADC0_ADSS23_TS18                    *((volatile  uint8_t *)(0x424E0508UL))
#define bFM_ADC0_ADSS23_TS19                      *((volatile  uint8_t *)(0x424E050CUL))
#define bFM0P_ADC0_ADSS23_TS19                    *((volatile  uint8_t *)(0x424E050CUL))
#define bFM_ADC0_ADSS23_TS20                      *((volatile  uint8_t *)(0x424E0510UL))
#define bFM0P_ADC0_ADSS23_TS20                    *((volatile  uint8_t *)(0x424E0510UL))
#define bFM_ADC0_ADSS23_TS21                      *((volatile  uint8_t *)(0x424E0514UL))
#define bFM0P_ADC0_ADSS23_TS21                    *((volatile  uint8_t *)(0x424E0514UL))
#define bFM_ADC0_ADSS23_TS22                      *((volatile  uint8_t *)(0x424E0518UL))
#define bFM0P_ADC0_ADSS23_TS22                    *((volatile  uint8_t *)(0x424E0518UL))
#define bFM_ADC0_ADSS23_TS23                      *((volatile  uint8_t *)(0x424E051CUL))
#define bFM0P_ADC0_ADSS23_TS23                    *((volatile  uint8_t *)(0x424E051CUL))
#define bFM_ADC0_ADSS23_TS24                      *((volatile  uint8_t *)(0x424E0520UL))
#define bFM0P_ADC0_ADSS23_TS24                    *((volatile  uint8_t *)(0x424E0520UL))
#define bFM_ADC0_ADSS23_TS25                      *((volatile  uint8_t *)(0x424E0524UL))
#define bFM0P_ADC0_ADSS23_TS25                    *((volatile  uint8_t *)(0x424E0524UL))
#define bFM_ADC0_ADSS23_TS26                      *((volatile  uint8_t *)(0x424E0528UL))
#define bFM0P_ADC0_ADSS23_TS26                    *((volatile  uint8_t *)(0x424E0528UL))
#define bFM_ADC0_ADSS23_TS27                      *((volatile  uint8_t *)(0x424E052CUL))
#define bFM0P_ADC0_ADSS23_TS27                    *((volatile  uint8_t *)(0x424E052CUL))
#define bFM_ADC0_ADSS23_TS28                      *((volatile  uint8_t *)(0x424E0530UL))
#define bFM0P_ADC0_ADSS23_TS28                    *((volatile  uint8_t *)(0x424E0530UL))
#define bFM_ADC0_ADSS23_TS29                      *((volatile  uint8_t *)(0x424E0534UL))
#define bFM0P_ADC0_ADSS23_TS29                    *((volatile  uint8_t *)(0x424E0534UL))
#define bFM_ADC0_ADSS23_TS30                      *((volatile  uint8_t *)(0x424E0538UL))
#define bFM0P_ADC0_ADSS23_TS30                    *((volatile  uint8_t *)(0x424E0538UL))
#define bFM_ADC0_ADSS23_TS31                      *((volatile  uint8_t *)(0x424E053CUL))
#define bFM0P_ADC0_ADSS23_TS31                    *((volatile  uint8_t *)(0x424E053CUL))

#define bFM_ADC0_CMPCR_CMD0                       *((volatile  uint8_t *)(0x424E0494UL))
#define bFM0P_ADC0_CMPCR_CMD0                     *((volatile  uint8_t *)(0x424E0494UL))
#define bFM_ADC0_CMPCR_CMD1                       *((volatile  uint8_t *)(0x424E0498UL))
#define bFM0P_ADC0_CMPCR_CMD1                     *((volatile  uint8_t *)(0x424E0498UL))
#define bFM_ADC0_CMPCR_CMPEN                      *((volatile  uint8_t *)(0x424E049CUL))
#define bFM0P_ADC0_CMPCR_CMPEN                    *((volatile  uint8_t *)(0x424E049CUL))

#define bFM_ADC0_PCCR_PSTR                        *((volatile  uint8_t *)(0x424E0320UL))
#define bFM0P_ADC0_PCCR_PSTR                      *((volatile  uint8_t *)(0x424E0320UL))
#define bFM_ADC0_PCCR_PHEN                        *((volatile  uint8_t *)(0x424E0324UL))
#define bFM0P_ADC0_PCCR_PHEN                      *((volatile  uint8_t *)(0x424E0324UL))
#define bFM_ADC0_PCCR_PEEN                        *((volatile  uint8_t *)(0x424E0328UL))
#define bFM0P_ADC0_PCCR_PEEN                      *((volatile  uint8_t *)(0x424E0328UL))
#define bFM_ADC0_PCCR_ESCE                        *((volatile  uint8_t *)(0x424E032CUL))
#define bFM0P_ADC0_PCCR_ESCE                      *((volatile  uint8_t *)(0x424E032CUL))
#define bFM_ADC0_PCCR_PFCLR                       *((volatile  uint8_t *)(0x424E0330UL))
#define bFM0P_ADC0_PCCR_PFCLR                     *((volatile  uint8_t *)(0x424E0330UL))
#define bFM_ADC0_PCCR_POVR                        *((volatile  uint8_t *)(0x424E0334UL))
#define bFM0P_ADC0_PCCR_POVR                      *((volatile  uint8_t *)(0x424E0334UL))
#define bFM_ADC0_PCCR_PFUL                        *((volatile  uint8_t *)(0x424E0338UL))
#define bFM0P_ADC0_PCCR_PFUL                      *((volatile  uint8_t *)(0x424E0338UL))
#define bFM_ADC0_PCCR_PEMP                        *((volatile  uint8_t *)(0x424E033CUL))
#define bFM0P_ADC0_PCCR_PEMP                      *((volatile  uint8_t *)(0x424E033CUL))

#define bFM_ADC0_PCFD_INVL                        *((volatile  uint8_t *)(0x424E03B0UL))
#define bFM0P_ADC0_PCFD_INVL                      *((volatile  uint8_t *)(0x424E03B0UL))

#define bFM_ADC0_PCFD_FDAS1_INVL                  *((volatile  uint8_t *)(0x424E03B0UL))
#define bFM0P_ADC0_PCFD_FDAS1_INVL                *((volatile  uint8_t *)(0x424E03B0UL))

#define bFM_ADC0_SCCR_SSTR                        *((volatile  uint8_t *)(0x424E0120UL))
#define bFM0P_ADC0_SCCR_SSTR                      *((volatile  uint8_t *)(0x424E0120UL))
#define bFM_ADC0_SCCR_SHEN                        *((volatile  uint8_t *)(0x424E0124UL))
#define bFM0P_ADC0_SCCR_SHEN                      *((volatile  uint8_t *)(0x424E0124UL))
#define bFM_ADC0_SCCR_RPT                         *((volatile  uint8_t *)(0x424E0128UL))
#define bFM0P_ADC0_SCCR_RPT                       *((volatile  uint8_t *)(0x424E0128UL))
#define bFM_ADC0_SCCR_SFCLR                       *((volatile  uint8_t *)(0x424E0130UL))
#define bFM0P_ADC0_SCCR_SFCLR                     *((volatile  uint8_t *)(0x424E0130UL))
#define bFM_ADC0_SCCR_SOVR                        *((volatile  uint8_t *)(0x424E0134UL))
#define bFM0P_ADC0_SCCR_SOVR                      *((volatile  uint8_t *)(0x424E0134UL))
#define bFM_ADC0_SCCR_SFUL                        *((volatile  uint8_t *)(0x424E0138UL))
#define bFM0P_ADC0_SCCR_SFUL                      *((volatile  uint8_t *)(0x424E0138UL))
#define bFM_ADC0_SCCR_SEMP                        *((volatile  uint8_t *)(0x424E013CUL))
#define bFM0P_ADC0_SCCR_SEMP                      *((volatile  uint8_t *)(0x424E013CUL))

#define bFM_ADC0_SCFD_INVL                        *((volatile  uint8_t *)(0x424E01B0UL))
#define bFM0P_ADC0_SCFD_INVL                      *((volatile  uint8_t *)(0x424E01B0UL))

#define bFM_ADC0_SCFD_FDAS1_INVL                  *((volatile  uint8_t *)(0x424E01B0UL))
#define bFM0P_ADC0_SCFD_FDAS1_INVL                *((volatile  uint8_t *)(0x424E01B0UL))

#define bFM_ADC0_SCIS01_AN0                       *((volatile  uint8_t *)(0x424E0280UL))
#define bFM0P_ADC0_SCIS01_AN0                     *((volatile  uint8_t *)(0x424E0280UL))
#define bFM_ADC0_SCIS01_AN1                       *((volatile  uint8_t *)(0x424E0284UL))
#define bFM0P_ADC0_SCIS01_AN1                     *((volatile  uint8_t *)(0x424E0284UL))
#define bFM_ADC0_SCIS01_AN2                       *((volatile  uint8_t *)(0x424E0288UL))
#define bFM0P_ADC0_SCIS01_AN2                     *((volatile  uint8_t *)(0x424E0288UL))
#define bFM_ADC0_SCIS01_AN3                       *((volatile  uint8_t *)(0x424E028CUL))
#define bFM0P_ADC0_SCIS01_AN3                     *((volatile  uint8_t *)(0x424E028CUL))
#define bFM_ADC0_SCIS01_AN4                       *((volatile  uint8_t *)(0x424E0290UL))
#define bFM0P_ADC0_SCIS01_AN4                     *((volatile  uint8_t *)(0x424E0290UL))
#define bFM_ADC0_SCIS01_AN5                       *((volatile  uint8_t *)(0x424E0294UL))
#define bFM0P_ADC0_SCIS01_AN5                     *((volatile  uint8_t *)(0x424E0294UL))
#define bFM_ADC0_SCIS01_AN6                       *((volatile  uint8_t *)(0x424E0298UL))
#define bFM0P_ADC0_SCIS01_AN6                     *((volatile  uint8_t *)(0x424E0298UL))
#define bFM_ADC0_SCIS01_AN7                       *((volatile  uint8_t *)(0x424E029CUL))
#define bFM0P_ADC0_SCIS01_AN7                     *((volatile  uint8_t *)(0x424E029CUL))
#define bFM_ADC0_SCIS01_AN8                       *((volatile  uint8_t *)(0x424E02A0UL))
#define bFM0P_ADC0_SCIS01_AN8                     *((volatile  uint8_t *)(0x424E02A0UL))
#define bFM_ADC0_SCIS01_AN9                       *((volatile  uint8_t *)(0x424E02A4UL))
#define bFM0P_ADC0_SCIS01_AN9                     *((volatile  uint8_t *)(0x424E02A4UL))
#define bFM_ADC0_SCIS01_AN10                      *((volatile  uint8_t *)(0x424E02A8UL))
#define bFM0P_ADC0_SCIS01_AN10                    *((volatile  uint8_t *)(0x424E02A8UL))
#define bFM_ADC0_SCIS01_AN11                      *((volatile  uint8_t *)(0x424E02ACUL))
#define bFM0P_ADC0_SCIS01_AN11                    *((volatile  uint8_t *)(0x424E02ACUL))
#define bFM_ADC0_SCIS01_AN12                      *((volatile  uint8_t *)(0x424E02B0UL))
#define bFM0P_ADC0_SCIS01_AN12                    *((volatile  uint8_t *)(0x424E02B0UL))
#define bFM_ADC0_SCIS01_AN13                      *((volatile  uint8_t *)(0x424E02B4UL))
#define bFM0P_ADC0_SCIS01_AN13                    *((volatile  uint8_t *)(0x424E02B4UL))
#define bFM_ADC0_SCIS01_AN14                      *((volatile  uint8_t *)(0x424E02B8UL))
#define bFM0P_ADC0_SCIS01_AN14                    *((volatile  uint8_t *)(0x424E02B8UL))
#define bFM_ADC0_SCIS01_AN15                      *((volatile  uint8_t *)(0x424E02BCUL))
#define bFM0P_ADC0_SCIS01_AN15                    *((volatile  uint8_t *)(0x424E02BCUL))

#define bFM_ADC0_SCIS23_AN16                      *((volatile  uint8_t *)(0x424E0200UL))
#define bFM0P_ADC0_SCIS23_AN16                    *((volatile  uint8_t *)(0x424E0200UL))
#define bFM_ADC0_SCIS23_AN17                      *((volatile  uint8_t *)(0x424E0204UL))
#define bFM0P_ADC0_SCIS23_AN17                    *((volatile  uint8_t *)(0x424E0204UL))
#define bFM_ADC0_SCIS23_AN18                      *((volatile  uint8_t *)(0x424E0208UL))
#define bFM0P_ADC0_SCIS23_AN18                    *((volatile  uint8_t *)(0x424E0208UL))
#define bFM_ADC0_SCIS23_AN19                      *((volatile  uint8_t *)(0x424E020CUL))
#define bFM0P_ADC0_SCIS23_AN19                    *((volatile  uint8_t *)(0x424E020CUL))
#define bFM_ADC0_SCIS23_AN20                      *((volatile  uint8_t *)(0x424E0210UL))
#define bFM0P_ADC0_SCIS23_AN20                    *((volatile  uint8_t *)(0x424E0210UL))
#define bFM_ADC0_SCIS23_AN21                      *((volatile  uint8_t *)(0x424E0214UL))
#define bFM0P_ADC0_SCIS23_AN21                    *((volatile  uint8_t *)(0x424E0214UL))
#define bFM_ADC0_SCIS23_AN22                      *((volatile  uint8_t *)(0x424E0218UL))
#define bFM0P_ADC0_SCIS23_AN22                    *((volatile  uint8_t *)(0x424E0218UL))
#define bFM_ADC0_SCIS23_AN23                      *((volatile  uint8_t *)(0x424E021CUL))
#define bFM0P_ADC0_SCIS23_AN23                    *((volatile  uint8_t *)(0x424E021CUL))
#define bFM_ADC0_SCIS23_AN24                      *((volatile  uint8_t *)(0x424E0220UL))
#define bFM0P_ADC0_SCIS23_AN24                    *((volatile  uint8_t *)(0x424E0220UL))
#define bFM_ADC0_SCIS23_AN25                      *((volatile  uint8_t *)(0x424E0224UL))
#define bFM0P_ADC0_SCIS23_AN25                    *((volatile  uint8_t *)(0x424E0224UL))
#define bFM_ADC0_SCIS23_AN26                      *((volatile  uint8_t *)(0x424E0228UL))
#define bFM0P_ADC0_SCIS23_AN26                    *((volatile  uint8_t *)(0x424E0228UL))
#define bFM_ADC0_SCIS23_AN27                      *((volatile  uint8_t *)(0x424E022CUL))
#define bFM0P_ADC0_SCIS23_AN27                    *((volatile  uint8_t *)(0x424E022CUL))
#define bFM_ADC0_SCIS23_AN28                      *((volatile  uint8_t *)(0x424E0230UL))
#define bFM0P_ADC0_SCIS23_AN28                    *((volatile  uint8_t *)(0x424E0230UL))
#define bFM_ADC0_SCIS23_AN29                      *((volatile  uint8_t *)(0x424E0234UL))
#define bFM0P_ADC0_SCIS23_AN29                    *((volatile  uint8_t *)(0x424E0234UL))
#define bFM_ADC0_SCIS23_AN30                      *((volatile  uint8_t *)(0x424E0238UL))
#define bFM0P_ADC0_SCIS23_AN30                    *((volatile  uint8_t *)(0x424E0238UL))
#define bFM_ADC0_SCIS23_AN31                      *((volatile  uint8_t *)(0x424E023CUL))
#define bFM0P_ADC0_SCIS23_AN31                    *((volatile  uint8_t *)(0x424E023CUL))

#define bFM_ADC0_WCMPCR_RCOE                      *((volatile  uint8_t *)(0x424E0988UL))
#define bFM0P_ADC0_WCMPCR_RCOE                    *((volatile  uint8_t *)(0x424E0988UL))
#define bFM_ADC0_WCMPCR_RCOIE                     *((volatile  uint8_t *)(0x424E098CUL))
#define bFM0P_ADC0_WCMPCR_RCOIE                   *((volatile  uint8_t *)(0x424E098CUL))
#define bFM_ADC0_WCMPCR_RCOIRS                    *((volatile  uint8_t *)(0x424E0990UL))
#define bFM0P_ADC0_WCMPCR_RCOIRS                  *((volatile  uint8_t *)(0x424E0990UL))

#define bFM_ADC0_WCMPSR_WCMD                      *((volatile  uint8_t *)(0x424E09B4UL))
#define bFM0P_ADC0_WCMPSR_WCMD                    *((volatile  uint8_t *)(0x424E09B4UL))

#define bFM_ADC0_WCMRCIF_RCINT                    *((volatile  uint8_t *)(0x424E0880UL))
#define bFM0P_ADC0_WCMRCIF_RCINT                  *((volatile  uint8_t *)(0x424E0880UL))

#define bFM_ADC0_WCMRCOT_RCOOF                    *((volatile  uint8_t *)(0x424E0900UL))
#define bFM0P_ADC0_WCMRCOT_RCOOF                  *((volatile  uint8_t *)(0x424E0900UL))


/******************************************************************************
 ** BT Registers BT0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT0_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A0200UL))
#define bFM0P_BT0_PPG_STC_UDIR                    *((volatile  uint8_t *)(0x424A0200UL))
#define bFM_BT0_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A0208UL))
#define bFM0P_BT0_PPG_STC_TGIR                    *((volatile  uint8_t *)(0x424A0208UL))
#define bFM_BT0_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A0210UL))
#define bFM0P_BT0_PPG_STC_UDIE                    *((volatile  uint8_t *)(0x424A0210UL))
#define bFM_BT0_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A0218UL))
#define bFM0P_BT0_PPG_STC_TGIE                    *((volatile  uint8_t *)(0x424A0218UL))

#define bFM_BT0_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0180UL))
#define bFM0P_BT0_PPG_TMCR_STRG                   *((volatile  uint8_t *)(0x424A0180UL))
#define bFM_BT0_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0184UL))
#define bFM0P_BT0_PPG_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A0184UL))
#define bFM_BT0_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0188UL))
#define bFM0P_BT0_PPG_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A0188UL))
#define bFM_BT0_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A018CUL))
#define bFM0P_BT0_PPG_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A018CUL))
#define bFM_BT0_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A01A8UL))
#define bFM0P_BT0_PPG_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A01A8UL))
#define bFM_BT0_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A01ACUL))
#define bFM0P_BT0_PPG_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A01ACUL))

#define bFM_BT0_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0220UL))
#define bFM0P_BT0_PPG_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A0220UL))

#define bFM_BT0_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A0200UL))
#define bFM0P_BT0_PWC_STC_OVIR                    *((volatile  uint8_t *)(0x424A0200UL))
#define bFM_BT0_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A0208UL))
#define bFM0P_BT0_PWC_STC_EDIR                    *((volatile  uint8_t *)(0x424A0208UL))
#define bFM_BT0_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A0210UL))
#define bFM0P_BT0_PWC_STC_OVIE                    *((volatile  uint8_t *)(0x424A0210UL))
#define bFM_BT0_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A0218UL))
#define bFM0P_BT0_PWC_STC_EDIE                    *((volatile  uint8_t *)(0x424A0218UL))
#define bFM_BT0_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A021CUL))
#define bFM0P_BT0_PWC_STC_ERR                     *((volatile  uint8_t *)(0x424A021CUL))

#define bFM_BT0_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0184UL))
#define bFM0P_BT0_PWC_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A0184UL))
#define bFM_BT0_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0188UL))
#define bFM0P_BT0_PWC_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A0188UL))
#define bFM_BT0_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A019CUL))
#define bFM0P_BT0_PWC_TMCR_T32                    *((volatile  uint8_t *)(0x424A019CUL))

#define bFM_BT0_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0220UL))
#define bFM0P_BT0_PWC_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A0220UL))

#define bFM_BT0_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A0200UL))
#define bFM0P_BT0_PWM_STC_UDIR                    *((volatile  uint8_t *)(0x424A0200UL))
#define bFM_BT0_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A0204UL))
#define bFM0P_BT0_PWM_STC_DTIR                    *((volatile  uint8_t *)(0x424A0204UL))
#define bFM_BT0_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A0208UL))
#define bFM0P_BT0_PWM_STC_TGIR                    *((volatile  uint8_t *)(0x424A0208UL))
#define bFM_BT0_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A0210UL))
#define bFM0P_BT0_PWM_STC_UDIE                    *((volatile  uint8_t *)(0x424A0210UL))
#define bFM_BT0_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A0214UL))
#define bFM0P_BT0_PWM_STC_DTIE                    *((volatile  uint8_t *)(0x424A0214UL))
#define bFM_BT0_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A0218UL))
#define bFM0P_BT0_PWM_STC_TGIE                    *((volatile  uint8_t *)(0x424A0218UL))

#define bFM_BT0_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0180UL))
#define bFM0P_BT0_PWM_TMCR_STRG                   *((volatile  uint8_t *)(0x424A0180UL))
#define bFM_BT0_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0184UL))
#define bFM0P_BT0_PWM_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A0184UL))
#define bFM_BT0_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0188UL))
#define bFM0P_BT0_PWM_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A0188UL))
#define bFM_BT0_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A018CUL))
#define bFM0P_BT0_PWM_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A018CUL))
#define bFM_BT0_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A01A8UL))
#define bFM0P_BT0_PWM_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A01A8UL))
#define bFM_BT0_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A01ACUL))
#define bFM0P_BT0_PWM_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A01ACUL))

#define bFM_BT0_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0220UL))
#define bFM0P_BT0_PWM_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A0220UL))

#define bFM_BT0_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A0200UL))
#define bFM0P_BT0_RT_STC_UDIR                     *((volatile  uint8_t *)(0x424A0200UL))
#define bFM_BT0_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A0208UL))
#define bFM0P_BT0_RT_STC_TGIR                     *((volatile  uint8_t *)(0x424A0208UL))
#define bFM_BT0_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A0210UL))
#define bFM0P_BT0_RT_STC_UDIE                     *((volatile  uint8_t *)(0x424A0210UL))
#define bFM_BT0_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A0218UL))
#define bFM0P_BT0_RT_STC_TGIE                     *((volatile  uint8_t *)(0x424A0218UL))

#define bFM_BT0_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A0180UL))
#define bFM0P_BT0_RT_TMCR_STRG                    *((volatile  uint8_t *)(0x424A0180UL))
#define bFM_BT0_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A0184UL))
#define bFM0P_BT0_RT_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A0184UL))
#define bFM_BT0_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A0188UL))
#define bFM0P_BT0_RT_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A0188UL))
#define bFM_BT0_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A018CUL))
#define bFM0P_BT0_RT_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A018CUL))
#define bFM_BT0_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A019CUL))
#define bFM0P_BT0_RT_TMCR_T32                     *((volatile  uint8_t *)(0x424A019CUL))

#define bFM_BT0_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A0220UL))
#define bFM0P_BT0_RT_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A0220UL))
#define bFM_BT0_RT_TMCR2_GATE                     *((volatile  uint8_t *)(0x424A023CUL))
#define bFM0P_BT0_RT_TMCR2_GATE                   *((volatile  uint8_t *)(0x424A023CUL))


/******************************************************************************
 ** BT Registers BT1
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT1_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM0P_BT1_PPG_STC_UDIR                    *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM_BT1_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM0P_BT1_PPG_STC_TGIR                    *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM_BT1_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM0P_BT1_PPG_STC_UDIE                    *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM_BT1_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM0P_BT1_PPG_STC_TGIE                    *((volatile  uint8_t *)(0x424A0A18UL))

#define bFM_BT1_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0980UL))
#define bFM0P_BT1_PPG_TMCR_STRG                   *((volatile  uint8_t *)(0x424A0980UL))
#define bFM_BT1_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0984UL))
#define bFM0P_BT1_PPG_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A0984UL))
#define bFM_BT1_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0988UL))
#define bFM0P_BT1_PPG_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A0988UL))
#define bFM_BT1_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A098CUL))
#define bFM0P_BT1_PPG_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A098CUL))
#define bFM_BT1_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A09A8UL))
#define bFM0P_BT1_PPG_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A09A8UL))
#define bFM_BT1_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A09ACUL))
#define bFM0P_BT1_PPG_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A09ACUL))

#define bFM_BT1_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM0P_BT1_PPG_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A0A20UL))

#define bFM_BT1_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM0P_BT1_PWC_STC_OVIR                    *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM_BT1_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM0P_BT1_PWC_STC_EDIR                    *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM_BT1_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM0P_BT1_PWC_STC_OVIE                    *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM_BT1_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM0P_BT1_PWC_STC_EDIE                    *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM_BT1_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A0A1CUL))
#define bFM0P_BT1_PWC_STC_ERR                     *((volatile  uint8_t *)(0x424A0A1CUL))

#define bFM_BT1_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0984UL))
#define bFM0P_BT1_PWC_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A0984UL))
#define bFM_BT1_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0988UL))
#define bFM0P_BT1_PWC_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A0988UL))
#define bFM_BT1_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A099CUL))
#define bFM0P_BT1_PWC_TMCR_T32                    *((volatile  uint8_t *)(0x424A099CUL))

#define bFM_BT1_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM0P_BT1_PWC_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A0A20UL))

#define bFM_BT1_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM0P_BT1_PWM_STC_UDIR                    *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM_BT1_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A0A04UL))
#define bFM0P_BT1_PWM_STC_DTIR                    *((volatile  uint8_t *)(0x424A0A04UL))
#define bFM_BT1_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM0P_BT1_PWM_STC_TGIR                    *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM_BT1_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM0P_BT1_PWM_STC_UDIE                    *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM_BT1_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A0A14UL))
#define bFM0P_BT1_PWM_STC_DTIE                    *((volatile  uint8_t *)(0x424A0A14UL))
#define bFM_BT1_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM0P_BT1_PWM_STC_TGIE                    *((volatile  uint8_t *)(0x424A0A18UL))

#define bFM_BT1_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0980UL))
#define bFM0P_BT1_PWM_TMCR_STRG                   *((volatile  uint8_t *)(0x424A0980UL))
#define bFM_BT1_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0984UL))
#define bFM0P_BT1_PWM_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A0984UL))
#define bFM_BT1_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0988UL))
#define bFM0P_BT1_PWM_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A0988UL))
#define bFM_BT1_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A098CUL))
#define bFM0P_BT1_PWM_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A098CUL))
#define bFM_BT1_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A09A8UL))
#define bFM0P_BT1_PWM_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A09A8UL))
#define bFM_BT1_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A09ACUL))
#define bFM0P_BT1_PWM_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A09ACUL))

#define bFM_BT1_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM0P_BT1_PWM_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A0A20UL))

#define bFM_BT1_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM0P_BT1_RT_STC_UDIR                     *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM_BT1_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM0P_BT1_RT_STC_TGIR                     *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM_BT1_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM0P_BT1_RT_STC_UDIE                     *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM_BT1_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM0P_BT1_RT_STC_TGIE                     *((volatile  uint8_t *)(0x424A0A18UL))

#define bFM_BT1_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A0980UL))
#define bFM0P_BT1_RT_TMCR_STRG                    *((volatile  uint8_t *)(0x424A0980UL))
#define bFM_BT1_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A0984UL))
#define bFM0P_BT1_RT_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A0984UL))
#define bFM_BT1_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A0988UL))
#define bFM0P_BT1_RT_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A0988UL))
#define bFM_BT1_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A098CUL))
#define bFM0P_BT1_RT_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A098CUL))
#define bFM_BT1_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A099CUL))
#define bFM0P_BT1_RT_TMCR_T32                     *((volatile  uint8_t *)(0x424A099CUL))

#define bFM_BT1_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM0P_BT1_RT_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM_BT1_RT_TMCR2_GATE                     *((volatile  uint8_t *)(0x424A0A3CUL))
#define bFM0P_BT1_RT_TMCR2_GATE                   *((volatile  uint8_t *)(0x424A0A3CUL))


/******************************************************************************
 ** BT Registers BT2
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT2_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A1200UL))
#define bFM0P_BT2_PPG_STC_UDIR                    *((volatile  uint8_t *)(0x424A1200UL))
#define bFM_BT2_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A1208UL))
#define bFM0P_BT2_PPG_STC_TGIR                    *((volatile  uint8_t *)(0x424A1208UL))
#define bFM_BT2_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A1210UL))
#define bFM0P_BT2_PPG_STC_UDIE                    *((volatile  uint8_t *)(0x424A1210UL))
#define bFM_BT2_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A1218UL))
#define bFM0P_BT2_PPG_STC_TGIE                    *((volatile  uint8_t *)(0x424A1218UL))

#define bFM_BT2_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1180UL))
#define bFM0P_BT2_PPG_TMCR_STRG                   *((volatile  uint8_t *)(0x424A1180UL))
#define bFM_BT2_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1184UL))
#define bFM0P_BT2_PPG_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A1184UL))
#define bFM_BT2_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1188UL))
#define bFM0P_BT2_PPG_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A1188UL))
#define bFM_BT2_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A118CUL))
#define bFM0P_BT2_PPG_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A118CUL))
#define bFM_BT2_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A11A8UL))
#define bFM0P_BT2_PPG_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A11A8UL))
#define bFM_BT2_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A11ACUL))
#define bFM0P_BT2_PPG_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A11ACUL))

#define bFM_BT2_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1220UL))
#define bFM0P_BT2_PPG_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A1220UL))

#define bFM_BT2_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A1200UL))
#define bFM0P_BT2_PWC_STC_OVIR                    *((volatile  uint8_t *)(0x424A1200UL))
#define bFM_BT2_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A1208UL))
#define bFM0P_BT2_PWC_STC_EDIR                    *((volatile  uint8_t *)(0x424A1208UL))
#define bFM_BT2_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A1210UL))
#define bFM0P_BT2_PWC_STC_OVIE                    *((volatile  uint8_t *)(0x424A1210UL))
#define bFM_BT2_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A1218UL))
#define bFM0P_BT2_PWC_STC_EDIE                    *((volatile  uint8_t *)(0x424A1218UL))
#define bFM_BT2_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A121CUL))
#define bFM0P_BT2_PWC_STC_ERR                     *((volatile  uint8_t *)(0x424A121CUL))

#define bFM_BT2_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1184UL))
#define bFM0P_BT2_PWC_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A1184UL))
#define bFM_BT2_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1188UL))
#define bFM0P_BT2_PWC_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A1188UL))
#define bFM_BT2_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A119CUL))
#define bFM0P_BT2_PWC_TMCR_T32                    *((volatile  uint8_t *)(0x424A119CUL))

#define bFM_BT2_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1220UL))
#define bFM0P_BT2_PWC_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A1220UL))

#define bFM_BT2_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A1200UL))
#define bFM0P_BT2_PWM_STC_UDIR                    *((volatile  uint8_t *)(0x424A1200UL))
#define bFM_BT2_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A1204UL))
#define bFM0P_BT2_PWM_STC_DTIR                    *((volatile  uint8_t *)(0x424A1204UL))
#define bFM_BT2_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A1208UL))
#define bFM0P_BT2_PWM_STC_TGIR                    *((volatile  uint8_t *)(0x424A1208UL))
#define bFM_BT2_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A1210UL))
#define bFM0P_BT2_PWM_STC_UDIE                    *((volatile  uint8_t *)(0x424A1210UL))
#define bFM_BT2_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A1214UL))
#define bFM0P_BT2_PWM_STC_DTIE                    *((volatile  uint8_t *)(0x424A1214UL))
#define bFM_BT2_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A1218UL))
#define bFM0P_BT2_PWM_STC_TGIE                    *((volatile  uint8_t *)(0x424A1218UL))

#define bFM_BT2_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1180UL))
#define bFM0P_BT2_PWM_TMCR_STRG                   *((volatile  uint8_t *)(0x424A1180UL))
#define bFM_BT2_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1184UL))
#define bFM0P_BT2_PWM_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A1184UL))
#define bFM_BT2_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1188UL))
#define bFM0P_BT2_PWM_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A1188UL))
#define bFM_BT2_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A118CUL))
#define bFM0P_BT2_PWM_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A118CUL))
#define bFM_BT2_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A11A8UL))
#define bFM0P_BT2_PWM_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A11A8UL))
#define bFM_BT2_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A11ACUL))
#define bFM0P_BT2_PWM_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A11ACUL))

#define bFM_BT2_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1220UL))
#define bFM0P_BT2_PWM_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A1220UL))

#define bFM_BT2_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A1200UL))
#define bFM0P_BT2_RT_STC_UDIR                     *((volatile  uint8_t *)(0x424A1200UL))
#define bFM_BT2_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A1208UL))
#define bFM0P_BT2_RT_STC_TGIR                     *((volatile  uint8_t *)(0x424A1208UL))
#define bFM_BT2_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A1210UL))
#define bFM0P_BT2_RT_STC_UDIE                     *((volatile  uint8_t *)(0x424A1210UL))
#define bFM_BT2_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A1218UL))
#define bFM0P_BT2_RT_STC_TGIE                     *((volatile  uint8_t *)(0x424A1218UL))

#define bFM_BT2_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A1180UL))
#define bFM0P_BT2_RT_TMCR_STRG                    *((volatile  uint8_t *)(0x424A1180UL))
#define bFM_BT2_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A1184UL))
#define bFM0P_BT2_RT_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A1184UL))
#define bFM_BT2_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A1188UL))
#define bFM0P_BT2_RT_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A1188UL))
#define bFM_BT2_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A118CUL))
#define bFM0P_BT2_RT_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A118CUL))
#define bFM_BT2_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A119CUL))
#define bFM0P_BT2_RT_TMCR_T32                     *((volatile  uint8_t *)(0x424A119CUL))

#define bFM_BT2_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A1220UL))
#define bFM0P_BT2_RT_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A1220UL))
#define bFM_BT2_RT_TMCR2_GATE                     *((volatile  uint8_t *)(0x424A123CUL))
#define bFM0P_BT2_RT_TMCR2_GATE                   *((volatile  uint8_t *)(0x424A123CUL))


/******************************************************************************
 ** BT Registers BT3
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT3_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM0P_BT3_PPG_STC_UDIR                    *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM_BT3_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM0P_BT3_PPG_STC_TGIR                    *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM_BT3_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM0P_BT3_PPG_STC_UDIE                    *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM_BT3_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM0P_BT3_PPG_STC_TGIE                    *((volatile  uint8_t *)(0x424A1A18UL))

#define bFM_BT3_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1980UL))
#define bFM0P_BT3_PPG_TMCR_STRG                   *((volatile  uint8_t *)(0x424A1980UL))
#define bFM_BT3_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1984UL))
#define bFM0P_BT3_PPG_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A1984UL))
#define bFM_BT3_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1988UL))
#define bFM0P_BT3_PPG_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A1988UL))
#define bFM_BT3_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A198CUL))
#define bFM0P_BT3_PPG_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A198CUL))
#define bFM_BT3_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A19A8UL))
#define bFM0P_BT3_PPG_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A19A8UL))
#define bFM_BT3_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A19ACUL))
#define bFM0P_BT3_PPG_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A19ACUL))

#define bFM_BT3_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM0P_BT3_PPG_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A1A20UL))

#define bFM_BT3_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM0P_BT3_PWC_STC_OVIR                    *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM_BT3_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM0P_BT3_PWC_STC_EDIR                    *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM_BT3_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM0P_BT3_PWC_STC_OVIE                    *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM_BT3_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM0P_BT3_PWC_STC_EDIE                    *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM_BT3_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A1A1CUL))
#define bFM0P_BT3_PWC_STC_ERR                     *((volatile  uint8_t *)(0x424A1A1CUL))

#define bFM_BT3_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1984UL))
#define bFM0P_BT3_PWC_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A1984UL))
#define bFM_BT3_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1988UL))
#define bFM0P_BT3_PWC_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A1988UL))
#define bFM_BT3_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A199CUL))
#define bFM0P_BT3_PWC_TMCR_T32                    *((volatile  uint8_t *)(0x424A199CUL))

#define bFM_BT3_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM0P_BT3_PWC_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A1A20UL))

#define bFM_BT3_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM0P_BT3_PWM_STC_UDIR                    *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM_BT3_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A1A04UL))
#define bFM0P_BT3_PWM_STC_DTIR                    *((volatile  uint8_t *)(0x424A1A04UL))
#define bFM_BT3_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM0P_BT3_PWM_STC_TGIR                    *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM_BT3_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM0P_BT3_PWM_STC_UDIE                    *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM_BT3_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A1A14UL))
#define bFM0P_BT3_PWM_STC_DTIE                    *((volatile  uint8_t *)(0x424A1A14UL))
#define bFM_BT3_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM0P_BT3_PWM_STC_TGIE                    *((volatile  uint8_t *)(0x424A1A18UL))

#define bFM_BT3_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1980UL))
#define bFM0P_BT3_PWM_TMCR_STRG                   *((volatile  uint8_t *)(0x424A1980UL))
#define bFM_BT3_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1984UL))
#define bFM0P_BT3_PWM_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A1984UL))
#define bFM_BT3_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1988UL))
#define bFM0P_BT3_PWM_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A1988UL))
#define bFM_BT3_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A198CUL))
#define bFM0P_BT3_PWM_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A198CUL))
#define bFM_BT3_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A19A8UL))
#define bFM0P_BT3_PWM_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A19A8UL))
#define bFM_BT3_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A19ACUL))
#define bFM0P_BT3_PWM_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A19ACUL))

#define bFM_BT3_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM0P_BT3_PWM_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A1A20UL))

#define bFM_BT3_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM0P_BT3_RT_STC_UDIR                     *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM_BT3_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM0P_BT3_RT_STC_TGIR                     *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM_BT3_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM0P_BT3_RT_STC_UDIE                     *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM_BT3_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM0P_BT3_RT_STC_TGIE                     *((volatile  uint8_t *)(0x424A1A18UL))

#define bFM_BT3_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A1980UL))
#define bFM0P_BT3_RT_TMCR_STRG                    *((volatile  uint8_t *)(0x424A1980UL))
#define bFM_BT3_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A1984UL))
#define bFM0P_BT3_RT_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A1984UL))
#define bFM_BT3_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A1988UL))
#define bFM0P_BT3_RT_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A1988UL))
#define bFM_BT3_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A198CUL))
#define bFM0P_BT3_RT_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A198CUL))
#define bFM_BT3_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A199CUL))
#define bFM0P_BT3_RT_TMCR_T32                     *((volatile  uint8_t *)(0x424A199CUL))

#define bFM_BT3_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM0P_BT3_RT_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM_BT3_RT_TMCR2_GATE                     *((volatile  uint8_t *)(0x424A1A3CUL))
#define bFM0P_BT3_RT_TMCR2_GATE                   *((volatile  uint8_t *)(0x424A1A3CUL))


/******************************************************************************
 ** BT Registers BT4
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT4_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A4200UL))
#define bFM0P_BT4_PPG_STC_UDIR                    *((volatile  uint8_t *)(0x424A4200UL))
#define bFM_BT4_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A4208UL))
#define bFM0P_BT4_PPG_STC_TGIR                    *((volatile  uint8_t *)(0x424A4208UL))
#define bFM_BT4_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A4210UL))
#define bFM0P_BT4_PPG_STC_UDIE                    *((volatile  uint8_t *)(0x424A4210UL))
#define bFM_BT4_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A4218UL))
#define bFM0P_BT4_PPG_STC_TGIE                    *((volatile  uint8_t *)(0x424A4218UL))

#define bFM_BT4_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A4180UL))
#define bFM0P_BT4_PPG_TMCR_STRG                   *((volatile  uint8_t *)(0x424A4180UL))
#define bFM_BT4_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4184UL))
#define bFM0P_BT4_PPG_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A4184UL))
#define bFM_BT4_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4188UL))
#define bFM0P_BT4_PPG_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A4188UL))
#define bFM_BT4_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A418CUL))
#define bFM0P_BT4_PPG_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A418CUL))
#define bFM_BT4_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A41A8UL))
#define bFM0P_BT4_PPG_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A41A8UL))
#define bFM_BT4_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A41ACUL))
#define bFM0P_BT4_PPG_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A41ACUL))

#define bFM_BT4_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4220UL))
#define bFM0P_BT4_PPG_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A4220UL))

#define bFM_BT4_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A4200UL))
#define bFM0P_BT4_PWC_STC_OVIR                    *((volatile  uint8_t *)(0x424A4200UL))
#define bFM_BT4_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A4208UL))
#define bFM0P_BT4_PWC_STC_EDIR                    *((volatile  uint8_t *)(0x424A4208UL))
#define bFM_BT4_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A4210UL))
#define bFM0P_BT4_PWC_STC_OVIE                    *((volatile  uint8_t *)(0x424A4210UL))
#define bFM_BT4_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A4218UL))
#define bFM0P_BT4_PWC_STC_EDIE                    *((volatile  uint8_t *)(0x424A4218UL))
#define bFM_BT4_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A421CUL))
#define bFM0P_BT4_PWC_STC_ERR                     *((volatile  uint8_t *)(0x424A421CUL))

#define bFM_BT4_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4184UL))
#define bFM0P_BT4_PWC_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A4184UL))
#define bFM_BT4_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4188UL))
#define bFM0P_BT4_PWC_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A4188UL))
#define bFM_BT4_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A419CUL))
#define bFM0P_BT4_PWC_TMCR_T32                    *((volatile  uint8_t *)(0x424A419CUL))

#define bFM_BT4_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4220UL))
#define bFM0P_BT4_PWC_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A4220UL))

#define bFM_BT4_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A4200UL))
#define bFM0P_BT4_PWM_STC_UDIR                    *((volatile  uint8_t *)(0x424A4200UL))
#define bFM_BT4_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A4204UL))
#define bFM0P_BT4_PWM_STC_DTIR                    *((volatile  uint8_t *)(0x424A4204UL))
#define bFM_BT4_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A4208UL))
#define bFM0P_BT4_PWM_STC_TGIR                    *((volatile  uint8_t *)(0x424A4208UL))
#define bFM_BT4_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A4210UL))
#define bFM0P_BT4_PWM_STC_UDIE                    *((volatile  uint8_t *)(0x424A4210UL))
#define bFM_BT4_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A4214UL))
#define bFM0P_BT4_PWM_STC_DTIE                    *((volatile  uint8_t *)(0x424A4214UL))
#define bFM_BT4_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A4218UL))
#define bFM0P_BT4_PWM_STC_TGIE                    *((volatile  uint8_t *)(0x424A4218UL))

#define bFM_BT4_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A4180UL))
#define bFM0P_BT4_PWM_TMCR_STRG                   *((volatile  uint8_t *)(0x424A4180UL))
#define bFM_BT4_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4184UL))
#define bFM0P_BT4_PWM_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A4184UL))
#define bFM_BT4_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4188UL))
#define bFM0P_BT4_PWM_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A4188UL))
#define bFM_BT4_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A418CUL))
#define bFM0P_BT4_PWM_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A418CUL))
#define bFM_BT4_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A41A8UL))
#define bFM0P_BT4_PWM_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A41A8UL))
#define bFM_BT4_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A41ACUL))
#define bFM0P_BT4_PWM_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A41ACUL))

#define bFM_BT4_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4220UL))
#define bFM0P_BT4_PWM_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A4220UL))

#define bFM_BT4_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A4200UL))
#define bFM0P_BT4_RT_STC_UDIR                     *((volatile  uint8_t *)(0x424A4200UL))
#define bFM_BT4_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A4208UL))
#define bFM0P_BT4_RT_STC_TGIR                     *((volatile  uint8_t *)(0x424A4208UL))
#define bFM_BT4_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A4210UL))
#define bFM0P_BT4_RT_STC_UDIE                     *((volatile  uint8_t *)(0x424A4210UL))
#define bFM_BT4_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A4218UL))
#define bFM0P_BT4_RT_STC_TGIE                     *((volatile  uint8_t *)(0x424A4218UL))

#define bFM_BT4_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A4180UL))
#define bFM0P_BT4_RT_TMCR_STRG                    *((volatile  uint8_t *)(0x424A4180UL))
#define bFM_BT4_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A4184UL))
#define bFM0P_BT4_RT_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A4184UL))
#define bFM_BT4_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A4188UL))
#define bFM0P_BT4_RT_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A4188UL))
#define bFM_BT4_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A418CUL))
#define bFM0P_BT4_RT_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A418CUL))
#define bFM_BT4_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A419CUL))
#define bFM0P_BT4_RT_TMCR_T32                     *((volatile  uint8_t *)(0x424A419CUL))

#define bFM_BT4_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A4220UL))
#define bFM0P_BT4_RT_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A4220UL))
#define bFM_BT4_RT_TMCR2_GATE                     *((volatile  uint8_t *)(0x424A423CUL))
#define bFM0P_BT4_RT_TMCR2_GATE                   *((volatile  uint8_t *)(0x424A423CUL))


/******************************************************************************
 ** BT Registers BT5
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT5_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM0P_BT5_PPG_STC_UDIR                    *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM_BT5_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM0P_BT5_PPG_STC_TGIR                    *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM_BT5_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM0P_BT5_PPG_STC_UDIE                    *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM_BT5_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A4A18UL))
#define bFM0P_BT5_PPG_STC_TGIE                    *((volatile  uint8_t *)(0x424A4A18UL))

#define bFM_BT5_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A4980UL))
#define bFM0P_BT5_PPG_TMCR_STRG                   *((volatile  uint8_t *)(0x424A4980UL))
#define bFM_BT5_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4984UL))
#define bFM0P_BT5_PPG_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A4984UL))
#define bFM_BT5_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4988UL))
#define bFM0P_BT5_PPG_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A4988UL))
#define bFM_BT5_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A498CUL))
#define bFM0P_BT5_PPG_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A498CUL))
#define bFM_BT5_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A49A8UL))
#define bFM0P_BT5_PPG_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A49A8UL))
#define bFM_BT5_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A49ACUL))
#define bFM0P_BT5_PPG_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A49ACUL))

#define bFM_BT5_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4A20UL))
#define bFM0P_BT5_PPG_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A4A20UL))

#define bFM_BT5_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM0P_BT5_PWC_STC_OVIR                    *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM_BT5_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM0P_BT5_PWC_STC_EDIR                    *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM_BT5_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM0P_BT5_PWC_STC_OVIE                    *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM_BT5_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A4A18UL))
#define bFM0P_BT5_PWC_STC_EDIE                    *((volatile  uint8_t *)(0x424A4A18UL))
#define bFM_BT5_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A4A1CUL))
#define bFM0P_BT5_PWC_STC_ERR                     *((volatile  uint8_t *)(0x424A4A1CUL))

#define bFM_BT5_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4984UL))
#define bFM0P_BT5_PWC_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A4984UL))
#define bFM_BT5_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4988UL))
#define bFM0P_BT5_PWC_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A4988UL))
#define bFM_BT5_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A499CUL))
#define bFM0P_BT5_PWC_TMCR_T32                    *((volatile  uint8_t *)(0x424A499CUL))

#define bFM_BT5_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4A20UL))
#define bFM0P_BT5_PWC_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A4A20UL))

#define bFM_BT5_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM0P_BT5_PWM_STC_UDIR                    *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM_BT5_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A4A04UL))
#define bFM0P_BT5_PWM_STC_DTIR                    *((volatile  uint8_t *)(0x424A4A04UL))
#define bFM_BT5_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM0P_BT5_PWM_STC_TGIR                    *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM_BT5_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM0P_BT5_PWM_STC_UDIE                    *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM_BT5_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A4A14UL))
#define bFM0P_BT5_PWM_STC_DTIE                    *((volatile  uint8_t *)(0x424A4A14UL))
#define bFM_BT5_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A4A18UL))
#define bFM0P_BT5_PWM_STC_TGIE                    *((volatile  uint8_t *)(0x424A4A18UL))

#define bFM_BT5_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A4980UL))
#define bFM0P_BT5_PWM_TMCR_STRG                   *((volatile  uint8_t *)(0x424A4980UL))
#define bFM_BT5_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4984UL))
#define bFM0P_BT5_PWM_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A4984UL))
#define bFM_BT5_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4988UL))
#define bFM0P_BT5_PWM_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A4988UL))
#define bFM_BT5_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A498CUL))
#define bFM0P_BT5_PWM_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A498CUL))
#define bFM_BT5_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A49A8UL))
#define bFM0P_BT5_PWM_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A49A8UL))
#define bFM_BT5_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A49ACUL))
#define bFM0P_BT5_PWM_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A49ACUL))

#define bFM_BT5_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4A20UL))
#define bFM0P_BT5_PWM_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A4A20UL))

#define bFM_BT5_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM0P_BT5_RT_STC_UDIR                     *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM_BT5_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM0P_BT5_RT_STC_TGIR                     *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM_BT5_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM0P_BT5_RT_STC_UDIE                     *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM_BT5_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A4A18UL))
#define bFM0P_BT5_RT_STC_TGIE                     *((volatile  uint8_t *)(0x424A4A18UL))

#define bFM_BT5_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A4980UL))
#define bFM0P_BT5_RT_TMCR_STRG                    *((volatile  uint8_t *)(0x424A4980UL))
#define bFM_BT5_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A4984UL))
#define bFM0P_BT5_RT_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A4984UL))
#define bFM_BT5_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A4988UL))
#define bFM0P_BT5_RT_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A4988UL))
#define bFM_BT5_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A498CUL))
#define bFM0P_BT5_RT_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A498CUL))
#define bFM_BT5_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A499CUL))
#define bFM0P_BT5_RT_TMCR_T32                     *((volatile  uint8_t *)(0x424A499CUL))

#define bFM_BT5_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A4A20UL))
#define bFM0P_BT5_RT_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A4A20UL))
#define bFM_BT5_RT_TMCR2_GATE                     *((volatile  uint8_t *)(0x424A4A3CUL))
#define bFM0P_BT5_RT_TMCR2_GATE                   *((volatile  uint8_t *)(0x424A4A3CUL))


/******************************************************************************
 ** BT Registers BT6
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT6_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A5200UL))
#define bFM0P_BT6_PPG_STC_UDIR                    *((volatile  uint8_t *)(0x424A5200UL))
#define bFM_BT6_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A5208UL))
#define bFM0P_BT6_PPG_STC_TGIR                    *((volatile  uint8_t *)(0x424A5208UL))
#define bFM_BT6_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A5210UL))
#define bFM0P_BT6_PPG_STC_UDIE                    *((volatile  uint8_t *)(0x424A5210UL))
#define bFM_BT6_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A5218UL))
#define bFM0P_BT6_PPG_STC_TGIE                    *((volatile  uint8_t *)(0x424A5218UL))

#define bFM_BT6_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A5180UL))
#define bFM0P_BT6_PPG_TMCR_STRG                   *((volatile  uint8_t *)(0x424A5180UL))
#define bFM_BT6_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5184UL))
#define bFM0P_BT6_PPG_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A5184UL))
#define bFM_BT6_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5188UL))
#define bFM0P_BT6_PPG_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A5188UL))
#define bFM_BT6_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A518CUL))
#define bFM0P_BT6_PPG_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A518CUL))
#define bFM_BT6_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A51A8UL))
#define bFM0P_BT6_PPG_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A51A8UL))
#define bFM_BT6_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A51ACUL))
#define bFM0P_BT6_PPG_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A51ACUL))

#define bFM_BT6_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5220UL))
#define bFM0P_BT6_PPG_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A5220UL))

#define bFM_BT6_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A5200UL))
#define bFM0P_BT6_PWC_STC_OVIR                    *((volatile  uint8_t *)(0x424A5200UL))
#define bFM_BT6_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A5208UL))
#define bFM0P_BT6_PWC_STC_EDIR                    *((volatile  uint8_t *)(0x424A5208UL))
#define bFM_BT6_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A5210UL))
#define bFM0P_BT6_PWC_STC_OVIE                    *((volatile  uint8_t *)(0x424A5210UL))
#define bFM_BT6_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A5218UL))
#define bFM0P_BT6_PWC_STC_EDIE                    *((volatile  uint8_t *)(0x424A5218UL))
#define bFM_BT6_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A521CUL))
#define bFM0P_BT6_PWC_STC_ERR                     *((volatile  uint8_t *)(0x424A521CUL))

#define bFM_BT6_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5184UL))
#define bFM0P_BT6_PWC_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A5184UL))
#define bFM_BT6_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5188UL))
#define bFM0P_BT6_PWC_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A5188UL))
#define bFM_BT6_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A519CUL))
#define bFM0P_BT6_PWC_TMCR_T32                    *((volatile  uint8_t *)(0x424A519CUL))

#define bFM_BT6_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5220UL))
#define bFM0P_BT6_PWC_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A5220UL))

#define bFM_BT6_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A5200UL))
#define bFM0P_BT6_PWM_STC_UDIR                    *((volatile  uint8_t *)(0x424A5200UL))
#define bFM_BT6_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A5204UL))
#define bFM0P_BT6_PWM_STC_DTIR                    *((volatile  uint8_t *)(0x424A5204UL))
#define bFM_BT6_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A5208UL))
#define bFM0P_BT6_PWM_STC_TGIR                    *((volatile  uint8_t *)(0x424A5208UL))
#define bFM_BT6_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A5210UL))
#define bFM0P_BT6_PWM_STC_UDIE                    *((volatile  uint8_t *)(0x424A5210UL))
#define bFM_BT6_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A5214UL))
#define bFM0P_BT6_PWM_STC_DTIE                    *((volatile  uint8_t *)(0x424A5214UL))
#define bFM_BT6_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A5218UL))
#define bFM0P_BT6_PWM_STC_TGIE                    *((volatile  uint8_t *)(0x424A5218UL))

#define bFM_BT6_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A5180UL))
#define bFM0P_BT6_PWM_TMCR_STRG                   *((volatile  uint8_t *)(0x424A5180UL))
#define bFM_BT6_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5184UL))
#define bFM0P_BT6_PWM_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A5184UL))
#define bFM_BT6_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5188UL))
#define bFM0P_BT6_PWM_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A5188UL))
#define bFM_BT6_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A518CUL))
#define bFM0P_BT6_PWM_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A518CUL))
#define bFM_BT6_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A51A8UL))
#define bFM0P_BT6_PWM_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A51A8UL))
#define bFM_BT6_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A51ACUL))
#define bFM0P_BT6_PWM_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A51ACUL))

#define bFM_BT6_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5220UL))
#define bFM0P_BT6_PWM_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A5220UL))

#define bFM_BT6_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A5200UL))
#define bFM0P_BT6_RT_STC_UDIR                     *((volatile  uint8_t *)(0x424A5200UL))
#define bFM_BT6_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A5208UL))
#define bFM0P_BT6_RT_STC_TGIR                     *((volatile  uint8_t *)(0x424A5208UL))
#define bFM_BT6_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A5210UL))
#define bFM0P_BT6_RT_STC_UDIE                     *((volatile  uint8_t *)(0x424A5210UL))
#define bFM_BT6_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A5218UL))
#define bFM0P_BT6_RT_STC_TGIE                     *((volatile  uint8_t *)(0x424A5218UL))

#define bFM_BT6_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A5180UL))
#define bFM0P_BT6_RT_TMCR_STRG                    *((volatile  uint8_t *)(0x424A5180UL))
#define bFM_BT6_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A5184UL))
#define bFM0P_BT6_RT_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A5184UL))
#define bFM_BT6_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A5188UL))
#define bFM0P_BT6_RT_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A5188UL))
#define bFM_BT6_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A518CUL))
#define bFM0P_BT6_RT_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A518CUL))
#define bFM_BT6_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A519CUL))
#define bFM0P_BT6_RT_TMCR_T32                     *((volatile  uint8_t *)(0x424A519CUL))

#define bFM_BT6_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A5220UL))
#define bFM0P_BT6_RT_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A5220UL))
#define bFM_BT6_RT_TMCR2_GATE                     *((volatile  uint8_t *)(0x424A523CUL))
#define bFM0P_BT6_RT_TMCR2_GATE                   *((volatile  uint8_t *)(0x424A523CUL))


/******************************************************************************
 ** BT Registers BT7
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT7_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM0P_BT7_PPG_STC_UDIR                    *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM_BT7_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM0P_BT7_PPG_STC_TGIR                    *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM_BT7_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM0P_BT7_PPG_STC_UDIE                    *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM_BT7_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A5A18UL))
#define bFM0P_BT7_PPG_STC_TGIE                    *((volatile  uint8_t *)(0x424A5A18UL))

#define bFM_BT7_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A5980UL))
#define bFM0P_BT7_PPG_TMCR_STRG                   *((volatile  uint8_t *)(0x424A5980UL))
#define bFM_BT7_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5984UL))
#define bFM0P_BT7_PPG_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A5984UL))
#define bFM_BT7_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5988UL))
#define bFM0P_BT7_PPG_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A5988UL))
#define bFM_BT7_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A598CUL))
#define bFM0P_BT7_PPG_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A598CUL))
#define bFM_BT7_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A59A8UL))
#define bFM0P_BT7_PPG_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A59A8UL))
#define bFM_BT7_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A59ACUL))
#define bFM0P_BT7_PPG_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A59ACUL))

#define bFM_BT7_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5A20UL))
#define bFM0P_BT7_PPG_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A5A20UL))

#define bFM_BT7_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM0P_BT7_PWC_STC_OVIR                    *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM_BT7_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM0P_BT7_PWC_STC_EDIR                    *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM_BT7_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM0P_BT7_PWC_STC_OVIE                    *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM_BT7_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A5A18UL))
#define bFM0P_BT7_PWC_STC_EDIE                    *((volatile  uint8_t *)(0x424A5A18UL))
#define bFM_BT7_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A5A1CUL))
#define bFM0P_BT7_PWC_STC_ERR                     *((volatile  uint8_t *)(0x424A5A1CUL))

#define bFM_BT7_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5984UL))
#define bFM0P_BT7_PWC_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A5984UL))
#define bFM_BT7_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5988UL))
#define bFM0P_BT7_PWC_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A5988UL))
#define bFM_BT7_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A599CUL))
#define bFM0P_BT7_PWC_TMCR_T32                    *((volatile  uint8_t *)(0x424A599CUL))

#define bFM_BT7_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5A20UL))
#define bFM0P_BT7_PWC_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A5A20UL))

#define bFM_BT7_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM0P_BT7_PWM_STC_UDIR                    *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM_BT7_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A5A04UL))
#define bFM0P_BT7_PWM_STC_DTIR                    *((volatile  uint8_t *)(0x424A5A04UL))
#define bFM_BT7_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM0P_BT7_PWM_STC_TGIR                    *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM_BT7_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM0P_BT7_PWM_STC_UDIE                    *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM_BT7_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A5A14UL))
#define bFM0P_BT7_PWM_STC_DTIE                    *((volatile  uint8_t *)(0x424A5A14UL))
#define bFM_BT7_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A5A18UL))
#define bFM0P_BT7_PWM_STC_TGIE                    *((volatile  uint8_t *)(0x424A5A18UL))

#define bFM_BT7_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A5980UL))
#define bFM0P_BT7_PWM_TMCR_STRG                   *((volatile  uint8_t *)(0x424A5980UL))
#define bFM_BT7_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5984UL))
#define bFM0P_BT7_PWM_TMCR_CTEN                   *((volatile  uint8_t *)(0x424A5984UL))
#define bFM_BT7_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5988UL))
#define bFM0P_BT7_PWM_TMCR_MDSE                   *((volatile  uint8_t *)(0x424A5988UL))
#define bFM_BT7_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A598CUL))
#define bFM0P_BT7_PWM_TMCR_OSEL                   *((volatile  uint8_t *)(0x424A598CUL))
#define bFM_BT7_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A59A8UL))
#define bFM0P_BT7_PWM_TMCR_PMSK                   *((volatile  uint8_t *)(0x424A59A8UL))
#define bFM_BT7_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A59ACUL))
#define bFM0P_BT7_PWM_TMCR_RTGEN                  *((volatile  uint8_t *)(0x424A59ACUL))

#define bFM_BT7_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5A20UL))
#define bFM0P_BT7_PWM_TMCR2_CKS3                  *((volatile  uint8_t *)(0x424A5A20UL))

#define bFM_BT7_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM0P_BT7_RT_STC_UDIR                     *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM_BT7_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM0P_BT7_RT_STC_TGIR                     *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM_BT7_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM0P_BT7_RT_STC_UDIE                     *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM_BT7_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A5A18UL))
#define bFM0P_BT7_RT_STC_TGIE                     *((volatile  uint8_t *)(0x424A5A18UL))

#define bFM_BT7_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A5980UL))
#define bFM0P_BT7_RT_TMCR_STRG                    *((volatile  uint8_t *)(0x424A5980UL))
#define bFM_BT7_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A5984UL))
#define bFM0P_BT7_RT_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A5984UL))
#define bFM_BT7_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A5988UL))
#define bFM0P_BT7_RT_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A5988UL))
#define bFM_BT7_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A598CUL))
#define bFM0P_BT7_RT_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A598CUL))
#define bFM_BT7_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A599CUL))
#define bFM0P_BT7_RT_TMCR_T32                     *((volatile  uint8_t *)(0x424A599CUL))

#define bFM_BT7_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A5A20UL))
#define bFM0P_BT7_RT_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A5A20UL))
#define bFM_BT7_RT_TMCR2_GATE                     *((volatile  uint8_t *)(0x424A5A3CUL))
#define bFM0P_BT7_RT_TMCR2_GATE                   *((volatile  uint8_t *)(0x424A5A3CUL))


/******************************************************************************
 ** BTIOSEL03 Registers BTIOSEL03
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** BTIOSEL47 Registers BTIOSEL47
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** CLK_GATING Registers CLK_GATING
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_CLK_GATING_CKEN0_MFSCK0               *((volatile  uint8_t *)(0x42782000UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK0             *((volatile  uint8_t *)(0x42782000UL))
#define bFM_CLK_GATING_CKEN0_MFSCK1               *((volatile  uint8_t *)(0x42782004UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK1             *((volatile  uint8_t *)(0x42782004UL))
#define bFM_CLK_GATING_CKEN0_MFSCK2               *((volatile  uint8_t *)(0x42782008UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK2             *((volatile  uint8_t *)(0x42782008UL))
#define bFM_CLK_GATING_CKEN0_MFSCK3               *((volatile  uint8_t *)(0x4278200CUL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK3             *((volatile  uint8_t *)(0x4278200CUL))
#define bFM_CLK_GATING_CKEN0_MFSCK4               *((volatile  uint8_t *)(0x42782010UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK4             *((volatile  uint8_t *)(0x42782010UL))
#define bFM_CLK_GATING_CKEN0_MFSCK5               *((volatile  uint8_t *)(0x42782014UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK5             *((volatile  uint8_t *)(0x42782014UL))
#define bFM_CLK_GATING_CKEN0_MFSCK6               *((volatile  uint8_t *)(0x42782018UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK6             *((volatile  uint8_t *)(0x42782018UL))
#define bFM_CLK_GATING_CKEN0_MFSCK7               *((volatile  uint8_t *)(0x4278201CUL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK7             *((volatile  uint8_t *)(0x4278201CUL))
#define bFM_CLK_GATING_CKEN0_MFSCK8               *((volatile  uint8_t *)(0x42782020UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK8             *((volatile  uint8_t *)(0x42782020UL))
#define bFM_CLK_GATING_CKEN0_MFSCK9               *((volatile  uint8_t *)(0x42782024UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK9             *((volatile  uint8_t *)(0x42782024UL))
#define bFM_CLK_GATING_CKEN0_MFSCK10              *((volatile  uint8_t *)(0x42782028UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK10            *((volatile  uint8_t *)(0x42782028UL))
#define bFM_CLK_GATING_CKEN0_MFSCK11              *((volatile  uint8_t *)(0x4278202CUL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK11            *((volatile  uint8_t *)(0x4278202CUL))
#define bFM_CLK_GATING_CKEN0_MFSCK12              *((volatile  uint8_t *)(0x42782030UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK12            *((volatile  uint8_t *)(0x42782030UL))
#define bFM_CLK_GATING_CKEN0_MFSCK13              *((volatile  uint8_t *)(0x42782034UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK13            *((volatile  uint8_t *)(0x42782034UL))
#define bFM_CLK_GATING_CKEN0_MFSCK14              *((volatile  uint8_t *)(0x42782038UL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK14            *((volatile  uint8_t *)(0x42782038UL))
#define bFM_CLK_GATING_CKEN0_MFSCK15              *((volatile  uint8_t *)(0x4278203CUL))
#define bFM0P_CLK_GATING_CKEN0_MFSCK15            *((volatile  uint8_t *)(0x4278203CUL))
#define bFM_CLK_GATING_CKEN0_ADCCK0               *((volatile  uint8_t *)(0x42782040UL))
#define bFM0P_CLK_GATING_CKEN0_ADCCK0             *((volatile  uint8_t *)(0x42782040UL))
#define bFM_CLK_GATING_CKEN0_ADCCK1               *((volatile  uint8_t *)(0x42782044UL))
#define bFM0P_CLK_GATING_CKEN0_ADCCK1             *((volatile  uint8_t *)(0x42782044UL))
#define bFM_CLK_GATING_CKEN0_ADCCK2               *((volatile  uint8_t *)(0x42782048UL))
#define bFM0P_CLK_GATING_CKEN0_ADCCK2             *((volatile  uint8_t *)(0x42782048UL))
#define bFM_CLK_GATING_CKEN0_ADCCK3               *((volatile  uint8_t *)(0x4278204CUL))
#define bFM0P_CLK_GATING_CKEN0_ADCCK3             *((volatile  uint8_t *)(0x4278204CUL))
#define bFM_CLK_GATING_CKEN0_DMACK                *((volatile  uint8_t *)(0x42782060UL))
#define bFM0P_CLK_GATING_CKEN0_DMACK              *((volatile  uint8_t *)(0x42782060UL))
#define bFM_CLK_GATING_CKEN0_DSTCCK               *((volatile  uint8_t *)(0x42782064UL))
#define bFM0P_CLK_GATING_CKEN0_DSTCCK             *((volatile  uint8_t *)(0x42782064UL))
#define bFM_CLK_GATING_CKEN0_GIOCK                *((volatile  uint8_t *)(0x42782070UL))
#define bFM0P_CLK_GATING_CKEN0_GIOCK              *((volatile  uint8_t *)(0x42782070UL))

#define bFM_CLK_GATING_CKEN1_BTMCK0               *((volatile  uint8_t *)(0x42782200UL))
#define bFM0P_CLK_GATING_CKEN1_BTMCK0             *((volatile  uint8_t *)(0x42782200UL))
#define bFM_CLK_GATING_CKEN1_BTMCK1               *((volatile  uint8_t *)(0x42782204UL))
#define bFM0P_CLK_GATING_CKEN1_BTMCK1             *((volatile  uint8_t *)(0x42782204UL))
#define bFM_CLK_GATING_CKEN1_BTMCK2               *((volatile  uint8_t *)(0x42782208UL))
#define bFM0P_CLK_GATING_CKEN1_BTMCK2             *((volatile  uint8_t *)(0x42782208UL))
#define bFM_CLK_GATING_CKEN1_BTMCK3               *((volatile  uint8_t *)(0x4278220CUL))
#define bFM0P_CLK_GATING_CKEN1_BTMCK3             *((volatile  uint8_t *)(0x4278220CUL))
#define bFM_CLK_GATING_CKEN1_MFTCK0               *((volatile  uint8_t *)(0x42782220UL))
#define bFM0P_CLK_GATING_CKEN1_MFTCK0             *((volatile  uint8_t *)(0x42782220UL))
#define bFM_CLK_GATING_CKEN1_MFTCK1               *((volatile  uint8_t *)(0x42782224UL))
#define bFM0P_CLK_GATING_CKEN1_MFTCK1             *((volatile  uint8_t *)(0x42782224UL))
#define bFM_CLK_GATING_CKEN1_MFTCK2               *((volatile  uint8_t *)(0x42782228UL))
#define bFM0P_CLK_GATING_CKEN1_MFTCK2             *((volatile  uint8_t *)(0x42782228UL))
#define bFM_CLK_GATING_CKEN1_MFTCK3               *((volatile  uint8_t *)(0x4278222CUL))
#define bFM0P_CLK_GATING_CKEN1_MFTCK3             *((volatile  uint8_t *)(0x4278222CUL))
#define bFM_CLK_GATING_CKEN1_QDUCK0               *((volatile  uint8_t *)(0x42782240UL))
#define bFM0P_CLK_GATING_CKEN1_QDUCK0             *((volatile  uint8_t *)(0x42782240UL))
#define bFM_CLK_GATING_CKEN1_QDUCK1               *((volatile  uint8_t *)(0x42782244UL))
#define bFM0P_CLK_GATING_CKEN1_QDUCK1             *((volatile  uint8_t *)(0x42782244UL))
#define bFM_CLK_GATING_CKEN1_QDUCK2               *((volatile  uint8_t *)(0x42782248UL))
#define bFM0P_CLK_GATING_CKEN1_QDUCK2             *((volatile  uint8_t *)(0x42782248UL))
#define bFM_CLK_GATING_CKEN1_QDUCK3               *((volatile  uint8_t *)(0x4278224CUL))
#define bFM0P_CLK_GATING_CKEN1_QDUCK3             *((volatile  uint8_t *)(0x4278224CUL))

#define bFM_CLK_GATING_CKEN2_USBCK0               *((volatile  uint8_t *)(0x42782400UL))
#define bFM0P_CLK_GATING_CKEN2_USBCK0             *((volatile  uint8_t *)(0x42782400UL))
#define bFM_CLK_GATING_CKEN2_USBCK1               *((volatile  uint8_t *)(0x42782404UL))
#define bFM0P_CLK_GATING_CKEN2_USBCK1             *((volatile  uint8_t *)(0x42782404UL))
#define bFM_CLK_GATING_CKEN2_CANCK0               *((volatile  uint8_t *)(0x42782410UL))
#define bFM0P_CLK_GATING_CKEN2_CANCK0             *((volatile  uint8_t *)(0x42782410UL))
#define bFM_CLK_GATING_CKEN2_CANCK1               *((volatile  uint8_t *)(0x42782414UL))
#define bFM0P_CLK_GATING_CKEN2_CANCK1             *((volatile  uint8_t *)(0x42782414UL))
#define bFM_CLK_GATING_CKEN2_ICCCK0               *((volatile  uint8_t *)(0x42782430UL))
#define bFM0P_CLK_GATING_CKEN2_ICCCK0             *((volatile  uint8_t *)(0x42782430UL))
#define bFM_CLK_GATING_CKEN2_ICCCK1               *((volatile  uint8_t *)(0x42782434UL))
#define bFM0P_CLK_GATING_CKEN2_ICCCK1             *((volatile  uint8_t *)(0x42782434UL))
#define bFM_CLK_GATING_CKEN2_I2SCCK0              *((volatile  uint8_t *)(0x42782438UL))
#define bFM0P_CLK_GATING_CKEN2_I2SCCK0            *((volatile  uint8_t *)(0x42782438UL))
#define bFM_CLK_GATING_CKEN2_I2SCCK1              *((volatile  uint8_t *)(0x4278243CUL))
#define bFM0P_CLK_GATING_CKEN2_I2SCCK1            *((volatile  uint8_t *)(0x4278243CUL))
#define bFM_CLK_GATING_CKEN2_LCDCCK               *((volatile  uint8_t *)(0x42782440UL))
#define bFM0P_CLK_GATING_CKEN2_LCDCCK             *((volatile  uint8_t *)(0x42782440UL))
#define bFM_CLK_GATING_CKEN2_CECCK                *((volatile  uint8_t *)(0x42782448UL))
#define bFM0P_CLK_GATING_CKEN2_CECCK              *((volatile  uint8_t *)(0x42782448UL))
#define bFM_CLK_GATING_CKEN2_PCRCCK               *((volatile  uint8_t *)(0x42782450UL))
#define bFM0P_CLK_GATING_CKEN2_PCRCCK             *((volatile  uint8_t *)(0x42782450UL))

#define bFM_CLK_GATING_MRST0_MFSRST0              *((volatile  uint8_t *)(0x42782080UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST0            *((volatile  uint8_t *)(0x42782080UL))
#define bFM_CLK_GATING_MRST0_MFSRST1              *((volatile  uint8_t *)(0x42782084UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST1            *((volatile  uint8_t *)(0x42782084UL))
#define bFM_CLK_GATING_MRST0_MFSRST2              *((volatile  uint8_t *)(0x42782088UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST2            *((volatile  uint8_t *)(0x42782088UL))
#define bFM_CLK_GATING_MRST0_MFSRST3              *((volatile  uint8_t *)(0x4278208CUL))
#define bFM0P_CLK_GATING_MRST0_MFSRST3            *((volatile  uint8_t *)(0x4278208CUL))
#define bFM_CLK_GATING_MRST0_MFSRST4              *((volatile  uint8_t *)(0x42782090UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST4            *((volatile  uint8_t *)(0x42782090UL))
#define bFM_CLK_GATING_MRST0_MFSRST5              *((volatile  uint8_t *)(0x42782094UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST5            *((volatile  uint8_t *)(0x42782094UL))
#define bFM_CLK_GATING_MRST0_MFSRST6              *((volatile  uint8_t *)(0x42782098UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST6            *((volatile  uint8_t *)(0x42782098UL))
#define bFM_CLK_GATING_MRST0_MFSRST7              *((volatile  uint8_t *)(0x4278209CUL))
#define bFM0P_CLK_GATING_MRST0_MFSRST7            *((volatile  uint8_t *)(0x4278209CUL))
#define bFM_CLK_GATING_MRST0_MFSRST8              *((volatile  uint8_t *)(0x427820A0UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST8            *((volatile  uint8_t *)(0x427820A0UL))
#define bFM_CLK_GATING_MRST0_MFSRST9              *((volatile  uint8_t *)(0x427820A4UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST9            *((volatile  uint8_t *)(0x427820A4UL))
#define bFM_CLK_GATING_MRST0_MFSRST10             *((volatile  uint8_t *)(0x427820A8UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST10           *((volatile  uint8_t *)(0x427820A8UL))
#define bFM_CLK_GATING_MRST0_MFSRST11             *((volatile  uint8_t *)(0x427820ACUL))
#define bFM0P_CLK_GATING_MRST0_MFSRST11           *((volatile  uint8_t *)(0x427820ACUL))
#define bFM_CLK_GATING_MRST0_MFSRST12             *((volatile  uint8_t *)(0x427820B0UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST12           *((volatile  uint8_t *)(0x427820B0UL))
#define bFM_CLK_GATING_MRST0_MFSRST13             *((volatile  uint8_t *)(0x427820B4UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST13           *((volatile  uint8_t *)(0x427820B4UL))
#define bFM_CLK_GATING_MRST0_MFSRST14             *((volatile  uint8_t *)(0x427820B8UL))
#define bFM0P_CLK_GATING_MRST0_MFSRST14           *((volatile  uint8_t *)(0x427820B8UL))
#define bFM_CLK_GATING_MRST0_MFSRST15             *((volatile  uint8_t *)(0x427820BCUL))
#define bFM0P_CLK_GATING_MRST0_MFSRST15           *((volatile  uint8_t *)(0x427820BCUL))
#define bFM_CLK_GATING_MRST0_ADCRST0              *((volatile  uint8_t *)(0x427820C0UL))
#define bFM0P_CLK_GATING_MRST0_ADCRST0            *((volatile  uint8_t *)(0x427820C0UL))
#define bFM_CLK_GATING_MRST0_ADCRST1              *((volatile  uint8_t *)(0x427820C4UL))
#define bFM0P_CLK_GATING_MRST0_ADCRST1            *((volatile  uint8_t *)(0x427820C4UL))
#define bFM_CLK_GATING_MRST0_ADCRST2              *((volatile  uint8_t *)(0x427820C8UL))
#define bFM0P_CLK_GATING_MRST0_ADCRST2            *((volatile  uint8_t *)(0x427820C8UL))
#define bFM_CLK_GATING_MRST0_ADCRST3              *((volatile  uint8_t *)(0x427820CCUL))
#define bFM0P_CLK_GATING_MRST0_ADCRST3            *((volatile  uint8_t *)(0x427820CCUL))
#define bFM_CLK_GATING_MRST0_DMARST               *((volatile  uint8_t *)(0x427820E0UL))
#define bFM0P_CLK_GATING_MRST0_DMARST             *((volatile  uint8_t *)(0x427820E0UL))
#define bFM_CLK_GATING_MRST0_DSTCRST              *((volatile  uint8_t *)(0x427820E4UL))
#define bFM0P_CLK_GATING_MRST0_DSTCRST            *((volatile  uint8_t *)(0x427820E4UL))

#define bFM_CLK_GATING_MRST1_BTMRST0              *((volatile  uint8_t *)(0x42782280UL))
#define bFM0P_CLK_GATING_MRST1_BTMRST0            *((volatile  uint8_t *)(0x42782280UL))
#define bFM_CLK_GATING_MRST1_BTMRST1              *((volatile  uint8_t *)(0x42782284UL))
#define bFM0P_CLK_GATING_MRST1_BTMRST1            *((volatile  uint8_t *)(0x42782284UL))
#define bFM_CLK_GATING_MRST1_BTMRST2              *((volatile  uint8_t *)(0x42782288UL))
#define bFM0P_CLK_GATING_MRST1_BTMRST2            *((volatile  uint8_t *)(0x42782288UL))
#define bFM_CLK_GATING_MRST1_BTMRST3              *((volatile  uint8_t *)(0x4278228CUL))
#define bFM0P_CLK_GATING_MRST1_BTMRST3            *((volatile  uint8_t *)(0x4278228CUL))
#define bFM_CLK_GATING_MRST1_MFTRST0              *((volatile  uint8_t *)(0x427822A0UL))
#define bFM0P_CLK_GATING_MRST1_MFTRST0            *((volatile  uint8_t *)(0x427822A0UL))
#define bFM_CLK_GATING_MRST1_MFTRST1              *((volatile  uint8_t *)(0x427822A4UL))
#define bFM0P_CLK_GATING_MRST1_MFTRST1            *((volatile  uint8_t *)(0x427822A4UL))
#define bFM_CLK_GATING_MRST1_MFTRST2              *((volatile  uint8_t *)(0x427822A8UL))
#define bFM0P_CLK_GATING_MRST1_MFTRST2            *((volatile  uint8_t *)(0x427822A8UL))
#define bFM_CLK_GATING_MRST1_MFTRST3              *((volatile  uint8_t *)(0x427822ACUL))
#define bFM0P_CLK_GATING_MRST1_MFTRST3            *((volatile  uint8_t *)(0x427822ACUL))
#define bFM_CLK_GATING_MRST1_QDURST0              *((volatile  uint8_t *)(0x427822C0UL))
#define bFM0P_CLK_GATING_MRST1_QDURST0            *((volatile  uint8_t *)(0x427822C0UL))
#define bFM_CLK_GATING_MRST1_QDURST1              *((volatile  uint8_t *)(0x427822C4UL))
#define bFM0P_CLK_GATING_MRST1_QDURST1            *((volatile  uint8_t *)(0x427822C4UL))
#define bFM_CLK_GATING_MRST1_QDURST2              *((volatile  uint8_t *)(0x427822C8UL))
#define bFM0P_CLK_GATING_MRST1_QDURST2            *((volatile  uint8_t *)(0x427822C8UL))
#define bFM_CLK_GATING_MRST1_QDURST3              *((volatile  uint8_t *)(0x427822CCUL))
#define bFM0P_CLK_GATING_MRST1_QDURST3            *((volatile  uint8_t *)(0x427822CCUL))

#define bFM_CLK_GATING_MRST2_USBRST0              *((volatile  uint8_t *)(0x42782480UL))
#define bFM0P_CLK_GATING_MRST2_USBRST0            *((volatile  uint8_t *)(0x42782480UL))
#define bFM_CLK_GATING_MRST2_USBRST1              *((volatile  uint8_t *)(0x42782484UL))
#define bFM0P_CLK_GATING_MRST2_USBRST1            *((volatile  uint8_t *)(0x42782484UL))
#define bFM_CLK_GATING_MRST2_CANRST0              *((volatile  uint8_t *)(0x42782490UL))
#define bFM0P_CLK_GATING_MRST2_CANRST0            *((volatile  uint8_t *)(0x42782490UL))
#define bFM_CLK_GATING_MRST2_CANRST1              *((volatile  uint8_t *)(0x42782494UL))
#define bFM0P_CLK_GATING_MRST2_CANRST1            *((volatile  uint8_t *)(0x42782494UL))
#define bFM_CLK_GATING_MRST2_ICCRST0              *((volatile  uint8_t *)(0x427824B0UL))
#define bFM0P_CLK_GATING_MRST2_ICCRST0            *((volatile  uint8_t *)(0x427824B0UL))
#define bFM_CLK_GATING_MRST2_ICCRST1              *((volatile  uint8_t *)(0x427824B4UL))
#define bFM0P_CLK_GATING_MRST2_ICCRST1            *((volatile  uint8_t *)(0x427824B4UL))
#define bFM_CLK_GATING_MRST2_I2SCRST0             *((volatile  uint8_t *)(0x427824B8UL))
#define bFM0P_CLK_GATING_MRST2_I2SCRST0           *((volatile  uint8_t *)(0x427824B8UL))
#define bFM_CLK_GATING_MRST2_I2SCRST1             *((volatile  uint8_t *)(0x427824BCUL))
#define bFM0P_CLK_GATING_MRST2_I2SCRST1           *((volatile  uint8_t *)(0x427824BCUL))
#define bFM_CLK_GATING_MRST2_LCDCRST              *((volatile  uint8_t *)(0x427824C0UL))
#define bFM0P_CLK_GATING_MRST2_LCDCRST            *((volatile  uint8_t *)(0x427824C0UL))
#define bFM_CLK_GATING_MRST2_CECRST               *((volatile  uint8_t *)(0x427824C8UL))
#define bFM0P_CLK_GATING_MRST2_CECRST             *((volatile  uint8_t *)(0x427824C8UL))
#define bFM_CLK_GATING_MRST2_PCRCRST              *((volatile  uint8_t *)(0x427824D0UL))
#define bFM0P_CLK_GATING_MRST2_PCRCRST            *((volatile  uint8_t *)(0x427824D0UL))


/******************************************************************************
 ** CRC Registers CRC
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_CRC_CRCCR_INIT                        *((volatile  uint8_t *)(0x42720000UL))
#define bFM0P_CRC_CRCCR_INIT                      *((volatile  uint8_t *)(0x42720000UL))
#define bFM_CRC_CRCCR_CRC32                       *((volatile  uint8_t *)(0x42720004UL))
#define bFM0P_CRC_CRCCR_CRC32                     *((volatile  uint8_t *)(0x42720004UL))
#define bFM_CRC_CRCCR_LTLEND                      *((volatile  uint8_t *)(0x42720008UL))
#define bFM0P_CRC_CRCCR_LTLEND                    *((volatile  uint8_t *)(0x42720008UL))
#define bFM_CRC_CRCCR_LSBFST                      *((volatile  uint8_t *)(0x4272000CUL))
#define bFM0P_CRC_CRCCR_LSBFST                    *((volatile  uint8_t *)(0x4272000CUL))
#define bFM_CRC_CRCCR_CRCLTE                      *((volatile  uint8_t *)(0x42720010UL))
#define bFM0P_CRC_CRCCR_CRCLTE                    *((volatile  uint8_t *)(0x42720010UL))
#define bFM_CRC_CRCCR_CRCLSF                      *((volatile  uint8_t *)(0x42720014UL))
#define bFM0P_CRC_CRCCR_CRCLSF                    *((volatile  uint8_t *)(0x42720014UL))
#define bFM_CRC_CRCCR_FXOR                        *((volatile  uint8_t *)(0x42720018UL))
#define bFM0P_CRC_CRCCR_FXOR                      *((volatile  uint8_t *)(0x42720018UL))


/******************************************************************************
 ** CRG Registers CRG
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_CRG_APBC1_PSR_APBC1RST                *((volatile  uint32_t*)(0x42200310UL))
#define bFM0P_CRG_APBC1_PSR_APBC1RST              *((volatile  uint32_t*)(0x42200310UL))
#define bFM_CRG_APBC1_PSR_APBC1EN                 *((volatile  uint32_t*)(0x4220031CUL))
#define bFM0P_CRG_APBC1_PSR_APBC1EN               *((volatile  uint32_t*)(0x4220031CUL))

#define bFM_CRG_CSV_CTL_MCSVE                     *((volatile  uint32_t*)(0x42200800UL))
#define bFM0P_CRG_CSV_CTL_MCSVE                   *((volatile  uint32_t*)(0x42200800UL))
#define bFM_CRG_CSV_CTL_SCSVE                     *((volatile  uint32_t*)(0x42200804UL))
#define bFM0P_CRG_CSV_CTL_SCSVE                   *((volatile  uint32_t*)(0x42200804UL))
#define bFM_CRG_CSV_CTL_FCSDE                     *((volatile  uint32_t*)(0x42200820UL))
#define bFM0P_CRG_CSV_CTL_FCSDE                   *((volatile  uint32_t*)(0x42200820UL))
#define bFM_CRG_CSV_CTL_FCSRE                     *((volatile  uint32_t*)(0x42200824UL))
#define bFM0P_CRG_CSV_CTL_FCSRE                   *((volatile  uint32_t*)(0x42200824UL))

#define bFM_CRG_CSV_STR_MCMF                      *((volatile  uint32_t*)(0x42200880UL))
#define bFM0P_CRG_CSV_STR_MCMF                    *((volatile  uint32_t*)(0x42200880UL))
#define bFM_CRG_CSV_STR_SCMF                      *((volatile  uint32_t*)(0x42200884UL))
#define bFM0P_CRG_CSV_STR_SCMF                    *((volatile  uint32_t*)(0x42200884UL))

#define bFM_CRG_DBWDT_CTL_DPSWBE                  *((volatile  uint32_t*)(0x42200A94UL))
#define bFM0P_CRG_DBWDT_CTL_DPSWBE                *((volatile  uint32_t*)(0x42200A94UL))
#define bFM_CRG_DBWDT_CTL_DPHWBE                  *((volatile  uint32_t*)(0x42200A9CUL))
#define bFM0P_CRG_DBWDT_CTL_DPHWBE                *((volatile  uint32_t*)(0x42200A9CUL))

#define bFM_CRG_INT_CLR_MCSC                      *((volatile  uint32_t*)(0x42200D00UL))
#define bFM0P_CRG_INT_CLR_MCSC                    *((volatile  uint32_t*)(0x42200D00UL))
#define bFM_CRG_INT_CLR_SCSC                      *((volatile  uint32_t*)(0x42200D04UL))
#define bFM0P_CRG_INT_CLR_SCSC                    *((volatile  uint32_t*)(0x42200D04UL))
#define bFM_CRG_INT_CLR_PCSC                      *((volatile  uint32_t*)(0x42200D08UL))
#define bFM0P_CRG_INT_CLR_PCSC                    *((volatile  uint32_t*)(0x42200D08UL))
#define bFM_CRG_INT_CLR_FCSC                      *((volatile  uint32_t*)(0x42200D14UL))
#define bFM0P_CRG_INT_CLR_FCSC                    *((volatile  uint32_t*)(0x42200D14UL))

#define bFM_CRG_INT_ENR_MCSE                      *((volatile  uint32_t*)(0x42200C00UL))
#define bFM0P_CRG_INT_ENR_MCSE                    *((volatile  uint32_t*)(0x42200C00UL))
#define bFM_CRG_INT_ENR_SCSE                      *((volatile  uint32_t*)(0x42200C04UL))
#define bFM0P_CRG_INT_ENR_SCSE                    *((volatile  uint32_t*)(0x42200C04UL))
#define bFM_CRG_INT_ENR_PCSE                      *((volatile  uint32_t*)(0x42200C08UL))
#define bFM0P_CRG_INT_ENR_PCSE                    *((volatile  uint32_t*)(0x42200C08UL))
#define bFM_CRG_INT_ENR_FCSE                      *((volatile  uint32_t*)(0x42200C14UL))
#define bFM0P_CRG_INT_ENR_FCSE                    *((volatile  uint32_t*)(0x42200C14UL))

#define bFM_CRG_INT_STR_MCSI                      *((volatile  uint32_t*)(0x42200C80UL))
#define bFM0P_CRG_INT_STR_MCSI                    *((volatile  uint32_t*)(0x42200C80UL))
#define bFM_CRG_INT_STR_SCSI                      *((volatile  uint32_t*)(0x42200C84UL))
#define bFM0P_CRG_INT_STR_SCSI                    *((volatile  uint32_t*)(0x42200C84UL))
#define bFM_CRG_INT_STR_PCSI                      *((volatile  uint32_t*)(0x42200C88UL))
#define bFM0P_CRG_INT_STR_PCSI                    *((volatile  uint32_t*)(0x42200C88UL))
#define bFM_CRG_INT_STR_FCSI                      *((volatile  uint32_t*)(0x42200C94UL))
#define bFM0P_CRG_INT_STR_FCSI                    *((volatile  uint32_t*)(0x42200C94UL))

#define bFM_CRG_PSW_TMR_PINC                      *((volatile  uint32_t*)(0x42200690UL))
#define bFM0P_CRG_PSW_TMR_PINC                    *((volatile  uint32_t*)(0x42200690UL))

#define bFM_CRG_RST_STR_PONR                      *((volatile  uint32_t*)(0x42200180UL))
#define bFM0P_CRG_RST_STR_PONR                    *((volatile  uint32_t*)(0x42200180UL))
#define bFM_CRG_RST_STR_INITX                     *((volatile  uint32_t*)(0x42200184UL))
#define bFM0P_CRG_RST_STR_INITX                   *((volatile  uint32_t*)(0x42200184UL))
#define bFM_CRG_RST_STR_SWDT                      *((volatile  uint32_t*)(0x42200190UL))
#define bFM0P_CRG_RST_STR_SWDT                    *((volatile  uint32_t*)(0x42200190UL))
#define bFM_CRG_RST_STR_HWDT                      *((volatile  uint32_t*)(0x42200194UL))
#define bFM0P_CRG_RST_STR_HWDT                    *((volatile  uint32_t*)(0x42200194UL))
#define bFM_CRG_RST_STR_CSVR                      *((volatile  uint32_t*)(0x42200198UL))
#define bFM0P_CRG_RST_STR_CSVR                    *((volatile  uint32_t*)(0x42200198UL))
#define bFM_CRG_RST_STR_FCSR                      *((volatile  uint32_t*)(0x4220019CUL))
#define bFM0P_CRG_RST_STR_FCSR                    *((volatile  uint32_t*)(0x4220019CUL))
#define bFM_CRG_RST_STR_SRST                      *((volatile  uint32_t*)(0x422001A0UL))
#define bFM0P_CRG_RST_STR_SRST                    *((volatile  uint32_t*)(0x422001A0UL))

#define bFM_CRG_SCM_CTL_HCRE                      *((volatile  uint32_t*)(0x42200000UL))
#define bFM0P_CRG_SCM_CTL_HCRE                    *((volatile  uint32_t*)(0x42200000UL))
#define bFM_CRG_SCM_CTL_MOSCE                     *((volatile  uint32_t*)(0x42200004UL))
#define bFM0P_CRG_SCM_CTL_MOSCE                   *((volatile  uint32_t*)(0x42200004UL))
#define bFM_CRG_SCM_CTL_SOSCE                     *((volatile  uint32_t*)(0x4220000CUL))
#define bFM0P_CRG_SCM_CTL_SOSCE                   *((volatile  uint32_t*)(0x4220000CUL))
#define bFM_CRG_SCM_CTL_PLLE                      *((volatile  uint32_t*)(0x42200010UL))
#define bFM0P_CRG_SCM_CTL_PLLE                    *((volatile  uint32_t*)(0x42200010UL))

#define bFM_CRG_SCM_STR_HCRDY                     *((volatile  uint32_t*)(0x42200080UL))
#define bFM0P_CRG_SCM_STR_HCRDY                   *((volatile  uint32_t*)(0x42200080UL))
#define bFM_CRG_SCM_STR_MORDY                     *((volatile  uint32_t*)(0x42200084UL))
#define bFM0P_CRG_SCM_STR_MORDY                   *((volatile  uint32_t*)(0x42200084UL))
#define bFM_CRG_SCM_STR_SORDY                     *((volatile  uint32_t*)(0x4220008CUL))
#define bFM0P_CRG_SCM_STR_SORDY                   *((volatile  uint32_t*)(0x4220008CUL))
#define bFM_CRG_SCM_STR_PLRDY                     *((volatile  uint32_t*)(0x42200090UL))
#define bFM0P_CRG_SCM_STR_PLRDY                   *((volatile  uint32_t*)(0x42200090UL))

#define bFM_CRG_STB_CTL_DSTM                      *((volatile  uint32_t*)(0x42200108UL))
#define bFM0P_CRG_STB_CTL_DSTM                    *((volatile  uint32_t*)(0x42200108UL))
#define bFM_CRG_STB_CTL_SPL                       *((volatile  uint32_t*)(0x42200110UL))
#define bFM0P_CRG_STB_CTL_SPL                     *((volatile  uint32_t*)(0x42200110UL))

#define bFM_CRG_SWC_PSR_TESTB                     *((volatile  uint32_t*)(0x4220041CUL))
#define bFM0P_CRG_SWC_PSR_TESTB                   *((volatile  uint32_t*)(0x4220041CUL))


/******************************************************************************
 ** CRTRIM Registers CRTRIM
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** DS Registers DS
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_DS_CAL_CTL_CALSTART                   *((volatile  uint8_t *)(0x426A4000UL))
#define bFM0P_DS_CAL_CTL_CALSTART                 *((volatile  uint8_t *)(0x426A4000UL))
#define bFM_DS_CAL_CTL_BGRSEL                     *((volatile  uint8_t *)(0x426A4008UL))
#define bFM0P_DS_CAL_CTL_BGRSEL                   *((volatile  uint8_t *)(0x426A4008UL))
#define bFM_DS_CAL_CTL_CALDONE                    *((volatile  uint8_t *)(0x426A400CUL))
#define bFM0P_DS_CAL_CTL_CALDONE                  *((volatile  uint8_t *)(0x426A400CUL))

#define bFM_DS_DEBUG_SW_CTL_DBG_EN                *((volatile  uint8_t *)(0x426B4180UL))
#define bFM0P_DS_DEBUG_SW_CTL_DBG_EN              *((volatile  uint8_t *)(0x426B4180UL))

#define bFM_DS_PMD_CTL_RTCE                       *((volatile  uint8_t *)(0x426B0000UL))
#define bFM0P_DS_PMD_CTL_RTCE                     *((volatile  uint8_t *)(0x426B0000UL))

#define bFM_DS_RCK_CTL_RTCCKE                     *((volatile  uint8_t *)(0x426A2080UL))
#define bFM0P_DS_RCK_CTL_RTCCKE                   *((volatile  uint8_t *)(0x426A2080UL))
#define bFM_DS_RCK_CTL_CECCKE                     *((volatile  uint8_t *)(0x426A2084UL))
#define bFM0P_DS_RCK_CTL_CECCKE                   *((volatile  uint8_t *)(0x426A2084UL))

#define bFM_DS_WIER_WRTCE                         *((volatile  uint8_t *)(0x426B0180UL))
#define bFM0P_DS_WIER_WRTCE                       *((volatile  uint8_t *)(0x426B0180UL))
#define bFM_DS_WIER_WLVDE                         *((volatile  uint8_t *)(0x426B0184UL))
#define bFM0P_DS_WIER_WLVDE                       *((volatile  uint8_t *)(0x426B0184UL))
#define bFM_DS_WIER_WUI1E                         *((volatile  uint8_t *)(0x426B018CUL))
#define bFM0P_DS_WIER_WUI1E                       *((volatile  uint8_t *)(0x426B018CUL))
#define bFM_DS_WIER_WUI2E                         *((volatile  uint8_t *)(0x426B0190UL))
#define bFM0P_DS_WIER_WUI2E                       *((volatile  uint8_t *)(0x426B0190UL))
#define bFM_DS_WIER_WUI3E                         *((volatile  uint8_t *)(0x426B0194UL))
#define bFM0P_DS_WIER_WUI3E                       *((volatile  uint8_t *)(0x426B0194UL))
#define bFM_DS_WIER_WUI4E                         *((volatile  uint8_t *)(0x426B0198UL))
#define bFM0P_DS_WIER_WUI4E                       *((volatile  uint8_t *)(0x426B0198UL))
#define bFM_DS_WIER_WUI5E                         *((volatile  uint8_t *)(0x426B019CUL))
#define bFM0P_DS_WIER_WUI5E                       *((volatile  uint8_t *)(0x426B019CUL))
#define bFM_DS_WIER_WCEC0E                        *((volatile  uint8_t *)(0x426B01A0UL))
#define bFM0P_DS_WIER_WCEC0E                      *((volatile  uint8_t *)(0x426B01A0UL))
#define bFM_DS_WIER_WCEC1E                        *((volatile  uint8_t *)(0x426B01A4UL))
#define bFM0P_DS_WIER_WCEC1E                      *((volatile  uint8_t *)(0x426B01A4UL))
#define bFM_DS_WIER_WUI6E                         *((volatile  uint8_t *)(0x426B01A8UL))
#define bFM0P_DS_WIER_WUI6E                       *((volatile  uint8_t *)(0x426B01A8UL))
#define bFM_DS_WIER_WUI7E                         *((volatile  uint8_t *)(0x426B01ACUL))
#define bFM0P_DS_WIER_WUI7E                       *((volatile  uint8_t *)(0x426B01ACUL))
#define bFM_DS_WIER_WUI8E                         *((volatile  uint8_t *)(0x426B01B0UL))
#define bFM0P_DS_WIER_WUI8E                       *((volatile  uint8_t *)(0x426B01B0UL))
#define bFM_DS_WIER_WUI9E                         *((volatile  uint8_t *)(0x426B01B4UL))
#define bFM0P_DS_WIER_WUI9E                       *((volatile  uint8_t *)(0x426B01B4UL))
#define bFM_DS_WIER_WUI10E                        *((volatile  uint8_t *)(0x426B01B8UL))
#define bFM0P_DS_WIER_WUI10E                      *((volatile  uint8_t *)(0x426B01B8UL))
#define bFM_DS_WIER_WUI11E                        *((volatile  uint8_t *)(0x426B01BCUL))
#define bFM0P_DS_WIER_WUI11E                      *((volatile  uint8_t *)(0x426B01BCUL))

#define bFM_DS_WIFSR_WRTCI                        *((volatile  uint8_t *)(0x426B0100UL))
#define bFM0P_DS_WIFSR_WRTCI                      *((volatile  uint8_t *)(0x426B0100UL))
#define bFM_DS_WIFSR_WLVDI                        *((volatile  uint8_t *)(0x426B0104UL))
#define bFM0P_DS_WIFSR_WLVDI                      *((volatile  uint8_t *)(0x426B0104UL))
#define bFM_DS_WIFSR_WUI0                         *((volatile  uint8_t *)(0x426B0108UL))
#define bFM0P_DS_WIFSR_WUI0                       *((volatile  uint8_t *)(0x426B0108UL))
#define bFM_DS_WIFSR_WUI1                         *((volatile  uint8_t *)(0x426B010CUL))
#define bFM0P_DS_WIFSR_WUI1                       *((volatile  uint8_t *)(0x426B010CUL))
#define bFM_DS_WIFSR_WUI2                         *((volatile  uint8_t *)(0x426B0110UL))
#define bFM0P_DS_WIFSR_WUI2                       *((volatile  uint8_t *)(0x426B0110UL))
#define bFM_DS_WIFSR_WUI3                         *((volatile  uint8_t *)(0x426B0114UL))
#define bFM0P_DS_WIFSR_WUI3                       *((volatile  uint8_t *)(0x426B0114UL))
#define bFM_DS_WIFSR_WUI4                         *((volatile  uint8_t *)(0x426B0118UL))
#define bFM0P_DS_WIFSR_WUI4                       *((volatile  uint8_t *)(0x426B0118UL))
#define bFM_DS_WIFSR_WUI5                         *((volatile  uint8_t *)(0x426B011CUL))
#define bFM0P_DS_WIFSR_WUI5                       *((volatile  uint8_t *)(0x426B011CUL))
#define bFM_DS_WIFSR_WCEC0I                       *((volatile  uint8_t *)(0x426B0120UL))
#define bFM0P_DS_WIFSR_WCEC0I                     *((volatile  uint8_t *)(0x426B0120UL))
#define bFM_DS_WIFSR_WCEC1I                       *((volatile  uint8_t *)(0x426B0124UL))
#define bFM0P_DS_WIFSR_WCEC1I                     *((volatile  uint8_t *)(0x426B0124UL))
#define bFM_DS_WIFSR_WUI6                         *((volatile  uint8_t *)(0x426B0128UL))
#define bFM0P_DS_WIFSR_WUI6                       *((volatile  uint8_t *)(0x426B0128UL))
#define bFM_DS_WIFSR_WUI7                         *((volatile  uint8_t *)(0x426B012CUL))
#define bFM0P_DS_WIFSR_WUI7                       *((volatile  uint8_t *)(0x426B012CUL))
#define bFM_DS_WIFSR_WUI8                         *((volatile  uint8_t *)(0x426B0130UL))
#define bFM0P_DS_WIFSR_WUI8                       *((volatile  uint8_t *)(0x426B0130UL))
#define bFM_DS_WIFSR_WUI9                         *((volatile  uint8_t *)(0x426B0134UL))
#define bFM0P_DS_WIFSR_WUI9                       *((volatile  uint8_t *)(0x426B0134UL))
#define bFM_DS_WIFSR_WUI10                        *((volatile  uint8_t *)(0x426B0138UL))
#define bFM0P_DS_WIFSR_WUI10                      *((volatile  uint8_t *)(0x426B0138UL))
#define bFM_DS_WIFSR_WUI11                        *((volatile  uint8_t *)(0x426B013CUL))
#define bFM0P_DS_WIFSR_WUI11                      *((volatile  uint8_t *)(0x426B013CUL))

#define bFM_DS_WILVR_WUI1LV                       *((volatile  uint8_t *)(0x426B0200UL))
#define bFM0P_DS_WILVR_WUI1LV                     *((volatile  uint8_t *)(0x426B0200UL))
#define bFM_DS_WILVR_WUI2LV                       *((volatile  uint8_t *)(0x426B0204UL))
#define bFM0P_DS_WILVR_WUI2LV                     *((volatile  uint8_t *)(0x426B0204UL))
#define bFM_DS_WILVR_WUI3LV                       *((volatile  uint8_t *)(0x426B0208UL))
#define bFM0P_DS_WILVR_WUI3LV                     *((volatile  uint8_t *)(0x426B0208UL))
#define bFM_DS_WILVR_WUI4LV                       *((volatile  uint8_t *)(0x426B020CUL))
#define bFM0P_DS_WILVR_WUI4LV                     *((volatile  uint8_t *)(0x426B020CUL))
#define bFM_DS_WILVR_WUI5LV                       *((volatile  uint8_t *)(0x426B0210UL))
#define bFM0P_DS_WILVR_WUI5LV                     *((volatile  uint8_t *)(0x426B0210UL))
#define bFM_DS_WILVR_WUI6LV                       *((volatile  uint8_t *)(0x426B0214UL))
#define bFM0P_DS_WILVR_WUI6LV                     *((volatile  uint8_t *)(0x426B0214UL))
#define bFM_DS_WILVR_WUI7LV                       *((volatile  uint8_t *)(0x426B0218UL))
#define bFM0P_DS_WILVR_WUI7LV                     *((volatile  uint8_t *)(0x426B0218UL))
#define bFM_DS_WILVR_WUI8LV                       *((volatile  uint8_t *)(0x426B021CUL))
#define bFM0P_DS_WILVR_WUI8LV                     *((volatile  uint8_t *)(0x426B021CUL))
#define bFM_DS_WILVR_WUI9LV                       *((volatile  uint8_t *)(0x426B0220UL))
#define bFM0P_DS_WILVR_WUI9LV                     *((volatile  uint8_t *)(0x426B0220UL))
#define bFM_DS_WILVR_WUI10LV                      *((volatile  uint8_t *)(0x426B0224UL))
#define bFM0P_DS_WILVR_WUI10LV                    *((volatile  uint8_t *)(0x426B0224UL))
#define bFM_DS_WILVR_WUI11LV                      *((volatile  uint8_t *)(0x426B0228UL))
#define bFM0P_DS_WILVR_WUI11LV                    *((volatile  uint8_t *)(0x426B0228UL))

#define bFM_DS_WIOLC_CTL_LH_CL                    *((volatile  uint8_t *)(0x426B4000UL))
#define bFM0P_DS_WIOLC_CTL_LH_CL                  *((volatile  uint8_t *)(0x426B4000UL))
#define bFM_DS_WIOLC_CTL_CONTX                    *((volatile  uint8_t *)(0x426B4020UL))
#define bFM0P_DS_WIOLC_CTL_CONTX                  *((volatile  uint8_t *)(0x426B4020UL))
#define bFM_DS_WIOLC_CTL_LHX_ST                   *((volatile  uint8_t *)(0x426B4040UL))
#define bFM0P_DS_WIOLC_CTL_LHX_ST                 *((volatile  uint8_t *)(0x426B4040UL))

#define bFM_DS_WRFSR_WINITX                       *((volatile  uint8_t *)(0x426B0080UL))
#define bFM0P_DS_WRFSR_WINITX                     *((volatile  uint8_t *)(0x426B0080UL))
#define bFM_DS_WRFSR_WLVDH                        *((volatile  uint8_t *)(0x426B0084UL))
#define bFM0P_DS_WRFSR_WLVDH                      *((volatile  uint8_t *)(0x426B0084UL))


/******************************************************************************
 ** DSTC Registers DSTC
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_DSTC_CFG_SWINTE                       *((volatile  uint8_t *)(0x42C20120UL))
#define bFM0P_DSTC_CFG_SWINTE                     *((volatile  uint8_t *)(0x42C20120UL))
#define bFM_DSTC_CFG_ERINTE                       *((volatile  uint8_t *)(0x42C20124UL))
#define bFM0P_DSTC_CFG_ERINTE                     *((volatile  uint8_t *)(0x42C20124UL))
#define bFM_DSTC_CFG_RBDIS                        *((volatile  uint8_t *)(0x42C20128UL))
#define bFM0P_DSTC_CFG_RBDIS                      *((volatile  uint8_t *)(0x42C20128UL))
#define bFM_DSTC_CFG_ESTE                         *((volatile  uint8_t *)(0x42C2012CUL))
#define bFM0P_DSTC_CFG_ESTE                       *((volatile  uint8_t *)(0x42C2012CUL))

#define bFM_DSTC_MONERS_DER                       *((volatile  uint8_t *)(0x42C2018CUL))
#define bFM0P_DSTC_MONERS_DER                     *((volatile  uint8_t *)(0x42C2018CUL))
#define bFM_DSTC_MONERS_ESTOP                     *((volatile  uint8_t *)(0x42C20190UL))
#define bFM0P_DSTC_MONERS_ESTOP                   *((volatile  uint8_t *)(0x42C20190UL))
#define bFM_DSTC_MONERS_EHS                       *((volatile  uint8_t *)(0x42C20198UL))
#define bFM0P_DSTC_MONERS_EHS                     *((volatile  uint8_t *)(0x42C20198UL))

#define bFM_DSTC_SWTR_SWREQ                       *((volatile  uint16_t*)(0x42C20178UL))
#define bFM0P_DSTC_SWTR_SWREQ                     *((volatile  uint16_t*)(0x42C20178UL))
#define bFM_DSTC_SWTR_SWST                        *((volatile  uint16_t*)(0x42C2017CUL))
#define bFM0P_DSTC_SWTR_SWST                      *((volatile  uint16_t*)(0x42C2017CUL))


/******************************************************************************
 ** DT Registers DT
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_DT_TIMER1CONTROL_ONESHOT              *((volatile  uint32_t*)(0x422A0100UL))
#define bFM0P_DT_TIMER1CONTROL_ONESHOT            *((volatile  uint32_t*)(0x422A0100UL))
#define bFM_DT_TIMER1CONTROL_TIMERSIZE            *((volatile  uint32_t*)(0x422A0104UL))
#define bFM0P_DT_TIMER1CONTROL_TIMERSIZE          *((volatile  uint32_t*)(0x422A0104UL))
#define bFM_DT_TIMER1CONTROL_INTENABLE            *((volatile  uint32_t*)(0x422A0114UL))
#define bFM0P_DT_TIMER1CONTROL_INTENABLE          *((volatile  uint32_t*)(0x422A0114UL))
#define bFM_DT_TIMER1CONTROL_TIMERMODE            *((volatile  uint32_t*)(0x422A0118UL))
#define bFM0P_DT_TIMER1CONTROL_TIMERMODE          *((volatile  uint32_t*)(0x422A0118UL))
#define bFM_DT_TIMER1CONTROL_TIMEREN              *((volatile  uint32_t*)(0x422A011CUL))
#define bFM0P_DT_TIMER1CONTROL_TIMEREN            *((volatile  uint32_t*)(0x422A011CUL))

#define bFM_DT_TIMER1MIS_TIMER1MIS                *((volatile  uint32_t*)(0x422A0280UL))
#define bFM0P_DT_TIMER1MIS_TIMER1MIS              *((volatile  uint32_t*)(0x422A0280UL))

#define bFM_DT_TIMER1RIS_TIMER1RIS                *((volatile  uint32_t*)(0x422A0200UL))
#define bFM0P_DT_TIMER1RIS_TIMER1RIS              *((volatile  uint32_t*)(0x422A0200UL))

#define bFM_DT_TIMER2CONTROL_ONESHOT              *((volatile  uint32_t*)(0x422A0500UL))
#define bFM0P_DT_TIMER2CONTROL_ONESHOT            *((volatile  uint32_t*)(0x422A0500UL))
#define bFM_DT_TIMER2CONTROL_TIMERSIZE            *((volatile  uint32_t*)(0x422A0504UL))
#define bFM0P_DT_TIMER2CONTROL_TIMERSIZE          *((volatile  uint32_t*)(0x422A0504UL))
#define bFM_DT_TIMER2CONTROL_INTENABLE            *((volatile  uint32_t*)(0x422A0514UL))
#define bFM0P_DT_TIMER2CONTROL_INTENABLE          *((volatile  uint32_t*)(0x422A0514UL))
#define bFM_DT_TIMER2CONTROL_TIMERMODE            *((volatile  uint32_t*)(0x422A0518UL))
#define bFM0P_DT_TIMER2CONTROL_TIMERMODE          *((volatile  uint32_t*)(0x422A0518UL))
#define bFM_DT_TIMER2CONTROL_TIMEREN              *((volatile  uint32_t*)(0x422A051CUL))
#define bFM0P_DT_TIMER2CONTROL_TIMEREN            *((volatile  uint32_t*)(0x422A051CUL))

#define bFM_DT_TIMER2MIS_TIMER2MIS                *((volatile  uint32_t*)(0x422A0680UL))
#define bFM0P_DT_TIMER2MIS_TIMER2MIS              *((volatile  uint32_t*)(0x422A0680UL))

#define bFM_DT_TIMER2RIS_TIMER2RIS                *((volatile  uint32_t*)(0x422A0600UL))
#define bFM0P_DT_TIMER2RIS_TIMER2RIS              *((volatile  uint32_t*)(0x422A0600UL))


/******************************************************************************
 ** EXTI Registers EXTI
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_EXTI_EICL_ECL0                        *((volatile  uint8_t *)(0x42600100UL))
#define bFM0P_EXTI_EICL_ECL0                      *((volatile  uint8_t *)(0x42600100UL))
#define bFM_EXTI_EICL_ECL1                        *((volatile  uint8_t *)(0x42600104UL))
#define bFM0P_EXTI_EICL_ECL1                      *((volatile  uint8_t *)(0x42600104UL))
#define bFM_EXTI_EICL_ECL2                        *((volatile  uint8_t *)(0x42600108UL))
#define bFM0P_EXTI_EICL_ECL2                      *((volatile  uint8_t *)(0x42600108UL))
#define bFM_EXTI_EICL_ECL3                        *((volatile  uint8_t *)(0x4260010CUL))
#define bFM0P_EXTI_EICL_ECL3                      *((volatile  uint8_t *)(0x4260010CUL))
#define bFM_EXTI_EICL_ECL4                        *((volatile  uint8_t *)(0x42600110UL))
#define bFM0P_EXTI_EICL_ECL4                      *((volatile  uint8_t *)(0x42600110UL))
#define bFM_EXTI_EICL_ECL5                        *((volatile  uint8_t *)(0x42600114UL))
#define bFM0P_EXTI_EICL_ECL5                      *((volatile  uint8_t *)(0x42600114UL))
#define bFM_EXTI_EICL_ECL6                        *((volatile  uint8_t *)(0x42600118UL))
#define bFM0P_EXTI_EICL_ECL6                      *((volatile  uint8_t *)(0x42600118UL))
#define bFM_EXTI_EICL_ECL7                        *((volatile  uint8_t *)(0x4260011CUL))
#define bFM0P_EXTI_EICL_ECL7                      *((volatile  uint8_t *)(0x4260011CUL))
#define bFM_EXTI_EICL_ECL8                        *((volatile  uint8_t *)(0x42600120UL))
#define bFM0P_EXTI_EICL_ECL8                      *((volatile  uint8_t *)(0x42600120UL))
#define bFM_EXTI_EICL_ECL9                        *((volatile  uint8_t *)(0x42600124UL))
#define bFM0P_EXTI_EICL_ECL9                      *((volatile  uint8_t *)(0x42600124UL))
#define bFM_EXTI_EICL_ECL10                       *((volatile  uint8_t *)(0x42600128UL))
#define bFM0P_EXTI_EICL_ECL10                     *((volatile  uint8_t *)(0x42600128UL))
#define bFM_EXTI_EICL_ECL11                       *((volatile  uint8_t *)(0x4260012CUL))
#define bFM0P_EXTI_EICL_ECL11                     *((volatile  uint8_t *)(0x4260012CUL))
#define bFM_EXTI_EICL_ECL12                       *((volatile  uint8_t *)(0x42600130UL))
#define bFM0P_EXTI_EICL_ECL12                     *((volatile  uint8_t *)(0x42600130UL))
#define bFM_EXTI_EICL_ECL13                       *((volatile  uint8_t *)(0x42600134UL))
#define bFM0P_EXTI_EICL_ECL13                     *((volatile  uint8_t *)(0x42600134UL))
#define bFM_EXTI_EICL_ECL14                       *((volatile  uint8_t *)(0x42600138UL))
#define bFM0P_EXTI_EICL_ECL14                     *((volatile  uint8_t *)(0x42600138UL))
#define bFM_EXTI_EICL_ECL15                       *((volatile  uint8_t *)(0x4260013CUL))
#define bFM0P_EXTI_EICL_ECL15                     *((volatile  uint8_t *)(0x4260013CUL))
#define bFM_EXTI_EICL_ECL16                       *((volatile  uint8_t *)(0x42600140UL))
#define bFM0P_EXTI_EICL_ECL16                     *((volatile  uint8_t *)(0x42600140UL))
#define bFM_EXTI_EICL_ECL17                       *((volatile  uint8_t *)(0x42600144UL))
#define bFM0P_EXTI_EICL_ECL17                     *((volatile  uint8_t *)(0x42600144UL))
#define bFM_EXTI_EICL_ECL18                       *((volatile  uint8_t *)(0x42600148UL))
#define bFM0P_EXTI_EICL_ECL18                     *((volatile  uint8_t *)(0x42600148UL))
#define bFM_EXTI_EICL_ECL19                       *((volatile  uint8_t *)(0x4260014CUL))
#define bFM0P_EXTI_EICL_ECL19                     *((volatile  uint8_t *)(0x4260014CUL))
#define bFM_EXTI_EICL_ECL20                       *((volatile  uint8_t *)(0x42600150UL))
#define bFM0P_EXTI_EICL_ECL20                     *((volatile  uint8_t *)(0x42600150UL))
#define bFM_EXTI_EICL_ECL21                       *((volatile  uint8_t *)(0x42600154UL))
#define bFM0P_EXTI_EICL_ECL21                     *((volatile  uint8_t *)(0x42600154UL))
#define bFM_EXTI_EICL_ECL22                       *((volatile  uint8_t *)(0x42600158UL))
#define bFM0P_EXTI_EICL_ECL22                     *((volatile  uint8_t *)(0x42600158UL))
#define bFM_EXTI_EICL_ECL23                       *((volatile  uint8_t *)(0x4260015CUL))
#define bFM0P_EXTI_EICL_ECL23                     *((volatile  uint8_t *)(0x4260015CUL))
#define bFM_EXTI_EICL_ECL24                       *((volatile  uint8_t *)(0x42600160UL))
#define bFM0P_EXTI_EICL_ECL24                     *((volatile  uint8_t *)(0x42600160UL))
#define bFM_EXTI_EICL_ECL25                       *((volatile  uint8_t *)(0x42600164UL))
#define bFM0P_EXTI_EICL_ECL25                     *((volatile  uint8_t *)(0x42600164UL))
#define bFM_EXTI_EICL_ECL26                       *((volatile  uint8_t *)(0x42600168UL))
#define bFM0P_EXTI_EICL_ECL26                     *((volatile  uint8_t *)(0x42600168UL))
#define bFM_EXTI_EICL_ECL27                       *((volatile  uint8_t *)(0x4260016CUL))
#define bFM0P_EXTI_EICL_ECL27                     *((volatile  uint8_t *)(0x4260016CUL))
#define bFM_EXTI_EICL_ECL28                       *((volatile  uint8_t *)(0x42600170UL))
#define bFM0P_EXTI_EICL_ECL28                     *((volatile  uint8_t *)(0x42600170UL))
#define bFM_EXTI_EICL_ECL29                       *((volatile  uint8_t *)(0x42600174UL))
#define bFM0P_EXTI_EICL_ECL29                     *((volatile  uint8_t *)(0x42600174UL))
#define bFM_EXTI_EICL_ECL30                       *((volatile  uint8_t *)(0x42600178UL))
#define bFM0P_EXTI_EICL_ECL30                     *((volatile  uint8_t *)(0x42600178UL))
#define bFM_EXTI_EICL_ECL31                       *((volatile  uint8_t *)(0x4260017CUL))
#define bFM0P_EXTI_EICL_ECL31                     *((volatile  uint8_t *)(0x4260017CUL))

#define bFM_EXTI_EIRR_ER0                         *((volatile  uint8_t *)(0x42600080UL))
#define bFM0P_EXTI_EIRR_ER0                       *((volatile  uint8_t *)(0x42600080UL))
#define bFM_EXTI_EIRR_ER1                         *((volatile  uint8_t *)(0x42600084UL))
#define bFM0P_EXTI_EIRR_ER1                       *((volatile  uint8_t *)(0x42600084UL))
#define bFM_EXTI_EIRR_ER2                         *((volatile  uint8_t *)(0x42600088UL))
#define bFM0P_EXTI_EIRR_ER2                       *((volatile  uint8_t *)(0x42600088UL))
#define bFM_EXTI_EIRR_ER3                         *((volatile  uint8_t *)(0x4260008CUL))
#define bFM0P_EXTI_EIRR_ER3                       *((volatile  uint8_t *)(0x4260008CUL))
#define bFM_EXTI_EIRR_ER4                         *((volatile  uint8_t *)(0x42600090UL))
#define bFM0P_EXTI_EIRR_ER4                       *((volatile  uint8_t *)(0x42600090UL))
#define bFM_EXTI_EIRR_ER5                         *((volatile  uint8_t *)(0x42600094UL))
#define bFM0P_EXTI_EIRR_ER5                       *((volatile  uint8_t *)(0x42600094UL))
#define bFM_EXTI_EIRR_ER6                         *((volatile  uint8_t *)(0x42600098UL))
#define bFM0P_EXTI_EIRR_ER6                       *((volatile  uint8_t *)(0x42600098UL))
#define bFM_EXTI_EIRR_ER7                         *((volatile  uint8_t *)(0x4260009CUL))
#define bFM0P_EXTI_EIRR_ER7                       *((volatile  uint8_t *)(0x4260009CUL))
#define bFM_EXTI_EIRR_ER8                         *((volatile  uint8_t *)(0x426000A0UL))
#define bFM0P_EXTI_EIRR_ER8                       *((volatile  uint8_t *)(0x426000A0UL))
#define bFM_EXTI_EIRR_ER9                         *((volatile  uint8_t *)(0x426000A4UL))
#define bFM0P_EXTI_EIRR_ER9                       *((volatile  uint8_t *)(0x426000A4UL))
#define bFM_EXTI_EIRR_ER10                        *((volatile  uint8_t *)(0x426000A8UL))
#define bFM0P_EXTI_EIRR_ER10                      *((volatile  uint8_t *)(0x426000A8UL))
#define bFM_EXTI_EIRR_ER11                        *((volatile  uint8_t *)(0x426000ACUL))
#define bFM0P_EXTI_EIRR_ER11                      *((volatile  uint8_t *)(0x426000ACUL))
#define bFM_EXTI_EIRR_ER12                        *((volatile  uint8_t *)(0x426000B0UL))
#define bFM0P_EXTI_EIRR_ER12                      *((volatile  uint8_t *)(0x426000B0UL))
#define bFM_EXTI_EIRR_ER13                        *((volatile  uint8_t *)(0x426000B4UL))
#define bFM0P_EXTI_EIRR_ER13                      *((volatile  uint8_t *)(0x426000B4UL))
#define bFM_EXTI_EIRR_ER14                        *((volatile  uint8_t *)(0x426000B8UL))
#define bFM0P_EXTI_EIRR_ER14                      *((volatile  uint8_t *)(0x426000B8UL))
#define bFM_EXTI_EIRR_ER15                        *((volatile  uint8_t *)(0x426000BCUL))
#define bFM0P_EXTI_EIRR_ER15                      *((volatile  uint8_t *)(0x426000BCUL))
#define bFM_EXTI_EIRR_ER16                        *((volatile  uint8_t *)(0x426000C0UL))
#define bFM0P_EXTI_EIRR_ER16                      *((volatile  uint8_t *)(0x426000C0UL))
#define bFM_EXTI_EIRR_ER17                        *((volatile  uint8_t *)(0x426000C4UL))
#define bFM0P_EXTI_EIRR_ER17                      *((volatile  uint8_t *)(0x426000C4UL))
#define bFM_EXTI_EIRR_ER18                        *((volatile  uint8_t *)(0x426000C8UL))
#define bFM0P_EXTI_EIRR_ER18                      *((volatile  uint8_t *)(0x426000C8UL))
#define bFM_EXTI_EIRR_ER19                        *((volatile  uint8_t *)(0x426000CCUL))
#define bFM0P_EXTI_EIRR_ER19                      *((volatile  uint8_t *)(0x426000CCUL))
#define bFM_EXTI_EIRR_ER20                        *((volatile  uint8_t *)(0x426000D0UL))
#define bFM0P_EXTI_EIRR_ER20                      *((volatile  uint8_t *)(0x426000D0UL))
#define bFM_EXTI_EIRR_ER21                        *((volatile  uint8_t *)(0x426000D4UL))
#define bFM0P_EXTI_EIRR_ER21                      *((volatile  uint8_t *)(0x426000D4UL))
#define bFM_EXTI_EIRR_ER22                        *((volatile  uint8_t *)(0x426000D8UL))
#define bFM0P_EXTI_EIRR_ER22                      *((volatile  uint8_t *)(0x426000D8UL))
#define bFM_EXTI_EIRR_ER23                        *((volatile  uint8_t *)(0x426000DCUL))
#define bFM0P_EXTI_EIRR_ER23                      *((volatile  uint8_t *)(0x426000DCUL))
#define bFM_EXTI_EIRR_ER24                        *((volatile  uint8_t *)(0x426000E0UL))
#define bFM0P_EXTI_EIRR_ER24                      *((volatile  uint8_t *)(0x426000E0UL))
#define bFM_EXTI_EIRR_ER25                        *((volatile  uint8_t *)(0x426000E4UL))
#define bFM0P_EXTI_EIRR_ER25                      *((volatile  uint8_t *)(0x426000E4UL))
#define bFM_EXTI_EIRR_ER26                        *((volatile  uint8_t *)(0x426000E8UL))
#define bFM0P_EXTI_EIRR_ER26                      *((volatile  uint8_t *)(0x426000E8UL))
#define bFM_EXTI_EIRR_ER27                        *((volatile  uint8_t *)(0x426000ECUL))
#define bFM0P_EXTI_EIRR_ER27                      *((volatile  uint8_t *)(0x426000ECUL))
#define bFM_EXTI_EIRR_ER28                        *((volatile  uint8_t *)(0x426000F0UL))
#define bFM0P_EXTI_EIRR_ER28                      *((volatile  uint8_t *)(0x426000F0UL))
#define bFM_EXTI_EIRR_ER29                        *((volatile  uint8_t *)(0x426000F4UL))
#define bFM0P_EXTI_EIRR_ER29                      *((volatile  uint8_t *)(0x426000F4UL))
#define bFM_EXTI_EIRR_ER30                        *((volatile  uint8_t *)(0x426000F8UL))
#define bFM0P_EXTI_EIRR_ER30                      *((volatile  uint8_t *)(0x426000F8UL))
#define bFM_EXTI_EIRR_ER31                        *((volatile  uint8_t *)(0x426000FCUL))
#define bFM0P_EXTI_EIRR_ER31                      *((volatile  uint8_t *)(0x426000FCUL))

#define bFM_EXTI_ELVR_LA0                         *((volatile  uint8_t *)(0x42600180UL))
#define bFM0P_EXTI_ELVR_LA0                       *((volatile  uint8_t *)(0x42600180UL))
#define bFM_EXTI_ELVR_LB0                         *((volatile  uint8_t *)(0x42600184UL))
#define bFM0P_EXTI_ELVR_LB0                       *((volatile  uint8_t *)(0x42600184UL))
#define bFM_EXTI_ELVR_LA1                         *((volatile  uint8_t *)(0x42600188UL))
#define bFM0P_EXTI_ELVR_LA1                       *((volatile  uint8_t *)(0x42600188UL))
#define bFM_EXTI_ELVR_LB1                         *((volatile  uint8_t *)(0x4260018CUL))
#define bFM0P_EXTI_ELVR_LB1                       *((volatile  uint8_t *)(0x4260018CUL))
#define bFM_EXTI_ELVR_LA2                         *((volatile  uint8_t *)(0x42600190UL))
#define bFM0P_EXTI_ELVR_LA2                       *((volatile  uint8_t *)(0x42600190UL))
#define bFM_EXTI_ELVR_LB2                         *((volatile  uint8_t *)(0x42600194UL))
#define bFM0P_EXTI_ELVR_LB2                       *((volatile  uint8_t *)(0x42600194UL))
#define bFM_EXTI_ELVR_LA3                         *((volatile  uint8_t *)(0x42600198UL))
#define bFM0P_EXTI_ELVR_LA3                       *((volatile  uint8_t *)(0x42600198UL))
#define bFM_EXTI_ELVR_LB3                         *((volatile  uint8_t *)(0x4260019CUL))
#define bFM0P_EXTI_ELVR_LB3                       *((volatile  uint8_t *)(0x4260019CUL))
#define bFM_EXTI_ELVR_LA4                         *((volatile  uint8_t *)(0x426001A0UL))
#define bFM0P_EXTI_ELVR_LA4                       *((volatile  uint8_t *)(0x426001A0UL))
#define bFM_EXTI_ELVR_LB4                         *((volatile  uint8_t *)(0x426001A4UL))
#define bFM0P_EXTI_ELVR_LB4                       *((volatile  uint8_t *)(0x426001A4UL))
#define bFM_EXTI_ELVR_LA5                         *((volatile  uint8_t *)(0x426001A8UL))
#define bFM0P_EXTI_ELVR_LA5                       *((volatile  uint8_t *)(0x426001A8UL))
#define bFM_EXTI_ELVR_LB5                         *((volatile  uint8_t *)(0x426001ACUL))
#define bFM0P_EXTI_ELVR_LB5                       *((volatile  uint8_t *)(0x426001ACUL))
#define bFM_EXTI_ELVR_LA6                         *((volatile  uint8_t *)(0x426001B0UL))
#define bFM0P_EXTI_ELVR_LA6                       *((volatile  uint8_t *)(0x426001B0UL))
#define bFM_EXTI_ELVR_LB6                         *((volatile  uint8_t *)(0x426001B4UL))
#define bFM0P_EXTI_ELVR_LB6                       *((volatile  uint8_t *)(0x426001B4UL))
#define bFM_EXTI_ELVR_LA7                         *((volatile  uint8_t *)(0x426001B8UL))
#define bFM0P_EXTI_ELVR_LA7                       *((volatile  uint8_t *)(0x426001B8UL))
#define bFM_EXTI_ELVR_LB7                         *((volatile  uint8_t *)(0x426001BCUL))
#define bFM0P_EXTI_ELVR_LB7                       *((volatile  uint8_t *)(0x426001BCUL))
#define bFM_EXTI_ELVR_LA8                         *((volatile  uint8_t *)(0x426001C0UL))
#define bFM0P_EXTI_ELVR_LA8                       *((volatile  uint8_t *)(0x426001C0UL))
#define bFM_EXTI_ELVR_LB8                         *((volatile  uint8_t *)(0x426001C4UL))
#define bFM0P_EXTI_ELVR_LB8                       *((volatile  uint8_t *)(0x426001C4UL))
#define bFM_EXTI_ELVR_LA9                         *((volatile  uint8_t *)(0x426001C8UL))
#define bFM0P_EXTI_ELVR_LA9                       *((volatile  uint8_t *)(0x426001C8UL))
#define bFM_EXTI_ELVR_LB9                         *((volatile  uint8_t *)(0x426001CCUL))
#define bFM0P_EXTI_ELVR_LB9                       *((volatile  uint8_t *)(0x426001CCUL))
#define bFM_EXTI_ELVR_LA10                        *((volatile  uint8_t *)(0x426001D0UL))
#define bFM0P_EXTI_ELVR_LA10                      *((volatile  uint8_t *)(0x426001D0UL))
#define bFM_EXTI_ELVR_LB10                        *((volatile  uint8_t *)(0x426001D4UL))
#define bFM0P_EXTI_ELVR_LB10                      *((volatile  uint8_t *)(0x426001D4UL))
#define bFM_EXTI_ELVR_LA11                        *((volatile  uint8_t *)(0x426001D8UL))
#define bFM0P_EXTI_ELVR_LA11                      *((volatile  uint8_t *)(0x426001D8UL))
#define bFM_EXTI_ELVR_LB11                        *((volatile  uint8_t *)(0x426001DCUL))
#define bFM0P_EXTI_ELVR_LB11                      *((volatile  uint8_t *)(0x426001DCUL))
#define bFM_EXTI_ELVR_LA12                        *((volatile  uint8_t *)(0x426001E0UL))
#define bFM0P_EXTI_ELVR_LA12                      *((volatile  uint8_t *)(0x426001E0UL))
#define bFM_EXTI_ELVR_LB12                        *((volatile  uint8_t *)(0x426001E4UL))
#define bFM0P_EXTI_ELVR_LB12                      *((volatile  uint8_t *)(0x426001E4UL))
#define bFM_EXTI_ELVR_LA13                        *((volatile  uint8_t *)(0x426001E8UL))
#define bFM0P_EXTI_ELVR_LA13                      *((volatile  uint8_t *)(0x426001E8UL))
#define bFM_EXTI_ELVR_LB13                        *((volatile  uint8_t *)(0x426001ECUL))
#define bFM0P_EXTI_ELVR_LB13                      *((volatile  uint8_t *)(0x426001ECUL))
#define bFM_EXTI_ELVR_LA14                        *((volatile  uint8_t *)(0x426001F0UL))
#define bFM0P_EXTI_ELVR_LA14                      *((volatile  uint8_t *)(0x426001F0UL))
#define bFM_EXTI_ELVR_LB14                        *((volatile  uint8_t *)(0x426001F4UL))
#define bFM0P_EXTI_ELVR_LB14                      *((volatile  uint8_t *)(0x426001F4UL))
#define bFM_EXTI_ELVR_LA15                        *((volatile  uint8_t *)(0x426001F8UL))
#define bFM0P_EXTI_ELVR_LA15                      *((volatile  uint8_t *)(0x426001F8UL))
#define bFM_EXTI_ELVR_LB15                        *((volatile  uint8_t *)(0x426001FCUL))
#define bFM0P_EXTI_ELVR_LB15                      *((volatile  uint8_t *)(0x426001FCUL))

#define bFM_EXTI_ELVR1_LA16                       *((volatile  uint8_t *)(0x42600200UL))
#define bFM0P_EXTI_ELVR1_LA16                     *((volatile  uint8_t *)(0x42600200UL))
#define bFM_EXTI_ELVR1_LB16                       *((volatile  uint8_t *)(0x42600204UL))
#define bFM0P_EXTI_ELVR1_LB16                     *((volatile  uint8_t *)(0x42600204UL))
#define bFM_EXTI_ELVR1_LA17                       *((volatile  uint8_t *)(0x42600208UL))
#define bFM0P_EXTI_ELVR1_LA17                     *((volatile  uint8_t *)(0x42600208UL))
#define bFM_EXTI_ELVR1_LB17                       *((volatile  uint8_t *)(0x4260020CUL))
#define bFM0P_EXTI_ELVR1_LB17                     *((volatile  uint8_t *)(0x4260020CUL))
#define bFM_EXTI_ELVR1_LA18                       *((volatile  uint8_t *)(0x42600210UL))
#define bFM0P_EXTI_ELVR1_LA18                     *((volatile  uint8_t *)(0x42600210UL))
#define bFM_EXTI_ELVR1_LB18                       *((volatile  uint8_t *)(0x42600214UL))
#define bFM0P_EXTI_ELVR1_LB18                     *((volatile  uint8_t *)(0x42600214UL))
#define bFM_EXTI_ELVR1_LA19                       *((volatile  uint8_t *)(0x42600218UL))
#define bFM0P_EXTI_ELVR1_LA19                     *((volatile  uint8_t *)(0x42600218UL))
#define bFM_EXTI_ELVR1_LB19                       *((volatile  uint8_t *)(0x4260021CUL))
#define bFM0P_EXTI_ELVR1_LB19                     *((volatile  uint8_t *)(0x4260021CUL))
#define bFM_EXTI_ELVR1_LA20                       *((volatile  uint8_t *)(0x42600220UL))
#define bFM0P_EXTI_ELVR1_LA20                     *((volatile  uint8_t *)(0x42600220UL))
#define bFM_EXTI_ELVR1_LB20                       *((volatile  uint8_t *)(0x42600224UL))
#define bFM0P_EXTI_ELVR1_LB20                     *((volatile  uint8_t *)(0x42600224UL))
#define bFM_EXTI_ELVR1_LA21                       *((volatile  uint8_t *)(0x42600228UL))
#define bFM0P_EXTI_ELVR1_LA21                     *((volatile  uint8_t *)(0x42600228UL))
#define bFM_EXTI_ELVR1_LB21                       *((volatile  uint8_t *)(0x4260022CUL))
#define bFM0P_EXTI_ELVR1_LB21                     *((volatile  uint8_t *)(0x4260022CUL))
#define bFM_EXTI_ELVR1_LA22                       *((volatile  uint8_t *)(0x42600230UL))
#define bFM0P_EXTI_ELVR1_LA22                     *((volatile  uint8_t *)(0x42600230UL))
#define bFM_EXTI_ELVR1_LB22                       *((volatile  uint8_t *)(0x42600234UL))
#define bFM0P_EXTI_ELVR1_LB22                     *((volatile  uint8_t *)(0x42600234UL))
#define bFM_EXTI_ELVR1_LA23                       *((volatile  uint8_t *)(0x42600238UL))
#define bFM0P_EXTI_ELVR1_LA23                     *((volatile  uint8_t *)(0x42600238UL))
#define bFM_EXTI_ELVR1_LB23                       *((volatile  uint8_t *)(0x4260023CUL))
#define bFM0P_EXTI_ELVR1_LB23                     *((volatile  uint8_t *)(0x4260023CUL))
#define bFM_EXTI_ELVR1_LA24                       *((volatile  uint8_t *)(0x42600240UL))
#define bFM0P_EXTI_ELVR1_LA24                     *((volatile  uint8_t *)(0x42600240UL))
#define bFM_EXTI_ELVR1_LB24                       *((volatile  uint8_t *)(0x42600244UL))
#define bFM0P_EXTI_ELVR1_LB24                     *((volatile  uint8_t *)(0x42600244UL))
#define bFM_EXTI_ELVR1_LA25                       *((volatile  uint8_t *)(0x42600248UL))
#define bFM0P_EXTI_ELVR1_LA25                     *((volatile  uint8_t *)(0x42600248UL))
#define bFM_EXTI_ELVR1_LB25                       *((volatile  uint8_t *)(0x4260024CUL))
#define bFM0P_EXTI_ELVR1_LB25                     *((volatile  uint8_t *)(0x4260024CUL))
#define bFM_EXTI_ELVR1_LA26                       *((volatile  uint8_t *)(0x42600250UL))
#define bFM0P_EXTI_ELVR1_LA26                     *((volatile  uint8_t *)(0x42600250UL))
#define bFM_EXTI_ELVR1_LB26                       *((volatile  uint8_t *)(0x42600254UL))
#define bFM0P_EXTI_ELVR1_LB26                     *((volatile  uint8_t *)(0x42600254UL))
#define bFM_EXTI_ELVR1_LA27                       *((volatile  uint8_t *)(0x42600258UL))
#define bFM0P_EXTI_ELVR1_LA27                     *((volatile  uint8_t *)(0x42600258UL))
#define bFM_EXTI_ELVR1_LB27                       *((volatile  uint8_t *)(0x4260025CUL))
#define bFM0P_EXTI_ELVR1_LB27                     *((volatile  uint8_t *)(0x4260025CUL))
#define bFM_EXTI_ELVR1_LA28                       *((volatile  uint8_t *)(0x42600260UL))
#define bFM0P_EXTI_ELVR1_LA28                     *((volatile  uint8_t *)(0x42600260UL))
#define bFM_EXTI_ELVR1_LB28                       *((volatile  uint8_t *)(0x42600264UL))
#define bFM0P_EXTI_ELVR1_LB28                     *((volatile  uint8_t *)(0x42600264UL))
#define bFM_EXTI_ELVR1_LA29                       *((volatile  uint8_t *)(0x42600268UL))
#define bFM0P_EXTI_ELVR1_LA29                     *((volatile  uint8_t *)(0x42600268UL))
#define bFM_EXTI_ELVR1_LB29                       *((volatile  uint8_t *)(0x4260026CUL))
#define bFM0P_EXTI_ELVR1_LB29                     *((volatile  uint8_t *)(0x4260026CUL))
#define bFM_EXTI_ELVR1_LA30                       *((volatile  uint8_t *)(0x42600270UL))
#define bFM0P_EXTI_ELVR1_LA30                     *((volatile  uint8_t *)(0x42600270UL))
#define bFM_EXTI_ELVR1_LB30                       *((volatile  uint8_t *)(0x42600274UL))
#define bFM0P_EXTI_ELVR1_LB30                     *((volatile  uint8_t *)(0x42600274UL))
#define bFM_EXTI_ELVR1_LA31                       *((volatile  uint8_t *)(0x42600278UL))
#define bFM0P_EXTI_ELVR1_LA31                     *((volatile  uint8_t *)(0x42600278UL))
#define bFM_EXTI_ELVR1_LB31                       *((volatile  uint8_t *)(0x4260027CUL))
#define bFM0P_EXTI_ELVR1_LB31                     *((volatile  uint8_t *)(0x4260027CUL))

#define bFM_EXTI_ELVR2_LC0                        *((volatile  uint8_t *)(0x42600380UL))
#define bFM0P_EXTI_ELVR2_LC0                      *((volatile  uint8_t *)(0x42600380UL))
#define bFM_EXTI_ELVR2_LC1                        *((volatile  uint8_t *)(0x42600384UL))
#define bFM0P_EXTI_ELVR2_LC1                      *((volatile  uint8_t *)(0x42600384UL))
#define bFM_EXTI_ELVR2_LC2                        *((volatile  uint8_t *)(0x42600388UL))
#define bFM0P_EXTI_ELVR2_LC2                      *((volatile  uint8_t *)(0x42600388UL))
#define bFM_EXTI_ELVR2_LC3                        *((volatile  uint8_t *)(0x4260038CUL))
#define bFM0P_EXTI_ELVR2_LC3                      *((volatile  uint8_t *)(0x4260038CUL))
#define bFM_EXTI_ELVR2_LC4                        *((volatile  uint8_t *)(0x42600390UL))
#define bFM0P_EXTI_ELVR2_LC4                      *((volatile  uint8_t *)(0x42600390UL))
#define bFM_EXTI_ELVR2_LC5                        *((volatile  uint8_t *)(0x42600394UL))
#define bFM0P_EXTI_ELVR2_LC5                      *((volatile  uint8_t *)(0x42600394UL))
#define bFM_EXTI_ELVR2_LC6                        *((volatile  uint8_t *)(0x42600398UL))
#define bFM0P_EXTI_ELVR2_LC6                      *((volatile  uint8_t *)(0x42600398UL))
#define bFM_EXTI_ELVR2_LC7                        *((volatile  uint8_t *)(0x4260039CUL))
#define bFM0P_EXTI_ELVR2_LC7                      *((volatile  uint8_t *)(0x4260039CUL))
#define bFM_EXTI_ELVR2_LC8                        *((volatile  uint8_t *)(0x426003A0UL))
#define bFM0P_EXTI_ELVR2_LC8                      *((volatile  uint8_t *)(0x426003A0UL))
#define bFM_EXTI_ELVR2_LC9                        *((volatile  uint8_t *)(0x426003A4UL))
#define bFM0P_EXTI_ELVR2_LC9                      *((volatile  uint8_t *)(0x426003A4UL))
#define bFM_EXTI_ELVR2_LC10                       *((volatile  uint8_t *)(0x426003A8UL))
#define bFM0P_EXTI_ELVR2_LC10                     *((volatile  uint8_t *)(0x426003A8UL))
#define bFM_EXTI_ELVR2_LC11                       *((volatile  uint8_t *)(0x426003ACUL))
#define bFM0P_EXTI_ELVR2_LC11                     *((volatile  uint8_t *)(0x426003ACUL))
#define bFM_EXTI_ELVR2_LC12                       *((volatile  uint8_t *)(0x426003B0UL))
#define bFM0P_EXTI_ELVR2_LC12                     *((volatile  uint8_t *)(0x426003B0UL))
#define bFM_EXTI_ELVR2_LC13                       *((volatile  uint8_t *)(0x426003B4UL))
#define bFM0P_EXTI_ELVR2_LC13                     *((volatile  uint8_t *)(0x426003B4UL))
#define bFM_EXTI_ELVR2_LC14                       *((volatile  uint8_t *)(0x426003B8UL))
#define bFM0P_EXTI_ELVR2_LC14                     *((volatile  uint8_t *)(0x426003B8UL))
#define bFM_EXTI_ELVR2_LC15                       *((volatile  uint8_t *)(0x426003BCUL))
#define bFM0P_EXTI_ELVR2_LC15                     *((volatile  uint8_t *)(0x426003BCUL))
#define bFM_EXTI_ELVR2_LC16                       *((volatile  uint8_t *)(0x426003C0UL))
#define bFM0P_EXTI_ELVR2_LC16                     *((volatile  uint8_t *)(0x426003C0UL))
#define bFM_EXTI_ELVR2_LC17                       *((volatile  uint8_t *)(0x426003C4UL))
#define bFM0P_EXTI_ELVR2_LC17                     *((volatile  uint8_t *)(0x426003C4UL))
#define bFM_EXTI_ELVR2_LC18                       *((volatile  uint8_t *)(0x426003C8UL))
#define bFM0P_EXTI_ELVR2_LC18                     *((volatile  uint8_t *)(0x426003C8UL))
#define bFM_EXTI_ELVR2_LC19                       *((volatile  uint8_t *)(0x426003CCUL))
#define bFM0P_EXTI_ELVR2_LC19                     *((volatile  uint8_t *)(0x426003CCUL))
#define bFM_EXTI_ELVR2_LC20                       *((volatile  uint8_t *)(0x426003D0UL))
#define bFM0P_EXTI_ELVR2_LC20                     *((volatile  uint8_t *)(0x426003D0UL))
#define bFM_EXTI_ELVR2_LC21                       *((volatile  uint8_t *)(0x426003D4UL))
#define bFM0P_EXTI_ELVR2_LC21                     *((volatile  uint8_t *)(0x426003D4UL))
#define bFM_EXTI_ELVR2_LC22                       *((volatile  uint8_t *)(0x426003D8UL))
#define bFM0P_EXTI_ELVR2_LC22                     *((volatile  uint8_t *)(0x426003D8UL))
#define bFM_EXTI_ELVR2_LC23                       *((volatile  uint8_t *)(0x426003DCUL))
#define bFM0P_EXTI_ELVR2_LC23                     *((volatile  uint8_t *)(0x426003DCUL))
#define bFM_EXTI_ELVR2_LC24                       *((volatile  uint8_t *)(0x426003E0UL))
#define bFM0P_EXTI_ELVR2_LC24                     *((volatile  uint8_t *)(0x426003E0UL))
#define bFM_EXTI_ELVR2_LC25                       *((volatile  uint8_t *)(0x426003E4UL))
#define bFM0P_EXTI_ELVR2_LC25                     *((volatile  uint8_t *)(0x426003E4UL))
#define bFM_EXTI_ELVR2_LC26                       *((volatile  uint8_t *)(0x426003E8UL))
#define bFM0P_EXTI_ELVR2_LC26                     *((volatile  uint8_t *)(0x426003E8UL))
#define bFM_EXTI_ELVR2_LC27                       *((volatile  uint8_t *)(0x426003ECUL))
#define bFM0P_EXTI_ELVR2_LC27                     *((volatile  uint8_t *)(0x426003ECUL))
#define bFM_EXTI_ELVR2_LC28                       *((volatile  uint8_t *)(0x426003F0UL))
#define bFM0P_EXTI_ELVR2_LC28                     *((volatile  uint8_t *)(0x426003F0UL))
#define bFM_EXTI_ELVR2_LC29                       *((volatile  uint8_t *)(0x426003F4UL))
#define bFM0P_EXTI_ELVR2_LC29                     *((volatile  uint8_t *)(0x426003F4UL))
#define bFM_EXTI_ELVR2_LC30                       *((volatile  uint8_t *)(0x426003F8UL))
#define bFM0P_EXTI_ELVR2_LC30                     *((volatile  uint8_t *)(0x426003F8UL))
#define bFM_EXTI_ELVR2_LC31                       *((volatile  uint8_t *)(0x426003FCUL))
#define bFM0P_EXTI_ELVR2_LC31                     *((volatile  uint8_t *)(0x426003FCUL))

#define bFM_EXTI_ENIR_EN0                         *((volatile  uint8_t *)(0x42600000UL))
#define bFM0P_EXTI_ENIR_EN0                       *((volatile  uint8_t *)(0x42600000UL))
#define bFM_EXTI_ENIR_EN1                         *((volatile  uint8_t *)(0x42600004UL))
#define bFM0P_EXTI_ENIR_EN1                       *((volatile  uint8_t *)(0x42600004UL))
#define bFM_EXTI_ENIR_EN2                         *((volatile  uint8_t *)(0x42600008UL))
#define bFM0P_EXTI_ENIR_EN2                       *((volatile  uint8_t *)(0x42600008UL))
#define bFM_EXTI_ENIR_EN3                         *((volatile  uint8_t *)(0x4260000CUL))
#define bFM0P_EXTI_ENIR_EN3                       *((volatile  uint8_t *)(0x4260000CUL))
#define bFM_EXTI_ENIR_EN4                         *((volatile  uint8_t *)(0x42600010UL))
#define bFM0P_EXTI_ENIR_EN4                       *((volatile  uint8_t *)(0x42600010UL))
#define bFM_EXTI_ENIR_EN5                         *((volatile  uint8_t *)(0x42600014UL))
#define bFM0P_EXTI_ENIR_EN5                       *((volatile  uint8_t *)(0x42600014UL))
#define bFM_EXTI_ENIR_EN6                         *((volatile  uint8_t *)(0x42600018UL))
#define bFM0P_EXTI_ENIR_EN6                       *((volatile  uint8_t *)(0x42600018UL))
#define bFM_EXTI_ENIR_EN7                         *((volatile  uint8_t *)(0x4260001CUL))
#define bFM0P_EXTI_ENIR_EN7                       *((volatile  uint8_t *)(0x4260001CUL))
#define bFM_EXTI_ENIR_EN8                         *((volatile  uint8_t *)(0x42600020UL))
#define bFM0P_EXTI_ENIR_EN8                       *((volatile  uint8_t *)(0x42600020UL))
#define bFM_EXTI_ENIR_EN9                         *((volatile  uint8_t *)(0x42600024UL))
#define bFM0P_EXTI_ENIR_EN9                       *((volatile  uint8_t *)(0x42600024UL))
#define bFM_EXTI_ENIR_EN10                        *((volatile  uint8_t *)(0x42600028UL))
#define bFM0P_EXTI_ENIR_EN10                      *((volatile  uint8_t *)(0x42600028UL))
#define bFM_EXTI_ENIR_EN11                        *((volatile  uint8_t *)(0x4260002CUL))
#define bFM0P_EXTI_ENIR_EN11                      *((volatile  uint8_t *)(0x4260002CUL))
#define bFM_EXTI_ENIR_EN12                        *((volatile  uint8_t *)(0x42600030UL))
#define bFM0P_EXTI_ENIR_EN12                      *((volatile  uint8_t *)(0x42600030UL))
#define bFM_EXTI_ENIR_EN13                        *((volatile  uint8_t *)(0x42600034UL))
#define bFM0P_EXTI_ENIR_EN13                      *((volatile  uint8_t *)(0x42600034UL))
#define bFM_EXTI_ENIR_EN14                        *((volatile  uint8_t *)(0x42600038UL))
#define bFM0P_EXTI_ENIR_EN14                      *((volatile  uint8_t *)(0x42600038UL))
#define bFM_EXTI_ENIR_EN15                        *((volatile  uint8_t *)(0x4260003CUL))
#define bFM0P_EXTI_ENIR_EN15                      *((volatile  uint8_t *)(0x4260003CUL))
#define bFM_EXTI_ENIR_EN16                        *((volatile  uint8_t *)(0x42600040UL))
#define bFM0P_EXTI_ENIR_EN16                      *((volatile  uint8_t *)(0x42600040UL))
#define bFM_EXTI_ENIR_EN17                        *((volatile  uint8_t *)(0x42600044UL))
#define bFM0P_EXTI_ENIR_EN17                      *((volatile  uint8_t *)(0x42600044UL))
#define bFM_EXTI_ENIR_EN18                        *((volatile  uint8_t *)(0x42600048UL))
#define bFM0P_EXTI_ENIR_EN18                      *((volatile  uint8_t *)(0x42600048UL))
#define bFM_EXTI_ENIR_EN19                        *((volatile  uint8_t *)(0x4260004CUL))
#define bFM0P_EXTI_ENIR_EN19                      *((volatile  uint8_t *)(0x4260004CUL))
#define bFM_EXTI_ENIR_EN20                        *((volatile  uint8_t *)(0x42600050UL))
#define bFM0P_EXTI_ENIR_EN20                      *((volatile  uint8_t *)(0x42600050UL))
#define bFM_EXTI_ENIR_EN21                        *((volatile  uint8_t *)(0x42600054UL))
#define bFM0P_EXTI_ENIR_EN21                      *((volatile  uint8_t *)(0x42600054UL))
#define bFM_EXTI_ENIR_EN22                        *((volatile  uint8_t *)(0x42600058UL))
#define bFM0P_EXTI_ENIR_EN22                      *((volatile  uint8_t *)(0x42600058UL))
#define bFM_EXTI_ENIR_EN23                        *((volatile  uint8_t *)(0x4260005CUL))
#define bFM0P_EXTI_ENIR_EN23                      *((volatile  uint8_t *)(0x4260005CUL))
#define bFM_EXTI_ENIR_EN24                        *((volatile  uint8_t *)(0x42600060UL))
#define bFM0P_EXTI_ENIR_EN24                      *((volatile  uint8_t *)(0x42600060UL))
#define bFM_EXTI_ENIR_EN25                        *((volatile  uint8_t *)(0x42600064UL))
#define bFM0P_EXTI_ENIR_EN25                      *((volatile  uint8_t *)(0x42600064UL))
#define bFM_EXTI_ENIR_EN26                        *((volatile  uint8_t *)(0x42600068UL))
#define bFM0P_EXTI_ENIR_EN26                      *((volatile  uint8_t *)(0x42600068UL))
#define bFM_EXTI_ENIR_EN27                        *((volatile  uint8_t *)(0x4260006CUL))
#define bFM0P_EXTI_ENIR_EN27                      *((volatile  uint8_t *)(0x4260006CUL))
#define bFM_EXTI_ENIR_EN28                        *((volatile  uint8_t *)(0x42600070UL))
#define bFM0P_EXTI_ENIR_EN28                      *((volatile  uint8_t *)(0x42600070UL))
#define bFM_EXTI_ENIR_EN29                        *((volatile  uint8_t *)(0x42600074UL))
#define bFM0P_EXTI_ENIR_EN29                      *((volatile  uint8_t *)(0x42600074UL))
#define bFM_EXTI_ENIR_EN30                        *((volatile  uint8_t *)(0x42600078UL))
#define bFM0P_EXTI_ENIR_EN30                      *((volatile  uint8_t *)(0x42600078UL))
#define bFM_EXTI_ENIR_EN31                        *((volatile  uint8_t *)(0x4260007CUL))
#define bFM0P_EXTI_ENIR_EN31                      *((volatile  uint8_t *)(0x4260007CUL))

#define bFM_EXTI_NMICL_NCL                        *((volatile  uint8_t *)(0x42600300UL))
#define bFM0P_EXTI_NMICL_NCL                      *((volatile  uint8_t *)(0x42600300UL))

#define bFM_EXTI_NMIENR_NE0                       *((volatile  uint8_t *)(0x42600400UL))
#define bFM0P_EXTI_NMIENR_NE0                     *((volatile  uint8_t *)(0x42600400UL))

#define bFM_EXTI_NMIRR_NR                         *((volatile  uint8_t *)(0x42600280UL))
#define bFM0P_EXTI_NMIRR_NR                       *((volatile  uint8_t *)(0x42600280UL))


/******************************************************************************
 ** FASTIO Registers FASTIO
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** FLASH_IF Registers FLASH_IF
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_FLASH_IF_FICLR_RDYC                   *((volatile  uint8_t *)(0x42000500UL))
#define bFM0P_FLASH_IF_FICLR_RDYC                 *((volatile  uint8_t *)(0x42000500UL))
#define bFM_FLASH_IF_FICLR_HANGC                  *((volatile  uint8_t *)(0x42000504UL))
#define bFM0P_FLASH_IF_FICLR_HANGC                *((volatile  uint8_t *)(0x42000504UL))

#define bFM_FLASH_IF_FICR_RDYIE                   *((volatile  uint8_t *)(0x42000400UL))
#define bFM0P_FLASH_IF_FICR_RDYIE                 *((volatile  uint8_t *)(0x42000400UL))
#define bFM_FLASH_IF_FICR_HANGIE                  *((volatile  uint8_t *)(0x42000404UL))
#define bFM0P_FLASH_IF_FICR_HANGIE                *((volatile  uint8_t *)(0x42000404UL))

#define bFM_FLASH_IF_FISR_RDYIF                   *((volatile  uint8_t *)(0x42000480UL))
#define bFM0P_FLASH_IF_FISR_RDYIF                 *((volatile  uint8_t *)(0x42000480UL))
#define bFM_FLASH_IF_FISR_HANGIF                  *((volatile  uint8_t *)(0x42000484UL))
#define bFM0P_FLASH_IF_FISR_HANGIF                *((volatile  uint8_t *)(0x42000484UL))

#define bFM_FLASH_IF_FSTR_RDY                     *((volatile  uint8_t *)(0x42000100UL))
#define bFM0P_FLASH_IF_FSTR_RDY                   *((volatile  uint8_t *)(0x42000100UL))
#define bFM_FLASH_IF_FSTR_HNG                     *((volatile  uint8_t *)(0x42000104UL))
#define bFM0P_FLASH_IF_FSTR_HNG                   *((volatile  uint8_t *)(0x42000104UL))
#define bFM_FLASH_IF_FSTR_CERS                    *((volatile  uint8_t *)(0x42000108UL))
#define bFM0P_FLASH_IF_FSTR_CERS                  *((volatile  uint8_t *)(0x42000108UL))
#define bFM_FLASH_IF_FSTR_ESPS                    *((volatile  uint8_t *)(0x4200010CUL))
#define bFM0P_FLASH_IF_FSTR_ESPS                  *((volatile  uint8_t *)(0x4200010CUL))
#define bFM_FLASH_IF_FSTR_SERS                    *((volatile  uint8_t *)(0x42000110UL))
#define bFM0P_FLASH_IF_FSTR_SERS                  *((volatile  uint8_t *)(0x42000110UL))
#define bFM_FLASH_IF_FSTR_PGMS                    *((volatile  uint8_t *)(0x42000114UL))
#define bFM0P_FLASH_IF_FSTR_PGMS                  *((volatile  uint8_t *)(0x42000114UL))


/******************************************************************************
 ** GPIO Registers GPIO
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_GPIO_ADE_AN00                         *((volatile  uint8_t *)(0x4266A000UL))
#define bFM0P_GPIO_ADE_AN00                       *((volatile  uint8_t *)(0x4266A000UL))
#define bFM_GPIO_ADE_AN01                         *((volatile  uint8_t *)(0x4266A004UL))
#define bFM0P_GPIO_ADE_AN01                       *((volatile  uint8_t *)(0x4266A004UL))
#define bFM_GPIO_ADE_AN02                         *((volatile  uint8_t *)(0x4266A008UL))
#define bFM0P_GPIO_ADE_AN02                       *((volatile  uint8_t *)(0x4266A008UL))
#define bFM_GPIO_ADE_AN03                         *((volatile  uint8_t *)(0x4266A00CUL))
#define bFM0P_GPIO_ADE_AN03                       *((volatile  uint8_t *)(0x4266A00CUL))
#define bFM_GPIO_ADE_AN04                         *((volatile  uint8_t *)(0x4266A010UL))
#define bFM0P_GPIO_ADE_AN04                       *((volatile  uint8_t *)(0x4266A010UL))
#define bFM_GPIO_ADE_AN05                         *((volatile  uint8_t *)(0x4266A014UL))
#define bFM0P_GPIO_ADE_AN05                       *((volatile  uint8_t *)(0x4266A014UL))
#define bFM_GPIO_ADE_AN06                         *((volatile  uint8_t *)(0x4266A018UL))
#define bFM0P_GPIO_ADE_AN06                       *((volatile  uint8_t *)(0x4266A018UL))
#define bFM_GPIO_ADE_AN07                         *((volatile  uint8_t *)(0x4266A01CUL))
#define bFM0P_GPIO_ADE_AN07                       *((volatile  uint8_t *)(0x4266A01CUL))

#define bFM_GPIO_DDR0_P1                          *((volatile  uint8_t *)(0x42664004UL))
#define bFM0P_GPIO_DDR0_P1                        *((volatile  uint8_t *)(0x42664004UL))
#define bFM_GPIO_DDR0_P3                          *((volatile  uint8_t *)(0x4266400CUL))
#define bFM0P_GPIO_DDR0_P3                        *((volatile  uint8_t *)(0x4266400CUL))
#define bFM_GPIO_DDR0_P5                          *((volatile  uint8_t *)(0x42664014UL))
#define bFM0P_GPIO_DDR0_P5                        *((volatile  uint8_t *)(0x42664014UL))
#define bFM_GPIO_DDR0_PF                          *((volatile  uint8_t *)(0x4266403CUL))
#define bFM0P_GPIO_DDR0_PF                        *((volatile  uint8_t *)(0x4266403CUL))

#define bFM_GPIO_DDR1_P0                          *((volatile  uint8_t *)(0x42664080UL))
#define bFM0P_GPIO_DDR1_P0                        *((volatile  uint8_t *)(0x42664080UL))
#define bFM_GPIO_DDR1_P1                          *((volatile  uint8_t *)(0x42664084UL))
#define bFM0P_GPIO_DDR1_P1                        *((volatile  uint8_t *)(0x42664084UL))
#define bFM_GPIO_DDR1_P2                          *((volatile  uint8_t *)(0x42664088UL))
#define bFM0P_GPIO_DDR1_P2                        *((volatile  uint8_t *)(0x42664088UL))
#define bFM_GPIO_DDR1_P3                          *((volatile  uint8_t *)(0x4266408CUL))
#define bFM0P_GPIO_DDR1_P3                        *((volatile  uint8_t *)(0x4266408CUL))
#define bFM_GPIO_DDR1_P4                          *((volatile  uint8_t *)(0x42664090UL))
#define bFM0P_GPIO_DDR1_P4                        *((volatile  uint8_t *)(0x42664090UL))
#define bFM_GPIO_DDR1_P5                          *((volatile  uint8_t *)(0x42664094UL))
#define bFM0P_GPIO_DDR1_P5                        *((volatile  uint8_t *)(0x42664094UL))
#define bFM_GPIO_DDR1_PA                          *((volatile  uint8_t *)(0x426640A8UL))
#define bFM0P_GPIO_DDR1_PA                        *((volatile  uint8_t *)(0x426640A8UL))
#define bFM_GPIO_DDR1_PB                          *((volatile  uint8_t *)(0x426640ACUL))
#define bFM0P_GPIO_DDR1_PB                        *((volatile  uint8_t *)(0x426640ACUL))

#define bFM_GPIO_DDR2_P1                          *((volatile  uint8_t *)(0x42664104UL))
#define bFM0P_GPIO_DDR2_P1                        *((volatile  uint8_t *)(0x42664104UL))
#define bFM_GPIO_DDR2_P2                          *((volatile  uint8_t *)(0x42664108UL))
#define bFM0P_GPIO_DDR2_P2                        *((volatile  uint8_t *)(0x42664108UL))
#define bFM_GPIO_DDR2_P3                          *((volatile  uint8_t *)(0x4266410CUL))
#define bFM0P_GPIO_DDR2_P3                        *((volatile  uint8_t *)(0x4266410CUL))

#define bFM_GPIO_DDR3_P0                          *((volatile  uint8_t *)(0x42664180UL))
#define bFM0P_GPIO_DDR3_P0                        *((volatile  uint8_t *)(0x42664180UL))
#define bFM_GPIO_DDR3_P1                          *((volatile  uint8_t *)(0x42664184UL))
#define bFM0P_GPIO_DDR3_P1                        *((volatile  uint8_t *)(0x42664184UL))
#define bFM_GPIO_DDR3_P2                          *((volatile  uint8_t *)(0x42664188UL))
#define bFM0P_GPIO_DDR3_P2                        *((volatile  uint8_t *)(0x42664188UL))
#define bFM_GPIO_DDR3_P3                          *((volatile  uint8_t *)(0x4266418CUL))
#define bFM0P_GPIO_DDR3_P3                        *((volatile  uint8_t *)(0x4266418CUL))
#define bFM_GPIO_DDR3_P4                          *((volatile  uint8_t *)(0x42664190UL))
#define bFM0P_GPIO_DDR3_P4                        *((volatile  uint8_t *)(0x42664190UL))
#define bFM_GPIO_DDR3_PA                          *((volatile  uint8_t *)(0x426641A8UL))
#define bFM0P_GPIO_DDR3_PA                        *((volatile  uint8_t *)(0x426641A8UL))
#define bFM_GPIO_DDR3_PB                          *((volatile  uint8_t *)(0x426641ACUL))
#define bFM0P_GPIO_DDR3_PB                        *((volatile  uint8_t *)(0x426641ACUL))
#define bFM_GPIO_DDR3_PC                          *((volatile  uint8_t *)(0x426641B0UL))
#define bFM0P_GPIO_DDR3_PC                        *((volatile  uint8_t *)(0x426641B0UL))

#define bFM_GPIO_DDR4_P6                          *((volatile  uint8_t *)(0x42664218UL))
#define bFM0P_GPIO_DDR4_P6                        *((volatile  uint8_t *)(0x42664218UL))
#define bFM_GPIO_DDR4_P7                          *((volatile  uint8_t *)(0x4266421CUL))
#define bFM0P_GPIO_DDR4_P7                        *((volatile  uint8_t *)(0x4266421CUL))
#define bFM_GPIO_DDR4_PC                          *((volatile  uint8_t *)(0x42664230UL))
#define bFM0P_GPIO_DDR4_PC                        *((volatile  uint8_t *)(0x42664230UL))
#define bFM_GPIO_DDR4_PD                          *((volatile  uint8_t *)(0x42664234UL))
#define bFM0P_GPIO_DDR4_PD                        *((volatile  uint8_t *)(0x42664234UL))
#define bFM_GPIO_DDR4_PE                          *((volatile  uint8_t *)(0x42664238UL))
#define bFM0P_GPIO_DDR4_PE                        *((volatile  uint8_t *)(0x42664238UL))

#define bFM_GPIO_DDR5_P0                          *((volatile  uint8_t *)(0x42664280UL))
#define bFM0P_GPIO_DDR5_P0                        *((volatile  uint8_t *)(0x42664280UL))
#define bFM_GPIO_DDR5_P1                          *((volatile  uint8_t *)(0x42664284UL))
#define bFM0P_GPIO_DDR5_P1                        *((volatile  uint8_t *)(0x42664284UL))
#define bFM_GPIO_DDR5_P2                          *((volatile  uint8_t *)(0x42664288UL))
#define bFM0P_GPIO_DDR5_P2                        *((volatile  uint8_t *)(0x42664288UL))
#define bFM_GPIO_DDR5_P3                          *((volatile  uint8_t *)(0x4266428CUL))
#define bFM0P_GPIO_DDR5_P3                        *((volatile  uint8_t *)(0x4266428CUL))

#define bFM_GPIO_DDR6_P0                          *((volatile  uint8_t *)(0x42664300UL))
#define bFM0P_GPIO_DDR6_P0                        *((volatile  uint8_t *)(0x42664300UL))
#define bFM_GPIO_DDR6_P1                          *((volatile  uint8_t *)(0x42664304UL))
#define bFM0P_GPIO_DDR6_P1                        *((volatile  uint8_t *)(0x42664304UL))

#define bFM_GPIO_DDR8_P0                          *((volatile  uint8_t *)(0x42664400UL))
#define bFM0P_GPIO_DDR8_P0                        *((volatile  uint8_t *)(0x42664400UL))
#define bFM_GPIO_DDR8_P1                          *((volatile  uint8_t *)(0x42664404UL))
#define bFM0P_GPIO_DDR8_P1                        *((volatile  uint8_t *)(0x42664404UL))

#define bFM_GPIO_DDRE_P2                          *((volatile  uint8_t *)(0x42664708UL))
#define bFM0P_GPIO_DDRE_P2                        *((volatile  uint8_t *)(0x42664708UL))
#define bFM_GPIO_DDRE_P3                          *((volatile  uint8_t *)(0x4266470CUL))
#define bFM0P_GPIO_DDRE_P3                        *((volatile  uint8_t *)(0x4266470CUL))

#define bFM_GPIO_EPFR00_NMIS                      *((volatile  uint8_t *)(0x4266C000UL))
#define bFM0P_GPIO_EPFR00_NMIS                    *((volatile  uint8_t *)(0x4266C000UL))
#define bFM_GPIO_EPFR00_USBP0E                    *((volatile  uint8_t *)(0x4266C024UL))
#define bFM0P_GPIO_EPFR00_USBP0E                  *((volatile  uint8_t *)(0x4266C024UL))
#define bFM_GPIO_EPFR00_SWDEN                     *((volatile  uint8_t *)(0x4266C040UL))
#define bFM0P_GPIO_EPFR00_SWDEN                   *((volatile  uint8_t *)(0x4266C040UL))

#define bFM_GPIO_EPFR01_DTTI0C                    *((volatile  uint8_t *)(0x4266C0B0UL))
#define bFM0P_GPIO_EPFR01_DTTI0C                  *((volatile  uint8_t *)(0x4266C0B0UL))
#define bFM_GPIO_EPFR01_IGTRG0                    *((volatile  uint8_t *)(0x4266C0B4UL))
#define bFM0P_GPIO_EPFR01_IGTRG0                  *((volatile  uint8_t *)(0x4266C0B4UL))

#define bFM_GPIO_FPOER0_P1                        *((volatile  uint8_t *)(0x42672004UL))
#define bFM0P_GPIO_FPOER0_P1                      *((volatile  uint8_t *)(0x42672004UL))
#define bFM_GPIO_FPOER0_P3                        *((volatile  uint8_t *)(0x4267200CUL))
#define bFM0P_GPIO_FPOER0_P3                      *((volatile  uint8_t *)(0x4267200CUL))
#define bFM_GPIO_FPOER0_P5                        *((volatile  uint8_t *)(0x42672014UL))
#define bFM0P_GPIO_FPOER0_P5                      *((volatile  uint8_t *)(0x42672014UL))
#define bFM_GPIO_FPOER0_PF                        *((volatile  uint8_t *)(0x4267203CUL))
#define bFM0P_GPIO_FPOER0_PF                      *((volatile  uint8_t *)(0x4267203CUL))

#define bFM_GPIO_FPOER1_P0                        *((volatile  uint8_t *)(0x42672080UL))
#define bFM0P_GPIO_FPOER1_P0                      *((volatile  uint8_t *)(0x42672080UL))
#define bFM_GPIO_FPOER1_P1                        *((volatile  uint8_t *)(0x42672084UL))
#define bFM0P_GPIO_FPOER1_P1                      *((volatile  uint8_t *)(0x42672084UL))
#define bFM_GPIO_FPOER1_P2                        *((volatile  uint8_t *)(0x42672088UL))
#define bFM0P_GPIO_FPOER1_P2                      *((volatile  uint8_t *)(0x42672088UL))
#define bFM_GPIO_FPOER1_P3                        *((volatile  uint8_t *)(0x4267208CUL))
#define bFM0P_GPIO_FPOER1_P3                      *((volatile  uint8_t *)(0x4267208CUL))
#define bFM_GPIO_FPOER1_P4                        *((volatile  uint8_t *)(0x42672090UL))
#define bFM0P_GPIO_FPOER1_P4                      *((volatile  uint8_t *)(0x42672090UL))
#define bFM_GPIO_FPOER1_P5                        *((volatile  uint8_t *)(0x42672094UL))
#define bFM0P_GPIO_FPOER1_P5                      *((volatile  uint8_t *)(0x42672094UL))
#define bFM_GPIO_FPOER1_PA                        *((volatile  uint8_t *)(0x426720A8UL))
#define bFM0P_GPIO_FPOER1_PA                      *((volatile  uint8_t *)(0x426720A8UL))
#define bFM_GPIO_FPOER1_PB                        *((volatile  uint8_t *)(0x426720ACUL))
#define bFM0P_GPIO_FPOER1_PB                      *((volatile  uint8_t *)(0x426720ACUL))

#define bFM_GPIO_FPOER2_P1                        *((volatile  uint8_t *)(0x42672104UL))
#define bFM0P_GPIO_FPOER2_P1                      *((volatile  uint8_t *)(0x42672104UL))
#define bFM_GPIO_FPOER2_P2                        *((volatile  uint8_t *)(0x42672108UL))
#define bFM0P_GPIO_FPOER2_P2                      *((volatile  uint8_t *)(0x42672108UL))
#define bFM_GPIO_FPOER2_P3                        *((volatile  uint8_t *)(0x4267210CUL))
#define bFM0P_GPIO_FPOER2_P3                      *((volatile  uint8_t *)(0x4267210CUL))

#define bFM_GPIO_FPOER3_P0                        *((volatile  uint8_t *)(0x42672180UL))
#define bFM0P_GPIO_FPOER3_P0                      *((volatile  uint8_t *)(0x42672180UL))
#define bFM_GPIO_FPOER3_P1                        *((volatile  uint8_t *)(0x42672184UL))
#define bFM0P_GPIO_FPOER3_P1                      *((volatile  uint8_t *)(0x42672184UL))
#define bFM_GPIO_FPOER3_P2                        *((volatile  uint8_t *)(0x42672188UL))
#define bFM0P_GPIO_FPOER3_P2                      *((volatile  uint8_t *)(0x42672188UL))
#define bFM_GPIO_FPOER3_P3                        *((volatile  uint8_t *)(0x4267218CUL))
#define bFM0P_GPIO_FPOER3_P3                      *((volatile  uint8_t *)(0x4267218CUL))
#define bFM_GPIO_FPOER3_P4                        *((volatile  uint8_t *)(0x42672190UL))
#define bFM0P_GPIO_FPOER3_P4                      *((volatile  uint8_t *)(0x42672190UL))
#define bFM_GPIO_FPOER3_PA                        *((volatile  uint8_t *)(0x426721A8UL))
#define bFM0P_GPIO_FPOER3_PA                      *((volatile  uint8_t *)(0x426721A8UL))
#define bFM_GPIO_FPOER3_PB                        *((volatile  uint8_t *)(0x426721ACUL))
#define bFM0P_GPIO_FPOER3_PB                      *((volatile  uint8_t *)(0x426721ACUL))
#define bFM_GPIO_FPOER3_PC                        *((volatile  uint8_t *)(0x426721B0UL))
#define bFM0P_GPIO_FPOER3_PC                      *((volatile  uint8_t *)(0x426721B0UL))

#define bFM_GPIO_FPOER4_P6                        *((volatile  uint8_t *)(0x42672218UL))
#define bFM0P_GPIO_FPOER4_P6                      *((volatile  uint8_t *)(0x42672218UL))
#define bFM_GPIO_FPOER4_P7                        *((volatile  uint8_t *)(0x4267221CUL))
#define bFM0P_GPIO_FPOER4_P7                      *((volatile  uint8_t *)(0x4267221CUL))
#define bFM_GPIO_FPOER4_PC                        *((volatile  uint8_t *)(0x42672230UL))
#define bFM0P_GPIO_FPOER4_PC                      *((volatile  uint8_t *)(0x42672230UL))
#define bFM_GPIO_FPOER4_PD                        *((volatile  uint8_t *)(0x42672234UL))
#define bFM0P_GPIO_FPOER4_PD                      *((volatile  uint8_t *)(0x42672234UL))
#define bFM_GPIO_FPOER4_PE                        *((volatile  uint8_t *)(0x42672238UL))
#define bFM0P_GPIO_FPOER4_PE                      *((volatile  uint8_t *)(0x42672238UL))

#define bFM_GPIO_FPOER5_P0                        *((volatile  uint8_t *)(0x42672280UL))
#define bFM0P_GPIO_FPOER5_P0                      *((volatile  uint8_t *)(0x42672280UL))
#define bFM_GPIO_FPOER5_P1                        *((volatile  uint8_t *)(0x42672284UL))
#define bFM0P_GPIO_FPOER5_P1                      *((volatile  uint8_t *)(0x42672284UL))
#define bFM_GPIO_FPOER5_P2                        *((volatile  uint8_t *)(0x42672288UL))
#define bFM0P_GPIO_FPOER5_P2                      *((volatile  uint8_t *)(0x42672288UL))
#define bFM_GPIO_FPOER5_P3                        *((volatile  uint8_t *)(0x4267228CUL))
#define bFM0P_GPIO_FPOER5_P3                      *((volatile  uint8_t *)(0x4267228CUL))

#define bFM_GPIO_FPOER6_P0                        *((volatile  uint8_t *)(0x42672300UL))
#define bFM0P_GPIO_FPOER6_P0                      *((volatile  uint8_t *)(0x42672300UL))
#define bFM_GPIO_FPOER6_P1                        *((volatile  uint8_t *)(0x42672304UL))
#define bFM0P_GPIO_FPOER6_P1                      *((volatile  uint8_t *)(0x42672304UL))

#define bFM_GPIO_FPOER8_P0                        *((volatile  uint8_t *)(0x42672400UL))
#define bFM0P_GPIO_FPOER8_P0                      *((volatile  uint8_t *)(0x42672400UL))
#define bFM_GPIO_FPOER8_P1                        *((volatile  uint8_t *)(0x42672404UL))
#define bFM0P_GPIO_FPOER8_P1                      *((volatile  uint8_t *)(0x42672404UL))

#define bFM_GPIO_FPOERE_P2                        *((volatile  uint8_t *)(0x42672708UL))
#define bFM0P_GPIO_FPOERE_P2                      *((volatile  uint8_t *)(0x42672708UL))
#define bFM_GPIO_FPOERE_P3                        *((volatile  uint8_t *)(0x4267270CUL))
#define bFM0P_GPIO_FPOERE_P3                      *((volatile  uint8_t *)(0x4267270CUL))

#define bFM_GPIO_LVDIE_LVDIE                      *((volatile  uint8_t *)(0x4266E800UL))
#define bFM0P_GPIO_LVDIE_LVDIE                    *((volatile  uint8_t *)(0x4266E800UL))

#define bFM_GPIO_PCR0_P1                          *((volatile  uint8_t *)(0x42662004UL))
#define bFM0P_GPIO_PCR0_P1                        *((volatile  uint8_t *)(0x42662004UL))
#define bFM_GPIO_PCR0_P3                          *((volatile  uint8_t *)(0x4266200CUL))
#define bFM0P_GPIO_PCR0_P3                        *((volatile  uint8_t *)(0x4266200CUL))
#define bFM_GPIO_PCR0_P5                          *((volatile  uint8_t *)(0x42662014UL))
#define bFM0P_GPIO_PCR0_P5                        *((volatile  uint8_t *)(0x42662014UL))
#define bFM_GPIO_PCR0_PF                          *((volatile  uint8_t *)(0x4266203CUL))
#define bFM0P_GPIO_PCR0_PF                        *((volatile  uint8_t *)(0x4266203CUL))

#define bFM_GPIO_PCR1_P0                          *((volatile  uint8_t *)(0x42662080UL))
#define bFM0P_GPIO_PCR1_P0                        *((volatile  uint8_t *)(0x42662080UL))
#define bFM_GPIO_PCR1_P1                          *((volatile  uint8_t *)(0x42662084UL))
#define bFM0P_GPIO_PCR1_P1                        *((volatile  uint8_t *)(0x42662084UL))
#define bFM_GPIO_PCR1_P2                          *((volatile  uint8_t *)(0x42662088UL))
#define bFM0P_GPIO_PCR1_P2                        *((volatile  uint8_t *)(0x42662088UL))
#define bFM_GPIO_PCR1_P3                          *((volatile  uint8_t *)(0x4266208CUL))
#define bFM0P_GPIO_PCR1_P3                        *((volatile  uint8_t *)(0x4266208CUL))
#define bFM_GPIO_PCR1_P4                          *((volatile  uint8_t *)(0x42662090UL))
#define bFM0P_GPIO_PCR1_P4                        *((volatile  uint8_t *)(0x42662090UL))
#define bFM_GPIO_PCR1_P5                          *((volatile  uint8_t *)(0x42662094UL))
#define bFM0P_GPIO_PCR1_P5                        *((volatile  uint8_t *)(0x42662094UL))
#define bFM_GPIO_PCR1_PA                          *((volatile  uint8_t *)(0x426620A8UL))
#define bFM0P_GPIO_PCR1_PA                        *((volatile  uint8_t *)(0x426620A8UL))
#define bFM_GPIO_PCR1_PB                          *((volatile  uint8_t *)(0x426620ACUL))
#define bFM0P_GPIO_PCR1_PB                        *((volatile  uint8_t *)(0x426620ACUL))

#define bFM_GPIO_PCR2_P1                          *((volatile  uint8_t *)(0x42662104UL))
#define bFM0P_GPIO_PCR2_P1                        *((volatile  uint8_t *)(0x42662104UL))
#define bFM_GPIO_PCR2_P2                          *((volatile  uint8_t *)(0x42662108UL))
#define bFM0P_GPIO_PCR2_P2                        *((volatile  uint8_t *)(0x42662108UL))
#define bFM_GPIO_PCR2_P3                          *((volatile  uint8_t *)(0x4266210CUL))
#define bFM0P_GPIO_PCR2_P3                        *((volatile  uint8_t *)(0x4266210CUL))

#define bFM_GPIO_PCR3_P0                          *((volatile  uint8_t *)(0x42662180UL))
#define bFM0P_GPIO_PCR3_P0                        *((volatile  uint8_t *)(0x42662180UL))
#define bFM_GPIO_PCR3_P1                          *((volatile  uint8_t *)(0x42662184UL))
#define bFM0P_GPIO_PCR3_P1                        *((volatile  uint8_t *)(0x42662184UL))
#define bFM_GPIO_PCR3_P2                          *((volatile  uint8_t *)(0x42662188UL))
#define bFM0P_GPIO_PCR3_P2                        *((volatile  uint8_t *)(0x42662188UL))
#define bFM_GPIO_PCR3_P3                          *((volatile  uint8_t *)(0x4266218CUL))
#define bFM0P_GPIO_PCR3_P3                        *((volatile  uint8_t *)(0x4266218CUL))
#define bFM_GPIO_PCR3_P4                          *((volatile  uint8_t *)(0x42662190UL))
#define bFM0P_GPIO_PCR3_P4                        *((volatile  uint8_t *)(0x42662190UL))
#define bFM_GPIO_PCR3_PA                          *((volatile  uint8_t *)(0x426621A8UL))
#define bFM0P_GPIO_PCR3_PA                        *((volatile  uint8_t *)(0x426621A8UL))
#define bFM_GPIO_PCR3_PB                          *((volatile  uint8_t *)(0x426621ACUL))
#define bFM0P_GPIO_PCR3_PB                        *((volatile  uint8_t *)(0x426621ACUL))
#define bFM_GPIO_PCR3_PC                          *((volatile  uint8_t *)(0x426621B0UL))
#define bFM0P_GPIO_PCR3_PC                        *((volatile  uint8_t *)(0x426621B0UL))

#define bFM_GPIO_PCR4_P6                          *((volatile  uint8_t *)(0x42662218UL))
#define bFM0P_GPIO_PCR4_P6                        *((volatile  uint8_t *)(0x42662218UL))
#define bFM_GPIO_PCR4_P7                          *((volatile  uint8_t *)(0x4266221CUL))
#define bFM0P_GPIO_PCR4_P7                        *((volatile  uint8_t *)(0x4266221CUL))
#define bFM_GPIO_PCR4_PC                          *((volatile  uint8_t *)(0x42662230UL))
#define bFM0P_GPIO_PCR4_PC                        *((volatile  uint8_t *)(0x42662230UL))
#define bFM_GPIO_PCR4_PD                          *((volatile  uint8_t *)(0x42662234UL))
#define bFM0P_GPIO_PCR4_PD                        *((volatile  uint8_t *)(0x42662234UL))
#define bFM_GPIO_PCR4_PE                          *((volatile  uint8_t *)(0x42662238UL))
#define bFM0P_GPIO_PCR4_PE                        *((volatile  uint8_t *)(0x42662238UL))

#define bFM_GPIO_PCR5_P0                          *((volatile  uint8_t *)(0x42662280UL))
#define bFM0P_GPIO_PCR5_P0                        *((volatile  uint8_t *)(0x42662280UL))
#define bFM_GPIO_PCR5_P1                          *((volatile  uint8_t *)(0x42662284UL))
#define bFM0P_GPIO_PCR5_P1                        *((volatile  uint8_t *)(0x42662284UL))
#define bFM_GPIO_PCR5_P2                          *((volatile  uint8_t *)(0x42662288UL))
#define bFM0P_GPIO_PCR5_P2                        *((volatile  uint8_t *)(0x42662288UL))
#define bFM_GPIO_PCR5_P3                          *((volatile  uint8_t *)(0x4266228CUL))
#define bFM0P_GPIO_PCR5_P3                        *((volatile  uint8_t *)(0x4266228CUL))

#define bFM_GPIO_PCR6_P0                          *((volatile  uint8_t *)(0x42662300UL))
#define bFM0P_GPIO_PCR6_P0                        *((volatile  uint8_t *)(0x42662300UL))
#define bFM_GPIO_PCR6_P1                          *((volatile  uint8_t *)(0x42662304UL))
#define bFM0P_GPIO_PCR6_P1                        *((volatile  uint8_t *)(0x42662304UL))

#define bFM_GPIO_PCRE_P2                          *((volatile  uint8_t *)(0x42662708UL))
#define bFM0P_GPIO_PCRE_P2                        *((volatile  uint8_t *)(0x42662708UL))
#define bFM_GPIO_PCRE_P3                          *((volatile  uint8_t *)(0x4266270CUL))
#define bFM0P_GPIO_PCRE_P3                        *((volatile  uint8_t *)(0x4266270CUL))

#define bFM_GPIO_PDIR0_P1                         *((volatile  uint8_t *)(0x42666004UL))
#define bFM0P_GPIO_PDIR0_P1                       *((volatile  uint8_t *)(0x42666004UL))
#define bFM_GPIO_PDIR0_P3                         *((volatile  uint8_t *)(0x4266600CUL))
#define bFM0P_GPIO_PDIR0_P3                       *((volatile  uint8_t *)(0x4266600CUL))
#define bFM_GPIO_PDIR0_P5                         *((volatile  uint8_t *)(0x42666014UL))
#define bFM0P_GPIO_PDIR0_P5                       *((volatile  uint8_t *)(0x42666014UL))
#define bFM_GPIO_PDIR0_PF                         *((volatile  uint8_t *)(0x4266603CUL))
#define bFM0P_GPIO_PDIR0_PF                       *((volatile  uint8_t *)(0x4266603CUL))

#define bFM_GPIO_PDIR1_P0                         *((volatile  uint8_t *)(0x42666080UL))
#define bFM0P_GPIO_PDIR1_P0                       *((volatile  uint8_t *)(0x42666080UL))
#define bFM_GPIO_PDIR1_P1                         *((volatile  uint8_t *)(0x42666084UL))
#define bFM0P_GPIO_PDIR1_P1                       *((volatile  uint8_t *)(0x42666084UL))
#define bFM_GPIO_PDIR1_P2                         *((volatile  uint8_t *)(0x42666088UL))
#define bFM0P_GPIO_PDIR1_P2                       *((volatile  uint8_t *)(0x42666088UL))
#define bFM_GPIO_PDIR1_P3                         *((volatile  uint8_t *)(0x4266608CUL))
#define bFM0P_GPIO_PDIR1_P3                       *((volatile  uint8_t *)(0x4266608CUL))
#define bFM_GPIO_PDIR1_P4                         *((volatile  uint8_t *)(0x42666090UL))
#define bFM0P_GPIO_PDIR1_P4                       *((volatile  uint8_t *)(0x42666090UL))
#define bFM_GPIO_PDIR1_P5                         *((volatile  uint8_t *)(0x42666094UL))
#define bFM0P_GPIO_PDIR1_P5                       *((volatile  uint8_t *)(0x42666094UL))
#define bFM_GPIO_PDIR1_PA                         *((volatile  uint8_t *)(0x426660A8UL))
#define bFM0P_GPIO_PDIR1_PA                       *((volatile  uint8_t *)(0x426660A8UL))
#define bFM_GPIO_PDIR1_PB                         *((volatile  uint8_t *)(0x426660ACUL))
#define bFM0P_GPIO_PDIR1_PB                       *((volatile  uint8_t *)(0x426660ACUL))

#define bFM_GPIO_PDIR2_P1                         *((volatile  uint8_t *)(0x42666104UL))
#define bFM0P_GPIO_PDIR2_P1                       *((volatile  uint8_t *)(0x42666104UL))
#define bFM_GPIO_PDIR2_P2                         *((volatile  uint8_t *)(0x42666108UL))
#define bFM0P_GPIO_PDIR2_P2                       *((volatile  uint8_t *)(0x42666108UL))
#define bFM_GPIO_PDIR2_P3                         *((volatile  uint8_t *)(0x4266610CUL))
#define bFM0P_GPIO_PDIR2_P3                       *((volatile  uint8_t *)(0x4266610CUL))

#define bFM_GPIO_PDIR3_P0                         *((volatile  uint8_t *)(0x42666180UL))
#define bFM0P_GPIO_PDIR3_P0                       *((volatile  uint8_t *)(0x42666180UL))
#define bFM_GPIO_PDIR3_P1                         *((volatile  uint8_t *)(0x42666184UL))
#define bFM0P_GPIO_PDIR3_P1                       *((volatile  uint8_t *)(0x42666184UL))
#define bFM_GPIO_PDIR3_P2                         *((volatile  uint8_t *)(0x42666188UL))
#define bFM0P_GPIO_PDIR3_P2                       *((volatile  uint8_t *)(0x42666188UL))
#define bFM_GPIO_PDIR3_P3                         *((volatile  uint8_t *)(0x4266618CUL))
#define bFM0P_GPIO_PDIR3_P3                       *((volatile  uint8_t *)(0x4266618CUL))
#define bFM_GPIO_PDIR3_P4                         *((volatile  uint8_t *)(0x42666190UL))
#define bFM0P_GPIO_PDIR3_P4                       *((volatile  uint8_t *)(0x42666190UL))
#define bFM_GPIO_PDIR3_PA                         *((volatile  uint8_t *)(0x426661A8UL))
#define bFM0P_GPIO_PDIR3_PA                       *((volatile  uint8_t *)(0x426661A8UL))
#define bFM_GPIO_PDIR3_PB                         *((volatile  uint8_t *)(0x426661ACUL))
#define bFM0P_GPIO_PDIR3_PB                       *((volatile  uint8_t *)(0x426661ACUL))
#define bFM_GPIO_PDIR3_PC                         *((volatile  uint8_t *)(0x426661B0UL))
#define bFM0P_GPIO_PDIR3_PC                       *((volatile  uint8_t *)(0x426661B0UL))

#define bFM_GPIO_PDIR4_P6                         *((volatile  uint8_t *)(0x42666218UL))
#define bFM0P_GPIO_PDIR4_P6                       *((volatile  uint8_t *)(0x42666218UL))
#define bFM_GPIO_PDIR4_P7                         *((volatile  uint8_t *)(0x4266621CUL))
#define bFM0P_GPIO_PDIR4_P7                       *((volatile  uint8_t *)(0x4266621CUL))
#define bFM_GPIO_PDIR4_PC                         *((volatile  uint8_t *)(0x42666230UL))
#define bFM0P_GPIO_PDIR4_PC                       *((volatile  uint8_t *)(0x42666230UL))
#define bFM_GPIO_PDIR4_PD                         *((volatile  uint8_t *)(0x42666234UL))
#define bFM0P_GPIO_PDIR4_PD                       *((volatile  uint8_t *)(0x42666234UL))
#define bFM_GPIO_PDIR4_PE                         *((volatile  uint8_t *)(0x42666238UL))
#define bFM0P_GPIO_PDIR4_PE                       *((volatile  uint8_t *)(0x42666238UL))

#define bFM_GPIO_PDIR5_P0                         *((volatile  uint8_t *)(0x42666280UL))
#define bFM0P_GPIO_PDIR5_P0                       *((volatile  uint8_t *)(0x42666280UL))
#define bFM_GPIO_PDIR5_P1                         *((volatile  uint8_t *)(0x42666284UL))
#define bFM0P_GPIO_PDIR5_P1                       *((volatile  uint8_t *)(0x42666284UL))
#define bFM_GPIO_PDIR5_P2                         *((volatile  uint8_t *)(0x42666288UL))
#define bFM0P_GPIO_PDIR5_P2                       *((volatile  uint8_t *)(0x42666288UL))
#define bFM_GPIO_PDIR5_P3                         *((volatile  uint8_t *)(0x4266628CUL))
#define bFM0P_GPIO_PDIR5_P3                       *((volatile  uint8_t *)(0x4266628CUL))

#define bFM_GPIO_PDIR6_P0                         *((volatile  uint8_t *)(0x42666300UL))
#define bFM0P_GPIO_PDIR6_P0                       *((volatile  uint8_t *)(0x42666300UL))
#define bFM_GPIO_PDIR6_P1                         *((volatile  uint8_t *)(0x42666304UL))
#define bFM0P_GPIO_PDIR6_P1                       *((volatile  uint8_t *)(0x42666304UL))

#define bFM_GPIO_PDIR8_P0                         *((volatile  uint8_t *)(0x42666400UL))
#define bFM0P_GPIO_PDIR8_P0                       *((volatile  uint8_t *)(0x42666400UL))
#define bFM_GPIO_PDIR8_P1                         *((volatile  uint8_t *)(0x42666404UL))
#define bFM0P_GPIO_PDIR8_P1                       *((volatile  uint8_t *)(0x42666404UL))

#define bFM_GPIO_PDIRE_P2                         *((volatile  uint8_t *)(0x42666708UL))
#define bFM0P_GPIO_PDIRE_P2                       *((volatile  uint8_t *)(0x42666708UL))
#define bFM_GPIO_PDIRE_P3                         *((volatile  uint8_t *)(0x4266670CUL))
#define bFM0P_GPIO_PDIRE_P3                       *((volatile  uint8_t *)(0x4266670CUL))

#define bFM_GPIO_PDOR0_P1                         *((volatile  uint8_t *)(0x42668004UL))
#define bFM0P_GPIO_PDOR0_P1                       *((volatile  uint8_t *)(0x42668004UL))
#define bFM_GPIO_PDOR0_P3                         *((volatile  uint8_t *)(0x4266800CUL))
#define bFM0P_GPIO_PDOR0_P3                       *((volatile  uint8_t *)(0x4266800CUL))
#define bFM_GPIO_PDOR0_P5                         *((volatile  uint8_t *)(0x42668014UL))
#define bFM0P_GPIO_PDOR0_P5                       *((volatile  uint8_t *)(0x42668014UL))
#define bFM_GPIO_PDOR0_PF                         *((volatile  uint8_t *)(0x4266803CUL))
#define bFM0P_GPIO_PDOR0_PF                       *((volatile  uint8_t *)(0x4266803CUL))

#define bFM_GPIO_PDOR1_P0                         *((volatile  uint8_t *)(0x42668080UL))
#define bFM0P_GPIO_PDOR1_P0                       *((volatile  uint8_t *)(0x42668080UL))
#define bFM_GPIO_PDOR1_P1                         *((volatile  uint8_t *)(0x42668084UL))
#define bFM0P_GPIO_PDOR1_P1                       *((volatile  uint8_t *)(0x42668084UL))
#define bFM_GPIO_PDOR1_P2                         *((volatile  uint8_t *)(0x42668088UL))
#define bFM0P_GPIO_PDOR1_P2                       *((volatile  uint8_t *)(0x42668088UL))
#define bFM_GPIO_PDOR1_P3                         *((volatile  uint8_t *)(0x4266808CUL))
#define bFM0P_GPIO_PDOR1_P3                       *((volatile  uint8_t *)(0x4266808CUL))
#define bFM_GPIO_PDOR1_P4                         *((volatile  uint8_t *)(0x42668090UL))
#define bFM0P_GPIO_PDOR1_P4                       *((volatile  uint8_t *)(0x42668090UL))
#define bFM_GPIO_PDOR1_P5                         *((volatile  uint8_t *)(0x42668094UL))
#define bFM0P_GPIO_PDOR1_P5                       *((volatile  uint8_t *)(0x42668094UL))
#define bFM_GPIO_PDOR1_PA                         *((volatile  uint8_t *)(0x426680A8UL))
#define bFM0P_GPIO_PDOR1_PA                       *((volatile  uint8_t *)(0x426680A8UL))
#define bFM_GPIO_PDOR1_PB                         *((volatile  uint8_t *)(0x426680ACUL))
#define bFM0P_GPIO_PDOR1_PB                       *((volatile  uint8_t *)(0x426680ACUL))

#define bFM_GPIO_PDOR2_P1                         *((volatile  uint8_t *)(0x42668104UL))
#define bFM0P_GPIO_PDOR2_P1                       *((volatile  uint8_t *)(0x42668104UL))
#define bFM_GPIO_PDOR2_P2                         *((volatile  uint8_t *)(0x42668108UL))
#define bFM0P_GPIO_PDOR2_P2                       *((volatile  uint8_t *)(0x42668108UL))
#define bFM_GPIO_PDOR2_P3                         *((volatile  uint8_t *)(0x4266810CUL))
#define bFM0P_GPIO_PDOR2_P3                       *((volatile  uint8_t *)(0x4266810CUL))

#define bFM_GPIO_PDOR3_P0                         *((volatile  uint8_t *)(0x42668180UL))
#define bFM0P_GPIO_PDOR3_P0                       *((volatile  uint8_t *)(0x42668180UL))
#define bFM_GPIO_PDOR3_P1                         *((volatile  uint8_t *)(0x42668184UL))
#define bFM0P_GPIO_PDOR3_P1                       *((volatile  uint8_t *)(0x42668184UL))
#define bFM_GPIO_PDOR3_P2                         *((volatile  uint8_t *)(0x42668188UL))
#define bFM0P_GPIO_PDOR3_P2                       *((volatile  uint8_t *)(0x42668188UL))
#define bFM_GPIO_PDOR3_P3                         *((volatile  uint8_t *)(0x4266818CUL))
#define bFM0P_GPIO_PDOR3_P3                       *((volatile  uint8_t *)(0x4266818CUL))
#define bFM_GPIO_PDOR3_P4                         *((volatile  uint8_t *)(0x42668190UL))
#define bFM0P_GPIO_PDOR3_P4                       *((volatile  uint8_t *)(0x42668190UL))
#define bFM_GPIO_PDOR3_PA                         *((volatile  uint8_t *)(0x426681A8UL))
#define bFM0P_GPIO_PDOR3_PA                       *((volatile  uint8_t *)(0x426681A8UL))
#define bFM_GPIO_PDOR3_PB                         *((volatile  uint8_t *)(0x426681ACUL))
#define bFM0P_GPIO_PDOR3_PB                       *((volatile  uint8_t *)(0x426681ACUL))
#define bFM_GPIO_PDOR3_PC                         *((volatile  uint8_t *)(0x426681B0UL))
#define bFM0P_GPIO_PDOR3_PC                       *((volatile  uint8_t *)(0x426681B0UL))

#define bFM_GPIO_PDOR4_P6                         *((volatile  uint8_t *)(0x42668218UL))
#define bFM0P_GPIO_PDOR4_P6                       *((volatile  uint8_t *)(0x42668218UL))
#define bFM_GPIO_PDOR4_P7                         *((volatile  uint8_t *)(0x4266821CUL))
#define bFM0P_GPIO_PDOR4_P7                       *((volatile  uint8_t *)(0x4266821CUL))
#define bFM_GPIO_PDOR4_PC                         *((volatile  uint8_t *)(0x42668230UL))
#define bFM0P_GPIO_PDOR4_PC                       *((volatile  uint8_t *)(0x42668230UL))
#define bFM_GPIO_PDOR4_PD                         *((volatile  uint8_t *)(0x42668234UL))
#define bFM0P_GPIO_PDOR4_PD                       *((volatile  uint8_t *)(0x42668234UL))
#define bFM_GPIO_PDOR4_PE                         *((volatile  uint8_t *)(0x42668238UL))
#define bFM0P_GPIO_PDOR4_PE                       *((volatile  uint8_t *)(0x42668238UL))

#define bFM_GPIO_PDOR5_P0                         *((volatile  uint8_t *)(0x42668280UL))
#define bFM0P_GPIO_PDOR5_P0                       *((volatile  uint8_t *)(0x42668280UL))
#define bFM_GPIO_PDOR5_P1                         *((volatile  uint8_t *)(0x42668284UL))
#define bFM0P_GPIO_PDOR5_P1                       *((volatile  uint8_t *)(0x42668284UL))
#define bFM_GPIO_PDOR5_P2                         *((volatile  uint8_t *)(0x42668288UL))
#define bFM0P_GPIO_PDOR5_P2                       *((volatile  uint8_t *)(0x42668288UL))
#define bFM_GPIO_PDOR5_P3                         *((volatile  uint8_t *)(0x4266828CUL))
#define bFM0P_GPIO_PDOR5_P3                       *((volatile  uint8_t *)(0x4266828CUL))

#define bFM_GPIO_PDOR6_P0                         *((volatile  uint8_t *)(0x42668300UL))
#define bFM0P_GPIO_PDOR6_P0                       *((volatile  uint8_t *)(0x42668300UL))
#define bFM_GPIO_PDOR6_P1                         *((volatile  uint8_t *)(0x42668304UL))
#define bFM0P_GPIO_PDOR6_P1                       *((volatile  uint8_t *)(0x42668304UL))

#define bFM_GPIO_PDOR8_P0                         *((volatile  uint8_t *)(0x42668400UL))
#define bFM0P_GPIO_PDOR8_P0                       *((volatile  uint8_t *)(0x42668400UL))
#define bFM_GPIO_PDOR8_P1                         *((volatile  uint8_t *)(0x42668404UL))
#define bFM0P_GPIO_PDOR8_P1                       *((volatile  uint8_t *)(0x42668404UL))

#define bFM_GPIO_PDORE_P2                         *((volatile  uint8_t *)(0x42668708UL))
#define bFM0P_GPIO_PDORE_P2                       *((volatile  uint8_t *)(0x42668708UL))
#define bFM_GPIO_PDORE_P3                         *((volatile  uint8_t *)(0x4266870CUL))
#define bFM0P_GPIO_PDORE_P3                       *((volatile  uint8_t *)(0x4266870CUL))

#define bFM_GPIO_PFR0_P1                          *((volatile  uint8_t *)(0x42660004UL))
#define bFM0P_GPIO_PFR0_P1                        *((volatile  uint8_t *)(0x42660004UL))
#define bFM_GPIO_PFR0_P3                          *((volatile  uint8_t *)(0x4266000CUL))
#define bFM0P_GPIO_PFR0_P3                        *((volatile  uint8_t *)(0x4266000CUL))
#define bFM_GPIO_PFR0_P5                          *((volatile  uint8_t *)(0x42660014UL))
#define bFM0P_GPIO_PFR0_P5                        *((volatile  uint8_t *)(0x42660014UL))
#define bFM_GPIO_PFR0_PF                          *((volatile  uint8_t *)(0x4266003CUL))
#define bFM0P_GPIO_PFR0_PF                        *((volatile  uint8_t *)(0x4266003CUL))

#define bFM_GPIO_PFR1_P0                          *((volatile  uint8_t *)(0x42660080UL))
#define bFM0P_GPIO_PFR1_P0                        *((volatile  uint8_t *)(0x42660080UL))
#define bFM_GPIO_PFR1_P1                          *((volatile  uint8_t *)(0x42660084UL))
#define bFM0P_GPIO_PFR1_P1                        *((volatile  uint8_t *)(0x42660084UL))
#define bFM_GPIO_PFR1_P2                          *((volatile  uint8_t *)(0x42660088UL))
#define bFM0P_GPIO_PFR1_P2                        *((volatile  uint8_t *)(0x42660088UL))
#define bFM_GPIO_PFR1_P3                          *((volatile  uint8_t *)(0x4266008CUL))
#define bFM0P_GPIO_PFR1_P3                        *((volatile  uint8_t *)(0x4266008CUL))
#define bFM_GPIO_PFR1_P4                          *((volatile  uint8_t *)(0x42660090UL))
#define bFM0P_GPIO_PFR1_P4                        *((volatile  uint8_t *)(0x42660090UL))
#define bFM_GPIO_PFR1_P5                          *((volatile  uint8_t *)(0x42660094UL))
#define bFM0P_GPIO_PFR1_P5                        *((volatile  uint8_t *)(0x42660094UL))
#define bFM_GPIO_PFR1_PA                          *((volatile  uint8_t *)(0x426600A8UL))
#define bFM0P_GPIO_PFR1_PA                        *((volatile  uint8_t *)(0x426600A8UL))
#define bFM_GPIO_PFR1_PB                          *((volatile  uint8_t *)(0x426600ACUL))
#define bFM0P_GPIO_PFR1_PB                        *((volatile  uint8_t *)(0x426600ACUL))

#define bFM_GPIO_PFR2_P1                          *((volatile  uint8_t *)(0x42660104UL))
#define bFM0P_GPIO_PFR2_P1                        *((volatile  uint8_t *)(0x42660104UL))
#define bFM_GPIO_PFR2_P2                          *((volatile  uint8_t *)(0x42660108UL))
#define bFM0P_GPIO_PFR2_P2                        *((volatile  uint8_t *)(0x42660108UL))
#define bFM_GPIO_PFR2_P3                          *((volatile  uint8_t *)(0x4266010CUL))
#define bFM0P_GPIO_PFR2_P3                        *((volatile  uint8_t *)(0x4266010CUL))

#define bFM_GPIO_PFR3_P0                          *((volatile  uint8_t *)(0x42660180UL))
#define bFM0P_GPIO_PFR3_P0                        *((volatile  uint8_t *)(0x42660180UL))
#define bFM_GPIO_PFR3_P1                          *((volatile  uint8_t *)(0x42660184UL))
#define bFM0P_GPIO_PFR3_P1                        *((volatile  uint8_t *)(0x42660184UL))
#define bFM_GPIO_PFR3_P2                          *((volatile  uint8_t *)(0x42660188UL))
#define bFM0P_GPIO_PFR3_P2                        *((volatile  uint8_t *)(0x42660188UL))
#define bFM_GPIO_PFR3_P3                          *((volatile  uint8_t *)(0x4266018CUL))
#define bFM0P_GPIO_PFR3_P3                        *((volatile  uint8_t *)(0x4266018CUL))
#define bFM_GPIO_PFR3_P4                          *((volatile  uint8_t *)(0x42660190UL))
#define bFM0P_GPIO_PFR3_P4                        *((volatile  uint8_t *)(0x42660190UL))
#define bFM_GPIO_PFR3_PA                          *((volatile  uint8_t *)(0x426601A8UL))
#define bFM0P_GPIO_PFR3_PA                        *((volatile  uint8_t *)(0x426601A8UL))
#define bFM_GPIO_PFR3_PB                          *((volatile  uint8_t *)(0x426601ACUL))
#define bFM0P_GPIO_PFR3_PB                        *((volatile  uint8_t *)(0x426601ACUL))
#define bFM_GPIO_PFR3_PC                          *((volatile  uint8_t *)(0x426601B0UL))
#define bFM0P_GPIO_PFR3_PC                        *((volatile  uint8_t *)(0x426601B0UL))

#define bFM_GPIO_PFR4_P6                          *((volatile  uint8_t *)(0x42660218UL))
#define bFM0P_GPIO_PFR4_P6                        *((volatile  uint8_t *)(0x42660218UL))
#define bFM_GPIO_PFR4_P7                          *((volatile  uint8_t *)(0x4266021CUL))
#define bFM0P_GPIO_PFR4_P7                        *((volatile  uint8_t *)(0x4266021CUL))
#define bFM_GPIO_PFR4_PC                          *((volatile  uint8_t *)(0x42660230UL))
#define bFM0P_GPIO_PFR4_PC                        *((volatile  uint8_t *)(0x42660230UL))
#define bFM_GPIO_PFR4_PD                          *((volatile  uint8_t *)(0x42660234UL))
#define bFM0P_GPIO_PFR4_PD                        *((volatile  uint8_t *)(0x42660234UL))
#define bFM_GPIO_PFR4_PE                          *((volatile  uint8_t *)(0x42660238UL))
#define bFM0P_GPIO_PFR4_PE                        *((volatile  uint8_t *)(0x42660238UL))

#define bFM_GPIO_PFR5_P0                          *((volatile  uint8_t *)(0x42660280UL))
#define bFM0P_GPIO_PFR5_P0                        *((volatile  uint8_t *)(0x42660280UL))
#define bFM_GPIO_PFR5_P1                          *((volatile  uint8_t *)(0x42660284UL))
#define bFM0P_GPIO_PFR5_P1                        *((volatile  uint8_t *)(0x42660284UL))
#define bFM_GPIO_PFR5_P2                          *((volatile  uint8_t *)(0x42660288UL))
#define bFM0P_GPIO_PFR5_P2                        *((volatile  uint8_t *)(0x42660288UL))
#define bFM_GPIO_PFR5_P3                          *((volatile  uint8_t *)(0x4266028CUL))
#define bFM0P_GPIO_PFR5_P3                        *((volatile  uint8_t *)(0x4266028CUL))

#define bFM_GPIO_PFR6_P0                          *((volatile  uint8_t *)(0x42660300UL))
#define bFM0P_GPIO_PFR6_P0                        *((volatile  uint8_t *)(0x42660300UL))
#define bFM_GPIO_PFR6_P1                          *((volatile  uint8_t *)(0x42660304UL))
#define bFM0P_GPIO_PFR6_P1                        *((volatile  uint8_t *)(0x42660304UL))

#define bFM_GPIO_PFR8_P0                          *((volatile  uint8_t *)(0x42660400UL))
#define bFM0P_GPIO_PFR8_P0                        *((volatile  uint8_t *)(0x42660400UL))
#define bFM_GPIO_PFR8_P1                          *((volatile  uint8_t *)(0x42660404UL))
#define bFM0P_GPIO_PFR8_P1                        *((volatile  uint8_t *)(0x42660404UL))

#define bFM_GPIO_PFRE_P2                          *((volatile  uint8_t *)(0x42660708UL))
#define bFM0P_GPIO_PFRE_P2                        *((volatile  uint8_t *)(0x42660708UL))
#define bFM_GPIO_PFRE_P3                          *((volatile  uint8_t *)(0x4266070CUL))
#define bFM0P_GPIO_PFRE_P3                        *((volatile  uint8_t *)(0x4266070CUL))

#define bFM_GPIO_PZR0_P1                          *((volatile  uint8_t *)(0x4266E004UL))
#define bFM0P_GPIO_PZR0_P1                        *((volatile  uint8_t *)(0x4266E004UL))
#define bFM_GPIO_PZR0_P3                          *((volatile  uint8_t *)(0x4266E00CUL))
#define bFM0P_GPIO_PZR0_P3                        *((volatile  uint8_t *)(0x4266E00CUL))
#define bFM_GPIO_PZR0_P5                          *((volatile  uint8_t *)(0x4266E014UL))
#define bFM0P_GPIO_PZR0_P5                        *((volatile  uint8_t *)(0x4266E014UL))
#define bFM_GPIO_PZR0_PF                          *((volatile  uint8_t *)(0x4266E03CUL))
#define bFM0P_GPIO_PZR0_PF                        *((volatile  uint8_t *)(0x4266E03CUL))

#define bFM_GPIO_PZR1_P0                          *((volatile  uint8_t *)(0x4266E080UL))
#define bFM0P_GPIO_PZR1_P0                        *((volatile  uint8_t *)(0x4266E080UL))
#define bFM_GPIO_PZR1_P1                          *((volatile  uint8_t *)(0x4266E084UL))
#define bFM0P_GPIO_PZR1_P1                        *((volatile  uint8_t *)(0x4266E084UL))
#define bFM_GPIO_PZR1_P2                          *((volatile  uint8_t *)(0x4266E088UL))
#define bFM0P_GPIO_PZR1_P2                        *((volatile  uint8_t *)(0x4266E088UL))
#define bFM_GPIO_PZR1_P3                          *((volatile  uint8_t *)(0x4266E08CUL))
#define bFM0P_GPIO_PZR1_P3                        *((volatile  uint8_t *)(0x4266E08CUL))
#define bFM_GPIO_PZR1_P4                          *((volatile  uint8_t *)(0x4266E090UL))
#define bFM0P_GPIO_PZR1_P4                        *((volatile  uint8_t *)(0x4266E090UL))
#define bFM_GPIO_PZR1_P5                          *((volatile  uint8_t *)(0x4266E094UL))
#define bFM0P_GPIO_PZR1_P5                        *((volatile  uint8_t *)(0x4266E094UL))
#define bFM_GPIO_PZR1_PA                          *((volatile  uint8_t *)(0x4266E0A8UL))
#define bFM0P_GPIO_PZR1_PA                        *((volatile  uint8_t *)(0x4266E0A8UL))
#define bFM_GPIO_PZR1_PB                          *((volatile  uint8_t *)(0x4266E0ACUL))
#define bFM0P_GPIO_PZR1_PB                        *((volatile  uint8_t *)(0x4266E0ACUL))

#define bFM_GPIO_PZR2_P1                          *((volatile  uint8_t *)(0x4266E104UL))
#define bFM0P_GPIO_PZR2_P1                        *((volatile  uint8_t *)(0x4266E104UL))
#define bFM_GPIO_PZR2_P2                          *((volatile  uint8_t *)(0x4266E108UL))
#define bFM0P_GPIO_PZR2_P2                        *((volatile  uint8_t *)(0x4266E108UL))
#define bFM_GPIO_PZR2_P3                          *((volatile  uint8_t *)(0x4266E10CUL))
#define bFM0P_GPIO_PZR2_P3                        *((volatile  uint8_t *)(0x4266E10CUL))

#define bFM_GPIO_PZR3_P0                          *((volatile  uint8_t *)(0x4266E180UL))
#define bFM0P_GPIO_PZR3_P0                        *((volatile  uint8_t *)(0x4266E180UL))
#define bFM_GPIO_PZR3_P1                          *((volatile  uint8_t *)(0x4266E184UL))
#define bFM0P_GPIO_PZR3_P1                        *((volatile  uint8_t *)(0x4266E184UL))
#define bFM_GPIO_PZR3_P2                          *((volatile  uint8_t *)(0x4266E188UL))
#define bFM0P_GPIO_PZR3_P2                        *((volatile  uint8_t *)(0x4266E188UL))
#define bFM_GPIO_PZR3_P3                          *((volatile  uint8_t *)(0x4266E18CUL))
#define bFM0P_GPIO_PZR3_P3                        *((volatile  uint8_t *)(0x4266E18CUL))
#define bFM_GPIO_PZR3_P4                          *((volatile  uint8_t *)(0x4266E190UL))
#define bFM0P_GPIO_PZR3_P4                        *((volatile  uint8_t *)(0x4266E190UL))
#define bFM_GPIO_PZR3_PA                          *((volatile  uint8_t *)(0x4266E1A8UL))
#define bFM0P_GPIO_PZR3_PA                        *((volatile  uint8_t *)(0x4266E1A8UL))
#define bFM_GPIO_PZR3_PB                          *((volatile  uint8_t *)(0x4266E1ACUL))
#define bFM0P_GPIO_PZR3_PB                        *((volatile  uint8_t *)(0x4266E1ACUL))
#define bFM_GPIO_PZR3_PC                          *((volatile  uint8_t *)(0x4266E1B0UL))
#define bFM0P_GPIO_PZR3_PC                        *((volatile  uint8_t *)(0x4266E1B0UL))

#define bFM_GPIO_PZR4_P6                          *((volatile  uint8_t *)(0x4266E218UL))
#define bFM0P_GPIO_PZR4_P6                        *((volatile  uint8_t *)(0x4266E218UL))
#define bFM_GPIO_PZR4_P7                          *((volatile  uint8_t *)(0x4266E21CUL))
#define bFM0P_GPIO_PZR4_P7                        *((volatile  uint8_t *)(0x4266E21CUL))
#define bFM_GPIO_PZR4_PC                          *((volatile  uint8_t *)(0x4266E230UL))
#define bFM0P_GPIO_PZR4_PC                        *((volatile  uint8_t *)(0x4266E230UL))
#define bFM_GPIO_PZR4_PD                          *((volatile  uint8_t *)(0x4266E234UL))
#define bFM0P_GPIO_PZR4_PD                        *((volatile  uint8_t *)(0x4266E234UL))
#define bFM_GPIO_PZR4_PE                          *((volatile  uint8_t *)(0x4266E238UL))
#define bFM0P_GPIO_PZR4_PE                        *((volatile  uint8_t *)(0x4266E238UL))

#define bFM_GPIO_PZR5_P0                          *((volatile  uint8_t *)(0x4266E280UL))
#define bFM0P_GPIO_PZR5_P0                        *((volatile  uint8_t *)(0x4266E280UL))
#define bFM_GPIO_PZR5_P1                          *((volatile  uint8_t *)(0x4266E284UL))
#define bFM0P_GPIO_PZR5_P1                        *((volatile  uint8_t *)(0x4266E284UL))
#define bFM_GPIO_PZR5_P2                          *((volatile  uint8_t *)(0x4266E288UL))
#define bFM0P_GPIO_PZR5_P2                        *((volatile  uint8_t *)(0x4266E288UL))
#define bFM_GPIO_PZR5_P3                          *((volatile  uint8_t *)(0x4266E28CUL))
#define bFM0P_GPIO_PZR5_P3                        *((volatile  uint8_t *)(0x4266E28CUL))

#define bFM_GPIO_PZR6_P0                          *((volatile  uint8_t *)(0x4266E300UL))
#define bFM0P_GPIO_PZR6_P0                        *((volatile  uint8_t *)(0x4266E300UL))
#define bFM_GPIO_PZR6_P1                          *((volatile  uint8_t *)(0x4266E304UL))
#define bFM0P_GPIO_PZR6_P1                        *((volatile  uint8_t *)(0x4266E304UL))

#define bFM_GPIO_PZR8_P0                          *((volatile  uint8_t *)(0x4266E400UL))
#define bFM0P_GPIO_PZR8_P0                        *((volatile  uint8_t *)(0x4266E400UL))
#define bFM_GPIO_PZR8_P1                          *((volatile  uint8_t *)(0x4266E404UL))
#define bFM0P_GPIO_PZR8_P1                        *((volatile  uint8_t *)(0x4266E404UL))

#define bFM_GPIO_PZRE_P2                          *((volatile  uint8_t *)(0x4266E708UL))
#define bFM0P_GPIO_PZRE_P2                        *((volatile  uint8_t *)(0x4266E708UL))
#define bFM_GPIO_PZRE_P3                          *((volatile  uint8_t *)(0x4266E70CUL))
#define bFM0P_GPIO_PZRE_P3                        *((volatile  uint8_t *)(0x4266E70CUL))

#define bFM_GPIO_SPSR_USB0C                       *((volatile  uint8_t *)(0x4266B010UL))
#define bFM0P_GPIO_SPSR_USB0C                     *((volatile  uint8_t *)(0x4266B010UL))


/******************************************************************************
 ** HDMICEC Registers HDMICEC0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_HDMICEC0_RCCKD_CKSEL                  *((volatile  uint16_t*)(0x42680B30UL))
#define bFM0P_HDMICEC0_RCCKD_CKSEL                *((volatile  uint16_t*)(0x42680B30UL))

#define bFM_HDMICEC0_RCCR_EN                      *((volatile  uint8_t *)(0x42680820UL))
#define bFM0P_HDMICEC0_RCCR_EN                    *((volatile  uint8_t *)(0x42680820UL))
#define bFM_HDMICEC0_RCCR_ADRCE                   *((volatile  uint8_t *)(0x4268082CUL))
#define bFM0P_HDMICEC0_RCCR_ADRCE                 *((volatile  uint8_t *)(0x4268082CUL))
#define bFM_HDMICEC0_RCCR_THSEL                   *((volatile  uint8_t *)(0x4268083CUL))
#define bFM0P_HDMICEC0_RCCR_THSEL                 *((volatile  uint8_t *)(0x4268083CUL))

#define bFM_HDMICEC0_RCLE_LES                     *((volatile  uint8_t *)(0x42680C20UL))
#define bFM0P_HDMICEC0_RCLE_LES                   *((volatile  uint8_t *)(0x42680C20UL))
#define bFM_HDMICEC0_RCLE_LEL                     *((volatile  uint8_t *)(0x42680C24UL))
#define bFM0P_HDMICEC0_RCLE_LEL                   *((volatile  uint8_t *)(0x42680C24UL))
#define bFM_HDMICEC0_RCLE_EPE                     *((volatile  uint8_t *)(0x42680C2CUL))
#define bFM0P_HDMICEC0_RCLE_EPE                   *((volatile  uint8_t *)(0x42680C2CUL))
#define bFM_HDMICEC0_RCLE_LESE                    *((volatile  uint8_t *)(0x42680C30UL))
#define bFM0P_HDMICEC0_RCLE_LESE                  *((volatile  uint8_t *)(0x42680C30UL))
#define bFM_HDMICEC0_RCLE_LELE                    *((volatile  uint8_t *)(0x42680C34UL))
#define bFM0P_HDMICEC0_RCLE_LELE                  *((volatile  uint8_t *)(0x42680C34UL))
#define bFM_HDMICEC0_RCLE_LESIE                   *((volatile  uint8_t *)(0x42680C38UL))
#define bFM0P_HDMICEC0_RCLE_LESIE                 *((volatile  uint8_t *)(0x42680C38UL))
#define bFM_HDMICEC0_RCLE_LELIE                   *((volatile  uint8_t *)(0x42680C3CUL))
#define bFM0P_HDMICEC0_RCLE_LELIE                 *((volatile  uint8_t *)(0x42680C3CUL))

#define bFM_HDMICEC0_RCRC_RC                      *((volatile  uint8_t *)(0x42680BA0UL))
#define bFM0P_HDMICEC0_RCRC_RC                    *((volatile  uint8_t *)(0x42680BA0UL))
#define bFM_HDMICEC0_RCRC_RCIE                    *((volatile  uint8_t *)(0x42680BB0UL))
#define bFM0P_HDMICEC0_RCRC_RCIE                  *((volatile  uint8_t *)(0x42680BB0UL))

#define bFM_HDMICEC0_RCST_OVF                     *((volatile  uint8_t *)(0x42680800UL))
#define bFM0P_HDMICEC0_RCST_OVF                   *((volatile  uint8_t *)(0x42680800UL))
#define bFM_HDMICEC0_RCST_EOM                     *((volatile  uint8_t *)(0x42680804UL))
#define bFM0P_HDMICEC0_RCST_EOM                   *((volatile  uint8_t *)(0x42680804UL))
#define bFM_HDMICEC0_RCST_ACK                     *((volatile  uint8_t *)(0x42680808UL))
#define bFM0P_HDMICEC0_RCST_ACK                   *((volatile  uint8_t *)(0x42680808UL))
#define bFM_HDMICEC0_RCST_ST                      *((volatile  uint8_t *)(0x4268080CUL))
#define bFM0P_HDMICEC0_RCST_ST                    *((volatile  uint8_t *)(0x4268080CUL))
#define bFM_HDMICEC0_RCST_OVFSEL                  *((volatile  uint8_t *)(0x42680810UL))
#define bFM0P_HDMICEC0_RCST_OVFSEL                *((volatile  uint8_t *)(0x42680810UL))
#define bFM_HDMICEC0_RCST_OVFIE                   *((volatile  uint8_t *)(0x42680814UL))
#define bFM0P_HDMICEC0_RCST_OVFIE                 *((volatile  uint8_t *)(0x42680814UL))
#define bFM_HDMICEC0_RCST_ACKIE                   *((volatile  uint8_t *)(0x42680818UL))
#define bFM0P_HDMICEC0_RCST_ACKIE                 *((volatile  uint8_t *)(0x42680818UL))
#define bFM_HDMICEC0_RCST_STIE                    *((volatile  uint8_t *)(0x4268081CUL))
#define bFM0P_HDMICEC0_RCST_STIE                  *((volatile  uint8_t *)(0x4268081CUL))

#define bFM_HDMICEC0_TXCTRL_TXEN                  *((volatile  uint8_t *)(0x42680000UL))
#define bFM0P_HDMICEC0_TXCTRL_TXEN                *((volatile  uint8_t *)(0x42680000UL))
#define bFM_HDMICEC0_TXCTRL_START                 *((volatile  uint8_t *)(0x42680008UL))
#define bFM0P_HDMICEC0_TXCTRL_START               *((volatile  uint8_t *)(0x42680008UL))
#define bFM_HDMICEC0_TXCTRL_EOM                   *((volatile  uint8_t *)(0x4268000CUL))
#define bFM0P_HDMICEC0_TXCTRL_EOM                 *((volatile  uint8_t *)(0x4268000CUL))
#define bFM_HDMICEC0_TXCTRL_ITSTEN                *((volatile  uint8_t *)(0x42680010UL))
#define bFM0P_HDMICEC0_TXCTRL_ITSTEN              *((volatile  uint8_t *)(0x42680010UL))
#define bFM_HDMICEC0_TXCTRL_IBREN                 *((volatile  uint8_t *)(0x42680014UL))
#define bFM0P_HDMICEC0_TXCTRL_IBREN               *((volatile  uint8_t *)(0x42680014UL))

#define bFM_HDMICEC0_TXSTS_ACKSV                  *((volatile  uint8_t *)(0x42680100UL))
#define bFM0P_HDMICEC0_TXSTS_ACKSV                *((volatile  uint8_t *)(0x42680100UL))
#define bFM_HDMICEC0_TXSTS_ITST                   *((volatile  uint8_t *)(0x42680110UL))
#define bFM0P_HDMICEC0_TXSTS_ITST                 *((volatile  uint8_t *)(0x42680110UL))
#define bFM_HDMICEC0_TXSTS_IBR                    *((volatile  uint8_t *)(0x42680114UL))
#define bFM0P_HDMICEC0_TXSTS_IBR                  *((volatile  uint8_t *)(0x42680114UL))


/******************************************************************************
 ** HDMICEC Registers HDMICEC1
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_HDMICEC1_RCCKD_CKSEL                  *((volatile  uint16_t*)(0x42682B30UL))
#define bFM0P_HDMICEC1_RCCKD_CKSEL                *((volatile  uint16_t*)(0x42682B30UL))

#define bFM_HDMICEC1_RCCR_EN                      *((volatile  uint8_t *)(0x42682820UL))
#define bFM0P_HDMICEC1_RCCR_EN                    *((volatile  uint8_t *)(0x42682820UL))
#define bFM_HDMICEC1_RCCR_ADRCE                   *((volatile  uint8_t *)(0x4268282CUL))
#define bFM0P_HDMICEC1_RCCR_ADRCE                 *((volatile  uint8_t *)(0x4268282CUL))
#define bFM_HDMICEC1_RCCR_THSEL                   *((volatile  uint8_t *)(0x4268283CUL))
#define bFM0P_HDMICEC1_RCCR_THSEL                 *((volatile  uint8_t *)(0x4268283CUL))

#define bFM_HDMICEC1_RCLE_LES                     *((volatile  uint8_t *)(0x42682C20UL))
#define bFM0P_HDMICEC1_RCLE_LES                   *((volatile  uint8_t *)(0x42682C20UL))
#define bFM_HDMICEC1_RCLE_LEL                     *((volatile  uint8_t *)(0x42682C24UL))
#define bFM0P_HDMICEC1_RCLE_LEL                   *((volatile  uint8_t *)(0x42682C24UL))
#define bFM_HDMICEC1_RCLE_EPE                     *((volatile  uint8_t *)(0x42682C2CUL))
#define bFM0P_HDMICEC1_RCLE_EPE                   *((volatile  uint8_t *)(0x42682C2CUL))
#define bFM_HDMICEC1_RCLE_LESE                    *((volatile  uint8_t *)(0x42682C30UL))
#define bFM0P_HDMICEC1_RCLE_LESE                  *((volatile  uint8_t *)(0x42682C30UL))
#define bFM_HDMICEC1_RCLE_LELE                    *((volatile  uint8_t *)(0x42682C34UL))
#define bFM0P_HDMICEC1_RCLE_LELE                  *((volatile  uint8_t *)(0x42682C34UL))
#define bFM_HDMICEC1_RCLE_LESIE                   *((volatile  uint8_t *)(0x42682C38UL))
#define bFM0P_HDMICEC1_RCLE_LESIE                 *((volatile  uint8_t *)(0x42682C38UL))
#define bFM_HDMICEC1_RCLE_LELIE                   *((volatile  uint8_t *)(0x42682C3CUL))
#define bFM0P_HDMICEC1_RCLE_LELIE                 *((volatile  uint8_t *)(0x42682C3CUL))

#define bFM_HDMICEC1_RCRC_RC                      *((volatile  uint8_t *)(0x42682BA0UL))
#define bFM0P_HDMICEC1_RCRC_RC                    *((volatile  uint8_t *)(0x42682BA0UL))
#define bFM_HDMICEC1_RCRC_RCIE                    *((volatile  uint8_t *)(0x42682BB0UL))
#define bFM0P_HDMICEC1_RCRC_RCIE                  *((volatile  uint8_t *)(0x42682BB0UL))

#define bFM_HDMICEC1_RCST_OVF                     *((volatile  uint8_t *)(0x42682800UL))
#define bFM0P_HDMICEC1_RCST_OVF                   *((volatile  uint8_t *)(0x42682800UL))
#define bFM_HDMICEC1_RCST_EOM                     *((volatile  uint8_t *)(0x42682804UL))
#define bFM0P_HDMICEC1_RCST_EOM                   *((volatile  uint8_t *)(0x42682804UL))
#define bFM_HDMICEC1_RCST_ACK                     *((volatile  uint8_t *)(0x42682808UL))
#define bFM0P_HDMICEC1_RCST_ACK                   *((volatile  uint8_t *)(0x42682808UL))
#define bFM_HDMICEC1_RCST_ST                      *((volatile  uint8_t *)(0x4268280CUL))
#define bFM0P_HDMICEC1_RCST_ST                    *((volatile  uint8_t *)(0x4268280CUL))
#define bFM_HDMICEC1_RCST_OVFSEL                  *((volatile  uint8_t *)(0x42682810UL))
#define bFM0P_HDMICEC1_RCST_OVFSEL                *((volatile  uint8_t *)(0x42682810UL))
#define bFM_HDMICEC1_RCST_OVFIE                   *((volatile  uint8_t *)(0x42682814UL))
#define bFM0P_HDMICEC1_RCST_OVFIE                 *((volatile  uint8_t *)(0x42682814UL))
#define bFM_HDMICEC1_RCST_ACKIE                   *((volatile  uint8_t *)(0x42682818UL))
#define bFM0P_HDMICEC1_RCST_ACKIE                 *((volatile  uint8_t *)(0x42682818UL))
#define bFM_HDMICEC1_RCST_STIE                    *((volatile  uint8_t *)(0x4268281CUL))
#define bFM0P_HDMICEC1_RCST_STIE                  *((volatile  uint8_t *)(0x4268281CUL))

#define bFM_HDMICEC1_TXCTRL_TXEN                  *((volatile  uint8_t *)(0x42682000UL))
#define bFM0P_HDMICEC1_TXCTRL_TXEN                *((volatile  uint8_t *)(0x42682000UL))
#define bFM_HDMICEC1_TXCTRL_START                 *((volatile  uint8_t *)(0x42682008UL))
#define bFM0P_HDMICEC1_TXCTRL_START               *((volatile  uint8_t *)(0x42682008UL))
#define bFM_HDMICEC1_TXCTRL_EOM                   *((volatile  uint8_t *)(0x4268200CUL))
#define bFM0P_HDMICEC1_TXCTRL_EOM                 *((volatile  uint8_t *)(0x4268200CUL))
#define bFM_HDMICEC1_TXCTRL_ITSTEN                *((volatile  uint8_t *)(0x42682010UL))
#define bFM0P_HDMICEC1_TXCTRL_ITSTEN              *((volatile  uint8_t *)(0x42682010UL))
#define bFM_HDMICEC1_TXCTRL_IBREN                 *((volatile  uint8_t *)(0x42682014UL))
#define bFM0P_HDMICEC1_TXCTRL_IBREN               *((volatile  uint8_t *)(0x42682014UL))

#define bFM_HDMICEC1_TXSTS_ACKSV                  *((volatile  uint8_t *)(0x42682100UL))
#define bFM0P_HDMICEC1_TXSTS_ACKSV                *((volatile  uint8_t *)(0x42682100UL))
#define bFM_HDMICEC1_TXSTS_ITST                   *((volatile  uint8_t *)(0x42682110UL))
#define bFM0P_HDMICEC1_TXSTS_ITST                 *((volatile  uint8_t *)(0x42682110UL))
#define bFM_HDMICEC1_TXSTS_IBR                    *((volatile  uint8_t *)(0x42682114UL))
#define bFM0P_HDMICEC1_TXSTS_IBR                  *((volatile  uint8_t *)(0x42682114UL))


/******************************************************************************
 ** HWWDT Registers HWWDT
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_HWWDT_WDG_CTL_INTEN                   *((volatile  uint32_t*)(0x42220100UL))
#define bFM0P_HWWDT_WDG_CTL_INTEN                 *((volatile  uint32_t*)(0x42220100UL))
#define bFM_HWWDT_WDG_CTL_RESEN                   *((volatile  uint32_t*)(0x42220104UL))
#define bFM0P_HWWDT_WDG_CTL_RESEN                 *((volatile  uint32_t*)(0x42220104UL))

#define bFM_HWWDT_WDG_RIS_RIS                     *((volatile  uint32_t*)(0x42220200UL))
#define bFM0P_HWWDT_WDG_RIS_RIS                   *((volatile  uint32_t*)(0x42220200UL))


/******************************************************************************
 ** I2CSLAVE Registers I2CSLAVE
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_I2CSLAVE_IBSADR_SAEN                  *((volatile  uint8_t *)(0x426F309CUL))
#define bFM0P_I2CSLAVE_IBSADR_SAEN                *((volatile  uint8_t *)(0x426F309CUL))

#define bFM_I2CSLAVE_IBSCR_TIE                    *((volatile  uint8_t *)(0x426F3040UL))
#define bFM0P_I2CSLAVE_IBSCR_TIE                  *((volatile  uint8_t *)(0x426F3040UL))
#define bFM_I2CSLAVE_IBSCR_RIE                    *((volatile  uint8_t *)(0x426F3044UL))
#define bFM0P_I2CSLAVE_IBSCR_RIE                  *((volatile  uint8_t *)(0x426F3044UL))
#define bFM_I2CSLAVE_IBSCR_INTE                   *((volatile  uint8_t *)(0x426F3048UL))
#define bFM0P_I2CSLAVE_IBSCR_INTE                 *((volatile  uint8_t *)(0x426F3048UL))
#define bFM_I2CSLAVE_IBSCR_CNDE                   *((volatile  uint8_t *)(0x426F304CUL))
#define bFM0P_I2CSLAVE_IBSCR_CNDE                 *((volatile  uint8_t *)(0x426F304CUL))
#define bFM_I2CSLAVE_IBSCR_WSEL                   *((volatile  uint8_t *)(0x426F3050UL))
#define bFM0P_I2CSLAVE_IBSCR_WSEL                 *((volatile  uint8_t *)(0x426F3050UL))
#define bFM_I2CSLAVE_IBSCR_ACKE                   *((volatile  uint8_t *)(0x426F3054UL))
#define bFM0P_I2CSLAVE_IBSCR_ACKE                 *((volatile  uint8_t *)(0x426F3054UL))
#define bFM_I2CSLAVE_IBSCR_RSVEN                  *((volatile  uint8_t *)(0x426F305CUL))
#define bFM0P_I2CSLAVE_IBSCR_RSVEN                *((volatile  uint8_t *)(0x426F305CUL))

#define bFM_I2CSLAVE_IBSMSKR_EN                   *((volatile  uint8_t *)(0x426F30BCUL))
#define bFM0P_I2CSLAVE_IBSMSKR_EN                 *((volatile  uint8_t *)(0x426F30BCUL))

#define bFM_I2CSLAVE_IBSSCR_SPCC                  *((volatile  uint8_t *)(0x426F3204UL))
#define bFM0P_I2CSLAVE_IBSSCR_SPCC                *((volatile  uint8_t *)(0x426F3204UL))
#define bFM_I2CSLAVE_IBSSCR_RSCC                  *((volatile  uint8_t *)(0x426F3208UL))
#define bFM0P_I2CSLAVE_IBSSCR_RSCC                *((volatile  uint8_t *)(0x426F3208UL))
#define bFM_I2CSLAVE_IBSSCR_INTC                  *((volatile  uint8_t *)(0x426F3228UL))
#define bFM0P_I2CSLAVE_IBSSCR_INTC                *((volatile  uint8_t *)(0x426F3228UL))

#define bFM_I2CSLAVE_IBSSR_BB                     *((volatile  uint8_t *)(0x426F3000UL))
#define bFM0P_I2CSLAVE_IBSSR_BB                   *((volatile  uint8_t *)(0x426F3000UL))
#define bFM_I2CSLAVE_IBSSR_SPC                    *((volatile  uint8_t *)(0x426F3004UL))
#define bFM0P_I2CSLAVE_IBSSR_SPC                  *((volatile  uint8_t *)(0x426F3004UL))
#define bFM_I2CSLAVE_IBSSR_RSC                    *((volatile  uint8_t *)(0x426F3008UL))
#define bFM0P_I2CSLAVE_IBSSR_RSC                  *((volatile  uint8_t *)(0x426F3008UL))
#define bFM_I2CSLAVE_IBSSR_ACT                    *((volatile  uint8_t *)(0x426F300CUL))
#define bFM0P_I2CSLAVE_IBSSR_ACT                  *((volatile  uint8_t *)(0x426F300CUL))
#define bFM_I2CSLAVE_IBSSR_TRX                    *((volatile  uint8_t *)(0x426F3010UL))
#define bFM0P_I2CSLAVE_IBSSR_TRX                  *((volatile  uint8_t *)(0x426F3010UL))
#define bFM_I2CSLAVE_IBSSR_RSA                    *((volatile  uint8_t *)(0x426F3014UL))
#define bFM0P_I2CSLAVE_IBSSR_RSA                  *((volatile  uint8_t *)(0x426F3014UL))
#define bFM_I2CSLAVE_IBSSR_RACK                   *((volatile  uint8_t *)(0x426F3018UL))
#define bFM0P_I2CSLAVE_IBSSR_RACK                 *((volatile  uint8_t *)(0x426F3018UL))
#define bFM_I2CSLAVE_IBSSR_FBT                    *((volatile  uint8_t *)(0x426F301CUL))
#define bFM0P_I2CSLAVE_IBSSR_FBT                  *((volatile  uint8_t *)(0x426F301CUL))
#define bFM_I2CSLAVE_IBSSR_TDRE                   *((volatile  uint8_t *)(0x426F3020UL))
#define bFM0P_I2CSLAVE_IBSSR_TDRE                 *((volatile  uint8_t *)(0x426F3020UL))
#define bFM_I2CSLAVE_IBSSR_RDRF                   *((volatile  uint8_t *)(0x426F3024UL))
#define bFM0P_I2CSLAVE_IBSSR_RDRF                 *((volatile  uint8_t *)(0x426F3024UL))
#define bFM_I2CSLAVE_IBSSR_INT                    *((volatile  uint8_t *)(0x426F3028UL))
#define bFM0P_I2CSLAVE_IBSSR_INT                  *((volatile  uint8_t *)(0x426F3028UL))

#define bFM_I2CSLAVE_IBSSSR_TDRES                 *((volatile  uint8_t *)(0x426F32A0UL))
#define bFM0P_I2CSLAVE_IBSSSR_TDRES               *((volatile  uint8_t *)(0x426F32A0UL))


/******************************************************************************
 ** INTREQ Registers INTREQ
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_INTREQ_EXC02MON_NMI                   *((volatile  uint8_t *)(0x42624000UL))
#define bFM0P_INTREQ_EXC02MON_NMI                 *((volatile  uint8_t *)(0x42624000UL))
#define bFM_INTREQ_EXC02MON_HWINT                 *((volatile  uint8_t *)(0x42624004UL))
#define bFM0P_INTREQ_EXC02MON_HWINT               *((volatile  uint8_t *)(0x42624004UL))

#define bFM_INTREQ_IRQ00MON_INT0                  *((volatile  uint8_t *)(0x42624080UL))
#define bFM0P_INTREQ_IRQ00MON_INT0                *((volatile  uint8_t *)(0x42624080UL))
#define bFM_INTREQ_IRQ00MON_INT1                  *((volatile  uint8_t *)(0x42624084UL))
#define bFM0P_INTREQ_IRQ00MON_INT1                *((volatile  uint8_t *)(0x42624084UL))
#define bFM_INTREQ_IRQ00MON_INT2                  *((volatile  uint8_t *)(0x42624088UL))
#define bFM0P_INTREQ_IRQ00MON_INT2                *((volatile  uint8_t *)(0x42624088UL))

#define bFM_INTREQ_IRQ01MON_INT0                  *((volatile  uint8_t *)(0x42624100UL))
#define bFM0P_INTREQ_IRQ01MON_INT0                *((volatile  uint8_t *)(0x42624100UL))
#define bFM_INTREQ_IRQ01MON_INT1                  *((volatile  uint8_t *)(0x42624104UL))
#define bFM0P_INTREQ_IRQ01MON_INT1                *((volatile  uint8_t *)(0x42624104UL))
#define bFM_INTREQ_IRQ01MON_INT2                  *((volatile  uint8_t *)(0x42624108UL))
#define bFM0P_INTREQ_IRQ01MON_INT2                *((volatile  uint8_t *)(0x42624108UL))

#define bFM_INTREQ_IRQ02MON_INT0                  *((volatile  uint8_t *)(0x42624180UL))
#define bFM0P_INTREQ_IRQ02MON_INT0                *((volatile  uint8_t *)(0x42624180UL))
#define bFM_INTREQ_IRQ02MON_INT1                  *((volatile  uint8_t *)(0x42624184UL))
#define bFM0P_INTREQ_IRQ02MON_INT1                *((volatile  uint8_t *)(0x42624184UL))
#define bFM_INTREQ_IRQ02MON_INT2                  *((volatile  uint8_t *)(0x42624188UL))
#define bFM0P_INTREQ_IRQ02MON_INT2                *((volatile  uint8_t *)(0x42624188UL))

#define bFM_INTREQ_IRQ03MON_INT0                  *((volatile  uint8_t *)(0x42624200UL))
#define bFM0P_INTREQ_IRQ03MON_INT0                *((volatile  uint8_t *)(0x42624200UL))
#define bFM_INTREQ_IRQ03MON_INT1                  *((volatile  uint8_t *)(0x42624204UL))
#define bFM0P_INTREQ_IRQ03MON_INT1                *((volatile  uint8_t *)(0x42624204UL))
#define bFM_INTREQ_IRQ03MON_INT2                  *((volatile  uint8_t *)(0x42624208UL))
#define bFM0P_INTREQ_IRQ03MON_INT2                *((volatile  uint8_t *)(0x42624208UL))

#define bFM_INTREQ_IRQ04MON_INT0                  *((volatile  uint8_t *)(0x42624280UL))
#define bFM0P_INTREQ_IRQ04MON_INT0                *((volatile  uint8_t *)(0x42624280UL))
#define bFM_INTREQ_IRQ04MON_INT1                  *((volatile  uint8_t *)(0x42624284UL))
#define bFM0P_INTREQ_IRQ04MON_INT1                *((volatile  uint8_t *)(0x42624284UL))
#define bFM_INTREQ_IRQ04MON_INT2                  *((volatile  uint8_t *)(0x42624288UL))
#define bFM0P_INTREQ_IRQ04MON_INT2                *((volatile  uint8_t *)(0x42624288UL))

#define bFM_INTREQ_IRQ05MON_INT0                  *((volatile  uint8_t *)(0x42624300UL))
#define bFM0P_INTREQ_IRQ05MON_INT0                *((volatile  uint8_t *)(0x42624300UL))
#define bFM_INTREQ_IRQ05MON_INT1                  *((volatile  uint8_t *)(0x42624304UL))
#define bFM0P_INTREQ_IRQ05MON_INT1                *((volatile  uint8_t *)(0x42624304UL))
#define bFM_INTREQ_IRQ05MON_INT2                  *((volatile  uint8_t *)(0x42624308UL))
#define bFM0P_INTREQ_IRQ05MON_INT2                *((volatile  uint8_t *)(0x42624308UL))

#define bFM_INTREQ_IRQ06MON_INT0                  *((volatile  uint8_t *)(0x42624380UL))
#define bFM0P_INTREQ_IRQ06MON_INT0                *((volatile  uint8_t *)(0x42624380UL))
#define bFM_INTREQ_IRQ06MON_INT1                  *((volatile  uint8_t *)(0x42624384UL))
#define bFM0P_INTREQ_IRQ06MON_INT1                *((volatile  uint8_t *)(0x42624384UL))
#define bFM_INTREQ_IRQ06MON_INT2                  *((volatile  uint8_t *)(0x42624388UL))
#define bFM0P_INTREQ_IRQ06MON_INT2                *((volatile  uint8_t *)(0x42624388UL))

#define bFM_INTREQ_IRQ07MON_INT0                  *((volatile  uint8_t *)(0x42624400UL))
#define bFM0P_INTREQ_IRQ07MON_INT0                *((volatile  uint8_t *)(0x42624400UL))
#define bFM_INTREQ_IRQ07MON_INT1                  *((volatile  uint8_t *)(0x42624404UL))
#define bFM0P_INTREQ_IRQ07MON_INT1                *((volatile  uint8_t *)(0x42624404UL))
#define bFM_INTREQ_IRQ07MON_INT2                  *((volatile  uint8_t *)(0x42624408UL))
#define bFM0P_INTREQ_IRQ07MON_INT2                *((volatile  uint8_t *)(0x42624408UL))

#define bFM_INTREQ_IRQ08MON_INT0                  *((volatile  uint8_t *)(0x42624480UL))
#define bFM0P_INTREQ_IRQ08MON_INT0                *((volatile  uint8_t *)(0x42624480UL))
#define bFM_INTREQ_IRQ08MON_INT1                  *((volatile  uint8_t *)(0x42624484UL))
#define bFM0P_INTREQ_IRQ08MON_INT1                *((volatile  uint8_t *)(0x42624484UL))
#define bFM_INTREQ_IRQ08MON_INT2                  *((volatile  uint8_t *)(0x42624488UL))
#define bFM0P_INTREQ_IRQ08MON_INT2                *((volatile  uint8_t *)(0x42624488UL))

#define bFM_INTREQ_IRQ09MON_INT0                  *((volatile  uint8_t *)(0x42624500UL))
#define bFM0P_INTREQ_IRQ09MON_INT0                *((volatile  uint8_t *)(0x42624500UL))
#define bFM_INTREQ_IRQ09MON_INT1                  *((volatile  uint8_t *)(0x42624504UL))
#define bFM0P_INTREQ_IRQ09MON_INT1                *((volatile  uint8_t *)(0x42624504UL))
#define bFM_INTREQ_IRQ09MON_INT2                  *((volatile  uint8_t *)(0x42624508UL))
#define bFM0P_INTREQ_IRQ09MON_INT2                *((volatile  uint8_t *)(0x42624508UL))

#define bFM_INTREQ_IRQ10MON_INT0                  *((volatile  uint8_t *)(0x42624580UL))
#define bFM0P_INTREQ_IRQ10MON_INT0                *((volatile  uint8_t *)(0x42624580UL))
#define bFM_INTREQ_IRQ10MON_INT1                  *((volatile  uint8_t *)(0x42624584UL))
#define bFM0P_INTREQ_IRQ10MON_INT1                *((volatile  uint8_t *)(0x42624584UL))
#define bFM_INTREQ_IRQ10MON_INT2                  *((volatile  uint8_t *)(0x42624588UL))
#define bFM0P_INTREQ_IRQ10MON_INT2                *((volatile  uint8_t *)(0x42624588UL))

#define bFM_INTREQ_IRQ11MON_INT0                  *((volatile  uint8_t *)(0x42624600UL))
#define bFM0P_INTREQ_IRQ11MON_INT0                *((volatile  uint8_t *)(0x42624600UL))
#define bFM_INTREQ_IRQ11MON_INT1                  *((volatile  uint8_t *)(0x42624604UL))
#define bFM0P_INTREQ_IRQ11MON_INT1                *((volatile  uint8_t *)(0x42624604UL))
#define bFM_INTREQ_IRQ11MON_INT2                  *((volatile  uint8_t *)(0x42624608UL))
#define bFM0P_INTREQ_IRQ11MON_INT2                *((volatile  uint8_t *)(0x42624608UL))

#define bFM_INTREQ_IRQ12MON_INT0                  *((volatile  uint8_t *)(0x42624680UL))
#define bFM0P_INTREQ_IRQ12MON_INT0                *((volatile  uint8_t *)(0x42624680UL))
#define bFM_INTREQ_IRQ12MON_INT1                  *((volatile  uint8_t *)(0x42624684UL))
#define bFM0P_INTREQ_IRQ12MON_INT1                *((volatile  uint8_t *)(0x42624684UL))
#define bFM_INTREQ_IRQ12MON_INT2                  *((volatile  uint8_t *)(0x42624688UL))
#define bFM0P_INTREQ_IRQ12MON_INT2                *((volatile  uint8_t *)(0x42624688UL))

#define bFM_INTREQ_IRQ13MON_INT0                  *((volatile  uint8_t *)(0x42624700UL))
#define bFM0P_INTREQ_IRQ13MON_INT0                *((volatile  uint8_t *)(0x42624700UL))
#define bFM_INTREQ_IRQ13MON_INT1                  *((volatile  uint8_t *)(0x42624704UL))
#define bFM0P_INTREQ_IRQ13MON_INT1                *((volatile  uint8_t *)(0x42624704UL))
#define bFM_INTREQ_IRQ13MON_INT2                  *((volatile  uint8_t *)(0x42624708UL))
#define bFM0P_INTREQ_IRQ13MON_INT2                *((volatile  uint8_t *)(0x42624708UL))

#define bFM_INTREQ_IRQ14MON_INT0                  *((volatile  uint8_t *)(0x42624780UL))
#define bFM0P_INTREQ_IRQ14MON_INT0                *((volatile  uint8_t *)(0x42624780UL))
#define bFM_INTREQ_IRQ14MON_INT1                  *((volatile  uint8_t *)(0x42624784UL))
#define bFM0P_INTREQ_IRQ14MON_INT1                *((volatile  uint8_t *)(0x42624784UL))
#define bFM_INTREQ_IRQ14MON_INT2                  *((volatile  uint8_t *)(0x42624788UL))
#define bFM0P_INTREQ_IRQ14MON_INT2                *((volatile  uint8_t *)(0x42624788UL))

#define bFM_INTREQ_IRQ15MON_INT0                  *((volatile  uint8_t *)(0x42624800UL))
#define bFM0P_INTREQ_IRQ15MON_INT0                *((volatile  uint8_t *)(0x42624800UL))
#define bFM_INTREQ_IRQ15MON_INT1                  *((volatile  uint8_t *)(0x42624804UL))
#define bFM0P_INTREQ_IRQ15MON_INT1                *((volatile  uint8_t *)(0x42624804UL))
#define bFM_INTREQ_IRQ15MON_INT2                  *((volatile  uint8_t *)(0x42624808UL))
#define bFM0P_INTREQ_IRQ15MON_INT2                *((volatile  uint8_t *)(0x42624808UL))

#define bFM_INTREQ_IRQ16MON_INT0                  *((volatile  uint8_t *)(0x42624880UL))
#define bFM0P_INTREQ_IRQ16MON_INT0                *((volatile  uint8_t *)(0x42624880UL))
#define bFM_INTREQ_IRQ16MON_INT1                  *((volatile  uint8_t *)(0x42624884UL))
#define bFM0P_INTREQ_IRQ16MON_INT1                *((volatile  uint8_t *)(0x42624884UL))
#define bFM_INTREQ_IRQ16MON_INT2                  *((volatile  uint8_t *)(0x42624888UL))
#define bFM0P_INTREQ_IRQ16MON_INT2                *((volatile  uint8_t *)(0x42624888UL))

#define bFM_INTREQ_IRQ17MON_INT0                  *((volatile  uint8_t *)(0x42624900UL))
#define bFM0P_INTREQ_IRQ17MON_INT0                *((volatile  uint8_t *)(0x42624900UL))
#define bFM_INTREQ_IRQ17MON_INT1                  *((volatile  uint8_t *)(0x42624904UL))
#define bFM0P_INTREQ_IRQ17MON_INT1                *((volatile  uint8_t *)(0x42624904UL))
#define bFM_INTREQ_IRQ17MON_INT2                  *((volatile  uint8_t *)(0x42624908UL))
#define bFM0P_INTREQ_IRQ17MON_INT2                *((volatile  uint8_t *)(0x42624908UL))

#define bFM_INTREQ_IRQ18MON_INT0                  *((volatile  uint8_t *)(0x42624980UL))
#define bFM0P_INTREQ_IRQ18MON_INT0                *((volatile  uint8_t *)(0x42624980UL))
#define bFM_INTREQ_IRQ18MON_INT1                  *((volatile  uint8_t *)(0x42624984UL))
#define bFM0P_INTREQ_IRQ18MON_INT1                *((volatile  uint8_t *)(0x42624984UL))
#define bFM_INTREQ_IRQ18MON_INT2                  *((volatile  uint8_t *)(0x42624988UL))
#define bFM0P_INTREQ_IRQ18MON_INT2                *((volatile  uint8_t *)(0x42624988UL))

#define bFM_INTREQ_IRQ19MON_INT0                  *((volatile  uint8_t *)(0x42624A00UL))
#define bFM0P_INTREQ_IRQ19MON_INT0                *((volatile  uint8_t *)(0x42624A00UL))
#define bFM_INTREQ_IRQ19MON_INT1                  *((volatile  uint8_t *)(0x42624A04UL))
#define bFM0P_INTREQ_IRQ19MON_INT1                *((volatile  uint8_t *)(0x42624A04UL))
#define bFM_INTREQ_IRQ19MON_INT2                  *((volatile  uint8_t *)(0x42624A08UL))
#define bFM0P_INTREQ_IRQ19MON_INT2                *((volatile  uint8_t *)(0x42624A08UL))

#define bFM_INTREQ_IRQ20MON_INT0                  *((volatile  uint8_t *)(0x42624A80UL))
#define bFM0P_INTREQ_IRQ20MON_INT0                *((volatile  uint8_t *)(0x42624A80UL))
#define bFM_INTREQ_IRQ20MON_INT1                  *((volatile  uint8_t *)(0x42624A84UL))
#define bFM0P_INTREQ_IRQ20MON_INT1                *((volatile  uint8_t *)(0x42624A84UL))
#define bFM_INTREQ_IRQ20MON_INT2                  *((volatile  uint8_t *)(0x42624A88UL))
#define bFM0P_INTREQ_IRQ20MON_INT2                *((volatile  uint8_t *)(0x42624A88UL))

#define bFM_INTREQ_IRQ21MON_INT0                  *((volatile  uint8_t *)(0x42624B00UL))
#define bFM0P_INTREQ_IRQ21MON_INT0                *((volatile  uint8_t *)(0x42624B00UL))
#define bFM_INTREQ_IRQ21MON_INT1                  *((volatile  uint8_t *)(0x42624B04UL))
#define bFM0P_INTREQ_IRQ21MON_INT1                *((volatile  uint8_t *)(0x42624B04UL))
#define bFM_INTREQ_IRQ21MON_INT2                  *((volatile  uint8_t *)(0x42624B08UL))
#define bFM0P_INTREQ_IRQ21MON_INT2                *((volatile  uint8_t *)(0x42624B08UL))

#define bFM_INTREQ_IRQ22MON_INT0                  *((volatile  uint8_t *)(0x42624B80UL))
#define bFM0P_INTREQ_IRQ22MON_INT0                *((volatile  uint8_t *)(0x42624B80UL))
#define bFM_INTREQ_IRQ22MON_INT1                  *((volatile  uint8_t *)(0x42624B84UL))
#define bFM0P_INTREQ_IRQ22MON_INT1                *((volatile  uint8_t *)(0x42624B84UL))
#define bFM_INTREQ_IRQ22MON_INT2                  *((volatile  uint8_t *)(0x42624B88UL))
#define bFM0P_INTREQ_IRQ22MON_INT2                *((volatile  uint8_t *)(0x42624B88UL))

#define bFM_INTREQ_IRQ23MON_INT0                  *((volatile  uint8_t *)(0x42624C00UL))
#define bFM0P_INTREQ_IRQ23MON_INT0                *((volatile  uint8_t *)(0x42624C00UL))
#define bFM_INTREQ_IRQ23MON_INT1                  *((volatile  uint8_t *)(0x42624C04UL))
#define bFM0P_INTREQ_IRQ23MON_INT1                *((volatile  uint8_t *)(0x42624C04UL))
#define bFM_INTREQ_IRQ23MON_INT2                  *((volatile  uint8_t *)(0x42624C08UL))
#define bFM0P_INTREQ_IRQ23MON_INT2                *((volatile  uint8_t *)(0x42624C08UL))

#define bFM_INTREQ_IRQ24MON_INT0                  *((volatile  uint8_t *)(0x42624C80UL))
#define bFM0P_INTREQ_IRQ24MON_INT0                *((volatile  uint8_t *)(0x42624C80UL))
#define bFM_INTREQ_IRQ24MON_INT1                  *((volatile  uint8_t *)(0x42624C84UL))
#define bFM0P_INTREQ_IRQ24MON_INT1                *((volatile  uint8_t *)(0x42624C84UL))
#define bFM_INTREQ_IRQ24MON_INT2                  *((volatile  uint8_t *)(0x42624C88UL))
#define bFM0P_INTREQ_IRQ24MON_INT2                *((volatile  uint8_t *)(0x42624C88UL))

#define bFM_INTREQ_IRQ25MON_INT0                  *((volatile  uint8_t *)(0x42624D00UL))
#define bFM0P_INTREQ_IRQ25MON_INT0                *((volatile  uint8_t *)(0x42624D00UL))
#define bFM_INTREQ_IRQ25MON_INT1                  *((volatile  uint8_t *)(0x42624D04UL))
#define bFM0P_INTREQ_IRQ25MON_INT1                *((volatile  uint8_t *)(0x42624D04UL))
#define bFM_INTREQ_IRQ25MON_INT2                  *((volatile  uint8_t *)(0x42624D08UL))
#define bFM0P_INTREQ_IRQ25MON_INT2                *((volatile  uint8_t *)(0x42624D08UL))

#define bFM_INTREQ_IRQ26MON_INT0                  *((volatile  uint8_t *)(0x42624D80UL))
#define bFM0P_INTREQ_IRQ26MON_INT0                *((volatile  uint8_t *)(0x42624D80UL))
#define bFM_INTREQ_IRQ26MON_INT1                  *((volatile  uint8_t *)(0x42624D84UL))
#define bFM0P_INTREQ_IRQ26MON_INT1                *((volatile  uint8_t *)(0x42624D84UL))
#define bFM_INTREQ_IRQ26MON_INT2                  *((volatile  uint8_t *)(0x42624D88UL))
#define bFM0P_INTREQ_IRQ26MON_INT2                *((volatile  uint8_t *)(0x42624D88UL))

#define bFM_INTREQ_IRQ27MON_INT0                  *((volatile  uint8_t *)(0x42624E00UL))
#define bFM0P_INTREQ_IRQ27MON_INT0                *((volatile  uint8_t *)(0x42624E00UL))
#define bFM_INTREQ_IRQ27MON_INT1                  *((volatile  uint8_t *)(0x42624E04UL))
#define bFM0P_INTREQ_IRQ27MON_INT1                *((volatile  uint8_t *)(0x42624E04UL))
#define bFM_INTREQ_IRQ27MON_INT2                  *((volatile  uint8_t *)(0x42624E08UL))
#define bFM0P_INTREQ_IRQ27MON_INT2                *((volatile  uint8_t *)(0x42624E08UL))

#define bFM_INTREQ_IRQ28MON_INT0                  *((volatile  uint8_t *)(0x42624E80UL))
#define bFM0P_INTREQ_IRQ28MON_INT0                *((volatile  uint8_t *)(0x42624E80UL))
#define bFM_INTREQ_IRQ28MON_INT1                  *((volatile  uint8_t *)(0x42624E84UL))
#define bFM0P_INTREQ_IRQ28MON_INT1                *((volatile  uint8_t *)(0x42624E84UL))
#define bFM_INTREQ_IRQ28MON_INT2                  *((volatile  uint8_t *)(0x42624E88UL))
#define bFM0P_INTREQ_IRQ28MON_INT2                *((volatile  uint8_t *)(0x42624E88UL))

#define bFM_INTREQ_IRQ29MON_INT0                  *((volatile  uint8_t *)(0x42624F00UL))
#define bFM0P_INTREQ_IRQ29MON_INT0                *((volatile  uint8_t *)(0x42624F00UL))
#define bFM_INTREQ_IRQ29MON_INT1                  *((volatile  uint8_t *)(0x42624F04UL))
#define bFM0P_INTREQ_IRQ29MON_INT1                *((volatile  uint8_t *)(0x42624F04UL))
#define bFM_INTREQ_IRQ29MON_INT2                  *((volatile  uint8_t *)(0x42624F08UL))
#define bFM0P_INTREQ_IRQ29MON_INT2                *((volatile  uint8_t *)(0x42624F08UL))

#define bFM_INTREQ_IRQ30MON_INT0                  *((volatile  uint8_t *)(0x42624F80UL))
#define bFM0P_INTREQ_IRQ30MON_INT0                *((volatile  uint8_t *)(0x42624F80UL))
#define bFM_INTREQ_IRQ30MON_INT1                  *((volatile  uint8_t *)(0x42624F84UL))
#define bFM0P_INTREQ_IRQ30MON_INT1                *((volatile  uint8_t *)(0x42624F84UL))
#define bFM_INTREQ_IRQ30MON_INT2                  *((volatile  uint8_t *)(0x42624F88UL))
#define bFM0P_INTREQ_IRQ30MON_INT2                *((volatile  uint8_t *)(0x42624F88UL))

#define bFM_INTREQ_IRQ31MON_INT0                  *((volatile  uint8_t *)(0x42625000UL))
#define bFM0P_INTREQ_IRQ31MON_INT0                *((volatile  uint8_t *)(0x42625000UL))
#define bFM_INTREQ_IRQ31MON_INT1                  *((volatile  uint8_t *)(0x42625004UL))
#define bFM0P_INTREQ_IRQ31MON_INT1                *((volatile  uint8_t *)(0x42625004UL))
#define bFM_INTREQ_IRQ31MON_INT2                  *((volatile  uint8_t *)(0x42625008UL))
#define bFM0P_INTREQ_IRQ31MON_INT2                *((volatile  uint8_t *)(0x42625008UL))

#define bFM_INTREQ_ODDPKS_ODDPKS0                 *((volatile  uint8_t *)(0x42620200UL))
#define bFM0P_INTREQ_ODDPKS_ODDPKS0               *((volatile  uint8_t *)(0x42620200UL))
#define bFM_INTREQ_ODDPKS_ODDPKS1                 *((volatile  uint8_t *)(0x42620204UL))
#define bFM0P_INTREQ_ODDPKS_ODDPKS1               *((volatile  uint8_t *)(0x42620204UL))
#define bFM_INTREQ_ODDPKS_ODDPKS2                 *((volatile  uint8_t *)(0x42620208UL))
#define bFM0P_INTREQ_ODDPKS_ODDPKS2               *((volatile  uint8_t *)(0x42620208UL))
#define bFM_INTREQ_ODDPKS_ODDPKS3                 *((volatile  uint8_t *)(0x4262020CUL))
#define bFM0P_INTREQ_ODDPKS_ODDPKS3               *((volatile  uint8_t *)(0x4262020CUL))
#define bFM_INTREQ_ODDPKS_ODDPKS4                 *((volatile  uint8_t *)(0x42620210UL))
#define bFM0P_INTREQ_ODDPKS_ODDPKS4               *((volatile  uint8_t *)(0x42620210UL))


/******************************************************************************
 ** LSCRP Registers LSCRP
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** LVD Registers LVD
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_LVD_LVD_CLR_LVDCL                     *((volatile  uint8_t *)(0x426A011CUL))
#define bFM0P_LVD_LVD_CLR_LVDCL                   *((volatile  uint8_t *)(0x426A011CUL))
#define bFM_LVD_LVD_CLR_LVD2CL                    *((volatile  uint8_t *)(0x426A013CUL))
#define bFM0P_LVD_LVD_CLR_LVD2CL                  *((volatile  uint8_t *)(0x426A013CUL))

#define bFM_LVD_LVD_CTL_LVDIE                     *((volatile  uint8_t *)(0x426A001CUL))
#define bFM0P_LVD_LVD_CTL_LVDIE                   *((volatile  uint8_t *)(0x426A001CUL))
#define bFM_LVD_LVD_CTL_LVDRE                     *((volatile  uint8_t *)(0x426A003CUL))
#define bFM0P_LVD_LVD_CTL_LVDRE                   *((volatile  uint8_t *)(0x426A003CUL))

#define bFM_LVD_LVD_STR_LVDHSTR                   *((volatile  uint8_t *)(0x426A0080UL))
#define bFM0P_LVD_LVD_STR_LVDHSTR                 *((volatile  uint8_t *)(0x426A0080UL))
#define bFM_LVD_LVD_STR_LVDIR                     *((volatile  uint8_t *)(0x426A009CUL))
#define bFM0P_LVD_LVD_STR_LVDIR                   *((volatile  uint8_t *)(0x426A009CUL))
#define bFM_LVD_LVD_STR_LVD2HSTR                  *((volatile  uint8_t *)(0x426A00A0UL))
#define bFM0P_LVD_LVD_STR_LVD2HSTR                *((volatile  uint8_t *)(0x426A00A0UL))
#define bFM_LVD_LVD_STR_LVD2IR                    *((volatile  uint8_t *)(0x426A00BCUL))
#define bFM0P_LVD_LVD_STR_LVD2IR                  *((volatile  uint8_t *)(0x426A00BCUL))

#define bFM_LVD_LVD_STR2_LVDRRDY                  *((volatile  uint8_t *)(0x426A0218UL))
#define bFM0P_LVD_LVD_STR2_LVDRRDY                *((volatile  uint8_t *)(0x426A0218UL))
#define bFM_LVD_LVD_STR2_LVDIRDY                  *((volatile  uint8_t *)(0x426A021CUL))
#define bFM0P_LVD_LVD_STR2_LVDIRDY                *((volatile  uint8_t *)(0x426A021CUL))
#define bFM_LVD_LVD_STR2_LVD2IRDY                 *((volatile  uint8_t *)(0x426A023CUL))
#define bFM0P_LVD_LVD_STR2_LVD2IRDY               *((volatile  uint8_t *)(0x426A023CUL))


/******************************************************************************
 ** MFS Registers MFS0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS0_CSIO_ESCR_CSFE                   *((volatile  uint8_t *)(0x42700094UL))
#define bFM0P_MFS0_CSIO_ESCR_CSFE                 *((volatile  uint8_t *)(0x42700094UL))
#define bFM_MFS0_CSIO_ESCR_L3                     *((volatile  uint8_t *)(0x42700098UL))
#define bFM0P_MFS0_CSIO_ESCR_L3                   *((volatile  uint8_t *)(0x42700098UL))
#define bFM_MFS0_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270009CUL))
#define bFM0P_MFS0_CSIO_ESCR_SOP                  *((volatile  uint8_t *)(0x4270009CUL))

#define bFM_MFS0_CSIO_FCR_FE1                     *((volatile  uint8_t *)(0x42700280UL))
#define bFM0P_MFS0_CSIO_FCR_FE1                   *((volatile  uint8_t *)(0x42700280UL))
#define bFM_MFS0_CSIO_FCR_FE2                     *((volatile  uint8_t *)(0x42700284UL))
#define bFM0P_MFS0_CSIO_FCR_FE2                   *((volatile  uint8_t *)(0x42700284UL))
#define bFM_MFS0_CSIO_FCR_FCL1                    *((volatile  uint8_t *)(0x42700288UL))
#define bFM0P_MFS0_CSIO_FCR_FCL1                  *((volatile  uint8_t *)(0x42700288UL))
#define bFM_MFS0_CSIO_FCR_FCL2                    *((volatile  uint8_t *)(0x4270028CUL))
#define bFM0P_MFS0_CSIO_FCR_FCL2                  *((volatile  uint8_t *)(0x4270028CUL))
#define bFM_MFS0_CSIO_FCR_FSET                    *((volatile  uint8_t *)(0x42700290UL))
#define bFM0P_MFS0_CSIO_FCR_FSET                  *((volatile  uint8_t *)(0x42700290UL))
#define bFM_MFS0_CSIO_FCR_FLD                     *((volatile  uint8_t *)(0x42700294UL))
#define bFM0P_MFS0_CSIO_FCR_FLD                   *((volatile  uint8_t *)(0x42700294UL))
#define bFM_MFS0_CSIO_FCR_FLST                    *((volatile  uint8_t *)(0x42700298UL))
#define bFM0P_MFS0_CSIO_FCR_FLST                  *((volatile  uint8_t *)(0x42700298UL))
#define bFM_MFS0_CSIO_FCR_FSEL                    *((volatile  uint8_t *)(0x427002A0UL))
#define bFM0P_MFS0_CSIO_FCR_FSEL                  *((volatile  uint8_t *)(0x427002A0UL))
#define bFM_MFS0_CSIO_FCR_FTIE                    *((volatile  uint8_t *)(0x427002A4UL))
#define bFM0P_MFS0_CSIO_FCR_FTIE                  *((volatile  uint8_t *)(0x427002A4UL))
#define bFM_MFS0_CSIO_FCR_FDRQ                    *((volatile  uint8_t *)(0x427002A8UL))
#define bFM0P_MFS0_CSIO_FCR_FDRQ                  *((volatile  uint8_t *)(0x427002A8UL))
#define bFM_MFS0_CSIO_FCR_FRIIE                   *((volatile  uint8_t *)(0x427002ACUL))
#define bFM0P_MFS0_CSIO_FCR_FRIIE                 *((volatile  uint8_t *)(0x427002ACUL))
#define bFM_MFS0_CSIO_FCR_FLSTE                   *((volatile  uint8_t *)(0x427002B0UL))
#define bFM0P_MFS0_CSIO_FCR_FLSTE                 *((volatile  uint8_t *)(0x427002B0UL))

#define bFM_MFS0_CSIO_SACSR_TMRE                  *((volatile  uint8_t *)(0x42700480UL))
#define bFM0P_MFS0_CSIO_SACSR_TMRE                *((volatile  uint8_t *)(0x42700480UL))
#define bFM_MFS0_CSIO_SACSR_TSYNE                 *((volatile  uint8_t *)(0x42700498UL))
#define bFM0P_MFS0_CSIO_SACSR_TSYNE               *((volatile  uint8_t *)(0x42700498UL))
#define bFM_MFS0_CSIO_SACSR_TINTE                 *((volatile  uint8_t *)(0x4270049CUL))
#define bFM0P_MFS0_CSIO_SACSR_TINTE               *((volatile  uint8_t *)(0x4270049CUL))
#define bFM_MFS0_CSIO_SACSR_TINT                  *((volatile  uint8_t *)(0x427004A0UL))
#define bFM0P_MFS0_CSIO_SACSR_TINT                *((volatile  uint8_t *)(0x427004A0UL))
#define bFM_MFS0_CSIO_SACSR_CSE                   *((volatile  uint8_t *)(0x427004ACUL))
#define bFM0P_MFS0_CSIO_SACSR_CSE                 *((volatile  uint8_t *)(0x427004ACUL))
#define bFM_MFS0_CSIO_SACSR_CSEIE                 *((volatile  uint8_t *)(0x427004B0UL))
#define bFM0P_MFS0_CSIO_SACSR_CSEIE               *((volatile  uint8_t *)(0x427004B0UL))
#define bFM_MFS0_CSIO_SACSR_TBEEN                 *((volatile  uint8_t *)(0x427004B4UL))
#define bFM0P_MFS0_CSIO_SACSR_TBEEN               *((volatile  uint8_t *)(0x427004B4UL))

#define bFM_MFS0_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x42700020UL))
#define bFM0P_MFS0_CSIO_SCR_TXE                   *((volatile  uint8_t *)(0x42700020UL))
#define bFM_MFS0_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x42700024UL))
#define bFM0P_MFS0_CSIO_SCR_RXE                   *((volatile  uint8_t *)(0x42700024UL))
#define bFM_MFS0_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x42700028UL))
#define bFM0P_MFS0_CSIO_SCR_TBIE                  *((volatile  uint8_t *)(0x42700028UL))
#define bFM_MFS0_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270002CUL))
#define bFM0P_MFS0_CSIO_SCR_TIE                   *((volatile  uint8_t *)(0x4270002CUL))
#define bFM_MFS0_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x42700030UL))
#define bFM0P_MFS0_CSIO_SCR_RIE                   *((volatile  uint8_t *)(0x42700030UL))
#define bFM_MFS0_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x42700034UL))
#define bFM0P_MFS0_CSIO_SCR_SPI                   *((volatile  uint8_t *)(0x42700034UL))
#define bFM_MFS0_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x42700038UL))
#define bFM0P_MFS0_CSIO_SCR_MS                    *((volatile  uint8_t *)(0x42700038UL))
#define bFM_MFS0_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270003CUL))
#define bFM0P_MFS0_CSIO_SCR_UPCL                  *((volatile  uint8_t *)(0x4270003CUL))

#define bFM_MFS0_CSIO_SCSCR_CSOE                  *((volatile  uint8_t *)(0x42700600UL))
#define bFM0P_MFS0_CSIO_SCSCR_CSOE                *((volatile  uint8_t *)(0x42700600UL))
#define bFM_MFS0_CSIO_SCSCR_CSEN0                 *((volatile  uint8_t *)(0x42700604UL))
#define bFM0P_MFS0_CSIO_SCSCR_CSEN0               *((volatile  uint8_t *)(0x42700604UL))
#define bFM_MFS0_CSIO_SCSCR_CSEN1                 *((volatile  uint8_t *)(0x42700608UL))
#define bFM0P_MFS0_CSIO_SCSCR_CSEN1               *((volatile  uint8_t *)(0x42700608UL))
#define bFM_MFS0_CSIO_SCSCR_CSEN2                 *((volatile  uint8_t *)(0x4270060CUL))
#define bFM0P_MFS0_CSIO_SCSCR_CSEN2               *((volatile  uint8_t *)(0x4270060CUL))
#define bFM_MFS0_CSIO_SCSCR_CSEN3                 *((volatile  uint8_t *)(0x42700610UL))
#define bFM0P_MFS0_CSIO_SCSCR_CSEN3               *((volatile  uint8_t *)(0x42700610UL))
#define bFM_MFS0_CSIO_SCSCR_CSLVL                 *((volatile  uint8_t *)(0x42700614UL))
#define bFM0P_MFS0_CSIO_SCSCR_CSLVL               *((volatile  uint8_t *)(0x42700614UL))
#define bFM_MFS0_CSIO_SCSCR_SCAM                  *((volatile  uint8_t *)(0x42700624UL))
#define bFM0P_MFS0_CSIO_SCSCR_SCAM                *((volatile  uint8_t *)(0x42700624UL))

#define bFM_MFS0_CSIO_SCSFR0_CS1BDS               *((volatile  uint8_t *)(0x42700690UL))
#define bFM0P_MFS0_CSIO_SCSFR0_CS1BDS             *((volatile  uint8_t *)(0x42700690UL))
#define bFM_MFS0_CSIO_SCSFR0_CS1SPI               *((volatile  uint8_t *)(0x42700694UL))
#define bFM0P_MFS0_CSIO_SCSFR0_CS1SPI             *((volatile  uint8_t *)(0x42700694UL))
#define bFM_MFS0_CSIO_SCSFR0_CS1SCINV             *((volatile  uint8_t *)(0x42700698UL))
#define bFM0P_MFS0_CSIO_SCSFR0_CS1SCINV           *((volatile  uint8_t *)(0x42700698UL))
#define bFM_MFS0_CSIO_SCSFR0_CS1CSLVL             *((volatile  uint8_t *)(0x4270069CUL))
#define bFM0P_MFS0_CSIO_SCSFR0_CS1CSLVL           *((volatile  uint8_t *)(0x4270069CUL))

#define bFM_MFS0_CSIO_SCSFR1_CS2BDS               *((volatile  uint8_t *)(0x427006B0UL))
#define bFM0P_MFS0_CSIO_SCSFR1_CS2BDS             *((volatile  uint8_t *)(0x427006B0UL))
#define bFM_MFS0_CSIO_SCSFR1_CS2SPI               *((volatile  uint8_t *)(0x427006B4UL))
#define bFM0P_MFS0_CSIO_SCSFR1_CS2SPI             *((volatile  uint8_t *)(0x427006B4UL))
#define bFM_MFS0_CSIO_SCSFR1_CS2SCINV             *((volatile  uint8_t *)(0x427006B8UL))
#define bFM0P_MFS0_CSIO_SCSFR1_CS2SCINV           *((volatile  uint8_t *)(0x427006B8UL))
#define bFM_MFS0_CSIO_SCSFR1_CS2CSLVL             *((volatile  uint8_t *)(0x427006BCUL))
#define bFM0P_MFS0_CSIO_SCSFR1_CS2CSLVL           *((volatile  uint8_t *)(0x427006BCUL))

#define bFM_MFS0_CSIO_SCSFR2_CS3BDS               *((volatile  uint8_t *)(0x42700710UL))
#define bFM0P_MFS0_CSIO_SCSFR2_CS3BDS             *((volatile  uint8_t *)(0x42700710UL))
#define bFM_MFS0_CSIO_SCSFR2_CS3SPI               *((volatile  uint8_t *)(0x42700714UL))
#define bFM0P_MFS0_CSIO_SCSFR2_CS3SPI             *((volatile  uint8_t *)(0x42700714UL))
#define bFM_MFS0_CSIO_SCSFR2_CS3SCINV             *((volatile  uint8_t *)(0x42700718UL))
#define bFM0P_MFS0_CSIO_SCSFR2_CS3SCINV           *((volatile  uint8_t *)(0x42700718UL))
#define bFM_MFS0_CSIO_SCSFR2_CS3CSLVL             *((volatile  uint8_t *)(0x4270071CUL))
#define bFM0P_MFS0_CSIO_SCSFR2_CS3CSLVL           *((volatile  uint8_t *)(0x4270071CUL))

#define bFM_MFS0_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x42700000UL))
#define bFM0P_MFS0_CSIO_SMR_SOE                   *((volatile  uint8_t *)(0x42700000UL))
#define bFM_MFS0_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x42700004UL))
#define bFM0P_MFS0_CSIO_SMR_SCKE                  *((volatile  uint8_t *)(0x42700004UL))
#define bFM_MFS0_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x42700008UL))
#define bFM0P_MFS0_CSIO_SMR_BDS                   *((volatile  uint8_t *)(0x42700008UL))
#define bFM_MFS0_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270000CUL))
#define bFM0P_MFS0_CSIO_SMR_SCINV                 *((volatile  uint8_t *)(0x4270000CUL))

#define bFM_MFS0_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x427000A0UL))
#define bFM0P_MFS0_CSIO_SSR_TBI                   *((volatile  uint8_t *)(0x427000A0UL))
#define bFM_MFS0_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x427000A4UL))
#define bFM0P_MFS0_CSIO_SSR_TDRE                  *((volatile  uint8_t *)(0x427000A4UL))
#define bFM_MFS0_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x427000A8UL))
#define bFM0P_MFS0_CSIO_SSR_RDRF                  *((volatile  uint8_t *)(0x427000A8UL))
#define bFM_MFS0_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x427000ACUL))
#define bFM0P_MFS0_CSIO_SSR_ORE                   *((volatile  uint8_t *)(0x427000ACUL))
#define bFM_MFS0_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x427000BCUL))
#define bFM0P_MFS0_CSIO_SSR_REC                   *((volatile  uint8_t *)(0x427000BCUL))

#define bFM_MFS0_I2C_EIBCR_BEC                    *((volatile  uint8_t *)(0x427003A0UL))
#define bFM0P_MFS0_I2C_EIBCR_BEC                  *((volatile  uint8_t *)(0x427003A0UL))
#define bFM_MFS0_I2C_EIBCR_SOCE                   *((volatile  uint8_t *)(0x427003A4UL))
#define bFM0P_MFS0_I2C_EIBCR_SOCE                 *((volatile  uint8_t *)(0x427003A4UL))
#define bFM_MFS0_I2C_EIBCR_SCLC                   *((volatile  uint8_t *)(0x427003A8UL))
#define bFM0P_MFS0_I2C_EIBCR_SCLC                 *((volatile  uint8_t *)(0x427003A8UL))
#define bFM_MFS0_I2C_EIBCR_SDAC                   *((volatile  uint8_t *)(0x427003ACUL))
#define bFM0P_MFS0_I2C_EIBCR_SDAC                 *((volatile  uint8_t *)(0x427003ACUL))
#define bFM_MFS0_I2C_EIBCR_SCLS                   *((volatile  uint8_t *)(0x427003B0UL))
#define bFM0P_MFS0_I2C_EIBCR_SCLS                 *((volatile  uint8_t *)(0x427003B0UL))
#define bFM_MFS0_I2C_EIBCR_SDAS                   *((volatile  uint8_t *)(0x427003B4UL))
#define bFM0P_MFS0_I2C_EIBCR_SDAS                 *((volatile  uint8_t *)(0x427003B4UL))

#define bFM_MFS0_I2C_FCR_FE1                      *((volatile  uint8_t *)(0x42700280UL))
#define bFM0P_MFS0_I2C_FCR_FE1                    *((volatile  uint8_t *)(0x42700280UL))
#define bFM_MFS0_I2C_FCR_FE2                      *((volatile  uint8_t *)(0x42700284UL))
#define bFM0P_MFS0_I2C_FCR_FE2                    *((volatile  uint8_t *)(0x42700284UL))
#define bFM_MFS0_I2C_FCR_FCL1                     *((volatile  uint8_t *)(0x42700288UL))
#define bFM0P_MFS0_I2C_FCR_FCL1                   *((volatile  uint8_t *)(0x42700288UL))
#define bFM_MFS0_I2C_FCR_FCL2                     *((volatile  uint8_t *)(0x4270028CUL))
#define bFM0P_MFS0_I2C_FCR_FCL2                   *((volatile  uint8_t *)(0x4270028CUL))
#define bFM_MFS0_I2C_FCR_FSET                     *((volatile  uint8_t *)(0x42700290UL))
#define bFM0P_MFS0_I2C_FCR_FSET                   *((volatile  uint8_t *)(0x42700290UL))
#define bFM_MFS0_I2C_FCR_FLD                      *((volatile  uint8_t *)(0x42700294UL))
#define bFM0P_MFS0_I2C_FCR_FLD                    *((volatile  uint8_t *)(0x42700294UL))
#define bFM_MFS0_I2C_FCR_FLST                     *((volatile  uint8_t *)(0x42700298UL))
#define bFM0P_MFS0_I2C_FCR_FLST                   *((volatile  uint8_t *)(0x42700298UL))
#define bFM_MFS0_I2C_FCR_FSEL                     *((volatile  uint8_t *)(0x427002A0UL))
#define bFM0P_MFS0_I2C_FCR_FSEL                   *((volatile  uint8_t *)(0x427002A0UL))
#define bFM_MFS0_I2C_FCR_FTIE                     *((volatile  uint8_t *)(0x427002A4UL))
#define bFM0P_MFS0_I2C_FCR_FTIE                   *((volatile  uint8_t *)(0x427002A4UL))
#define bFM_MFS0_I2C_FCR_FDRQ                     *((volatile  uint8_t *)(0x427002A8UL))
#define bFM0P_MFS0_I2C_FCR_FDRQ                   *((volatile  uint8_t *)(0x427002A8UL))
#define bFM_MFS0_I2C_FCR_FRIIE                    *((volatile  uint8_t *)(0x427002ACUL))
#define bFM0P_MFS0_I2C_FCR_FRIIE                  *((volatile  uint8_t *)(0x427002ACUL))
#define bFM_MFS0_I2C_FCR_FLSTE                    *((volatile  uint8_t *)(0x427002B0UL))
#define bFM0P_MFS0_I2C_FCR_FLSTE                  *((volatile  uint8_t *)(0x427002B0UL))

#define bFM_MFS0_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x42700020UL))
#define bFM0P_MFS0_I2C_IBCR_INT                   *((volatile  uint8_t *)(0x42700020UL))
#define bFM_MFS0_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x42700024UL))
#define bFM0P_MFS0_I2C_IBCR_BER                   *((volatile  uint8_t *)(0x42700024UL))
#define bFM_MFS0_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x42700028UL))
#define bFM0P_MFS0_I2C_IBCR_INTE                  *((volatile  uint8_t *)(0x42700028UL))
#define bFM_MFS0_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270002CUL))
#define bFM0P_MFS0_I2C_IBCR_CNDE                  *((volatile  uint8_t *)(0x4270002CUL))
#define bFM_MFS0_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x42700030UL))
#define bFM0P_MFS0_I2C_IBCR_WSEL                  *((volatile  uint8_t *)(0x42700030UL))
#define bFM_MFS0_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x42700034UL))
#define bFM0P_MFS0_I2C_IBCR_ACKE                  *((volatile  uint8_t *)(0x42700034UL))
#define bFM_MFS0_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x42700038UL))
#define bFM0P_MFS0_I2C_IBCR_ACT_SCC               *((volatile  uint8_t *)(0x42700038UL))
#define bFM_MFS0_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270003CUL))
#define bFM0P_MFS0_I2C_IBCR_MSS                   *((volatile  uint8_t *)(0x4270003CUL))

#define bFM_MFS0_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x42700080UL))
#define bFM0P_MFS0_I2C_IBSR_BB                    *((volatile  uint8_t *)(0x42700080UL))
#define bFM_MFS0_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x42700084UL))
#define bFM0P_MFS0_I2C_IBSR_SPC                   *((volatile  uint8_t *)(0x42700084UL))
#define bFM_MFS0_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x42700088UL))
#define bFM0P_MFS0_I2C_IBSR_RSC                   *((volatile  uint8_t *)(0x42700088UL))
#define bFM_MFS0_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270008CUL))
#define bFM0P_MFS0_I2C_IBSR_AL                    *((volatile  uint8_t *)(0x4270008CUL))
#define bFM_MFS0_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x42700090UL))
#define bFM0P_MFS0_I2C_IBSR_TRX                   *((volatile  uint8_t *)(0x42700090UL))
#define bFM_MFS0_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x42700094UL))
#define bFM0P_MFS0_I2C_IBSR_RSA                   *((volatile  uint8_t *)(0x42700094UL))
#define bFM_MFS0_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x42700098UL))
#define bFM0P_MFS0_I2C_IBSR_RACK                  *((volatile  uint8_t *)(0x42700098UL))
#define bFM_MFS0_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270009CUL))
#define bFM0P_MFS0_I2C_IBSR_FBT                   *((volatile  uint8_t *)(0x4270009CUL))

#define bFM_MFS0_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270021CUL))
#define bFM0P_MFS0_I2C_ISBA_SAEN                  *((volatile  uint8_t *)(0x4270021CUL))

#define bFM_MFS0_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270023CUL))
#define bFM0P_MFS0_I2C_ISMK_EN                    *((volatile  uint8_t *)(0x4270023CUL))

#define bFM_MFS0_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x42700008UL))
#define bFM0P_MFS0_I2C_SMR_TIE                    *((volatile  uint8_t *)(0x42700008UL))
#define bFM_MFS0_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270000CUL))
#define bFM0P_MFS0_I2C_SMR_RIE                    *((volatile  uint8_t *)(0x4270000CUL))

#define bFM_MFS0_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x427000A0UL))
#define bFM0P_MFS0_I2C_SSR_TBI                    *((volatile  uint8_t *)(0x427000A0UL))
#define bFM_MFS0_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x427000A4UL))
#define bFM0P_MFS0_I2C_SSR_TDRE                   *((volatile  uint8_t *)(0x427000A4UL))
#define bFM_MFS0_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x427000A8UL))
#define bFM0P_MFS0_I2C_SSR_RDRF                   *((volatile  uint8_t *)(0x427000A8UL))
#define bFM_MFS0_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x427000ACUL))
#define bFM0P_MFS0_I2C_SSR_ORE                    *((volatile  uint8_t *)(0x427000ACUL))
#define bFM_MFS0_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x427000B0UL))
#define bFM0P_MFS0_I2C_SSR_TBIE                   *((volatile  uint8_t *)(0x427000B0UL))
#define bFM_MFS0_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x427000B4UL))
#define bFM0P_MFS0_I2C_SSR_DMA                    *((volatile  uint8_t *)(0x427000B4UL))
#define bFM_MFS0_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x427000B8UL))
#define bFM0P_MFS0_I2C_SSR_TSET                   *((volatile  uint8_t *)(0x427000B8UL))
#define bFM_MFS0_I2C_SSR_REC                      *((volatile  uint8_t *)(0x427000BCUL))
#define bFM0P_MFS0_I2C_SSR_REC                    *((volatile  uint8_t *)(0x427000BCUL))

#define bFM_MFS0_LIN_BGR_EXT                      *((volatile  uint8_t *)(0x427001BCUL))
#define bFM0P_MFS0_LIN_BGR_EXT                    *((volatile  uint8_t *)(0x427001BCUL))

#define bFM_MFS0_LIN_ESCR_LBIE                    *((volatile  uint8_t *)(0x42700090UL))
#define bFM0P_MFS0_LIN_ESCR_LBIE                  *((volatile  uint8_t *)(0x42700090UL))
#define bFM_MFS0_LIN_ESCR_ESBL                    *((volatile  uint8_t *)(0x42700098UL))
#define bFM0P_MFS0_LIN_ESCR_ESBL                  *((volatile  uint8_t *)(0x42700098UL))

#define bFM_MFS0_LIN_FCR_FE1                      *((volatile  uint8_t *)(0x42700280UL))
#define bFM0P_MFS0_LIN_FCR_FE1                    *((volatile  uint8_t *)(0x42700280UL))
#define bFM_MFS0_LIN_FCR_FE2                      *((volatile  uint8_t *)(0x42700284UL))
#define bFM0P_MFS0_LIN_FCR_FE2                    *((volatile  uint8_t *)(0x42700284UL))
#define bFM_MFS0_LIN_FCR_FCL1                     *((volatile  uint8_t *)(0x42700288UL))
#define bFM0P_MFS0_LIN_FCR_FCL1                   *((volatile  uint8_t *)(0x42700288UL))
#define bFM_MFS0_LIN_FCR_FCL2                     *((volatile  uint8_t *)(0x4270028CUL))
#define bFM0P_MFS0_LIN_FCR_FCL2                   *((volatile  uint8_t *)(0x4270028CUL))
#define bFM_MFS0_LIN_FCR_FSET                     *((volatile  uint8_t *)(0x42700290UL))
#define bFM0P_MFS0_LIN_FCR_FSET                   *((volatile  uint8_t *)(0x42700290UL))
#define bFM_MFS0_LIN_FCR_FLD                      *((volatile  uint8_t *)(0x42700294UL))
#define bFM0P_MFS0_LIN_FCR_FLD                    *((volatile  uint8_t *)(0x42700294UL))
#define bFM_MFS0_LIN_FCR_FLST                     *((volatile  uint8_t *)(0x42700298UL))
#define bFM0P_MFS0_LIN_FCR_FLST                   *((volatile  uint8_t *)(0x42700298UL))
#define bFM_MFS0_LIN_FCR_FSEL                     *((volatile  uint8_t *)(0x427002A0UL))
#define bFM0P_MFS0_LIN_FCR_FSEL                   *((volatile  uint8_t *)(0x427002A0UL))
#define bFM_MFS0_LIN_FCR_FTIE                     *((volatile  uint8_t *)(0x427002A4UL))
#define bFM0P_MFS0_LIN_FCR_FTIE                   *((volatile  uint8_t *)(0x427002A4UL))
#define bFM_MFS0_LIN_FCR_FDRQ                     *((volatile  uint8_t *)(0x427002A8UL))
#define bFM0P_MFS0_LIN_FCR_FDRQ                   *((volatile  uint8_t *)(0x427002A8UL))
#define bFM_MFS0_LIN_FCR_FRIIE                    *((volatile  uint8_t *)(0x427002ACUL))
#define bFM0P_MFS0_LIN_FCR_FRIIE                  *((volatile  uint8_t *)(0x427002ACUL))
#define bFM_MFS0_LIN_FCR_FLSTE                    *((volatile  uint8_t *)(0x427002B0UL))
#define bFM0P_MFS0_LIN_FCR_FLSTE                  *((volatile  uint8_t *)(0x427002B0UL))

#define bFM_MFS0_LIN_SCR_TXE                      *((volatile  uint8_t *)(0x42700020UL))
#define bFM0P_MFS0_LIN_SCR_TXE                    *((volatile  uint8_t *)(0x42700020UL))
#define bFM_MFS0_LIN_SCR_RXE                      *((volatile  uint8_t *)(0x42700024UL))
#define bFM0P_MFS0_LIN_SCR_RXE                    *((volatile  uint8_t *)(0x42700024UL))
#define bFM_MFS0_LIN_SCR_TBIE                     *((volatile  uint8_t *)(0x42700028UL))
#define bFM0P_MFS0_LIN_SCR_TBIE                   *((volatile  uint8_t *)(0x42700028UL))
#define bFM_MFS0_LIN_SCR_TIE                      *((volatile  uint8_t *)(0x4270002CUL))
#define bFM0P_MFS0_LIN_SCR_TIE                    *((volatile  uint8_t *)(0x4270002CUL))
#define bFM_MFS0_LIN_SCR_RIE                      *((volatile  uint8_t *)(0x42700030UL))
#define bFM0P_MFS0_LIN_SCR_RIE                    *((volatile  uint8_t *)(0x42700030UL))
#define bFM_MFS0_LIN_SCR_LBR                      *((volatile  uint8_t *)(0x42700034UL))
#define bFM0P_MFS0_LIN_SCR_LBR                    *((volatile  uint8_t *)(0x42700034UL))
#define bFM_MFS0_LIN_SCR_MS                       *((volatile  uint8_t *)(0x42700038UL))
#define bFM0P_MFS0_LIN_SCR_MS                     *((volatile  uint8_t *)(0x42700038UL))
#define bFM_MFS0_LIN_SCR_UPCL                     *((volatile  uint8_t *)(0x4270003CUL))
#define bFM0P_MFS0_LIN_SCR_UPCL                   *((volatile  uint8_t *)(0x4270003CUL))

#define bFM_MFS0_LIN_SMR_SOE                      *((volatile  uint8_t *)(0x42700000UL))
#define bFM0P_MFS0_LIN_SMR_SOE                    *((volatile  uint8_t *)(0x42700000UL))
#define bFM_MFS0_LIN_SMR_SBL                      *((volatile  uint8_t *)(0x4270000CUL))
#define bFM0P_MFS0_LIN_SMR_SBL                    *((volatile  uint8_t *)(0x4270000CUL))

#define bFM_MFS0_LIN_SSR_TBI                      *((volatile  uint8_t *)(0x427000A0UL))
#define bFM0P_MFS0_LIN_SSR_TBI                    *((volatile  uint8_t *)(0x427000A0UL))
#define bFM_MFS0_LIN_SSR_TDRE                     *((volatile  uint8_t *)(0x427000A4UL))
#define bFM0P_MFS0_LIN_SSR_TDRE                   *((volatile  uint8_t *)(0x427000A4UL))
#define bFM_MFS0_LIN_SSR_RDRF                     *((volatile  uint8_t *)(0x427000A8UL))
#define bFM0P_MFS0_LIN_SSR_RDRF                   *((volatile  uint8_t *)(0x427000A8UL))
#define bFM_MFS0_LIN_SSR_ORE                      *((volatile  uint8_t *)(0x427000ACUL))
#define bFM0P_MFS0_LIN_SSR_ORE                    *((volatile  uint8_t *)(0x427000ACUL))
#define bFM_MFS0_LIN_SSR_FRE                      *((volatile  uint8_t *)(0x427000B0UL))
#define bFM0P_MFS0_LIN_SSR_FRE                    *((volatile  uint8_t *)(0x427000B0UL))
#define bFM_MFS0_LIN_SSR_LBD                      *((volatile  uint8_t *)(0x427000B4UL))
#define bFM0P_MFS0_LIN_SSR_LBD                    *((volatile  uint8_t *)(0x427000B4UL))
#define bFM_MFS0_LIN_SSR_REC                      *((volatile  uint8_t *)(0x427000BCUL))
#define bFM0P_MFS0_LIN_SSR_REC                    *((volatile  uint8_t *)(0x427000BCUL))

#define bFM_MFS0_UART_BGR_EXT                     *((volatile  uint8_t *)(0x427001BCUL))
#define bFM0P_MFS0_UART_BGR_EXT                   *((volatile  uint8_t *)(0x427001BCUL))

#define bFM_MFS0_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270008CUL))
#define bFM0P_MFS0_UART_ESCR_P                    *((volatile  uint8_t *)(0x4270008CUL))
#define bFM_MFS0_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x42700090UL))
#define bFM0P_MFS0_UART_ESCR_PEN                  *((volatile  uint8_t *)(0x42700090UL))
#define bFM_MFS0_UART_ESCR_INV                    *((volatile  uint8_t *)(0x42700094UL))
#define bFM0P_MFS0_UART_ESCR_INV                  *((volatile  uint8_t *)(0x42700094UL))
#define bFM_MFS0_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x42700098UL))
#define bFM0P_MFS0_UART_ESCR_ESBL                 *((volatile  uint8_t *)(0x42700098UL))
#define bFM_MFS0_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270009CUL))
#define bFM0P_MFS0_UART_ESCR_FLWEN                *((volatile  uint8_t *)(0x4270009CUL))

#define bFM_MFS0_UART_FCR_FE1                     *((volatile  uint8_t *)(0x42700280UL))
#define bFM0P_MFS0_UART_FCR_FE1                   *((volatile  uint8_t *)(0x42700280UL))
#define bFM_MFS0_UART_FCR_FE2                     *((volatile  uint8_t *)(0x42700284UL))
#define bFM0P_MFS0_UART_FCR_FE2                   *((volatile  uint8_t *)(0x42700284UL))
#define bFM_MFS0_UART_FCR_FCL1                    *((volatile  uint8_t *)(0x42700288UL))
#define bFM0P_MFS0_UART_FCR_FCL1                  *((volatile  uint8_t *)(0x42700288UL))
#define bFM_MFS0_UART_FCR_FCL2                    *((volatile  uint8_t *)(0x4270028CUL))
#define bFM0P_MFS0_UART_FCR_FCL2                  *((volatile  uint8_t *)(0x4270028CUL))
#define bFM_MFS0_UART_FCR_FSET                    *((volatile  uint8_t *)(0x42700290UL))
#define bFM0P_MFS0_UART_FCR_FSET                  *((volatile  uint8_t *)(0x42700290UL))
#define bFM_MFS0_UART_FCR_FLD                     *((volatile  uint8_t *)(0x42700294UL))
#define bFM0P_MFS0_UART_FCR_FLD                   *((volatile  uint8_t *)(0x42700294UL))
#define bFM_MFS0_UART_FCR_FLST                    *((volatile  uint8_t *)(0x42700298UL))
#define bFM0P_MFS0_UART_FCR_FLST                  *((volatile  uint8_t *)(0x42700298UL))
#define bFM_MFS0_UART_FCR_FSEL                    *((volatile  uint8_t *)(0x427002A0UL))
#define bFM0P_MFS0_UART_FCR_FSEL                  *((volatile  uint8_t *)(0x427002A0UL))
#define bFM_MFS0_UART_FCR_FTIE                    *((volatile  uint8_t *)(0x427002A4UL))
#define bFM0P_MFS0_UART_FCR_FTIE                  *((volatile  uint8_t *)(0x427002A4UL))
#define bFM_MFS0_UART_FCR_FDRQ                    *((volatile  uint8_t *)(0x427002A8UL))
#define bFM0P_MFS0_UART_FCR_FDRQ                  *((volatile  uint8_t *)(0x427002A8UL))
#define bFM_MFS0_UART_FCR_FRIIE                   *((volatile  uint8_t *)(0x427002ACUL))
#define bFM0P_MFS0_UART_FCR_FRIIE                 *((volatile  uint8_t *)(0x427002ACUL))
#define bFM_MFS0_UART_FCR_FLSTE                   *((volatile  uint8_t *)(0x427002B0UL))
#define bFM0P_MFS0_UART_FCR_FLSTE                 *((volatile  uint8_t *)(0x427002B0UL))

#define bFM_MFS0_UART_SCR_TXE                     *((volatile  uint8_t *)(0x42700020UL))
#define bFM0P_MFS0_UART_SCR_TXE                   *((volatile  uint8_t *)(0x42700020UL))
#define bFM_MFS0_UART_SCR_RXE                     *((volatile  uint8_t *)(0x42700024UL))
#define bFM0P_MFS0_UART_SCR_RXE                   *((volatile  uint8_t *)(0x42700024UL))
#define bFM_MFS0_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x42700028UL))
#define bFM0P_MFS0_UART_SCR_TBIE                  *((volatile  uint8_t *)(0x42700028UL))
#define bFM_MFS0_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270002CUL))
#define bFM0P_MFS0_UART_SCR_TIE                   *((volatile  uint8_t *)(0x4270002CUL))
#define bFM_MFS0_UART_SCR_RIE                     *((volatile  uint8_t *)(0x42700030UL))
#define bFM0P_MFS0_UART_SCR_RIE                   *((volatile  uint8_t *)(0x42700030UL))
#define bFM_MFS0_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270003CUL))
#define bFM0P_MFS0_UART_SCR_UPCL                  *((volatile  uint8_t *)(0x4270003CUL))

#define bFM_MFS0_UART_SMR_SOE                     *((volatile  uint8_t *)(0x42700000UL))
#define bFM0P_MFS0_UART_SMR_SOE                   *((volatile  uint8_t *)(0x42700000UL))
#define bFM_MFS0_UART_SMR_BDS                     *((volatile  uint8_t *)(0x42700008UL))
#define bFM0P_MFS0_UART_SMR_BDS                   *((volatile  uint8_t *)(0x42700008UL))
#define bFM_MFS0_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270000CUL))
#define bFM0P_MFS0_UART_SMR_SBL                   *((volatile  uint8_t *)(0x4270000CUL))

#define bFM_MFS0_UART_SSR_TBI                     *((volatile  uint8_t *)(0x427000A0UL))
#define bFM0P_MFS0_UART_SSR_TBI                   *((volatile  uint8_t *)(0x427000A0UL))
#define bFM_MFS0_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x427000A4UL))
#define bFM0P_MFS0_UART_SSR_TDRE                  *((volatile  uint8_t *)(0x427000A4UL))
#define bFM_MFS0_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x427000A8UL))
#define bFM0P_MFS0_UART_SSR_RDRF                  *((volatile  uint8_t *)(0x427000A8UL))
#define bFM_MFS0_UART_SSR_ORE                     *((volatile  uint8_t *)(0x427000ACUL))
#define bFM0P_MFS0_UART_SSR_ORE                   *((volatile  uint8_t *)(0x427000ACUL))
#define bFM_MFS0_UART_SSR_FRE                     *((volatile  uint8_t *)(0x427000B0UL))
#define bFM0P_MFS0_UART_SSR_FRE                   *((volatile  uint8_t *)(0x427000B0UL))
#define bFM_MFS0_UART_SSR_PE                      *((volatile  uint8_t *)(0x427000B4UL))
#define bFM0P_MFS0_UART_SSR_PE                    *((volatile  uint8_t *)(0x427000B4UL))
#define bFM_MFS0_UART_SSR_REC                     *((volatile  uint8_t *)(0x427000BCUL))
#define bFM0P_MFS0_UART_SSR_REC                   *((volatile  uint8_t *)(0x427000BCUL))


/******************************************************************************
 ** MFS Registers MFS1
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS1_CSIO_ESCR_CSFE                   *((volatile  uint8_t *)(0x42702094UL))
#define bFM0P_MFS1_CSIO_ESCR_CSFE                 *((volatile  uint8_t *)(0x42702094UL))
#define bFM_MFS1_CSIO_ESCR_L3                     *((volatile  uint8_t *)(0x42702098UL))
#define bFM0P_MFS1_CSIO_ESCR_L3                   *((volatile  uint8_t *)(0x42702098UL))
#define bFM_MFS1_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270209CUL))
#define bFM0P_MFS1_CSIO_ESCR_SOP                  *((volatile  uint8_t *)(0x4270209CUL))

#define bFM_MFS1_CSIO_FCR_FE1                     *((volatile  uint8_t *)(0x42702280UL))
#define bFM0P_MFS1_CSIO_FCR_FE1                   *((volatile  uint8_t *)(0x42702280UL))
#define bFM_MFS1_CSIO_FCR_FE2                     *((volatile  uint8_t *)(0x42702284UL))
#define bFM0P_MFS1_CSIO_FCR_FE2                   *((volatile  uint8_t *)(0x42702284UL))
#define bFM_MFS1_CSIO_FCR_FCL1                    *((volatile  uint8_t *)(0x42702288UL))
#define bFM0P_MFS1_CSIO_FCR_FCL1                  *((volatile  uint8_t *)(0x42702288UL))
#define bFM_MFS1_CSIO_FCR_FCL2                    *((volatile  uint8_t *)(0x4270228CUL))
#define bFM0P_MFS1_CSIO_FCR_FCL2                  *((volatile  uint8_t *)(0x4270228CUL))
#define bFM_MFS1_CSIO_FCR_FSET                    *((volatile  uint8_t *)(0x42702290UL))
#define bFM0P_MFS1_CSIO_FCR_FSET                  *((volatile  uint8_t *)(0x42702290UL))
#define bFM_MFS1_CSIO_FCR_FLD                     *((volatile  uint8_t *)(0x42702294UL))
#define bFM0P_MFS1_CSIO_FCR_FLD                   *((volatile  uint8_t *)(0x42702294UL))
#define bFM_MFS1_CSIO_FCR_FLST                    *((volatile  uint8_t *)(0x42702298UL))
#define bFM0P_MFS1_CSIO_FCR_FLST                  *((volatile  uint8_t *)(0x42702298UL))
#define bFM_MFS1_CSIO_FCR_FSEL                    *((volatile  uint8_t *)(0x427022A0UL))
#define bFM0P_MFS1_CSIO_FCR_FSEL                  *((volatile  uint8_t *)(0x427022A0UL))
#define bFM_MFS1_CSIO_FCR_FTIE                    *((volatile  uint8_t *)(0x427022A4UL))
#define bFM0P_MFS1_CSIO_FCR_FTIE                  *((volatile  uint8_t *)(0x427022A4UL))
#define bFM_MFS1_CSIO_FCR_FDRQ                    *((volatile  uint8_t *)(0x427022A8UL))
#define bFM0P_MFS1_CSIO_FCR_FDRQ                  *((volatile  uint8_t *)(0x427022A8UL))
#define bFM_MFS1_CSIO_FCR_FRIIE                   *((volatile  uint8_t *)(0x427022ACUL))
#define bFM0P_MFS1_CSIO_FCR_FRIIE                 *((volatile  uint8_t *)(0x427022ACUL))
#define bFM_MFS1_CSIO_FCR_FLSTE                   *((volatile  uint8_t *)(0x427022B0UL))
#define bFM0P_MFS1_CSIO_FCR_FLSTE                 *((volatile  uint8_t *)(0x427022B0UL))

#define bFM_MFS1_CSIO_SACSR_TMRE                  *((volatile  uint8_t *)(0x42702480UL))
#define bFM0P_MFS1_CSIO_SACSR_TMRE                *((volatile  uint8_t *)(0x42702480UL))
#define bFM_MFS1_CSIO_SACSR_TSYNE                 *((volatile  uint8_t *)(0x42702498UL))
#define bFM0P_MFS1_CSIO_SACSR_TSYNE               *((volatile  uint8_t *)(0x42702498UL))
#define bFM_MFS1_CSIO_SACSR_TINTE                 *((volatile  uint8_t *)(0x4270249CUL))
#define bFM0P_MFS1_CSIO_SACSR_TINTE               *((volatile  uint8_t *)(0x4270249CUL))
#define bFM_MFS1_CSIO_SACSR_TINT                  *((volatile  uint8_t *)(0x427024A0UL))
#define bFM0P_MFS1_CSIO_SACSR_TINT                *((volatile  uint8_t *)(0x427024A0UL))
#define bFM_MFS1_CSIO_SACSR_CSE                   *((volatile  uint8_t *)(0x427024ACUL))
#define bFM0P_MFS1_CSIO_SACSR_CSE                 *((volatile  uint8_t *)(0x427024ACUL))
#define bFM_MFS1_CSIO_SACSR_CSEIE                 *((volatile  uint8_t *)(0x427024B0UL))
#define bFM0P_MFS1_CSIO_SACSR_CSEIE               *((volatile  uint8_t *)(0x427024B0UL))
#define bFM_MFS1_CSIO_SACSR_TBEEN                 *((volatile  uint8_t *)(0x427024B4UL))
#define bFM0P_MFS1_CSIO_SACSR_TBEEN               *((volatile  uint8_t *)(0x427024B4UL))

#define bFM_MFS1_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x42702020UL))
#define bFM0P_MFS1_CSIO_SCR_TXE                   *((volatile  uint8_t *)(0x42702020UL))
#define bFM_MFS1_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x42702024UL))
#define bFM0P_MFS1_CSIO_SCR_RXE                   *((volatile  uint8_t *)(0x42702024UL))
#define bFM_MFS1_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x42702028UL))
#define bFM0P_MFS1_CSIO_SCR_TBIE                  *((volatile  uint8_t *)(0x42702028UL))
#define bFM_MFS1_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270202CUL))
#define bFM0P_MFS1_CSIO_SCR_TIE                   *((volatile  uint8_t *)(0x4270202CUL))
#define bFM_MFS1_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x42702030UL))
#define bFM0P_MFS1_CSIO_SCR_RIE                   *((volatile  uint8_t *)(0x42702030UL))
#define bFM_MFS1_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x42702034UL))
#define bFM0P_MFS1_CSIO_SCR_SPI                   *((volatile  uint8_t *)(0x42702034UL))
#define bFM_MFS1_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x42702038UL))
#define bFM0P_MFS1_CSIO_SCR_MS                    *((volatile  uint8_t *)(0x42702038UL))
#define bFM_MFS1_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270203CUL))
#define bFM0P_MFS1_CSIO_SCR_UPCL                  *((volatile  uint8_t *)(0x4270203CUL))

#define bFM_MFS1_CSIO_SCSCR_CSOE                  *((volatile  uint8_t *)(0x42702600UL))
#define bFM0P_MFS1_CSIO_SCSCR_CSOE                *((volatile  uint8_t *)(0x42702600UL))
#define bFM_MFS1_CSIO_SCSCR_CSEN0                 *((volatile  uint8_t *)(0x42702604UL))
#define bFM0P_MFS1_CSIO_SCSCR_CSEN0               *((volatile  uint8_t *)(0x42702604UL))
#define bFM_MFS1_CSIO_SCSCR_CSEN1                 *((volatile  uint8_t *)(0x42702608UL))
#define bFM0P_MFS1_CSIO_SCSCR_CSEN1               *((volatile  uint8_t *)(0x42702608UL))
#define bFM_MFS1_CSIO_SCSCR_CSEN2                 *((volatile  uint8_t *)(0x4270260CUL))
#define bFM0P_MFS1_CSIO_SCSCR_CSEN2               *((volatile  uint8_t *)(0x4270260CUL))
#define bFM_MFS1_CSIO_SCSCR_CSEN3                 *((volatile  uint8_t *)(0x42702610UL))
#define bFM0P_MFS1_CSIO_SCSCR_CSEN3               *((volatile  uint8_t *)(0x42702610UL))
#define bFM_MFS1_CSIO_SCSCR_CSLVL                 *((volatile  uint8_t *)(0x42702614UL))
#define bFM0P_MFS1_CSIO_SCSCR_CSLVL               *((volatile  uint8_t *)(0x42702614UL))
#define bFM_MFS1_CSIO_SCSCR_SCAM                  *((volatile  uint8_t *)(0x42702624UL))
#define bFM0P_MFS1_CSIO_SCSCR_SCAM                *((volatile  uint8_t *)(0x42702624UL))

#define bFM_MFS1_CSIO_SCSFR0_CS1BDS               *((volatile  uint8_t *)(0x42702690UL))
#define bFM0P_MFS1_CSIO_SCSFR0_CS1BDS             *((volatile  uint8_t *)(0x42702690UL))
#define bFM_MFS1_CSIO_SCSFR0_CS1SPI               *((volatile  uint8_t *)(0x42702694UL))
#define bFM0P_MFS1_CSIO_SCSFR0_CS1SPI             *((volatile  uint8_t *)(0x42702694UL))
#define bFM_MFS1_CSIO_SCSFR0_CS1SCINV             *((volatile  uint8_t *)(0x42702698UL))
#define bFM0P_MFS1_CSIO_SCSFR0_CS1SCINV           *((volatile  uint8_t *)(0x42702698UL))
#define bFM_MFS1_CSIO_SCSFR0_CS1CSLVL             *((volatile  uint8_t *)(0x4270269CUL))
#define bFM0P_MFS1_CSIO_SCSFR0_CS1CSLVL           *((volatile  uint8_t *)(0x4270269CUL))

#define bFM_MFS1_CSIO_SCSFR1_CS2BDS               *((volatile  uint8_t *)(0x427026B0UL))
#define bFM0P_MFS1_CSIO_SCSFR1_CS2BDS             *((volatile  uint8_t *)(0x427026B0UL))
#define bFM_MFS1_CSIO_SCSFR1_CS2SPI               *((volatile  uint8_t *)(0x427026B4UL))
#define bFM0P_MFS1_CSIO_SCSFR1_CS2SPI             *((volatile  uint8_t *)(0x427026B4UL))
#define bFM_MFS1_CSIO_SCSFR1_CS2SCINV             *((volatile  uint8_t *)(0x427026B8UL))
#define bFM0P_MFS1_CSIO_SCSFR1_CS2SCINV           *((volatile  uint8_t *)(0x427026B8UL))
#define bFM_MFS1_CSIO_SCSFR1_CS2CSLVL             *((volatile  uint8_t *)(0x427026BCUL))
#define bFM0P_MFS1_CSIO_SCSFR1_CS2CSLVL           *((volatile  uint8_t *)(0x427026BCUL))

#define bFM_MFS1_CSIO_SCSFR2_CS3BDS               *((volatile  uint8_t *)(0x42702710UL))
#define bFM0P_MFS1_CSIO_SCSFR2_CS3BDS             *((volatile  uint8_t *)(0x42702710UL))
#define bFM_MFS1_CSIO_SCSFR2_CS3SPI               *((volatile  uint8_t *)(0x42702714UL))
#define bFM0P_MFS1_CSIO_SCSFR2_CS3SPI             *((volatile  uint8_t *)(0x42702714UL))
#define bFM_MFS1_CSIO_SCSFR2_CS3SCINV             *((volatile  uint8_t *)(0x42702718UL))
#define bFM0P_MFS1_CSIO_SCSFR2_CS3SCINV           *((volatile  uint8_t *)(0x42702718UL))
#define bFM_MFS1_CSIO_SCSFR2_CS3CSLVL             *((volatile  uint8_t *)(0x4270271CUL))
#define bFM0P_MFS1_CSIO_SCSFR2_CS3CSLVL           *((volatile  uint8_t *)(0x4270271CUL))

#define bFM_MFS1_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x42702000UL))
#define bFM0P_MFS1_CSIO_SMR_SOE                   *((volatile  uint8_t *)(0x42702000UL))
#define bFM_MFS1_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x42702004UL))
#define bFM0P_MFS1_CSIO_SMR_SCKE                  *((volatile  uint8_t *)(0x42702004UL))
#define bFM_MFS1_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x42702008UL))
#define bFM0P_MFS1_CSIO_SMR_BDS                   *((volatile  uint8_t *)(0x42702008UL))
#define bFM_MFS1_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270200CUL))
#define bFM0P_MFS1_CSIO_SMR_SCINV                 *((volatile  uint8_t *)(0x4270200CUL))

#define bFM_MFS1_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x427020A0UL))
#define bFM0P_MFS1_CSIO_SSR_TBI                   *((volatile  uint8_t *)(0x427020A0UL))
#define bFM_MFS1_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x427020A4UL))
#define bFM0P_MFS1_CSIO_SSR_TDRE                  *((volatile  uint8_t *)(0x427020A4UL))
#define bFM_MFS1_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x427020A8UL))
#define bFM0P_MFS1_CSIO_SSR_RDRF                  *((volatile  uint8_t *)(0x427020A8UL))
#define bFM_MFS1_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x427020ACUL))
#define bFM0P_MFS1_CSIO_SSR_ORE                   *((volatile  uint8_t *)(0x427020ACUL))
#define bFM_MFS1_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x427020BCUL))
#define bFM0P_MFS1_CSIO_SSR_REC                   *((volatile  uint8_t *)(0x427020BCUL))

#define bFM_MFS1_I2C_EIBCR_BEC                    *((volatile  uint8_t *)(0x427023A0UL))
#define bFM0P_MFS1_I2C_EIBCR_BEC                  *((volatile  uint8_t *)(0x427023A0UL))
#define bFM_MFS1_I2C_EIBCR_SOCE                   *((volatile  uint8_t *)(0x427023A4UL))
#define bFM0P_MFS1_I2C_EIBCR_SOCE                 *((volatile  uint8_t *)(0x427023A4UL))
#define bFM_MFS1_I2C_EIBCR_SCLC                   *((volatile  uint8_t *)(0x427023A8UL))
#define bFM0P_MFS1_I2C_EIBCR_SCLC                 *((volatile  uint8_t *)(0x427023A8UL))
#define bFM_MFS1_I2C_EIBCR_SDAC                   *((volatile  uint8_t *)(0x427023ACUL))
#define bFM0P_MFS1_I2C_EIBCR_SDAC                 *((volatile  uint8_t *)(0x427023ACUL))
#define bFM_MFS1_I2C_EIBCR_SCLS                   *((volatile  uint8_t *)(0x427023B0UL))
#define bFM0P_MFS1_I2C_EIBCR_SCLS                 *((volatile  uint8_t *)(0x427023B0UL))
#define bFM_MFS1_I2C_EIBCR_SDAS                   *((volatile  uint8_t *)(0x427023B4UL))
#define bFM0P_MFS1_I2C_EIBCR_SDAS                 *((volatile  uint8_t *)(0x427023B4UL))

#define bFM_MFS1_I2C_FCR_FE1                      *((volatile  uint8_t *)(0x42702280UL))
#define bFM0P_MFS1_I2C_FCR_FE1                    *((volatile  uint8_t *)(0x42702280UL))
#define bFM_MFS1_I2C_FCR_FE2                      *((volatile  uint8_t *)(0x42702284UL))
#define bFM0P_MFS1_I2C_FCR_FE2                    *((volatile  uint8_t *)(0x42702284UL))
#define bFM_MFS1_I2C_FCR_FCL1                     *((volatile  uint8_t *)(0x42702288UL))
#define bFM0P_MFS1_I2C_FCR_FCL1                   *((volatile  uint8_t *)(0x42702288UL))
#define bFM_MFS1_I2C_FCR_FCL2                     *((volatile  uint8_t *)(0x4270228CUL))
#define bFM0P_MFS1_I2C_FCR_FCL2                   *((volatile  uint8_t *)(0x4270228CUL))
#define bFM_MFS1_I2C_FCR_FSET                     *((volatile  uint8_t *)(0x42702290UL))
#define bFM0P_MFS1_I2C_FCR_FSET                   *((volatile  uint8_t *)(0x42702290UL))
#define bFM_MFS1_I2C_FCR_FLD                      *((volatile  uint8_t *)(0x42702294UL))
#define bFM0P_MFS1_I2C_FCR_FLD                    *((volatile  uint8_t *)(0x42702294UL))
#define bFM_MFS1_I2C_FCR_FLST                     *((volatile  uint8_t *)(0x42702298UL))
#define bFM0P_MFS1_I2C_FCR_FLST                   *((volatile  uint8_t *)(0x42702298UL))
#define bFM_MFS1_I2C_FCR_FSEL                     *((volatile  uint8_t *)(0x427022A0UL))
#define bFM0P_MFS1_I2C_FCR_FSEL                   *((volatile  uint8_t *)(0x427022A0UL))
#define bFM_MFS1_I2C_FCR_FTIE                     *((volatile  uint8_t *)(0x427022A4UL))
#define bFM0P_MFS1_I2C_FCR_FTIE                   *((volatile  uint8_t *)(0x427022A4UL))
#define bFM_MFS1_I2C_FCR_FDRQ                     *((volatile  uint8_t *)(0x427022A8UL))
#define bFM0P_MFS1_I2C_FCR_FDRQ                   *((volatile  uint8_t *)(0x427022A8UL))
#define bFM_MFS1_I2C_FCR_FRIIE                    *((volatile  uint8_t *)(0x427022ACUL))
#define bFM0P_MFS1_I2C_FCR_FRIIE                  *((volatile  uint8_t *)(0x427022ACUL))
#define bFM_MFS1_I2C_FCR_FLSTE                    *((volatile  uint8_t *)(0x427022B0UL))
#define bFM0P_MFS1_I2C_FCR_FLSTE                  *((volatile  uint8_t *)(0x427022B0UL))

#define bFM_MFS1_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x42702020UL))
#define bFM0P_MFS1_I2C_IBCR_INT                   *((volatile  uint8_t *)(0x42702020UL))
#define bFM_MFS1_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x42702024UL))
#define bFM0P_MFS1_I2C_IBCR_BER                   *((volatile  uint8_t *)(0x42702024UL))
#define bFM_MFS1_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x42702028UL))
#define bFM0P_MFS1_I2C_IBCR_INTE                  *((volatile  uint8_t *)(0x42702028UL))
#define bFM_MFS1_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270202CUL))
#define bFM0P_MFS1_I2C_IBCR_CNDE                  *((volatile  uint8_t *)(0x4270202CUL))
#define bFM_MFS1_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x42702030UL))
#define bFM0P_MFS1_I2C_IBCR_WSEL                  *((volatile  uint8_t *)(0x42702030UL))
#define bFM_MFS1_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x42702034UL))
#define bFM0P_MFS1_I2C_IBCR_ACKE                  *((volatile  uint8_t *)(0x42702034UL))
#define bFM_MFS1_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x42702038UL))
#define bFM0P_MFS1_I2C_IBCR_ACT_SCC               *((volatile  uint8_t *)(0x42702038UL))
#define bFM_MFS1_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270203CUL))
#define bFM0P_MFS1_I2C_IBCR_MSS                   *((volatile  uint8_t *)(0x4270203CUL))

#define bFM_MFS1_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x42702080UL))
#define bFM0P_MFS1_I2C_IBSR_BB                    *((volatile  uint8_t *)(0x42702080UL))
#define bFM_MFS1_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x42702084UL))
#define bFM0P_MFS1_I2C_IBSR_SPC                   *((volatile  uint8_t *)(0x42702084UL))
#define bFM_MFS1_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x42702088UL))
#define bFM0P_MFS1_I2C_IBSR_RSC                   *((volatile  uint8_t *)(0x42702088UL))
#define bFM_MFS1_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270208CUL))
#define bFM0P_MFS1_I2C_IBSR_AL                    *((volatile  uint8_t *)(0x4270208CUL))
#define bFM_MFS1_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x42702090UL))
#define bFM0P_MFS1_I2C_IBSR_TRX                   *((volatile  uint8_t *)(0x42702090UL))
#define bFM_MFS1_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x42702094UL))
#define bFM0P_MFS1_I2C_IBSR_RSA                   *((volatile  uint8_t *)(0x42702094UL))
#define bFM_MFS1_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x42702098UL))
#define bFM0P_MFS1_I2C_IBSR_RACK                  *((volatile  uint8_t *)(0x42702098UL))
#define bFM_MFS1_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270209CUL))
#define bFM0P_MFS1_I2C_IBSR_FBT                   *((volatile  uint8_t *)(0x4270209CUL))

#define bFM_MFS1_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270221CUL))
#define bFM0P_MFS1_I2C_ISBA_SAEN                  *((volatile  uint8_t *)(0x4270221CUL))

#define bFM_MFS1_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270223CUL))
#define bFM0P_MFS1_I2C_ISMK_EN                    *((volatile  uint8_t *)(0x4270223CUL))

#define bFM_MFS1_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x42702008UL))
#define bFM0P_MFS1_I2C_SMR_TIE                    *((volatile  uint8_t *)(0x42702008UL))
#define bFM_MFS1_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270200CUL))
#define bFM0P_MFS1_I2C_SMR_RIE                    *((volatile  uint8_t *)(0x4270200CUL))

#define bFM_MFS1_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x427020A0UL))
#define bFM0P_MFS1_I2C_SSR_TBI                    *((volatile  uint8_t *)(0x427020A0UL))
#define bFM_MFS1_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x427020A4UL))
#define bFM0P_MFS1_I2C_SSR_TDRE                   *((volatile  uint8_t *)(0x427020A4UL))
#define bFM_MFS1_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x427020A8UL))
#define bFM0P_MFS1_I2C_SSR_RDRF                   *((volatile  uint8_t *)(0x427020A8UL))
#define bFM_MFS1_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x427020ACUL))
#define bFM0P_MFS1_I2C_SSR_ORE                    *((volatile  uint8_t *)(0x427020ACUL))
#define bFM_MFS1_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x427020B0UL))
#define bFM0P_MFS1_I2C_SSR_TBIE                   *((volatile  uint8_t *)(0x427020B0UL))
#define bFM_MFS1_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x427020B4UL))
#define bFM0P_MFS1_I2C_SSR_DMA                    *((volatile  uint8_t *)(0x427020B4UL))
#define bFM_MFS1_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x427020B8UL))
#define bFM0P_MFS1_I2C_SSR_TSET                   *((volatile  uint8_t *)(0x427020B8UL))
#define bFM_MFS1_I2C_SSR_REC                      *((volatile  uint8_t *)(0x427020BCUL))
#define bFM0P_MFS1_I2C_SSR_REC                    *((volatile  uint8_t *)(0x427020BCUL))

#define bFM_MFS1_LIN_BGR_EXT                      *((volatile  uint8_t *)(0x427021BCUL))
#define bFM0P_MFS1_LIN_BGR_EXT                    *((volatile  uint8_t *)(0x427021BCUL))

#define bFM_MFS1_LIN_ESCR_LBIE                    *((volatile  uint8_t *)(0x42702090UL))
#define bFM0P_MFS1_LIN_ESCR_LBIE                  *((volatile  uint8_t *)(0x42702090UL))
#define bFM_MFS1_LIN_ESCR_ESBL                    *((volatile  uint8_t *)(0x42702098UL))
#define bFM0P_MFS1_LIN_ESCR_ESBL                  *((volatile  uint8_t *)(0x42702098UL))

#define bFM_MFS1_LIN_FCR_FE1                      *((volatile  uint8_t *)(0x42702280UL))
#define bFM0P_MFS1_LIN_FCR_FE1                    *((volatile  uint8_t *)(0x42702280UL))
#define bFM_MFS1_LIN_FCR_FE2                      *((volatile  uint8_t *)(0x42702284UL))
#define bFM0P_MFS1_LIN_FCR_FE2                    *((volatile  uint8_t *)(0x42702284UL))
#define bFM_MFS1_LIN_FCR_FCL1                     *((volatile  uint8_t *)(0x42702288UL))
#define bFM0P_MFS1_LIN_FCR_FCL1                   *((volatile  uint8_t *)(0x42702288UL))
#define bFM_MFS1_LIN_FCR_FCL2                     *((volatile  uint8_t *)(0x4270228CUL))
#define bFM0P_MFS1_LIN_FCR_FCL2                   *((volatile  uint8_t *)(0x4270228CUL))
#define bFM_MFS1_LIN_FCR_FSET                     *((volatile  uint8_t *)(0x42702290UL))
#define bFM0P_MFS1_LIN_FCR_FSET                   *((volatile  uint8_t *)(0x42702290UL))
#define bFM_MFS1_LIN_FCR_FLD                      *((volatile  uint8_t *)(0x42702294UL))
#define bFM0P_MFS1_LIN_FCR_FLD                    *((volatile  uint8_t *)(0x42702294UL))
#define bFM_MFS1_LIN_FCR_FLST                     *((volatile  uint8_t *)(0x42702298UL))
#define bFM0P_MFS1_LIN_FCR_FLST                   *((volatile  uint8_t *)(0x42702298UL))
#define bFM_MFS1_LIN_FCR_FSEL                     *((volatile  uint8_t *)(0x427022A0UL))
#define bFM0P_MFS1_LIN_FCR_FSEL                   *((volatile  uint8_t *)(0x427022A0UL))
#define bFM_MFS1_LIN_FCR_FTIE                     *((volatile  uint8_t *)(0x427022A4UL))
#define bFM0P_MFS1_LIN_FCR_FTIE                   *((volatile  uint8_t *)(0x427022A4UL))
#define bFM_MFS1_LIN_FCR_FDRQ                     *((volatile  uint8_t *)(0x427022A8UL))
#define bFM0P_MFS1_LIN_FCR_FDRQ                   *((volatile  uint8_t *)(0x427022A8UL))
#define bFM_MFS1_LIN_FCR_FRIIE                    *((volatile  uint8_t *)(0x427022ACUL))
#define bFM0P_MFS1_LIN_FCR_FRIIE                  *((volatile  uint8_t *)(0x427022ACUL))
#define bFM_MFS1_LIN_FCR_FLSTE                    *((volatile  uint8_t *)(0x427022B0UL))
#define bFM0P_MFS1_LIN_FCR_FLSTE                  *((volatile  uint8_t *)(0x427022B0UL))

#define bFM_MFS1_LIN_SCR_TXE                      *((volatile  uint8_t *)(0x42702020UL))
#define bFM0P_MFS1_LIN_SCR_TXE                    *((volatile  uint8_t *)(0x42702020UL))
#define bFM_MFS1_LIN_SCR_RXE                      *((volatile  uint8_t *)(0x42702024UL))
#define bFM0P_MFS1_LIN_SCR_RXE                    *((volatile  uint8_t *)(0x42702024UL))
#define bFM_MFS1_LIN_SCR_TBIE                     *((volatile  uint8_t *)(0x42702028UL))
#define bFM0P_MFS1_LIN_SCR_TBIE                   *((volatile  uint8_t *)(0x42702028UL))
#define bFM_MFS1_LIN_SCR_TIE                      *((volatile  uint8_t *)(0x4270202CUL))
#define bFM0P_MFS1_LIN_SCR_TIE                    *((volatile  uint8_t *)(0x4270202CUL))
#define bFM_MFS1_LIN_SCR_RIE                      *((volatile  uint8_t *)(0x42702030UL))
#define bFM0P_MFS1_LIN_SCR_RIE                    *((volatile  uint8_t *)(0x42702030UL))
#define bFM_MFS1_LIN_SCR_LBR                      *((volatile  uint8_t *)(0x42702034UL))
#define bFM0P_MFS1_LIN_SCR_LBR                    *((volatile  uint8_t *)(0x42702034UL))
#define bFM_MFS1_LIN_SCR_MS                       *((volatile  uint8_t *)(0x42702038UL))
#define bFM0P_MFS1_LIN_SCR_MS                     *((volatile  uint8_t *)(0x42702038UL))
#define bFM_MFS1_LIN_SCR_UPCL                     *((volatile  uint8_t *)(0x4270203CUL))
#define bFM0P_MFS1_LIN_SCR_UPCL                   *((volatile  uint8_t *)(0x4270203CUL))

#define bFM_MFS1_LIN_SMR_SOE                      *((volatile  uint8_t *)(0x42702000UL))
#define bFM0P_MFS1_LIN_SMR_SOE                    *((volatile  uint8_t *)(0x42702000UL))
#define bFM_MFS1_LIN_SMR_SBL                      *((volatile  uint8_t *)(0x4270200CUL))
#define bFM0P_MFS1_LIN_SMR_SBL                    *((volatile  uint8_t *)(0x4270200CUL))

#define bFM_MFS1_LIN_SSR_TBI                      *((volatile  uint8_t *)(0x427020A0UL))
#define bFM0P_MFS1_LIN_SSR_TBI                    *((volatile  uint8_t *)(0x427020A0UL))
#define bFM_MFS1_LIN_SSR_TDRE                     *((volatile  uint8_t *)(0x427020A4UL))
#define bFM0P_MFS1_LIN_SSR_TDRE                   *((volatile  uint8_t *)(0x427020A4UL))
#define bFM_MFS1_LIN_SSR_RDRF                     *((volatile  uint8_t *)(0x427020A8UL))
#define bFM0P_MFS1_LIN_SSR_RDRF                   *((volatile  uint8_t *)(0x427020A8UL))
#define bFM_MFS1_LIN_SSR_ORE                      *((volatile  uint8_t *)(0x427020ACUL))
#define bFM0P_MFS1_LIN_SSR_ORE                    *((volatile  uint8_t *)(0x427020ACUL))
#define bFM_MFS1_LIN_SSR_FRE                      *((volatile  uint8_t *)(0x427020B0UL))
#define bFM0P_MFS1_LIN_SSR_FRE                    *((volatile  uint8_t *)(0x427020B0UL))
#define bFM_MFS1_LIN_SSR_LBD                      *((volatile  uint8_t *)(0x427020B4UL))
#define bFM0P_MFS1_LIN_SSR_LBD                    *((volatile  uint8_t *)(0x427020B4UL))
#define bFM_MFS1_LIN_SSR_REC                      *((volatile  uint8_t *)(0x427020BCUL))
#define bFM0P_MFS1_LIN_SSR_REC                    *((volatile  uint8_t *)(0x427020BCUL))

#define bFM_MFS1_UART_BGR_EXT                     *((volatile  uint8_t *)(0x427021BCUL))
#define bFM0P_MFS1_UART_BGR_EXT                   *((volatile  uint8_t *)(0x427021BCUL))

#define bFM_MFS1_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270208CUL))
#define bFM0P_MFS1_UART_ESCR_P                    *((volatile  uint8_t *)(0x4270208CUL))
#define bFM_MFS1_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x42702090UL))
#define bFM0P_MFS1_UART_ESCR_PEN                  *((volatile  uint8_t *)(0x42702090UL))
#define bFM_MFS1_UART_ESCR_INV                    *((volatile  uint8_t *)(0x42702094UL))
#define bFM0P_MFS1_UART_ESCR_INV                  *((volatile  uint8_t *)(0x42702094UL))
#define bFM_MFS1_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x42702098UL))
#define bFM0P_MFS1_UART_ESCR_ESBL                 *((volatile  uint8_t *)(0x42702098UL))
#define bFM_MFS1_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270209CUL))
#define bFM0P_MFS1_UART_ESCR_FLWEN                *((volatile  uint8_t *)(0x4270209CUL))

#define bFM_MFS1_UART_FCR_FE1                     *((volatile  uint8_t *)(0x42702280UL))
#define bFM0P_MFS1_UART_FCR_FE1                   *((volatile  uint8_t *)(0x42702280UL))
#define bFM_MFS1_UART_FCR_FE2                     *((volatile  uint8_t *)(0x42702284UL))
#define bFM0P_MFS1_UART_FCR_FE2                   *((volatile  uint8_t *)(0x42702284UL))
#define bFM_MFS1_UART_FCR_FCL1                    *((volatile  uint8_t *)(0x42702288UL))
#define bFM0P_MFS1_UART_FCR_FCL1                  *((volatile  uint8_t *)(0x42702288UL))
#define bFM_MFS1_UART_FCR_FCL2                    *((volatile  uint8_t *)(0x4270228CUL))
#define bFM0P_MFS1_UART_FCR_FCL2                  *((volatile  uint8_t *)(0x4270228CUL))
#define bFM_MFS1_UART_FCR_FSET                    *((volatile  uint8_t *)(0x42702290UL))
#define bFM0P_MFS1_UART_FCR_FSET                  *((volatile  uint8_t *)(0x42702290UL))
#define bFM_MFS1_UART_FCR_FLD                     *((volatile  uint8_t *)(0x42702294UL))
#define bFM0P_MFS1_UART_FCR_FLD                   *((volatile  uint8_t *)(0x42702294UL))
#define bFM_MFS1_UART_FCR_FLST                    *((volatile  uint8_t *)(0x42702298UL))
#define bFM0P_MFS1_UART_FCR_FLST                  *((volatile  uint8_t *)(0x42702298UL))
#define bFM_MFS1_UART_FCR_FSEL                    *((volatile  uint8_t *)(0x427022A0UL))
#define bFM0P_MFS1_UART_FCR_FSEL                  *((volatile  uint8_t *)(0x427022A0UL))
#define bFM_MFS1_UART_FCR_FTIE                    *((volatile  uint8_t *)(0x427022A4UL))
#define bFM0P_MFS1_UART_FCR_FTIE                  *((volatile  uint8_t *)(0x427022A4UL))
#define bFM_MFS1_UART_FCR_FDRQ                    *((volatile  uint8_t *)(0x427022A8UL))
#define bFM0P_MFS1_UART_FCR_FDRQ                  *((volatile  uint8_t *)(0x427022A8UL))
#define bFM_MFS1_UART_FCR_FRIIE                   *((volatile  uint8_t *)(0x427022ACUL))
#define bFM0P_MFS1_UART_FCR_FRIIE                 *((volatile  uint8_t *)(0x427022ACUL))
#define bFM_MFS1_UART_FCR_FLSTE                   *((volatile  uint8_t *)(0x427022B0UL))
#define bFM0P_MFS1_UART_FCR_FLSTE                 *((volatile  uint8_t *)(0x427022B0UL))

#define bFM_MFS1_UART_SCR_TXE                     *((volatile  uint8_t *)(0x42702020UL))
#define bFM0P_MFS1_UART_SCR_TXE                   *((volatile  uint8_t *)(0x42702020UL))
#define bFM_MFS1_UART_SCR_RXE                     *((volatile  uint8_t *)(0x42702024UL))
#define bFM0P_MFS1_UART_SCR_RXE                   *((volatile  uint8_t *)(0x42702024UL))
#define bFM_MFS1_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x42702028UL))
#define bFM0P_MFS1_UART_SCR_TBIE                  *((volatile  uint8_t *)(0x42702028UL))
#define bFM_MFS1_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270202CUL))
#define bFM0P_MFS1_UART_SCR_TIE                   *((volatile  uint8_t *)(0x4270202CUL))
#define bFM_MFS1_UART_SCR_RIE                     *((volatile  uint8_t *)(0x42702030UL))
#define bFM0P_MFS1_UART_SCR_RIE                   *((volatile  uint8_t *)(0x42702030UL))
#define bFM_MFS1_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270203CUL))
#define bFM0P_MFS1_UART_SCR_UPCL                  *((volatile  uint8_t *)(0x4270203CUL))

#define bFM_MFS1_UART_SMR_SOE                     *((volatile  uint8_t *)(0x42702000UL))
#define bFM0P_MFS1_UART_SMR_SOE                   *((volatile  uint8_t *)(0x42702000UL))
#define bFM_MFS1_UART_SMR_BDS                     *((volatile  uint8_t *)(0x42702008UL))
#define bFM0P_MFS1_UART_SMR_BDS                   *((volatile  uint8_t *)(0x42702008UL))
#define bFM_MFS1_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270200CUL))
#define bFM0P_MFS1_UART_SMR_SBL                   *((volatile  uint8_t *)(0x4270200CUL))

#define bFM_MFS1_UART_SSR_TBI                     *((volatile  uint8_t *)(0x427020A0UL))
#define bFM0P_MFS1_UART_SSR_TBI                   *((volatile  uint8_t *)(0x427020A0UL))
#define bFM_MFS1_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x427020A4UL))
#define bFM0P_MFS1_UART_SSR_TDRE                  *((volatile  uint8_t *)(0x427020A4UL))
#define bFM_MFS1_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x427020A8UL))
#define bFM0P_MFS1_UART_SSR_RDRF                  *((volatile  uint8_t *)(0x427020A8UL))
#define bFM_MFS1_UART_SSR_ORE                     *((volatile  uint8_t *)(0x427020ACUL))
#define bFM0P_MFS1_UART_SSR_ORE                   *((volatile  uint8_t *)(0x427020ACUL))
#define bFM_MFS1_UART_SSR_FRE                     *((volatile  uint8_t *)(0x427020B0UL))
#define bFM0P_MFS1_UART_SSR_FRE                   *((volatile  uint8_t *)(0x427020B0UL))
#define bFM_MFS1_UART_SSR_PE                      *((volatile  uint8_t *)(0x427020B4UL))
#define bFM0P_MFS1_UART_SSR_PE                    *((volatile  uint8_t *)(0x427020B4UL))
#define bFM_MFS1_UART_SSR_REC                     *((volatile  uint8_t *)(0x427020BCUL))
#define bFM0P_MFS1_UART_SSR_REC                   *((volatile  uint8_t *)(0x427020BCUL))


/******************************************************************************
 ** MFS Registers MFS3
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS3_CSIO_ESCR_CSFE                   *((volatile  uint8_t *)(0x42706094UL))
#define bFM0P_MFS3_CSIO_ESCR_CSFE                 *((volatile  uint8_t *)(0x42706094UL))
#define bFM_MFS3_CSIO_ESCR_L3                     *((volatile  uint8_t *)(0x42706098UL))
#define bFM0P_MFS3_CSIO_ESCR_L3                   *((volatile  uint8_t *)(0x42706098UL))
#define bFM_MFS3_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270609CUL))
#define bFM0P_MFS3_CSIO_ESCR_SOP                  *((volatile  uint8_t *)(0x4270609CUL))

#define bFM_MFS3_CSIO_FCR_FE1                     *((volatile  uint8_t *)(0x42706280UL))
#define bFM0P_MFS3_CSIO_FCR_FE1                   *((volatile  uint8_t *)(0x42706280UL))
#define bFM_MFS3_CSIO_FCR_FE2                     *((volatile  uint8_t *)(0x42706284UL))
#define bFM0P_MFS3_CSIO_FCR_FE2                   *((volatile  uint8_t *)(0x42706284UL))
#define bFM_MFS3_CSIO_FCR_FCL1                    *((volatile  uint8_t *)(0x42706288UL))
#define bFM0P_MFS3_CSIO_FCR_FCL1                  *((volatile  uint8_t *)(0x42706288UL))
#define bFM_MFS3_CSIO_FCR_FCL2                    *((volatile  uint8_t *)(0x4270628CUL))
#define bFM0P_MFS3_CSIO_FCR_FCL2                  *((volatile  uint8_t *)(0x4270628CUL))
#define bFM_MFS3_CSIO_FCR_FSET                    *((volatile  uint8_t *)(0x42706290UL))
#define bFM0P_MFS3_CSIO_FCR_FSET                  *((volatile  uint8_t *)(0x42706290UL))
#define bFM_MFS3_CSIO_FCR_FLD                     *((volatile  uint8_t *)(0x42706294UL))
#define bFM0P_MFS3_CSIO_FCR_FLD                   *((volatile  uint8_t *)(0x42706294UL))
#define bFM_MFS3_CSIO_FCR_FLST                    *((volatile  uint8_t *)(0x42706298UL))
#define bFM0P_MFS3_CSIO_FCR_FLST                  *((volatile  uint8_t *)(0x42706298UL))
#define bFM_MFS3_CSIO_FCR_FSEL                    *((volatile  uint8_t *)(0x427062A0UL))
#define bFM0P_MFS3_CSIO_FCR_FSEL                  *((volatile  uint8_t *)(0x427062A0UL))
#define bFM_MFS3_CSIO_FCR_FTIE                    *((volatile  uint8_t *)(0x427062A4UL))
#define bFM0P_MFS3_CSIO_FCR_FTIE                  *((volatile  uint8_t *)(0x427062A4UL))
#define bFM_MFS3_CSIO_FCR_FDRQ                    *((volatile  uint8_t *)(0x427062A8UL))
#define bFM0P_MFS3_CSIO_FCR_FDRQ                  *((volatile  uint8_t *)(0x427062A8UL))
#define bFM_MFS3_CSIO_FCR_FRIIE                   *((volatile  uint8_t *)(0x427062ACUL))
#define bFM0P_MFS3_CSIO_FCR_FRIIE                 *((volatile  uint8_t *)(0x427062ACUL))
#define bFM_MFS3_CSIO_FCR_FLSTE                   *((volatile  uint8_t *)(0x427062B0UL))
#define bFM0P_MFS3_CSIO_FCR_FLSTE                 *((volatile  uint8_t *)(0x427062B0UL))

#define bFM_MFS3_CSIO_SACSR_TMRE                  *((volatile  uint8_t *)(0x42706480UL))
#define bFM0P_MFS3_CSIO_SACSR_TMRE                *((volatile  uint8_t *)(0x42706480UL))
#define bFM_MFS3_CSIO_SACSR_TSYNE                 *((volatile  uint8_t *)(0x42706498UL))
#define bFM0P_MFS3_CSIO_SACSR_TSYNE               *((volatile  uint8_t *)(0x42706498UL))
#define bFM_MFS3_CSIO_SACSR_TINTE                 *((volatile  uint8_t *)(0x4270649CUL))
#define bFM0P_MFS3_CSIO_SACSR_TINTE               *((volatile  uint8_t *)(0x4270649CUL))
#define bFM_MFS3_CSIO_SACSR_TINT                  *((volatile  uint8_t *)(0x427064A0UL))
#define bFM0P_MFS3_CSIO_SACSR_TINT                *((volatile  uint8_t *)(0x427064A0UL))
#define bFM_MFS3_CSIO_SACSR_CSE                   *((volatile  uint8_t *)(0x427064ACUL))
#define bFM0P_MFS3_CSIO_SACSR_CSE                 *((volatile  uint8_t *)(0x427064ACUL))
#define bFM_MFS3_CSIO_SACSR_CSEIE                 *((volatile  uint8_t *)(0x427064B0UL))
#define bFM0P_MFS3_CSIO_SACSR_CSEIE               *((volatile  uint8_t *)(0x427064B0UL))
#define bFM_MFS3_CSIO_SACSR_TBEEN                 *((volatile  uint8_t *)(0x427064B4UL))
#define bFM0P_MFS3_CSIO_SACSR_TBEEN               *((volatile  uint8_t *)(0x427064B4UL))

#define bFM_MFS3_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x42706020UL))
#define bFM0P_MFS3_CSIO_SCR_TXE                   *((volatile  uint8_t *)(0x42706020UL))
#define bFM_MFS3_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x42706024UL))
#define bFM0P_MFS3_CSIO_SCR_RXE                   *((volatile  uint8_t *)(0x42706024UL))
#define bFM_MFS3_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x42706028UL))
#define bFM0P_MFS3_CSIO_SCR_TBIE                  *((volatile  uint8_t *)(0x42706028UL))
#define bFM_MFS3_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270602CUL))
#define bFM0P_MFS3_CSIO_SCR_TIE                   *((volatile  uint8_t *)(0x4270602CUL))
#define bFM_MFS3_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x42706030UL))
#define bFM0P_MFS3_CSIO_SCR_RIE                   *((volatile  uint8_t *)(0x42706030UL))
#define bFM_MFS3_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x42706034UL))
#define bFM0P_MFS3_CSIO_SCR_SPI                   *((volatile  uint8_t *)(0x42706034UL))
#define bFM_MFS3_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x42706038UL))
#define bFM0P_MFS3_CSIO_SCR_MS                    *((volatile  uint8_t *)(0x42706038UL))
#define bFM_MFS3_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270603CUL))
#define bFM0P_MFS3_CSIO_SCR_UPCL                  *((volatile  uint8_t *)(0x4270603CUL))

#define bFM_MFS3_CSIO_SCSCR_CSOE                  *((volatile  uint8_t *)(0x42706600UL))
#define bFM0P_MFS3_CSIO_SCSCR_CSOE                *((volatile  uint8_t *)(0x42706600UL))
#define bFM_MFS3_CSIO_SCSCR_CSEN0                 *((volatile  uint8_t *)(0x42706604UL))
#define bFM0P_MFS3_CSIO_SCSCR_CSEN0               *((volatile  uint8_t *)(0x42706604UL))
#define bFM_MFS3_CSIO_SCSCR_CSEN1                 *((volatile  uint8_t *)(0x42706608UL))
#define bFM0P_MFS3_CSIO_SCSCR_CSEN1               *((volatile  uint8_t *)(0x42706608UL))
#define bFM_MFS3_CSIO_SCSCR_CSEN2                 *((volatile  uint8_t *)(0x4270660CUL))
#define bFM0P_MFS3_CSIO_SCSCR_CSEN2               *((volatile  uint8_t *)(0x4270660CUL))
#define bFM_MFS3_CSIO_SCSCR_CSEN3                 *((volatile  uint8_t *)(0x42706610UL))
#define bFM0P_MFS3_CSIO_SCSCR_CSEN3               *((volatile  uint8_t *)(0x42706610UL))
#define bFM_MFS3_CSIO_SCSCR_CSLVL                 *((volatile  uint8_t *)(0x42706614UL))
#define bFM0P_MFS3_CSIO_SCSCR_CSLVL               *((volatile  uint8_t *)(0x42706614UL))
#define bFM_MFS3_CSIO_SCSCR_SCAM                  *((volatile  uint8_t *)(0x42706624UL))
#define bFM0P_MFS3_CSIO_SCSCR_SCAM                *((volatile  uint8_t *)(0x42706624UL))

#define bFM_MFS3_CSIO_SCSFR0_CS1BDS               *((volatile  uint8_t *)(0x42706690UL))
#define bFM0P_MFS3_CSIO_SCSFR0_CS1BDS             *((volatile  uint8_t *)(0x42706690UL))
#define bFM_MFS3_CSIO_SCSFR0_CS1SPI               *((volatile  uint8_t *)(0x42706694UL))
#define bFM0P_MFS3_CSIO_SCSFR0_CS1SPI             *((volatile  uint8_t *)(0x42706694UL))
#define bFM_MFS3_CSIO_SCSFR0_CS1SCINV             *((volatile  uint8_t *)(0x42706698UL))
#define bFM0P_MFS3_CSIO_SCSFR0_CS1SCINV           *((volatile  uint8_t *)(0x42706698UL))
#define bFM_MFS3_CSIO_SCSFR0_CS1CSLVL             *((volatile  uint8_t *)(0x4270669CUL))
#define bFM0P_MFS3_CSIO_SCSFR0_CS1CSLVL           *((volatile  uint8_t *)(0x4270669CUL))

#define bFM_MFS3_CSIO_SCSFR1_CS2BDS               *((volatile  uint8_t *)(0x427066B0UL))
#define bFM0P_MFS3_CSIO_SCSFR1_CS2BDS             *((volatile  uint8_t *)(0x427066B0UL))
#define bFM_MFS3_CSIO_SCSFR1_CS2SPI               *((volatile  uint8_t *)(0x427066B4UL))
#define bFM0P_MFS3_CSIO_SCSFR1_CS2SPI             *((volatile  uint8_t *)(0x427066B4UL))
#define bFM_MFS3_CSIO_SCSFR1_CS2SCINV             *((volatile  uint8_t *)(0x427066B8UL))
#define bFM0P_MFS3_CSIO_SCSFR1_CS2SCINV           *((volatile  uint8_t *)(0x427066B8UL))
#define bFM_MFS3_CSIO_SCSFR1_CS2CSLVL             *((volatile  uint8_t *)(0x427066BCUL))
#define bFM0P_MFS3_CSIO_SCSFR1_CS2CSLVL           *((volatile  uint8_t *)(0x427066BCUL))

#define bFM_MFS3_CSIO_SCSFR2_CS3BDS               *((volatile  uint8_t *)(0x42706710UL))
#define bFM0P_MFS3_CSIO_SCSFR2_CS3BDS             *((volatile  uint8_t *)(0x42706710UL))
#define bFM_MFS3_CSIO_SCSFR2_CS3SPI               *((volatile  uint8_t *)(0x42706714UL))
#define bFM0P_MFS3_CSIO_SCSFR2_CS3SPI             *((volatile  uint8_t *)(0x42706714UL))
#define bFM_MFS3_CSIO_SCSFR2_CS3SCINV             *((volatile  uint8_t *)(0x42706718UL))
#define bFM0P_MFS3_CSIO_SCSFR2_CS3SCINV           *((volatile  uint8_t *)(0x42706718UL))
#define bFM_MFS3_CSIO_SCSFR2_CS3CSLVL             *((volatile  uint8_t *)(0x4270671CUL))
#define bFM0P_MFS3_CSIO_SCSFR2_CS3CSLVL           *((volatile  uint8_t *)(0x4270671CUL))

#define bFM_MFS3_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x42706000UL))
#define bFM0P_MFS3_CSIO_SMR_SOE                   *((volatile  uint8_t *)(0x42706000UL))
#define bFM_MFS3_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x42706004UL))
#define bFM0P_MFS3_CSIO_SMR_SCKE                  *((volatile  uint8_t *)(0x42706004UL))
#define bFM_MFS3_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x42706008UL))
#define bFM0P_MFS3_CSIO_SMR_BDS                   *((volatile  uint8_t *)(0x42706008UL))
#define bFM_MFS3_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270600CUL))
#define bFM0P_MFS3_CSIO_SMR_SCINV                 *((volatile  uint8_t *)(0x4270600CUL))

#define bFM_MFS3_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x427060A0UL))
#define bFM0P_MFS3_CSIO_SSR_TBI                   *((volatile  uint8_t *)(0x427060A0UL))
#define bFM_MFS3_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x427060A4UL))
#define bFM0P_MFS3_CSIO_SSR_TDRE                  *((volatile  uint8_t *)(0x427060A4UL))
#define bFM_MFS3_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x427060A8UL))
#define bFM0P_MFS3_CSIO_SSR_RDRF                  *((volatile  uint8_t *)(0x427060A8UL))
#define bFM_MFS3_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x427060ACUL))
#define bFM0P_MFS3_CSIO_SSR_ORE                   *((volatile  uint8_t *)(0x427060ACUL))
#define bFM_MFS3_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x427060BCUL))
#define bFM0P_MFS3_CSIO_SSR_REC                   *((volatile  uint8_t *)(0x427060BCUL))

#define bFM_MFS3_I2C_EIBCR_BEC                    *((volatile  uint8_t *)(0x427063A0UL))
#define bFM0P_MFS3_I2C_EIBCR_BEC                  *((volatile  uint8_t *)(0x427063A0UL))
#define bFM_MFS3_I2C_EIBCR_SOCE                   *((volatile  uint8_t *)(0x427063A4UL))
#define bFM0P_MFS3_I2C_EIBCR_SOCE                 *((volatile  uint8_t *)(0x427063A4UL))
#define bFM_MFS3_I2C_EIBCR_SCLC                   *((volatile  uint8_t *)(0x427063A8UL))
#define bFM0P_MFS3_I2C_EIBCR_SCLC                 *((volatile  uint8_t *)(0x427063A8UL))
#define bFM_MFS3_I2C_EIBCR_SDAC                   *((volatile  uint8_t *)(0x427063ACUL))
#define bFM0P_MFS3_I2C_EIBCR_SDAC                 *((volatile  uint8_t *)(0x427063ACUL))
#define bFM_MFS3_I2C_EIBCR_SCLS                   *((volatile  uint8_t *)(0x427063B0UL))
#define bFM0P_MFS3_I2C_EIBCR_SCLS                 *((volatile  uint8_t *)(0x427063B0UL))
#define bFM_MFS3_I2C_EIBCR_SDAS                   *((volatile  uint8_t *)(0x427063B4UL))
#define bFM0P_MFS3_I2C_EIBCR_SDAS                 *((volatile  uint8_t *)(0x427063B4UL))

#define bFM_MFS3_I2C_FCR_FE1                      *((volatile  uint8_t *)(0x42706280UL))
#define bFM0P_MFS3_I2C_FCR_FE1                    *((volatile  uint8_t *)(0x42706280UL))
#define bFM_MFS3_I2C_FCR_FE2                      *((volatile  uint8_t *)(0x42706284UL))
#define bFM0P_MFS3_I2C_FCR_FE2                    *((volatile  uint8_t *)(0x42706284UL))
#define bFM_MFS3_I2C_FCR_FCL1                     *((volatile  uint8_t *)(0x42706288UL))
#define bFM0P_MFS3_I2C_FCR_FCL1                   *((volatile  uint8_t *)(0x42706288UL))
#define bFM_MFS3_I2C_FCR_FCL2                     *((volatile  uint8_t *)(0x4270628CUL))
#define bFM0P_MFS3_I2C_FCR_FCL2                   *((volatile  uint8_t *)(0x4270628CUL))
#define bFM_MFS3_I2C_FCR_FSET                     *((volatile  uint8_t *)(0x42706290UL))
#define bFM0P_MFS3_I2C_FCR_FSET                   *((volatile  uint8_t *)(0x42706290UL))
#define bFM_MFS3_I2C_FCR_FLD                      *((volatile  uint8_t *)(0x42706294UL))
#define bFM0P_MFS3_I2C_FCR_FLD                    *((volatile  uint8_t *)(0x42706294UL))
#define bFM_MFS3_I2C_FCR_FLST                     *((volatile  uint8_t *)(0x42706298UL))
#define bFM0P_MFS3_I2C_FCR_FLST                   *((volatile  uint8_t *)(0x42706298UL))
#define bFM_MFS3_I2C_FCR_FSEL                     *((volatile  uint8_t *)(0x427062A0UL))
#define bFM0P_MFS3_I2C_FCR_FSEL                   *((volatile  uint8_t *)(0x427062A0UL))
#define bFM_MFS3_I2C_FCR_FTIE                     *((volatile  uint8_t *)(0x427062A4UL))
#define bFM0P_MFS3_I2C_FCR_FTIE                   *((volatile  uint8_t *)(0x427062A4UL))
#define bFM_MFS3_I2C_FCR_FDRQ                     *((volatile  uint8_t *)(0x427062A8UL))
#define bFM0P_MFS3_I2C_FCR_FDRQ                   *((volatile  uint8_t *)(0x427062A8UL))
#define bFM_MFS3_I2C_FCR_FRIIE                    *((volatile  uint8_t *)(0x427062ACUL))
#define bFM0P_MFS3_I2C_FCR_FRIIE                  *((volatile  uint8_t *)(0x427062ACUL))
#define bFM_MFS3_I2C_FCR_FLSTE                    *((volatile  uint8_t *)(0x427062B0UL))
#define bFM0P_MFS3_I2C_FCR_FLSTE                  *((volatile  uint8_t *)(0x427062B0UL))

#define bFM_MFS3_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x42706020UL))
#define bFM0P_MFS3_I2C_IBCR_INT                   *((volatile  uint8_t *)(0x42706020UL))
#define bFM_MFS3_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x42706024UL))
#define bFM0P_MFS3_I2C_IBCR_BER                   *((volatile  uint8_t *)(0x42706024UL))
#define bFM_MFS3_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x42706028UL))
#define bFM0P_MFS3_I2C_IBCR_INTE                  *((volatile  uint8_t *)(0x42706028UL))
#define bFM_MFS3_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270602CUL))
#define bFM0P_MFS3_I2C_IBCR_CNDE                  *((volatile  uint8_t *)(0x4270602CUL))
#define bFM_MFS3_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x42706030UL))
#define bFM0P_MFS3_I2C_IBCR_WSEL                  *((volatile  uint8_t *)(0x42706030UL))
#define bFM_MFS3_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x42706034UL))
#define bFM0P_MFS3_I2C_IBCR_ACKE                  *((volatile  uint8_t *)(0x42706034UL))
#define bFM_MFS3_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x42706038UL))
#define bFM0P_MFS3_I2C_IBCR_ACT_SCC               *((volatile  uint8_t *)(0x42706038UL))
#define bFM_MFS3_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270603CUL))
#define bFM0P_MFS3_I2C_IBCR_MSS                   *((volatile  uint8_t *)(0x4270603CUL))

#define bFM_MFS3_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x42706080UL))
#define bFM0P_MFS3_I2C_IBSR_BB                    *((volatile  uint8_t *)(0x42706080UL))
#define bFM_MFS3_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x42706084UL))
#define bFM0P_MFS3_I2C_IBSR_SPC                   *((volatile  uint8_t *)(0x42706084UL))
#define bFM_MFS3_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x42706088UL))
#define bFM0P_MFS3_I2C_IBSR_RSC                   *((volatile  uint8_t *)(0x42706088UL))
#define bFM_MFS3_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270608CUL))
#define bFM0P_MFS3_I2C_IBSR_AL                    *((volatile  uint8_t *)(0x4270608CUL))
#define bFM_MFS3_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x42706090UL))
#define bFM0P_MFS3_I2C_IBSR_TRX                   *((volatile  uint8_t *)(0x42706090UL))
#define bFM_MFS3_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x42706094UL))
#define bFM0P_MFS3_I2C_IBSR_RSA                   *((volatile  uint8_t *)(0x42706094UL))
#define bFM_MFS3_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x42706098UL))
#define bFM0P_MFS3_I2C_IBSR_RACK                  *((volatile  uint8_t *)(0x42706098UL))
#define bFM_MFS3_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270609CUL))
#define bFM0P_MFS3_I2C_IBSR_FBT                   *((volatile  uint8_t *)(0x4270609CUL))

#define bFM_MFS3_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270621CUL))
#define bFM0P_MFS3_I2C_ISBA_SAEN                  *((volatile  uint8_t *)(0x4270621CUL))

#define bFM_MFS3_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270623CUL))
#define bFM0P_MFS3_I2C_ISMK_EN                    *((volatile  uint8_t *)(0x4270623CUL))

#define bFM_MFS3_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x42706008UL))
#define bFM0P_MFS3_I2C_SMR_TIE                    *((volatile  uint8_t *)(0x42706008UL))
#define bFM_MFS3_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270600CUL))
#define bFM0P_MFS3_I2C_SMR_RIE                    *((volatile  uint8_t *)(0x4270600CUL))

#define bFM_MFS3_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x427060A0UL))
#define bFM0P_MFS3_I2C_SSR_TBI                    *((volatile  uint8_t *)(0x427060A0UL))
#define bFM_MFS3_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x427060A4UL))
#define bFM0P_MFS3_I2C_SSR_TDRE                   *((volatile  uint8_t *)(0x427060A4UL))
#define bFM_MFS3_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x427060A8UL))
#define bFM0P_MFS3_I2C_SSR_RDRF                   *((volatile  uint8_t *)(0x427060A8UL))
#define bFM_MFS3_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x427060ACUL))
#define bFM0P_MFS3_I2C_SSR_ORE                    *((volatile  uint8_t *)(0x427060ACUL))
#define bFM_MFS3_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x427060B0UL))
#define bFM0P_MFS3_I2C_SSR_TBIE                   *((volatile  uint8_t *)(0x427060B0UL))
#define bFM_MFS3_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x427060B4UL))
#define bFM0P_MFS3_I2C_SSR_DMA                    *((volatile  uint8_t *)(0x427060B4UL))
#define bFM_MFS3_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x427060B8UL))
#define bFM0P_MFS3_I2C_SSR_TSET                   *((volatile  uint8_t *)(0x427060B8UL))
#define bFM_MFS3_I2C_SSR_REC                      *((volatile  uint8_t *)(0x427060BCUL))
#define bFM0P_MFS3_I2C_SSR_REC                    *((volatile  uint8_t *)(0x427060BCUL))

#define bFM_MFS3_LIN_BGR_EXT                      *((volatile  uint8_t *)(0x427061BCUL))
#define bFM0P_MFS3_LIN_BGR_EXT                    *((volatile  uint8_t *)(0x427061BCUL))

#define bFM_MFS3_LIN_ESCR_LBIE                    *((volatile  uint8_t *)(0x42706090UL))
#define bFM0P_MFS3_LIN_ESCR_LBIE                  *((volatile  uint8_t *)(0x42706090UL))
#define bFM_MFS3_LIN_ESCR_ESBL                    *((volatile  uint8_t *)(0x42706098UL))
#define bFM0P_MFS3_LIN_ESCR_ESBL                  *((volatile  uint8_t *)(0x42706098UL))

#define bFM_MFS3_LIN_FCR_FE1                      *((volatile  uint8_t *)(0x42706280UL))
#define bFM0P_MFS3_LIN_FCR_FE1                    *((volatile  uint8_t *)(0x42706280UL))
#define bFM_MFS3_LIN_FCR_FE2                      *((volatile  uint8_t *)(0x42706284UL))
#define bFM0P_MFS3_LIN_FCR_FE2                    *((volatile  uint8_t *)(0x42706284UL))
#define bFM_MFS3_LIN_FCR_FCL1                     *((volatile  uint8_t *)(0x42706288UL))
#define bFM0P_MFS3_LIN_FCR_FCL1                   *((volatile  uint8_t *)(0x42706288UL))
#define bFM_MFS3_LIN_FCR_FCL2                     *((volatile  uint8_t *)(0x4270628CUL))
#define bFM0P_MFS3_LIN_FCR_FCL2                   *((volatile  uint8_t *)(0x4270628CUL))
#define bFM_MFS3_LIN_FCR_FSET                     *((volatile  uint8_t *)(0x42706290UL))
#define bFM0P_MFS3_LIN_FCR_FSET                   *((volatile  uint8_t *)(0x42706290UL))
#define bFM_MFS3_LIN_FCR_FLD                      *((volatile  uint8_t *)(0x42706294UL))
#define bFM0P_MFS3_LIN_FCR_FLD                    *((volatile  uint8_t *)(0x42706294UL))
#define bFM_MFS3_LIN_FCR_FLST                     *((volatile  uint8_t *)(0x42706298UL))
#define bFM0P_MFS3_LIN_FCR_FLST                   *((volatile  uint8_t *)(0x42706298UL))
#define bFM_MFS3_LIN_FCR_FSEL                     *((volatile  uint8_t *)(0x427062A0UL))
#define bFM0P_MFS3_LIN_FCR_FSEL                   *((volatile  uint8_t *)(0x427062A0UL))
#define bFM_MFS3_LIN_FCR_FTIE                     *((volatile  uint8_t *)(0x427062A4UL))
#define bFM0P_MFS3_LIN_FCR_FTIE                   *((volatile  uint8_t *)(0x427062A4UL))
#define bFM_MFS3_LIN_FCR_FDRQ                     *((volatile  uint8_t *)(0x427062A8UL))
#define bFM0P_MFS3_LIN_FCR_FDRQ                   *((volatile  uint8_t *)(0x427062A8UL))
#define bFM_MFS3_LIN_FCR_FRIIE                    *((volatile  uint8_t *)(0x427062ACUL))
#define bFM0P_MFS3_LIN_FCR_FRIIE                  *((volatile  uint8_t *)(0x427062ACUL))
#define bFM_MFS3_LIN_FCR_FLSTE                    *((volatile  uint8_t *)(0x427062B0UL))
#define bFM0P_MFS3_LIN_FCR_FLSTE                  *((volatile  uint8_t *)(0x427062B0UL))

#define bFM_MFS3_LIN_SCR_TXE                      *((volatile  uint8_t *)(0x42706020UL))
#define bFM0P_MFS3_LIN_SCR_TXE                    *((volatile  uint8_t *)(0x42706020UL))
#define bFM_MFS3_LIN_SCR_RXE                      *((volatile  uint8_t *)(0x42706024UL))
#define bFM0P_MFS3_LIN_SCR_RXE                    *((volatile  uint8_t *)(0x42706024UL))
#define bFM_MFS3_LIN_SCR_TBIE                     *((volatile  uint8_t *)(0x42706028UL))
#define bFM0P_MFS3_LIN_SCR_TBIE                   *((volatile  uint8_t *)(0x42706028UL))
#define bFM_MFS3_LIN_SCR_TIE                      *((volatile  uint8_t *)(0x4270602CUL))
#define bFM0P_MFS3_LIN_SCR_TIE                    *((volatile  uint8_t *)(0x4270602CUL))
#define bFM_MFS3_LIN_SCR_RIE                      *((volatile  uint8_t *)(0x42706030UL))
#define bFM0P_MFS3_LIN_SCR_RIE                    *((volatile  uint8_t *)(0x42706030UL))
#define bFM_MFS3_LIN_SCR_LBR                      *((volatile  uint8_t *)(0x42706034UL))
#define bFM0P_MFS3_LIN_SCR_LBR                    *((volatile  uint8_t *)(0x42706034UL))
#define bFM_MFS3_LIN_SCR_MS                       *((volatile  uint8_t *)(0x42706038UL))
#define bFM0P_MFS3_LIN_SCR_MS                     *((volatile  uint8_t *)(0x42706038UL))
#define bFM_MFS3_LIN_SCR_UPCL                     *((volatile  uint8_t *)(0x4270603CUL))
#define bFM0P_MFS3_LIN_SCR_UPCL                   *((volatile  uint8_t *)(0x4270603CUL))

#define bFM_MFS3_LIN_SMR_SOE                      *((volatile  uint8_t *)(0x42706000UL))
#define bFM0P_MFS3_LIN_SMR_SOE                    *((volatile  uint8_t *)(0x42706000UL))
#define bFM_MFS3_LIN_SMR_SBL                      *((volatile  uint8_t *)(0x4270600CUL))
#define bFM0P_MFS3_LIN_SMR_SBL                    *((volatile  uint8_t *)(0x4270600CUL))

#define bFM_MFS3_LIN_SSR_TBI                      *((volatile  uint8_t *)(0x427060A0UL))
#define bFM0P_MFS3_LIN_SSR_TBI                    *((volatile  uint8_t *)(0x427060A0UL))
#define bFM_MFS3_LIN_SSR_TDRE                     *((volatile  uint8_t *)(0x427060A4UL))
#define bFM0P_MFS3_LIN_SSR_TDRE                   *((volatile  uint8_t *)(0x427060A4UL))
#define bFM_MFS3_LIN_SSR_RDRF                     *((volatile  uint8_t *)(0x427060A8UL))
#define bFM0P_MFS3_LIN_SSR_RDRF                   *((volatile  uint8_t *)(0x427060A8UL))
#define bFM_MFS3_LIN_SSR_ORE                      *((volatile  uint8_t *)(0x427060ACUL))
#define bFM0P_MFS3_LIN_SSR_ORE                    *((volatile  uint8_t *)(0x427060ACUL))
#define bFM_MFS3_LIN_SSR_FRE                      *((volatile  uint8_t *)(0x427060B0UL))
#define bFM0P_MFS3_LIN_SSR_FRE                    *((volatile  uint8_t *)(0x427060B0UL))
#define bFM_MFS3_LIN_SSR_LBD                      *((volatile  uint8_t *)(0x427060B4UL))
#define bFM0P_MFS3_LIN_SSR_LBD                    *((volatile  uint8_t *)(0x427060B4UL))
#define bFM_MFS3_LIN_SSR_REC                      *((volatile  uint8_t *)(0x427060BCUL))
#define bFM0P_MFS3_LIN_SSR_REC                    *((volatile  uint8_t *)(0x427060BCUL))

#define bFM_MFS3_UART_BGR_EXT                     *((volatile  uint8_t *)(0x427061BCUL))
#define bFM0P_MFS3_UART_BGR_EXT                   *((volatile  uint8_t *)(0x427061BCUL))

#define bFM_MFS3_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270608CUL))
#define bFM0P_MFS3_UART_ESCR_P                    *((volatile  uint8_t *)(0x4270608CUL))
#define bFM_MFS3_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x42706090UL))
#define bFM0P_MFS3_UART_ESCR_PEN                  *((volatile  uint8_t *)(0x42706090UL))
#define bFM_MFS3_UART_ESCR_INV                    *((volatile  uint8_t *)(0x42706094UL))
#define bFM0P_MFS3_UART_ESCR_INV                  *((volatile  uint8_t *)(0x42706094UL))
#define bFM_MFS3_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x42706098UL))
#define bFM0P_MFS3_UART_ESCR_ESBL                 *((volatile  uint8_t *)(0x42706098UL))
#define bFM_MFS3_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270609CUL))
#define bFM0P_MFS3_UART_ESCR_FLWEN                *((volatile  uint8_t *)(0x4270609CUL))

#define bFM_MFS3_UART_FCR_FE1                     *((volatile  uint8_t *)(0x42706280UL))
#define bFM0P_MFS3_UART_FCR_FE1                   *((volatile  uint8_t *)(0x42706280UL))
#define bFM_MFS3_UART_FCR_FE2                     *((volatile  uint8_t *)(0x42706284UL))
#define bFM0P_MFS3_UART_FCR_FE2                   *((volatile  uint8_t *)(0x42706284UL))
#define bFM_MFS3_UART_FCR_FCL1                    *((volatile  uint8_t *)(0x42706288UL))
#define bFM0P_MFS3_UART_FCR_FCL1                  *((volatile  uint8_t *)(0x42706288UL))
#define bFM_MFS3_UART_FCR_FCL2                    *((volatile  uint8_t *)(0x4270628CUL))
#define bFM0P_MFS3_UART_FCR_FCL2                  *((volatile  uint8_t *)(0x4270628CUL))
#define bFM_MFS3_UART_FCR_FSET                    *((volatile  uint8_t *)(0x42706290UL))
#define bFM0P_MFS3_UART_FCR_FSET                  *((volatile  uint8_t *)(0x42706290UL))
#define bFM_MFS3_UART_FCR_FLD                     *((volatile  uint8_t *)(0x42706294UL))
#define bFM0P_MFS3_UART_FCR_FLD                   *((volatile  uint8_t *)(0x42706294UL))
#define bFM_MFS3_UART_FCR_FLST                    *((volatile  uint8_t *)(0x42706298UL))
#define bFM0P_MFS3_UART_FCR_FLST                  *((volatile  uint8_t *)(0x42706298UL))
#define bFM_MFS3_UART_FCR_FSEL                    *((volatile  uint8_t *)(0x427062A0UL))
#define bFM0P_MFS3_UART_FCR_FSEL                  *((volatile  uint8_t *)(0x427062A0UL))
#define bFM_MFS3_UART_FCR_FTIE                    *((volatile  uint8_t *)(0x427062A4UL))
#define bFM0P_MFS3_UART_FCR_FTIE                  *((volatile  uint8_t *)(0x427062A4UL))
#define bFM_MFS3_UART_FCR_FDRQ                    *((volatile  uint8_t *)(0x427062A8UL))
#define bFM0P_MFS3_UART_FCR_FDRQ                  *((volatile  uint8_t *)(0x427062A8UL))
#define bFM_MFS3_UART_FCR_FRIIE                   *((volatile  uint8_t *)(0x427062ACUL))
#define bFM0P_MFS3_UART_FCR_FRIIE                 *((volatile  uint8_t *)(0x427062ACUL))
#define bFM_MFS3_UART_FCR_FLSTE                   *((volatile  uint8_t *)(0x427062B0UL))
#define bFM0P_MFS3_UART_FCR_FLSTE                 *((volatile  uint8_t *)(0x427062B0UL))

#define bFM_MFS3_UART_SCR_TXE                     *((volatile  uint8_t *)(0x42706020UL))
#define bFM0P_MFS3_UART_SCR_TXE                   *((volatile  uint8_t *)(0x42706020UL))
#define bFM_MFS3_UART_SCR_RXE                     *((volatile  uint8_t *)(0x42706024UL))
#define bFM0P_MFS3_UART_SCR_RXE                   *((volatile  uint8_t *)(0x42706024UL))
#define bFM_MFS3_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x42706028UL))
#define bFM0P_MFS3_UART_SCR_TBIE                  *((volatile  uint8_t *)(0x42706028UL))
#define bFM_MFS3_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270602CUL))
#define bFM0P_MFS3_UART_SCR_TIE                   *((volatile  uint8_t *)(0x4270602CUL))
#define bFM_MFS3_UART_SCR_RIE                     *((volatile  uint8_t *)(0x42706030UL))
#define bFM0P_MFS3_UART_SCR_RIE                   *((volatile  uint8_t *)(0x42706030UL))
#define bFM_MFS3_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270603CUL))
#define bFM0P_MFS3_UART_SCR_UPCL                  *((volatile  uint8_t *)(0x4270603CUL))

#define bFM_MFS3_UART_SMR_SOE                     *((volatile  uint8_t *)(0x42706000UL))
#define bFM0P_MFS3_UART_SMR_SOE                   *((volatile  uint8_t *)(0x42706000UL))
#define bFM_MFS3_UART_SMR_BDS                     *((volatile  uint8_t *)(0x42706008UL))
#define bFM0P_MFS3_UART_SMR_BDS                   *((volatile  uint8_t *)(0x42706008UL))
#define bFM_MFS3_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270600CUL))
#define bFM0P_MFS3_UART_SMR_SBL                   *((volatile  uint8_t *)(0x4270600CUL))

#define bFM_MFS3_UART_SSR_TBI                     *((volatile  uint8_t *)(0x427060A0UL))
#define bFM0P_MFS3_UART_SSR_TBI                   *((volatile  uint8_t *)(0x427060A0UL))
#define bFM_MFS3_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x427060A4UL))
#define bFM0P_MFS3_UART_SSR_TDRE                  *((volatile  uint8_t *)(0x427060A4UL))
#define bFM_MFS3_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x427060A8UL))
#define bFM0P_MFS3_UART_SSR_RDRF                  *((volatile  uint8_t *)(0x427060A8UL))
#define bFM_MFS3_UART_SSR_ORE                     *((volatile  uint8_t *)(0x427060ACUL))
#define bFM0P_MFS3_UART_SSR_ORE                   *((volatile  uint8_t *)(0x427060ACUL))
#define bFM_MFS3_UART_SSR_FRE                     *((volatile  uint8_t *)(0x427060B0UL))
#define bFM0P_MFS3_UART_SSR_FRE                   *((volatile  uint8_t *)(0x427060B0UL))
#define bFM_MFS3_UART_SSR_PE                      *((volatile  uint8_t *)(0x427060B4UL))
#define bFM0P_MFS3_UART_SSR_PE                    *((volatile  uint8_t *)(0x427060B4UL))
#define bFM_MFS3_UART_SSR_REC                     *((volatile  uint8_t *)(0x427060BCUL))
#define bFM0P_MFS3_UART_SSR_REC                   *((volatile  uint8_t *)(0x427060BCUL))


/******************************************************************************
 ** MFS Registers MFS4
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS4_CSIO_ESCR_CSFE                   *((volatile  uint8_t *)(0x42708094UL))
#define bFM0P_MFS4_CSIO_ESCR_CSFE                 *((volatile  uint8_t *)(0x42708094UL))
#define bFM_MFS4_CSIO_ESCR_L3                     *((volatile  uint8_t *)(0x42708098UL))
#define bFM0P_MFS4_CSIO_ESCR_L3                   *((volatile  uint8_t *)(0x42708098UL))
#define bFM_MFS4_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270809CUL))
#define bFM0P_MFS4_CSIO_ESCR_SOP                  *((volatile  uint8_t *)(0x4270809CUL))

#define bFM_MFS4_CSIO_FCR_FE1                     *((volatile  uint8_t *)(0x42708280UL))
#define bFM0P_MFS4_CSIO_FCR_FE1                   *((volatile  uint8_t *)(0x42708280UL))
#define bFM_MFS4_CSIO_FCR_FE2                     *((volatile  uint8_t *)(0x42708284UL))
#define bFM0P_MFS4_CSIO_FCR_FE2                   *((volatile  uint8_t *)(0x42708284UL))
#define bFM_MFS4_CSIO_FCR_FCL1                    *((volatile  uint8_t *)(0x42708288UL))
#define bFM0P_MFS4_CSIO_FCR_FCL1                  *((volatile  uint8_t *)(0x42708288UL))
#define bFM_MFS4_CSIO_FCR_FCL2                    *((volatile  uint8_t *)(0x4270828CUL))
#define bFM0P_MFS4_CSIO_FCR_FCL2                  *((volatile  uint8_t *)(0x4270828CUL))
#define bFM_MFS4_CSIO_FCR_FSET                    *((volatile  uint8_t *)(0x42708290UL))
#define bFM0P_MFS4_CSIO_FCR_FSET                  *((volatile  uint8_t *)(0x42708290UL))
#define bFM_MFS4_CSIO_FCR_FLD                     *((volatile  uint8_t *)(0x42708294UL))
#define bFM0P_MFS4_CSIO_FCR_FLD                   *((volatile  uint8_t *)(0x42708294UL))
#define bFM_MFS4_CSIO_FCR_FLST                    *((volatile  uint8_t *)(0x42708298UL))
#define bFM0P_MFS4_CSIO_FCR_FLST                  *((volatile  uint8_t *)(0x42708298UL))
#define bFM_MFS4_CSIO_FCR_FSEL                    *((volatile  uint8_t *)(0x427082A0UL))
#define bFM0P_MFS4_CSIO_FCR_FSEL                  *((volatile  uint8_t *)(0x427082A0UL))
#define bFM_MFS4_CSIO_FCR_FTIE                    *((volatile  uint8_t *)(0x427082A4UL))
#define bFM0P_MFS4_CSIO_FCR_FTIE                  *((volatile  uint8_t *)(0x427082A4UL))
#define bFM_MFS4_CSIO_FCR_FDRQ                    *((volatile  uint8_t *)(0x427082A8UL))
#define bFM0P_MFS4_CSIO_FCR_FDRQ                  *((volatile  uint8_t *)(0x427082A8UL))
#define bFM_MFS4_CSIO_FCR_FRIIE                   *((volatile  uint8_t *)(0x427082ACUL))
#define bFM0P_MFS4_CSIO_FCR_FRIIE                 *((volatile  uint8_t *)(0x427082ACUL))
#define bFM_MFS4_CSIO_FCR_FLSTE                   *((volatile  uint8_t *)(0x427082B0UL))
#define bFM0P_MFS4_CSIO_FCR_FLSTE                 *((volatile  uint8_t *)(0x427082B0UL))

#define bFM_MFS4_CSIO_SACSR_TMRE                  *((volatile  uint8_t *)(0x42708480UL))
#define bFM0P_MFS4_CSIO_SACSR_TMRE                *((volatile  uint8_t *)(0x42708480UL))
#define bFM_MFS4_CSIO_SACSR_TSYNE                 *((volatile  uint8_t *)(0x42708498UL))
#define bFM0P_MFS4_CSIO_SACSR_TSYNE               *((volatile  uint8_t *)(0x42708498UL))
#define bFM_MFS4_CSIO_SACSR_TINTE                 *((volatile  uint8_t *)(0x4270849CUL))
#define bFM0P_MFS4_CSIO_SACSR_TINTE               *((volatile  uint8_t *)(0x4270849CUL))
#define bFM_MFS4_CSIO_SACSR_TINT                  *((volatile  uint8_t *)(0x427084A0UL))
#define bFM0P_MFS4_CSIO_SACSR_TINT                *((volatile  uint8_t *)(0x427084A0UL))
#define bFM_MFS4_CSIO_SACSR_CSE                   *((volatile  uint8_t *)(0x427084ACUL))
#define bFM0P_MFS4_CSIO_SACSR_CSE                 *((volatile  uint8_t *)(0x427084ACUL))
#define bFM_MFS4_CSIO_SACSR_CSEIE                 *((volatile  uint8_t *)(0x427084B0UL))
#define bFM0P_MFS4_CSIO_SACSR_CSEIE               *((volatile  uint8_t *)(0x427084B0UL))
#define bFM_MFS4_CSIO_SACSR_TBEEN                 *((volatile  uint8_t *)(0x427084B4UL))
#define bFM0P_MFS4_CSIO_SACSR_TBEEN               *((volatile  uint8_t *)(0x427084B4UL))

#define bFM_MFS4_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x42708020UL))
#define bFM0P_MFS4_CSIO_SCR_TXE                   *((volatile  uint8_t *)(0x42708020UL))
#define bFM_MFS4_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x42708024UL))
#define bFM0P_MFS4_CSIO_SCR_RXE                   *((volatile  uint8_t *)(0x42708024UL))
#define bFM_MFS4_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x42708028UL))
#define bFM0P_MFS4_CSIO_SCR_TBIE                  *((volatile  uint8_t *)(0x42708028UL))
#define bFM_MFS4_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270802CUL))
#define bFM0P_MFS4_CSIO_SCR_TIE                   *((volatile  uint8_t *)(0x4270802CUL))
#define bFM_MFS4_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x42708030UL))
#define bFM0P_MFS4_CSIO_SCR_RIE                   *((volatile  uint8_t *)(0x42708030UL))
#define bFM_MFS4_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x42708034UL))
#define bFM0P_MFS4_CSIO_SCR_SPI                   *((volatile  uint8_t *)(0x42708034UL))
#define bFM_MFS4_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x42708038UL))
#define bFM0P_MFS4_CSIO_SCR_MS                    *((volatile  uint8_t *)(0x42708038UL))
#define bFM_MFS4_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270803CUL))
#define bFM0P_MFS4_CSIO_SCR_UPCL                  *((volatile  uint8_t *)(0x4270803CUL))

#define bFM_MFS4_CSIO_SCSCR_CSOE                  *((volatile  uint8_t *)(0x42708600UL))
#define bFM0P_MFS4_CSIO_SCSCR_CSOE                *((volatile  uint8_t *)(0x42708600UL))
#define bFM_MFS4_CSIO_SCSCR_CSEN0                 *((volatile  uint8_t *)(0x42708604UL))
#define bFM0P_MFS4_CSIO_SCSCR_CSEN0               *((volatile  uint8_t *)(0x42708604UL))
#define bFM_MFS4_CSIO_SCSCR_CSEN1                 *((volatile  uint8_t *)(0x42708608UL))
#define bFM0P_MFS4_CSIO_SCSCR_CSEN1               *((volatile  uint8_t *)(0x42708608UL))
#define bFM_MFS4_CSIO_SCSCR_CSEN2                 *((volatile  uint8_t *)(0x4270860CUL))
#define bFM0P_MFS4_CSIO_SCSCR_CSEN2               *((volatile  uint8_t *)(0x4270860CUL))
#define bFM_MFS4_CSIO_SCSCR_CSEN3                 *((volatile  uint8_t *)(0x42708610UL))
#define bFM0P_MFS4_CSIO_SCSCR_CSEN3               *((volatile  uint8_t *)(0x42708610UL))
#define bFM_MFS4_CSIO_SCSCR_CSLVL                 *((volatile  uint8_t *)(0x42708614UL))
#define bFM0P_MFS4_CSIO_SCSCR_CSLVL               *((volatile  uint8_t *)(0x42708614UL))
#define bFM_MFS4_CSIO_SCSCR_SCAM                  *((volatile  uint8_t *)(0x42708624UL))
#define bFM0P_MFS4_CSIO_SCSCR_SCAM                *((volatile  uint8_t *)(0x42708624UL))

#define bFM_MFS4_CSIO_SCSFR0_CS1BDS               *((volatile  uint8_t *)(0x42708690UL))
#define bFM0P_MFS4_CSIO_SCSFR0_CS1BDS             *((volatile  uint8_t *)(0x42708690UL))
#define bFM_MFS4_CSIO_SCSFR0_CS1SPI               *((volatile  uint8_t *)(0x42708694UL))
#define bFM0P_MFS4_CSIO_SCSFR0_CS1SPI             *((volatile  uint8_t *)(0x42708694UL))
#define bFM_MFS4_CSIO_SCSFR0_CS1SCINV             *((volatile  uint8_t *)(0x42708698UL))
#define bFM0P_MFS4_CSIO_SCSFR0_CS1SCINV           *((volatile  uint8_t *)(0x42708698UL))
#define bFM_MFS4_CSIO_SCSFR0_CS1CSLVL             *((volatile  uint8_t *)(0x4270869CUL))
#define bFM0P_MFS4_CSIO_SCSFR0_CS1CSLVL           *((volatile  uint8_t *)(0x4270869CUL))

#define bFM_MFS4_CSIO_SCSFR1_CS2BDS               *((volatile  uint8_t *)(0x427086B0UL))
#define bFM0P_MFS4_CSIO_SCSFR1_CS2BDS             *((volatile  uint8_t *)(0x427086B0UL))
#define bFM_MFS4_CSIO_SCSFR1_CS2SPI               *((volatile  uint8_t *)(0x427086B4UL))
#define bFM0P_MFS4_CSIO_SCSFR1_CS2SPI             *((volatile  uint8_t *)(0x427086B4UL))
#define bFM_MFS4_CSIO_SCSFR1_CS2SCINV             *((volatile  uint8_t *)(0x427086B8UL))
#define bFM0P_MFS4_CSIO_SCSFR1_CS2SCINV           *((volatile  uint8_t *)(0x427086B8UL))
#define bFM_MFS4_CSIO_SCSFR1_CS2CSLVL             *((volatile  uint8_t *)(0x427086BCUL))
#define bFM0P_MFS4_CSIO_SCSFR1_CS2CSLVL           *((volatile  uint8_t *)(0x427086BCUL))

#define bFM_MFS4_CSIO_SCSFR2_CS3BDS               *((volatile  uint8_t *)(0x42708710UL))
#define bFM0P_MFS4_CSIO_SCSFR2_CS3BDS             *((volatile  uint8_t *)(0x42708710UL))
#define bFM_MFS4_CSIO_SCSFR2_CS3SPI               *((volatile  uint8_t *)(0x42708714UL))
#define bFM0P_MFS4_CSIO_SCSFR2_CS3SPI             *((volatile  uint8_t *)(0x42708714UL))
#define bFM_MFS4_CSIO_SCSFR2_CS3SCINV             *((volatile  uint8_t *)(0x42708718UL))
#define bFM0P_MFS4_CSIO_SCSFR2_CS3SCINV           *((volatile  uint8_t *)(0x42708718UL))
#define bFM_MFS4_CSIO_SCSFR2_CS3CSLVL             *((volatile  uint8_t *)(0x4270871CUL))
#define bFM0P_MFS4_CSIO_SCSFR2_CS3CSLVL           *((volatile  uint8_t *)(0x4270871CUL))

#define bFM_MFS4_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x42708000UL))
#define bFM0P_MFS4_CSIO_SMR_SOE                   *((volatile  uint8_t *)(0x42708000UL))
#define bFM_MFS4_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x42708004UL))
#define bFM0P_MFS4_CSIO_SMR_SCKE                  *((volatile  uint8_t *)(0x42708004UL))
#define bFM_MFS4_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x42708008UL))
#define bFM0P_MFS4_CSIO_SMR_BDS                   *((volatile  uint8_t *)(0x42708008UL))
#define bFM_MFS4_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270800CUL))
#define bFM0P_MFS4_CSIO_SMR_SCINV                 *((volatile  uint8_t *)(0x4270800CUL))

#define bFM_MFS4_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x427080A0UL))
#define bFM0P_MFS4_CSIO_SSR_TBI                   *((volatile  uint8_t *)(0x427080A0UL))
#define bFM_MFS4_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x427080A4UL))
#define bFM0P_MFS4_CSIO_SSR_TDRE                  *((volatile  uint8_t *)(0x427080A4UL))
#define bFM_MFS4_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x427080A8UL))
#define bFM0P_MFS4_CSIO_SSR_RDRF                  *((volatile  uint8_t *)(0x427080A8UL))
#define bFM_MFS4_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x427080ACUL))
#define bFM0P_MFS4_CSIO_SSR_ORE                   *((volatile  uint8_t *)(0x427080ACUL))
#define bFM_MFS4_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x427080BCUL))
#define bFM0P_MFS4_CSIO_SSR_REC                   *((volatile  uint8_t *)(0x427080BCUL))

#define bFM_MFS4_I2C_EIBCR_BEC                    *((volatile  uint8_t *)(0x427083A0UL))
#define bFM0P_MFS4_I2C_EIBCR_BEC                  *((volatile  uint8_t *)(0x427083A0UL))
#define bFM_MFS4_I2C_EIBCR_SOCE                   *((volatile  uint8_t *)(0x427083A4UL))
#define bFM0P_MFS4_I2C_EIBCR_SOCE                 *((volatile  uint8_t *)(0x427083A4UL))
#define bFM_MFS4_I2C_EIBCR_SCLC                   *((volatile  uint8_t *)(0x427083A8UL))
#define bFM0P_MFS4_I2C_EIBCR_SCLC                 *((volatile  uint8_t *)(0x427083A8UL))
#define bFM_MFS4_I2C_EIBCR_SDAC                   *((volatile  uint8_t *)(0x427083ACUL))
#define bFM0P_MFS4_I2C_EIBCR_SDAC                 *((volatile  uint8_t *)(0x427083ACUL))
#define bFM_MFS4_I2C_EIBCR_SCLS                   *((volatile  uint8_t *)(0x427083B0UL))
#define bFM0P_MFS4_I2C_EIBCR_SCLS                 *((volatile  uint8_t *)(0x427083B0UL))
#define bFM_MFS4_I2C_EIBCR_SDAS                   *((volatile  uint8_t *)(0x427083B4UL))
#define bFM0P_MFS4_I2C_EIBCR_SDAS                 *((volatile  uint8_t *)(0x427083B4UL))

#define bFM_MFS4_I2C_FCR_FE1                      *((volatile  uint8_t *)(0x42708280UL))
#define bFM0P_MFS4_I2C_FCR_FE1                    *((volatile  uint8_t *)(0x42708280UL))
#define bFM_MFS4_I2C_FCR_FE2                      *((volatile  uint8_t *)(0x42708284UL))
#define bFM0P_MFS4_I2C_FCR_FE2                    *((volatile  uint8_t *)(0x42708284UL))
#define bFM_MFS4_I2C_FCR_FCL1                     *((volatile  uint8_t *)(0x42708288UL))
#define bFM0P_MFS4_I2C_FCR_FCL1                   *((volatile  uint8_t *)(0x42708288UL))
#define bFM_MFS4_I2C_FCR_FCL2                     *((volatile  uint8_t *)(0x4270828CUL))
#define bFM0P_MFS4_I2C_FCR_FCL2                   *((volatile  uint8_t *)(0x4270828CUL))
#define bFM_MFS4_I2C_FCR_FSET                     *((volatile  uint8_t *)(0x42708290UL))
#define bFM0P_MFS4_I2C_FCR_FSET                   *((volatile  uint8_t *)(0x42708290UL))
#define bFM_MFS4_I2C_FCR_FLD                      *((volatile  uint8_t *)(0x42708294UL))
#define bFM0P_MFS4_I2C_FCR_FLD                    *((volatile  uint8_t *)(0x42708294UL))
#define bFM_MFS4_I2C_FCR_FLST                     *((volatile  uint8_t *)(0x42708298UL))
#define bFM0P_MFS4_I2C_FCR_FLST                   *((volatile  uint8_t *)(0x42708298UL))
#define bFM_MFS4_I2C_FCR_FSEL                     *((volatile  uint8_t *)(0x427082A0UL))
#define bFM0P_MFS4_I2C_FCR_FSEL                   *((volatile  uint8_t *)(0x427082A0UL))
#define bFM_MFS4_I2C_FCR_FTIE                     *((volatile  uint8_t *)(0x427082A4UL))
#define bFM0P_MFS4_I2C_FCR_FTIE                   *((volatile  uint8_t *)(0x427082A4UL))
#define bFM_MFS4_I2C_FCR_FDRQ                     *((volatile  uint8_t *)(0x427082A8UL))
#define bFM0P_MFS4_I2C_FCR_FDRQ                   *((volatile  uint8_t *)(0x427082A8UL))
#define bFM_MFS4_I2C_FCR_FRIIE                    *((volatile  uint8_t *)(0x427082ACUL))
#define bFM0P_MFS4_I2C_FCR_FRIIE                  *((volatile  uint8_t *)(0x427082ACUL))
#define bFM_MFS4_I2C_FCR_FLSTE                    *((volatile  uint8_t *)(0x427082B0UL))
#define bFM0P_MFS4_I2C_FCR_FLSTE                  *((volatile  uint8_t *)(0x427082B0UL))

#define bFM_MFS4_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x42708020UL))
#define bFM0P_MFS4_I2C_IBCR_INT                   *((volatile  uint8_t *)(0x42708020UL))
#define bFM_MFS4_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x42708024UL))
#define bFM0P_MFS4_I2C_IBCR_BER                   *((volatile  uint8_t *)(0x42708024UL))
#define bFM_MFS4_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x42708028UL))
#define bFM0P_MFS4_I2C_IBCR_INTE                  *((volatile  uint8_t *)(0x42708028UL))
#define bFM_MFS4_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270802CUL))
#define bFM0P_MFS4_I2C_IBCR_CNDE                  *((volatile  uint8_t *)(0x4270802CUL))
#define bFM_MFS4_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x42708030UL))
#define bFM0P_MFS4_I2C_IBCR_WSEL                  *((volatile  uint8_t *)(0x42708030UL))
#define bFM_MFS4_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x42708034UL))
#define bFM0P_MFS4_I2C_IBCR_ACKE                  *((volatile  uint8_t *)(0x42708034UL))
#define bFM_MFS4_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x42708038UL))
#define bFM0P_MFS4_I2C_IBCR_ACT_SCC               *((volatile  uint8_t *)(0x42708038UL))
#define bFM_MFS4_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270803CUL))
#define bFM0P_MFS4_I2C_IBCR_MSS                   *((volatile  uint8_t *)(0x4270803CUL))

#define bFM_MFS4_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x42708080UL))
#define bFM0P_MFS4_I2C_IBSR_BB                    *((volatile  uint8_t *)(0x42708080UL))
#define bFM_MFS4_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x42708084UL))
#define bFM0P_MFS4_I2C_IBSR_SPC                   *((volatile  uint8_t *)(0x42708084UL))
#define bFM_MFS4_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x42708088UL))
#define bFM0P_MFS4_I2C_IBSR_RSC                   *((volatile  uint8_t *)(0x42708088UL))
#define bFM_MFS4_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270808CUL))
#define bFM0P_MFS4_I2C_IBSR_AL                    *((volatile  uint8_t *)(0x4270808CUL))
#define bFM_MFS4_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x42708090UL))
#define bFM0P_MFS4_I2C_IBSR_TRX                   *((volatile  uint8_t *)(0x42708090UL))
#define bFM_MFS4_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x42708094UL))
#define bFM0P_MFS4_I2C_IBSR_RSA                   *((volatile  uint8_t *)(0x42708094UL))
#define bFM_MFS4_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x42708098UL))
#define bFM0P_MFS4_I2C_IBSR_RACK                  *((volatile  uint8_t *)(0x42708098UL))
#define bFM_MFS4_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270809CUL))
#define bFM0P_MFS4_I2C_IBSR_FBT                   *((volatile  uint8_t *)(0x4270809CUL))

#define bFM_MFS4_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270821CUL))
#define bFM0P_MFS4_I2C_ISBA_SAEN                  *((volatile  uint8_t *)(0x4270821CUL))

#define bFM_MFS4_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270823CUL))
#define bFM0P_MFS4_I2C_ISMK_EN                    *((volatile  uint8_t *)(0x4270823CUL))

#define bFM_MFS4_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x42708008UL))
#define bFM0P_MFS4_I2C_SMR_TIE                    *((volatile  uint8_t *)(0x42708008UL))
#define bFM_MFS4_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270800CUL))
#define bFM0P_MFS4_I2C_SMR_RIE                    *((volatile  uint8_t *)(0x4270800CUL))

#define bFM_MFS4_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x427080A0UL))
#define bFM0P_MFS4_I2C_SSR_TBI                    *((volatile  uint8_t *)(0x427080A0UL))
#define bFM_MFS4_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x427080A4UL))
#define bFM0P_MFS4_I2C_SSR_TDRE                   *((volatile  uint8_t *)(0x427080A4UL))
#define bFM_MFS4_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x427080A8UL))
#define bFM0P_MFS4_I2C_SSR_RDRF                   *((volatile  uint8_t *)(0x427080A8UL))
#define bFM_MFS4_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x427080ACUL))
#define bFM0P_MFS4_I2C_SSR_ORE                    *((volatile  uint8_t *)(0x427080ACUL))
#define bFM_MFS4_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x427080B0UL))
#define bFM0P_MFS4_I2C_SSR_TBIE                   *((volatile  uint8_t *)(0x427080B0UL))
#define bFM_MFS4_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x427080B4UL))
#define bFM0P_MFS4_I2C_SSR_DMA                    *((volatile  uint8_t *)(0x427080B4UL))
#define bFM_MFS4_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x427080B8UL))
#define bFM0P_MFS4_I2C_SSR_TSET                   *((volatile  uint8_t *)(0x427080B8UL))
#define bFM_MFS4_I2C_SSR_REC                      *((volatile  uint8_t *)(0x427080BCUL))
#define bFM0P_MFS4_I2C_SSR_REC                    *((volatile  uint8_t *)(0x427080BCUL))

#define bFM_MFS4_I2S_ESCR_L3                      *((volatile  uint8_t *)(0x42708098UL))
#define bFM0P_MFS4_I2S_ESCR_L3                    *((volatile  uint8_t *)(0x42708098UL))
#define bFM_MFS4_I2S_ESCR_SOP                     *((volatile  uint8_t *)(0x4270809CUL))
#define bFM0P_MFS4_I2S_ESCR_SOP                   *((volatile  uint8_t *)(0x4270809CUL))

#define bFM_MFS4_I2S_FCR_FE1                      *((volatile  uint8_t *)(0x42708280UL))
#define bFM0P_MFS4_I2S_FCR_FE1                    *((volatile  uint8_t *)(0x42708280UL))
#define bFM_MFS4_I2S_FCR_FE2                      *((volatile  uint8_t *)(0x42708284UL))
#define bFM0P_MFS4_I2S_FCR_FE2                    *((volatile  uint8_t *)(0x42708284UL))
#define bFM_MFS4_I2S_FCR_FCL1                     *((volatile  uint8_t *)(0x42708288UL))
#define bFM0P_MFS4_I2S_FCR_FCL1                   *((volatile  uint8_t *)(0x42708288UL))
#define bFM_MFS4_I2S_FCR_FCL2                     *((volatile  uint8_t *)(0x4270828CUL))
#define bFM0P_MFS4_I2S_FCR_FCL2                   *((volatile  uint8_t *)(0x4270828CUL))
#define bFM_MFS4_I2S_FCR_FSEL                     *((volatile  uint8_t *)(0x427082A0UL))
#define bFM0P_MFS4_I2S_FCR_FSEL                   *((volatile  uint8_t *)(0x427082A0UL))
#define bFM_MFS4_I2S_FCR_FTIE                     *((volatile  uint8_t *)(0x427082A4UL))
#define bFM0P_MFS4_I2S_FCR_FTIE                   *((volatile  uint8_t *)(0x427082A4UL))
#define bFM_MFS4_I2S_FCR_FDRQ                     *((volatile  uint8_t *)(0x427082A8UL))
#define bFM0P_MFS4_I2S_FCR_FDRQ                   *((volatile  uint8_t *)(0x427082A8UL))

#define bFM_MFS4_I2S_SCR_TXE                      *((volatile  uint8_t *)(0x42708020UL))
#define bFM0P_MFS4_I2S_SCR_TXE                    *((volatile  uint8_t *)(0x42708020UL))
#define bFM_MFS4_I2S_SCR_RXE                      *((volatile  uint8_t *)(0x42708024UL))
#define bFM0P_MFS4_I2S_SCR_RXE                    *((volatile  uint8_t *)(0x42708024UL))
#define bFM_MFS4_I2S_SCR_RIE                      *((volatile  uint8_t *)(0x42708030UL))
#define bFM0P_MFS4_I2S_SCR_RIE                    *((volatile  uint8_t *)(0x42708030UL))
#define bFM_MFS4_I2S_SCR_MS                       *((volatile  uint8_t *)(0x42708038UL))
#define bFM0P_MFS4_I2S_SCR_MS                     *((volatile  uint8_t *)(0x42708038UL))
#define bFM_MFS4_I2S_SCR_UPCL                     *((volatile  uint8_t *)(0x4270803CUL))
#define bFM0P_MFS4_I2S_SCR_UPCL                   *((volatile  uint8_t *)(0x4270803CUL))

#define bFM_MFS4_I2S_SMR_SOE                      *((volatile  uint8_t *)(0x42708000UL))
#define bFM0P_MFS4_I2S_SMR_SOE                    *((volatile  uint8_t *)(0x42708000UL))
#define bFM_MFS4_I2S_SMR_BDS                      *((volatile  uint8_t *)(0x42708008UL))
#define bFM0P_MFS4_I2S_SMR_BDS                    *((volatile  uint8_t *)(0x42708008UL))

#define bFM_MFS4_I2S_SSR_TDRE                     *((volatile  uint8_t *)(0x427080A4UL))
#define bFM0P_MFS4_I2S_SSR_TDRE                   *((volatile  uint8_t *)(0x427080A4UL))
#define bFM_MFS4_I2S_SSR_RDRF                     *((volatile  uint8_t *)(0x427080A8UL))
#define bFM0P_MFS4_I2S_SSR_RDRF                   *((volatile  uint8_t *)(0x427080A8UL))
#define bFM_MFS4_I2S_SSR_ORE                      *((volatile  uint8_t *)(0x427080ACUL))
#define bFM0P_MFS4_I2S_SSR_ORE                    *((volatile  uint8_t *)(0x427080ACUL))
#define bFM_MFS4_I2S_SSR_AWC                      *((volatile  uint8_t *)(0x427080B0UL))
#define bFM0P_MFS4_I2S_SSR_AWC                    *((volatile  uint8_t *)(0x427080B0UL))
#define bFM_MFS4_I2S_SSR_REC                      *((volatile  uint8_t *)(0x427080BCUL))
#define bFM0P_MFS4_I2S_SSR_REC                    *((volatile  uint8_t *)(0x427080BCUL))

#define bFM_MFS4_LIN_BGR_EXT                      *((volatile  uint8_t *)(0x427081BCUL))
#define bFM0P_MFS4_LIN_BGR_EXT                    *((volatile  uint8_t *)(0x427081BCUL))

#define bFM_MFS4_LIN_ESCR_LBIE                    *((volatile  uint8_t *)(0x42708090UL))
#define bFM0P_MFS4_LIN_ESCR_LBIE                  *((volatile  uint8_t *)(0x42708090UL))
#define bFM_MFS4_LIN_ESCR_ESBL                    *((volatile  uint8_t *)(0x42708098UL))
#define bFM0P_MFS4_LIN_ESCR_ESBL                  *((volatile  uint8_t *)(0x42708098UL))

#define bFM_MFS4_LIN_FCR_FE1                      *((volatile  uint8_t *)(0x42708280UL))
#define bFM0P_MFS4_LIN_FCR_FE1                    *((volatile  uint8_t *)(0x42708280UL))
#define bFM_MFS4_LIN_FCR_FE2                      *((volatile  uint8_t *)(0x42708284UL))
#define bFM0P_MFS4_LIN_FCR_FE2                    *((volatile  uint8_t *)(0x42708284UL))
#define bFM_MFS4_LIN_FCR_FCL1                     *((volatile  uint8_t *)(0x42708288UL))
#define bFM0P_MFS4_LIN_FCR_FCL1                   *((volatile  uint8_t *)(0x42708288UL))
#define bFM_MFS4_LIN_FCR_FCL2                     *((volatile  uint8_t *)(0x4270828CUL))
#define bFM0P_MFS4_LIN_FCR_FCL2                   *((volatile  uint8_t *)(0x4270828CUL))
#define bFM_MFS4_LIN_FCR_FSET                     *((volatile  uint8_t *)(0x42708290UL))
#define bFM0P_MFS4_LIN_FCR_FSET                   *((volatile  uint8_t *)(0x42708290UL))
#define bFM_MFS4_LIN_FCR_FLD                      *((volatile  uint8_t *)(0x42708294UL))
#define bFM0P_MFS4_LIN_FCR_FLD                    *((volatile  uint8_t *)(0x42708294UL))
#define bFM_MFS4_LIN_FCR_FLST                     *((volatile  uint8_t *)(0x42708298UL))
#define bFM0P_MFS4_LIN_FCR_FLST                   *((volatile  uint8_t *)(0x42708298UL))
#define bFM_MFS4_LIN_FCR_FSEL                     *((volatile  uint8_t *)(0x427082A0UL))
#define bFM0P_MFS4_LIN_FCR_FSEL                   *((volatile  uint8_t *)(0x427082A0UL))
#define bFM_MFS4_LIN_FCR_FTIE                     *((volatile  uint8_t *)(0x427082A4UL))
#define bFM0P_MFS4_LIN_FCR_FTIE                   *((volatile  uint8_t *)(0x427082A4UL))
#define bFM_MFS4_LIN_FCR_FDRQ                     *((volatile  uint8_t *)(0x427082A8UL))
#define bFM0P_MFS4_LIN_FCR_FDRQ                   *((volatile  uint8_t *)(0x427082A8UL))
#define bFM_MFS4_LIN_FCR_FRIIE                    *((volatile  uint8_t *)(0x427082ACUL))
#define bFM0P_MFS4_LIN_FCR_FRIIE                  *((volatile  uint8_t *)(0x427082ACUL))
#define bFM_MFS4_LIN_FCR_FLSTE                    *((volatile  uint8_t *)(0x427082B0UL))
#define bFM0P_MFS4_LIN_FCR_FLSTE                  *((volatile  uint8_t *)(0x427082B0UL))

#define bFM_MFS4_LIN_SCR_TXE                      *((volatile  uint8_t *)(0x42708020UL))
#define bFM0P_MFS4_LIN_SCR_TXE                    *((volatile  uint8_t *)(0x42708020UL))
#define bFM_MFS4_LIN_SCR_RXE                      *((volatile  uint8_t *)(0x42708024UL))
#define bFM0P_MFS4_LIN_SCR_RXE                    *((volatile  uint8_t *)(0x42708024UL))
#define bFM_MFS4_LIN_SCR_TBIE                     *((volatile  uint8_t *)(0x42708028UL))
#define bFM0P_MFS4_LIN_SCR_TBIE                   *((volatile  uint8_t *)(0x42708028UL))
#define bFM_MFS4_LIN_SCR_TIE                      *((volatile  uint8_t *)(0x4270802CUL))
#define bFM0P_MFS4_LIN_SCR_TIE                    *((volatile  uint8_t *)(0x4270802CUL))
#define bFM_MFS4_LIN_SCR_RIE                      *((volatile  uint8_t *)(0x42708030UL))
#define bFM0P_MFS4_LIN_SCR_RIE                    *((volatile  uint8_t *)(0x42708030UL))
#define bFM_MFS4_LIN_SCR_LBR                      *((volatile  uint8_t *)(0x42708034UL))
#define bFM0P_MFS4_LIN_SCR_LBR                    *((volatile  uint8_t *)(0x42708034UL))
#define bFM_MFS4_LIN_SCR_MS                       *((volatile  uint8_t *)(0x42708038UL))
#define bFM0P_MFS4_LIN_SCR_MS                     *((volatile  uint8_t *)(0x42708038UL))
#define bFM_MFS4_LIN_SCR_UPCL                     *((volatile  uint8_t *)(0x4270803CUL))
#define bFM0P_MFS4_LIN_SCR_UPCL                   *((volatile  uint8_t *)(0x4270803CUL))

#define bFM_MFS4_LIN_SMR_SOE                      *((volatile  uint8_t *)(0x42708000UL))
#define bFM0P_MFS4_LIN_SMR_SOE                    *((volatile  uint8_t *)(0x42708000UL))
#define bFM_MFS4_LIN_SMR_SBL                      *((volatile  uint8_t *)(0x4270800CUL))
#define bFM0P_MFS4_LIN_SMR_SBL                    *((volatile  uint8_t *)(0x4270800CUL))

#define bFM_MFS4_LIN_SSR_TBI                      *((volatile  uint8_t *)(0x427080A0UL))
#define bFM0P_MFS4_LIN_SSR_TBI                    *((volatile  uint8_t *)(0x427080A0UL))
#define bFM_MFS4_LIN_SSR_TDRE                     *((volatile  uint8_t *)(0x427080A4UL))
#define bFM0P_MFS4_LIN_SSR_TDRE                   *((volatile  uint8_t *)(0x427080A4UL))
#define bFM_MFS4_LIN_SSR_RDRF                     *((volatile  uint8_t *)(0x427080A8UL))
#define bFM0P_MFS4_LIN_SSR_RDRF                   *((volatile  uint8_t *)(0x427080A8UL))
#define bFM_MFS4_LIN_SSR_ORE                      *((volatile  uint8_t *)(0x427080ACUL))
#define bFM0P_MFS4_LIN_SSR_ORE                    *((volatile  uint8_t *)(0x427080ACUL))
#define bFM_MFS4_LIN_SSR_FRE                      *((volatile  uint8_t *)(0x427080B0UL))
#define bFM0P_MFS4_LIN_SSR_FRE                    *((volatile  uint8_t *)(0x427080B0UL))
#define bFM_MFS4_LIN_SSR_LBD                      *((volatile  uint8_t *)(0x427080B4UL))
#define bFM0P_MFS4_LIN_SSR_LBD                    *((volatile  uint8_t *)(0x427080B4UL))
#define bFM_MFS4_LIN_SSR_REC                      *((volatile  uint8_t *)(0x427080BCUL))
#define bFM0P_MFS4_LIN_SSR_REC                    *((volatile  uint8_t *)(0x427080BCUL))

#define bFM_MFS4_UART_BGR_EXT                     *((volatile  uint8_t *)(0x427081BCUL))
#define bFM0P_MFS4_UART_BGR_EXT                   *((volatile  uint8_t *)(0x427081BCUL))

#define bFM_MFS4_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270808CUL))
#define bFM0P_MFS4_UART_ESCR_P                    *((volatile  uint8_t *)(0x4270808CUL))
#define bFM_MFS4_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x42708090UL))
#define bFM0P_MFS4_UART_ESCR_PEN                  *((volatile  uint8_t *)(0x42708090UL))
#define bFM_MFS4_UART_ESCR_INV                    *((volatile  uint8_t *)(0x42708094UL))
#define bFM0P_MFS4_UART_ESCR_INV                  *((volatile  uint8_t *)(0x42708094UL))
#define bFM_MFS4_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x42708098UL))
#define bFM0P_MFS4_UART_ESCR_ESBL                 *((volatile  uint8_t *)(0x42708098UL))
#define bFM_MFS4_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270809CUL))
#define bFM0P_MFS4_UART_ESCR_FLWEN                *((volatile  uint8_t *)(0x4270809CUL))

#define bFM_MFS4_UART_FCR_FE1                     *((volatile  uint8_t *)(0x42708280UL))
#define bFM0P_MFS4_UART_FCR_FE1                   *((volatile  uint8_t *)(0x42708280UL))
#define bFM_MFS4_UART_FCR_FE2                     *((volatile  uint8_t *)(0x42708284UL))
#define bFM0P_MFS4_UART_FCR_FE2                   *((volatile  uint8_t *)(0x42708284UL))
#define bFM_MFS4_UART_FCR_FCL1                    *((volatile  uint8_t *)(0x42708288UL))
#define bFM0P_MFS4_UART_FCR_FCL1                  *((volatile  uint8_t *)(0x42708288UL))
#define bFM_MFS4_UART_FCR_FCL2                    *((volatile  uint8_t *)(0x4270828CUL))
#define bFM0P_MFS4_UART_FCR_FCL2                  *((volatile  uint8_t *)(0x4270828CUL))
#define bFM_MFS4_UART_FCR_FSET                    *((volatile  uint8_t *)(0x42708290UL))
#define bFM0P_MFS4_UART_FCR_FSET                  *((volatile  uint8_t *)(0x42708290UL))
#define bFM_MFS4_UART_FCR_FLD                     *((volatile  uint8_t *)(0x42708294UL))
#define bFM0P_MFS4_UART_FCR_FLD                   *((volatile  uint8_t *)(0x42708294UL))
#define bFM_MFS4_UART_FCR_FLST                    *((volatile  uint8_t *)(0x42708298UL))
#define bFM0P_MFS4_UART_FCR_FLST                  *((volatile  uint8_t *)(0x42708298UL))
#define bFM_MFS4_UART_FCR_FSEL                    *((volatile  uint8_t *)(0x427082A0UL))
#define bFM0P_MFS4_UART_FCR_FSEL                  *((volatile  uint8_t *)(0x427082A0UL))
#define bFM_MFS4_UART_FCR_FTIE                    *((volatile  uint8_t *)(0x427082A4UL))
#define bFM0P_MFS4_UART_FCR_FTIE                  *((volatile  uint8_t *)(0x427082A4UL))
#define bFM_MFS4_UART_FCR_FDRQ                    *((volatile  uint8_t *)(0x427082A8UL))
#define bFM0P_MFS4_UART_FCR_FDRQ                  *((volatile  uint8_t *)(0x427082A8UL))
#define bFM_MFS4_UART_FCR_FRIIE                   *((volatile  uint8_t *)(0x427082ACUL))
#define bFM0P_MFS4_UART_FCR_FRIIE                 *((volatile  uint8_t *)(0x427082ACUL))
#define bFM_MFS4_UART_FCR_FLSTE                   *((volatile  uint8_t *)(0x427082B0UL))
#define bFM0P_MFS4_UART_FCR_FLSTE                 *((volatile  uint8_t *)(0x427082B0UL))

#define bFM_MFS4_UART_SCR_TXE                     *((volatile  uint8_t *)(0x42708020UL))
#define bFM0P_MFS4_UART_SCR_TXE                   *((volatile  uint8_t *)(0x42708020UL))
#define bFM_MFS4_UART_SCR_RXE                     *((volatile  uint8_t *)(0x42708024UL))
#define bFM0P_MFS4_UART_SCR_RXE                   *((volatile  uint8_t *)(0x42708024UL))
#define bFM_MFS4_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x42708028UL))
#define bFM0P_MFS4_UART_SCR_TBIE                  *((volatile  uint8_t *)(0x42708028UL))
#define bFM_MFS4_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270802CUL))
#define bFM0P_MFS4_UART_SCR_TIE                   *((volatile  uint8_t *)(0x4270802CUL))
#define bFM_MFS4_UART_SCR_RIE                     *((volatile  uint8_t *)(0x42708030UL))
#define bFM0P_MFS4_UART_SCR_RIE                   *((volatile  uint8_t *)(0x42708030UL))
#define bFM_MFS4_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270803CUL))
#define bFM0P_MFS4_UART_SCR_UPCL                  *((volatile  uint8_t *)(0x4270803CUL))

#define bFM_MFS4_UART_SMR_SOE                     *((volatile  uint8_t *)(0x42708000UL))
#define bFM0P_MFS4_UART_SMR_SOE                   *((volatile  uint8_t *)(0x42708000UL))
#define bFM_MFS4_UART_SMR_BDS                     *((volatile  uint8_t *)(0x42708008UL))
#define bFM0P_MFS4_UART_SMR_BDS                   *((volatile  uint8_t *)(0x42708008UL))
#define bFM_MFS4_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270800CUL))
#define bFM0P_MFS4_UART_SMR_SBL                   *((volatile  uint8_t *)(0x4270800CUL))

#define bFM_MFS4_UART_SSR_TBI                     *((volatile  uint8_t *)(0x427080A0UL))
#define bFM0P_MFS4_UART_SSR_TBI                   *((volatile  uint8_t *)(0x427080A0UL))
#define bFM_MFS4_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x427080A4UL))
#define bFM0P_MFS4_UART_SSR_TDRE                  *((volatile  uint8_t *)(0x427080A4UL))
#define bFM_MFS4_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x427080A8UL))
#define bFM0P_MFS4_UART_SSR_RDRF                  *((volatile  uint8_t *)(0x427080A8UL))
#define bFM_MFS4_UART_SSR_ORE                     *((volatile  uint8_t *)(0x427080ACUL))
#define bFM0P_MFS4_UART_SSR_ORE                   *((volatile  uint8_t *)(0x427080ACUL))
#define bFM_MFS4_UART_SSR_FRE                     *((volatile  uint8_t *)(0x427080B0UL))
#define bFM0P_MFS4_UART_SSR_FRE                   *((volatile  uint8_t *)(0x427080B0UL))
#define bFM_MFS4_UART_SSR_PE                      *((volatile  uint8_t *)(0x427080B4UL))
#define bFM0P_MFS4_UART_SSR_PE                    *((volatile  uint8_t *)(0x427080B4UL))
#define bFM_MFS4_UART_SSR_REC                     *((volatile  uint8_t *)(0x427080BCUL))
#define bFM0P_MFS4_UART_SSR_REC                   *((volatile  uint8_t *)(0x427080BCUL))


/******************************************************************************
 ** MFS Registers MFS6
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS6_CSIO_ESCR_CSFE                   *((volatile  uint8_t *)(0x4270C094UL))
#define bFM0P_MFS6_CSIO_ESCR_CSFE                 *((volatile  uint8_t *)(0x4270C094UL))
#define bFM_MFS6_CSIO_ESCR_L3                     *((volatile  uint8_t *)(0x4270C098UL))
#define bFM0P_MFS6_CSIO_ESCR_L3                   *((volatile  uint8_t *)(0x4270C098UL))
#define bFM_MFS6_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270C09CUL))
#define bFM0P_MFS6_CSIO_ESCR_SOP                  *((volatile  uint8_t *)(0x4270C09CUL))

#define bFM_MFS6_CSIO_FCR_FE1                     *((volatile  uint8_t *)(0x4270C280UL))
#define bFM0P_MFS6_CSIO_FCR_FE1                   *((volatile  uint8_t *)(0x4270C280UL))
#define bFM_MFS6_CSIO_FCR_FE2                     *((volatile  uint8_t *)(0x4270C284UL))
#define bFM0P_MFS6_CSIO_FCR_FE2                   *((volatile  uint8_t *)(0x4270C284UL))
#define bFM_MFS6_CSIO_FCR_FCL1                    *((volatile  uint8_t *)(0x4270C288UL))
#define bFM0P_MFS6_CSIO_FCR_FCL1                  *((volatile  uint8_t *)(0x4270C288UL))
#define bFM_MFS6_CSIO_FCR_FCL2                    *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM0P_MFS6_CSIO_FCR_FCL2                  *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM_MFS6_CSIO_FCR_FSET                    *((volatile  uint8_t *)(0x4270C290UL))
#define bFM0P_MFS6_CSIO_FCR_FSET                  *((volatile  uint8_t *)(0x4270C290UL))
#define bFM_MFS6_CSIO_FCR_FLD                     *((volatile  uint8_t *)(0x4270C294UL))
#define bFM0P_MFS6_CSIO_FCR_FLD                   *((volatile  uint8_t *)(0x4270C294UL))
#define bFM_MFS6_CSIO_FCR_FLST                    *((volatile  uint8_t *)(0x4270C298UL))
#define bFM0P_MFS6_CSIO_FCR_FLST                  *((volatile  uint8_t *)(0x4270C298UL))
#define bFM_MFS6_CSIO_FCR_FSEL                    *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM0P_MFS6_CSIO_FCR_FSEL                  *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM_MFS6_CSIO_FCR_FTIE                    *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM0P_MFS6_CSIO_FCR_FTIE                  *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM_MFS6_CSIO_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM0P_MFS6_CSIO_FCR_FDRQ                  *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM_MFS6_CSIO_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM0P_MFS6_CSIO_FCR_FRIIE                 *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM_MFS6_CSIO_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270C2B0UL))
#define bFM0P_MFS6_CSIO_FCR_FLSTE                 *((volatile  uint8_t *)(0x4270C2B0UL))

#define bFM_MFS6_CSIO_SACSR_TMRE                  *((volatile  uint8_t *)(0x4270C480UL))
#define bFM0P_MFS6_CSIO_SACSR_TMRE                *((volatile  uint8_t *)(0x4270C480UL))
#define bFM_MFS6_CSIO_SACSR_TSYNE                 *((volatile  uint8_t *)(0x4270C498UL))
#define bFM0P_MFS6_CSIO_SACSR_TSYNE               *((volatile  uint8_t *)(0x4270C498UL))
#define bFM_MFS6_CSIO_SACSR_TINTE                 *((volatile  uint8_t *)(0x4270C49CUL))
#define bFM0P_MFS6_CSIO_SACSR_TINTE               *((volatile  uint8_t *)(0x4270C49CUL))
#define bFM_MFS6_CSIO_SACSR_TINT                  *((volatile  uint8_t *)(0x4270C4A0UL))
#define bFM0P_MFS6_CSIO_SACSR_TINT                *((volatile  uint8_t *)(0x4270C4A0UL))
#define bFM_MFS6_CSIO_SACSR_CSE                   *((volatile  uint8_t *)(0x4270C4ACUL))
#define bFM0P_MFS6_CSIO_SACSR_CSE                 *((volatile  uint8_t *)(0x4270C4ACUL))
#define bFM_MFS6_CSIO_SACSR_CSEIE                 *((volatile  uint8_t *)(0x4270C4B0UL))
#define bFM0P_MFS6_CSIO_SACSR_CSEIE               *((volatile  uint8_t *)(0x4270C4B0UL))
#define bFM_MFS6_CSIO_SACSR_TBEEN                 *((volatile  uint8_t *)(0x4270C4B4UL))
#define bFM0P_MFS6_CSIO_SACSR_TBEEN               *((volatile  uint8_t *)(0x4270C4B4UL))

#define bFM_MFS6_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x4270C020UL))
#define bFM0P_MFS6_CSIO_SCR_TXE                   *((volatile  uint8_t *)(0x4270C020UL))
#define bFM_MFS6_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x4270C024UL))
#define bFM0P_MFS6_CSIO_SCR_RXE                   *((volatile  uint8_t *)(0x4270C024UL))
#define bFM_MFS6_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x4270C028UL))
#define bFM0P_MFS6_CSIO_SCR_TBIE                  *((volatile  uint8_t *)(0x4270C028UL))
#define bFM_MFS6_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM0P_MFS6_CSIO_SCR_TIE                   *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM_MFS6_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x4270C030UL))
#define bFM0P_MFS6_CSIO_SCR_RIE                   *((volatile  uint8_t *)(0x4270C030UL))
#define bFM_MFS6_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x4270C034UL))
#define bFM0P_MFS6_CSIO_SCR_SPI                   *((volatile  uint8_t *)(0x4270C034UL))
#define bFM_MFS6_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x4270C038UL))
#define bFM0P_MFS6_CSIO_SCR_MS                    *((volatile  uint8_t *)(0x4270C038UL))
#define bFM_MFS6_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270C03CUL))
#define bFM0P_MFS6_CSIO_SCR_UPCL                  *((volatile  uint8_t *)(0x4270C03CUL))

#define bFM_MFS6_CSIO_SCSCR_CSOE                  *((volatile  uint8_t *)(0x4270C600UL))
#define bFM0P_MFS6_CSIO_SCSCR_CSOE                *((volatile  uint8_t *)(0x4270C600UL))
#define bFM_MFS6_CSIO_SCSCR_CSEN0                 *((volatile  uint8_t *)(0x4270C604UL))
#define bFM0P_MFS6_CSIO_SCSCR_CSEN0               *((volatile  uint8_t *)(0x4270C604UL))
#define bFM_MFS6_CSIO_SCSCR_CSEN1                 *((volatile  uint8_t *)(0x4270C608UL))
#define bFM0P_MFS6_CSIO_SCSCR_CSEN1               *((volatile  uint8_t *)(0x4270C608UL))
#define bFM_MFS6_CSIO_SCSCR_CSEN2                 *((volatile  uint8_t *)(0x4270C60CUL))
#define bFM0P_MFS6_CSIO_SCSCR_CSEN2               *((volatile  uint8_t *)(0x4270C60CUL))
#define bFM_MFS6_CSIO_SCSCR_CSEN3                 *((volatile  uint8_t *)(0x4270C610UL))
#define bFM0P_MFS6_CSIO_SCSCR_CSEN3               *((volatile  uint8_t *)(0x4270C610UL))
#define bFM_MFS6_CSIO_SCSCR_CSLVL                 *((volatile  uint8_t *)(0x4270C614UL))
#define bFM0P_MFS6_CSIO_SCSCR_CSLVL               *((volatile  uint8_t *)(0x4270C614UL))
#define bFM_MFS6_CSIO_SCSCR_SCAM                  *((volatile  uint8_t *)(0x4270C624UL))
#define bFM0P_MFS6_CSIO_SCSCR_SCAM                *((volatile  uint8_t *)(0x4270C624UL))

#define bFM_MFS6_CSIO_SCSFR0_CS1BDS               *((volatile  uint8_t *)(0x4270C690UL))
#define bFM0P_MFS6_CSIO_SCSFR0_CS1BDS             *((volatile  uint8_t *)(0x4270C690UL))
#define bFM_MFS6_CSIO_SCSFR0_CS1SPI               *((volatile  uint8_t *)(0x4270C694UL))
#define bFM0P_MFS6_CSIO_SCSFR0_CS1SPI             *((volatile  uint8_t *)(0x4270C694UL))
#define bFM_MFS6_CSIO_SCSFR0_CS1SCINV             *((volatile  uint8_t *)(0x4270C698UL))
#define bFM0P_MFS6_CSIO_SCSFR0_CS1SCINV           *((volatile  uint8_t *)(0x4270C698UL))
#define bFM_MFS6_CSIO_SCSFR0_CS1CSLVL             *((volatile  uint8_t *)(0x4270C69CUL))
#define bFM0P_MFS6_CSIO_SCSFR0_CS1CSLVL           *((volatile  uint8_t *)(0x4270C69CUL))

#define bFM_MFS6_CSIO_SCSFR1_CS2BDS               *((volatile  uint8_t *)(0x4270C6B0UL))
#define bFM0P_MFS6_CSIO_SCSFR1_CS2BDS             *((volatile  uint8_t *)(0x4270C6B0UL))
#define bFM_MFS6_CSIO_SCSFR1_CS2SPI               *((volatile  uint8_t *)(0x4270C6B4UL))
#define bFM0P_MFS6_CSIO_SCSFR1_CS2SPI             *((volatile  uint8_t *)(0x4270C6B4UL))
#define bFM_MFS6_CSIO_SCSFR1_CS2SCINV             *((volatile  uint8_t *)(0x4270C6B8UL))
#define bFM0P_MFS6_CSIO_SCSFR1_CS2SCINV           *((volatile  uint8_t *)(0x4270C6B8UL))
#define bFM_MFS6_CSIO_SCSFR1_CS2CSLVL             *((volatile  uint8_t *)(0x4270C6BCUL))
#define bFM0P_MFS6_CSIO_SCSFR1_CS2CSLVL           *((volatile  uint8_t *)(0x4270C6BCUL))

#define bFM_MFS6_CSIO_SCSFR2_CS3BDS               *((volatile  uint8_t *)(0x4270C710UL))
#define bFM0P_MFS6_CSIO_SCSFR2_CS3BDS             *((volatile  uint8_t *)(0x4270C710UL))
#define bFM_MFS6_CSIO_SCSFR2_CS3SPI               *((volatile  uint8_t *)(0x4270C714UL))
#define bFM0P_MFS6_CSIO_SCSFR2_CS3SPI             *((volatile  uint8_t *)(0x4270C714UL))
#define bFM_MFS6_CSIO_SCSFR2_CS3SCINV             *((volatile  uint8_t *)(0x4270C718UL))
#define bFM0P_MFS6_CSIO_SCSFR2_CS3SCINV           *((volatile  uint8_t *)(0x4270C718UL))
#define bFM_MFS6_CSIO_SCSFR2_CS3CSLVL             *((volatile  uint8_t *)(0x4270C71CUL))
#define bFM0P_MFS6_CSIO_SCSFR2_CS3CSLVL           *((volatile  uint8_t *)(0x4270C71CUL))

#define bFM_MFS6_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x4270C000UL))
#define bFM0P_MFS6_CSIO_SMR_SOE                   *((volatile  uint8_t *)(0x4270C000UL))
#define bFM_MFS6_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x4270C004UL))
#define bFM0P_MFS6_CSIO_SMR_SCKE                  *((volatile  uint8_t *)(0x4270C004UL))
#define bFM_MFS6_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x4270C008UL))
#define bFM0P_MFS6_CSIO_SMR_BDS                   *((volatile  uint8_t *)(0x4270C008UL))
#define bFM_MFS6_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270C00CUL))
#define bFM0P_MFS6_CSIO_SMR_SCINV                 *((volatile  uint8_t *)(0x4270C00CUL))

#define bFM_MFS6_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM0P_MFS6_CSIO_SSR_TBI                   *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM_MFS6_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM0P_MFS6_CSIO_SSR_TDRE                  *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM_MFS6_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM0P_MFS6_CSIO_SSR_RDRF                  *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM_MFS6_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM0P_MFS6_CSIO_SSR_ORE                   *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM_MFS6_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x4270C0BCUL))
#define bFM0P_MFS6_CSIO_SSR_REC                   *((volatile  uint8_t *)(0x4270C0BCUL))

#define bFM_MFS6_I2C_EIBCR_BEC                    *((volatile  uint8_t *)(0x4270C3A0UL))
#define bFM0P_MFS6_I2C_EIBCR_BEC                  *((volatile  uint8_t *)(0x4270C3A0UL))
#define bFM_MFS6_I2C_EIBCR_SOCE                   *((volatile  uint8_t *)(0x4270C3A4UL))
#define bFM0P_MFS6_I2C_EIBCR_SOCE                 *((volatile  uint8_t *)(0x4270C3A4UL))
#define bFM_MFS6_I2C_EIBCR_SCLC                   *((volatile  uint8_t *)(0x4270C3A8UL))
#define bFM0P_MFS6_I2C_EIBCR_SCLC                 *((volatile  uint8_t *)(0x4270C3A8UL))
#define bFM_MFS6_I2C_EIBCR_SDAC                   *((volatile  uint8_t *)(0x4270C3ACUL))
#define bFM0P_MFS6_I2C_EIBCR_SDAC                 *((volatile  uint8_t *)(0x4270C3ACUL))
#define bFM_MFS6_I2C_EIBCR_SCLS                   *((volatile  uint8_t *)(0x4270C3B0UL))
#define bFM0P_MFS6_I2C_EIBCR_SCLS                 *((volatile  uint8_t *)(0x4270C3B0UL))
#define bFM_MFS6_I2C_EIBCR_SDAS                   *((volatile  uint8_t *)(0x4270C3B4UL))
#define bFM0P_MFS6_I2C_EIBCR_SDAS                 *((volatile  uint8_t *)(0x4270C3B4UL))

#define bFM_MFS6_I2C_FCR_FE1                      *((volatile  uint8_t *)(0x4270C280UL))
#define bFM0P_MFS6_I2C_FCR_FE1                    *((volatile  uint8_t *)(0x4270C280UL))
#define bFM_MFS6_I2C_FCR_FE2                      *((volatile  uint8_t *)(0x4270C284UL))
#define bFM0P_MFS6_I2C_FCR_FE2                    *((volatile  uint8_t *)(0x4270C284UL))
#define bFM_MFS6_I2C_FCR_FCL1                     *((volatile  uint8_t *)(0x4270C288UL))
#define bFM0P_MFS6_I2C_FCR_FCL1                   *((volatile  uint8_t *)(0x4270C288UL))
#define bFM_MFS6_I2C_FCR_FCL2                     *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM0P_MFS6_I2C_FCR_FCL2                   *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM_MFS6_I2C_FCR_FSET                     *((volatile  uint8_t *)(0x4270C290UL))
#define bFM0P_MFS6_I2C_FCR_FSET                   *((volatile  uint8_t *)(0x4270C290UL))
#define bFM_MFS6_I2C_FCR_FLD                      *((volatile  uint8_t *)(0x4270C294UL))
#define bFM0P_MFS6_I2C_FCR_FLD                    *((volatile  uint8_t *)(0x4270C294UL))
#define bFM_MFS6_I2C_FCR_FLST                     *((volatile  uint8_t *)(0x4270C298UL))
#define bFM0P_MFS6_I2C_FCR_FLST                   *((volatile  uint8_t *)(0x4270C298UL))
#define bFM_MFS6_I2C_FCR_FSEL                     *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM0P_MFS6_I2C_FCR_FSEL                   *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM_MFS6_I2C_FCR_FTIE                     *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM0P_MFS6_I2C_FCR_FTIE                   *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM_MFS6_I2C_FCR_FDRQ                     *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM0P_MFS6_I2C_FCR_FDRQ                   *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM_MFS6_I2C_FCR_FRIIE                    *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM0P_MFS6_I2C_FCR_FRIIE                  *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM_MFS6_I2C_FCR_FLSTE                    *((volatile  uint8_t *)(0x4270C2B0UL))
#define bFM0P_MFS6_I2C_FCR_FLSTE                  *((volatile  uint8_t *)(0x4270C2B0UL))

#define bFM_MFS6_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x4270C020UL))
#define bFM0P_MFS6_I2C_IBCR_INT                   *((volatile  uint8_t *)(0x4270C020UL))
#define bFM_MFS6_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x4270C024UL))
#define bFM0P_MFS6_I2C_IBCR_BER                   *((volatile  uint8_t *)(0x4270C024UL))
#define bFM_MFS6_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x4270C028UL))
#define bFM0P_MFS6_I2C_IBCR_INTE                  *((volatile  uint8_t *)(0x4270C028UL))
#define bFM_MFS6_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM0P_MFS6_I2C_IBCR_CNDE                  *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM_MFS6_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x4270C030UL))
#define bFM0P_MFS6_I2C_IBCR_WSEL                  *((volatile  uint8_t *)(0x4270C030UL))
#define bFM_MFS6_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x4270C034UL))
#define bFM0P_MFS6_I2C_IBCR_ACKE                  *((volatile  uint8_t *)(0x4270C034UL))
#define bFM_MFS6_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x4270C038UL))
#define bFM0P_MFS6_I2C_IBCR_ACT_SCC               *((volatile  uint8_t *)(0x4270C038UL))
#define bFM_MFS6_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270C03CUL))
#define bFM0P_MFS6_I2C_IBCR_MSS                   *((volatile  uint8_t *)(0x4270C03CUL))

#define bFM_MFS6_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x4270C080UL))
#define bFM0P_MFS6_I2C_IBSR_BB                    *((volatile  uint8_t *)(0x4270C080UL))
#define bFM_MFS6_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x4270C084UL))
#define bFM0P_MFS6_I2C_IBSR_SPC                   *((volatile  uint8_t *)(0x4270C084UL))
#define bFM_MFS6_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x4270C088UL))
#define bFM0P_MFS6_I2C_IBSR_RSC                   *((volatile  uint8_t *)(0x4270C088UL))
#define bFM_MFS6_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270C08CUL))
#define bFM0P_MFS6_I2C_IBSR_AL                    *((volatile  uint8_t *)(0x4270C08CUL))
#define bFM_MFS6_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x4270C090UL))
#define bFM0P_MFS6_I2C_IBSR_TRX                   *((volatile  uint8_t *)(0x4270C090UL))
#define bFM_MFS6_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x4270C094UL))
#define bFM0P_MFS6_I2C_IBSR_RSA                   *((volatile  uint8_t *)(0x4270C094UL))
#define bFM_MFS6_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x4270C098UL))
#define bFM0P_MFS6_I2C_IBSR_RACK                  *((volatile  uint8_t *)(0x4270C098UL))
#define bFM_MFS6_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270C09CUL))
#define bFM0P_MFS6_I2C_IBSR_FBT                   *((volatile  uint8_t *)(0x4270C09CUL))

#define bFM_MFS6_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270C21CUL))
#define bFM0P_MFS6_I2C_ISBA_SAEN                  *((volatile  uint8_t *)(0x4270C21CUL))

#define bFM_MFS6_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270C23CUL))
#define bFM0P_MFS6_I2C_ISMK_EN                    *((volatile  uint8_t *)(0x4270C23CUL))

#define bFM_MFS6_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x4270C008UL))
#define bFM0P_MFS6_I2C_SMR_TIE                    *((volatile  uint8_t *)(0x4270C008UL))
#define bFM_MFS6_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270C00CUL))
#define bFM0P_MFS6_I2C_SMR_RIE                    *((volatile  uint8_t *)(0x4270C00CUL))

#define bFM_MFS6_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM0P_MFS6_I2C_SSR_TBI                    *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM_MFS6_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM0P_MFS6_I2C_SSR_TDRE                   *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM_MFS6_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM0P_MFS6_I2C_SSR_RDRF                   *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM_MFS6_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM0P_MFS6_I2C_SSR_ORE                    *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM_MFS6_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM0P_MFS6_I2C_SSR_TBIE                   *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM_MFS6_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x4270C0B4UL))
#define bFM0P_MFS6_I2C_SSR_DMA                    *((volatile  uint8_t *)(0x4270C0B4UL))
#define bFM_MFS6_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x4270C0B8UL))
#define bFM0P_MFS6_I2C_SSR_TSET                   *((volatile  uint8_t *)(0x4270C0B8UL))
#define bFM_MFS6_I2C_SSR_REC                      *((volatile  uint8_t *)(0x4270C0BCUL))
#define bFM0P_MFS6_I2C_SSR_REC                    *((volatile  uint8_t *)(0x4270C0BCUL))

#define bFM_MFS6_I2S_ESCR_L3                      *((volatile  uint8_t *)(0x4270C098UL))
#define bFM0P_MFS6_I2S_ESCR_L3                    *((volatile  uint8_t *)(0x4270C098UL))
#define bFM_MFS6_I2S_ESCR_SOP                     *((volatile  uint8_t *)(0x4270C09CUL))
#define bFM0P_MFS6_I2S_ESCR_SOP                   *((volatile  uint8_t *)(0x4270C09CUL))

#define bFM_MFS6_I2S_FCR_FE1                      *((volatile  uint8_t *)(0x4270C280UL))
#define bFM0P_MFS6_I2S_FCR_FE1                    *((volatile  uint8_t *)(0x4270C280UL))
#define bFM_MFS6_I2S_FCR_FE2                      *((volatile  uint8_t *)(0x4270C284UL))
#define bFM0P_MFS6_I2S_FCR_FE2                    *((volatile  uint8_t *)(0x4270C284UL))
#define bFM_MFS6_I2S_FCR_FCL1                     *((volatile  uint8_t *)(0x4270C288UL))
#define bFM0P_MFS6_I2S_FCR_FCL1                   *((volatile  uint8_t *)(0x4270C288UL))
#define bFM_MFS6_I2S_FCR_FCL2                     *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM0P_MFS6_I2S_FCR_FCL2                   *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM_MFS6_I2S_FCR_FSEL                     *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM0P_MFS6_I2S_FCR_FSEL                   *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM_MFS6_I2S_FCR_FTIE                     *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM0P_MFS6_I2S_FCR_FTIE                   *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM_MFS6_I2S_FCR_FDRQ                     *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM0P_MFS6_I2S_FCR_FDRQ                   *((volatile  uint8_t *)(0x4270C2A8UL))

#define bFM_MFS6_I2S_SCR_TXE                      *((volatile  uint8_t *)(0x4270C020UL))
#define bFM0P_MFS6_I2S_SCR_TXE                    *((volatile  uint8_t *)(0x4270C020UL))
#define bFM_MFS6_I2S_SCR_RXE                      *((volatile  uint8_t *)(0x4270C024UL))
#define bFM0P_MFS6_I2S_SCR_RXE                    *((volatile  uint8_t *)(0x4270C024UL))
#define bFM_MFS6_I2S_SCR_RIE                      *((volatile  uint8_t *)(0x4270C030UL))
#define bFM0P_MFS6_I2S_SCR_RIE                    *((volatile  uint8_t *)(0x4270C030UL))
#define bFM_MFS6_I2S_SCR_MS                       *((volatile  uint8_t *)(0x4270C038UL))
#define bFM0P_MFS6_I2S_SCR_MS                     *((volatile  uint8_t *)(0x4270C038UL))
#define bFM_MFS6_I2S_SCR_UPCL                     *((volatile  uint8_t *)(0x4270C03CUL))
#define bFM0P_MFS6_I2S_SCR_UPCL                   *((volatile  uint8_t *)(0x4270C03CUL))

#define bFM_MFS6_I2S_SMR_SOE                      *((volatile  uint8_t *)(0x4270C000UL))
#define bFM0P_MFS6_I2S_SMR_SOE                    *((volatile  uint8_t *)(0x4270C000UL))
#define bFM_MFS6_I2S_SMR_BDS                      *((volatile  uint8_t *)(0x4270C008UL))
#define bFM0P_MFS6_I2S_SMR_BDS                    *((volatile  uint8_t *)(0x4270C008UL))

#define bFM_MFS6_I2S_SSR_TDRE                     *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM0P_MFS6_I2S_SSR_TDRE                   *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM_MFS6_I2S_SSR_RDRF                     *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM0P_MFS6_I2S_SSR_RDRF                   *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM_MFS6_I2S_SSR_ORE                      *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM0P_MFS6_I2S_SSR_ORE                    *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM_MFS6_I2S_SSR_AWC                      *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM0P_MFS6_I2S_SSR_AWC                    *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM_MFS6_I2S_SSR_REC                      *((volatile  uint8_t *)(0x4270C0BCUL))
#define bFM0P_MFS6_I2S_SSR_REC                    *((volatile  uint8_t *)(0x4270C0BCUL))

#define bFM_MFS6_LIN_BGR_EXT                      *((volatile  uint8_t *)(0x4270C1BCUL))
#define bFM0P_MFS6_LIN_BGR_EXT                    *((volatile  uint8_t *)(0x4270C1BCUL))

#define bFM_MFS6_LIN_ESCR_LBIE                    *((volatile  uint8_t *)(0x4270C090UL))
#define bFM0P_MFS6_LIN_ESCR_LBIE                  *((volatile  uint8_t *)(0x4270C090UL))
#define bFM_MFS6_LIN_ESCR_ESBL                    *((volatile  uint8_t *)(0x4270C098UL))
#define bFM0P_MFS6_LIN_ESCR_ESBL                  *((volatile  uint8_t *)(0x4270C098UL))

#define bFM_MFS6_LIN_FCR_FE1                      *((volatile  uint8_t *)(0x4270C280UL))
#define bFM0P_MFS6_LIN_FCR_FE1                    *((volatile  uint8_t *)(0x4270C280UL))
#define bFM_MFS6_LIN_FCR_FE2                      *((volatile  uint8_t *)(0x4270C284UL))
#define bFM0P_MFS6_LIN_FCR_FE2                    *((volatile  uint8_t *)(0x4270C284UL))
#define bFM_MFS6_LIN_FCR_FCL1                     *((volatile  uint8_t *)(0x4270C288UL))
#define bFM0P_MFS6_LIN_FCR_FCL1                   *((volatile  uint8_t *)(0x4270C288UL))
#define bFM_MFS6_LIN_FCR_FCL2                     *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM0P_MFS6_LIN_FCR_FCL2                   *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM_MFS6_LIN_FCR_FSET                     *((volatile  uint8_t *)(0x4270C290UL))
#define bFM0P_MFS6_LIN_FCR_FSET                   *((volatile  uint8_t *)(0x4270C290UL))
#define bFM_MFS6_LIN_FCR_FLD                      *((volatile  uint8_t *)(0x4270C294UL))
#define bFM0P_MFS6_LIN_FCR_FLD                    *((volatile  uint8_t *)(0x4270C294UL))
#define bFM_MFS6_LIN_FCR_FLST                     *((volatile  uint8_t *)(0x4270C298UL))
#define bFM0P_MFS6_LIN_FCR_FLST                   *((volatile  uint8_t *)(0x4270C298UL))
#define bFM_MFS6_LIN_FCR_FSEL                     *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM0P_MFS6_LIN_FCR_FSEL                   *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM_MFS6_LIN_FCR_FTIE                     *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM0P_MFS6_LIN_FCR_FTIE                   *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM_MFS6_LIN_FCR_FDRQ                     *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM0P_MFS6_LIN_FCR_FDRQ                   *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM_MFS6_LIN_FCR_FRIIE                    *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM0P_MFS6_LIN_FCR_FRIIE                  *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM_MFS6_LIN_FCR_FLSTE                    *((volatile  uint8_t *)(0x4270C2B0UL))
#define bFM0P_MFS6_LIN_FCR_FLSTE                  *((volatile  uint8_t *)(0x4270C2B0UL))

#define bFM_MFS6_LIN_SCR_TXE                      *((volatile  uint8_t *)(0x4270C020UL))
#define bFM0P_MFS6_LIN_SCR_TXE                    *((volatile  uint8_t *)(0x4270C020UL))
#define bFM_MFS6_LIN_SCR_RXE                      *((volatile  uint8_t *)(0x4270C024UL))
#define bFM0P_MFS6_LIN_SCR_RXE                    *((volatile  uint8_t *)(0x4270C024UL))
#define bFM_MFS6_LIN_SCR_TBIE                     *((volatile  uint8_t *)(0x4270C028UL))
#define bFM0P_MFS6_LIN_SCR_TBIE                   *((volatile  uint8_t *)(0x4270C028UL))
#define bFM_MFS6_LIN_SCR_TIE                      *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM0P_MFS6_LIN_SCR_TIE                    *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM_MFS6_LIN_SCR_RIE                      *((volatile  uint8_t *)(0x4270C030UL))
#define bFM0P_MFS6_LIN_SCR_RIE                    *((volatile  uint8_t *)(0x4270C030UL))
#define bFM_MFS6_LIN_SCR_LBR                      *((volatile  uint8_t *)(0x4270C034UL))
#define bFM0P_MFS6_LIN_SCR_LBR                    *((volatile  uint8_t *)(0x4270C034UL))
#define bFM_MFS6_LIN_SCR_MS                       *((volatile  uint8_t *)(0x4270C038UL))
#define bFM0P_MFS6_LIN_SCR_MS                     *((volatile  uint8_t *)(0x4270C038UL))
#define bFM_MFS6_LIN_SCR_UPCL                     *((volatile  uint8_t *)(0x4270C03CUL))
#define bFM0P_MFS6_LIN_SCR_UPCL                   *((volatile  uint8_t *)(0x4270C03CUL))

#define bFM_MFS6_LIN_SMR_SOE                      *((volatile  uint8_t *)(0x4270C000UL))
#define bFM0P_MFS6_LIN_SMR_SOE                    *((volatile  uint8_t *)(0x4270C000UL))
#define bFM_MFS6_LIN_SMR_SBL                      *((volatile  uint8_t *)(0x4270C00CUL))
#define bFM0P_MFS6_LIN_SMR_SBL                    *((volatile  uint8_t *)(0x4270C00CUL))

#define bFM_MFS6_LIN_SSR_TBI                      *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM0P_MFS6_LIN_SSR_TBI                    *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM_MFS6_LIN_SSR_TDRE                     *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM0P_MFS6_LIN_SSR_TDRE                   *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM_MFS6_LIN_SSR_RDRF                     *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM0P_MFS6_LIN_SSR_RDRF                   *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM_MFS6_LIN_SSR_ORE                      *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM0P_MFS6_LIN_SSR_ORE                    *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM_MFS6_LIN_SSR_FRE                      *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM0P_MFS6_LIN_SSR_FRE                    *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM_MFS6_LIN_SSR_LBD                      *((volatile  uint8_t *)(0x4270C0B4UL))
#define bFM0P_MFS6_LIN_SSR_LBD                    *((volatile  uint8_t *)(0x4270C0B4UL))
#define bFM_MFS6_LIN_SSR_REC                      *((volatile  uint8_t *)(0x4270C0BCUL))
#define bFM0P_MFS6_LIN_SSR_REC                    *((volatile  uint8_t *)(0x4270C0BCUL))

#define bFM_MFS6_UART_BGR_EXT                     *((volatile  uint8_t *)(0x4270C1BCUL))
#define bFM0P_MFS6_UART_BGR_EXT                   *((volatile  uint8_t *)(0x4270C1BCUL))

#define bFM_MFS6_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270C08CUL))
#define bFM0P_MFS6_UART_ESCR_P                    *((volatile  uint8_t *)(0x4270C08CUL))
#define bFM_MFS6_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x4270C090UL))
#define bFM0P_MFS6_UART_ESCR_PEN                  *((volatile  uint8_t *)(0x4270C090UL))
#define bFM_MFS6_UART_ESCR_INV                    *((volatile  uint8_t *)(0x4270C094UL))
#define bFM0P_MFS6_UART_ESCR_INV                  *((volatile  uint8_t *)(0x4270C094UL))
#define bFM_MFS6_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x4270C098UL))
#define bFM0P_MFS6_UART_ESCR_ESBL                 *((volatile  uint8_t *)(0x4270C098UL))
#define bFM_MFS6_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270C09CUL))
#define bFM0P_MFS6_UART_ESCR_FLWEN                *((volatile  uint8_t *)(0x4270C09CUL))

#define bFM_MFS6_UART_FCR_FE1                     *((volatile  uint8_t *)(0x4270C280UL))
#define bFM0P_MFS6_UART_FCR_FE1                   *((volatile  uint8_t *)(0x4270C280UL))
#define bFM_MFS6_UART_FCR_FE2                     *((volatile  uint8_t *)(0x4270C284UL))
#define bFM0P_MFS6_UART_FCR_FE2                   *((volatile  uint8_t *)(0x4270C284UL))
#define bFM_MFS6_UART_FCR_FCL1                    *((volatile  uint8_t *)(0x4270C288UL))
#define bFM0P_MFS6_UART_FCR_FCL1                  *((volatile  uint8_t *)(0x4270C288UL))
#define bFM_MFS6_UART_FCR_FCL2                    *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM0P_MFS6_UART_FCR_FCL2                  *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM_MFS6_UART_FCR_FSET                    *((volatile  uint8_t *)(0x4270C290UL))
#define bFM0P_MFS6_UART_FCR_FSET                  *((volatile  uint8_t *)(0x4270C290UL))
#define bFM_MFS6_UART_FCR_FLD                     *((volatile  uint8_t *)(0x4270C294UL))
#define bFM0P_MFS6_UART_FCR_FLD                   *((volatile  uint8_t *)(0x4270C294UL))
#define bFM_MFS6_UART_FCR_FLST                    *((volatile  uint8_t *)(0x4270C298UL))
#define bFM0P_MFS6_UART_FCR_FLST                  *((volatile  uint8_t *)(0x4270C298UL))
#define bFM_MFS6_UART_FCR_FSEL                    *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM0P_MFS6_UART_FCR_FSEL                  *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM_MFS6_UART_FCR_FTIE                    *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM0P_MFS6_UART_FCR_FTIE                  *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM_MFS6_UART_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM0P_MFS6_UART_FCR_FDRQ                  *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM_MFS6_UART_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM0P_MFS6_UART_FCR_FRIIE                 *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM_MFS6_UART_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270C2B0UL))
#define bFM0P_MFS6_UART_FCR_FLSTE                 *((volatile  uint8_t *)(0x4270C2B0UL))

#define bFM_MFS6_UART_SCR_TXE                     *((volatile  uint8_t *)(0x4270C020UL))
#define bFM0P_MFS6_UART_SCR_TXE                   *((volatile  uint8_t *)(0x4270C020UL))
#define bFM_MFS6_UART_SCR_RXE                     *((volatile  uint8_t *)(0x4270C024UL))
#define bFM0P_MFS6_UART_SCR_RXE                   *((volatile  uint8_t *)(0x4270C024UL))
#define bFM_MFS6_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x4270C028UL))
#define bFM0P_MFS6_UART_SCR_TBIE                  *((volatile  uint8_t *)(0x4270C028UL))
#define bFM_MFS6_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM0P_MFS6_UART_SCR_TIE                   *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM_MFS6_UART_SCR_RIE                     *((volatile  uint8_t *)(0x4270C030UL))
#define bFM0P_MFS6_UART_SCR_RIE                   *((volatile  uint8_t *)(0x4270C030UL))
#define bFM_MFS6_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270C03CUL))
#define bFM0P_MFS6_UART_SCR_UPCL                  *((volatile  uint8_t *)(0x4270C03CUL))

#define bFM_MFS6_UART_SMR_SOE                     *((volatile  uint8_t *)(0x4270C000UL))
#define bFM0P_MFS6_UART_SMR_SOE                   *((volatile  uint8_t *)(0x4270C000UL))
#define bFM_MFS6_UART_SMR_BDS                     *((volatile  uint8_t *)(0x4270C008UL))
#define bFM0P_MFS6_UART_SMR_BDS                   *((volatile  uint8_t *)(0x4270C008UL))
#define bFM_MFS6_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270C00CUL))
#define bFM0P_MFS6_UART_SMR_SBL                   *((volatile  uint8_t *)(0x4270C00CUL))

#define bFM_MFS6_UART_SSR_TBI                     *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM0P_MFS6_UART_SSR_TBI                   *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM_MFS6_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM0P_MFS6_UART_SSR_TDRE                  *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM_MFS6_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM0P_MFS6_UART_SSR_RDRF                  *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM_MFS6_UART_SSR_ORE                     *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM0P_MFS6_UART_SSR_ORE                   *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM_MFS6_UART_SSR_FRE                     *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM0P_MFS6_UART_SSR_FRE                   *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM_MFS6_UART_SSR_PE                      *((volatile  uint8_t *)(0x4270C0B4UL))
#define bFM0P_MFS6_UART_SSR_PE                    *((volatile  uint8_t *)(0x4270C0B4UL))
#define bFM_MFS6_UART_SSR_REC                     *((volatile  uint8_t *)(0x4270C0BCUL))
#define bFM0P_MFS6_UART_SSR_REC                   *((volatile  uint8_t *)(0x4270C0BCUL))


/******************************************************************************
 ** MFS Registers MFS7
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS7_CSIO_ESCR_CSFE                   *((volatile  uint8_t *)(0x4270E094UL))
#define bFM0P_MFS7_CSIO_ESCR_CSFE                 *((volatile  uint8_t *)(0x4270E094UL))
#define bFM_MFS7_CSIO_ESCR_L3                     *((volatile  uint8_t *)(0x4270E098UL))
#define bFM0P_MFS7_CSIO_ESCR_L3                   *((volatile  uint8_t *)(0x4270E098UL))
#define bFM_MFS7_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270E09CUL))
#define bFM0P_MFS7_CSIO_ESCR_SOP                  *((volatile  uint8_t *)(0x4270E09CUL))

#define bFM_MFS7_CSIO_FCR_FE1                     *((volatile  uint8_t *)(0x4270E280UL))
#define bFM0P_MFS7_CSIO_FCR_FE1                   *((volatile  uint8_t *)(0x4270E280UL))
#define bFM_MFS7_CSIO_FCR_FE2                     *((volatile  uint8_t *)(0x4270E284UL))
#define bFM0P_MFS7_CSIO_FCR_FE2                   *((volatile  uint8_t *)(0x4270E284UL))
#define bFM_MFS7_CSIO_FCR_FCL1                    *((volatile  uint8_t *)(0x4270E288UL))
#define bFM0P_MFS7_CSIO_FCR_FCL1                  *((volatile  uint8_t *)(0x4270E288UL))
#define bFM_MFS7_CSIO_FCR_FCL2                    *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM0P_MFS7_CSIO_FCR_FCL2                  *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM_MFS7_CSIO_FCR_FSET                    *((volatile  uint8_t *)(0x4270E290UL))
#define bFM0P_MFS7_CSIO_FCR_FSET                  *((volatile  uint8_t *)(0x4270E290UL))
#define bFM_MFS7_CSIO_FCR_FLD                     *((volatile  uint8_t *)(0x4270E294UL))
#define bFM0P_MFS7_CSIO_FCR_FLD                   *((volatile  uint8_t *)(0x4270E294UL))
#define bFM_MFS7_CSIO_FCR_FLST                    *((volatile  uint8_t *)(0x4270E298UL))
#define bFM0P_MFS7_CSIO_FCR_FLST                  *((volatile  uint8_t *)(0x4270E298UL))
#define bFM_MFS7_CSIO_FCR_FSEL                    *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM0P_MFS7_CSIO_FCR_FSEL                  *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM_MFS7_CSIO_FCR_FTIE                    *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM0P_MFS7_CSIO_FCR_FTIE                  *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM_MFS7_CSIO_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM0P_MFS7_CSIO_FCR_FDRQ                  *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM_MFS7_CSIO_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM0P_MFS7_CSIO_FCR_FRIIE                 *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM_MFS7_CSIO_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270E2B0UL))
#define bFM0P_MFS7_CSIO_FCR_FLSTE                 *((volatile  uint8_t *)(0x4270E2B0UL))

#define bFM_MFS7_CSIO_SACSR_TMRE                  *((volatile  uint8_t *)(0x4270E480UL))
#define bFM0P_MFS7_CSIO_SACSR_TMRE                *((volatile  uint8_t *)(0x4270E480UL))
#define bFM_MFS7_CSIO_SACSR_TSYNE                 *((volatile  uint8_t *)(0x4270E498UL))
#define bFM0P_MFS7_CSIO_SACSR_TSYNE               *((volatile  uint8_t *)(0x4270E498UL))
#define bFM_MFS7_CSIO_SACSR_TINTE                 *((volatile  uint8_t *)(0x4270E49CUL))
#define bFM0P_MFS7_CSIO_SACSR_TINTE               *((volatile  uint8_t *)(0x4270E49CUL))
#define bFM_MFS7_CSIO_SACSR_TINT                  *((volatile  uint8_t *)(0x4270E4A0UL))
#define bFM0P_MFS7_CSIO_SACSR_TINT                *((volatile  uint8_t *)(0x4270E4A0UL))
#define bFM_MFS7_CSIO_SACSR_CSE                   *((volatile  uint8_t *)(0x4270E4ACUL))
#define bFM0P_MFS7_CSIO_SACSR_CSE                 *((volatile  uint8_t *)(0x4270E4ACUL))
#define bFM_MFS7_CSIO_SACSR_CSEIE                 *((volatile  uint8_t *)(0x4270E4B0UL))
#define bFM0P_MFS7_CSIO_SACSR_CSEIE               *((volatile  uint8_t *)(0x4270E4B0UL))
#define bFM_MFS7_CSIO_SACSR_TBEEN                 *((volatile  uint8_t *)(0x4270E4B4UL))
#define bFM0P_MFS7_CSIO_SACSR_TBEEN               *((volatile  uint8_t *)(0x4270E4B4UL))

#define bFM_MFS7_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x4270E020UL))
#define bFM0P_MFS7_CSIO_SCR_TXE                   *((volatile  uint8_t *)(0x4270E020UL))
#define bFM_MFS7_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x4270E024UL))
#define bFM0P_MFS7_CSIO_SCR_RXE                   *((volatile  uint8_t *)(0x4270E024UL))
#define bFM_MFS7_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x4270E028UL))
#define bFM0P_MFS7_CSIO_SCR_TBIE                  *((volatile  uint8_t *)(0x4270E028UL))
#define bFM_MFS7_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM0P_MFS7_CSIO_SCR_TIE                   *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM_MFS7_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x4270E030UL))
#define bFM0P_MFS7_CSIO_SCR_RIE                   *((volatile  uint8_t *)(0x4270E030UL))
#define bFM_MFS7_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x4270E034UL))
#define bFM0P_MFS7_CSIO_SCR_SPI                   *((volatile  uint8_t *)(0x4270E034UL))
#define bFM_MFS7_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x4270E038UL))
#define bFM0P_MFS7_CSIO_SCR_MS                    *((volatile  uint8_t *)(0x4270E038UL))
#define bFM_MFS7_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270E03CUL))
#define bFM0P_MFS7_CSIO_SCR_UPCL                  *((volatile  uint8_t *)(0x4270E03CUL))

#define bFM_MFS7_CSIO_SCSCR_CSOE                  *((volatile  uint8_t *)(0x4270E600UL))
#define bFM0P_MFS7_CSIO_SCSCR_CSOE                *((volatile  uint8_t *)(0x4270E600UL))
#define bFM_MFS7_CSIO_SCSCR_CSEN0                 *((volatile  uint8_t *)(0x4270E604UL))
#define bFM0P_MFS7_CSIO_SCSCR_CSEN0               *((volatile  uint8_t *)(0x4270E604UL))
#define bFM_MFS7_CSIO_SCSCR_CSEN1                 *((volatile  uint8_t *)(0x4270E608UL))
#define bFM0P_MFS7_CSIO_SCSCR_CSEN1               *((volatile  uint8_t *)(0x4270E608UL))
#define bFM_MFS7_CSIO_SCSCR_CSEN2                 *((volatile  uint8_t *)(0x4270E60CUL))
#define bFM0P_MFS7_CSIO_SCSCR_CSEN2               *((volatile  uint8_t *)(0x4270E60CUL))
#define bFM_MFS7_CSIO_SCSCR_CSEN3                 *((volatile  uint8_t *)(0x4270E610UL))
#define bFM0P_MFS7_CSIO_SCSCR_CSEN3               *((volatile  uint8_t *)(0x4270E610UL))
#define bFM_MFS7_CSIO_SCSCR_CSLVL                 *((volatile  uint8_t *)(0x4270E614UL))
#define bFM0P_MFS7_CSIO_SCSCR_CSLVL               *((volatile  uint8_t *)(0x4270E614UL))
#define bFM_MFS7_CSIO_SCSCR_SCAM                  *((volatile  uint8_t *)(0x4270E624UL))
#define bFM0P_MFS7_CSIO_SCSCR_SCAM                *((volatile  uint8_t *)(0x4270E624UL))

#define bFM_MFS7_CSIO_SCSFR0_CS1BDS               *((volatile  uint8_t *)(0x4270E690UL))
#define bFM0P_MFS7_CSIO_SCSFR0_CS1BDS             *((volatile  uint8_t *)(0x4270E690UL))
#define bFM_MFS7_CSIO_SCSFR0_CS1SPI               *((volatile  uint8_t *)(0x4270E694UL))
#define bFM0P_MFS7_CSIO_SCSFR0_CS1SPI             *((volatile  uint8_t *)(0x4270E694UL))
#define bFM_MFS7_CSIO_SCSFR0_CS1SCINV             *((volatile  uint8_t *)(0x4270E698UL))
#define bFM0P_MFS7_CSIO_SCSFR0_CS1SCINV           *((volatile  uint8_t *)(0x4270E698UL))
#define bFM_MFS7_CSIO_SCSFR0_CS1CSLVL             *((volatile  uint8_t *)(0x4270E69CUL))
#define bFM0P_MFS7_CSIO_SCSFR0_CS1CSLVL           *((volatile  uint8_t *)(0x4270E69CUL))

#define bFM_MFS7_CSIO_SCSFR1_CS2BDS               *((volatile  uint8_t *)(0x4270E6B0UL))
#define bFM0P_MFS7_CSIO_SCSFR1_CS2BDS             *((volatile  uint8_t *)(0x4270E6B0UL))
#define bFM_MFS7_CSIO_SCSFR1_CS2SPI               *((volatile  uint8_t *)(0x4270E6B4UL))
#define bFM0P_MFS7_CSIO_SCSFR1_CS2SPI             *((volatile  uint8_t *)(0x4270E6B4UL))
#define bFM_MFS7_CSIO_SCSFR1_CS2SCINV             *((volatile  uint8_t *)(0x4270E6B8UL))
#define bFM0P_MFS7_CSIO_SCSFR1_CS2SCINV           *((volatile  uint8_t *)(0x4270E6B8UL))
#define bFM_MFS7_CSIO_SCSFR1_CS2CSLVL             *((volatile  uint8_t *)(0x4270E6BCUL))
#define bFM0P_MFS7_CSIO_SCSFR1_CS2CSLVL           *((volatile  uint8_t *)(0x4270E6BCUL))

#define bFM_MFS7_CSIO_SCSFR2_CS3BDS               *((volatile  uint8_t *)(0x4270E710UL))
#define bFM0P_MFS7_CSIO_SCSFR2_CS3BDS             *((volatile  uint8_t *)(0x4270E710UL))
#define bFM_MFS7_CSIO_SCSFR2_CS3SPI               *((volatile  uint8_t *)(0x4270E714UL))
#define bFM0P_MFS7_CSIO_SCSFR2_CS3SPI             *((volatile  uint8_t *)(0x4270E714UL))
#define bFM_MFS7_CSIO_SCSFR2_CS3SCINV             *((volatile  uint8_t *)(0x4270E718UL))
#define bFM0P_MFS7_CSIO_SCSFR2_CS3SCINV           *((volatile  uint8_t *)(0x4270E718UL))
#define bFM_MFS7_CSIO_SCSFR2_CS3CSLVL             *((volatile  uint8_t *)(0x4270E71CUL))
#define bFM0P_MFS7_CSIO_SCSFR2_CS3CSLVL           *((volatile  uint8_t *)(0x4270E71CUL))

#define bFM_MFS7_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x4270E000UL))
#define bFM0P_MFS7_CSIO_SMR_SOE                   *((volatile  uint8_t *)(0x4270E000UL))
#define bFM_MFS7_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x4270E004UL))
#define bFM0P_MFS7_CSIO_SMR_SCKE                  *((volatile  uint8_t *)(0x4270E004UL))
#define bFM_MFS7_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x4270E008UL))
#define bFM0P_MFS7_CSIO_SMR_BDS                   *((volatile  uint8_t *)(0x4270E008UL))
#define bFM_MFS7_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270E00CUL))
#define bFM0P_MFS7_CSIO_SMR_SCINV                 *((volatile  uint8_t *)(0x4270E00CUL))

#define bFM_MFS7_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM0P_MFS7_CSIO_SSR_TBI                   *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM_MFS7_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM0P_MFS7_CSIO_SSR_TDRE                  *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM_MFS7_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM0P_MFS7_CSIO_SSR_RDRF                  *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM_MFS7_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM0P_MFS7_CSIO_SSR_ORE                   *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM_MFS7_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x4270E0BCUL))
#define bFM0P_MFS7_CSIO_SSR_REC                   *((volatile  uint8_t *)(0x4270E0BCUL))

#define bFM_MFS7_I2C_EIBCR_BEC                    *((volatile  uint8_t *)(0x4270E3A0UL))
#define bFM0P_MFS7_I2C_EIBCR_BEC                  *((volatile  uint8_t *)(0x4270E3A0UL))
#define bFM_MFS7_I2C_EIBCR_SOCE                   *((volatile  uint8_t *)(0x4270E3A4UL))
#define bFM0P_MFS7_I2C_EIBCR_SOCE                 *((volatile  uint8_t *)(0x4270E3A4UL))
#define bFM_MFS7_I2C_EIBCR_SCLC                   *((volatile  uint8_t *)(0x4270E3A8UL))
#define bFM0P_MFS7_I2C_EIBCR_SCLC                 *((volatile  uint8_t *)(0x4270E3A8UL))
#define bFM_MFS7_I2C_EIBCR_SDAC                   *((volatile  uint8_t *)(0x4270E3ACUL))
#define bFM0P_MFS7_I2C_EIBCR_SDAC                 *((volatile  uint8_t *)(0x4270E3ACUL))
#define bFM_MFS7_I2C_EIBCR_SCLS                   *((volatile  uint8_t *)(0x4270E3B0UL))
#define bFM0P_MFS7_I2C_EIBCR_SCLS                 *((volatile  uint8_t *)(0x4270E3B0UL))
#define bFM_MFS7_I2C_EIBCR_SDAS                   *((volatile  uint8_t *)(0x4270E3B4UL))
#define bFM0P_MFS7_I2C_EIBCR_SDAS                 *((volatile  uint8_t *)(0x4270E3B4UL))

#define bFM_MFS7_I2C_FCR_FE1                      *((volatile  uint8_t *)(0x4270E280UL))
#define bFM0P_MFS7_I2C_FCR_FE1                    *((volatile  uint8_t *)(0x4270E280UL))
#define bFM_MFS7_I2C_FCR_FE2                      *((volatile  uint8_t *)(0x4270E284UL))
#define bFM0P_MFS7_I2C_FCR_FE2                    *((volatile  uint8_t *)(0x4270E284UL))
#define bFM_MFS7_I2C_FCR_FCL1                     *((volatile  uint8_t *)(0x4270E288UL))
#define bFM0P_MFS7_I2C_FCR_FCL1                   *((volatile  uint8_t *)(0x4270E288UL))
#define bFM_MFS7_I2C_FCR_FCL2                     *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM0P_MFS7_I2C_FCR_FCL2                   *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM_MFS7_I2C_FCR_FSET                     *((volatile  uint8_t *)(0x4270E290UL))
#define bFM0P_MFS7_I2C_FCR_FSET                   *((volatile  uint8_t *)(0x4270E290UL))
#define bFM_MFS7_I2C_FCR_FLD                      *((volatile  uint8_t *)(0x4270E294UL))
#define bFM0P_MFS7_I2C_FCR_FLD                    *((volatile  uint8_t *)(0x4270E294UL))
#define bFM_MFS7_I2C_FCR_FLST                     *((volatile  uint8_t *)(0x4270E298UL))
#define bFM0P_MFS7_I2C_FCR_FLST                   *((volatile  uint8_t *)(0x4270E298UL))
#define bFM_MFS7_I2C_FCR_FSEL                     *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM0P_MFS7_I2C_FCR_FSEL                   *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM_MFS7_I2C_FCR_FTIE                     *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM0P_MFS7_I2C_FCR_FTIE                   *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM_MFS7_I2C_FCR_FDRQ                     *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM0P_MFS7_I2C_FCR_FDRQ                   *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM_MFS7_I2C_FCR_FRIIE                    *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM0P_MFS7_I2C_FCR_FRIIE                  *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM_MFS7_I2C_FCR_FLSTE                    *((volatile  uint8_t *)(0x4270E2B0UL))
#define bFM0P_MFS7_I2C_FCR_FLSTE                  *((volatile  uint8_t *)(0x4270E2B0UL))

#define bFM_MFS7_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x4270E020UL))
#define bFM0P_MFS7_I2C_IBCR_INT                   *((volatile  uint8_t *)(0x4270E020UL))
#define bFM_MFS7_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x4270E024UL))
#define bFM0P_MFS7_I2C_IBCR_BER                   *((volatile  uint8_t *)(0x4270E024UL))
#define bFM_MFS7_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x4270E028UL))
#define bFM0P_MFS7_I2C_IBCR_INTE                  *((volatile  uint8_t *)(0x4270E028UL))
#define bFM_MFS7_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM0P_MFS7_I2C_IBCR_CNDE                  *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM_MFS7_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x4270E030UL))
#define bFM0P_MFS7_I2C_IBCR_WSEL                  *((volatile  uint8_t *)(0x4270E030UL))
#define bFM_MFS7_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x4270E034UL))
#define bFM0P_MFS7_I2C_IBCR_ACKE                  *((volatile  uint8_t *)(0x4270E034UL))
#define bFM_MFS7_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x4270E038UL))
#define bFM0P_MFS7_I2C_IBCR_ACT_SCC               *((volatile  uint8_t *)(0x4270E038UL))
#define bFM_MFS7_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270E03CUL))
#define bFM0P_MFS7_I2C_IBCR_MSS                   *((volatile  uint8_t *)(0x4270E03CUL))

#define bFM_MFS7_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x4270E080UL))
#define bFM0P_MFS7_I2C_IBSR_BB                    *((volatile  uint8_t *)(0x4270E080UL))
#define bFM_MFS7_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x4270E084UL))
#define bFM0P_MFS7_I2C_IBSR_SPC                   *((volatile  uint8_t *)(0x4270E084UL))
#define bFM_MFS7_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x4270E088UL))
#define bFM0P_MFS7_I2C_IBSR_RSC                   *((volatile  uint8_t *)(0x4270E088UL))
#define bFM_MFS7_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270E08CUL))
#define bFM0P_MFS7_I2C_IBSR_AL                    *((volatile  uint8_t *)(0x4270E08CUL))
#define bFM_MFS7_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x4270E090UL))
#define bFM0P_MFS7_I2C_IBSR_TRX                   *((volatile  uint8_t *)(0x4270E090UL))
#define bFM_MFS7_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x4270E094UL))
#define bFM0P_MFS7_I2C_IBSR_RSA                   *((volatile  uint8_t *)(0x4270E094UL))
#define bFM_MFS7_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x4270E098UL))
#define bFM0P_MFS7_I2C_IBSR_RACK                  *((volatile  uint8_t *)(0x4270E098UL))
#define bFM_MFS7_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270E09CUL))
#define bFM0P_MFS7_I2C_IBSR_FBT                   *((volatile  uint8_t *)(0x4270E09CUL))

#define bFM_MFS7_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270E21CUL))
#define bFM0P_MFS7_I2C_ISBA_SAEN                  *((volatile  uint8_t *)(0x4270E21CUL))

#define bFM_MFS7_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270E23CUL))
#define bFM0P_MFS7_I2C_ISMK_EN                    *((volatile  uint8_t *)(0x4270E23CUL))

#define bFM_MFS7_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x4270E008UL))
#define bFM0P_MFS7_I2C_SMR_TIE                    *((volatile  uint8_t *)(0x4270E008UL))
#define bFM_MFS7_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270E00CUL))
#define bFM0P_MFS7_I2C_SMR_RIE                    *((volatile  uint8_t *)(0x4270E00CUL))

#define bFM_MFS7_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM0P_MFS7_I2C_SSR_TBI                    *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM_MFS7_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM0P_MFS7_I2C_SSR_TDRE                   *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM_MFS7_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM0P_MFS7_I2C_SSR_RDRF                   *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM_MFS7_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM0P_MFS7_I2C_SSR_ORE                    *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM_MFS7_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x4270E0B0UL))
#define bFM0P_MFS7_I2C_SSR_TBIE                   *((volatile  uint8_t *)(0x4270E0B0UL))
#define bFM_MFS7_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x4270E0B4UL))
#define bFM0P_MFS7_I2C_SSR_DMA                    *((volatile  uint8_t *)(0x4270E0B4UL))
#define bFM_MFS7_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x4270E0B8UL))
#define bFM0P_MFS7_I2C_SSR_TSET                   *((volatile  uint8_t *)(0x4270E0B8UL))
#define bFM_MFS7_I2C_SSR_REC                      *((volatile  uint8_t *)(0x4270E0BCUL))
#define bFM0P_MFS7_I2C_SSR_REC                    *((volatile  uint8_t *)(0x4270E0BCUL))

#define bFM_MFS7_LIN_BGR_EXT                      *((volatile  uint8_t *)(0x4270E1BCUL))
#define bFM0P_MFS7_LIN_BGR_EXT                    *((volatile  uint8_t *)(0x4270E1BCUL))

#define bFM_MFS7_LIN_ESCR_LBIE                    *((volatile  uint8_t *)(0x4270E090UL))
#define bFM0P_MFS7_LIN_ESCR_LBIE                  *((volatile  uint8_t *)(0x4270E090UL))
#define bFM_MFS7_LIN_ESCR_ESBL                    *((volatile  uint8_t *)(0x4270E098UL))
#define bFM0P_MFS7_LIN_ESCR_ESBL                  *((volatile  uint8_t *)(0x4270E098UL))

#define bFM_MFS7_LIN_FCR_FE1                      *((volatile  uint8_t *)(0x4270E280UL))
#define bFM0P_MFS7_LIN_FCR_FE1                    *((volatile  uint8_t *)(0x4270E280UL))
#define bFM_MFS7_LIN_FCR_FE2                      *((volatile  uint8_t *)(0x4270E284UL))
#define bFM0P_MFS7_LIN_FCR_FE2                    *((volatile  uint8_t *)(0x4270E284UL))
#define bFM_MFS7_LIN_FCR_FCL1                     *((volatile  uint8_t *)(0x4270E288UL))
#define bFM0P_MFS7_LIN_FCR_FCL1                   *((volatile  uint8_t *)(0x4270E288UL))
#define bFM_MFS7_LIN_FCR_FCL2                     *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM0P_MFS7_LIN_FCR_FCL2                   *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM_MFS7_LIN_FCR_FSET                     *((volatile  uint8_t *)(0x4270E290UL))
#define bFM0P_MFS7_LIN_FCR_FSET                   *((volatile  uint8_t *)(0x4270E290UL))
#define bFM_MFS7_LIN_FCR_FLD                      *((volatile  uint8_t *)(0x4270E294UL))
#define bFM0P_MFS7_LIN_FCR_FLD                    *((volatile  uint8_t *)(0x4270E294UL))
#define bFM_MFS7_LIN_FCR_FLST                     *((volatile  uint8_t *)(0x4270E298UL))
#define bFM0P_MFS7_LIN_FCR_FLST                   *((volatile  uint8_t *)(0x4270E298UL))
#define bFM_MFS7_LIN_FCR_FSEL                     *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM0P_MFS7_LIN_FCR_FSEL                   *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM_MFS7_LIN_FCR_FTIE                     *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM0P_MFS7_LIN_FCR_FTIE                   *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM_MFS7_LIN_FCR_FDRQ                     *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM0P_MFS7_LIN_FCR_FDRQ                   *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM_MFS7_LIN_FCR_FRIIE                    *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM0P_MFS7_LIN_FCR_FRIIE                  *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM_MFS7_LIN_FCR_FLSTE                    *((volatile  uint8_t *)(0x4270E2B0UL))
#define bFM0P_MFS7_LIN_FCR_FLSTE                  *((volatile  uint8_t *)(0x4270E2B0UL))

#define bFM_MFS7_LIN_SCR_TXE                      *((volatile  uint8_t *)(0x4270E020UL))
#define bFM0P_MFS7_LIN_SCR_TXE                    *((volatile  uint8_t *)(0x4270E020UL))
#define bFM_MFS7_LIN_SCR_RXE                      *((volatile  uint8_t *)(0x4270E024UL))
#define bFM0P_MFS7_LIN_SCR_RXE                    *((volatile  uint8_t *)(0x4270E024UL))
#define bFM_MFS7_LIN_SCR_TBIE                     *((volatile  uint8_t *)(0x4270E028UL))
#define bFM0P_MFS7_LIN_SCR_TBIE                   *((volatile  uint8_t *)(0x4270E028UL))
#define bFM_MFS7_LIN_SCR_TIE                      *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM0P_MFS7_LIN_SCR_TIE                    *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM_MFS7_LIN_SCR_RIE                      *((volatile  uint8_t *)(0x4270E030UL))
#define bFM0P_MFS7_LIN_SCR_RIE                    *((volatile  uint8_t *)(0x4270E030UL))
#define bFM_MFS7_LIN_SCR_LBR                      *((volatile  uint8_t *)(0x4270E034UL))
#define bFM0P_MFS7_LIN_SCR_LBR                    *((volatile  uint8_t *)(0x4270E034UL))
#define bFM_MFS7_LIN_SCR_MS                       *((volatile  uint8_t *)(0x4270E038UL))
#define bFM0P_MFS7_LIN_SCR_MS                     *((volatile  uint8_t *)(0x4270E038UL))
#define bFM_MFS7_LIN_SCR_UPCL                     *((volatile  uint8_t *)(0x4270E03CUL))
#define bFM0P_MFS7_LIN_SCR_UPCL                   *((volatile  uint8_t *)(0x4270E03CUL))

#define bFM_MFS7_LIN_SMR_SOE                      *((volatile  uint8_t *)(0x4270E000UL))
#define bFM0P_MFS7_LIN_SMR_SOE                    *((volatile  uint8_t *)(0x4270E000UL))
#define bFM_MFS7_LIN_SMR_SBL                      *((volatile  uint8_t *)(0x4270E00CUL))
#define bFM0P_MFS7_LIN_SMR_SBL                    *((volatile  uint8_t *)(0x4270E00CUL))

#define bFM_MFS7_LIN_SSR_TBI                      *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM0P_MFS7_LIN_SSR_TBI                    *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM_MFS7_LIN_SSR_TDRE                     *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM0P_MFS7_LIN_SSR_TDRE                   *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM_MFS7_LIN_SSR_RDRF                     *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM0P_MFS7_LIN_SSR_RDRF                   *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM_MFS7_LIN_SSR_ORE                      *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM0P_MFS7_LIN_SSR_ORE                    *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM_MFS7_LIN_SSR_FRE                      *((volatile  uint8_t *)(0x4270E0B0UL))
#define bFM0P_MFS7_LIN_SSR_FRE                    *((volatile  uint8_t *)(0x4270E0B0UL))
#define bFM_MFS7_LIN_SSR_LBD                      *((volatile  uint8_t *)(0x4270E0B4UL))
#define bFM0P_MFS7_LIN_SSR_LBD                    *((volatile  uint8_t *)(0x4270E0B4UL))
#define bFM_MFS7_LIN_SSR_REC                      *((volatile  uint8_t *)(0x4270E0BCUL))
#define bFM0P_MFS7_LIN_SSR_REC                    *((volatile  uint8_t *)(0x4270E0BCUL))

#define bFM_MFS7_UART_BGR_EXT                     *((volatile  uint8_t *)(0x4270E1BCUL))
#define bFM0P_MFS7_UART_BGR_EXT                   *((volatile  uint8_t *)(0x4270E1BCUL))

#define bFM_MFS7_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270E08CUL))
#define bFM0P_MFS7_UART_ESCR_P                    *((volatile  uint8_t *)(0x4270E08CUL))
#define bFM_MFS7_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x4270E090UL))
#define bFM0P_MFS7_UART_ESCR_PEN                  *((volatile  uint8_t *)(0x4270E090UL))
#define bFM_MFS7_UART_ESCR_INV                    *((volatile  uint8_t *)(0x4270E094UL))
#define bFM0P_MFS7_UART_ESCR_INV                  *((volatile  uint8_t *)(0x4270E094UL))
#define bFM_MFS7_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x4270E098UL))
#define bFM0P_MFS7_UART_ESCR_ESBL                 *((volatile  uint8_t *)(0x4270E098UL))
#define bFM_MFS7_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270E09CUL))
#define bFM0P_MFS7_UART_ESCR_FLWEN                *((volatile  uint8_t *)(0x4270E09CUL))

#define bFM_MFS7_UART_FCR_FE1                     *((volatile  uint8_t *)(0x4270E280UL))
#define bFM0P_MFS7_UART_FCR_FE1                   *((volatile  uint8_t *)(0x4270E280UL))
#define bFM_MFS7_UART_FCR_FE2                     *((volatile  uint8_t *)(0x4270E284UL))
#define bFM0P_MFS7_UART_FCR_FE2                   *((volatile  uint8_t *)(0x4270E284UL))
#define bFM_MFS7_UART_FCR_FCL1                    *((volatile  uint8_t *)(0x4270E288UL))
#define bFM0P_MFS7_UART_FCR_FCL1                  *((volatile  uint8_t *)(0x4270E288UL))
#define bFM_MFS7_UART_FCR_FCL2                    *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM0P_MFS7_UART_FCR_FCL2                  *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM_MFS7_UART_FCR_FSET                    *((volatile  uint8_t *)(0x4270E290UL))
#define bFM0P_MFS7_UART_FCR_FSET                  *((volatile  uint8_t *)(0x4270E290UL))
#define bFM_MFS7_UART_FCR_FLD                     *((volatile  uint8_t *)(0x4270E294UL))
#define bFM0P_MFS7_UART_FCR_FLD                   *((volatile  uint8_t *)(0x4270E294UL))
#define bFM_MFS7_UART_FCR_FLST                    *((volatile  uint8_t *)(0x4270E298UL))
#define bFM0P_MFS7_UART_FCR_FLST                  *((volatile  uint8_t *)(0x4270E298UL))
#define bFM_MFS7_UART_FCR_FSEL                    *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM0P_MFS7_UART_FCR_FSEL                  *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM_MFS7_UART_FCR_FTIE                    *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM0P_MFS7_UART_FCR_FTIE                  *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM_MFS7_UART_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM0P_MFS7_UART_FCR_FDRQ                  *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM_MFS7_UART_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM0P_MFS7_UART_FCR_FRIIE                 *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM_MFS7_UART_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270E2B0UL))
#define bFM0P_MFS7_UART_FCR_FLSTE                 *((volatile  uint8_t *)(0x4270E2B0UL))

#define bFM_MFS7_UART_SCR_TXE                     *((volatile  uint8_t *)(0x4270E020UL))
#define bFM0P_MFS7_UART_SCR_TXE                   *((volatile  uint8_t *)(0x4270E020UL))
#define bFM_MFS7_UART_SCR_RXE                     *((volatile  uint8_t *)(0x4270E024UL))
#define bFM0P_MFS7_UART_SCR_RXE                   *((volatile  uint8_t *)(0x4270E024UL))
#define bFM_MFS7_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x4270E028UL))
#define bFM0P_MFS7_UART_SCR_TBIE                  *((volatile  uint8_t *)(0x4270E028UL))
#define bFM_MFS7_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM0P_MFS7_UART_SCR_TIE                   *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM_MFS7_UART_SCR_RIE                     *((volatile  uint8_t *)(0x4270E030UL))
#define bFM0P_MFS7_UART_SCR_RIE                   *((volatile  uint8_t *)(0x4270E030UL))
#define bFM_MFS7_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270E03CUL))
#define bFM0P_MFS7_UART_SCR_UPCL                  *((volatile  uint8_t *)(0x4270E03CUL))

#define bFM_MFS7_UART_SMR_SOE                     *((volatile  uint8_t *)(0x4270E000UL))
#define bFM0P_MFS7_UART_SMR_SOE                   *((volatile  uint8_t *)(0x4270E000UL))
#define bFM_MFS7_UART_SMR_BDS                     *((volatile  uint8_t *)(0x4270E008UL))
#define bFM0P_MFS7_UART_SMR_BDS                   *((volatile  uint8_t *)(0x4270E008UL))
#define bFM_MFS7_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270E00CUL))
#define bFM0P_MFS7_UART_SMR_SBL                   *((volatile  uint8_t *)(0x4270E00CUL))

#define bFM_MFS7_UART_SSR_TBI                     *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM0P_MFS7_UART_SSR_TBI                   *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM_MFS7_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM0P_MFS7_UART_SSR_TDRE                  *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM_MFS7_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM0P_MFS7_UART_SSR_RDRF                  *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM_MFS7_UART_SSR_ORE                     *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM0P_MFS7_UART_SSR_ORE                   *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM_MFS7_UART_SSR_FRE                     *((volatile  uint8_t *)(0x4270E0B0UL))
#define bFM0P_MFS7_UART_SSR_FRE                   *((volatile  uint8_t *)(0x4270E0B0UL))
#define bFM_MFS7_UART_SSR_PE                      *((volatile  uint8_t *)(0x4270E0B4UL))
#define bFM0P_MFS7_UART_SSR_PE                    *((volatile  uint8_t *)(0x4270E0B4UL))
#define bFM_MFS7_UART_SSR_REC                     *((volatile  uint8_t *)(0x4270E0BCUL))
#define bFM0P_MFS7_UART_SSR_REC                   *((volatile  uint8_t *)(0x4270E0BCUL))


/******************************************************************************
 ** MFSI2S Registers MFSI2S0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFSI2S0_CNTLREG_FRAML                 *((volatile  uint16_t*)(0x42794000UL))
#define bFM0P_MFSI2S0_CNTLREG_FRAML               *((volatile  uint16_t*)(0x42794000UL))
#define bFM_MFSI2S0_CNTLREG_I2SMOD                *((volatile  uint16_t*)(0x4279400CUL))
#define bFM0P_MFSI2S0_CNTLREG_I2SMOD              *((volatile  uint16_t*)(0x4279400CUL))
#define bFM_MFSI2S0_CNTLREG_FSPL                  *((volatile  uint16_t*)(0x42794010UL))
#define bFM0P_MFSI2S0_CNTLREG_FSPL                *((volatile  uint16_t*)(0x42794010UL))
#define bFM_MFSI2S0_CNTLREG_I2SEN                 *((volatile  uint16_t*)(0x42794014UL))
#define bFM0P_MFSI2S0_CNTLREG_I2SEN               *((volatile  uint16_t*)(0x42794014UL))
#define bFM_MFSI2S0_CNTLREG_CKOE                  *((volatile  uint16_t*)(0x42794018UL))
#define bFM0P_MFSI2S0_CNTLREG_CKOE                *((volatile  uint16_t*)(0x42794018UL))
#define bFM_MFSI2S0_CNTLREG_MSKB                  *((volatile  uint16_t*)(0x42794020UL))
#define bFM0P_MFSI2S0_CNTLREG_MSKB                *((volatile  uint16_t*)(0x42794020UL))
#define bFM_MFSI2S0_CNTLREG_I2SRUN                *((volatile  uint16_t*)(0x42794028UL))
#define bFM0P_MFSI2S0_CNTLREG_I2SRUN              *((volatile  uint16_t*)(0x42794028UL))

#define bFM_MFSI2S0_I2SCLK_MCKOE                  *((volatile  uint16_t*)(0x427940B8UL))
#define bFM0P_MFSI2S0_I2SCLK_MCKOE                *((volatile  uint16_t*)(0x427940B8UL))
#define bFM_MFSI2S0_I2SCLK_MCKIE                  *((volatile  uint16_t*)(0x427940BCUL))
#define bFM0P_MFSI2S0_I2SCLK_MCKIE                *((volatile  uint16_t*)(0x427940BCUL))

#define bFM_MFSI2S0_I2SST_CKSTP                   *((volatile  uint8_t *)(0x42794120UL))
#define bFM0P_MFSI2S0_I2SST_CKSTP                 *((volatile  uint8_t *)(0x42794120UL))
#define bFM_MFSI2S0_I2SST_BUSY                    *((volatile  uint8_t *)(0x42794124UL))
#define bFM0P_MFSI2S0_I2SST_BUSY                  *((volatile  uint8_t *)(0x42794124UL))


/******************************************************************************
 ** MFSI2S Registers MFSI2S1
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFSI2S1_CNTLREG_FRAML                 *((volatile  uint16_t*)(0x42795000UL))
#define bFM0P_MFSI2S1_CNTLREG_FRAML               *((volatile  uint16_t*)(0x42795000UL))
#define bFM_MFSI2S1_CNTLREG_I2SMOD                *((volatile  uint16_t*)(0x4279500CUL))
#define bFM0P_MFSI2S1_CNTLREG_I2SMOD              *((volatile  uint16_t*)(0x4279500CUL))
#define bFM_MFSI2S1_CNTLREG_FSPL                  *((volatile  uint16_t*)(0x42795010UL))
#define bFM0P_MFSI2S1_CNTLREG_FSPL                *((volatile  uint16_t*)(0x42795010UL))
#define bFM_MFSI2S1_CNTLREG_I2SEN                 *((volatile  uint16_t*)(0x42795014UL))
#define bFM0P_MFSI2S1_CNTLREG_I2SEN               *((volatile  uint16_t*)(0x42795014UL))
#define bFM_MFSI2S1_CNTLREG_CKOE                  *((volatile  uint16_t*)(0x42795018UL))
#define bFM0P_MFSI2S1_CNTLREG_CKOE                *((volatile  uint16_t*)(0x42795018UL))
#define bFM_MFSI2S1_CNTLREG_MSKB                  *((volatile  uint16_t*)(0x42795020UL))
#define bFM0P_MFSI2S1_CNTLREG_MSKB                *((volatile  uint16_t*)(0x42795020UL))
#define bFM_MFSI2S1_CNTLREG_I2SRUN                *((volatile  uint16_t*)(0x42795028UL))
#define bFM0P_MFSI2S1_CNTLREG_I2SRUN              *((volatile  uint16_t*)(0x42795028UL))

#define bFM_MFSI2S1_I2SCLK_MCKOE                  *((volatile  uint16_t*)(0x427950B8UL))
#define bFM0P_MFSI2S1_I2SCLK_MCKOE                *((volatile  uint16_t*)(0x427950B8UL))
#define bFM_MFSI2S1_I2SCLK_MCKIE                  *((volatile  uint16_t*)(0x427950BCUL))
#define bFM0P_MFSI2S1_I2SCLK_MCKIE                *((volatile  uint16_t*)(0x427950BCUL))

#define bFM_MFSI2S1_I2SST_CKSTP                   *((volatile  uint8_t *)(0x42795120UL))
#define bFM0P_MFSI2S1_I2SST_CKSTP                 *((volatile  uint8_t *)(0x42795120UL))
#define bFM_MFSI2S1_I2SST_BUSY                    *((volatile  uint8_t *)(0x42795124UL))
#define bFM0P_MFSI2S1_I2SST_BUSY                  *((volatile  uint8_t *)(0x42795124UL))


/******************************************************************************
 ** MTB_DWT Registers MTB_DWT
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** RTC Registers RTC
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_RTC_ALMOR_TAMO0                       *((volatile  uint8_t *)(0x42760330UL))
#define bFM0P_RTC_ALMOR_TAMO0                     *((volatile  uint8_t *)(0x42760330UL))

#define bFM_RTC_WTCALEN_WTCALEN                   *((volatile  uint8_t *)(0x427604C0UL))
#define bFM0P_RTC_WTCALEN_WTCALEN                 *((volatile  uint8_t *)(0x427604C0UL))

#define bFM_RTC_WTCLKS_WTCLKS                     *((volatile  uint8_t *)(0x42760400UL))
#define bFM0P_RTC_WTCLKS_WTCLKS                   *((volatile  uint8_t *)(0x42760400UL))

#define bFM_RTC_WTCOSEL_WTCOSEL                   *((volatile  uint8_t *)(0x42760600UL))
#define bFM0P_RTC_WTCOSEL_WTCOSEL                 *((volatile  uint8_t *)(0x42760600UL))

#define bFM_RTC_WTCR1_ST                          *((volatile  uint8_t *)(0x42760000UL))
#define bFM0P_RTC_WTCR1_ST                        *((volatile  uint8_t *)(0x42760000UL))
#define bFM_RTC_WTCR1_RUN                         *((volatile  uint8_t *)(0x42760008UL))
#define bFM0P_RTC_WTCR1_RUN                       *((volatile  uint8_t *)(0x42760008UL))
#define bFM_RTC_WTCR1_SRST                        *((volatile  uint8_t *)(0x4276000CUL))
#define bFM0P_RTC_WTCR1_SRST                      *((volatile  uint8_t *)(0x4276000CUL))
#define bFM_RTC_WTCR1_SCST                        *((volatile  uint8_t *)(0x42760010UL))
#define bFM0P_RTC_WTCR1_SCST                      *((volatile  uint8_t *)(0x42760010UL))
#define bFM_RTC_WTCR1_SCRST                       *((volatile  uint8_t *)(0x42760014UL))
#define bFM0P_RTC_WTCR1_SCRST                     *((volatile  uint8_t *)(0x42760014UL))
#define bFM_RTC_WTCR1_BUSY                        *((volatile  uint8_t *)(0x42760018UL))
#define bFM0P_RTC_WTCR1_BUSY                      *((volatile  uint8_t *)(0x42760018UL))
#define bFM_RTC_WTCR1_MIEN                        *((volatile  uint8_t *)(0x42760020UL))
#define bFM0P_RTC_WTCR1_MIEN                      *((volatile  uint8_t *)(0x42760020UL))
#define bFM_RTC_WTCR1_HEN                         *((volatile  uint8_t *)(0x42760024UL))
#define bFM0P_RTC_WTCR1_HEN                       *((volatile  uint8_t *)(0x42760024UL))
#define bFM_RTC_WTCR1_DEN                         *((volatile  uint8_t *)(0x42760028UL))
#define bFM0P_RTC_WTCR1_DEN                       *((volatile  uint8_t *)(0x42760028UL))
#define bFM_RTC_WTCR1_MOEN                        *((volatile  uint8_t *)(0x4276002CUL))
#define bFM0P_RTC_WTCR1_MOEN                      *((volatile  uint8_t *)(0x4276002CUL))
#define bFM_RTC_WTCR1_YEN                         *((volatile  uint8_t *)(0x42760030UL))
#define bFM0P_RTC_WTCR1_YEN                       *((volatile  uint8_t *)(0x42760030UL))
#define bFM_RTC_WTCR1_INTSSI                      *((volatile  uint8_t *)(0x42760040UL))
#define bFM0P_RTC_WTCR1_INTSSI                    *((volatile  uint8_t *)(0x42760040UL))
#define bFM_RTC_WTCR1_INTSI                       *((volatile  uint8_t *)(0x42760044UL))
#define bFM0P_RTC_WTCR1_INTSI                     *((volatile  uint8_t *)(0x42760044UL))
#define bFM_RTC_WTCR1_INTMI                       *((volatile  uint8_t *)(0x42760048UL))
#define bFM0P_RTC_WTCR1_INTMI                     *((volatile  uint8_t *)(0x42760048UL))
#define bFM_RTC_WTCR1_INTHI                       *((volatile  uint8_t *)(0x4276004CUL))
#define bFM0P_RTC_WTCR1_INTHI                     *((volatile  uint8_t *)(0x4276004CUL))
#define bFM_RTC_WTCR1_INTTMI                      *((volatile  uint8_t *)(0x42760050UL))
#define bFM0P_RTC_WTCR1_INTTMI                    *((volatile  uint8_t *)(0x42760050UL))
#define bFM_RTC_WTCR1_INTALI                      *((volatile  uint8_t *)(0x42760054UL))
#define bFM0P_RTC_WTCR1_INTALI                    *((volatile  uint8_t *)(0x42760054UL))
#define bFM_RTC_WTCR1_INTERI                      *((volatile  uint8_t *)(0x42760058UL))
#define bFM0P_RTC_WTCR1_INTERI                    *((volatile  uint8_t *)(0x42760058UL))
#define bFM_RTC_WTCR1_INTCRI                      *((volatile  uint8_t *)(0x4276005CUL))
#define bFM0P_RTC_WTCR1_INTCRI                    *((volatile  uint8_t *)(0x4276005CUL))
#define bFM_RTC_WTCR1_INTSSIE                     *((volatile  uint8_t *)(0x42760060UL))
#define bFM0P_RTC_WTCR1_INTSSIE                   *((volatile  uint8_t *)(0x42760060UL))
#define bFM_RTC_WTCR1_INTSIE                      *((volatile  uint8_t *)(0x42760064UL))
#define bFM0P_RTC_WTCR1_INTSIE                    *((volatile  uint8_t *)(0x42760064UL))
#define bFM_RTC_WTCR1_INTMIE                      *((volatile  uint8_t *)(0x42760068UL))
#define bFM0P_RTC_WTCR1_INTMIE                    *((volatile  uint8_t *)(0x42760068UL))
#define bFM_RTC_WTCR1_INTHIE                      *((volatile  uint8_t *)(0x4276006CUL))
#define bFM0P_RTC_WTCR1_INTHIE                    *((volatile  uint8_t *)(0x4276006CUL))
#define bFM_RTC_WTCR1_INTTMIE                     *((volatile  uint8_t *)(0x42760070UL))
#define bFM0P_RTC_WTCR1_INTTMIE                   *((volatile  uint8_t *)(0x42760070UL))
#define bFM_RTC_WTCR1_INTALIE                     *((volatile  uint8_t *)(0x42760074UL))
#define bFM0P_RTC_WTCR1_INTALIE                   *((volatile  uint8_t *)(0x42760074UL))
#define bFM_RTC_WTCR1_INTERIE                     *((volatile  uint8_t *)(0x42760078UL))
#define bFM0P_RTC_WTCR1_INTERIE                   *((volatile  uint8_t *)(0x42760078UL))
#define bFM_RTC_WTCR1_INTCRIE                     *((volatile  uint8_t *)(0x4276007CUL))
#define bFM0P_RTC_WTCR1_INTCRIE                   *((volatile  uint8_t *)(0x4276007CUL))

#define bFM_RTC_WTCR2_CREAD                       *((volatile  uint8_t *)(0x42760080UL))
#define bFM0P_RTC_WTCR2_CREAD                     *((volatile  uint8_t *)(0x42760080UL))
#define bFM_RTC_WTCR2_TMST                        *((volatile  uint8_t *)(0x427600A0UL))
#define bFM0P_RTC_WTCR2_TMST                      *((volatile  uint8_t *)(0x427600A0UL))
#define bFM_RTC_WTCR2_TMEN                        *((volatile  uint8_t *)(0x427600A4UL))
#define bFM0P_RTC_WTCR2_TMEN                      *((volatile  uint8_t *)(0x427600A4UL))
#define bFM_RTC_WTCR2_TMRUN                       *((volatile  uint8_t *)(0x427600A8UL))
#define bFM0P_RTC_WTCR2_TMRUN                     *((volatile  uint8_t *)(0x427600A8UL))

#define bFM_RTC_WTDIVEN_WTDIVEN                   *((volatile  uint8_t *)(0x42760520UL))
#define bFM0P_RTC_WTDIVEN_WTDIVEN                 *((volatile  uint8_t *)(0x42760520UL))
#define bFM_RTC_WTDIVEN_WTDIVRDY                  *((volatile  uint8_t *)(0x42760524UL))
#define bFM0P_RTC_WTDIVEN_WTDIVRDY                *((volatile  uint8_t *)(0x42760524UL))

#define bFM_RTC_WTMOR_TMO0                        *((volatile  uint8_t *)(0x42760230UL))
#define bFM0P_RTC_WTMOR_TMO0                      *((volatile  uint8_t *)(0x42760230UL))


/******************************************************************************
 ** SBSSR Registers SBSSR
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_SBSSR_BTSSSR_SSSR0                    *((volatile  uint8_t *)(0x424BFF80UL))
#define bFM0P_SBSSR_BTSSSR_SSSR0                  *((volatile  uint8_t *)(0x424BFF80UL))
#define bFM_SBSSR_BTSSSR_SSSR1                    *((volatile  uint8_t *)(0x424BFF84UL))
#define bFM0P_SBSSR_BTSSSR_SSSR1                  *((volatile  uint8_t *)(0x424BFF84UL))
#define bFM_SBSSR_BTSSSR_SSSR2                    *((volatile  uint8_t *)(0x424BFF88UL))
#define bFM0P_SBSSR_BTSSSR_SSSR2                  *((volatile  uint8_t *)(0x424BFF88UL))
#define bFM_SBSSR_BTSSSR_SSSR3                    *((volatile  uint8_t *)(0x424BFF8CUL))
#define bFM0P_SBSSR_BTSSSR_SSSR3                  *((volatile  uint8_t *)(0x424BFF8CUL))
#define bFM_SBSSR_BTSSSR_SSSR4                    *((volatile  uint8_t *)(0x424BFF90UL))
#define bFM0P_SBSSR_BTSSSR_SSSR4                  *((volatile  uint8_t *)(0x424BFF90UL))
#define bFM_SBSSR_BTSSSR_SSSR5                    *((volatile  uint8_t *)(0x424BFF94UL))
#define bFM0P_SBSSR_BTSSSR_SSSR5                  *((volatile  uint8_t *)(0x424BFF94UL))
#define bFM_SBSSR_BTSSSR_SSSR6                    *((volatile  uint8_t *)(0x424BFF98UL))
#define bFM0P_SBSSR_BTSSSR_SSSR6                  *((volatile  uint8_t *)(0x424BFF98UL))
#define bFM_SBSSR_BTSSSR_SSSR7                    *((volatile  uint8_t *)(0x424BFF9CUL))
#define bFM0P_SBSSR_BTSSSR_SSSR7                  *((volatile  uint8_t *)(0x424BFF9CUL))
#define bFM_SBSSR_BTSSSR_SSSR8                    *((volatile  uint8_t *)(0x424BFFA0UL))
#define bFM0P_SBSSR_BTSSSR_SSSR8                  *((volatile  uint8_t *)(0x424BFFA0UL))
#define bFM_SBSSR_BTSSSR_SSSR9                    *((volatile  uint8_t *)(0x424BFFA4UL))
#define bFM0P_SBSSR_BTSSSR_SSSR9                  *((volatile  uint8_t *)(0x424BFFA4UL))
#define bFM_SBSSR_BTSSSR_SSSR10                   *((volatile  uint8_t *)(0x424BFFA8UL))
#define bFM0P_SBSSR_BTSSSR_SSSR10                 *((volatile  uint8_t *)(0x424BFFA8UL))
#define bFM_SBSSR_BTSSSR_SSSR11                   *((volatile  uint8_t *)(0x424BFFACUL))
#define bFM0P_SBSSR_BTSSSR_SSSR11                 *((volatile  uint8_t *)(0x424BFFACUL))
#define bFM_SBSSR_BTSSSR_SSSR12                   *((volatile  uint8_t *)(0x424BFFB0UL))
#define bFM0P_SBSSR_BTSSSR_SSSR12                 *((volatile  uint8_t *)(0x424BFFB0UL))
#define bFM_SBSSR_BTSSSR_SSSR13                   *((volatile  uint8_t *)(0x424BFFB4UL))
#define bFM0P_SBSSR_BTSSSR_SSSR13                 *((volatile  uint8_t *)(0x424BFFB4UL))
#define bFM_SBSSR_BTSSSR_SSSR14                   *((volatile  uint8_t *)(0x424BFFB8UL))
#define bFM0P_SBSSR_BTSSSR_SSSR14                 *((volatile  uint8_t *)(0x424BFFB8UL))
#define bFM_SBSSR_BTSSSR_SSSR15                   *((volatile  uint8_t *)(0x424BFFBCUL))
#define bFM0P_SBSSR_BTSSSR_SSSR15                 *((volatile  uint8_t *)(0x424BFFBCUL))


/******************************************************************************
 ** SMCIF Registers SMCIF1
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_SMCIF1_BAUDRATE_LITTLESTEP            *((volatile  uint16_t*)(0x427932BCUL))
#define bFM0P_SMCIF1_BAUDRATE_LITTLESTEP          *((volatile  uint16_t*)(0x427932BCUL))

#define bFM_SMCIF1_FIFO_CLEAR_MSB_READ_CLRRDFIFO  *((volatile  uint16_t*)(0x42793700UL))
#define bFM0P_SMCIF1_FIFO_CLEAR_MSB_READ_CLRRDFIFO *((volatile  uint16_t*)(0x42793700UL))

#define bFM_SMCIF1_FIFO_CLEAR_MSB_WRITE_CLRWRFIFO *((volatile  uint16_t*)(0x42793680UL))
#define bFM0P_SMCIF1_FIFO_CLEAR_MSB_WRITE_CLRWRFIFO *((volatile  uint16_t*)(0x42793680UL))

#define bFM_SMCIF1_FIFO_MODE_FIFOEN               *((volatile  uint16_t*)(0x42793600UL))
#define bFM0P_SMCIF1_FIFO_MODE_FIFOEN             *((volatile  uint16_t*)(0x42793600UL))
#define bFM_SMCIF1_FIFO_MODE_RDFIFOOVRIRQEN       *((volatile  uint16_t*)(0x42793604UL))
#define bFM0P_SMCIF1_FIFO_MODE_RDFIFOOVRIRQEN     *((volatile  uint16_t*)(0x42793604UL))
#define bFM_SMCIF1_FIFO_MODE_WRFIFOIRQEN          *((volatile  uint16_t*)(0x42793608UL))
#define bFM0P_SMCIF1_FIFO_MODE_WRFIFOIRQEN        *((volatile  uint16_t*)(0x42793608UL))
#define bFM_SMCIF1_FIFO_MODE_RDFIFOIRQEN          *((volatile  uint16_t*)(0x4279360CUL))
#define bFM0P_SMCIF1_FIFO_MODE_RDFIFOIRQEN        *((volatile  uint16_t*)(0x4279360CUL))

#define bFM_SMCIF1_GLOBALCONTROL1_PARITY          *((volatile  uint16_t*)(0x42793000UL))
#define bFM0P_SMCIF1_GLOBALCONTROL1_PARITY        *((volatile  uint16_t*)(0x42793000UL))
#define bFM_SMCIF1_GLOBALCONTROL1_FRM0            *((volatile  uint16_t*)(0x42793004UL))
#define bFM0P_SMCIF1_GLOBALCONTROL1_FRM0          *((volatile  uint16_t*)(0x42793004UL))
#define bFM_SMCIF1_GLOBALCONTROL1_FRM1            *((volatile  uint16_t*)(0x42793008UL))
#define bFM0P_SMCIF1_GLOBALCONTROL1_FRM1          *((volatile  uint16_t*)(0x42793008UL))
#define bFM_SMCIF1_GLOBALCONTROL1_MODE8N1         *((volatile  uint16_t*)(0x4279300CUL))
#define bFM0P_SMCIF1_GLOBALCONTROL1_MODE8N1       *((volatile  uint16_t*)(0x4279300CUL))
#define bFM_SMCIF1_GLOBALCONTROL1_MASKRXFUL       *((volatile  uint16_t*)(0x42793010UL))
#define bFM0P_SMCIF1_GLOBALCONTROL1_MASKRXFUL     *((volatile  uint16_t*)(0x42793010UL))
#define bFM_SMCIF1_GLOBALCONTROL1_MASKTXEMP       *((volatile  uint16_t*)(0x42793014UL))
#define bFM0P_SMCIF1_GLOBALCONTROL1_MASKTXEMP     *((volatile  uint16_t*)(0x42793014UL))
#define bFM_SMCIF1_GLOBALCONTROL1_MASKSTI         *((volatile  uint16_t*)(0x42793018UL))
#define bFM0P_SMCIF1_GLOBALCONTROL1_MASKSTI       *((volatile  uint16_t*)(0x42793018UL))
#define bFM_SMCIF1_GLOBALCONTROL1_MASKCAEVENT     *((volatile  uint16_t*)(0x4279301CUL))
#define bFM0P_SMCIF1_GLOBALCONTROL1_MASKCAEVENT   *((volatile  uint16_t*)(0x4279301CUL))
#define bFM_SMCIF1_GLOBALCONTROL1_MASKITEXP       *((volatile  uint16_t*)(0x42793020UL))
#define bFM0P_SMCIF1_GLOBALCONTROL1_MASKITEXP     *((volatile  uint16_t*)(0x42793020UL))
#define bFM_SMCIF1_GLOBALCONTROL1_IOMOD           *((volatile  uint16_t*)(0x42793024UL))
#define bFM0P_SMCIF1_GLOBALCONTROL1_IOMOD         *((volatile  uint16_t*)(0x42793024UL))
#define bFM_SMCIF1_GLOBALCONTROL1_CKMOD           *((volatile  uint16_t*)(0x42793028UL))
#define bFM0P_SMCIF1_GLOBALCONTROL1_CKMOD         *((volatile  uint16_t*)(0x42793028UL))
#define bFM_SMCIF1_GLOBALCONTROL1_RESND           *((volatile  uint16_t*)(0x4279302CUL))
#define bFM0P_SMCIF1_GLOBALCONTROL1_RESND         *((volatile  uint16_t*)(0x4279302CUL))
#define bFM_SMCIF1_GLOBALCONTROL1_GUAEN           *((volatile  uint16_t*)(0x42793030UL))
#define bFM0P_SMCIF1_GLOBALCONTROL1_GUAEN         *((volatile  uint16_t*)(0x42793030UL))
#define bFM_SMCIF1_GLOBALCONTROL1_STIDT           *((volatile  uint16_t*)(0x42793034UL))
#define bFM0P_SMCIF1_GLOBALCONTROL1_STIDT         *((volatile  uint16_t*)(0x42793034UL))
#define bFM_SMCIF1_GLOBALCONTROL1_IDTSC           *((volatile  uint16_t*)(0x42793038UL))
#define bFM0P_SMCIF1_GLOBALCONTROL1_IDTSC         *((volatile  uint16_t*)(0x42793038UL))

#define bFM_SMCIF1_GLOBALCONTROL2_RX8N1           *((volatile  uint16_t*)(0x42793400UL))
#define bFM0P_SMCIF1_GLOBALCONTROL2_RX8N1         *((volatile  uint16_t*)(0x42793400UL))
#define bFM_SMCIF1_GLOBALCONTROL2_INVDATAOUT      *((volatile  uint16_t*)(0x42793404UL))
#define bFM0P_SMCIF1_GLOBALCONTROL2_INVDATAOUT    *((volatile  uint16_t*)(0x42793404UL))
#define bFM_SMCIF1_GLOBALCONTROL2_ICCDISABLE      *((volatile  uint16_t*)(0x4279340CUL))
#define bFM0P_SMCIF1_GLOBALCONTROL2_ICCDISABLE    *((volatile  uint16_t*)(0x4279340CUL))

#define bFM_SMCIF1_IRQ_STATUS_RDFIFOOVRIRQ        *((volatile  uint16_t*)(0x42793800UL))
#define bFM0P_SMCIF1_IRQ_STATUS_RDFIFOOVRIRQ      *((volatile  uint16_t*)(0x42793800UL))
#define bFM_SMCIF1_IRQ_STATUS_WRFIFOIRQ           *((volatile  uint16_t*)(0x42793804UL))
#define bFM0P_SMCIF1_IRQ_STATUS_WRFIFOIRQ         *((volatile  uint16_t*)(0x42793804UL))
#define bFM_SMCIF1_IRQ_STATUS_RDFIFOIRQ           *((volatile  uint16_t*)(0x42793808UL))
#define bFM0P_SMCIF1_IRQ_STATUS_RDFIFOIRQ         *((volatile  uint16_t*)(0x42793808UL))
#define bFM_SMCIF1_IRQ_STATUS_IDTEXP              *((volatile  uint16_t*)(0x4279380CUL))
#define bFM0P_SMCIF1_IRQ_STATUS_IDTEXP            *((volatile  uint16_t*)(0x4279380CUL))
#define bFM_SMCIF1_IRQ_STATUS_CARDEVENTIRQ        *((volatile  uint16_t*)(0x42793810UL))
#define bFM0P_SMCIF1_IRQ_STATUS_CARDEVENTIRQ      *((volatile  uint16_t*)(0x42793810UL))
#define bFM_SMCIF1_IRQ_STATUS_RXSTBIIRQ           *((volatile  uint16_t*)(0x42793814UL))
#define bFM0P_SMCIF1_IRQ_STATUS_RXSTBIIRQ         *((volatile  uint16_t*)(0x42793814UL))
#define bFM_SMCIF1_IRQ_STATUS_TXEMPIRQ            *((volatile  uint16_t*)(0x42793818UL))
#define bFM0P_SMCIF1_IRQ_STATUS_TXEMPIRQ          *((volatile  uint16_t*)(0x42793818UL))
#define bFM_SMCIF1_IRQ_STATUS_RXFULIRQ            *((volatile  uint16_t*)(0x4279381CUL))
#define bFM0P_SMCIF1_IRQ_STATUS_RXFULIRQ          *((volatile  uint16_t*)(0x4279381CUL))

#define bFM_SMCIF1_PORTCONTROL_TRIMOD             *((volatile  uint16_t*)(0x42793100UL))
#define bFM0P_SMCIF1_PORTCONTROL_TRIMOD           *((volatile  uint16_t*)(0x42793100UL))
#define bFM_SMCIF1_PORTCONTROL_IO1                *((volatile  uint16_t*)(0x42793108UL))
#define bFM0P_SMCIF1_PORTCONTROL_IO1              *((volatile  uint16_t*)(0x42793108UL))
#define bFM_SMCIF1_PORTCONTROL_IO1EN              *((volatile  uint16_t*)(0x42793110UL))
#define bFM0P_SMCIF1_PORTCONTROL_IO1EN            *((volatile  uint16_t*)(0x42793110UL))
#define bFM_SMCIF1_PORTCONTROL_CLKPT              *((volatile  uint16_t*)(0x42793118UL))
#define bFM0P_SMCIF1_PORTCONTROL_CLKPT            *((volatile  uint16_t*)(0x42793118UL))
#define bFM_SMCIF1_PORTCONTROL_RST                *((volatile  uint16_t*)(0x4279311CUL))
#define bFM0P_SMCIF1_PORTCONTROL_RST              *((volatile  uint16_t*)(0x4279311CUL))
#define bFM_SMCIF1_PORTCONTROL_VCCEN              *((volatile  uint16_t*)(0x42793120UL))
#define bFM0P_SMCIF1_PORTCONTROL_VCCEN            *((volatile  uint16_t*)(0x42793120UL))
#define bFM_SMCIF1_PORTCONTROL_VPEN               *((volatile  uint16_t*)(0x42793124UL))
#define bFM0P_SMCIF1_PORTCONTROL_VPEN             *((volatile  uint16_t*)(0x42793124UL))
#define bFM_SMCIF1_PORTCONTROL_CLKOUTEN           *((volatile  uint16_t*)(0x42793130UL))
#define bFM0P_SMCIF1_PORTCONTROL_CLKOUTEN         *((volatile  uint16_t*)(0x42793130UL))
#define bFM_SMCIF1_PORTCONTROL_RSTOUTEN           *((volatile  uint16_t*)(0x42793134UL))
#define bFM0P_SMCIF1_PORTCONTROL_RSTOUTEN         *((volatile  uint16_t*)(0x42793134UL))
#define bFM_SMCIF1_PORTCONTROL_VCCOUTEN           *((volatile  uint16_t*)(0x42793138UL))
#define bFM0P_SMCIF1_PORTCONTROL_VCCOUTEN         *((volatile  uint16_t*)(0x42793138UL))
#define bFM_SMCIF1_PORTCONTROL_VPENOUTEN          *((volatile  uint16_t*)(0x4279313CUL))
#define bFM0P_SMCIF1_PORTCONTROL_VPENOUTEN        *((volatile  uint16_t*)(0x4279313CUL))

#define bFM_SMCIF1_STATUS_TXEMP                   *((volatile  uint16_t*)(0x42793080UL))
#define bFM0P_SMCIF1_STATUS_TXEMP                 *((volatile  uint16_t*)(0x42793080UL))
#define bFM_SMCIF1_STATUS_RXFUL                   *((volatile  uint16_t*)(0x42793084UL))
#define bFM0P_SMCIF1_STATUS_RXFUL                 *((volatile  uint16_t*)(0x42793084UL))
#define bFM_SMCIF1_STATUS_RXACT                   *((volatile  uint16_t*)(0x42793088UL))
#define bFM0P_SMCIF1_STATUS_RXACT                 *((volatile  uint16_t*)(0x42793088UL))
#define bFM_SMCIF1_STATUS_TXACT                   *((volatile  uint16_t*)(0x4279308CUL))
#define bFM0P_SMCIF1_STATUS_TXACT                 *((volatile  uint16_t*)(0x4279308CUL))
#define bFM_SMCIF1_STATUS_CARDDETECT              *((volatile  uint16_t*)(0x42793090UL))
#define bFM0P_SMCIF1_STATUS_CARDDETECT            *((volatile  uint16_t*)(0x42793090UL))
#define bFM_SMCIF1_STATUS_CARDEVENT               *((volatile  uint16_t*)(0x42793094UL))
#define bFM0P_SMCIF1_STATUS_CARDEVENT             *((volatile  uint16_t*)(0x42793094UL))
#define bFM_SMCIF1_STATUS_RECOFL                  *((volatile  uint16_t*)(0x42793098UL))
#define bFM0P_SMCIF1_STATUS_RECOFL                *((volatile  uint16_t*)(0x42793098UL))
#define bFM_SMCIF1_STATUS_IDTRUN                  *((volatile  uint16_t*)(0x4279309CUL))
#define bFM0P_SMCIF1_STATUS_IDTRUN                *((volatile  uint16_t*)(0x4279309CUL))
#define bFM_SMCIF1_STATUS_RDFIFOOVR               *((volatile  uint16_t*)(0x427930A0UL))
#define bFM0P_SMCIF1_STATUS_RDFIFOOVR             *((volatile  uint16_t*)(0x427930A0UL))
#define bFM_SMCIF1_STATUS_RDFIFOFUL               *((volatile  uint16_t*)(0x427930A4UL))
#define bFM0P_SMCIF1_STATUS_RDFIFOFUL             *((volatile  uint16_t*)(0x427930A4UL))
#define bFM_SMCIF1_STATUS_WRFIFOEMP               *((volatile  uint16_t*)(0x427930A8UL))
#define bFM0P_SMCIF1_STATUS_WRFIFOEMP             *((volatile  uint16_t*)(0x427930A8UL))
#define bFM_SMCIF1_STATUS_RXSTARTERR              *((volatile  uint16_t*)(0x427930ACUL))
#define bFM0P_SMCIF1_STATUS_RXSTARTERR            *((volatile  uint16_t*)(0x427930ACUL))
#define bFM_SMCIF1_STATUS_TXRESEND                *((volatile  uint16_t*)(0x427930B0UL))
#define bFM0P_SMCIF1_STATUS_TXRESEND              *((volatile  uint16_t*)(0x427930B0UL))
#define bFM_SMCIF1_STATUS_RXRESEND                *((volatile  uint16_t*)(0x427930B4UL))
#define bFM0P_SMCIF1_STATUS_RXRESEND              *((volatile  uint16_t*)(0x427930B4UL))


/******************************************************************************
 ** SWWDT Registers SWWDT
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_SWWDT_WDOGCONTROL_INTEN               *((volatile  uint32_t*)(0x42240100UL))
#define bFM0P_SWWDT_WDOGCONTROL_INTEN             *((volatile  uint32_t*)(0x42240100UL))
#define bFM_SWWDT_WDOGCONTROL_RESEN               *((volatile  uint32_t*)(0x42240104UL))
#define bFM0P_SWWDT_WDOGCONTROL_RESEN             *((volatile  uint32_t*)(0x42240104UL))
#define bFM_SWWDT_WDOGCONTROL_SPM                 *((volatile  uint32_t*)(0x42240110UL))
#define bFM0P_SWWDT_WDOGCONTROL_SPM               *((volatile  uint32_t*)(0x42240110UL))

#define bFM_SWWDT_WDOGRIS_RIS                     *((volatile  uint32_t*)(0x42240200UL))
#define bFM0P_SWWDT_WDOGRIS_RIS                   *((volatile  uint32_t*)(0x42240200UL))

#define bFM_SWWDT_WDOGSPMC_TGR                    *((volatile  uint32_t*)(0x42240300UL))
#define bFM0P_SWWDT_WDOGSPMC_TGR                  *((volatile  uint32_t*)(0x42240300UL))


/******************************************************************************
 ** UNIQUE_ID Registers UNIQUE_ID
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** VIR Registers VIR
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** WC Registers WC
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_WC_CLK_EN_CLK_EN                      *((volatile  uint8_t *)(0x42740280UL))
#define bFM0P_WC_CLK_EN_CLK_EN                    *((volatile  uint8_t *)(0x42740280UL))
#define bFM_WC_CLK_EN_CLK_EN_R                    *((volatile  uint8_t *)(0x42740284UL))
#define bFM0P_WC_CLK_EN_CLK_EN_R                  *((volatile  uint8_t *)(0x42740284UL))

#define bFM_WC_WCCR_WCIF                          *((volatile  uint8_t *)(0x42740040UL))
#define bFM0P_WC_WCCR_WCIF                        *((volatile  uint8_t *)(0x42740040UL))
#define bFM_WC_WCCR_WCIE                          *((volatile  uint8_t *)(0x42740044UL))
#define bFM0P_WC_WCCR_WCIE                        *((volatile  uint8_t *)(0x42740044UL))
#define bFM_WC_WCCR_WCOP                          *((volatile  uint8_t *)(0x42740058UL))
#define bFM0P_WC_WCCR_WCOP                        *((volatile  uint8_t *)(0x42740058UL))
#define bFM_WC_WCCR_WCEN                          *((volatile  uint8_t *)(0x4274005CUL))
#define bFM0P_WC_WCCR_WCEN                        *((volatile  uint8_t *)(0x4274005CUL))


#if defined __cplusplus
}
#endif

#endif /* _S6E1C1XC_H_ */
